<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: abteilung.php 2925 2018-12-14 10:42:28Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 51;
$level = 20;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
require_once($pfad . 'inc/stw.inc.php');

$pers_order = getPersOrder($seite);
$ebene = array('g'=>'Gebiet','b'=>'Bereich','a'=>'Abteilung','t'=>'Team');

/* Unterabteilung neu berechnen */
if (isset($_POST['recalc'])) {
	$mas = abfrage1("select pers_id from tb_personal");
	while($ma = mysql_fetch_row($mas)) pers_sub_abt($ma[0]);
}

/* Abteilung anlegen */
if (isset($_POST['name']) && isset($_POST['neu_abt'])) {
	$sql = "INSERT INTO tb_personal_abt SET name = '{$_POST['name']}';";
	abfrage2($sql);
}

/* Abteilung loeschen */
if ($_SESSION[$AppCode]['ULV'] >= 96 && isset($_GET['abt_del'])) {
	$sql  = "DELETE FROM tb_personal_abt ";
	$sql .= "WHERE abt_id = '{$_GET['abt_del']}' limit 1;";
	abfrage2($sql);

	$sql  = "DELETE FROM tbh_abteilung_hilfeart ";
	$sql .= "WHERE abt_id = '{$_GET['abt_del']}';";
	abfrage2($sql);
}

/* jedes Objekt testen ob Nutzerrecht hinzugefuegt wurde (nur wenn gespeichert) */
if(isset($_POST['save'])) {
  /* Nutzer zu einer Abteilung hinzugefuegt? */
  $erg = abfrage1("SELECT abt_id, sort, farbe FROM tb_personal_abt");
  while ($abt_id = mysql_fetch_row($erg)) {
	$check = "auswahl" . $abt_id[0];
	$check2 = "mitarbeiter" . $abt_id[0];
	if (isset($_POST[$check]) && $_POST[$check] != 0) {
		$sql  = "REPLACE INTO tb_personal_abt_leit (abt_id, pers_id) VALUES ";
		$sql .= "(".$abt_id[0].",".$_POST[$check].")";
		abfrage2($sql);
	}
	if (isset($_POST[$check2]) && !empty($_POST[$check2])) {
		if($_POST[$check2][0] == 'a') {
			$id = substr($_POST[$check2],1);
			$mas = abfrage1("select pers_id from tbh_pers_abt where abt_id='$id'");
			while($ma = mysql_fetch_row($mas)) {
				$sql = "REPLACE INTO tbh_pers_abt (abt_id, pers_id, sub_abt_id) VALUES ";
				$sql .= "(".$abt_id[0].",".$ma[0].",$id)";
				abfrage2($sql);
				pers_sub_abt($ma[0]);
			}
		} else {
			$sql  = "REPLACE INTO tbh_pers_abt (abt_id, pers_id, sub_abt_id) VALUES ";
			$sql .= "(".$abt_id[0].",".$_POST[$check2].",0)";
			abfrage2($sql);
			$subs = abfrage1("select distinct abt_id from tbh_pers_abt where sub_abt_id='$abt_id[0]'");
			while($sub = mysql_fetch_row($subs)) {
				$sql = "REPLACE INTO tbh_pers_abt SET abt_id='$sub[0]', 
						pers_id='".$_POST[$check2]."', sub_abt_id='$abt_id[0]'";
				abfrage2($sql);
				pers_sub_abt($_POST[$check2]);
			}
		}
	}
	$anz = "anz" . $abt_id[0];
	if($abt_id[1] < 0 && isset($_POST[$anz])) {
		$pos = abfrage("select max(sort)+1 from tb_personal_abt");
		if(empty($pos[0])) $pos[0] = 1;
		abfrage2("UPDATE tb_personal_abt SET sort='$pos[0]' WHERE abt_id='$abt_id[0]'");
	}
	if($abt_id[1] >= 0 && isset($_POST[$check]) && empty($_POST[$anz])) {
		abfrage2("UPDATE tb_personal_abt SET sort='-1' WHERE abt_id='$abt_id[0]'");
	}
	if(isset($_POST["pos" . $abt_id[0]]) && isset($_POST[$anz])) {
		abfrage2("UPDATE tb_personal_abt SET sort='{$_POST["pos" . $abt_id[0]]}' WHERE abt_id='$abt_id[0]'");
	}
	if(isset($_POST["color" . $abt_id[0]]) && $abt_id[2] != $_POST["color" . $abt_id[0]]) {
		abfrage2("UPDATE tb_personal_abt SET farbe='{$_POST["color" . $abt_id[0]]}' WHERE abt_id='$abt_id[0]'");
	}
	if(isset($_POST["vml" . $abt_id[0]]) && !empty($_POST["vml" . $abt_id[0]])) {
		abfrage2("insert into tb_personal_abt_vml set abt_id='$abt_id[0]', pers_id='{$_POST["vml" . $abt_id[0]]}'");
	}
  }
}

/* Rechte werden entzogen */
if ($_SESSION[$AppCode]['ULV'] >= 96 && $_GET['drop'] == 1 && isset($_GET['abt_id'])) {
	$sql  = "DELETE FROM tb_personal_abt_leit ";
	$sql .= "WHERE abt_id='{$_GET['abt_id']}' AND pers_id='{$_GET['pers_id']}';";
	abfrage2($sql);
}
if ($_SESSION[$AppCode]['ULV'] >= 96 && $_GET['drop'] == 2 && isset($_GET['abt_id']) && isset($_GET['sub'])) {
	$sql  = "DELETE FROM tbh_pers_abt ";
	$sql .= "WHERE abt_id='{$_GET['abt_id']}' AND sub_abt_id='{$_GET['sub']}';";
	abfrage2($sql);
}
if ($_SESSION[$AppCode]['ULV'] >= 96 && $_GET['drop'] == 2 && isset($_GET['abt_id'])) {
	$sql  = "DELETE FROM tbh_pers_abt ";
	$sql .= "WHERE abt_id='{$_GET['abt_id']}' AND sub_abt_id=0 AND pers_id='{$_GET['pers_id']}';";
	abfrage2($sql);
	$sql  = "DELETE FROM tbh_pers_abt ";
	$sql .= "WHERE sub_abt_id='{$_GET['abt_id']}' AND pers_id='{$_GET['pers_id']}';";
	abfrage2($sql);
	pers_sub_abt($_GET['pers_id']);
}
if ($_SESSION[$AppCode]['ULV'] >= 96 && $_GET['drop'] == 3 && isset($_GET['abt_id'])) {
	$sql  = "DELETE FROM tb_personal_abt_vml ";
	$sql .= "WHERE abt_id='{$_GET['abt_id']}' AND pers_id='{$_GET['pers_id']}';";
	abfrage2($sql);
}
if ($_SESSION[$AppCode]['ULV'] >= 96 && isset($_GET['check']) && isset($_GET['abt_id'])) {
	/* Sonderrecht zum Kontrollieren der eigenen Abteilung */
	$sql = "UPDATE tb_personal_abt_leit SET kontrolle='{$_GET['check']}'
			WHERE abt_id='{$_GET['abt_id']}' AND pers_id='{$_GET['pers_id']}';";
	abfrage2($sql);
	if($_GET['check']=='n') {
		$rechte = abfrage1("SELECT pers_id FROM tb_personal_abt_leit
							WHERE pers_id='{$_GET['pers_id']}' AND kontrolle='j'");
		if(mysql_num_rows($rechte) == 0) {
			abfrage2("DELETE FROM tb_benutzerrechte WHERE pers_id='{$_GET['pers_id']}' AND obj_id='15'");
		}
	} else {
		abfrage2("REPLACE INTO tb_benutzerrechte SET pers_id='{$_GET['pers_id']}', obj_id='15'");
	}
}
if ($_SESSION[$AppCode]['ULV'] >= 96 && isset($_GET['personal']) && isset($_GET['abt_id'])) {
	/* Sonderrecht, Personal zu verwallten */
	$sql = "UPDATE tb_personal_abt_leit SET personal='{$_GET['personal']}'
			WHERE abt_id='{$_GET['abt_id']}' AND pers_id='{$_GET['pers_id']}';";
	abfrage2($sql);
}
if ($_SESSION[$AppCode]['ULV'] >= 96 && isset($_GET['hidden']) && isset($_GET['abt_id'])) {
	/* Sonderrecht, Personal zu verwallten */
	$sql = "UPDATE tb_personal_abt_leit SET hidden='{$_GET['hidden']}'
			WHERE abt_id='{$_GET['abt_id']}' AND pers_id='{$_GET['pers_id']}';";
	abfrage2($sql);
}
if ($_SESSION[$AppCode]['ULV'] >= 96 && isset($_GET['vml']) && isset($_GET['abt_id'])) {
	/* Aufforderung auf der Startseite, Vormerkungen zu bestaetigen */
	$sql = "UPDATE tb_personal_abt_leit SET vml='{$_GET['vml']}'
			WHERE abt_id='{$_GET['abt_id']}' AND pers_id='{$_GET['pers_id']}';";
	abfrage2($sql);
}
if ($_SESSION[$AppCode]['ULV'] >= 96 && isset($_GET['vcheck']) && isset($_GET['abt_id'])) {
	/* Aufforderung auf der Startseite Vormerkungen Projekten zuzuordnen */
	$sql = "UPDATE tb_personal_abt_vml SET verantwortlich='{$_GET['vcheck']}'
			WHERE abt_id='{$_GET['abt_id']}' AND pers_id='{$_GET['pers_id']}';";
	abfrage2($sql);
}
if (isset($_GET['sprecher']) && isset($_GET['abt_id']) && abtZugang($_GET['abt_id'])) {
	/* Sprecher des Teams (...der Abteilung) */
	$sql = "UPDATE tb_personal_abt SET sprecher='{$_GET['sprecher']}'
			WHERE abt_id='{$_GET['abt_id']}';";
	abfrage2($sql);
}
if(isset($_POST['speichern'])) {
	$w = isset($rvar_wochenplan) ? $rvar_wochenplan : 'n';
	abfrage2("UPDATE tb_personal_abt SET name='$rvar_name', 
			anz_geb_level='$rvar_anz_geb_level', 
			anz_abw_level='$rvar_anz_abw_level', 
			farbe='$rvar_farbe', sphere='$rvar_sphere', 
			wochenplan='$w', team='$rvar_team'
			WHERE abt_id='$rvar_abt_id'");
	abfrage2("DELETE FROM tbh_abteilung_hilfeart WHERE abt_id='$rvar_abt_id'");
	if(is_array($rvar_ha)) {
		$has = array_diff($rvar_ha, $rvar_chk);
		foreach($has as $ha) {
			abfrage2("INSERT INTO tbh_abteilung_hilfeart SET abt_id='$rvar_abt_id', hilfeart_id='$ha'");
		}
	}
	if(isset($rvar_TTT)) abfrage2("UPDATE tb_konf SET wert='$rvar_name' WHERE name='TTT-Abteilung'");
	elseif(getConf('TTT-Abteilung') == $rvar_name) abfrage2("UPDATE tb_konf SET wert='' WHERE name='TTT-Abteilung'");
	if(isset($rvar_MAE)) abfrage2("UPDATE tb_konf SET wert='$rvar_name' WHERE name='MAE-Abteilung'");
	elseif(getConf('MAE-Abteilung') == $rvar_name) abfrage2("UPDATE tb_konf SET wert='' WHERE name='MAE-Abteilung'");
}

if(isset($_GET['ma']) || isset($_GET['abt']) || isset($_GET['conf'])) {
	$pers_id = isset($_GET['ma']) ? $_GET['ma'] : 0;
	$abt_id = isset($_GET['abt']) ? $_GET['abt'] : 0;
} else {
	$pers_id = getPersEinst($_SESSION[$AppCode]['UID'], 33, 0);
	$abt_id = getPersEinst($_SESSION[$AppCode]['UID'], 34, 0);
}

$darfDas = abtZugang($_GET['config']);
if (isset($_GET['config']) && $darfDas) {
	if(isset($_POST['notizen'])) {
		abfrage2("update tb_personal_abt set notizen='{$_POST['notizen']}' where abt_id='{$_GET['config']}'");
	}
	if($_FILES["file"]["error"] == UPLOAD_ERR_OK) {
		$erg = move_uploaded_file($_FILES["file"]["tmp_name"], $pfad."img/a".$_GET['config'].".jpg");
		if($erg) chmod($pfad."img/a".$_GET['config'].".jpg", 0640);
	}
	$abt = abfrage_assoc("SELECT * FROM tb_personal_abt WHERE abt_id = ".$_GET['config']);
	echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
	if($_SESSION[$AppCode]['ULV'] >= 96) echo "<form action=\"abteilung.php?conf=1\" method=\"POST\">\n";
	echo "<table><tr><td class=\"cl20\">\n";
	echo "<table><tr><th colspan=\"3\" style=\"text-align:center;color:{$abt['farbe']};\">{$abt['name']}</th></tr>\n";
	new stwTabLine(2,3);
	echo "<input type=\"hidden\" name=\"abt_id\" value=\"{$abt['abt_id']}\">\n";
	echo "<tr><th colspan=\"2\" class=\"cl11\">Name:</th><td width=\"100\"><input type=\"text\" name=\"name\" value=\"{$abt['name']}\"></td></tr>";
	echo "<tr><th colspan=\"2\" class=\"cl11\">Geburtstage sichtbar ab Level:</th><td><input type=\"text\" name=\"anz_geb_level\" value=\"{$abt['anz_geb_level']}\"></td></tr>";
	echo "<tr><th colspan=\"2\" class=\"cl11\">Abwesenheit sichtbar ab Level:</th><td><input type=\"text\" name=\"anz_abw_level\" value=\"{$abt['anz_abw_level']}\"></td></tr>\n";
	echo "<tr><th colspan=\"2\" class=\"cl11\">Farbe:</th><td><input type=\"text\" name=\"farbe\" value=\"{$abt['farbe']}\" ";
	if(!empty($abt['farbe'])) {
		$rgb = transformColor($abt['farbe']);
		$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
		echo "style=\"background-color:{$abt['farbe']};color:$co;\" ";
	}
	echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\"";	
	echo "/></td></tr>\n";
	$fahrtenSphere = stwFahrtenSphere($abt['sphere']);
	echo "<tr><th colspan=\"2\" class=\"cl11\">SteuerSph&auml;renZuordnung:</th><td>$fahrtenSphere</td></tr>\n";
	$checked = $abt['wochenplan']=='j' ? 'checked' : '';
	echo "<tr><th colspan=\"2\" class=\"cl11\">Dienstplan - Wochenplan:</th><td><input type=\"checkbox\" $checked name=\"wochenplan\" value=\"j\" /></td></tr>\n";
	new stwTabLine(2,3);
	echo "<tr><td><input type=\"submit\" name=\"speichern\" ";
	if($_SESSION[$AppCode]['ULV'] >= 96) echo "value=\"speichern\" ";
	else echo "disabled value=\"&auml;ndern nicht m&ouml;glich\" ";
	echo "/></td>";
	$checked = getConf('TTT-Abteilung') == $abt['name'] ? 'checked' : '';
	echo "<td style=\"text-align:right\"><input type=\"checkbox\" name=\"TTT\" value=\"1\" $checked></td><td>Standard-Abteilung f&uuml;r TTT-Abrechnung</td></tr>\n";
	$checked = getConf('MAE-Abteilung') == $abt['name'] ? 'checked' : '';
	echo "<tr><td></td><td style=\"text-align:right\"><input type=\"checkbox\" name=\"MAE\" value=\"1\" $checked></td><td>Standard-Abteilung f&uuml;r MAE-Abrechnung</td></tr>\n";
	echo "</table>\n";
	echo "</td><td>";
	echo "<table>\n";
	$checked = $abt['team']=='t' ? 'checked' : '';
	echo "<tr><td><input type=\"radio\" $checked name=\"team\" value=\"t\" /></td><th>Team</th></tr>";
	$checked = $abt['team']=='a' ? 'checked' : '';
	echo "<tr><td><input type=\"radio\" $checked name=\"team\" value=\"a\" /></td><th class=\"cl20\">Abteilung</th></tr>";
	$checked = $abt['team']=='b' ? 'checked' : '';
	echo "<tr><td><input type=\"radio\" $checked name=\"team\" value=\"b\" /></td><th>Bereich</th></tr>";
	$checked = $abt['team']=='g' ? 'checked' : '';
	echo "<tr><td><input type=\"radio\" $checked name=\"team\" value=\"g\" /></td><th>Gebiet</th></tr>";
	echo "</table>\n<br />";
	if($_SESSION[$AppCode]['ULV'] >= 96) echo "</form>\n";
	echo "<table style=\"position:absolute\">\n";
	echo "<tr><th>Notizen:</th></tr>\n";
	echo "<tr><td>";
	echo "<form	method=\"post\" action=\"abteilung.php?config={$_GET['config']}\">\n";
	echo "<textarea cols=\"30\" rows=\"4\" name=\"notizen\">";
	echo $abt['notizen'];
	echo "</textarea></td><td><input type=\"image\" src=\"img/senden.png\" /></form></td>\n";
	echo "</td></tr></table>\n";
	echo "</td><td>";
	echo "<table><tr><td>\n";
	echo "<form	method=\"post\" action=\"abteilung.php?config={$_GET['config']}\" enctype=\"multipart/form-data\">\n";
	echo "<input type=\"file\" onchange=\"this.form.submit()\" id=\"file\" name=\"file\" style=\"width:0.1px; height: 0.1px; position: absolute; z-index: -1;\">\n";
	echo "<label for=\"file\" style=\"cursor:pointer\"";
	$Team = $abt['team']=='t' ? 'Team' : ($abt['team']=='b' ? 'Bereich' : 'Abteilung');
	echo stwToolTip("Grafik f&uuml;r $Team <b>$abt[1]</b> ausw&auml;hlen...<br>Bitte m&ouml;glichst quadratisches Bild w&auml;hlen!<br>(100x100 Pixel ist gro&szlig; genug)");
	echo ">" . abt_image($_GET['config']);
	echo "</form></td></tr></table>\n";
	echo "</td></tr></table><br>\n";
}
if ($darfDas && (isset($_GET['conf']) || isset($_GET['config']))) {
	if(isset($_GET['conf'])) {
		echo "<table>\n<tr>\n";
		echo "<th>MA:</th><td class=\"cl11\">";
		echo "<form method=\"get\" action=\"abteilung.php\">\n";
		echo "<input type=\"hidden\" name=\"conf\" value=\"1\" />\n";
		echo "<select style=\"width:150px\" name=\"ma\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">- ALLE -</option>\n";
		$sql  = "SELECT pers_id, concat(";
		$sql .= ($pers_order == 2) ? "name, ', ', vorname" : "vorname, ' ', name";
		$sql .= ") FROM tb_personal WHERE status_id = '2' ORDER BY ";
		$sql .= ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
		$mas = abfrage1($sql);
		while($ma = mysql_fetch_row($mas)) {
			echo "<option value=\"$ma[0]\"";
			if($pers_id == $ma[0]) echo " selected";
			echo ">$ma[1]</option>\n";
		}
		echo "</select></form></td>\n";
		echo "<th>Abt.:</th><td class=\"cl11\">";
		echo "<form method=\"get\" action=\"abteilung.php\">\n";
		echo "<input type=\"hidden\" name=\"conf\" value=\"1\" />\n";
		echo "<select style=\"width:150px\" name=\"abt\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">- ALLE -</option>\n";
		$sql = "SELECT abt_id, name FROM tb_personal_abt ORDER BY name asc;";
		$abts = abfrage1($sql);
		while($abt = mysql_fetch_row($abts)) {
			echo "<option value=\"$abt[0]\"";
			if($abt_id == $abt[0]) echo " selected";
			echo ">$abt[1]</option>\n";
		}
		echo "</select></form></td>\n";
		echo "<th>neue Abt.:</th>\n";
		$urlext = "conf=1&ma=$pers_id&abt=$abt_id";
		echo "<form action=\"abteilung.php?$urlext\" method=\"POST\">\n";
		echo "<td><input type=\"text\" name=\"name\" size=\"20\" tabindex=\"1\">";
		echo "</td>\n";
		if($_SESSION[$AppCode]['ULV'] >= 96) {
			echo "<td><input type=\"submit\" tabindex=\"2\" value=\"Hinzuf&uuml;gen\" ";
			echo "name=\"neu_abt\"></td>\n";
			echo "<td><input type=\"submit\" tabindex=\"3\" value=\"\" name=\"recalc\" ";
			echo stwToolTip("Abteilungs- und Unterabteilungszugeh&ouml;rigkeiten neu berechnen");
			echo "style=\"background-image:url(".image('refresh',16,16,0,0,0).")\"/></td>";
		}
		echo "<td></td></tr>\n";
		echo "</table>\n";
	} elseif(isset($_GET['config']) && $_SESSION[$AppCode]['ULV'] >= 96) {
		$urlext = 'config='.$_GET['config'];
		echo "<form action=\"abteilung.php?".$urlext."\" method=\"POST\">\n";
	}
	echo "<input type=\"hidden\" name=\"save\" value=\"1\">\n";

	new stwLine(1);

	echo "<table>\n";

	/* vorhandene Abteilungen zeigen */
	$sql = "SELECT a.abt_id, a.name, a.sort, a.farbe, a.sprecher, a.team FROM tb_personal_abt a ";
	if(isset($_GET['config'])) $sql .= "where a.abt_id='{$_GET['config']}'";
	else {
		if($pers_id) $sql.="left join tb_personal_abt_leit l on l.abt_id=a.abt_id
							left join tbh_pers_abt p on p.abt_id=a.abt_id ";
		if($abt_id) {
			$sql .= "where a.abt_id='$abt_id' ";
			if($pers_id) $sql .= "and ";
		} elseif($pers_id) $sql .= "where ";
		if($pers_id) $sql .= "(l.pers_id='$pers_id' or p.pers_id='$pers_id') ";
		$sql .= "GROUP BY a.abt_id ORDER BY a.name asc;";
	}
	$abts = abfrage1($sql);

	if (mysql_num_rows($abts) > 0) {
		while ($abt = mysql_fetch_array($abts)) {
			echo "<tr><th><table>\n";
			echo "<tr><td><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><th class=\"cl11\">";
			if(empty($abt[1])) $abt[1] = '- LEER -';
			if(!isset($_GET['config'])) {
				echo "<a style=\"color:$abt[3]\" href=\"abteilung.php?config=$abt[0]\">$abt[1] (" . $ebene[ $abt[5] ] . ")</a>";
				echo "<a name=\"a$abt[0]\" style=\"position:relative;left:0;top:-350px;\"></a></th>";
			}
			echo "</tr></table></td>\n";
			$abt_pers = abfrage1("SELECT abt_id FROM tbh_pers_abt WHERE abt_id='$abt[0]'");
			$abt_leit = abfrage1("SELECT abt_id FROM tb_personal_abt_leit WHERE abt_id='$abt[0]'");
			echo "<td class=\"cl1\">";
			if(mysql_num_rows($abt_pers)==0 && mysql_num_rows($abt_leit)==0) {
				echo "<a href=\"abteilung.php?$urlext&abt_del=$abt[0]\"";
				echo "style=\"color:#FF0000\"";
				echo stwToolTip('<b>Vorsicht!</b> Abteilung wird gel&ouml;scht!');
				echo ">X</a>";
			}
			echo "</td></tr><tr><td>";
			$checked = $abt[2] < 0 ? '' : "checked";
			echo "<input type=\"checkbox\" name=\"anz$abt[0]\" value=\"1\" $checked onchange=\"this.form.submit()\">";
			echo "<span".stwToolTip("Anzeige 'anwesend' im rechten Seitenmen&uuml;")."> Anzeige 'anwesend' </span>\n";
			if($abt[2] >= 0) {
				$pos = ($abt[2] <= 0) ? 'letzter' : $abt[2];
				echo "<br><b style=\"color:#FFCC00\">Sortierung:</b> an <input name=\"pos$abt[0]\" type=\"text\" size=\"7\" maxlength=\"2\" ";
				echo "onchange=\"this.form.submit()\" value=\"$pos\" style=\"text-align:right\">. Position";
			}
			echo "</td>\n";
			echo "<th style=\"vertical-align:bottom\"".stwToolTip("Aufforderung auf der Startseite, Vormerkungen der Abteilung $abt[1] zu best&auml;tigen").">VMP</th>\n";
			echo "<th style=\"vertical-align:bottom\"".stwToolTip("Abrechnungskontrolle Abteilung $abt[1]").">AB</th>\n";
			echo "<th style=\"vertical-align:bottom;text-align:center\"".stwToolTip("Recht, Personal dieser Abteilung zu verwalten")."><img src=\"".image('person')."\"></th>\n";
			echo "<th style=\"vertical-align:bottom;text-align:center\"".stwToolTip("<b>Nur Rechte</b><br>Mitarbeiter nicht als Abteilungsleiter ausweisen").">";
			echo "<img src=\"".image('person')."\" style=\"opacity:0.4\" /></th>\n";
			echo "</tr>\n";

			/* vorhandene Abteilungsleiter fuer diese Abteilung zeigen */
			$sql  = "SELECT a.pers_id, a.kontrolle, a.vml, a.personal, a.hidden ";
			$sql .= "FROM tb_personal_abt_leit a ";
			$sql .= "left join tb_personal p on a.pers_id = p.pers_id ";
			$sql .= "WHERE a.abt_id = '$abt[0]' ORDER BY ";
			$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
			$abf = abfrage1($sql);

			$user = array();
			while ($nutzer = mysql_fetch_row($abf)) {
				/* vorhandene Leiter fuer diese Abteilung zeigen */
				$user[] = $nutzer[0];
				$href = "abteilung.php?$urlext&abt_id=$abt[0]&amp;pers_id=$nutzer[0]";
				echo "<tr><th class=\"cl11\"";
				if($nutzer[4]=='j') echo " style=\"opacity:0.5\"";
				echo ">" . ($pers_order == 2 ? pers_name2($nutzer[0]) : pers_name($nutzer[0])) . "</th>\n";

				$check = $nutzer[2]=='j' ? 'n' : 'j';
				$checked = $nutzer[2]=='j' ? 'checked' : '';
				$onclick = "onclick=\"self.location.href='$href&amp;vml=$check#a$abt[0]'\"";
				$tt = stwToolTip("Aufforderung auf der Startseite, Vormerkungen der Abteilung $abt[1] zu best&auml;tigen");
				echo "<td style=\"width:20px;text-align:center;\"><input type=\"checkbox\" $tt $checked $onclick></td>\n";

				$check = $nutzer[1]=='j' ? 'n' : 'j';
				$checked = $nutzer[1]=='j' ? 'checked' : '';
				$onclick = "onclick=\"self.location.href='$href&amp;check=$check#a$abt[0]'\"";
				$tt = stwToolTip("Abrechnungskontrolle Abteilung $abt[1]");
				echo "<td style=\"width:20px;text-align:center;\"><input type=\"checkbox\" $tt $checked $onclick></td>\n";

				$check = $nutzer[3]=='j' ? 'n' : 'j';
				$checked = $nutzer[3]=='j' ? 'checked' : '';
				$onclick = "onclick=\"self.location.href='$href&amp;personal=$check#a$abt[0]'\"";
				$tt = stwToolTip("Recht, Personal dieser Abteilung zu verwalten");
				echo "<td style=\"width:20px;text-align:center;\"><input type=\"checkbox\" $tt $checked $onclick></td>\n";

				$check = $nutzer[4]=='j' ? 'n' : 'j';
				$checked = $nutzer[4]=='j' ? 'checked' : '';
				$onclick = "onclick=\"self.location.href='$href&amp;hidden=$check#a$abt[0]'\"";
				$tt = stwToolTip("<b>Nur Rechte</b><br>Mitarbeiter nicht als Abteilungsleiter ausweisen");
				echo "<td style=\"width:20px;text-align:center;\"><input type=\"checkbox\" $tt $checked $onclick></td>\n";

				if($_SESSION[$AppCode]['ULV'] >= 96) {
					echo "<td style=\"text-align:right\"><a href=\"$href&amp;drop=1#a$abt[0]\" style=\"color:red\"";
					echo stwToolTip('<b>Vorsicht!</b> Abteilungsleiter wird gel&ouml;scht!');
					echo ">X</a></td>";
				}
				echo "</tr>\n";
			}

			/* alle Nutzer die noch hinzugefuegt werden koennen */
			$sql  = "SELECT t1.pers_id FROM tb_personal t1 ";
			$sql .= "LEFT JOIN tb_personal_abt_leit t2 ON t1.pers_id = t2.pers_id ";
			$sql .= "WHERE t1.status_id = 2 AND ";
			$sql .= "(t2.abt_id != '$abt[0]' OR t2.abt_id IS NULL) ";
			$sql .= "GROUP BY t1.pers_id ORDER BY ";
			$sql .= ($pers_order == 2) ? "t1.name ASC, t1.vorname ASC" : "t1.vorname ASC, t1.name ASC";

			$ask  = abfrage1($sql);

			if($_SESSION[$AppCode]['ULV'] >= 96) {
				echo "<tr><td colspan=\"4\"><select name=\"auswahl$abt[0]\" ";
				echo "size=\"1\" onchange=\"this.form.submit()\" style=\"width:100%\">\n";
				echo "<option value=\"0\">Leiter hinzuf&uuml;gen</option>\n";
				/*
				 * pers_id String in Array zerlegen so dass Namen nicht doppelt
				 * erscheinen.
				 */
				while ($wahl = mysql_fetch_row($ask)) {
					if (!in_array($wahl[0], $user)) {
						echo "<option value=\"$wahl[0]\">" . ($pers_order == 2 ? pers_name2($wahl[0]) : pers_name($wahl[0])) . "</option>\n";
					}
				}
				echo "</select></td>\n";
				echo "<td><input type=\"image\" src=\"img/senden.png\"></td></tr>\n";
			}
			new stwTabLine(2,5);
			echo "<tr><th colspan=\"4\">Proj. anlegen aus Vormerkliste f&uuml;r diese Abt.</th></tr>\n";
			$sql  = "SELECT v.pers_id, v.verantwortlich FROM tb_personal_abt_vml v ";
			$sql .= "left join tb_personal p on v.pers_id = p.pers_id ";
			$sql .= "WHERE v.abt_id = '$abt[0]' ORDER BY ";
			$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
			$vmls = abfrage1($sql);
			$user = array();
			while ($nutzer = mysql_fetch_row($vmls)) {
				$user[] = $nutzer[0];
				$href = "abteilung.php?$urlext&abt_id=$abt[0]&amp;pers_id=$nutzer[0]";
				echo "<tr><th class=\"cl11\">" . ($pers_order == 2 ? pers_name2($nutzer[0]) : pers_name($nutzer[0])) . "</th>\n";
				$check = $nutzer[1]=='j' ? 'n' : 'j';
				$checked = $nutzer[1]=='j' ? 'checked' : '';
				$onclick = "onclick=\"self.location.href='$href&amp;vcheck=$check#a$abt[0]'\"";
				$tt = stwToolTip("<b>Verantwortlich:</b><br />Mitarbeiter wird auf der Startseite<br />zum Bearbeiten der Vormerkungen aufgefordert");
				echo "<td style=\"width:20px;text-align:center;\"><input type=\"checkbox\" $tt $checked $onclick></td>\n";
				if($_SESSION[$AppCode]['ULV'] >= 96) {
					echo "<td colspan=\"2\" style=\"text-align:right\"><a href=\"$href&amp;drop=3#a$abt[0]\" style=\"color:red\"";
					echo stwToolTip('<b>Vorsicht!</b> Einkaufsverantwortlicher wird gel&ouml;scht!');
					echo ">X</a></td>";
				}
				echo "</tr>\n";
			}

			if($_SESSION[$AppCode]['ULV'] >= 96) {
				/* alle Nutzer die noch hinzugefuegt werden koennen */
				$sql  = "SELECT t1.pers_id FROM tb_personal t1 ";
				$sql .= "LEFT JOIN tb_personal_abt_vml t2 ON t1.pers_id = t2.pers_id ";
				$sql .= "WHERE t1.status_id = 2 AND ";
				$sql .= "(t2.abt_id != '$abt[0]' OR t2.abt_id IS NULL) ";
				$sql .= "GROUP BY t1.pers_id ORDER BY ";
				$sql .= ($pers_order == 2) ? "t1.name ASC, t1.vorname ASC" : "t1.vorname ASC, t1.name ASC";

				$ask  = abfrage1($sql);

				echo "<tr><td colspan=\"3\"><select name=\"vml$abt[0]\" ";
				echo "size=\"1\" onchange=\"this.form.submit()\" style=\"width:100%\">\n";
				echo "<option value=\"0\">Mitarbeiter hinzuf&uuml;gen</option>\n";
				while ($wahl = mysql_fetch_row($ask)) {
					if (!in_array($wahl[0], $user)) {
						echo "<option value=\"$wahl[0]\">" . ($pers_order == 2 ? pers_name2($wahl[0]) : pers_name($wahl[0])) . "</option>\n";
					}
				}
				echo "</select></td>\n";
				echo "<td><input type=\"image\" src=\"img/senden.png\"></td></tr>\n";
			}
			echo "</table></td><td width=\"20\">&nbsp;</td><td><table>";

			echo "<tr><th colspan=\"3\"";
			if($_SESSION[$AppCode]['ULV'] >= 96) {
				echo "><select name=\"mitarbeiter$abt[0]\" ";
				echo "size=\"1\" onchange=\"this.form.submit()\">\n";
				echo "<option value=\"0\">Mitarbeiter zur Abteilung hinzuf&uuml;gen</option>\n";
				$user = array();
				/* alle Nutzer die noch hinzugefuegt werden koennen */
				$sql  = "SELECT pers_id FROM tb_personal WHERE status_id = 2 ORDER BY ";
				$sql .= ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
				$ask  = abfrage1($sql);
				while ($wahl = mysql_fetch_row($ask)) {
					$inabt = abfrage("SELECT pers_id FROM tbh_pers_abt WHERE abt_id = '$abt[0]' and pers_id = '$wahl[0]' and sub_abt_id=0");
					if(empty($inabt[0])) echo "<option value=\"$wahl[0]\">" . ($pers_order == 2 ? pers_name2($wahl[0]) : pers_name($wahl[0])) . "</option>\n";
					else $user[] = $inabt[0];
				}
				echo "<option value=\"0\">---------- Abteilungen ----------</option>\n";
				$subs = abfrage1("select distinct a.abt_id, a.name from tb_personal_abt a left join tbh_pers_abt p on(a.abt_id = p.sub_abt_id) where a.abt_id != '$abt[0]' and (p.abt_id IS NULL or p.abt_id != '$abt[0]') order by a.name asc");
				while ($sub = mysql_fetch_row($subs)) {
					echo "<option value=\"a$sub[0]\">$sub[1]</option>\n";
				}
				echo "</select>";
			} else echo " style=\"text-align:center; background-color:black\">Mitarbeiter dieser Abteilung";
			echo "</th></tr>";
			/* vorhandene Mitarbeiter in dieser Abteilung zeigen */
			foreach($user as $pers) {
				$inabts = abfrage1("SELECT sub_abt_id FROM tbh_pers_abt WHERE abt_id = '$abt[0]' and pers_id = '$pers' and sub_abt_id > 0");
				if(mysql_num_rows($inabts) > 0) {
					$tt = "<b>Mitarbeiter auch Mitglied in folgenden Unterabteilung";
					if(mysql_num_rows($inabts) > 1) $tt .= "en";
					$tt .= ":</b><br>";
					while($inabt = mysql_fetch_row($inabts)) {
						$name = abfrage("select name from tb_personal_abt where abt_id = '$inabt[0]'");
						$tt .= "- $name[0]<br>";
					}
					$style = stwToolTip($tt,false) . "style=\"color:grey\"";
				} else $style = '';
				$checked = $abt['sprecher'] == $pers ? 'checked' : '';
				echo "<tr class=\"mo\"><td><input type=\"radio\" $checked name=\"sprecher_$abt[0]\" ";
				echo stwToolTip("<b>Sprecher</b>" . ($abt['sprecher'] ? "<br>Strg + Klick entfernt Sprecher" : ''));
				echo "onclick=\"if(event.ctrlKey) self.location.href='$href&amp;sprecher=0#a$abt[0]'; else self.location.href='$href&amp;sprecher=$pers#a$abt[0]';\"/></td>";
				echo "<th width=\"100%\" $style class=\"cl11\">" . ($pers_order == 2 ? pers_name2($pers) : pers_name($pers)) . "</th>\n";
				if($_SESSION[$AppCode]['ULV'] >= 96) {
					echo "<td style=\"text-align:right\"><a href=\"abteilung.php?$urlext&abt_id=$abt[0]&pers_id=$pers";
					echo "&drop=2#a$abt[0]\" style=\"color:red\"";
					echo stwToolTip('<b>Vorsicht!</b> Mitarbeiter wird aus Abteilung entfernt!');
					echo ">X</a></td>";
				}
				echo "</tr>\n";
			}
			$subs = abfrage1("select distinct sub_abt_id from tbh_pers_abt where abt_id = '$abt[0]' and sub_abt_id > 0");
			if(mysql_num_rows($subs) > 0) {
				new stwTabLine(2,3);
				while($sub = mysql_fetch_row($subs)) {
					$abtname=abfrage("select name from tb_personal_abt where abt_id='$sub[0]'");
					$sql = "SELECT p.pers_id FROM tbh_pers_abt a 
							LEFT JOIN tb_personal p using(pers_id)
							WHERE a.sub_abt_id='$sub[0]' AND a.abt_id='$abt[0]'
							AND p.status_id = 2 ORDER BY ";
					$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
					$subpers = abfrage1($sql);
					$tt = '';
					while($sp = mysql_fetch_row($subpers)) {
						$tt .= "- " . ($pers_order == 2 ? pers_name2($sp[0]) : pers_name($sp[0])) . "<br>";
					}
					if($tt != '') $tt = stwToolTip($tt);
					echo "<tr class=\"mo\"><td /><th $tt class=\"cl11\">$abtname[0]</th>\n";
					echo "<td style=\"text-align:right\"><a href=\"abteilung.php?$urlext&abt_id=$abt[0]&sub=$sub[0]";
					echo "&drop=2#a$abt[0]\" style=\"color:red\"";
					echo stwToolTip('<b>Vorsicht!</b> Unter-Abteilung wird aus Abteilung entfernt!');
					echo ">X</a></td></tr>\n";
				}
			}
			echo "</table></td></tr>\n";
			new stwTabLine(1, 3);
		}
 	}

 	printf("</tr>\n</table>\n</form>\n");
}
if(!isset($_GET['conf']) && !isset($_GET['config'])) {
	if(isset($_GET['smile'])) {
		abfrage2("replace into tb_pers_einst_neu set pers_id='".$_SESSION[$AppCode]['UID']."', pers_einst_id='33', wert='$pers_id';");
		abfrage2("replace into tb_pers_einst_neu set pers_id='".$_SESSION[$AppCode]['UID']."', pers_einst_id='34', wert='$abt_id';");
	}
	$Leiter = array('a' => 'Abteilungsleiter', 't' => 'Teamleiter', 'b' => 'Bereichsleiter', 'g' => 'Gebietsleiter');
	$zuordn = array('a' => ' Unterabteilung', 't' => 's Team', 'b' => 'r Bereich', 'g' => 's Gebiet');
	echo "<table>\n";
	echo "<tr><td colspan=\"2\">";
	echo "<table style=\"width:750px\"><tr>\n";
	echo "<th>MA:</th><td class=\"cl11\">";
	echo "<form method=\"get\" action=\"abteilung.php\">\n";
	echo "<select style=\"width:150px\" name=\"ma\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">- ALLE -</option>\n";
	$sql  = "SELECT pers_id, concat(";
	$sql .= ($pers_order == 2) ? "name, ', ', vorname" : "vorname, ' ', name";
	$sql .= ") FROM tb_personal WHERE status_id = '2' ORDER BY ";
	$sql .= ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
	$mas = abfrage1($sql);
	while($ma = mysql_fetch_row($mas)) {
		echo "<option value=\"$ma[0]\"";
		if($pers_id == $ma[0]) echo " selected";
		echo ">$ma[1]</option>\n";
	}
	echo "</select></form></td>\n";
	echo "<th>Abt.:</th><td class=\"cl11\">";
	echo "<form method=\"get\" action=\"abteilung.php\">\n";
	echo "<select style=\"width:150px\" name=\"abt\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">- ALLE -</option>\n";
	$sql = "SELECT abt_id, name FROM tb_personal_abt ORDER BY name asc;";
	$abts = abfrage1($sql);
	while($abt = mysql_fetch_row($abts)) {
		echo "<option value=\"$abt[0]\"";
		if($abt_id == $abt[0]) echo " selected";
		echo ">$abt[1]</option>\n";
	}
	echo "</select></form>\n";
	echo "</td><td class=\"cl11\">";
	echo "<a style=\"color:";
	echo isset($_GET['smile']) ? 'lime' : '#CCCCCC';
	echo "\" href=\"abteilung.php?ma=$pers_id&abt=$abt_id&smile=1\">:)</a></td>";
	echo "<td style=\"width:100%;text-align:right\">";
	if($_SESSION[$AppCode]['ULV'] >= 96) {
		echo "<a href=\"abteilung.php?conf=1\"><img src=\"img/edit.png\"";
		echo stwToolTip("Abteilungen konfigurieren");
		echo "></a>";
	}
	echo "</td></tr></table></td></tr>\n";
	$sql = "SELECT a.abt_id, a.name, a.sort, a.farbe, a.sprecher, a.team FROM tb_personal_abt a ";
	if($pers_id) $sql.="left join tb_personal_abt_leit l on l.abt_id=a.abt_id
						left join tbh_pers_abt p on p.abt_id=a.abt_id ";
	if($abt_id) {
		$sql .= "where a.abt_id='$abt_id' ";
		if($pers_id) $sql .= "and ";
	} elseif($pers_id) $sql .= "where ";
	if($pers_id) $sql .= "(l.pers_id='$pers_id' or p.pers_id='$pers_id') ";
	$sql .= "GROUP BY a.abt_id ORDER BY a.name asc;";
	$abts = abfrage1($sql);
	while($abt = mysql_fetch_row($abts)) {
		$burgerOben = intval($_GET['bO']);
		$burgerUnten = intval($_GET['bU']);
		$teamOben = intval($_GET['tO']);
		$teamUnten = intval($_GET['tU']);
		new stwTabLine(1,2);
		if(empty($abt[1])) $abt[1] = '- LEER -';
		echo "<tr><td style=\"vertical-align:middle;background-color:black\">";
		echo "<table style=\"width:100%\"><tr>\n";
		echo "<td><a href=\"abteilung.php?ma=$pers_id&abt=$abt_id&bO=$abt[0]&bU=$burgerUnten&tU=$teamUnten\"";
		echo stwToolTip("<b>Listenansicht f&uuml;r zugeordnete Teams</b><br>(Standardansicht f&uuml;r Abteilungen)");
		echo "><img src=\"".image('burger')."\" /></a></td>\n";
		echo "<td><a href=\"abteilung.php?ma=$pers_id&abt=$abt_id&tO=$abt[0]&bU=$burgerUnten&tU=$teamUnten\"";
		echo stwToolTip("<b>grafische Ansicht f&uuml;r $abt[1]</b>");
		echo "><img src=\"".image('abt_team')."\" /></a></td>\n";
		echo "<th style=\"width:100%;color:$abt[3]\">";
		if(empty($abt_id)) echo "<a href=\"abteilung.php?abt=$abt[0]\" style=\"color:$abt[3]\">$abt[1]</a>";
		elseif($_SESSION[$AppCode]['ULV'] < 96) echo $abt[1];
		else echo "<a href=\"abteilung.php?config=$abt[0]\" style=\"color:$abt[3]\">$abt[1]</a>";
		echo "</th>";
		echo "</tr></table></td></tr>\n";
		if(!isset($_GET['tO']) || $_GET['tO']!=$abt[0]) {
			$sql  = "SELECT a.pers_id, concat(";
			$sql .= ($pers_order == 2) ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
			$sql .= "), p.telmobil, p.telstw
					FROM tb_personal_abt_leit a
					left join tb_personal p on a.pers_id = p.pers_id
					WHERE a.abt_id = '$abt[0]' and a.hidden='n' and p.status_id='2' ORDER BY ";
			$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
			$abt_leit = abfrage1($sql);
			if(mysql_num_rows($abt_leit) > 0) {
				echo "<tr><td class=\"ww\">\n";
				echo "<table name=\"MA_".$abt[0]."_0\" style=\"display:inline\">";
				echo "<tr><th style=\"color:$abt[3]\" colspan=\"2\">".$Leiter[ $abt[5] ]."<br>$abt[1]</th></tr>";
				echo "<tr><td class=\"cl1\"><img src=\"img/clearpixel.png\" alt=\"\" style=\"width:40px;height:1px;border:0\" />";
				echo "</td><td name=\"ma_".$abt[0]."_0\"></td></tr></table>\n";
				while($ma = mysql_fetch_row($abt_leit)) {
					echo "<table name=\"MA_".$abt[0]."_0\" style=\"display:inline\">";
					echo "<tr><td class=\"cl1\">";
					if($ma[0]==$abt[4]) {
						echo "<span style=\"position:absolute; z-index: 6\">";
						echo "<img src=\"" . image('kreis1',80,80,0,125,0) . "\" style=\"width:48px; height:48px;position:relative;top:-4px;left:-4px\" />";
						echo "</span>";
					}
					echo pers_image($ma[0],40,false,true);
					$line = $ma[2] && $ma[3] ? "&nbsp; | &nbsp;" : '';
					echo "</td><td name=\"ma_".$abt[0]."_0\">";
					echo "<a href=\"pers_and.php?pers_id=$ma[0]\">$ma[1]</a>";
					echo "<br>$ma[3]".$line."$ma[2]</td></tr></table>\n";
				}
				echo "</td></tr>\n";
			}
			$sql  = "SELECT a.pers_id, concat(";
			$sql .= ($pers_order == 2) ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
			$sql .= "), p.telmobil, p.telstw
					FROM tbh_pers_abt a
					left join tb_personal p on a.pers_id = p.pers_id
					WHERE a.abt_id = '$abt[0]' and p.status_id='2' and a.sub_abt_id='0' ORDER BY ";
			$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
			$abt_pers = abfrage1($sql);
			if(mysql_num_rows($abt_pers) > 0) {
				new stwTabLine(2,2);
				echo "<tr><td class=\"ww\">\n";
				while($ma = mysql_fetch_row($abt_pers)) {
					echo "<table name=\"MA_".$abt[0]."_0\" style=\"display:inline\">";
					echo "<tr><td class=\"cl1\">";
					if($ma[0]==$abt[4]) {
						echo "<span style=\"position:absolute; z-index: 6\">";
						echo "<img src=\"" . image('kreis1',80,80,0,125,0) . "\" style=\"width:48px; height:48px;position:relative;top:-4px;left:-4px\" />";
						echo "</span>";
					}
					echo pers_image($ma[0],40,false,true);
					$line = $ma[2] && $ma[3] ? "&nbsp; | &nbsp;" : '';
					echo "</td><td name=\"ma_".$abt[0]."_0\">";
					echo "<a href=\"pers_and.php?pers_id=$ma[0]\">$ma[1]</a>";
					echo "<br>$ma[3]".$line."$ma[2]</td></tr></table>\n";
				}
				echo "</td></tr>\n";
			}
		} else {
			echo "<tr><td class=\"ww\">\n";
			echo team_image($abt[0],120,isset($_GET['tag']) ? $_GET['tag'] : false);
			echo "</td></tr>\n";
		}
		echo "<script type=\"text/javascript\"><!--\n";
		echo "var i, w = 0;\n";
		echo "var x = document.getElementsByName('MA_".$abt[0]."_0');\n";
		echo "for (i = 0; i < x.length; i++) {\n";
		echo "  if (x[i].offsetWidth > w) w = x[i].offsetWidth;\n";
		echo "}\n";
		echo "x = document.getElementsByName('ma_".$abt[0]."_0');\n";
		echo "for (i = 0; i < x.length; i++) {\n";
		echo "  x[i].style.width = (w-40) + 'px';\n";
		echo "}\n";
		echo "--></script>\n";

		if(!isset($_GET['bU']) || $_GET['bU']!=$abt[0]) {
			$sql = "SELECT p.sub_abt_id, a.name, a.farbe FROM tbh_pers_abt p
					LEFT JOIN tb_personal_abt a on (a.abt_id = p.sub_abt_id)
					WHERE p.abt_id = '$abt[0]' 
					AND p.sub_abt_id > 0 
					GROUP BY sub_abt_id";
			$subs = abfrage1($sql);
			if(mysql_num_rows($subs) > 0) {
				echo "<tr><td style=\"background-color:red;position:relative;top:10px\"></td></tr>\n";
				echo "<tr><td style=\"text-align:center;position:relative;top:-4px\">";
				echo "<a style=\"position:absolute;left:0;background-color:#333333;border:1px solid red\"";
				echo "href=\"abteilung.php?ma=$pers_id&abt=$abt_id&bU=$abt[0]&bO=$burgerOben&tO=$teamOben\"";
				echo stwToolTip("<b>Listenansicht</b>");
				echo "><img src=\"".image('burger')."\" /></a>";
				echo "<a style=\"position:absolute;left:22px;background-color:#333333;border:1px solid red\"";
				echo "href=\"abteilung.php?ma=$pers_id&abt=$abt_id&tU=$abt[0]&bO=$burgerOben&tO=$teamOben\"";
				echo stwToolTip("<b>Team-Ansicht</b><br>(Standardansicht f&uuml;r Untergruppen)");
				echo "><img src=\"".image('abt_team')."\" /></a>";
				echo "<small style=\"background-color:#333333;color:#FF0000;\"><b>untergeordnete Gruppen:</b></small>";
				while($subabt = mysql_fetch_row($subs)) {
					echo " &nbsp; <a href=\"abteilung.php?abt=$subabt[0]\" style=\"background-color:#333333;color:$subabt[2];\">$subabt[1]</a>";
				}
				echo "</td></tr>\n";
				echo "<tr><td class=\"ww\">\n";
				mysql_data_seek($subs,0);
				while($sub = mysql_fetch_row($subs)) {
					echo team_image($sub[0],80,isset($_GET['tag']) ? $_GET['tag'] : false);
				}
				echo "</td></tr>\n";
			}
		} else {
			$sql = "SELECT p.sub_abt_id, a.name, a.farbe, a.team, a.sprecher FROM tbh_pers_abt p
					LEFT JOIN tb_personal_abt a on (a.abt_id = p.sub_abt_id)
					WHERE p.abt_id = '$abt[0]' AND p.sub_abt_id > 0 GROUP BY sub_abt_id";
			$subs = abfrage1($sql);
			$firstsub = true;
			while($subabt = mysql_fetch_row($subs)) {
				if(empty($subabt[1])) $subabt[1] = '- LEER -';

				$sql  = "SELECT a.pers_id, concat(";
				$sql .= ($pers_order == 2) ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
				$sql .= "), p.telmobil, p.telstw
						FROM tb_personal_abt_leit a
						left join tb_personal p on a.pers_id = p.pers_id
						WHERE a.abt_id = '$subabt[0]' and a.hidden='n' and status_id='2' ORDER BY ";
				$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
				$abt_leit = abfrage1($sql);

				$sql  = "SELECT a.pers_id, concat(";
				$sql .= ($pers_order == 2) ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
				$sql .= "), p.telmobil, p.telstw
						FROM tbh_pers_abt a
						left join tb_personal p on a.pers_id = p.pers_id
						WHERE a.abt_id = '$subabt[0]' and status_id='2' ORDER BY ";
				$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
				if($abt[5]=='b') $sql = "SELECT pers_id FROM tb_personal WHERE 0";
				$abt_pers = abfrage1($sql);

				if($firstsub) {
					echo "<tr><td style=\"background-color:red;position:relative;top:10px\"></td></tr>\n";
					echo "<tr><td style=\"text-align:center;position:relative;top:-4px\">";
					echo "<a style=\"position:absolute;left:0;background-color:#333333;border:1px solid red\"";
					echo "href=\"abteilung.php?ma=$pers_id&abt=$abt_id&bU=$abt[0]&bO=$burgerOben&tO=$teamOben\"";
					echo stwToolTip("<b>Listenansicht</b>");
					echo "><img src=\"".image('burger')."\" /></a>";
					echo "<a style=\"position:absolute;left:22px;background-color:#333333;border:1px solid red\"";
					echo "href=\"abteilung.php?ma=$pers_id&abt=$abt_id&tU=$abt[0]&bO=$burgerOben&tO=$teamOben\"";
					echo stwToolTip("<b>Team-Ansicht</b><br>(Standardansicht f&uuml;r Untergruppen)");
					echo "><img src=\"".image('abt_team')."\" /></a>";
					$firstsub = false;
				} else {
					echo "<tr><td style=\"background-color:red;position:relative;top:10px\" colspan=\"2\"></td></tr>\n";
					echo "<tr><td style=\"text-align:center;position:relative;top:-4px\">";
				}
				echo "<small style=\"background-color:#333333;color:red\"><b> zugeordnete".$zuordn[ $subabt[3] ]." </b></small> ";
				echo "<a href=\"abteilung.php?abt=$subabt[0]\" style=\"background-color:#333333;color:$subabt[2];\">";
				echo " $subabt[1]</a></td></tr>\n";

				if(mysql_num_rows($abt_leit) > 0) {
					echo "<tr><td class=\"ww\">\n";
					echo "<table name=\"MA_".$abt[0]."_".$subabt[0]."\" style=\"display:inline\">";
					echo "<tr><th style=\"color:$subabt[2]\" colspan=\"2\">Abteilungsleiter<br>$subabt[1]</th></tr>";
					echo "<tr><td class=\"cl1\"><img src=\"img/clearpixel.png\" alt=\"\" style=\"width:30px;height:1px;border:0\" />";
					echo "</td><td name=\"ma_".$abt[0]."_".$subabt[0]."\"></td></tr></table>\n";
					while($ma = mysql_fetch_row($abt_leit)) {
						echo "<table name=\"MA_".$abt[0]."_".$subabt[0]."\" style=\"display:inline\">";
						echo "<tr><td class=\"cl1\">";
						if($ma[0]==$subabt[4]) {
							echo "<span style=\"position:absolute; z-index: 6\">";
							echo "<img src=\"" . image('kreis1',80,80,0,125,0) . "\" style=\"width:36px; height:36px;position:relative;top:-3px;left:-3px\" />";
							echo "</span>";
						}
						echo pers_image($ma[0],30,false,true);
						$line = $ma[2] && $ma[3] ? "&nbsp; | &nbsp;" : '';
						echo "</td><td name=\"ma_".$abt[0]."_".$subabt[0]."\">";
						echo "<a href=\"pers_and.php?pers_id=$ma[0]\">$ma[1]</a>";
						echo "<br>$ma[3]".$line."$ma[2]</td></tr></table>\n";
					}
					echo "</td></tr>\n";
					if(mysql_num_rows($abt_pers) > 0) {
						new stwTabLine(2,2);
					}
				}
				echo "<tr><td class=\"ww\">\n";
				while($ma = mysql_fetch_row($abt_pers)) {
					echo "<table name=\"MA_".$abt[0]."_".$subabt[0]."\" style=\"display:inline\">";
					echo "<tr><td class=\"cl1\">";
					if($ma[0]==$subabt[4]) {
						echo "<span style=\"position:absolute; z-index: 6\">";
						echo "<img src=\"" . image('kreis1',80,80,0,125,0) . "\" style=\"width:36px; height:36px;position:relative;top:-3px;left:-3px\" />";
						echo "</span>";
					}
					echo pers_image($ma[0],30,false,true);
					$line = $ma[2] && $ma[3] ? "&nbsp; | &nbsp;" : '';
					echo "</td><td name=\"ma_".$abt[0]."_".$subabt[0]."\">";
					echo "<a href=\"pers_and.php?pers_id=$ma[0]\">$ma[1]</a>";
					echo "<br>$ma[3]".$line."$ma[2]</td></tr></table>\n";
				}
				echo "<script type=\"text/javascript\"><!--\n";
				echo "var i, w = 0;\n";
				echo "var x = document.getElementsByName('MA_".$abt[0]."_".$subabt[0]."');\n";
				echo "for (i = 0; i < x.length; i++) {\n";
				echo "  if (x[i].offsetWidth > w) w = x[i].offsetWidth;\n";
				echo "}\n";
				echo "x = document.getElementsByName('ma_".$abt[0]."_".$subabt[0]."');\n";
				echo "for (i = 0; i < x.length; i++) {\n";
				echo "  x[i].style.width = (w-30) + 'px';\n";
				echo "}\n";
				echo "--></script>\n";
				echo "</td></tr>\n";
			}
		}
	}
	echo "</table>\n";
}

new stwEnd($seite,isset($_GET['conf']) || isset($_GET['config']) ? 0 : mktime(0,0,0));
?>
