<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: anmeldung.php 2665 2016-11-29 07:52:59Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 // sicherstellen das Variable gesetzt ist
 if (!isset($_COOKIE['UID'])) $_COOKIE['UID'] = "";

 $onload_form = 'anmeldeform';
 $onload_focus = ($_COOKIE['UID'] != "") ? 'passwd' : 'user_id';

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad."inc/stw.inc.php");

 /*
  * Jeder Loginvorgang eines Nutzers wirft die interne Ueberpruefung der
  * vorhandenen Passwoerter an. Das Defaultpasswort darf nur 24 Stunden
  * gesetzt bleiben. Ist es noch das Standardpasswort wird der Account
  * gesperrt.
  */
 $sql  = "SELECT pers_id, name, vorname, pass, pass_datum FROM tb_personal ";
 $sql .= "WHERE status_id='2' AND anmeldung='j'";

 $erg  = abfrage1($sql);
 while ($zeile = mysql_fetch_row($erg))
 {
   /* pruefen ob schon Zeitstempel vorhanden ist */
   if ($zeile[4] == 0)
   {
     /* noch Defaultwert also aktuellen setzen */
     $sql  = "UPDATE tb_personal SET pass_datum='".time()."' ";
     $sql .= "WHERE pers_id='".$zeile[0]."'";

     mysql_query($sql);
   }
   else
   {
     if (generate_default_password($zeile[2], $zeile[1]) == $zeile[3])
     {
       /* Passwort ist gleich - 24 Stunden schon vorbei pruefen */
       if (time() - $zeile[4] >= 864000)
       {
         /* Account sperren */
         $sql  = "UPDATE tb_personal SET anmeldung='n' ";
         $sql .= "WHERE pers_id='".$zeile[0]."'";

         mysql_query($sql);
       }
     }
   }
 }

 // sicherstellen das die Variablen gesetzt sind
 if (!isset($_GET["fail"])) $_GET["fail"] = NULL;
 if (!isset($_GET["session"])) $_GET["session"] = NULL;

 /* Ausgabe wenn Anmeldung ungueltig war */
 if ($_GET["fail"] == "true")
 {
   printf("<p style=\"font-size:18pt; color:red\">");
   printf("Anmeldung ung&uuml;ltig!</p>\n");
 }

 /* Ausgabe wenn Session abgelaufen ist */
 if ($_GET["session"] == "1")
 {
   printf("<p style=\"font-size:18pt; color:red\">\n");
   printf("Sie sind nicht angemeldet oder<br>Ihre Sitzung ist abgelaufen.");

   printf("</p>\n<p style=\"font-size:18pt; color:#FF0000\">");
   printf("Bitte melden Sie sich erneut an!</p>\n");
 }

 /* Formular ausgeben mit Logindaten */
 printf("<form action=\"login.php\" method=\"post\" name=\"anmeldeform\">");
 printf("<table>\n<tr><th>Benutzer:</th><td>");

 printf("<select name=\"user_id\" size=\"1\" tabindex=\"1\">");
 printf("<option value=\"\">Namen w&auml;hlen!</option>");

 /* Abfrage des Personals das sich noch anmelden darf und noch aktiv ist */
 $sql  = "select pers_id,login from tb_personal where status_id=2 and ";
 $sql .= "p_art_id != 17 and anmeldung = 'j' order by login asc";

 $res = mysql_query($sql) or die(mysql_error());
 while ($zeile = mysql_fetch_row($res))
 {
    echo "  <option ";

    /* ist dieser Nutzer bekannt dann kann Vorauswahl getroffen werden */
    if ($_COOKIE["UID"] == $zeile[0]) printf("selected ");

    echo "value=\"" . $zeile[0] . "\">";
    echo $zeile[1];
    echo "</option>\n";
 }
 
 printf("</select></td></tr><tr><th>Passwort:</th><td>");
 printf("<input type=\"password\" name=\"passwd\" size=\"30\" maxlength=\"30\" tabindex=\"2\" />");

 printf("</td></tr>");
 new stwTabLine(2,30);

 printf("<tr><td colspan=\"2\">");
 printf("<input type=\"submit\" value=\"Anmelden\" tabindex=\"3\" /></td>");

 printf("</tr></table>");
 new stwLine(1);

 $ttt = abfrage("select p_art_id from tb_personalart where personalart='TTT'");
 $sql  = "select count(pers_id) from tb_personal where status_id=2 and ";

 $sql .= "p_art_id='$ttt[0]' and anmeldung = 'j' group by pers_id";
 $res = mysql_query($sql) or die(mysql_error());

 $zeile = mysql_fetch_row($res);

 if ($zeile[0] > 0)
 {
   echo "<table>\n";
   echo "<tr><th>TTT-Benutzer:</th><td>\n";
   echo "<select name=\"user_id2\" size=\"1\" tabindex=\"4\">\n";
   echo "<option value=\"\">TTT w&auml;hlen!</option>\n";

   $sql  = "select pers_id,login,personalnr from tb_personal where status_id=2 and ";
   $sql .= "p_art_id=$ttt[0] and anmeldung = 'j' order by login asc";
   $res = mysql_query($sql) or die(mysql_error());

   while ($zeile = mysql_fetch_row($res))
   {
     echo "  <option ";
     /* ist dieser Nutzer bekannt dann kann Vorauswahl getroffen werden */
     if ($_COOKIE["UID"] == $zeile[0]) echo "selected ";
     echo "value=\"" . $zeile[0] . "\">";
     echo $zeile[1] . " ($zeile[2])";
     echo "</option>\n";
   }

   echo "</select>\n</td>\n</tr>\n";
   echo "<tr><th>Passwort:</th>\n";
   echo "<td><input type=\"password\" name=\"passwd2\" size=\"30\" maxlength=\"30\" tabindex=\"5\" /></td></tr>\n";
   echo "<tr><td colspan=\"2\"	><input type=\"submit\" value=\"Anmelden\" tabindex=\"6\" /></td><td></td>\n";
   echo "</tr>\n</table>\n";
   new stwLine(1);
 }

 printf("<table><tr><td><a href=\"index.php\" tabindex=\"6\">Startseite</a>");
 printf("</td><td></td></tr></table></form></body></html>");
 global $laufzeit_id;
 if($laufzeit_id) abfrage2("update tb_laufzeit set ts2=unix_timestamp(now()), pers_id='".intval($_COOKIE['UID'])."' where id='$laufzeit_id'");
?>
