<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: arbeitsmittel.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

session_start();
$i = 0;
$fundus = $_GET['fund']==1 ? true : false;
$pam = $_GET['pam']==1 ? true : false;
if($fundus) $i = 1;
if($pam) $i = 2;
$seite = 70 + $i;
$level = 6;
require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

/* evtl. Datenaenderungen vornehmen */
if ($_REQUEST['save_key'] == 'Speichern'){
	$sql  = (isset($rvar_key_id)) ? 'update ' : 'insert into ';
	$sql .= "tb_keys SET name='$rvar_name', anzahl='$rvar_anzahl', ";
	if(!$fundus && !$pam) $sql .= "nr = '$rvar_nr', ";
	$sql .= "art_id = '$rvar_art_id', notizen = '$rvar_notizen', ";
	$sql .= "betrag = '".str_replace(',','.',$rvar_betrag)."'";
	$sql .= (isset($rvar_key_id)) ? " where key_id = '$rvar_key_id';" : ';';
	abfrage2($sql);
	if(empty($rvar_key_id)) {
		$id = mysql_insert_id();
		if($fundus || $pam) {
			$nr = ($fundus == 1 ? "F" : "P") . ($id<10 ? '0' : '') . ($id<100 ? '0' : '') . $id;
			abfrage2("update tb_keys set nr='$nr' where key_id='$id'");
		}
	} else $id = $rvar_key_id;

	abfrage2("DELETE FROM tbh_key_abt WHERE key_id='$id';");
	$abt_ids = explode ( ' ', $rvar_abt_ids );
	foreach($abt_ids as $abt_id) {
		if($abt_id>0) abfrage2("INSERT INTO tbh_key_abt SET key_id='$id', abt_id='$abt_id';");
	}

}

if ($_GET['key_id'] > 0 && $_GET['del'] == 1 &&	($ulv >= 97)) {
	$sql = "delete from tb_keys where key_id = '{$_GET['key_id']}';";
	abfrage2($sql);
	$sql = "delete from tb_keys_aus where key_id = '{$_GET['key_id']}';";
	abfrage2($sql);
}

$self = $_SERVER['PHP_SELF'];

echo "<table><tr>";
if((!$pam && !$fundus && check_nutzer_rechte(87))
	|| ($fundus && check_nutzer_rechte(95))
	|| ($pam && check_nutzer_rechte(97))) {
	echo "<td><input type=\"button\" value=\"neu\" ";
	echo "onClick=\"self.location.href='keys_and.php?";
	if($fundus) echo "fund";
	elseif($pam) echo "pam";
	else echo "arbeitsmittel";
	echo "=1'\"></td>\n";
}
echo "<th>Suche</th>\n<td> (nach Name / Nummer) </td>\n";
echo "<th class=\"cl11\">:</th>\n";
echo "<form action=\"$self";
if($fundus) echo "?fund=1";
if($pam) echo "?pam=1";
echo "\" method=\"POST\">\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"20\" maxlength=\"20\" ";
echo "name=\"suche\" ";
if (!empty($_POST['suche'])) echo "value=\"" . $_POST['suche'] . "\"";
echo ">\n";
echo "<td class=\"cl20\"><input type=\"submit\" value=\"Suche!\"></td>\n";
echo "<th>Abt.:</th><td class=\"cl20\"><select name=\"abt\" onchange=\"this.form.submit()\">";
if($ulv >= 96) {
	if(empty($rvar_abt)) $abt = 'all';
	echo "<option value=\"all\">Alle Abteilungen</option>\n";
	$sql = "select abt_id, name from tb_personal_abt order by name asc;";
} else {
	if($rvar_abt=='all') $rvar_abt = $abt = 0;
	$sql = "select a.abt_id, a.name from tb_personal_abt a
			left join tb_personal_abt_leit l using(abt_id)
			left join tbh_pers_abt p using(abt_id)
			where l.pers_id='$uid' or p.pers_id='$uid'
			group by abt_id order by a.name asc";
}
$abts = abfrage1($sql);
while($ab = mysql_fetch_row($abts)) {
	if(empty($abt)) $abt = $ab[0];
	echo "<option value=\"$ab[0]\"";
	if($rvar_abt == $ab[0]) {
		$abt = $ab[0];
		echo " selected";
	}
	echo ">$ab[1]</option>\n";
}
echo "</select></td>\n";
echo "</form>\n</tr></table>\n";

new stwLine(1);

$sql  = "select k.key_id, k.name, k.anzahl, k.nr, k.art_id, k.notizen from tb_keys k ";
if($abt != 'all') $sql .= "left join tbh_key_abt a using(key_id) ";
$sql .= "where k.art_id = ";
if($fundus) $sql .= "'100' ";
elseif($pam) $sql .= "'101' ";
else $sql .= "'99' ";
if (!empty($_POST['suche'])){
	$sql .= "and (k.name like '%{$_POST['suche']}%' or k.nr like '%{$_POST['suche']}%') ";
}
if($abt != 'all') $sql .= "and (a.abt_id='$abt' or a.abt_id IS NULL)";
$sql .= "group by k.key_id order by k.name asc;";
$keys = abfrage1($sql);

if (mysql_num_rows($keys) > 0){
	echo "<table><tr>\n";
	echo "<th class=\"cl1\" colspan=\"2\">Bezeichnung</th>\n";
	echo "<th class=\"cl1\">Nummer</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">gesamt</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">ausgegeben</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">verf&uuml;gbar</th>\n";
	echo "<th class=\"cl1\">&nbsp;</th>\n";
	echo "</tr>\n";
	new stwTabLine(2,30);

	while ($row = mysql_fetch_array($keys)){
		$aus = keys_aus($row[0]);
		$rest = $row[2] - $aus;

		echo "<tr class=\"mo\">\n";
		$kname = empty($row[1]) ? "LEER!" : $row[1];
		echo "<td class=\"cl1\"><a href=\"keys_and.php?key_id=$row[0]&amp;";
		if($fundus) echo "fund";
		elseif($pam) echo "pam";
		else echo "arbeitsmittel";
		echo "=1&amp;art=99\"";
		if($aus > 0) {
			if($rest == 0) {
				$tt = "<b>alle $row[2] ausgegeben</b>";
				echo " style=\"color: #f00;\"";
			} else {
				echo " style=\"color: #0f0;\"";
				$tt = "<b>$aus / $row[2] ausgegeben</b>";
			}
			$tt .= "<br />$row[5]";
			echo stwToolTip($tt, false);
		}
		if (empty($row[1])) {
			echo " style=\"color: #f00;\"";
			echo stwToolTip('Kein Name vergeben');
			echo ">LEER!";
		} else echo ">$kname";
		echo "</a></td>\n";
		$daten = new stwDaten(31);
		$link = $daten->get_klammer_link($_SESSION['webdir'],
										 $_SESSION[$AppCode]['UID'],
										 $_SESSION[$AppCode]['ULV'],
										 $row[0], '0');
		echo "<td>$link</td>\n";
		echo "<td class=\"cl1\">$row[3]</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">$row[2]</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">$aus</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">$rest</td>\n";

		echo "<td class=\"cl20\"><a href=\"keys_pr1.php?key_id=$row[0]";
		if($fundus) echo "&amp;fund=1";
		elseif($pam) echo "&amp;pam=1";
		else echo "&amp;arbeitsmittel=1";
		echo "&amp;ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"drucken\" border=\"0\" ";
		echo stwToolTip("Datenblatt drucken") . "></a></td><td>\n";

		if($_SESSION[$AppCode]['ULV'] >= 97) {
			if( ($aus == 0) && ($row[2] == 0) ) {
				echo "<a style=\"color: #FF0000; \" href=\"arbeitsmittel.php?key_id=$row[0]";
				if($fundus) echo "&amp;fund=1";
				if($pam) echo "&amp;pam=1";
				echo "&amp;del=1\"";
				echo stwToolTip('<b>VORSICHT!</b> Eintrag wird unwiederbringlich gel&ouml;scht!');
				echo ">X</a>\n";
			} else {
				echo "<span style=\"color:#CCCCCC;\" ";
				echo stwToolTip('l&ouml;schen nur m&ouml;gleich, wenn gesamt=0 und ausgegeben=0');
				echo "><i><b>X</b></i>\n";
			}
		}
		echo "</td></tr>\n";
	}
	new stwTabLine(2,30);
	echo "</table>\n";
}

new stwLine(1);
new stwEnd($seite);
?>
