<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: auf.php 2885 2018-09-11 16:32:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 2;

$pfad = substr(__FILE__, 0, strlen(__FILE__) - 7);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function EinstellungenSpeichern($pers_id, $orga_aufgaben_zust, $orga_aufgaben_autor, $orga_aufgaben_abt) {
	/* abfragen, ob bereits Zeile in Einstellungentabelle vorhanden */
	$sql = "select pers_id from tb_pers_einst where pers_id = '$pers_id';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set orga_aufgaben_zust = '$orga_aufgaben_zust', ";
	$sql .= "orga_aufgaben_autor = '$orga_aufgaben_autor', ";
	$sql .= "orga_aufgaben_abt = '$orga_aufgaben_abt'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$pers_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('TraegerIcon', 'style.color', 'lime');
	return $userResp;
}

function AufDel($id) {
	global $AppCode;
	if ($_SESSION[$AppCode]["ULV"] >= 96) $doIt = true;
	else {
		$autor = abfrage("select autor from tb_aufgaben where aufgabe_id = '$id';");
		if($_SESSION[$AppCode]["UID"] == $autor[0]) $doIt = true;
	}
	if($doIt) {
		abfrage2("delete from tb_aufgaben where aufgabe_id = '$id';");
		abfrage2("delete from tbh_pers_auf where aufgabe_id = '$id';");
	}
	$userResp = new xajaxResponse();
	$userResp->assign("tr_$id", 'style.display', 'none');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('EinstellungenSpeichern');
$xajax->registerFunction('AufDel');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/stw.inc.php");

/* Ermittlung der Kalenderanicht (Tag oder Woche) */
if (empty($_GET['anz'])){
	$anz = 'w1';
} else {
	$anz = $_GET['anz'];
}

$ti = 1;

/* Ermittlung des anzuzeigenden Mitarbeiter */
if( $ulv > 5 ) {
	$zust = empty($_GET['zust']) ? getPersEinst($uid, "orga_aufgaben_zust", $uid) : $_GET['zust'];
	$abt = empty($_GET['abt']) ? getPersEinst($uid, "orga_aufgaben_abt", 'all') : $_GET['abt'];
} else {
	$abts = abfrage1("select abt_id from tbh_pers_abt where pers_id='$uid'");
	if(mysql_num_rows($abts) == 1) {
		$abteilung = mysql_fetch_row($abts);
	} else {
		$abtname = getConf('TTT-Abteilung');
		$abteilung = abfrage("select abt_id from tb_personal_abt where name='$abtname'");
	}
	if(empty($abteilung[0])) {
		$zust = $uid;
		$abt = "all";
	} else {
		$abt = $abteilung[0];
		$zust = "all";
	}
}
if ($zust == "all" && $abt == "all" && $ulv != 47 && !check_nutzer_rechte(41)){
	$zust = $uid;
}

/* Ermittlung des anzuzeigenden Autors */
$aut = (empty($_GET['aut'])) ? getPersEinst($uid, "orga_aufgaben_autor", 'all') : $_GET['aut'];

/* Ermittlung der Sortierung */
$sort = (empty($_GET['sort'])) ? 'termin' : $_GET['sort'];

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

$tag_iso = $tag==0 ? '0000-00-00' : date('Y-m-d', $tag);

$monat = date('n', $tag);
$jahr = date('Y', $tag);

$cal = ab_cal($monat, $jahr);

switch ($anz){
	case 'w1':
	case 'w2':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (14 * 86400);
		break;
	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(0,0,0,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;
	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;
	case 't';
		$sql_beg = $tag;
		$sql_end = $tag + (14*86400);
		break;
}

if($ulv > 5) {
	echo "<table><tr>\n";

	/* Button neue Aufgabe */
	echo "<td class=\"cl1\"><input type=\"button\" value=\"neu\" tabindex=\"$ti\" "; $ti++;
	echo stwToolTip('neue Aufgabe erstellen');
	echo "onClick=\"self.location.href='auf_and.php'\"></td>\n";
	/* zustaendig */
	if ($ulv > 5) echo "<th class=\"cl1\">zust&auml;ndig:</th>\n";
	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"GET\">\n";
	echo "<td class=\"cl1\">\n";
	echo "<input type=\"hidden\" name=\"tag\" value=\"$tag_iso\">\n";
	echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
	echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
	echo "<select name=\"zust\" size=\"1\" tabindex=\"$ti\" "; $ti++;
	echo "style=\"width:100px\"onchange=\"this.form.submit()\">\n";

	/* Mitarbeiter */
	$pers_order = getPersOrder($seite);
	if (($abt != 'all' && !empty($abt)) || $ulv == 47 || check_nutzer_rechte(41)){
		echo "<option value=\"all\"";
		echo ($zust == 'all') ? " selected" : '';
		echo ">ALLE Mitarbeiter</option>\n";
	}
	if(getConf("czeitenliste")) {
		echo "<option value=\"ma-99999\" class=\"lightopt\"";
		echo ($zust == "ma-99999") ? ' selected' : '';
		echo ">C-Zeitenliste</option>\n";
	}

	if ($ulv == 47 || check_nutzer_rechte(41)){
		/* alle aktiven Stellware-Benutzer werden angezeigt */
		$sql  = "select pa.pers_id, concat(";
		$sql .= $pers_order == 2 ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
		$sql .= ") from tb_aufgaben a ";
		$sql .= "left join tbh_pers_auf pa on pa.aufgabe_id = a.aufgabe_id ";
		$sql .= "left join tb_personal p on pa.pers_id = p.pers_id ";
		$sql .= "where unix_timestamp(a.eingabe) <= '$sql_end' ";
		$sql .= "and (unix_timestamp(a.erl_datum) >= '$sql_beg' ";
		$sql .= "or a.erl_datum = '0000-00-00' or a.erl_datum is null) ";
		$sql .= "group by pa.pers_id order by ";
		if($pers_order == 2) $sql .= "p.name asc, p.vorname asc;";
		else $sql .= "p.vorname asc, p.name asc;";
	} else {
		$sql  = "select pa.pers_id, concat(";
		$sql .= $pers_order == 2 ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
		$sql .= ") from tb_aufgaben a ";
		$sql .= "left join tbh_pers_auf pa on pa.aufgabe_id = a.aufgabe_id ";
		$sql .= "left join tbh_pers_abt h on h.pers_id = pa.pers_id ";
		$sql .= "left join tb_personal p on h.pers_id = p.pers_id ";
		$sql .= "where unix_timestamp(a.eingabe) <= '$sql_end' ";
		$sql .= "and (unix_timestamp(a.erl_datum) >= '$sql_beg' ";
		$sql .= "or a.erl_datum = '0000-00-00' or a.erl_datum is null) ";
		$sql .= "and (h.abt_id = ANY (select abt_id from tbh_pers_abt ";
		$sql .= "where pers_id = '$uid') or pa.pers_id='$uid') ";
		$sql .= "group by pa.pers_id order by ";
		if($pers_order == 2) $sql .= "p.name asc, p.vorname asc;";
		else $sql .= "p.vorname asc, p.name asc;";
	}

	$mit = abfrage1($sql);

	while ($row = mysql_fetch_row($mit)){
		echo "<option value=\"$row[0]\" ";
		if ($row[0] == $zust){
			echo " selected ";
		}
		echo ">$row[1]</option>\n";
	}
	echo "</select>\n";
	echo "</td>\n";

	/* Autor */
	echo "<th class=\"cl1\">Autor:</th>\n";
	echo "<td class=\"cl1\">\n";
	echo "<select name=\"aut\" size=\"1\" tabindex=\"$ti\" "; $ti++;
	echo "style=\"width:100px\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"all\"";
	echo ($aut == 'all') ? " selected" : '';
	echo ">ALLE Mitarbeiter</option>\n";

	$sql  = "select a.autor, concat(";
	$sql .= $pers_order == 2 ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
	$sql .= ") from tb_aufgaben a ";
	$sql .= "left join tb_personal p on a.autor = p.pers_id ";
	$sql .= "where unix_timestamp(a.eingabe) <= '$sql_end' ";
	$sql .= "and (unix_timestamp(a.erl_datum) >= '$sql_beg' ";
	$sql .= "or a.erl_datum = '0000-00-00' or a.erl_datum is null) ";
	$sql .= "group by a.autor order by ";
	if($pers_order == 2) $sql .= "p.name asc, p.vorname asc;";
	else $sql .= "p.vorname asc, p.name asc;";
	$autrs = abfrage1($sql);

	while ($autr = mysql_fetch_row($autrs)){
		echo "<option value=\"$autr[0]\"";
		echo ($autr[0] == $aut) ? ' selected' : '';
		echo ">" . ($pers_order == 2 ? pers_name2($autr[0]) : pers_name($autr[0])) . "</option>\n";
	}
	echo "</select>\n</td>\n";
	echo "<th class=\"cl1\">Abt.:</th>\n";
	echo "<td class=\"cl1\">\n";
	echo "<select name=\"abt\" size=\"1\" tabindex=\"$ti\" "; $ti++;
	echo "style=\"width:100px\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"all\"";
	echo ($abt == 'all') ? " selected" : '';
	echo ">ALLE Abteilungen</option>\n";
	/* Abteilungen:
	 * wenn Benutzerlevel unter 60 -> eigene Abteilungen abrufen und ggf. listen.
	 * wenn Benutzerlevel 60 oder hoeher -> alle Abteilungen zur Auswahl
	*/
	if ($ulv < 60){ /* Benutzerlevel unter 60 */
		$sql  = "select a.abt_id, a.name from tb_personal_abt a ";
		$sql .= "left join tbh_pers_abt h on h.abt_id = a.abt_id ";
		$sql .= "left join tb_personal_abt_leit l on h.abt_id = l.abt_id ";
		$sql .= "where h.pers_id='$uid' or l.pers_id='$uid' ";
		$sql .= "group by abt_id order by a.name asc;";

		$abtn = abfrage1($sql);

	} else { /* Benutzerlevel 60 oder hoeher -> alle Abteilungen */

		$sql = "select abt_id, name from tb_personal_abt order by name asc;";
		$abtn = abfrage1($sql);

	}

	if (mysql_num_rows($abtn) > 0){
		while ($ab = mysql_fetch_row($abtn)){
			echo "<option value=\"$ab[0]\"";
			if ($abt == $ab[0]) echo ' selected';
			echo ">$ab[1]</option>\n";
		}
	}
	echo "</select>\n";
	echo "</form>\n";

	/* Smiley zum Speichern einer persoenlichen Einstellung */
	echo "<td class=\"cl1\"><a href=\"#\" style=\"color: #ccc\" id=\"TraegerIcon\"";
	echo " onclick=\"xajax_EinstellungenSpeichern({$_SESSION[$AppCode]['UID']}, '$zust', '$aut', '$abt')\"";
	$tt  = 'zust&auml;ndig und Autor als pers&ouml;nliche Einstellung speichern! ';
	echo stwToolTip($tt) . ">:)</a></td>\n";

	/* Suche */
	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"POST\">\n";
	echo "<th class=\"cl1\">Suche:</th>\n";
	echo "<td><input type=\"text\" name=\"suche\" size=\"15\" ";
	echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
	if (strlen($_POST['suche']) > 0) echo " value=\"{$_POST['suche']}\"";
	echo "></td>\n";
	echo "<td class=\"cl11\"><input type=\"image\" src=\"img/senden.png\" tabindex=\"$ti\"></td>\n"; $ti++;
	echo "</form>\n";

	if(empty($_POST['suche'])) {
		echo "<td><a href=\"auf_pr2.php?abt=$abt&aut=$aut&zust=$zust&sort=$sort&anz=$anz&tag=$tag_iso\"";
		echo stwToolTip("aktuelle Ansicht drucken");
		echo "target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"Drucken\" /></a></td>\n";
	}
	echo "</tr></table>\n";
	new stwLine(1);
}

include('auf.inc.php');

new stwEnd($seite, 1);
?>
