<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();

$seite = 18;
$level = 96;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

$onload_form = "awb";
$onload_focus = "name";

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

if(isset($_POST['name'])) {
	if(empty($_POST['awb_kat_id'])) 
		$sql = "INSERT INTO tb_awb_kat SET name='{$_POST['name']}', kat='" . ($_POST['kat']=='k'?'k':'w') . "'";
	else $sql = "UPDATE tb_awb_kat SET name='{$_POST['name']}', kat='" . ($_POST['kat']=='k'?'k':'w') . "' WHERE awb_kat_id='{$_POST['awb_kat_id']}'";
	abfrage2($sql);
}

if($_GET['del'] > 0) {
	$sql  = "delete from tb_awb_kat where awb_kat_id = '{$_GET['del']}' limit 1;";
	abfrage2($sql);
}

if($_GET['activate'] > 0) {
	$sql = "UPDATE tb_awb_kat SET aktiv='j' WHERE awb_kat_id='{$_GET['activate']}'";
	abfrage2($sql);
}

if($_GET['deactivate'] > 0) {
	$sql = "UPDATE tb_awb_kat SET aktiv='n' WHERE awb_kat_id='{$_GET['deactivate']}'";
	abfrage2($sql);
}

$sql = "select * from tb_awb_kat order by name asc;";
$res = abfrage1($sql);

echo "<table>\n";
echo "<tr><th colspan=\"2\">Aus- und Weiterbildungs-Kategorien</th></tr>\n";
new stwTabline(2,2);
echo "<form method=\"POST\" action=\"awb_kat.php\" name=\"awb\">";
if(empty($_GET['awb_kat_id'])) $awb = array();
else {
	$awb = abfrage("select name, kat from tb_awb_kat where awb_kat_id = ".$_GET['awb_kat_id']);
	echo "<input type=\"hidden\" name=\"awb_kat_id\" value=\"{$_GET['awb_kat_id']}\">\n";
} 
echo "<tr><td class=\"cl1\"><input type=\"text\" size=\"35\" maxlength=\"100\" name=\"name\" value=\"$awb[0]\"></td>\n";
echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"kat\" value=\"k\"";
if($awb[1] == 'k') echo " checked";
echo stwToolTip("<b>Kenntnis:</b> Kenntnisse k&ouml;nnen ohne Angabe von Ort und Zeit erworben worden sein") . "/></td>\n";
echo "<td class=\"cl1\"><input type=\"image\" name=\"ssafe\" src=\"img/enter.png\"";
echo stwToolTip("<b>Speichern</b>") . " value=\"speichern\"></td>\n";
echo "</tr>\n</form>\n";
new stwTabline(2,2);
$katTT = array('k' => 'Kenntnis', 'w' => 'Aus- und/oder Weiterbildung');
while ($row = mysql_fetch_row($res)){
  if($row[0] != $_GET['awb_kat_id']) {
	echo "<tr><td class=\"cl1\"><a href=\"awb_kat.php?awb_kat_id=$row[0]\">$row[1]</td>";
	echo "<td class=\"cl1\"" . stwToolTip($katTT[ $row[3] ]) . ">$row[3]</td>\n";
	$awbs = abfrage1("select awb_id from tb_awb where awb_kat_id = '$row[0]';");
	if (mysql_num_rows($awbs) == 0){
		echo "<td><a href=\"awb_kat.php?del=$row[0]\"";
		echo stwToolTip("<b>VORSICHT!</b> Kategorie wird gel&ouml;scht!");
		echo "style=\"font-weight:bolder;color:#FF0000\">X</td>\n";
	} else {
		$title = $row[2] == 'j' ? "deaktivieren" : "aktivieren";
		$color = $row[2] == 'j' ? "#00FF00" : "#AAAAAA";
		$todo = $row[2] == 'j' ? "deactivate" : "activate";
		echo "<td><a href=\"awb_kat.php?$todo=$row[0]\" ";
		echo stwToolTip("Kategorie $title");
		echo "style=\"font-weight:bolder;color:$color\">X</td>\n";
	}
	echo "</tr>\n";
  }
}
echo "</table>\n";
new stwEnd($seite);
?>
