<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: azk2.php 2905 2018-11-08 10:00:59Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();
 $seite = 19;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* verschiedene Dateien mit einbinden */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 8);

 require_once($pfad . 'inc/func.inc.php');

 $abtcolors = array();
 $abtnamen = array();
 $ma_all = array();
 $fm = array();
 $abts = abfrage1("select abt_id, farbe, name from tb_personal_abt");
 while($abt = mysql_fetch_row($abts)) {
	$abtcolors[ $abt[0] ] = $abt[1];
	$abtnamen[ $abt[0] ] = $abt[2];
 }

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function setabt($id){
	global $AppCode;
	$userResp = new xajaxResponse();
	$_SESSION[$AppCode]['azk_jahr_team'] = $id;
	$userResp->assign('azk_jahr_team', 'value', $_SESSION[$AppCode]['azk_jahr_team']);
	if($id === 'all') {
		$img = image('drucker');
		$titl = "Mitarbeiter Jahresbersicht drucken
Durchschnittswert aller Mitarbeiter";
	} elseif($id == 0) {
		$img = image('drucker',16,16,192,192,192);
		$titl = "Mitarbeiter Jahresbersicht drucken
kein Durchschnittswert";
	} else {
		global $abtcolors;
		global $abtnamen;
		$co = transformColor($abtcolors[ $id ]);
		$img = image('drucker',16,16,$co[0],$co[1],$co[2]);
		$titl = "Mitarbeiter Jahresbersicht drucken
Durchschnittswert ".$abtnamen[ $id ];
	}
	$userResp->assign('majpr', 'src', $img);
	$userResp->assign('majpr', 'title', $titl);
	$userResp->call("tt_HideInit()");
	return $userResp;
}

function savenote($wp, $dat, $ma, $txt){
	$userResp = new xajaxResponse();
	$sql  = $wp ? "update" : "insert into";
	$sql .= " tb_azk_kontrolle set ";
	$sql .= "notizen='$txt'";
	$sql .= $wp ? ' where' : ',';
	$sql .= " datum='$dat'";
	$sql .= $wp ? ' and' : ',';
	$sql .= " pers_id='$ma'";
	abfrage2($sql);
	$userResp->assign('wp', 'value', 1);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('savenote');
$xajax->registerFunction('setabt');
/* --- Ende Abschnitt (X)AJAX --- */

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");
 require_once($pfad."inc/azk_charts.php");
 
if(isset($_GET['ewald'])) {
	$datum = $rvar_nw_jahr . '-' . $rvar_nw_monat . '-01';
	abfrage2("update tb_azk_kontrolle set ewald='j' where pers_id='$uid' and datum='$datum'");
}

if(isset($_POST['wp'])) {
	if(empty($rvar_wp)) {
		$exist = abfrage("select pers_id from tb_azk_kontrolle where pers_id='$rvar_pers' and datum='$rvar_datum'");
		if($exist[0]) $rvar_wp = 1;
	}
	$sql = $rvar_wp ? 'update' : 'insert into';
	$sql .= " tb_azk_kontrolle set ";
	if($rvar_gf != $rvar_gf_old) {
		if(isset($rvar_gf)) $sql .= "gf='$uid', gf_ts=now(), ";
		else $sql .= "gf='0', gf_ts=NULL, ";
	}
	if($rvar_sb != $rvar_sb_old) {
		if(isset($rvar_sb)) $sql .= "sb='$uid', sb_ts=now(), ";
		else $sql .= "sb='0', sb_ts=NULL, ";
	}
	if($rvar_hb != $rvar_hb_old) {
		if(isset($rvar_hb)) {
			abfrage2("delete from tb_ewald where pers_id='$rvar_pers' and ewaldkategorie_id='2' and id1='3' and id2=unix_timestamp('$rvar_datum') limit 1");
			$sql .= "hb='$uid', hb_ts=now(), ";
		} else $sql .= "hb='0', hb_ts=NULL, ";
	}
	$sql .= "notizen='$rvar_notizen' ";
	$sql .= $rvar_wp ? 'where' : ',';
	$sql .= " datum='$rvar_datum'";
	$sql .= $rvar_wp ? ' and' : ',';
	$sql .= " pers_id='$rvar_pers'";
	abfrage2($sql);
}

if (!empty($rvar_page)){
	$page = $rvar_page;
} else {
	$page = 1;
}

$self = $_SERVER['PHP_SELF'];
$pers_order = getPersOrder($seite);
$pers = isset($rvar_ma) ? $rvar_ma : $_SESSION[$AppCode]["UID"];
if(!isset($_SESSION[$AppCode]['azk_jahr_team'])) $_SESSION[$AppCode]['azk_jahr_team'] = 0;
$vorjahr = check_nutzer_rechte(130) ? '0000-00-00' : date('Y-m-d', mktime(0,0,0,1,1,date('Y')-1));

/*
 * Korrektur von AZK Konten wird in diesem Formular vorgenommen. Erreicht
 * wird dieses Unterformular durch den Link AZK Korrektur in der Uebersicht.
 */
if ($_GET['kor'] == 1 && $_SESSION[$AppCode]["ULV"] >= 65)
{
  if (!empty($_GET['ma']) && !empty($_GET['nw']))
  {
    /* Name der Person holen */
    $sql = "SELECT vorname, name FROM tb_personal WHERE pers_id=".$_GET['ma'];
    $daten = abfrage($sql);

    $sql  = "SELECT UNIX_TIMESTAMP(datum), datum FROM tb_ab_nachw ";
    $sql .= "WHERE nachw_id=".$_GET['nw'];

    /* Monat der Stundenaenderungen erhalten soll abfragen */
    $datum = abfrage($sql);

    /* alte Korrekturstundenzahl und Notiz holen */
    $sql  = "SELECT korrektur, korrektur_notiz, kor_pers_id, ";
	$sql .= "date_format(kor_time, '%d.%m.%Y %H:%i') ";
    $sql .= "FROM tb_azk WHERE pers_id='".$_GET['ma']."' ";
    $sql .= "AND datum='".$datum[1]."'";
    $std  = abfrage($sql);

    echo "<form method=\"post\" action=\"azk2.php?ma=" . $_GET['ma'];
    echo "&nw=" . $_GET['nw'] . "&page=1\">\n";

    echo "<center><table>\n";
    echo "<tr>\n<th>AZK Korrektur f&uuml;r:</th>\n";

    /* Name und Monat ausgeben */
    echo "<td>" . $daten[0] . ' ' . $daten[1] . "</td><th>Monat:</td>\n";
    echo "<td>" . preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $datum[0])) . "</td></tr>\n\n";

    /* Eingabefeld fuer Stundenaenderungen */
    echo "<tr>\n<th>Stunden&auml;nderung:</th>\n<th><input type=\"text\" ";
    echo "name=\"azk_std\" size=\"10\" value=\"";
	echo number_format($std[0], 2, ',', '.') . "\"></th></tr>\n";

    /* Notizfeld anzeigen */
    echo "<tr>\n<th>Notiz:</th>\n<td colspan=\"3\">";
    echo "<textarea rows=\"3\" cols=\"50\" name=\"azk_korrektur_notiz\">";

    echo $std[1] . "</textarea></td>\n<td></td>\n</tr>\n";
    echo "<tr>\n<td><input type=\"submit\" ";

    echo "value=\"Speichern\" name=\"azk_korrektur_ok\"></td>\n";
	echo "<td style=\"text-align:right\">";
	if(!empty($std[2])) echo "letzte &Auml;nderung: ";
	echo pers_kname($std[2]) . "</td><td colspan=\"2\">$std[3]</td>\n";
    echo "</tr>\n</table></center>\n</form>\n";

    new stwEnd($seite);
    exit(0);
  }
}

/*
 * Auswertung der Postvariablen wenn das obere Formular gesendet wurde.
 */
if ($_POST['azk_korrektur_ok'] && $_SESSION[$AppCode]["ULV"] >= 65)
{
  if ((!empty($_POST['azk_std']) || !empty($_POST['azk_korrektur_notiz'])) &&
      !empty($_GET['ma']) && !empty($_GET['nw']))
  {
    /* Datum besorgen */
    $sql  = "SELECT datum FROM tb_ab_nachw WHERE nachw_id=".$_GET['nw'];
    $datum = abfrage($sql);

    /* Datenbereinigung fuer die Stunden durchfuehren */
    $std = str_replace(",", ".", $_POST['azk_std']); /* Komma raus */
    $std = str_replace("+", "", $std); /* Plus raus */

    $std = str_replace(" ", "", $std); /* Leerzeichen raus */

    /* Neue und Alte Daten vergleichen */
    $sql  = "SELECT korrektur, korrektur_notiz FROM tb_azk WHERE ";
	$sql .= "datum='".$datum[0]."' AND pers_id='".$_GET['ma']."';";
    $old = abfrage($sql);

	if($old[0] != $std || $old[1] != $_POST['azk_korrektur_notiz']) {
		/* Daten in Tabelle speichern */
		$sql  = "REPLACE tb_azk SET ";
		$sql .= "datum='".$datum[0]."', ";
		$sql .= "pers_id=".$_GET['ma'].", ";
		$sql .= "korrektur=".$std.", ";
		$sql .= "korrektur_notiz='".$_POST['azk_korrektur_notiz']. "', ";
		$sql .= "kor_pers_id='".$_SESSION[$AppCode]["UID"]. "', ";
		$sql .= "kor_time=now()";

		$erg  = mysql_query($sql);
		if (!$erg) {
		  printf("FEHLER SPEICHERN DATEN AZK AENDERUNG!!");
		}
	}
  }
}

if($page==1 && $rvar_nw_monat=='all' && $_SESSION[$AppCode]['ULV'] > 25) {
	$azk_jahr_teams = array();
	echo "<script type=\"text/javascript\"><!--\n";
	echo "  function doTT() {\n";
	echo "    str = '<br />Abteilung f&uuml;r Durchschnittsbildung:<br />';\n";
	echo "    str += '<select style=\"width:200px\" onchange=\"xajax_setabt(this.value)\"><option ';\n";
	echo "    if(document.getElementById('azk_jahr_team').value == '0') str += 'selected ';\n";
	echo "    str += ' value=\"0\">kein Durchschnitt</option><option ';\n";
	echo "    if(document.getElementById('azk_jahr_team').value == 'all') str += 'selected ';\n";
	echo "    str += ' value=\"all\">ALLE Mitarbeiter</option>';\n";
	if($pers == 'all') $sql = "select abt_id, name from tb_personal_abt order by name asc";
	else $sql = "select p.abt_id, a.name from tbh_pers_abt p 
				left join tb_personal_abt a using(abt_id)
				where p.pers_id='$pers' order by a.name asc";
	$abts = abfrage1($sql);
	$azk_jahr_teams[] = 'all';
	while($abt = mysql_fetch_row($abts)) {
		$azk_jahr_teams[] = $abt[0];
		echo "    str += '<option ';\n";
		echo "    if(document.getElementById('azk_jahr_team').value == '$abt[0]') str += 'selected ';\n";
		echo "    str += ' value=\"$abt[0]\">$abt[1]</option>';\n";
	}
	echo "    str += '</select>';\n";
	echo "    Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'MA Jahresmappe',TITLEBGCOLOR, '#006600', WIDTH, 205, HEIGHT, 50, FIX, ['majpr',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "  }\n";
	echo "--></script>\n";
	echo "<input type=\"hidden\" id=\"azk_jahr_team\" value=\"";
	if(in_array($_SESSION[$AppCode]['azk_jahr_team'],$azk_jahr_teams)) echo $_SESSION[$AppCode]['azk_jahr_team'];
	else {
		echo 0;
		$_SESSION[$AppCode]['azk_jahr_team'] = 0;
	}
	echo "\" />\n";
}

// Untermen Datenblatt

echo "<table><tr>\n";

// Reiter abgerechnete Monate
$class = ($page == 1) ? "menuactive" : "menuinactive";
echo "<td width=\"180\" class=\"$class\"><a href=\"$self?page=1";
if(isset($rvar_ma)) echo "&amp;ma=$rvar_ma";
if(isset($rvar_nw_monat)) echo "&amp;nw_monat=$rvar_nw_monat";
if(isset($rvar_nw_jahr)) echo "&amp;nw_jahr=$rvar_nw_jahr";

echo "\">abgerechnete Monate</a></th>\n";

// Reiter Aktendeckblatt
$class = ($page == 2) ? "menuactive" : "menuinactive";
echo "<td width=\"180\" class=\"$class\"><a href=\"$self?page=2";
if(isset($rvar_ma)) echo "&amp;ma=$rvar_ma";
echo "\">aktueller Monat</a></th>\n";

if($_SESSION[$AppCode]["ULV"] >= 60) {
	// Reiter AZK-Kontrolle
	$class = ($page == 4) ? "menuactive" : "menuinactive";
	echo "<td width=\"180\" class=\"$class\"><a href=\"$self?page=4";
	if(isset($rvar_ma)) echo "&amp;ma=$rvar_ma";
	if(isset($rvar_nw_monat)) echo "&amp;nw_monat=$rvar_nw_monat";
	if(isset($rvar_nw_jahr)) echo "&amp;nw_jahr=$rvar_nw_jahr";
	echo "\">AZK-Kontrolle</a></th>\n";
}
echo "</tr></table>\n";

new stwLine(1);

$monat_teil = abfrage1("SELECT DISTINCT ab_monat
						FROM tb_ab_zk WHERE ab = 'j'
						AND nachw_id IS NULL");
if(mysql_num_rows($monat_teil) > 0) {
	$twm = "datum not in (";
	while($teil = mysql_fetch_row($monat_teil)) {
		$twm .= "'$teil[0]',";
	}
	$twm = substr($twm,0,-1) . ")";
} else $twm = '';

/*
 * Monats- und Jahresschalter auswerten und dementsprechend die
 * Nachweismappe anzeigen
 */
if (isset($rvar_nw_monat) && isset($rvar_nw_jahr))
{
  /* Jahresuebersicht */
  if ($rvar_nw_monat == "all")
  {
    /* auf den 1. Januar des Jahres setzen */
    $abm = $rvar_nw_jahr."-01-01";
  }
  else
  {
    /* Datum zusammenstellen um NachweisId zu bestimmen */
    $abm = $rvar_nw_jahr."-".$rvar_nw_monat."-01";
  }

  $sql = "SELECT nachw_id FROM tb_ab_nachw WHERE datum='".$abm."'";
  $zwischen = abfrage($sql);

  $nwid = $zwischen[0];
}
else
{
  $where = ($twm == '') ? '' : "WHERE $twm ";
  $nwmax = abfrage("select max(datum) from tb_ab_nachw $where;");
  $abm = $nwmax[0];

  $nw_id = abfrage("select nachw_id from tb_ab_nachw where datum = '$abm';");
  $nwid = $nw_id[0];
}

if(getConf('tt_vor_nach_b') == 1) {
	$sql  = "select SUM(vun) from tb_x_azk_proj x ";
	$sql .= "left join tb_projekte p on x.proj_id = p.proj_id ";
	$sql .= "left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id ";
	$sql .= "where";
	if($pers != "all" && $pers != "noazk")
	  $sql .= " x.pers_id = $pers";
	if($rvar_nw_monat != "all") {
	  if($pers != "all" && $pers != "noazk") $sql .= " and";
	  $sql .= " x.nachw_id= '$nwid'";
	}
	$tt = abfrage($sql);
	$tt_vun = ($tt[0] > 0);
} else $tt_vun = false;

if ($page == 1 || $page == 4){

function printPerson($pers, $nwid, $abm, $level, $jahr, $tt_vun, $fm){

	$s_fls_netto = $s_vun = $s_fz_netto = $s_fz_brutto = $s_doku = $s_fls_brutto = 0;
	$s_fls_fm = $s_spesen = $s_kmp = $s_kmd = $s_kmg = $s_c = $s_ver = $s_czt = $s_vertr = 0;

  /* Jahresuebersicht ausgeben wenn gewuenscht */
  if ($jahr == 1)
  {
    $sql .= "SELECT SUM(fls_netto) as fls_netto, SUM(fz_brutto) as fz_brutto, ";
    $sql .= "SUM(fz_netto) as fz_netto, SUM(doku) as doku, proj_id, ";
    $sql .= "SUM(fls_brutto) as fls_brutto, SUM(fm) as fm, SUM(spesen) as spesen, ";
    $sql .= "SUM(pkw_p) as pkw_p, SUM(pkw_d) as pkw_d, SUM(pkw_g) as pkw_g, ";
    $sql .= "SUM(sum_c) as sum_c, SUM(vun) as vun, SUM(fls_vertr) as fls_vertr "; 
	$sql .= "FROM tb_x_azk_proj ";
    $sql .= "WHERE pers_id= '$pers' AND nachw_id= '$nwid' GROUP BY pers_id;";
	$fms = abfrage1("SELECT x.proj_id, x.fm FROM tb_x_azk_proj x 
					LEFT JOIN tb_projekte p USING(proj_id)
					LEFT JOIN tb_hilfeart h USING(hilfeart_id)
					WHERE x.pers_id='$pers' AND x.nachw_id='$nwid' AND h.verw='n'");
	while($row = mysql_fetch_row($fms)) {
	  $fm[ $row[0] ] = $row[1];
	}
  } else {
    $sql  = "select p.proj_id, t.fls_netto, t.fz_brutto, t.fz_netto, t.doku, t.fls_brutto, ";
    $sql .= "t.fm, t.spesen, t.pkw_p, t.pkw_d, t.pkw_g, t.sum_c, t.vun, t.fls_vertr, h.verw ";
    $sql .= "from tb_x_azk_proj t ";
    $sql .= "left join tb_projekte p using(proj_id) ";
    $sql .= "left join tb_hilfeart h using(hilfeart_id) ";
    $sql .= "where t.nachw_id = '$nwid' ";
    $sql .= "and t.pers_id = '$pers' ";
    $sql .= "order by p.projektnr asc;";
  }
  $pro  = abfrage1($sql);
	if (mysql_num_rows($pro) > 0){
	  while ($row = mysql_fetch_assoc($pro)){
      if($jahr != 1) $proj = new stwProjekt($row['proj_id']);
      $fls_netto = $row['fls_netto'];
      $vun = (getConf('vor_nach_b') == 1 || $tt_vun) ? $row['vun'] : 0;
      $fz_brutto = $row['fz_brutto'];
      $fz_netto = $row['fz_netto'];
      $doku = $row['doku'];
      $fls_brutto = $row['fls_brutto'];
      $fls_fm = $row['fm'];
	  if($jahr != 1 && $row['verw']=='n') $fm[ $row['proj_id'] ] = $fls_fm;
      $spesen = $row['spesen'];
      $pkw_p  = $row['pkw_p'];
      $pkw_d  = $row['pkw_d'];
      $pkw_g  = $row['pkw_g'];
      $sum_c  = $row['sum_c'];
	  $vertr  = $row['fls_vertr'];
      if ($jahr != 1) {
        echo "<tr>\n";

        echo "<td><a href=\"pro_daten.php?proj_id=$proj->id\">";
        echo $proj->nummer() . "</a></td>\n";
        echo "<td width=\"5\"></td>\n";

        echo "<td style=\"text-align:right\">" . fls_form($fls_netto) . "</td>\n";
        echo "<td width=\"5\"></td>\n";

        if(getConf('vor_nach_b') == 1 || $tt_vun) {
          echo "<td style=\"text-align:right\">" . ($vun) . "</td>\n";
          echo "<td width=\"5\"></td>\n";
        }

        echo "<td style=\"text-align:right\">" . fls_form($fz_brutto) . "</td>\n";
        echo "<td width=\"5\"></td>\n";

        echo "<td style=\"text-align:right\">" . fls_form($fz_netto) . "</td>\n";
        echo "<td width=\"5\"></td>\n";

        if(getConf("doku_in_azk") != "0") {
			echo "<td style=\"text-align:right\">" . fls_form($doku) . "</td>\n";
			echo "<td width=\"5\"></td>\n";
		}
        echo "<th style=\"text-align:right\">" . fls_form($fls_brutto) . "</th>\n";
        echo "<td width=\"5\"></td>\n";

        if(getConf("vertr_in_azk") != "0") {
			echo "<td style=\"text-align:right\">" . fls_form($vertr) . "</td>\n";
			echo "<td width=\"5\"></td>\n";
		}

        /* Folgemonat zeigen wenn freigeschaltet */
        if(getConf("fm_in_azk") != "0")
        {
          /*
           * Farbige Kennzeichnung einer Kappung wenn folgende Bedingungen
           * erfuellt sind: - Wert liegt ueber positive Kappungsgrenze
           *                - kein Poolprojekt
           *                - keine positive Kappung aktiviert
           */
          $kapp = $proj->fls_kappung($abm);
          if ($fls_fm > $kapp["kapp_pos_wert"] && !$proj->pool() &&
              $kapp["kapp_pos"] != 2 && $kapp["kapp_pos"] != 3)
          {
            $farbe = ";color:red";
            $titel = "positive Kappung durchgef&uuml;hrt";
          }
          else
          {
            $farbe = "";
            $titel = "";
          }

          printf("<td style=\"text-align:right%s\" title=\"%s", $farbe, $titel);
          printf("\">%s</td>\n<td width=\"5\"></td>\n", fls_form($fls_fm));
			  }

			  echo "<td style=\"text-align:right\">" . geld_form_web($spesen) . "</td>\n";
			  echo "<td width=\"5\"></td>\n";
			  echo "<td style=\"text-align:right\">" . km_form($pkw_p) . "</td>\n";
			  echo "<td width=\"5\"></td>\n";
			  echo "<td style=\"text-align:right\">" . km_form($pkw_d) . "</td>\n";
			  echo "<td width=\"5\"></td>\n";
			  echo "<td style=\"text-align:right\">" . km_form($pkw_g) . "</td>\n";
			  echo "<td width=\"5\"></td>\n";

			  echo "<td style=\"text-align:right\">" . fls_form($sum_c) . "</td>\n";
        echo "</tr>\n";
      }

			$s_fls_netto += $fls_netto;
			$s_vun += $vun;
			$s_fz_netto += $fz_netto;
			$s_fz_brutto += $fz_brutto;
			$s_doku += $doku;
			$s_fls_brutto += $fls_brutto;
			$s_fls_fm += $fls_fm;
			$s_spesen += $row['spesen'];
			$s_kmp += $row['pkw_p'];
			$s_kmd += $row['pkw_d'];
			$s_kmg += $row['pkw_g'];
			$s_c += $row['sum_c'];
			$s_vertr += $vertr;


      if ($jahr != 1)
      {
			  if ($proj->ab == 'n') $s_ver += $fls_brutto;
			  if ($proj->h_art == 'CZT') $s_czt += $fls_netto;
      }
      else
      {
        /* alle VER und CZT Projekte ermitteln und dann summieren */
        $sql  = "SELECT SUM(t1.fls_brutto) FROM tb_x_azk_proj t1 ";
        $sql .= "LEFT JOIN tb_projekte t2 ON t1.proj_id = t2.proj_id ";
        $sql .= "LEFT JOIN tb_kontakte_ap t3 ON t2.ap_id = t3.ap_id ";
        $sql .= "LEFT JOIN tb_kontakte t4 ON t3.kont_id = t4.kont_id ";
        $sql .= "WHERE t1.nachw_id='".$nwid."' AND (t4.ab='n' OR t4.ab IS NULL) ";
        $sql .= "AND t1.pers_id='".$pers."';";

        $erg  = abfrage($sql);
        $s_ver += $erg[0];

        $sql  = "SELECT SUM(t1.fls_netto) FROM tb_x_azk_proj t1 ";
        $sql .= "LEFT JOIN tb_projekte t2 ON t1.proj_id = t2.proj_id ";
        $sql .= "LEFT JOIN tb_hilfeart t3 ON t2.hilfeart_id = t3.hilfeart_id ";
        $sql .= "WHERE t1.nachw_id='".$nwid."' AND t3.hilfeart='CZT' ";
        $sql .= "AND t1.pers_id='".$pers."';";

        $erg  = abfrage($sql);
        $s_czt += $erg[0];
      }
		}
  }

	new stwTabLine(2,30);
	echo "<tr>\n";

  /* Monatsnamen bei Jahresuebersicht */
  if ($jahr == 1) {
    $i = explode("-", $abm);
    printf("<th>%s</th>", preg_replace("/M(.*)rz/", "M&auml;rz", strftime("%B", mktime(0, 0, 0, $i[1], 1, 1))));
  } else {
    echo "<th>Summen</th>\n";
  }
  echo "<td width=\"5\"></td>\n";
	echo "<td style=\"text-align:right\">" . fls_form($s_fls_netto) . "</td>\n";
	if(getConf('vor_nach_b') == 1 || $tt_vun) {
		echo "<td width=\"5\"></td>\n";
		echo "<td style=\"text-align:right\">" . fls_form($s_vun) . "</td>\n";
	}
	echo "<td width=\"5\"></td>\n";
	echo "<td style=\"text-align:right\">" . fls_form($s_fz_brutto) . "</td>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td style=\"text-align:right\">" . fls_form($s_fz_netto) . "</td>\n";

  /*
   * Doku kann bis um die Haelfte gekuerzt werden, wenn auf Traegerseite
   * eingeschaltet wurde.
   */
  $style = "";
  $titel = "";

  /* nur aktivieren ab August 2007 */
  $abm_feld  = explode("-", $abm);
  $abm_start = mktime(0, 0, 0, $abm_feld[1], $abm_feld[2], $abm_feld[0]);

  if (getConf("doku_halb") == "1" && $abm_start >= 1185919200)
  {
    $s_doku /= 2.0;

    /* Farbe gruen setzen und Titel festlegen */
    $style = "style=\"text-align:right;color:#00FF00\"";
    $titel = "die H&auml;lfte der Dokupauschale angerechnet";

    if ($s_c > 0.0)
    {
      $s_doku -= $s_c;
      if ($s_doku < 0.0) $s_doku = 0.0;

      /* Farben setzen auf rot und Titel neu festlegen */
      $style = "style=\"text-align:right;color:#FF0000\"";

      if (strlen($titel) > 0) $titel .= " und ";
      $titel .= "C Zeiten abgezogen";
    }
  }

  if (strlen($style) <= 0) $style="style=\"text-align:right\"";

  /* FLS Brutto hier berechnen: FLS netto + Fahrzeit netto + Doku + VuN*/
  $vun = (getConf('vor_nach_b') == 1 || $tt_vun) ? $s_vun : 0;
  $s_fls_brutto = round($s_fls_netto + $s_fz_netto + $s_doku + $vun, 2);
  $s_doku       = round($s_doku, 2);

  if(getConf('doku_in_azk')!='0'){
	printf("<td width=\"5\"></td>\n");
	printf("<td %s title=\"%s\">%s</td>\n", $style, $titel, fls_form($s_doku));
  }

  printf("<td width=\"5\">=</td>\n");

  printf("<th style=\"text-align:right\">%s</th>", fls_form($s_fls_brutto));
  printf("<td width=\"5\"></td>\n");
  if(getConf('vertr_in_azk')!='0'){
	echo "<td style=\"text-align:right\">" . fls_form($s_vertr) . "</td>\n";
	echo "<td width=\"5\"></td>\n";
  }

  if(getConf('fm_in_azk')!='0'){
	 echo "<td style=\"text-align:right\">" . fls_form($s_fls_fm) . "</td>\n";
	 echo "<td width=\"5\"></td>\n";
	}

	echo "<td style=\"text-align:right\">" . geld_form_web($s_spesen) . "</td>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td style=\"text-align:right\">" . km_form($s_kmp) . "</td>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td style=\"text-align:right\">" . km_form($s_kmd) . "</td>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td style=\"text-align:right\">" . km_form($s_kmg) . "</td>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td style=\"text-align:right\">" . fls_form($s_c) . "</td>\n";
	echo "</tr>\n";
	new stwTabLine(2,30);

	$prs = abfrage("select fls_soll, fls_gel, auslast, azk_ueb, azk_std
						from tb_x_azk_pers
						where nachw_id = $nwid
						and pers_id = $pers;");

	echo "<tr><td colspan=\"30\" style=\"background-color:black\">\n";
	echo "<table border=\"0\">\n";
	echo "<tr>";
	echo "<th style=\"padding-right:3px\">FLS Soll:</th>";
	$soll = $prs[0];
	echo "<td style=\"padding-right:5px\">" . fls_form($soll) . "</td>";
	echo "<th style=\"padding-right:2px\">FLS gel.:</th>";
	echo "<td style=\"padding-right:5px\">" . fls_form($s_fls_brutto) . "</td>";
	if (pers_azk($pers) && pers_betreuer($pers) && $soll > 0){

	  $fehlz = fehlz_monat_pers($pers, $abm);
		$ausl = round(($s_fls_brutto + $fehlz) / ($soll + $fehlz) * 100, 2);
		echo "<th style=\"padding-right:2px\">Ausl.:</th>";
		echo "<td style=\"padding-right:5px\">" . proz_form($ausl) . "</td>";
	} else {
		$ausl = 0;
	}
	echo "<th style=\"padding-right:2px\">&Uuml;bertrag AZK:</th>";
	$azk = $prs[3];
	echo "<td style=\"padding-right:5px\">" . fls_form($azk) . "</td>";

  /*
   * AZK Korrekturfeld um innerhalb des Monats Fehler beheben
   * zu koennen. Zusaetzlich zeigt die Schriftfarbe folgende
   * Dinge: ein positiver Betrag - gruen
   *        ein negativer Betrag + rot
   *        0.0 normal           - weiss
   *
   * AZK Korrektur ist mit einem Link versehen, so dass
   * Aenderungen moeglich sind an der Zahl. Dabei duerfen nur
   * die letzten Monate geaendert werden (abhaengig konf Traeger-
   * seite)
   */
  $sql  = "SELECT datum, UNIX_TIMESTAMP(datum) FROM tb_ab_nachw ";
  $sql .= "WHERE nachw_id=".$nwid;

  $nw_datum = abfrage($sql);

  /*
   * Tabelle tb_azk nachschaun ob Angaben zum aktuellen Monat
   * vorhanden sind
   */
  $sql  = "SELECT korrektur, korrektur_notiz FROM tb_azk ";
  $sql .= "WHERE datum='".$nw_datum[0]."' AND pers_id=".$pers;

  $erg_kor  = abfrage($sql);
  if ($erg_kor[0] == 0.0 || empty($erg_kor[0]))
  {
    $style = "";
  }
  else
  {
    if ($erg_kor[0] > 0.0)
    {
      $style = "style=\"color:#00FF00;padding-right:5px\"";
    }
    else
    {
      $style = "style=\"color:#FF0000;padding-right:5px\"";
    }
  }

  /*
   * Ausgabe des Links mit zugehoerigen Notiztitel
   * fuer die letzten Monate ist der Link aktiviert
   * Anzahl der Monate wird bestimmt ueber Traegerseite
   * und Neuberechnung.
   */
  $m = getConf("upd_mon");

  $heute = getdate();
  $gr = mktime(0, 0, 0, $heute["mon"] - $m, 1, $heute["year"]);
  if ($level >= 65 && $gr <= $nw_datum[1])
  {
    printf("<th style=\"padding-right:2px\">");
    printf("<a href=\"azk2.php?ma=%s&nw=%s&", $pers, $nwid);

    printf("page=1&kor=1\" title=\"%s\">", $erg_kor[1]);
    printf("AZK Korr.:</a></th>\n");
  }
  else
  {
    printf("<th title=\"%s\" style=\"padding-right:2px\">", $erg_kor[1]);
    printf("AZK Korr.:</th>\n");
  }

  /* Stunden mit der Farbe ausgeben */
  printf("<td %s>%s</td>", $style, fls_form($erg_kor[0]));

  echo "<th style=\"padding-right:2px\">Stand AZK:</th>";
	$stand = $prs[4];
	if ($stand < 0){
		$style = "style=\"font-weight:bold;color:#FF0000;padding-right:5px\"";
	} else {
		$style = "style=\"padding-right:5px\"";
	}
	echo "<td $style>" . fls_form($stand) . "</td>";

	/* Summe CZT-Zeiten in Zyan ausgeben  */
	echo "<th style=\"padding-right:2px;color:#00FFFF\">CZT:</th>";
	echo "<td style=\"color:#00FFFF\">" . fls_form($s_czt) ."</td>";
	echo "</tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(1,30);

	if ($_GET['ma'] != 'all' && $_GET['ma'] != 'noazk' && $jahr != 1){
		echo "</table>\n";
	}

	return array(
				'netto' => $s_fls_netto,
				'vun' => $s_vun,
				'fzn' => $s_fz_netto,
				'fzb' => $s_fz_brutto,
				'doku' => $s_doku,
				'brutto' => $s_fls_brutto,
				'fm' => $fm,
				'spesen' => $s_spesen,
				'kmp' => $s_kmp,
				'kmd' => $s_kmd,
				'kmg' => $s_kmg,
				'c' => $s_c,
				'ver' => $s_ver,
				'czt' => $s_czt,
				'soll' => $soll,
				'azk' => $azk,
				'stand' => $stand,
				'ausl' => $ausl,
				'vertr' => $s_vertr
				);
}
if($page==4) echo "<table cellspacing=\"0\" cellpadding=\"0\"><tr><td class=\"cl11\">\n";
$stamp = md5(mktime());

$where = $twm == '' ? '' : "where $twm";
$nachw = abfrage1("select nachw_id , unix_timestamp(datum)
					from tb_ab_nachw $where
					order by unix_timestamp(datum) asc;");

if (mysql_num_rows($nachw) > 0){
	// Tabelle fr Schalter
	echo "<table>\n";
	echo "<tr>\n";

	// Schalter Abrechnungsmonat/Nachweismappe
	echo "<th class=\"cl1\" style=\"vertical-align:middle\">ABMonat:</th>\n";
	echo "<form action=\"$self\" method=\"GET\">\n";
	echo "<input type=\"hidden\" name=\"page\" value=\"$page\">\n";
	echo "<input type=\"hidden\" name=\"ma\" value=\"$pers\">\n";

	/* der aktuell zu zeigene Monat ermitteln */
	$nw_feld = explode("-", $abm);

	/* Taste fuer einen Monat zurueck */
	$bild = $_SESSION["webdir"]."/img/zurueck.png";
	$url  = "azk2.php?ma=".$pers."&page=$page";

	/* Monat und Jahr fuer Schalter zurueck bestimmen */
	if ($rvar_nw_monat == "all")
	{
	  /* ein Jahr zurueck gehen */
	  $mon = "all";
	  $year = $nw_feld[0] - 1;

	  /* pruefen ob Jahr vorhanden ist */
	  $sql  = "SELECT datum FROM tb_ab_nachw WHERE datum >= '$vorjahr' AND YEAR(datum)=";
	  $sql .= $year.";";

	  $erg  = abfrage1($sql);
	  if (mysql_num_rows($erg) <= 0) $year = $nw_feld[0];

	  $titel = "ein Jahr zur&uuml;ck";
	}
	else
	{
	  $mon  = $nw_feld[1] - 1;
	  $year = $nw_feld[0];

	  if ($mon == 0)
	  {
		$mon = 12;
		$year -= 1;
	  }

	  /* pruefen ob das Daten sind die vorhanden sind */
	  $sql  = "SELECT datum FROM tb_ab_nachw WHERE datum >= '$vorjahr' AND datum = '";
	  $sql .= $year."-".$mon."-01';";

	  $erg  = abfrage1($sql);
	  if (mysql_num_rows($erg) <= 0)
	  {
		/* Datum nicht in DB vorhanden */
		$mon  = $nw_feld[1];
		$year = $nw_feld[0];
	  }

	  $titel = "ein Monat zur&uuml;ck";
	}

	$url  .= "&nw_monat=".$mon."&nw_jahr=".$year;

	/* Schalter nur einbinden wenn ueberhaupt noch rueckwaerts moeglich */
	if (!($mon == $nw_feld[1] && $year == $nw_feld[0]) &&
		!($mon == "all" && $year == $nw_feld[0]))
	{
	  printf("<td width=\"20\"><a href=\"%s\" title=\"%s\">", $url, $titel);
	  printf("<img border=\"0\" src=\"%s\"></a></td>\n", $bild);
	}
	else
	{
	  printf("<td width=\"20\"></td>\n");
	}

	/* fuer dieses Jahr die vorhandenen Monate ermitteln */
	$timestamp_anfang_jahr = mktime(0, 0, 0, 1, 1, $nw_feld[0]);
	$timestamp_ende_jahr   = mktime(0, 0, 0, 31, 12, $nw_feld[0]);

	$sql  = "SELECT datum FROM tb_ab_nachw WHERE datum >= '$vorjahr' AND datum >= '";
	$sql .= $nw_feld[0]."-01-01' AND datum <= '".$nw_feld[0]."-12-31' ";
	if($twm != '') $sql .= "AND $twm ";
	$sql .= "ORDER BY datum ASC;";
	$erg = mysql_query($sql);

	if (!$erg)
	{
	  printf("Fehler: Abfragefehler Datenbank!");
	  exit(1);
	}

	/* Monatsauswahlschalter anbieten */
	printf("<td><select name=\"nw_monat\" size=\"1\" tabindex=\"\" ");
	printf(" onchange=\"this.form.submit()\">\n");

	/* alle Monate in einer Uebersicht darstellen */
	if ($rvar_nw_monat == "all")
	{
	  printf("<option value=\"all\" selected>alle</option>\n");
	}
	else
	{
	  printf("<option value=\"all\">alle</option>\n");
	}

	while ($zeile = mysql_fetch_row($erg))
	{
	  $i = explode("-", $zeile[0]);

	  if ($nw_feld[1] == $i[1] && $rvar_nw_monat != "all")
	  {
		printf("<option value=\"%s\" selected>%s</option>\n", $i[1],
			   preg_replace("/M(.*)rz/", "M&auml;rz", strftime("%B", mktime(0, 0, 0, $i[1], 1, 1))));
	  }
	  else
	  {
		printf("<option value=\"%s\">%s</option>\n", $i[1],
			   preg_replace("/M(.*)rz/", "M&auml;rz", strftime("%B", mktime(0, 0, 0, $i[1], 1, 1))));
	  }
	}

	printf("</select>\n");

	if ($rvar_nw_monat != "all")
	{
	  /* die moeglichen Jahre fuer diesen Monat ermitteln */
	  $sql  = "SELECT datum FROM tb_ab_nachw WHERE datum >= '$vorjahr' AND MONTH(datum)='";
	  $sql .= $nw_feld[1]."' ORDER BY datum ASC;";
	}
	else
	{
	  /* alle vorhanden Jahre ermitteln */
	  $sql  = "SELECT datum FROM tb_ab_nachw WHERE datum >= '$vorjahr' GROUP BY YEAR(datum);";
	}

	$erg = mysql_query($sql);

	if (!$erg)
	{
	  printf("Fehler: Abfragefehler Datenbank!");
	  exit(1);
	}

	/* Jahresschalter anbieten */
	printf("<select name=\"nw_jahr\" size=\"1\" tabindex=\"\" ");
	printf(" onchange=\"this.form.submit()\">\n");

	while ($zeile = mysql_fetch_row($erg))
	{
	  $i = explode("-", $zeile[0]);
	  if ($i[0] == $nw_feld[0])
	  {
		printf("<option value=");
		printf("\"%s\" selected>%s</option>\n", $i[0],  $i[0]);
	  }
	  else
	  {
		printf("<option value=\"%s\">%s</option>\n", $i[0],  $i[0]);
	  }
	}

	printf("</select></td></form>\n");

	/* Taste fuer einen Monat vorwaerts */
	$bild = $_SESSION["webdir"]."/img/vor.png";
	$url  = "azk2.php?ma=".$pers."&page=$page";

	/* Monat und Jahr fuer Schalter vorwaerts bestimmen */
	if ($rvar_nw_monat == "all")
	{
	  /* ein Jahr vorwaerts gehen */
	  $mon = "all";
	  $year = $nw_feld[0] + 1;

	  /* pruefen ob Jahr vorhanden ist */
	  $sql  = "SELECT datum FROM tb_ab_nachw WHERE datum >= '$vorjahr' AND YEAR(datum)=";
	  $sql .= $year.";";

	  $erg  = abfrage1($sql);
	  if (mysql_num_rows($erg) <= 0) $year = $nw_feld[0];

	  $titel = "ein Jahr vorw&auml;rts";
	}
	else
	{
	  /* Monat und Jahr fuer Schalter zurueck bestimmen */
	  $mon  = $nw_feld[1] + 1;
	  $year = $nw_feld[0];

	  if ($mon == 13)
	  {
		$mon = 1;
		$year += 1;
	  }

	  /* pruefen ob das Daten sind die vorhanden sind */
	  $sql  = "SELECT datum FROM tb_ab_nachw WHERE datum >= '$vorjahr' AND datum = '";
	  $sql .= $year."-".$mon."-01'";
	  if($twm != '') $sql .= " AND $twm ";
	  $erg  = abfrage1($sql);
	  if (mysql_num_rows($erg) <= 0)
	  {
		/* Datum nicht in DB vorhanden */
		$mon  = $nw_feld[1];
		$year = $nw_feld[0];
	  }

	  $titel = "ein Monat vorw&auml;rts";
	}

	$url  .= "&nw_monat=".$mon."&nw_jahr=".$year;

	/* Schalter nur einbinden wenn ueberhaupt noch rueckwaerts moeglich */
	if (!($mon == $nw_feld[1] && $year == $nw_feld[0]) &&
		!($mon == "all" && $year == $nw_feld[0]))
	{
	  printf("<td class=\"cl20\" width=\"20\"><a href=\"%s\" title=\"%s\">", $url, $titel);
	  printf("<img border=\"0\" src=\"%s\"></a></td>\n", $bild);
	}
	else
	{
	  printf("<td class=\"cl20\" width=\"20\"></td>\n");
	}

	$order = $pers_order==2 ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc;";

	if($page == 4) {
		$naechster = $vorheriger = $naechstGespeicherterSB = $naechstGespeicherterGF = $notInList = true;
		$prev = $next = $saveAndNextGF = $saveAndNextSB = $gf_cnt = $sb_cnt = $hb_cnt = 0;
		$mas = array();
		$mit = abfrage1("select p.pers_id, p.name, p.vorname from tb_personal p
						where p.azk = 'j' and p.status_id = 2
						order by $order;");
		while ($zeile = mysql_fetch_row($mit)) {
			$azk = abfrage("select fls_soll, fls_gel
							from tb_x_azk_pers
							where nachw_id = $nwid
							and pers_id = $zeile[0];");
			if((empty($azk[0]) || $azk[0]=='0.00') && (empty($azk[1]) || $azk[1]=='0.00')) continue;
			$possibleNext = $possibleSaveAndNextGF = $possibleSaveAndNextSB = true;
			$wp = abfrage("select gf, hb, sb from tb_azk_kontrolle where pers_id='$zeile[0]' and datum='$abm'");
			$color = 'red';
			$title = "Haken GF noch nicht gesetzt";
			if($wp[2] > 0) {
				$sb_cnt++;
				$color = 'orange';
				$title = "Haken SB gesetzt";
				$possibleSaveAndNextSB = false;
			}
			if($wp[0] > 0) {
				$gf_cnt++;
				if(empty($wp[2])) $sb_cnt++;
				$color = 'yellow';
				$title = "Haken GF gesetzt";
				$possibleSaveAndNextGF = false;
			}
			if($wp[1] > 0) {
				$hb_cnt++;
				if($wp[0] > 0) $color = 'lime';
				$title = "Haken HB gesetzt";
				$possibleSaveAndNextSB = $possibleSaveAndNextGF = false;
			}
			$ma = "<option title=\"$title\" style=\"background-color:$color\" value=\"$zeile[0]\"";
			if($naechster && $possibleNext) {
				$naechster = false;
				$next = $zeile[0];
			}
			if($naechstGespeicherterGF && $possibleSaveAndNextGF) {
				$naechstGespeicherterGF = false;
				$saveAndNextGF = $zeile[0];
			}
			if($naechstGespeicherterSB && $possibleSaveAndNextSB) {
				$naechstGespeicherterSB = false;
				$saveAndNextSB = $zeile[0];
			}
			if ($pers == $zeile[0]) {
				$notInList = false;
				$vorheriger = false;
				$naechster = true;
				$naechstGespeicherterSB = $naechstGespeicherterGF = true;
				$ma .= ' selected';
			}
			if($vorheriger && $possibleNext) $prev = $zeile[0];
			$ma .= '>' . ($pers_order == 2 ? "$zeile[1], $zeile[2]" : "$zeile[2] $zeile[1]") . "</option>\n";
			$mas[] = $ma;
		}
		if($notInList) $pers=0;
		echo "<form action=\"$self\" method=\"GET\">\n";
		if(isset($rvar_nw_monat)) echo "<input type=\"hidden\" name=\"nw_monat\" value=\"$rvar_nw_monat\" />\n";
		if(isset($rvar_nw_jahr)) echo "<input type=\"hidden\" name=\"nw_jahr\" value=\"$rvar_nw_jahr\" />\n";
		echo "<input type=\"hidden\" name=\"page\" value=\"4\">\n";
		echo "<th class=\"cl1\">MA:</th><td width=\"20\">";
		if($prev > 0) {
			$prevlink = "$self?page=4&ma=$prev";
			if(isset($rvar_nw_monat)) $prevlink .= "&nw_monat=$rvar_nw_monat";
			if(isset($rvar_nw_jahr)) $prevlink .= "&nw_jahr=$rvar_nw_jahr";
			echo "<a href=\"$prevlink\"><image src=\"img/zurueck.png\" /></a>";
		} else echo "<img src=\"img/clearpixel.png\" width=\"19\" />";
		echo "</td><td style=\"vertical-align:middle\">";
		echo "<select name=\"ma\" size=\"1\" style=\"width:140px\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\"";
		if(empty($pers)) echo " selected";
		echo ">Mitarbeiter w&auml;hlen!</option>\n";
		foreach($mas as $ma) echo $ma;
		echo "</select>\n</td>\n</form>\n<td class=\"cl11\" width=\"20\">";
		if($next > 0 && $naechster == false) {
			$nextlink = "$self?page=4&ma=$next";
			if(isset($rvar_nw_monat)) $nextlink .= "&nw_monat=$rvar_nw_monat";
			if(isset($rvar_nw_jahr)) $nextlink .= "&nw_jahr=$rvar_nw_jahr";
			echo "<a href=\"$nextlink\"><image src=\"img/vor.png\" /></a>";
		} else echo "<img src=\"img/clearpixel.png\" width=\"19\" />";
		echo "</td>";
	} else {
		echo "<th class=\"cl1\">MA:</th>\n";

		if ($_SESSION[$AppCode]["ULV"] >= 60){
			echo "<form action=\"$self\" method=\"GET\">\n";
			echo "<input type=\"hidden\" name=\"nw\" value=\"$nwid\">\n";
			echo "<input type=\"hidden\" name=\"page\" value=\"1\">\n";
			if(isset($rvar_nw_monat)) echo "<input type=\"hidden\" name=\"nw_monat\" value=\"$rvar_nw_monat\">\n";
			if(isset($rvar_nw_jahr)) echo "<input type=\"hidden\" name=\"nw_jahr\" value=\"$rvar_nw_jahr\">\n";
			echo "<td style=\"vertical-align:middle\">";
			echo "<select style=\"width:140px\" name=\"ma\" size=\"1\" tabindex=\"2\" onchange=\"this.form.submit()\">\n";
			echo "<option value=\"all\"";
			if ($_GET['ma'] == 'all') echo " selected ";
			echo ">ALLE Mitarbeiter (mit AZK)</option>\n";
			echo "<option value=\"noazk\"";
			if ($_GET['ma'] == 'noazk') echo " selected ";
			echo ">Mitarbeiter ohne AZK</option>\n";
			echo "<option value=\"all\">--------------------------</option>\n";

			$mit = abfrage1("select p.pers_id from tb_personal p
							where p.azk = 'j' and p.status_id = 2
							order by $order;");

			while ($row = mysql_fetch_row($mit)){
				echo "<option value=\"$row[0]\" ";
				echo ($pers == $row[0]) ? ' selected' : '';
				echo ">" . ($pers_order==2 ? pers_name2($row[0]) : pers_name($row[0])) . "</option>\n";
				$ma_all[] = $row[0];
			}
			echo "</select>\n</td>\n";
			echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
			echo "</form>\n";
		} else {
			$abtleit = abfrage1("select abt_id from tb_personal_abt_leit where pers_id='{$_SESSION[$AppCode]["UID"]}' and personal='j'");
			if(mysql_num_rows($abtleit) > 0) {
				echo "<form action=\"$self\" method=\"GET\">\n";
				echo "<input type=\"hidden\" name=\"nw\" value=\"$nwid\">\n";
				echo "<input type=\"hidden\" name=\"page\" value=\"1\">\n";
				if(isset($rvar_nw_monat)) echo "<input type=\"hidden\" name=\"nw_monat\" value=\"$rvar_nw_monat\">\n";
				if(isset($rvar_nw_jahr)) echo "<input type=\"hidden\" name=\"nw_jahr\" value=\"$rvar_nw_jahr\">\n";
				echo "<td style=\"vertical-align:middle\">";
				echo "<select style=\"width:150px\" name=\"ma\" size=\"1\" tabindex=\"2\" onchange=\"this.form.submit()\">\n";
				echo "<option value=\"all\"";
				if ($_GET['ma'] == 'all') echo " selected ";
				echo ">ALLE Mitarbeiter (meiner Abteilung)</option>\n";
				$order = $pers_order==2 ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc;";
				$mit = abfrage1("select p.pers_id from tb_personal p
								where p.azk = 'j' and p.status_id = 2
								order by $order;");
				while ($row = mysql_fetch_row($mit)){
					if(check_al_rechte($row[0]) < 2) continue;
					echo "<option value=\"$row[0]\" ";
					echo ($pers == $row[0]) ? ' selected' : '';
					echo ">" . ($pers_order==2 ? pers_name2($row[0]) : pers_name($row[0])) . "</option>\n";
				}
				echo "</select>\n</td>\n";
				echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
				echo "</form>\n";
			} else echo "<td>" . ($pers_order==2 ? pers_name2($pers) : pers_name($pers)) . "</td>\n";
		}
	}

	// Button Druckausgabe Einzel-AZK
	if ($_GET['ma'] != "all" && $_GET['ma'] != "noazk")
	{
		echo "<td width=\"5\"></td>\n";
		echo "<td style=\"vertical-align:middle\">";

		if ($rvar_nw_monat == "all")
		{
		  echo "<a href=\"azk2_pr.php?stamp=$stamp&nw=$nwid&ma=$pers&jahr=1\" target=\"_pdf\">";
		}
		else
		{
		  echo "<a href=\"azk2_pr.php?stamp=$stamp&nw=$nwid&ma=$pers&ts=" . time() . "\" target=\"_pdf\">";
		}

		echo "<img src=\"img/drucker.png\" title=\"AZK drucken\" border=\"0\"></a>";
		echo "</td>\n";

		// Button Druckausgabe AZK-Mappe - ab Level 65!
		if ($_SESSION[$AppCode]['ULV'] >= 65){
			echo "<td width=\"5\"></td>\n";
			echo "<td style=\"vertical-align:middle\">";
			echo "<a href=\"azk2_pr2.php?jahr=1&nw=$nwid&ts=" . time() . "\" target=\"_pdf\">";
			echo "<img src=\"img/drucker.png\" title=\"AZK-Mappe drucken\" border=\"0\"></a>";
			echo "</td>\n";
		}
	}

	// Button Druckausgabe Sammelansicht - ab Level 65!

	if ($_SESSION[$AppCode]['ULV'] >= 65 && $_GET['ma'] == 'all'){
		echo "<td width=\"5\"></td>\n";
		echo "<td style=\"vertical-align:middle\">";
		if ($rvar_nw_monat == "all")
		{
		  echo "<a href=\"azk2_pr.php?stamp=$stamp&nw=$nwid&ma=all&jahr=1&ts=" . time() . "\" target=\"_pdf\">";
		}
		else
		{
		  echo "<a href=\"azk2_pr.php?stamp=$stamp&nw=$nwid&ma=all&ts=" . time() . "\" target=\"_pdf\">";
		}

		echo "<img src=\"img/drucker.png\" title=\"AZK drucken\" border=\"0\"></a>";
		echo "</td>\n";

		echo "<td width=\"5\"></td>\n";
		echo "<td style=\"vertical-align:middle\">";
		echo "<a href=\"azk2_pr3.php?jahr=1&stamp=$stamp&nw=$nwid&ts=" . time() . "\" target=\"_pdf\">";
		echo "<img src=\"img/drucker.png\" title=\"AZK-Gesamtliste drucken\"  border=\"0\"></a>";
		echo "</td>\n";
	}

	if($page==4) {
		echo "<td width=\"5\"></td>\n";
		echo "<td style=\"vertical-align:middle\"><a href=\"azk2_pr.php?stamp=$stamp&nw=$nwid&ma=all&ts=" . time() . "\" ";
		$r = $g = false;
		$ma_cnt = sizeof($mas);
		if($gf_cnt < $ma_cnt) { $r = 255; $g = 127; }
		if($sb_cnt < $ma_cnt) { $r = 255; $g = 0; }
		elseif($hb_cnt == $ma_cnt) { $r = 0; $g = 255; }
		echo "target=\"_pdf\"><img src=\"".image('drucker',16,16,$r,$g,0)."\"";
		echo stwToolTip("Arbeitszeitkonten drucken") . "border=\"0\"></a></td>\n";
	}
	// Button Druckausgabe MA Jahresuebersicht - ab Level 65
	if(($_SESSION[$AppCode]['ULV'] >= 65 && $page==1 && $rvar_nw_monat=='all') || 
		($_SESSION[$AppCode]['ULV'] > 25 && $page==1 && $rvar_nw_monat=='all' && $pers==$_SESSION[$AppCode]['UID'])) {
		echo "<td width=\"5\"></td>\n<td style=\"vertical-align:middle\">";
		echo "<a href=\"pers_pr_azk_jahr.php?stamp=$stamp&ma=$pers&nw_jahr=$rvar_nw_jahr\" target=\"_pdf\">";
		if($_SESSION[$AppCode]['azk_jahr_team'] === 'all') {
			$img = image('drucker');
			$titl = "Mitarbeiter Jahres&uuml;bersicht drucken
Durchschnittswert aller Mitarbeiter";
		} elseif($_SESSION[$AppCode]['azk_jahr_team'] == 0) {
			$img = image('drucker',16,16,192,192,192);
			$titl = "Mitarbeiter Jahres&uuml;bersicht drucken
kein Durchschnittswert";
		} else {
			$co = transformColor($abtcolors[ $_SESSION[$AppCode]['azk_jahr_team'] ]);
			$img = image('drucker',16,16,$co[0],$co[1],$co[2]);
			$titl = "Mitarbeiter Jahres&uuml;bersicht drucken
Durchschnittswert ".$abtnamen[ $_SESSION[$AppCode]['azk_jahr_team'] ];
		}
		echo "<img src=\"$img\" name=\"majpr\" id=\"majpr\" title=\"$titl\" border=\"0\"></a></td>";
		echo "<td><a href=\"#\" style=\"font-size:small;position:relative;left:-2px;top:-4px;\" onClick=\"doTT()\">+</a></td>";
	}

	// Button Neuberechnung AZKs  - ab Level 65

	if ($_SESSION[$AppCode]['ULV'] >= 65){
		echo "<td width=\"5\"></td>\n";
		echo "<td>";
		echo "<input type=\"button\" value=\"neu berechnen\" ";
		echo stwToolTip(($pers == 'all') ? "alle AZK neu berechnen" : ("AZK von ".pers_name($pers)." neu berechnen"));
		$urlext = $pers=='all' ? '' : "?ma=$pers";
		echo "onClick=\"self.location.href='azk_update_req.php$urlext'\">";
		echo "</td>\n";
	}

	// Ende Tabelle fr Schalter
	echo "</tr>\n";
	echo "</table>\n";

	// Liegen Daten zum Anzeigen vor?!
	$prs = abfrage1("select pers_id from tb_x_azk_pers where nachw_id = '$nwid' limit 1;");
	if(mysql_num_rows($prs) == 0) {
		new stwLine(1);
		echo "<h1 style=\"text-align:center\">Es liegen keine Daten zum Anzeigen vor</h1>\n";
		echo "<h2 style=\"text-align:center\">Eine Neuberechnung des AZK ist erforderlich</h2>\n";
		echo "<center><b>(&Uuml;blicherweise wird dies nachts von einem Cron Job erledigt)</b></center>\n";
		if($page==4) echo "</td></tr></table>";
		new stwEnd($seite);
		exit(0);
	}

	echo "<table>\n";
	echo "<tr>\n";

	// Tabellenberschrift
	new stwTabLine(1,30);

  /* Projekte werden bei Jahresansicht nicht gezeigt */
  if ($rvar_nw_monat == "all") {
    printf("<th>Monate</th>\n");
  } else {
    printf("<th>Projekt-Nr.</th>\n");
  }

	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">FLS<br>netto</th>\n";
	echo "<td width=\"5\"></td>\n";
 	if(getConf('vor_nach_b') == 1 || $tt_vun) {
		echo "<th style=\"text-align:center\">VuN</th>\n";
		echo "<td width=\"5\"></td>\n";
	}
	echo "<th style=\"text-align:center\">Fahrtzeit<br>brutto</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">Fahrtzeit<br>netto</th>\n";
	echo "<td width=\"5\"></td>\n";

	if(getConf('doku_in_azk')!='0'){
	  echo "<th style=\"text-align:center\">Doku</th>\n";
	  echo "<td width=\"5\"></td>\n";
	}

	echo "<th style=\"text-align:center\">FLS<br>brutto</th>\n";
	echo "<td width=\"5\"></td>\n";

	if(getConf('vertr_in_azk')!='0'){
	  $dvTT = stwToolTip("Wenn ein involvierter Betreuer mit zugeordneten Sollstunden eine Fehlzeit hat, dann werden HB, DB, TB und VT &uuml;ber ihr m&ouml;gliches zugeordnetes Soll hinaus geleistete Stunden als ertretungsstunden angerechnet.");
	  echo "<th style=\"text-align:center\" $dvTT>davon<br>Vertretung</th>\n";
	  echo "<td width=\"5\"></td>\n";
	}

	if(getConf('fm_in_azk')!='0'){
	  echo "<th style=\"text-align:center\">FM</th>\n";
	  echo "<td width=\"5\"></td>\n";
	}

	echo "<th style=\"text-align:center\">Spesen</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">Privat-<br>PKW</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">Dienst-<br>PKW</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">km<br>gesamt</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">Summe<br>C</th>\n";
	echo "</tr>\n";
	new stwTabLine(1,30);

	if ($_GET['ma'] == 'all' || $_GET['ma'] == 'noazk'){

		$gs_netto  = 0;
		$gs_vun    = 0;
		$gs_fzb    = 0;
		$gs_fzn    = 0;
		$gs_doku   = 0;
		$gs_brutto = 0;
		$gs_spesen = 0;
		$gs_kmp    = 0;
		$gs_kmd    = 0;
		$gs_kmg    = 0;
		$gs_c      = 0;
		$gs_ver    = 0;
		$gs_soll   = 0;
		$gs_azk    = 0;
		$gs_stand  = 0;
		$gs_vertr  = 0;
		$auslastung = array();

                /*
                 * Abfrage der Personen fuer dieses Jahr wenn
                 * Jahresuebersicht
                 */
                if ($rvar_nw_monat == "all")
                {
                  /* Jahr bestimmen */
                  $zw = explode("-", $abm);
                  $ende = $zw[0] + 1;

                  if($zw[0] >= 2012) {
					$sql = "select pers_id from tb_personal where ";
					$sql .= $_GET['ma'] == 'noazk' ? "azk!='j' and level>5" : "azk='j'";
					$sql .= "and unix_timestamp(if(unix_timestamp(anstellung) > 0, 
								if(unix_timestamp(eintritt) > 0, 
								if(unix_timestamp(eintritt)>unix_timestamp(anstellung),anstellung,eintritt),
								anstellung), eintritt)) < unix_timestamp('$ende-$zw[1]-$zw[2]')
							and (((unix_timestamp(austritt) = 0 or unix_timestamp(austritt) IS NULL) and status_id = 2) or
								unix_timestamp(austritt) >= unix_timestamp('$abm'))
							order by personalnr asc;";
				  } else {
					$sql  = "SELECT t1.pers_id FROM tb_ab_zk t1 ";
					$sql .= "LEFT JOIN tb_personal t2 ON t1.pers_id = ";
					$sql .= "t2.pers_id ";
					$sql .= "LEFT JOIN tb_ab_nachw t3 ON t1.nachw_id = ";
					$sql .= "t3.nachw_id ";
					$sql .= "WHERE t3.datum >= '".$zw[0]."-01-01' AND ";
					$sql .= "t3.datum < '".$ende."-01-01' AND t2.azk='j' ";
					$sql .= "GROUP BY t1.pers_id ";
					$sql .= "ORDER BY t2.personalnr ASC;";
				  }
                  $personal = abfrage1($sql);
                }
                else
                {
                  if(date_my2ts($abm) >= date_gr2ts('01.01.2012')) {
					$sql = "select pers_id from tb_personal where ";
					$sql .= $_GET['ma'] == 'noazk' ? "azk!='j' and level>5" : "azk='j'";
					$sql .= " and unix_timestamp(if(unix_timestamp(anstellung) > 0, 
								if(unix_timestamp(eintritt) > 0, 
								if(unix_timestamp(eintritt)>unix_timestamp(anstellung),anstellung,eintritt),
								anstellung), eintritt)) < unix_timestamp(DATE_ADD('$abm', INTERVAL 1 MONTH))
							and (((unix_timestamp(austritt) = 0 or unix_timestamp(austritt) IS NULL) and status_id = 2) or
								unix_timestamp(austritt) >= unix_timestamp('$abm'))
							order by personalnr asc;";
				  } else {
					$sql = "select z.pers_id from tb_ab_zk z
							left join tb_personal p using (pers_id)
							where z.nachw_id = $nwid
							and p.azk = 'j'
							group by z.pers_id
							order by p.personalnr asc;";
				  }
                  $personal = abfrage1($sql);
                }

		while ($zl = mysql_fetch_row($personal)){
			if($_SESSION[$AppCode]["ULV"] < 60) {
				if(check_al_rechte($zl[0]) < 2) continue;
			}
			echo "<tr>\n";
			echo "<th colspan=\"30\">";
			$pers_nr = pers_nummer($zl[0]);
			echo $pers_nr;
			echo "&nbsp;&nbsp;&nbsp;>&nbsp;&nbsp;&nbsp;";
			echo pers_name($zl[0]);
			echo "</th>\n";

			echo "</tr>\n";
			new stwTabLine(2,30);

                        if ($rvar_nw_monat == "all")
                        {
                          /* Summenwerte initialisieren */
                          $g1_netto = 0; $g1_fzb = 0; $g1_fzn = 0; $g1_doku = 0;
                          $g1_brutto = 0; $g1_fm = 0; $g1_spesen = 0;

                          $g1_kmp = 0; $g1_kmd = 0; $g1_kmg = 0; $g1_c = 0;
                          $g1_ver = 0; $g1_soll = 0; $g1_azk = 0;

                          $g1_stand = 0; $g1_auslastung = 0; $g1_vun = 0;

                          /* letztes Datum fuer dieses Jahr ermitteln */
                          $zwi  = explode("-", $abm);
                          $ende = $zwi[0]."-12-31";

                          /* alle Monate auswaehlen die dieses Jahr betreffen */
                          $sql  = "SELECT nachw_id, datum FROM tb_ab_nachw ";
                          $sql .= "WHERE datum>='".$abm."' AND datum<='".$ende."'";
						  if($twm != '') $sql .= " AND $twm ";

                          $monate = abfrage1($sql);
                          while ($zeile = mysql_fetch_row($monate))
                          {
                            $person = printPerson($zl[0], $zeile[0], $zeile[1],
                                                $_SESSION[$AppCode]["ULV"], 1, $tt_vun, $fm);

                            /* fuer Gesamtsumme merken */
                            $g1_netto  += $person['netto'];
                            $g1_vun    += $person['vun'];
                            $g1_fzb    += $person['fzb'];

                            $g1_fzn    += $person['fzn'];
                            $g1_doku   += $person['doku'];

                            $g1_brutto += $person['brutto'];
                            $fm = $person['fm'];

                            $g1_spesen += $person['spesen'];
                            $g1_kmp    += $person['kmp'];

                            $g1_kmd    += $person['kmd'];
                            $g1_kmg    += $person['kmg'];

                            $g1_c      += $person['c'];
                            $g1_ver    += $person['ver'];

                            $g1_soll   += $person['soll'];
                            $g1_azk    += $person['azk'];

							$g1_stand  = $person['stand'];

                            if ($person['ausl'] > 0)
                            {
                              $g1_auslastung += $person['ausl'];
                            }
                          }

                          $person = array(
				'netto' => $g1_netto,
				'vun' => $g1_vun,
				'fzn' => $g1_fzn,
				'fzb' => $g1_fzb,
				'doku' => $g1_doku,
				'brutto' => $g1_brutto,
				'fm' => $g1_fm,
				'spesen' => $g1_spesen,
				'kmp' => $g1_kmp,
				'kmd' => $g1_kmd,
				'kmg' => $g1_kmg,
				'c' => $g1_c,
				'ver' => $g1_ver,
				'soll' => $g1_soll,
				'azk' => $g1_azk,
				'stand' => $g1_stand,
				'ausl' => $g1_auslastung);
                        }
                        else
                        {
			  $person = printPerson($zl[0], $nwid, $abm,
                                    $_SESSION[$AppCode]["ULV"], 0, $tt_vun, $fm);
                        }

			$gs_netto  += $person['netto'];
			$gs_vun    += $person['vun'];
			$gs_fzb    += $person['fzb'];
			$gs_fzn    += $person['fzn'];
			$gs_doku   += $person['doku'];
			$gs_brutto += $person['brutto'];
			$fm = $person['fm'];
			$gs_spesen += $person['spesen'];
			$gs_kmp    += $person['kmp'];
			$gs_kmd    += $person['kmd'];
			$gs_kmg    += $person['kmg'];
			$gs_c      += $person['c'];
			$gs_ver    += $person['ver'];
			$gs_soll   += $person['soll'];
			$gs_azk    += $person['azk'];
			$gs_vertr  += $person['vertr'];

      /* nur die positiven Werte zaehlen */
      if ($person['stand'] > 0) $gs_stand += $person['stand'];
      if ($person['ausl'] > 0) $auslastung[$pers_nr] = $person['ausl'];
		}
	}
        else
        {
          /* Jahresuebersicht darstellen */
          if ($rvar_nw_monat == "all")
          {
            /* Summenwerte initialisieren */
            $gs_netto = 0; $gs_fzb = 0; $gs_fzn = 0; $gs_doku = 0;
            $gs_brutto = 0; $gs_spesen = 0; $gs_kmp = 0;

            $gs_kmd = 0; $gs_kmg = 0; $gs_c = 0; $gs_ver = 0; $gs_soll = 0;
            $gs_azk = 0; $gs_vun = $gs_vertr = 0;

            /* letztes Datum fuer dieses Jahr ermitteln */
            $zwi  = explode("-", $abm);
            $ende = $zwi[0]."-12-31";

            /* alle Monate auswaehlen die dieses Jahr betreffen */
            $sql  = "SELECT nachw_id, datum FROM tb_ab_nachw ";
            $sql .= "WHERE datum>='".$abm."' AND datum<='".$ende."'";
			if($twm != '') $sql .= " AND $twm";

            $monate = abfrage1($sql);
            while ($zeile = mysql_fetch_row($monate))
            {
              $person = printPerson($pers, $zeile[0], $zeile[1],
                                    $_SESSION[$AppCode]["ULV"], 1, $tt_vun, $fm);

              /* fuer Gesamtsumme merken */
              $gs_netto  += $person['netto'];
              $gs_vun    += $person['vun'];
              $gs_fzb    += $person['fzb'];

              $gs_fzn    += $person['fzn'];
              $gs_doku   += $person['doku'];

              $gs_brutto += $person['brutto'];
              $fm = $person['fm'];

              $gs_spesen += $person['spesen'];
              $gs_kmp    += $person['kmp'];

              $gs_kmd    += $person['kmd'];
              $gs_kmg    += $person['kmg'];

              $gs_c      += $person['c'];
              $gs_ver    += $person['ver'];

              $gs_soll   += $person['soll'];
              $gs_azk    += $person['azk'];

              $gs_vertr  += $person['vertr'];

              if ($person['stand'] > 0) $gs_stand += $person['stand'];
              if ($person['ausl'] > 0)  $auslastung[$pers_nr] = $person['ausl'];
            }
          }
          else
          {
            $person = printPerson($pers, $nwid, $abm, $_SESSION[$AppCode]["ULV"], 0, $tt_vun, $fm);
          }
	}

	if ($_GET['ma'] == 'all' || $rvar_nw_monat == "all"){
		echo "<tr>\n";
		echo "<th>Gesamtsummen</th>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<th".stwToolTip('FLS Netto')."style=\"text-align:right\">" . fls_form($gs_netto) . "</th>\n";
		if(getConf('vor_nach_b') == 1 || $tt_vun) {
			echo "<td width=\"5\"></td>\n";
			echo "<th".stwToolTip('VuN')."style=\"text-align:right\">" . fls_form($gs_vun) . "</th>\n";
		}
		echo "<td width=\"5\"></td>\n";
		echo "<th".stwToolTip('Fahrzeit brutto')."style=\"text-align:right\">" . fls_form($gs_fzb) . "</th>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<th".stwToolTip('Fahrzeit Netto')."style=\"text-align:right\">" . fls_form($gs_fzn) . "</th>\n";
		echo "<td width=\"5\"></td>\n";
		if(getConf('doku_in_azk')!='0'){
			echo "<th".stwToolTip('Dokumentation')."style=\"text-align:right\">" . fls_form($gs_doku) . "</th>\n";
			echo "<td width=\"5\"></td>\n";
		}
		echo "<th".stwToolTip('FLS Brutto')."style=\"text-align:right\">" . fls_form($gs_brutto) . "</th>\n";
		echo "<td width=\"5\"></td>\n";
		if(getConf('vertr_in_azk')!='0'){
			echo "<th".stwToolTip('...davon Vertretung')."style=\"text-align:right\">" . fls_form($gs_vertr) . "</th>\n";
			echo "<td width=\"5\"></td>\n";
		}
		if(getConf('fm_in_azk')!='0'){
			echo "<th".stwToolTip('Folgemonat: ohne Verwaltungsprojekte')."style=\"text-align:right;color:green\">" . fls_form( array_sum($fm) ) . "</th>\n";
			echo "<td width=\"5\"></td>\n";
		}

		echo "<th".stwToolTip('Spesen')."style=\"text-align:right\">" . geld_form_web($gs_spesen) . "</th>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<th".stwToolTip('Privat-PKW')."style=\"text-align:right\">" . km_form($gs_kmp) . "</th>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<th".stwToolTip('Dienst-PKW')."style=\"text-align:right\">" . km_form($gs_kmd) . "</th>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<th".stwToolTip('km gesamt')."style=\"text-align:right\">" . km_form($gs_kmg) . "</th>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<th".stwToolTip('Summe C')."style=\"text-align:right\">" . fls_form($gs_c) . "</th>\n";
		echo "</tr>\n";
		new stwTabLine(2,30);

		echo "<tr><td colspan=\"30\" style=\"background-color:black\">\n";
		echo "<table>\n";
		echo "<tr>";
		echo "<th>FLS Soll:</th>";
		echo "<td width=\"5\"></td>\n";
		echo "<th>" . fls_form($gs_soll) . "</th>";
		echo "<td width=\"25\"></td>\n";
		echo "<th>FLS geleistet:</th>";
		echo "<td width=\"5\"></td>\n";
		echo "<th>" . fls_form($gs_brutto) . "</th>";
		echo "<td width=\"25\"></td>\n";
		echo "<th>&Uuml;bertrag ins AZK:</th>";
		echo "<td width=\"5\"></td>\n";
		echo "<th>" . fls_form($gs_azk) . "</th>";
		echo "<td width=\"25\"></td>\n";
		echo "<th>Stand AZK:</th>";
		echo "<td width=\"5\"></td>\n";
		echo "<th>" . fls_form($gs_stand) . "</th>";
		echo "<td width=\"5\">=</td>\n";

		$ag_stsatz=getConf('ag_stsatz');

		//Falls ag_stsatz keine Zahl/num.String ist dann Standardwert 18 (Euro) verwenden.
		//(z.B. auch bei nicht vorhandenem Datenbankfeld)
		if(is_numeric($ag_stsatz)){
			echo "<th>" . geld_form_web($gs_stand * $ag_stsatz) . "</th>";
		}else{
			echo "<th>" . geld_form_web($gs_stand * 18) . "</th>";
		}

		echo "</tr>\n";
		echo "</table></td></tr>\n";
		new stwTabLine(1,30);

		echo "</table>\n";

		if ($gs_netto > 0){

			echo "<table>\n";

			$c1 = round($gs_brutto - $gs_ver, 0);
			$c2 = round($gs_fzb, 0);
			$c3 = round($gs_ver, 0);
			$c4 = round($gs_c, 0);

			echo "<tr>\n";
			echo "<td>";
			$img1 = azk_chart1($stamp, $c1, $c2, $c3, $c4);
			echo "<img src=\"$img1\" alt=\"Stundenaufteilung\">\n";
			echo "</td>\n";

			$c11 = round($c1 * 0.14, 0);
			$c12 = round($gs_spesen, 0);

			echo "<td>";
			$img2 = azk_chart2($stamp, $c11, $c12);
			echo "<img src=\"$img2\" alt=\"Stundenaufteilung\">\n";
			echo "</td>\n";

			$c21 = round($c1 * 3.54, 0);
			$c22 = round($gs_kmp * (getConf('privat_pkw') / 100.00), 0);
			$c23 = round($gs_kmd * (getConf('anerk_priv_pkw') / 100.00), 0);

			echo "<td>";
			$img3 = azk_chart3($stamp, $c21, $c22, $c23);
			echo "<img src=\"$img3\" alt=\"km-Statistik\">\n";
			echo "</td>\n";

			echo "</tr>\n";
			echo "</table>\n";
		}

	} else {

		if ($person['netto'] > 0 && pers_betreuer($pers)){

			echo "<table>\n";

			$c1 = round($person['brutto'] - $person['ver'], 0);
			$c2 = round($person['fzb'], 0);
			$c3 = round($person['ver'], 0);
			$c4 = round($person['c'], 0);

			echo "<tr>\n";
			echo "<td>";
			$img1 = azk_chart1($stamp, $c1, $c2, $c3, $c4);
			echo "<img src=\"$img1\" alt=\"Stundenaufteilung\">\n";
			echo "</td>\n";

			$c11 = round($c1 * 0.14, 0);
			$c12 = round($person['spesen'], 0);

			echo "<td>";
			$img2 = azk_chart2($stamp, $c11, $c12);
			echo "<img src=\"$img2\" alt=\"Stundenaufteilung\">\n";
			echo "</td>\n";

			$pkw = abfrage("select priv_pkw from tb_personal where pers_id = $pers;");
			if ($pkw[0] == 'j'){
				$priv_satz = getConf('anerk_priv_pkw') / 100.00;
			} else {
				$priv_satz = getConf('privat_pkw') / 100.00;
			}

			$c21 = round($c1 * 3.54, 0);
			$c22 = round($person['kmp'] * $priv_satz, 0);
			$c23 = round($person['kmd'] * (getConf('anerk_priv_pkw') / 100.00), 0);

			echo "<td>";
			$img3 = azk_chart3($stamp, $c21, $c22, $c23);
			echo "<img src=\"$img3\" alt=\"km-Statistik\">\n";
			echo "</td>\n";

			echo "</tr>\n";
			echo "</table>\n";
		}
	}
}

$nw_feld = explode("-", $abm);
$jahr = $nw_feld[0];
$monat = ($rvar_nw_monat == "all") ? 'all' : $nw_feld[1];
$daten = ($monat == 'all')  ? ab_cal(1, $jahr) : ab_cal($monat, $jahr);
$ma = $pers;
$p_art = 'all';
$tr = 'all';
$no_X_btn = true;
include "fehlz.inc.php";

if($page==4) {
	$wp = abfrage( "select pers_id, gf, date_format(gf_ts, '%d.%m.%Y %H:%i'), 
					notizen, hb, date_format(hb_ts, '%d.%m.%Y %H:%i'),
					sb, date_format(sb_ts, '%d.%m.%Y %H:%i')
					from tb_azk_kontrolle where pers_id='$pers' 
					and datum='$abm'" );
	echo "</td><td>";
	$wp[1] += 0; $wp[4] += 0; $wp[6] += 0;
	echo "<form name=\"right\" method=\"post\" action=\"$self\">\n";
	echo "<input type=\"hidden\" name=\"page\" value=\"4\" />\n";
	echo "<input type=\"hidden\" id=\"wp\" name=\"wp\" value=\"".(empty($wp[0]) ? 0 : 1)."\" />\n";
	echo "<input type=\"hidden\" name=\"pers\" value=\"$pers\" />\n";
	echo "<input type=\"hidden\" name=\"ma\" id=\"ma\" value=\"$pers\" />\n";
	echo "<input type=\"hidden\" name=\"datum\" value=\"$abm\" />\n";
	if(isset($rvar_nw_monat)) echo "<input type=\"hidden\" name=\"nw_monat\" value=\"$rvar_nw_monat\" />\n";
	if(isset($rvar_nw_jahr)) echo "<input type=\"hidden\" name=\"nw_jahr\" value=\"$rvar_nw_jahr\" />\n";
	echo "<input type=\"hidden\" name=\"gf_old\" value=\"$wp[1]\" />\n";
	echo "<input type=\"hidden\" name=\"hb_old\" value=\"$wp[4]\" />\n";
	echo "<input type=\"hidden\" name=\"sb_old\" value=\"$wp[6]\" />\n";
	echo "<table width=\"120\">\n";
	echo "<tr><th style=\"width:30px;text-align:right\">SB:</th><td style=\"width:20px;vertical-align:middle\">";
	$checked = empty($wp[6]) ? "onchange=\"this.form.submit()\" value=\"1\"" : "checked value=\"$wp[6]\"";
	echo "<input type=\"checkbox\" name=\"sb\" $checked ";
	if($ulv < 60) echo "disabled ";
	echo "/></td>";
	if($ulv < 60) echo "<input type=\"hidden\" name=\"sb\" value=\"$wp[6]\" />\n";
	if($wp[6] > 0) echo "<td".stwToolTip(pers_name($wp[6])." $wp[7]").">".pers_initialen($wp[6])." ".substr($wp[7],0,6)."</td>";
	elseif($ulv >= 60) {
		echo "<th style=\"text-align:right\"".stwToolTip('SB OK setzen und zum n&auml;chsten Mitarbeiter wechseln').">+ n.MA: ";
		echo "<input type=\"checkbox\" name=\"sb\" value=\"1\" onchange=\"document.getElementById('ma').value=$saveAndNextSB; this.form.submit()\"></th>";
	}
	echo "</tr>\n";
	echo "<tr><th style=\"width:30px;text-align:right\">GF:</th><td style=\"width:20px;vertical-align:middle\">";
	$checked = empty($wp[1]) ? "onchange=\"this.form.submit()\" value=\"1\"" : "checked value=\"$wp[1]\"";
	echo "<input type=\"checkbox\" name=\"gf\" $checked ";
	if($ulv < 96) echo "disabled ";
	echo "/></td>";
	if($ulv < 96) echo "<input type=\"hidden\" name=\"gf\" value=\"$wp[1]\" />\n";
	if($wp[1] > 0) echo "<td".stwToolTip(pers_name($wp[1])." $wp[2]").">".pers_initialen($wp[1])." ".substr($wp[2],0,6)."</td>";
	elseif($ulv >= 96) {
		echo "<th style=\"text-align:right\"".stwToolTip('GF OK setzen und zum n&auml;chsten Mitarbeiter wechseln').">+ n.MA: ";
		echo "<input type=\"checkbox\" name=\"gf\" value=\"1\" onchange=\"document.getElementById('ma').value=$saveAndNextGF; this.form.submit()\"></th>";
	}
	echo "</tr>\n";
	if($ulv >= 96) {
		echo "<tr><td colspan=\"3\" style=\"text-align:center\">";
		echo "<table vellspacing=\"4\" cellpadding=\"0\"><tr>";
		echo "<td width=\"16\">";
		if($prev > 0) {
			echo "<input type=\"button\" style=\"background-color:#333;color:transparent;width:20px;height:20px;";
			echo "background-image:url(img/zurueck.png);background-repeat:no-repeat;\" ";
			echo stwToolTip("<b>zum vorherigen Mitarbeiter</b>");
			echo "onClick=\"self.location.href='$prevlink'\" />";
		}
		echo "</td><td><input type=\"submit\" name=\"save\" value=\"speichern\" /></td>";
		echo "<td width=\"16\">";
		if($next > 0 && $naechster == false) {
			echo "<input type=\"button\" style=\"background-color:#333;color:transparent;width:20px;height:20px;";
			echo "background-image:url(img/vor.png);background-repeat:no-repeat;\" ";
			echo stwToolTip("Beim Laden der Seite hat diese Schaltfl&auml;che den Fokus.<br>Enter oder Leertaste navigieren <b>zum n&auml;chsten Mitarbeiter</b>");
			echo "name=\"nextR\" onClick=\"self.location.href='$nextlink'\" />";
		}
		echo "</td></tr></table></td></tr>\n";
	}
	echo "<tr><td colspan=\"3\"><textarea name=\"notizen\" id=\"notizen\" style=\"width:100%\" rows=\"2\"";
	if(($ulv < 96 && $wp[6] > 0) || $ulv < 60) echo " readonly";
	echo " onblur=\"xajax_savenote(".(empty($wp[0]) ? 0 : 1).",'$abm',$pers,notizen.value)\"";
	echo ">$wp[3]</textarea></td></tr>\n";
	echo "<tr><th style=\"width:30px;text-align:right\">HB:</th><td style=\"width:20px;vertical-align:middle\">";
	$checked = empty($wp[4]) ? "value=\"1\"" : "checked value=\"$wp[4]\"";
	echo "<input type=\"checkbox\" name=\"hb\" $checked ";
	if($ulv < 96 && $uid != $pers) echo "disabled ";
	echo "onchange=\"this.form.submit()\" /></td>";
	if($wp[4] > 0) echo "<td".stwToolTip(pers_name($wp[4])." $wp[5]").">".pers_initialen($wp[4])." ".substr($wp[5],0,6)."</td>";
	echo "</tr></table></form>\n</td></tr></table>\n";
}

} elseif ($page == 2){
	if($_GET['ma'] == 'noazk') $_GET['ma']='all';
	if($pers == 'noazk') $pers='all';
	echo "<table>\n";
	echo "<tr>\n";
	// Schalter fr Mitarbeiter -> ab Level 60!

	echo "<th style=\"vertical-align:middle;padding-right:5px\">Mitarbeiter&nbsp;:</th>\n";

	if ($_SESSION[$AppCode]["ULV"] >= 65){
		echo "<form action=\"$self\" method=\"get\">\n";
		echo "<input type=\"hidden\" name=\"page\" value=\"2\">\n";
		echo "<td>";
		echo "<select name=\"ma\" size=\"1\" tabindex=\"2\" onChange=\"this.form.submit()\">\n";
		echo "<option value=\"all\"";
		echo ($_GET['ma'] == 'all') ?  ' selected' : '';
		echo ">ALLE Mitarbeiter</option>\n";

		$mit = abfrage1("select z.pers_id from tb_ab_zk z
						left join tb_personal p using (pers_id)
						where p.azk = 'j' and p.status_id = 2
						group by z.pers_id
						order by p.vorname asc, p.name asc;");

		while ($row = mysql_fetch_row($mit)){
			echo "<option value=\"$row[0]\" ";
			echo ($pers == $row[0]) ? ' selected': '';
			echo ">" . pers_name($row[0]) . "</option>\n";
		}
		echo "</select>\n</td>\n";
		echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
		echo "</form>\n";
	} else {
		echo "<td>" . pers_name($pers) . "</td>\n";
	}
	echo "</tr>\n";
	echo "</table>\n";

	new stwLine(1);


	echo "<table>\n";
	echo "<tr>\n";
	if ($pers == 'all' || $pers == 'noazk'){
		echo "<th>Personal-Nr.</th>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<th style=\"text-align:center\">Name</th>\n";
		echo "<td width=\"5\"></td>\n";
	}
	echo "<th style=\"text-align:center\">FLS Soll</th>\n";
	echo "<td width=\"5\"></td>\n";

  /* pruefen ob ein Kapazitaetskorrekturwert gesetzt wurde */
  $sql = "SELECT kap_korr FROM tb_personal WHERE kap_korr != 0.00";
  if ($pers != "all" && $pers != "noazk") $sql .= " AND pers_id='".$pers."'";

  $erg = abfrage1($sql);
  if (mysql_num_rows($erg) > 0)
  {
    $kap_show = 1;
    printf("<th>PLsoll</th>");
  }

	echo "<th style=\"text-align:center\">FLS gel.</th>\n";
	echo "<td width=\"2\"></td>\n";
	if(getConf('vor_nach_b') == 1 || $tt_vun) {
	  echo "<th style=\"text-align:center\">VuN</th>\n";
	  echo "<td width=\"2\"></td>\n";
	}
	echo "<th style=\"text-align:center\">FZ brutto</th>\n";
	echo "<td width=\"2\"></td>\n";
	echo "<th style=\"text-align:center\">FZ netto</th>\n";
	echo "<td width=\"2\"></td>\n";
	echo "<th style=\"text-align:center\">FLS gesamt</th>\n";
	echo "<td width=\"2\"></td>\n";
	echo "<th style=\"text-align:center\">extern</th>\n";
	echo "<td width=\"2\"></td>\n";
	echo "<th style=\"text-align:center\">offen</th>\n";
	echo "<td width=\"2\"></td>\n";
	echo "<th style=\"text-align:center\">relativ</th>\n";
	echo "</tr>\n";

	new stwTabLine(2,30);

	if ($pers == "all"){
		$personal = abfrage1("SELECT
							z.pers_id,
							sum(time_to_sec(z.fls)/3600),
							sum((unix_timestamp(t.bis) - unix_timestamp(t.von) -
								time_to_sec(z.fls) - time_to_sec(z.vun))/3600),
							sum(time_to_sec(z.fls)/3600) * 0.15,
							sum(time_to_sec(z.vun)/3600)
							FROM tb_ab_zk z
							inner join tb_termine t using(termin_id)
							inner join tb_personal p on z.pers_id = p.pers_id
							inner join tb_projekte pro on z.proj_id = pro.proj_id
							inner join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id
							where z.ab = 'j'
							and (z.ab_monat is null or z.ab_monat = '0000-00-00')
							and z.nachw_id is null
							and ha.hilfeart not in ('ALG', 'CZT')
							and ha.fls_azk = 1
							group by z.pers_id
							order by p.personalnr asc;");
	} else {
		$personal = abfrage1("SELECT
							z.pers_id,
							sum(time_to_sec(z.fls)/3600),
							sum((unix_timestamp(t.bis) - unix_timestamp(t.von) -
								time_to_sec(z.fls) - time_to_sec(z.vun))/3600),
							sum(time_to_sec(z.fls)/3600) * 0.15,
							sum(time_to_sec(z.vun)/3600)
							FROM tb_ab_zk z
							inner join tb_termine t using(termin_id)
							inner join tb_personal p on z.pers_id = p.pers_id
							inner join tb_projekte pro on z.proj_id = pro.proj_id
							inner join tb_hilfeart ha on pro.hilfeart_id = ha.hilfeart_id
							where z.ab = 'j'
							and (z.ab_monat is null or z.ab_monat = '0000-00-00')
							and z.nachw_id is null
							and z.pers_id = $pers
							and ha.hilfeart not in ('ALG', 'CZT')
							and ha.fls_azk = 1
							group by z.pers_id;");
	}

	$abm = date('Y-m-d', mktime(0,0,0,date('n'), 1, date('Y')));

	if (mysql_num_rows($personal) > 0){
		while ($row = mysql_fetch_row($personal)){
			echo "<tr>\n";
			if ($pers == 'all'){
				echo "<td>" . pers_nummer($row[0]) . "</td>\n";
				echo "<td width=\"5\"></td>\n";
				echo "<td>" . pers_kname($row[0]) . "</td>\n";
				echo "<td width=\"5\"></td>\n";
			}

			$soll = fls_monat_pers($row[0], $abm);
			echo "<td style=\"text-align:right\">" . fls_form($soll) . "</td>\n";
			echo "<td width=\"5\"></td>\n";

      /* Spalte mit Kappazitaetskorrekturwert zeigen wenn Werte vorhanden */
      if ($kap_show == 1)
      {
        /* Anzahl der Arbeitstage fuer den aktuellen Monat holen */
        $arbeitstage = fls_monat_arbeitstage($row[0], $abm);

        /* den Korrekturwert ermitteln */
        $sql = "SELECT kap_korr FROM tb_personal WHERE pers_id='".$row[0]."'";
        $kor = abfrage($sql);

        /*
         * Farbe fuer Korrekturwerte festlegen:
         * kleiner Null: rot, groesser Null: gruen
         */
        $style = "";
        $kor_wert  = $kor[0] / 5 * $arbeitstage;

        if ($kor_wert < 0.0) $style = "style=\"color:red\"";
        if ($kor_wert > 0.0) $style = "style=\"color:#00FF00\"";

        $title = "title=\"".fls_form($kor_wert)." Kapazit&auml;tenkorrektur\"";
        if ($kor_wert + $soll < 0) $raus = 0; else $raus = $kor_wert + $soll;

        printf("<td %s %s>%s</td>", $style, $title, fls_form($raus));
      }

			echo "<td style=\"text-align:right\">" . fls_form($row[1]) . "</td>\n";
			echo "<td width=\"5\"></td>\n";
			if(getConf('vor_nach_b') == 1 || $tt_vun) {
				echo "<td style=\"text-align:right\">" . fls_form($row[4]) . "</td>\n";
				echo "<td width=\"5\"></td>\n";
			}
			echo "<td style=\"text-align:right\">" . fls_form($row[2]) . "</td>\n";

			$conf_fls_fz = getFlsFz($abm);
			if($conf_fls_fz == 1 || $conf_fls_fz == 3) {
				$fz = $row[2];
			} elseif($conf_fls_fz == 4) {
				$fz = 2 * $row[2] / 3;
			} elseif ($row[2] > $row[3]) $fz = $row[3]; else $fz = $row[2];
			

			echo "<td width=\"5\"></td>\n";
			echo "<td style=\"text-align:right\">" . fls_form($fz) . "</td>\n";

			echo "<td width=\"5\"></td>\n";
			$sum = $row[1] + $fz;
			if(getConf('vor_nach_b') == 1 || $tt_vun) $sum += $row[4];
			echo "<th style=\"text-align:right\">" . fls_form($sum) . "</th>\n";

			$extern = abfrage("SELECT
							sum(time_to_sec(z.fls)/3600) as fls
							FROM tb_ab_zk z
							left join tb_projekte p using(proj_id)
							left join tb_hilfeart h using(hilfeart_id)
							where z.ab = 'j'
							and (z.ab_monat is null or z.ab_monat = '0000-00-00')
							and z.nachw_id is null
							and z.pers_id = $row[0]
							and (h.typ = 1 or h.typ = 4)
							group by z.pers_id;");

			echo "<td width=\"5\"></td>\n";
			echo "<td style=\"text-align:right\">" . fls_form($extern[0]) . "</td>\n";

			echo "<td width=\"5\"></td>\n";

      /* FLS gel +  FZ netto - Monatssoll */
			$diff = $sum - $soll;

      /*
       * Falls Kapazitaetskorrekturwert gezeigt wird, muss dieser auch in die
       * Berechnung der Sollstunden eingehen.
       */
      if ($kap_show == 1) $diff -= $kor_wert;

      /* Farbe fuer offen Spalte festlegen */
      if ($diff > 0) $co = "#00FF00"; else $co = "#FF0000";

			echo "<td style=\"text-align:right;color:$co;font-weight:bold\">";
			echo fls_form($diff) . "</td>\n";

			$soll_a = fls_monat_pers($row[0], date('Y-m-d'), "1", true);

			echo "<td width=\"5\"></td>\n";

      /* FLS gel + FZ netto - Soll aus AZV */
      $diff = $sum - $soll_a;

      /*
       * Falls Kapazitaetskorrekturwert gezeigt wird, muss dieser auch in die
       * Berechnung der Sollstunden eingehen.
       */
      if ($kap_show == 1) $diff -= $kor_wert;

      /* Farbe fuer relativ Spalte festlegen */
			if ($diff > 0) $co = "#00FF00"; else $co = "#FF0000";

			echo "<td style=\"text-align:right;color:$co;font-weight:bold\">";
			echo fls_form($diff) . "</td>\n";

			echo "</tr>\n";
		}
		new stwTabLine(1,30);
	}

	echo "</table>\n";
} elseif($page == 3) {
	$minM = date('n');
	$minY = date('Y');
	$nw_monat = isset($rvar_nw_monat) ? $rvar_nw_monat : $minM;
	$nw_jahr  = isset($rvar_nw_jahr)  ? $rvar_nw_jahr  : $minY;
	if($nw_jahr == $minY && $nw_monat < $minM) $nw_monat = $minM;
	if($_GET['ma'] == 'noazk') $_GET['ma']='all';
	if($pers == 'noazk') $pers='all';
	echo "<table>\n";
	echo "<tr>\n";
	echo "<th style=\"vertical-align:middle\">ABMonat:</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<form action=\"$self\" method=\"GET\">\n";
	echo "<input type=\"hidden\" name=\"page\" value=\"3\">\n";
	echo "<input type=\"hidden\" name=\"ma\" value=\"$pers\">\n";
	echo "<td width=\"16\">";
	if($minY < $nw_jahr || $minM < $nw_monat) {
		$prevM = $nw_monat==1 ? 12 : $nw_monat-1;
		$prevY = $nw_monat==1 ? $nw_jahr-1 : $nw_jahr;
		echo "<a href=\"azk2.php?page=3&ma=$pers&nw_monat=$prevM&nw_jahr=$prevY\">";
		echo "<img src=\"img/zurueck.png\"".stwToolTip('ein Monat zur&uuml;ck')."></a>";
	}
	echo "</td>\n";
	echo "<td><select name=\"nw_monat\" size=\"1\" tabindex=\"1\" onchange=\"this.form.submit()\">\n";
	for($m=($nw_jahr==$minY ? $minM : 1);$m<13;$m++) {
		echo "<option value=\"$m\"";
		if($nw_monat == $m) echo " selected";
		echo ">" . preg_replace("/M(.*)rz/", "M&auml;rz", strftime("%B", mktime(0, 0, 0, $m, 1, 1))) . "</option>\n";
	}
	echo "</select></td>\n";
	echo "<td><select name=\"nw_jahr\" size=\"1\" tabindex=\"2\" onchange=\"this.form.submit()\">\n";
	for($j=$minY; $j<$nw_jahr+5; $j++) {
		echo "<option value=\"$j\"";
		if($nw_jahr == $j) echo " selected";
		echo ">$j</option>\n";	
	}
	echo "</select></td>\n";
	$nextM = $nw_monat==12 ? 1 : $nw_monat+1;
	$nextY = $nw_monat==12 ? $nw_jahr+1 : $nw_jahr;
	echo "<td class=\"cl20\"><a href=\"azk2.php?page=3&ma=$pers&nw_monat=$nextM&nw_jahr=$nextY\">";
	echo "<img src=\"img/vor.png\"".stwToolTip('ein Monat vorw&auml;rts')."></a></td>\n";
	echo "</form>\n";
	echo "</tr></table>\n";
}
new stwEnd($seite);
?>