<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: bibo_kat.php 2870 2018-06-20 09:47:22Z tfreudenberg $
 *
 */
session_start();
$seite = 34;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

if(isset($_GET['delete']) && $_SESSION[$AppCode]['ULV'] >= 65 || check_nutzer_rechte(39)) {
	abfrage2("delete from tb_buch_kat where kat_id='{$_GET['delete']}'");
}

if(isset($_GET['deactivate']) && $_SESSION[$AppCode]['ULV'] >= 65 || check_nutzer_rechte(39)) {
	abfrage2("update tb_buch_kat set aktiv='n' where kat_id='{$_GET['deactivate']}'");
}

if(isset($_GET['kat_id'])) {
	$ti = 1;
	$kat_id = $_GET['kat_id'];
	echo "<form action=\"bibo_kat_sql.php\" method=\"post\">\n";
	if(isset($_REQUEST['buch_id']) && $_REQUEST['buch_id'] > 0) {
		echo "<input type=\"hidden\" name=\"buch_id\" value=\"{$_REQUEST['buch_id']}\">\n";
	}
	if($kat_id == 0) echo "<input type=\"hidden\" name=\"todo\" value=\"new\">\n";
	echo "<input type=\"hidden\" name=\"kat_id\" value=\"$kat_id\">\n";
	$sql = "select kuerzel, name, aktiv from tb_buch_kat where kat_id=$kat_id;";
	$kat = abfrage($sql);
	echo "<table>\n";
	echo "<tr><th class=\"cl11\">K&uuml;rzel:</th>\n";
	echo "<td class=\"cl20\"><input type=\"text\" name=\"kuerzel\" size=\"9\" maxlength=\"8\" ";
	echo "value=\"$kat[0]\" tabindex=\"$ti\"></td>\n"; $ti++;
	echo "<th>Dieser Kategorie zugeordnete B&uuml;cher</th>";
	echo "</tr>\n";
	echo "<tr><th class=\"cl11\">Kategorie:</th>\n";
	echo "<td class=\"cl20\"><input type=\"text\" name=\"name\" size=\"50\" value=\"$kat[1]\" ";
	echo "tabindex=\"$ti\"></td>\n";
	echo "<td rowspan=\"30\">";
	$sql = "select buch_id, titel from tb_buch where kat_id=$kat_id";
	$res = abfrage1($sql);
	if(mysql_num_rows($res)>0) {
		echo "<ul style=\"margin:0\">\n";
		while ($zeile = mysql_fetch_row($res)) {
			echo "<li><a href=\"bibo_buch.php?buch_id=$zeile[0]\">$zeile[1]</a></li>\n";
		}
		echo "</ul>\n";
	}
	echo "</td></tr>\n";
	echo "<tr><th class=\"cl1\">aktiv:</th>";
	echo "<td><input type=\"radio\" name=\"aktiv\" value=\"j\" tabindex=\"$ti\"";
	if($kat[2] != "n") echo " checked";
	$ti++;
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"aktiv\" value=\"n\" tabindex=\"$ti\"";
	if($kat[2] == "n") echo " checked";
	echo ">&nbsp;<b>nein</b></td></tr>\n";
	$ti++;
	new stwTabLine(2,2);
	echo "<tr><td colspan=\"2\"><input type=\"submit\" name=\"save\" tabindex=\"$ti\" ";
	echo "value=\"Kategorie speichern\"></td></tr></table>\n";
	echo "</form>\n";
} else {
	echo "<table>\n";
	echo "<tr><th class=\"cl1\">K&uuml;rzel</th>\n";
	echo "<th class=\"cl1\">Kategorie</th>";
	echo "<td />\n";
	if ($ulv >= 65 || check_nutzer_rechte(39)){
		echo "<td style=\"position:relative; left:-45px\"><input type=\"button\" value=\"neu\" ";
		echo "onClick=\"self.location.href='bibo_kat.php?kat_id=0";
		if(isset($_REQUEST['buch_id']) && $_REQUEST['buch_id'] > 0) echo "&buch_id=".$_REQUEST['buch_id'];
		echo "'\"></td>\n";
	}
	if(isset($_REQUEST['buch_id']) && $_REQUEST['buch_id'] > 0) {
		echo "<td><input type=\"button\" value=\"zur&uuml;ck zum Buch\" ";
		echo "onClick=\"self.location.href='bibo_buch.php?buch_id=".$_REQUEST['buch_id'];
		echo "'\"></td>\n";
	}
	echo "</tr>\n";
	new stwTabLine(2,3);
	$kats = abfrage1("select * from tb_buch_kat order by kuerzel asc;");
	while($kat = mysql_fetch_assoc($kats)) {
		$style = ($kat['aktiv']=='n') ? "style=\"color:grey\"" : '';
		echo "<tr class=\"mo\"><td class=\"cl1\">";
		echo "<a href=\"bibo_kat.php?kat_id=" . $kat['kat_id'];
		if(isset($_REQUEST['buch_id']) && $_REQUEST['buch_id'] > 0) echo "&buch_id=".$_REQUEST['buch_id'];
		echo "\" $style>".(empty($kat['kuerzel']) ? '<span style="color:red">LEER</span>' : $kat['kuerzel'])."</a></td>\n";
		echo "<th $style>" . $kat['name'] . "</th>\n";
		echo "<td>";
		if($kat['aktiv']=='j' && ($_SESSION[$AppCode]['ULV'] >= 65 || check_nutzer_rechte(39))) {
			$res = abfrage1("select buch_id from tb_buch where kat_id='{$kat['kat_id']}'");
			if(mysql_num_rows($res) > 0) {
				echo "<a href=\"bibo_kat.php?deactivate=" . $kat['kat_id'];
				if(isset($_REQUEST['buch_id']) && $_REQUEST['buch_id'] > 0) echo "&buch_id=".$_REQUEST['buch_id'];
				echo "\" style=\"color:grey\"";
				echo stwToolTip("<b>Kategorie deaktivieren</b><br>L&ouml;schen nicht m&ouml;glich, da B&uuml;cher zugeordnet");
				echo ">X</a>";
			} else {
				echo "<a href=\"bibo_kat.php?delete=" . $kat['kat_id'];
				if(isset($_REQUEST['buch_id']) && $_REQUEST['buch_id'] > 0) echo "&buch_id=".$_REQUEST['buch_id'];
				echo "\" style=\"color:red\"";
				echo stwToolTip("<b>Vorsicht! Kategorie l&ouml;schen</b>");
				echo ">X</a>";
			}
		}
		echo "</td></tr>\n";
	}
	echo "</table>\n";
}

new stwEnd($seite);
?>
