<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fahrten_ub_req.php 908 2008-03-24 10:38:09Z akeune $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 26;
$level = 65;
require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

echo "<table>\n";
echo "<form action=\"fahrten_ub_pr.php\" method=\"post\" target=\"_pdf\">\n";

echo "<tr><th class=\"cl1\" style=\"vertical-align:middle\">Projekt-Nr.:</th>\n";
echo "<td class=\"cl20\" style=\"vertical-align:middle\">";
echo "<select name=\"proj_id\" size=\"1\" tabindex=\"1\">\n";

$sql = "select z.proj_id from tb_ab_zk z
				left join tb_projekte p on z.proj_id = p.proj_id
				left join tb_hilfeart h on p.hilfeart_id = h.hilfeart_id
				where z.km_dienst > 0 and z.proj_id > 0
				and h.hilfeart in ('AKT', 'SFK', 'STK')
				group by z.proj_id
				order by h.hilfeart asc, p.projektnr asc;";
$erg = abfrage1($sql);

while ($zeile = mysql_fetch_row($erg)) {
	$pro = new stwProjekt($zeile[0]);
	echo "<option value=\"$zeile[0]\">" . $pro->nummer() . "</option>\n";
}
echo "</select></td>\n";

echo "<th class=\"cl1\" style=\"vertical-align:middle\">Kalenderjahr:</th>\n";
echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
echo "<select name=\"jahr\" size=\"1\" tabindex=\"1\">\n";

$von = abfrage("select min(year(t.von)) from tb_ab_zk z
				left join tb_termine t using (termin_id)
				where (z.km_dienst > 0 or z.km_privat > 0)
				and z.proj_id > 0;");

$bis = abfrage("select max(year(t.von)) from tb_ab_zk z
				left join tb_termine t using (termin_id)
				where (z.km_dienst > 0 or z.km_privat > 0)
				and z.proj_id > 0;");

$i = ($von[0] >= 2000) ? $von[0] : 2000;
while ($i <= $bis[0]) {
	echo "  <option value=\"$i\">$i</option>\n";  $i++;
}
echo "</select></td>\n";

echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
echo "<input type=\"submit\" value=\"Drucken!\" tabindex=\"2\"></td>\n";
echo "</form></table>\n";

new stwLine(1);
new stwEnd($seite);
?>
