<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ga_and.php 2352 2014-10-22 17:24:29Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 32;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

set_session_url();

$pers_order = getPersOrder($seite);

$ga_loeschbar = true;
if (isset($rvar_ga_id)){
	$ga_loeschbar = ga_loeschbar($rvar_ga_id);
	$ga = abfrage_array("select t1.*,
					date_format(t2.von, '%d.%m.%Y') as d_von,
	                date_format(t2.von, '%H:%i') as h_von,
					date_format(t2.bis, '%d.%m.%Y') as d_bis,
					date_format(t2.bis, '%H:%i') as h_bis,
					to_days(t2.von) as days,
					to_days(now()) as now
					from tb_ga t1
					left join tb_termine t2 using (termin_id)
					where ga_id = $rvar_ga_id;");
} else $ga = array();
$datum = isset($rvar_ga_id) ? $ga['d_von'] : '';
?>

<form action="ga_sql.php" method="post">
<table>

<tr>
<th>Datum Beginn :</th>
<td><input type="text" id="datum" name="datum_beginn" size="11" maxlength="11" tabindex="1"
    <?php if (isset($rvar_ga_id)) { echo "value=\"$datum\"";} ?>>&nbsp;&nbsp;TT.MM.JJJJ</td>
<?php 	$daten = new stwDaten("32");
	$link  = $daten->get_klammer_link($_SESSION["webdir"],
									 $_SESSION[$AppCode]["UID"],
									 $_SESSION[$AppCode]["ULV"],
									 $ga[0], "0");
	echo "<td>$link</td>\n";
?>	
</tr>

<tr>
<th>Zeit Beginn :</th>
<td><input type="text" name="zeit_beginn" size="6" maxlength="5" tabindex="2"
    <?php if (isset($rvar_ga_id)) { echo "value=\"{$ga['h_von']}\"";} ?>>&nbsp;&nbsp;HH:MM</td>
</tr>

<tr>
<th>Datum Ende :</th>
<td><input type="text" name="datum_ende" size="11" maxlength="11" tabindex="3"
    <?php if (isset($rvar_ga_id)) { echo "value=\"{$ga['d_bis']}\"";} ?>
    >&nbsp;&nbsp;TT.MM.JJJJ (wenn wie Beginn -> leer lassen!)</td>
</tr>

<tr>
<th>Zeit Ende :</th>
<td><input type="text" name="zeit_ende" size="6" maxlength="5" tabindex="4"
    <?php if (isset($rvar_ga_id)) { echo "value=\"{$ga['h_bis']}\"";} ?>>&nbsp;&nbsp;HH:MM</td>
</tr>

<tr>
<th>p&auml;dagog. Leitung:&nbsp;</th>
<td>
<select name="pers_id" size="1" tabindex="5">
<option>p&auml;dagog. Leiter w&auml;hlen!</option>
<?php
$order = ($pers_order == 2) ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc";
$sql = "select pers_id, vorname, name from tb_personal p
        where (status_id=2 or pers_id='$ga[1]') and betreuer = 'j' order by $order";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_ga_id)) {
        if ($ga[1] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=\"$zeile[0]\">";
    if(($pers_order == 2)) echo $zeile[2] . ",&nbsp;" . $zeile[1];
    else echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
?>
</select>
</td></tr>

<tr>
<th>inhalt.&nbsp;Leitung:&nbsp;</th>
<td>
<select name="inhalt" size="1" tabindex="6">
<option>inhaltl.&nbsp;Leiter&nbsp;w&auml;hlen!</option>
<?php
$sql = "select pers_id, vorname, name from tb_personal p
        where (status_id=2 or pers_id='$ga[6]') and betreuer = 'j'
		order by $order";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_ga_id)) {
        if ($ga[6] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";
    if(($pers_order == 2)) echo $zeile[2] . ",&nbsp;" . $zeile[1];
    else echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
?>
</select>
</td></tr>

<tr>
<th>Referent :</th>
<td>
<select name="ap_id" size="1" tabindex="7">
<option>Referent&nbsp;w&auml;hlen!</option>
<?php
$sql = "select ap_id, vorname, name from tb_kontakte_ap
        where referent = 'j'
		order by vorname asc, name asc";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_ga_id)) {
        if ($ga[10] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";
    echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
?>
</select>
</td></tr>

<tr>
<th>Essen:&nbsp;</th>
<td>
<select name="essen" size="1" tabindex="8">
<option>Mitarbeiter&nbsp;w&auml;hlen!</option>
<?php
$sql = "select pers_id, vorname, name from tb_personal p
        where (status_id=2 or pers_id='$ga[11]') and betreuer = 'j'
		order by $order";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_ga_id)) {
        if ($ga[11] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";
    if(($pers_order == 2)) echo $zeile[2] . ",&nbsp;" . $zeile[1];
    else echo $zeile[1] . "&nbsp;" . $zeile[2];
    echo "</option>\n";
}
?>
</select>
</td></tr>

<tr>
<th>Ort:&nbsp;</th>
<td>
<select name="ort_id" size="1" tabindex="9">
<option value="0">Veranstaltungsort w&auml;hlen!</option>
<?php
$sql = "select * from tb_ga_ort order by ga_ort asc";
$res = mysql_query($sql) or die(mysql_error());

for ($i = 0; $i < mysql_num_rows($res); $i++){
    $zeile = mysql_fetch_row($res);
    echo "  <option ";
    if (isset($rvar_ga_id)) {
        if ($ga[2] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";

    echo $zeile[1];
    echo "</option>\n";
    }
?>
</select>
</td>
<td width="5"></td>
<td>
<input type="button" value="neuer Veranstaltungsort" onClick="self.location.href='ga_ort.php?neu=1'" tabindex="10">
</td>
</tr>

<tr>
<th>Art:&nbsp;</th>
<td>
<select name="art_id" size="1" tabindex="11">
<option value="0">Art der Gruppenarbeit w&auml;hlen!</option>
<?php
$sql = "select * from tb_ga_art where aktiv='j' or art_id='$ga[3]' order by ga_art asc";
$res = mysql_query($sql) or die(mysql_error());

for ($i = 0; $i < mysql_num_rows($res); $i++){
    $zeile = mysql_fetch_row($res);
    echo "  <option ";
    if (isset($rvar_ga_id)) {
        if ($ga[3] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";

    echo $zeile[1];
    echo "</option>\n";
    }
?>
</select>
</td>
<td width="5"></td>
<td>
<input type="button" value="neue Veranstaltungsart" onClick="self.location.href='ga_art.php?tg=ga'" tabindex="12">
</td>
</tr>

<tr>
<th>Kategorie:&nbsp;</th>
<td>
<select name="kat_id" size="1" tabindex="11">
<option value="0">Kategorie der Gruppenarbeit w&auml;hlen!</option>
<?php
$sql = "select * from tb_ga_kat order by ga_kat asc";
$res = mysql_query($sql) or die(mysql_error());

for ($i = 0; $i < mysql_num_rows($res); $i++){
    $zeile = mysql_fetch_row($res);
    echo "  <option ";
    if (isset($rvar_ga_id)) {
        if ($ga[12] == $zeile[0]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[0] . ">";

    echo $zeile[1];
    echo "</option>\n";
    }
?>
</select>
</td>
<td width="5"></td>
<td>
<input type="button" value="neue Kategorie" onClick="self.location.href='ga_kat.php'" tabindex="12">
</td>
</tr>

<tr>
<th>Thema&nbsp;:</th>
<td colspan="3"><input type="text" name="thema" size="50" maxlength="50" tabindex="13"
    <?php if (isset($rvar_ga_id)) { echo "value=\"$ga[4]\"";} ?>></td>
</tr>

<tr>
<th>max.&nbsp;Teilnehmerzahl&nbsp;:</th>
<td colspan="2"><input type="text" name="tn_max" size="3" maxlength="2" tabindex="14"
    <?php if (isset($rvar_ga_id) && $ga[8] > 0) { echo "value=\"$ga[8]\"";} ?>></td>
<td><b style="color:#FFCC00">Summe Spesen:</b> 
    <?php if (isset($rvar_ga_id)) { 
			echo number_format($ga['spesen'], 2, ',', '') . "&nbsp;&euro;";
	} ?></td>
</tr>

<tr>
<th>Eigenbeteiligung&nbsp;:</th>
<td colspan="2"><input type="text" name="eb" size="6" maxlength="6" tabindex="15"
    style="text-align:right;"
    <?php if (isset($rvar_ga_id)) {
			if(!$ga_loeschbar) echo "readonly "; 
			if($ga[9] > 0) { echo "value=\"" . number_format($ga[9], 2, ',', '') . "\"";}
	}
	echo ">&nbsp; &euro;,&cent;</td>\n";
	if($ga_loeschbar && empty($rvar_ma)) {
		echo "<input type=\"hidden\" name=\"ma\" value=\"{$_SESSION[$AppCode]["UID"]}\">\n";
		echo "<td><b style=\"color:#FFCC00\">Spesen hinzuf&uuml;gen:</b> ";
		echo "<input type=\"text\" name=\"spesen\" size=\"8\">&nbsp; &euro;,&cent;</td>\n";
	} ?>
</tr>

<tr>
<th>Notizen&nbsp;:</th>
<td colspan="2">
<textarea cols=50 rows=4 name="notizen" tabindex="16">
<?php if (isset($rvar_ga_id)) { echo $ga[5]; } ?>
</textarea>
</td>
<?php
	echo "<td>";
	if(isset($rvar_ga_id)) {
		$sps = abfrage1("select z.spesen_betr, z.pers_id from tbh_ga_spesen g left join tb_ab_zk z using(zk_id) 
						where z.pers_id > 0 and g.ga_id = '$rvar_ga_id'");
		$spesen = array();
		while($sp = mysql_fetch_row($sps)) {
			$spesen[$sp[1]] += $sp[0];
		}
		$stift = '';
		foreach($spesen as $pers_id => $betrag) {
			if($ga_loeschbar && ($pers_id == $_SESSION[$AppCode]["UID"] || $_SESSION[$AppCode]["ULV"] >= 65)) {
				$stift = "<a href=\"ga_and.php?ga_id=$rvar_ga_id&amp;ma=$pers_id\"".stwToolTip('Betrag editieren')."><img src=\"img/stift.png\" /></a>";
			}
			echo pers_kname($pers_id) . ': ';
			$betrag = number_format($betrag, 2, ',', '');
			if($rvar_ma == $pers_id) {
				echo "<input type=\"hidden\" name=\"ma\" value=\"$pers_id\">\n";
				echo "<input type=\"hidden\" name=\"edit\" value=\"1\">\n";
				echo "<input type=\"text\" value=\"$betrag\" name=\"spesen\" size=\"8\">&nbsp; &euro;,&cent;";
			} else echo "$betrag &euro; $stift";
			echo "<br />";
		}
	}
	echo "</td>\n";
?>
</tr></table>
<?php
new stwLine(1);
// Teilnehmerliste
if (isset($rvar_ga_id)) {
	echo "<table border=\"0\">\n";
	$name = ($pers_order == 2) ? "concat(p.name, ' ', p.vorname)" : "concat(p.vorname, ' ', p.name)";
	$sql = "select t1.person_id,
			t1.pers_id,
			$name,
			concat(t3.vorname, ' ', t3.name),
			t4.ort,
			t1.shuttle1,
			t1.shuttle2,
			(year(curdate())-year(p.geboren))-(right(curdate(),5)<right(p.geboren,5)),
			t1.typ
			from tbh_ga_pp t1
			left join tb_personen p on t1.person_id = p.person_id
			left join tb_personal t3 on t1.pers_id = t3.pers_id
			left join tb_p_adressen t4 on p.adress_id = t4.adress_id
			where ga_id = $rvar_ga_id
			order by $order;";
	$res = mysql_query($sql) or die (mysql_error());

	if (mysql_num_rows($res) > 0) {
		echo "<tr><td colspan=\"9\"></td>";
		echo "<th colspan=\"3\" style=\"text-align:center\">Shuttle-Bus</th>\n";
		echo "<td width=\"5\"></td>";
		echo "<th colspan=\"3\" style=\"text-align:center\">Betreuer</th>\n";
		echo "</tr>\n";

    echo "<tr><th>Projekt</th>";
		echo "<th>Teilnehmer</th>";
		echo "<td width=\"5\"></td>";
		echo "<th>Alter</th>\n";
		echo "<td width=\"5\"></td>";
		echo "<th>Wohnort</th>\n";
		echo "<td width=\"5\"></td>";
		echo "<th>Betreuer</th>\n";
		echo "<td width=\"5\"></td>";
		echo "<th style=\"text-align:center\">hin</th>\n";
		echo "<td width=\"5\"></td>";
		echo "<th style=\"text-align:center\">zur&uuml;ck</th>\n";
		echo "<td width=\"5\"></td>";
		echo "<th style=\"text-align:center\">Beobachter</th>\n";
		echo "<td width=\"5\"></td>";
		echo "<th style=\"text-align:center\">aktiv</th>\n";

		echo "</tr>\n";
		new stwTabLine(2,30);
		while ($row = mysql_fetch_row($res))
    {
      /* darf dieser Teilnehmer geloescht werden */
      $del = false;
	  if($ga_loeschbar) {
		/*
		 * Alle beteiligten Personen duerfen loeschen.
		 *
		 * - paedagogischer Leiter
		 * - inhalt. Leiter
		 * - Betreuer
		 */
		if ($ga[1] == $_SESSION[$AppCode]["UID"]) $del = true;
		if ($ga[6] == $_SESSION[$AppCode]["UID"]) $del = true;

		if ($row[1] == $_SESSION[$AppCode]["UID"]) $del = true;

		/* Datum liegt in Vergangenheit - nicht mehr loeschbar */
			if ($ga['days'] < $ga['now']) $del = false;

		/*
		 * Loeschen moeglich (auch wenn Zeit vorbei) wenn Level ueber 96
		 * oder Nutzerrecht gesetzt. Hebt die Bedingung vorher auf.
		 */
		if (check_nutzer_rechte(16))
		{
		$del = true;
		}
      }
      echo "<tr>";

      /* Projekt zur jeweiligen Person anzeigen */
			$ask1  = "SELECT proj_id FROM tbh_ga_pp t1 LEFT JOIN ";
			$ask1 .= "tbh_proj_personen t2 USING(person_id) WHERE ";

			$ask1 .= "ga_id='".$rvar_ga_id."' AND t2.person_id='".$row[0]."'";
			$erg1 = mysql_query($ask1);

      if ($erg1 && mysql_num_rows($erg1) == 1)
			{
			  $zeile = mysql_fetch_row($erg1);

			  /* Projektnummer ist in der ersten Spalte vorhanden */
			  $projekt = new stwProjekt($zeile[0]);

        /*
         * Projektbetreuer duerfen auch aendern, solange der Termin noch
         * nicht vorbei ist.
         */
        if ($projekt->beteiligt($_SESSION[$AppCode]["UID"]) &&
            $ga['days'] >= $ga['now'])
        {
          $del = true;
        }

        /* Tabellenzelle starten fuer die Projektnummer */
			  printf("<td style=\"padding-right:5px\">");

        /* Link ausgeben wenn die Berechtigung hoch genug ist */
			  if ($del == true)
			  {
			    printf("<a href=\"ga_tn.php?ga_id=%s&", $rvar_ga_id);
			    printf("person_id=%s\">", $row[0]);
			  }

        /* Projektnummer ausgeben */
			  printf("%s", $projekt->nummer());

        /* Abschluss vom Link hinzufuegen */
			  if ($del == true) printf("</a>");
			  printf("</td>");
			}
      else
			{
			  /* etwas ist schief gegangen - leere Zelle schreiben */
			  printf("<td></td>");
			}

			echo "<td>$row[2]</td>";
			echo "<td width=\"5\"></td>";
			if ($row[7] > 100){
				$alter = "";
			} else {
				$alter = $row[7];
			}
			echo "<td style=\"text-align:center\">$alter</td>";
			echo "<td width=\"5\"></td>";
			echo "<td>$row[4]</td>";
			echo "<td width=\"5\"></td>";
			echo "<td>$row[3]</td>";
			echo "<td width=\"5\"></td>";
			if ($row[5]){
				echo "<th style=\"text-align:center\">X</th>";
			} else {
				echo "<td></td>";
			}
			echo "<td width=\"5\"></td>";
			if ($row[6]){
				echo "<th style=\"text-align:center\">X</th>\n";
			} else {
				echo "<td></td>\n";
			}

			echo "<td width=\"5\"></td>";
			echo "<th style=\"text-align:center\">";
			echo ($row[8] == 1) ? 'X' : '';
			echo "</th>\n";

			echo "<td width=\"5\"></td>";
			echo "<th style=\"text-align:center\">";
			echo ($row[8] == 2) ? 'X' : '';
			echo "</th>\n";

			if ($del == true){
				echo "<td width=\"5\"></td>";
				echo "<td><a href=\"ga_tn_delsql.php?ga_id=$rvar_ga_id&person_id=$row[0]&pers_id=$row[1]\"";
				echo "style=\"color:red\" title=\"VORSICHT! Lschen!\">X</td></tr>\n";
			}
		}
	}
	new stwTabLine(2,30);
	echo "</table>\n";
	if(!$ga_loeschbar) $button = false;
	else {
		$tn = abfrage("select count(person_id) from tbh_ga_pp
						where ga_id = $rvar_ga_id
						group by ga_id;");
		if ($ga[8] > 0) $button = ($tn[0] <= $ga[0]);
		else $button = true;
	}
	if ($button == true){
		echo "<input type=button value=\"neuer Teilnehmer\" ";
		echo "onClick=\"self.location.href='ga_tn.php?ga_id=$rvar_ga_id'\">\n";
	}

} else {
	echo "<table><tr><th>Fr Teilnehmerliste Gruppenarbeit erst speichern!</th></tr></table>\n";
}

// Dateifu
new stwLine(1);
if (isset($rvar_ga_id)) {

	echo "<table><tr><th>frei fr andere Aufgaben :</th></tr>\n";
	new stwTabLine(2,30);

	$bets = abfrage1("select g.pers_id
			from tbh_ga_pp g
			left join tb_personal p using (pers_id)
			where ga_id = $rvar_ga_id
			and typ = 0
			group by g.pers_id
			order by p.vorname asc, p.name asc;");

	while ($bet = mysql_fetch_row($bets)){
		echo "<tr><td>" . pers_name($bet[0]) . "</td></tr>\n";
	}

	echo "</table>";

	new stwLine(1);

	echo "<input type=\"hidden\" name=\"termin_id\" value=\"$ga[7]\">\n";
	echo "<input type=\"hidden\" name=\"ga_id\" value=\"$rvar_ga_id\">\n";
}

if ($_SESSION[$AppCode]['ULV'] >= 45 && $ga_loeschbar || $_SESSION[$AppCode]['ULV'] >= 96){
	echo "<input type=\"submit\" name=\"save\" value=\"Speichern\" tabindex=\"99\">\n";
}
if(!$ga_loeschbar) echo "&nbsp; <b style=\"color:red\">&Auml;nderungsm&ouml;glichkeiten eingeschr&auml;nkt, da Spesen-Zeitkarten bereits abgerechnet!</b>\n";

echo "</form>\n";
$ts = empty($datum) ? mktime() : date_gr2ts($datum);
new stwEnd($seite, "-$ts");
?>
