<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ga_kat_hs.php 2405 2015-03-04 10:50:53Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 32;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

$gkat = (isset($_GET['kat_id'])) ? $_GET['kat_id'] : 'all';
$order = (isset($_GET['order'])) ? $_GET['order'] : 0;

echo "<table><tr><th style=\"padding-right:20px\">GA-Kategorien zugeordnete Handlungsschritte</th>\n";

echo "<form method=\"GET\" action=\"{$_SERVER['PHP_SELF']}\">\n";
echo "<td><select name=\"kat_id\" size=\"1\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"all\"";
echo ($gkat == 'all') ? ' selected' : '';
echo ">ALLE GA-Kategorien</option>\n";

$kats = abfrage1("select kat_id, ga_kat from tb_ga_kat order by ga_kat asc;");

while ($kat = mysql_fetch_row($kats)){
	echo "<option value=\"$kat[0]\"";
	echo ($kat[0] == $rvar_kat_id) ? ' selected' : '';
	echo ">$kat[1]</option>\n";
}

echo "</select></td>\n";
echo "</form>\n";
echo "</tr></table>\n";
new stwLine(1);

$sql  = "select hp.proj_id, pz.nummer, pz.ziel, hs.schritt, kat.ga_kat, ";
$sql .= "TO_DAYS(pro.ende), TO_DAYS(CURDATE()), hs.ziel_id, hs.kat_id ";
$sql .= "from tb_hp_handlungsschritte hs ";
$sql .= "left join tb_hp_praxisziele pz on hs.ziel_id = pz.id ";
$sql .= "left join tb_hp hp on pz.hp_id = hp.hp_id ";
$sql .= "left join tb_projekte pro on hp.proj_id = pro.proj_id ";
$sql .= "left join tb_ga_kat kat on hs.kat_id = kat.kat_id ";
if(!empty($order)) {
	$sql .= "left join tbh_proj_personen pp on pp.proj_id = pro.proj_id ";
	$sql .= "left join tb_personen pers on pp.person_id = pers.person_id ";
	$sql .= "left join tb_p_adressen adr on adr.adress_id = pers.adress_id ";
}
$sql .= "where pz.LE = '1' and pz.HE = '1' and pz.ASD = '1' ";
$sql .= "and pz.erledigt is null ";

$sql .= ($gkat == 'all') ? 'and hs.kat_id > 0 ' : "and hs.kat_id = $rvar_kat_id ";

$sql .= "group by hs.schritt order by ";
if(empty($order)) {
	$sql .= ($gkat == 'all') ? "kat.ga_kat asc, ": '';
	$sql .= "pro.projektnr asc";
} elseif($order == 'alter') {
	$sql .= "pers.geboren desc, pro.projektnr asc";
} elseif($order == 'ort') {
	$sql .= "adr.ort asc, pro.projektnr asc";
} elseif($order == 'name') {
	$sql .= "pers.name asc, pers.vorname asc, pro.projektnr asc";
}
$res = abfrage1($sql);

if (mysql_num_rows($res) > 0){
	$link = "ga_kat_hs.php?kat_id=$gkat&order";
	echo "<table>\n";
	echo "<tr>\n";
	echo "<th class=\"cl1\"><a href=\"$link=name\">Projektnr.</a></th>\n";
	echo "<th class=\"cl1\"><a href=\"$link=name\">Name</a></th>\n";
	echo "<th class=\"cl1\"><a href=\"$link=alter\">Alter</a></th>\n";
	echo "<th class=\"cl1\"><a href=\"$link=ort\">Ort</a></th>\n";
	echo "<th class=\"cl1\">Hauptbetr.</th>\n";
	echo "<th class=\"cl1\" colspan=\"2\">Praxisziele</th>\n";
	echo "<th class=\"cl1\">Handlungsschritte</th>\n";
	echo "</tr>\n";
	new stwTabLine(1,30);

	while ($row = mysql_fetch_array($res)) {
	  /* falls das Projekt schon beendet wurde - nicht mehr mit anzeigen */
	  if (empty($row[5]) || $row[6] <= $row[5]){
	    $pro = new stwProjekt($row[0]);
	    if ($gkat == 'all' && $gkat2 != $row[4] && empty($order)){
	      if ($linie) new stwTabLine(1,30);
			$sql = "select count(pz.nummer) from tb_hp_handlungsschritte hs
					left join tb_hp_praxisziele pz on hs.ziel_id = pz.id
					where pz.LE = '1' and pz.HE = '1' and pz.ASD = '1'
					and pz.erledigt is null and hs.kat_id = '$row[8]'";
			$cnt = abfrage($sql);
			echo "<tr><th colspan=\"10\">$row[4] ($cnt[0])</th></tr>\n";
			$gkat2 = $row[4];
		  }

		$rs = (empty($order)) ? '' : "rowspan = \"2\"";
		new stwTabLine(2,30);
  		echo "<tr>\n";
  		echo "<td class=\"cl1\">" . $pro->nummer() . "</td>\n";

  		echo "<td class=\"cl1\"" . stwToolTip($pro->name());
  		echo '>' . $pro->kname() . "</td>\n";

  		echo "<td $rs class=\"cl1\" style=\"text-align:center\">";
  		echo $pro->he_info('alter') . "</td>\n";

  		echo "<td $rs class=\"cl1\"";
  		$ort = $pro->he_info('ort');
  		if (strlen($ort) > 12) echo stwToolTip($ort);
  		echo '>' . strCut($pro->he_info('ort'), 12) . "</td>\n";
  		echo "<td $rs class=\"cl1\">" . pers_kname($pro->hb()) . "</td>\n";
  		echo "<td $rs class=\"cl1\" style=\"text-align:right\">$row[1].</td>\n";
  		echo "<td $rs class=\"cl1\">";
  		if (strlen($row[2]) > 40){
  		  echo wordwrap($row[2], 40, "<br>\n");
  		} else {
  		  echo $row[2];
  		}
  		echo "</td>\n";

  		/* Handlungsschritte ausgeben */
  		echo "<td $rs>" . wordwrap($row[3], 40, "<br>\n") . "</td>\n";

  		echo "</tr>\n";
		if(!empty($order)) {
			echo "<tr><th colspan=\"2\">$row[4]</th></tr>\n";
		}
  		$linie = true;
    }
	}

	echo "</table>\n";
	new stwLine(1);
}

new stwEnd($seite);
?>
