<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ger_ep.php 2798 2017-09-15 05:05:58Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 44;
$level = 45;
$ti = 1;

require_once("inc/auth.inc.php");
if(isset($_POST['save'])) {
	require_once("inc/func.inc.php");
	extern();
	extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 
	$datum_n = check_date($rvar_datum_n,1);
	$datum_n = empty($datum_n) ? 'NULL' : "'".date_gr2my($datum_n)."'";
	$datum = date_gr2my(check_date($rvar_datum));
	$messgs = abfrage1("select id from tb_ger_ep_mess_ger");
	$messgeraet = 0;
	while($messg = mysql_fetch_row($messgs)) {
		if(isset($_POST["m$messg[0]"])) $messgeraet += $_POST["m$messg[0]"];
	}
	$done = isset($rvar_done) ? 'j' : 'n';
	$sql = (isset($rvar_inv_id)) ? "update" : "insert into";
	$sql .= " tb_ger_inventur set ger_id='$rvar_ger_id', datum='$datum', 
			pers_id='{$_SESSION[$AppCode]['UID']}', notizen='$rvar_notizen', done='$done'";
	$sql .= (isset($rvar_inv_id)) ? "where inv_id='$rvar_inv_id';" : ";";
	abfrage2($sql);
	$inv_id = isset($rvar_inv_id) ? $rvar_inv_id : mysql_insert_id();
	$sql = (isset($rvar_inv_id)) ? "update" : "insert into";
	$prmod = '';
	if(isset($rvar_prmod) && is_array($rvar_prmod)) {
		foreach($rvar_prmod as $prm) $prmod .= $prm;
	}
	$sql .= " tb_ger_ep set prmod='$prmod', typ='$rvar_typ',
			hersteller='$rvar_hersteller', fabriknr='$rvar_fabriknr',
			unenn='$rvar_unenn', inenn='$rvar_inenn', pnenn='$rvar_pnenn',
			frequenz='$rvar_frequenz', wirkfaktor='$rvar_wirkfaktor',
			schutzklasse='$rvar_schutzklasse', gehaeuse='$rvar_gehaeuse',
			stecker='$rvar_stecker', zugentlastung='$rvar_zugentlastung',
			leitung='$rvar_leitung', schutzorgane='$rvar_schutzorgane',
			kuehl='$rvar_kuehl', betrkennz='$rvar_betrkennz',
			lesbarkeit='$rvar_lesbarkeit', dichtungen='$rvar_dichtungen',
			sicherheit='$rvar_sicherheit', elektrfunk='$rvar_elektrfunk',
			klemmplan='$rvar_klemmplan', mechgefahr='$rvar_mechgefahr',
			eingriffe='$rvar_eingriffe', ueberlastung='$rvar_ueberlastung',
			korrosion='$rvar_korrosion', luftfilter='$rvar_luftfilter',
			anwendung='$rvar_anwendung', etc='$rvar_etc',
			etcjn='$rvar_etcjn', mwschutzleiter='$rvar_mwschutzleiter',
			schutzleiter='$rvar_schutzleiter', mwfi='$rvar_mwfi',
			fi='$rvar_fi', mwisolation='$rvar_mwisolation',
			isolation='$rvar_isolation', mwersatz='$rvar_mwersatz',
			ersatz='$rvar_ersatz', mwischutz='$rvar_mwischutz',
			ischutz='$rvar_ischutz', mwiberuehr='$rvar_mwiberuehr',
			iberuehr='$rvar_iberuehr', cpu='$rvar_cpu',
			fehler='$rvar_fehler', hinw='$rvar_hinw',
			datum_n=$datum_n, messgeraet='$messgeraet'";
	$sql .= (isset($rvar_inv_id)) ? " where " : ", ";
	$sql .= "inv_id='$inv_id';";
	abfrage2($sql);
	if($rvar_save[0] == 'n') {
		require_once("inc/stw.inc.php");
		echo "<form method=\"post\" action=\"ger_ep.php?bereich=$rvar_bereich&ger_id=$rvar_ger_id\">\n";
		if($rvar_save == 'neu') $mger = array();
		else {
			$id = substr($rvar_save,1);
			$mger = abfrage_array("select * from tb_ger_ep_mess_ger where id='$id'");
			echo "<input type=\"hidden\" name=\"id\" value=\"$id\" />\n";
		}
		echo "<table>\n";
		echo "<tr><th class=\"cl10\" style=\"text-align:right\">Typ:</th>\n";
		echo "<td><input type=\"text\" style=\"width:300px\" name=\"typ\" maxlength=\"50\" value=\"{$mger['typ']}\"></td></tr>\n";
		echo "<tr><th class=\"cl10\" style=\"text-align:right\">Fabrikant:</th>\n";
		echo "<td><input type=\"text\" style=\"width:300px\" name=\"fabrikant\" maxlength=\"50\" value=\"{$mger['fabrikant']}\"></td></tr>\n";
		echo "<tr><th class=\"cl10\" style=\"text-align:right\">Notizen:</th>\n";
		echo "<td><textarea style=\"width:300px\" rows=\"2\" name=\"notizen\">{$mger['notizen']}</textarea></td></tr>\n";		
		new stwTabLine(2,30);
		echo "<tr><td colspan=\"30\"><input type=\"submit\" name=\"messgsave\" value=\"speichern\" /></td></tr>\n";
		echo "</table>\n</form>\n";
		new stwEnd($seite);
		exit(0);
	} else {
		$url = "ger_and.php?bereich=$rvar_bereich&ger_id=$rvar_ger_id";
		header("Location: $url");
		exit(0);
	}
}
require_once("inc/level.inc.php");
require_once("inc/stw.inc.php");

if(isset($_POST['messgsave'])) {
	$sql = isset($rvar_id) ? "update" : "insert into";
	$sql .= " tb_ger_ep_mess_ger set fabrikant='$rvar_fabrikant', typ='$rvar_typ', notizen='$rvar_notizen'";
	$sql .= isset($rvar_id) ? " where id='$rvar_id';" : ";";
	abfrage2($sql);
}

if(check_nutzer_rechte(120)) {
	echo "<form method=\"post\" action=\"ger_ep.php?bereich=$rvar_bereich&ger_id=$rvar_ger_id\">\n";
}
if(isset($rvar_inv_id)) {
	echo "<input type=\"hidden\" name=\"inv_id\" value=\"$rvar_inv_id\" />\n";
	$ep = abfrage_array("select e.*, i.notizen, date_format(i.datum, '%d.%m.%Y') as datum, 
						date_format(e.datum_n, '%d.%m.%Y') as n_datum, i.pers_id, i.ger_id, i.done 
						from tb_ger_ep e left join tb_ger_inventur i using(inv_id) where e.inv_id='$rvar_inv_id'");
} else {
	$ep = abfrage_array("select e.typ, e.hersteller, e.fabriknr, e.unenn, e.inenn, e.pnenn, 
						e.frequenz, e.wirkfaktor, e.schutzklasse from tb_ger_ep e 
						left join tb_ger_inventur i using(inv_id) 
						where ger_id='$rvar_ger_id' limit 1");
	$ep['datum'] = date("d.m.Y",time());
}
$ger = abfrage("select g.typ, g.name, g.standort, g.inventnr, concat(k.kuerzel,'/',g.nr) 
				from tb_ger g left join tb_ger_kat k using (kat_id) where g.ger_id='$rvar_ger_id'");
echo "<table width=\"750\"><tr><th class=\"cl20\">$ger[0]</th>";
echo "<th class=\"cl20\" style=\"color:white\">$ger[1]</th>";
echo "<th class=\"cl20\" style=\"color:white\">($ger[2])</th>";
echo "<th>Ger&auml;t Nr.:</th><th class=\"cl20\" style=\"color:white\">$ger[4]</th>";
echo "<td width=\"100%\" style=\"text-align:right\">";
if(isset($rvar_inv_id)) {
	$daten = new stwDaten("43");
	$klammer = $daten->get_klammer_link($_SESSION["webdir"],
										$_SESSION[$AppCode]["UID"],
										$_SESSION[$AppCode]["ULV"],
										$rvar_ger_id, $rvar_inv_id);
	echo "<td>$klammer</td>\n";
	echo "<td><a href=\"ger_ep_pr.php?inv_id=$rvar_inv_id\" target=\"_pdf\"";
	echo stwToolTip("Protokoll Elektroprfung drucken");
	echo "><img src=\"img/drucker.png\" /></a></td>\n";
}
echo "</td></tr></table>";
new stwLine(2);
echo "<table style=\"width:750px\">\n";
echo "<tr><th class=\"cl20\" style=\"background-color:black;width:60%\">Pr&uuml;fung elektrischer Ger&auml;te/Anlagen nach UVV</th>\n";
echo "<td style=\"background-color:black\">VBG4</td>\n";
$checked = strpos($ep['prmod'],'vbg')===false ? '' : 'checked';
echo "<td class=\"cl20\" style=\"background-color:black\"><input type=\"checkbox\" name=\"prmod[]\" tabindex=\"$ti\" value=\"vbg\" $checked /></td>\n";
$ti++;
$checked = strpos($ep['prmod'],'zn')===false ? '' : 'checked';
echo "<td style=\"background-color:black\">ZN 1/494</td>\n";
echo "<td class=\"cl20\" style=\"background-color:black\"><input type=\"checkbox\" name=\"prmod[]\" tabindex=\"$ti\" value=\"zn\" $checked /></td>\n";
$ti++;
$checked = strpos($ep['prmod'],'vde')===false ? '' : 'checked';
echo "<td style=\"background-color:black\">DIN VDE 0702</td>\n";
echo "<td class=\"cl20\" style=\"background-color:black\"><input type=\"checkbox\" name=\"prmod[]\" tabindex=\"$ti\" value=\"vde\" $checked /></td>\n";
$ti++;
echo "</tr></table>\n";
new stwLine(2);
echo "<table style=\"width:750px\">\n";
echo "<tr><th style=\"text-align:right\">E-Typ</th><td width=\"25%\"><input type=\"text\" size=\"15\" maxlength=\"50\" tabindex=\"$ti\" name=\"typ\" value=\"{$ep['typ']}\" /></td>\n";
$ti+=4;
echo "<th style=\"text-align:right\">Nennspannung</th><td width=\"20%\"><input type=\"text\" style=\"text-align:right\" size=\"8\" maxlength=\"20\" tabindex=\"$ti\" name=\"unenn\" value=\"{$ep['unenn']}\" /> V</td>\n";
$ti+=4;
echo "<th style=\"text-align:right\">cos &#966;</th><td width=\"10%\"><input type=\"text\" size=\"10\" style=\"text-align:right\" maxlength=\"20\" tabindex=\"$ti\" name=\"wirkfaktor\" value=\"{$ep['wirkfaktor']}\" /></td></tr>\n";
$ti-=7;
echo "<tr><th style=\"text-align:right\">Hersteller</th><td><input type=\"text\" size=\"15\" maxlength=\"50\" tabindex=\"$ti\" name=\"hersteller\" value=\"{$ep['hersteller']}\" /></td>\n";
$ti+=4;
echo "<th style=\"text-align:right\">Nennstrom</th><td><input type=\"text\" size=\"8\" style=\"text-align:right\" maxlength=\"20\" tabindex=\"$ti\" name=\"inenn\" value=\"{$ep['inenn']}\" /> A</td>\n";
$ti+=4;
echo "<th style=\"text-align:right\">Schutzklasse</th><td><input type=\"text\" size=\"10\" style=\"text-align:right\" maxlength=\"20\" tabindex=\"$ti\" name=\"schutzklasse\" value=\"{$ep['schutzklasse']}\" /></td></tr>\n";
$ti-=7;
echo "<tr><th style=\"text-align:right\">Fabrik Nr.</th><td><input type=\"text\" size=\"15\" maxlength=\"50\" tabindex=\"$ti\" name=\"fabriknr\" value=\"{$ep['fabriknr']}\" /></td>\n";
$ti+=4;
echo "<th style=\"text-align:right\">Nennleistung</th><td><input type=\"text\" size=\"8\" style=\"text-align:right\" maxlength=\"20\" tabindex=\"$ti\" name=\"pnenn\" value=\"{$ep['pnenn']}\" /> W</td>\n";
$ti-=3;
echo "</tr>\n";
echo "<tr><th style=\"text-align:right\">Inventar Nr.</th><td><input type=\"text\" size=\"15\" tabindex=\"$ti\" disabled value=\"{$ger[3]}\" /></td>\n";
$ti+=4;
echo "<th style=\"text-align:right\">Frequenz</th><td><input type=\"text\" size=\"8\" style=\"text-align:right\" maxlength=\"20\" tabindex=\"$ti\" name=\"frequenz\" value=\"{$ep['frequenz']}\" /> Hz</td>\n";
$ti+=3;
echo "<th style=\"text-align:right\">Pr&uuml;fdatum</th><td><input type=\"text\" size=\"10\" maxlength=\"10\" tabindex=\"$ti\" name=\"datum\" value=\"{$ep['datum']}\" /></td></tr>\n";
echo "</tr>\n</table>\n";
new stwLine(2);
echo "<table>\n";
echo "<tr><th width=\"400\">Sichtpr&uuml;fung</th><th width=\"80\" style=\"text-align:right\"><span".stwToolTip('in Ordnung').">i.O.</span>&nbsp;";
echo "<input type=\"checkbox\" checked " . stwToolTip("alle 12 unteren Felder i.O. setzen");
echo "onclick=\"this.checked=true; for(var i=$ti; i<".($ti+24)."; i++){if(i%2 == 1) document.getElementById(i).checked = false; else document.getElementById(i).checked = true;}\"";
echo "></th><th".stwToolTip('nicht in Ordnung').">n.i.O.</th></tr>\n";
echo "<tr class=\"mo\"><td style=\"text-align:right\">Geh&auml;use / Schutzabdeckungen</td>\n";
$checked = $ep['gehaeuse'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"gehaeuse\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['gehaeuse'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"gehaeuse\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Anschlussleitungen, -stecker</td>\n";
$checked = $ep['stecker'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"stecker\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['stecker'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"stecker\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Zugentlastungsvorrichtung</td>\n";
$checked = $ep['zugentlastung'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"zugentlastung\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['zugentlastung'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"zugentlastung\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Leitungsf&uuml;hrung / Biege- Kantenschutz</td>\n";
$checked = $ep['leitung'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"leitung\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['leitung'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"leitung\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Bemessung Schutzorgane</td>\n";
$checked = $ep['schutzorgane'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"schutzorgane\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['schutzorgane'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"schutzorgane\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">K&uuml;hlluft&ouml;ffnungen</td>\n";
$checked = $ep['kuehl'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"kuehl\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['kuehl'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"kuehl\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Betriebsmittelkennzeichnungen Bauteile</td>\n";
$checked = $ep['betrkennz'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"betrkennz\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['betrkennz'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"betrkennz\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Lesbarkeit von Sicherheitsaufschriften</td>\n";
$checked = $ep['lesbarkeit'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"lesbarkeit\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['lesbarkeit'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"lesbarkeit\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Schutzart / Dichtungen</td>\n";
$checked = $ep['dichtungen'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"dichtungen\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['dichtungen'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"dichtungen\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Funktionsf&auml;higkeit von Sicherheitseinrichtungen</td>\n";
$checked = $ep['sicherheit'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"sicherheit\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['sicherheit'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"sicherheit\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Funktion Bet&auml;tigungselemente / elektr. Funktion</td>\n";
$checked = $ep['elektrfunk'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"elektrfunk\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['elektrfunk'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"elektrfunk\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Klemmenpl&auml;ne / Schaltungsunterlagen</td>\n";
$checked = $ep['klemmplan'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"klemmplan\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['klemmplan'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"klemmplan\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr><td>&nbsp;</td></tr>\n";
echo "<tr><td></td><th style=\"text-align:center\">nicht<br />erkennbar</th><th style=\"vertical-align:middle\">erkennbar</th></tr>\n";
echo "<tr class=\"mo\"><td style=\"text-align:right\">Mechanische Gef&auml;hrdung</td>\n";
$checked = $ep['mechgefahr'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"mechgefahr\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['mechgefahr'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"mechgefahr\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Unzul&auml;ssige Eingriffe und &Auml;nderungen</td>\n";
$checked = $ep['eingriffe'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"eingriffe\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['eingriffe'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"eingriffe\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Anzeichen von &Uuml;berlastung und unsachgem&auml;&szlig;em Gebrauch</td>\n";
$checked = $ep['ueberlastung'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"ueberlastung\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['ueberlastung'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"ueberlastung\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Sicherheitsbeeintr&auml;chtigende Verschmutzung und Korrosion</td>\n";
$checked = $ep['korrosion'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"korrosion\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['korrosion'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"korrosion\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr><td>&nbsp;</td></tr>\n";
echo "<tr><td></td><th style=\"vertical-align:middle;text-align:right\">vorhanden</th><th style=\"text-align:center\">nicht<br />vorhanden</th></tr>\n";
echo "<tr class=\"mo\"><td style=\"text-align:right\">Erforderliche Luftfilter</td>\n";
$checked = $ep['luftfilter'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"luftfilter\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['luftfilter'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"luftfilter\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Kennzeichnung der Anwendungskategorie</td>\n";
$checked = $ep['anwendung'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"anwendung\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['anwendung'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"anwendung\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"text\" name=\"etc\" value=\"{$ep['etc']}\" size=\"50\" maxlength=\"100\" /></td>\n";
$ti++;
$checked = $ep['etcjn'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"etcjn\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['etcjn'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"etcjn\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "</table>\n";
new stwLine(2);
echo "<table>\n";
echo "<tr><th width=\"236\">Messung</th><th width=\"160\" style=\";text-align:right\">Messwert</th><td width=\"38\">&nbsp;</td><th width=\"38\" style=\"text-align:right\"".stwToolTip('in Ordnung').">i.O.</th><th".stwToolTip('nicht in Ordnung').">n.i.O.</th></tr>\n";
echo "<tr class=\"mo\"><td style=\"text-align:right\">Schutzleiter-Messung</td>\n";
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"text\" name=\"mwschutzleiter\" value=\"{$ep['mwschutzleiter']}\" size=\"20\" maxlength=\"30\" />";
$ti++;
echo "<td>&#937;</td>";
$checked = $ep['schutzleiter'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"schutzleiter\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['schutzleiter'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"schutzleiter\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">FI-Schutz-Messung</td>\n";
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"text\" name=\"mwfi\" value=\"{$ep['mwfi']}\" size=\"20\" maxlength=\"30\" />";
$ti++;
echo "<td>V/ms</td>";
$checked = $ep['fi'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"fi\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['fi'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"fi\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Isolationswiderstand</td>\n";
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"text\" name=\"mwisolation\" value=\"{$ep['mwisolation']}\" size=\"20\" maxlength=\"30\" />";
$ti++;
echo "<td>M&#937;</td>";
$checked = $ep['isolation'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"isolation\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['isolation'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"isolation\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Ersatzableitstrom</td>\n";
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"text\" name=\"mwersatz\" value=\"{$ep['mwersatz']}\" size=\"20\" maxlength=\"30\" />";
$ti++;
echo "<td>mA</td>";
$checked = $ep['ersatz'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"ersatz\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['ersatz'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"ersatz\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Schutzleiterstrom</td>\n";
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"text\" name=\"mwischutz\" value=\"{$ep['mwischutz']}\" size=\"20\" maxlength=\"30\" />";
$ti++;
echo "<td>mA</td>";
$checked = $ep['ischutz'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"ischutz\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['ischutz'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"ischutz\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr class=\"mo\"><td style=\"text-align:right\">Ber&uuml;hrungstrom</td>\n";
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"text\" name=\"mwiberuehr\" value=\"{$ep['mwiberuehr']}\" size=\"20\" maxlength=\"30\" />";
$ti++;
echo "<td>mA</td>";
$checked = $ep['iberuehr'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"iberuehr\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['iberuehr'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"iberuehr\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "</table>\n";
new stwLine(2);
echo "<table>\n";
echo "<tr><th width=\"400\">Auswertung</th><th width=\"80\" style=\"text-align:right\">Run</th><th>Stop</th></tr>\n";
echo "<tr class=\"mo\"><td style=\"text-align:right\">CPU-Abfrage Programm-Status</td>\n";
$checked = $ep['cpu'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"cpu\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['cpu'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"cpu\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "<tr><td>&nbsp;</td></tr>\n";
echo "<tr><th colspan=\"2\" style=\"text-align:right\">Fehler<br />vorh.</th><th>Fehler<br />nicht vorh.</th></tr>\n";
echo "<tr class=\"mo\"><td style=\"text-align:right\">Fehlerdiagnose</td>\n";
$checked = $ep['fehler'] == 'j' ? 'checked' : '';
echo "<td style=\"text-align:right\"><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti+1).").checked=false;}\" id=\"$ti\" name=\"fehler\" value=\"j\" $checked /></td>\n";
$ti++;
$checked = $ep['fehler'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"if(this.checked){document.getElementById(".($ti-1).").checked=false;}\" id=\"$ti\" name=\"fehler\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "</table>\n";
new stwLine(2);
echo "<table>\n";
echo "<tr><th width=\"400\">Hinweise f&uuml;r den Auftraggeber/Betreiber</th></tr>\n";
echo "<tr><td style=\"text-align:right\">Bei der &Uuml;berpr&uuml;fung wurden keine M&auml;ngel festgestellt</td>\n";
$checked = $ep['hinw'] == 'ok' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"var hinw = getElementsByName('hinw'); for(var i=1;i<4;i++) {hinw[i].checked = false;}\" name=\"hinw\" value=\"ok\" $checked /></td></tr>\n";
$ti++;
echo "<tr><td style=\"text-align:right\">M&auml;ngel wurden durch Reparatur beseitigt</td>\n";
$checked = $ep['hinw'] == 'rep' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"var hinw = getElementsByName('hinw'); for(var i=0;i<4;i++) {if(i!=1) hinw[i].checked = false;}\" name=\"hinw\" value=\"rep\" $checked /></td></tr>\n";
$ti++;
echo "<tr><td style=\"text-align:right\">Auf festgestellte M&auml;ngel hingewiesen</td>\n";
$checked = $ep['hinw'] == 'hinw' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"var hinw = getElementsByName('hinw'); for(var i=0;i<4;i++) {if(i!=2) hinw[i].checked = false;}\" name=\"hinw\" value=\"hinw\" $checked /></td></tr>\n";
$ti++;
echo "<tr><td style=\"text-align:right\">Das elektrische Ger&auml;t darf nicht weiter verwendet werden</td>\n";
$checked = $ep['hinw'] == 'n' ? 'checked' : '';
echo "<td><input tabindex=\"$ti\" type=\"checkbox\" onclick=\"var hinw = getElementsByName('hinw'); for(var i=0;i<3;i++) {hinw[i].checked = false;}\" name=\"hinw\" value=\"n\" $checked /></td></tr>\n";
$ti++;
echo "</table>\n";
new stwLine(2);
echo "<table width=\"750\">\n";
echo "<tr><th style=\"text-align:right\" width=\"400\">Pr&uuml;fplakette angebracht:</th>\n";
$checked = $ep['done'] == 'j' ? 'checked' : '';
echo "<td width=\"50\"><input tabindex=\"$ti\" type=\"checkbox\" name=\"done\" value=\"1\" $checked /></td></tr>\n";
echo "<tr><td style=\"text-align:right\">N&auml;chster Pr&uuml;ftermin:</td>\n";
echo "<td><input type=\"text\" size=\"10\" maxlength=\"10\" tabindex=\"$ti\" name=\"datum_n\" value=\"{$ep['n_datum']}\" /></td>";
echo "<td>TT.MM.JJJJ</td></tr>\n";
$ti++;
echo "<tr><th style=\"text-align:right\">Anmerkungen:</th>\n";
echo "<td colspan=\"2\"><textarea name=\"notizen\" style=\"width:100%\" rows=\"2\">";
echo $ep['notizen'] . "</textarea></td></tr>\n";

echo "</table>\n";
new stwLine(2);
echo "<table><tr>\n";
if(check_nutzer_rechte(120)) {
	echo "<td class=\"cl20\"><input type=\"submit\" name=\"save\" value=\"neu\" ";
	echo stwToolTip("neues Messger&auml;t hinzuf&uuml;gen") . "/></td>\n";
}
echo "<th>Verwendete Messger&auml;te</th>\n";
echo "<td><table cellpadding=\"0\">";
$messgs = abfrage1("select * from tb_ger_ep_mess_ger order by fabrikant asc, typ asc");
while($messg = mysql_fetch_row($messgs)) {
	$val = 1 << ($messg[0]-1);
	$checked = ($ep['messgeraet'] & $val) > 0 ? 'checked' : '';
	echo "<tr><td class=\"cl1\"><input type=\"checkbox\" tabindex=\"$ti\" name=\"m$messg[0]\" $checked value=\"$val\" /></td>\n";
	$ti++;
	echo "<td>$messg[1] $messg[2]</td>";
	if(check_nutzer_rechte(120)) {
		echo "<td><input type=\"submit\" name=\"save\" value=\"n$messg[0]\"";
		echo stwToolTip("Messger&auml;t bearbeiten");
		echo "style=\"background-color:#333;color:transparent;width:16px;";
		echo "background-image:url(img/stift.png);background-repeat:no-repeat\"></td>\n";
	}
	echo "</tr>\n";
}
echo "</table></td></tr>\n";
echo "</table>\n";
if(check_nutzer_rechte(120)) {
	new stwLine(1);
	echo "<table><tr><td><input type=\"submit\" tabindex=\"$ti\" name=\"save\" value=\"speichern\" /></td></tr></table>\n";
	echo "</form>\n";
}
new stwEnd($seite);
?>