<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: image.php 2900 2018-11-01 17:59:48Z dschniegler $
 *
 */
$data = explode(",",$_SERVER['QUERY_STRING']);
$x = $data[0];
$y = $data[1];
$r = $data[2];
$g = $data[3];
$b = $data[4];
$image =  imagecreate($x,$y);
$color = imagecolorallocate($image, $r, $g, $b);
$white = imagecolorallocate($image, 255, 255, 255);
$transparent = imagecolorallocatealpha($image, 255, 255, 255, 127);
imagecolortransparent($image, $transparent);
imagefill($image, 0, 0, $transparent);

for($Y = 0; $Y < $y && ($Y + 5) < count($data); $Y++)
{
  $line = $data[$Y + 5];
  for($X = 0; $X < $x && $X < strlen($line); $X++)
  {
    if($line[$X] == 7) imagesetpixel($image, $X, $Y, $white);
    elseif($line[$X]) imagesetpixel($image, $X, $Y, $color);
  }
}

header ("Content-type: image/png");
ImagePNG($image);
ImageDestroy($image);
?>