<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: mailconf.php 2899 2018-10-28 17:18:14Z dschniegler $
 *
 */

$pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);
require_once($pfad."inc/func.inc.php");

class MailConfiguration
{
  public function __construct()
  {
  }

  public function GetSideData(array $request)
  {
    ob_start();
    new stwTabLine(2, 10);

    $line = ob_get_contents();
    ob_end_clean();

    $out  = "<table><tr><th class=\"cl1\">Server</th>";
    $out .= "<th class=\"cl1\">Port</th><th class=\"cl1\">Login</th>";

    $out .= "<th class=\"cl1\">Art</th><th class=\"cl1\">Tr&auml;ger</th></tr>";
    $out .= $line;

    $link  = "seite_konf.php?name=".$request["name"]."&seite=";
    $link .= $request["seite"]."&imap_id=";

    $sql  = "SELECT t1.id, t1.server, t1.port, t1.login, t1.art, ";
    $sql .= "t2.kurzname FROM tb_imap_settings t1 LEFT JOIN ";

    $sql .= "tb_traeger_art t2 ON t1.traeger_art_id = t2.traeger_art_id";
    $erg = abfrage1($sql);

    while ($row = mysql_fetch_array($erg))
    {
      $out .= "<tr><td>".$row["server"]."</td>";
      $out .= "<td>".$row["port"]."</td>";

      $out .= "<td>".$row["login"]."</td><td>";

      if ($row["art"] == "i")
      {
        $out .= "Eingang";

      }
      else
      {
        $out .= "Ausgang";
      }

      $out .= "</td><td>".$row["kurzname"]."</td>";
      $out .= "<td><a href=\"".$link.$row["id"]."\" style=\"color:red\" ";

      $warning = "Achtung ".$row["server"]." wird gel&ouml;scht!";
      $out .= stwToolTip($warning).">X</a></td></tr>";
    }

    $out .= $line;
    $out .= "</table><form method=\"post\" action=\"".$_SERVER["PHP_SELF"];

    $out .= "\"><table><tr><th>Server:</th><th><input type=\"text\" ";
    $out .= "name=\"imap_server\" size=\"12\" maxlength=\"120\"></th>";

    $out .= "<th>Port:</th><th><select name=\"imap_port\">";
    $out .= "<option value=\"993\">993</option><option value=\"143\">143";

    $out .= "</option></select></th><th>Login:</th><th><input type=\"text\" ";
    $out .= "name=\"imap_login\" size=\"12\" maxlength=\"120\"></th>";

    $out .= "<th>Passwort:</th><th><input type=\"password\" ";
    $out .= "name=\"imap_password\" size=\"12\" maxlength=\"120\"></th>";

    $out .= "<th>Art:</th><th><select name=\"imap_art\"><option value=\"i\">";
    $out .= "Eingang</option><option value=\"o\">Ausgang</option></select>";

    $out .= "</th><th>Tr&auml;ger:</th><th><select name=\"imap_org\">";

    $erg  = abfrage1("SELECT traeger_art_id, kurzname FROM tb_traeger_art");
    while ($row = mysql_fetch_array($erg))
    {
      $out .= "<option value=\"".$row["traeger_art_id"]."\">";
      $out .= $row["kurzname"]."</option>";
    }

    $out .= "</select></th><td><button type=\"submit\" ";
    $out .= "name=\"imap_add\">Neu</button></td>";

    $out .= "</tr></table></form>";
    return $out;
  }

  public function HandleUserRequest(array $request)
  {
    if (isset($request["imap_id"]) && ctype_digit($request["imap_id"]))
    {
      $sql  = "DELETE FROM tb_imap_settings ";
      $sql .= "WHERE id = '".$request["imap_id"]."'";

      abfrage2($sql);
    }

    if (isset($request["imap_add"]) &&
        strlen($request["imap_server"]) <= 120 &&
        ($request["imap_port"] == "143" || $request["imap_port"] == "993") &&
        strlen($request["imap_login"]) <= 120 &&
        strlen($request["imap_password"]) <= 120 &&
        ($request["imap_art"] == 'i' || $request["imap_art"] == 'o') &&
        ctype_digit($request["imap_org"]))
    {
      $sql  = "INSERT INTO tb_imap_settings SET ";
      $sql .= "server = '".$request["imap_server"]."', ";

      $sql .= "port = '".$request["imap_port"]."', ";
      $sql .= "login = '".$request["imap_login"]."', ";

      $sql .= "password = '".$request["imap_password"]."', ";
      $sql .= "art = '".$request["imap_art"]."', ";

      $sql .= "traeger_art_id = '".$request["imap_org"]."'";
      abfrage2($sql);
    }
  }
}

?>