/********************************************************************
 * openWYSIWYG settings file Copyright (c) 2006 openWebWare.com
 * Contact us at devs@openwebware.com
 * This copyright notice MUST stay intact for use.
 *
 * $Id: wysiwyg-settings.js 2918 2018-12-03 07:33:23Z tfreudenberg $
 ********************************************************************/

/*
 * Full featured setup used the openImageLibrary addon
 */
var full = new WYSIWYG.Settings();
full.Width = "630px";
full.Height = "250px";
full.DefaultStyle = "font-family: Courier; font-size: 12px; background-color: #EEEEEE; color: #000000";
full.Toolbar[0] = new Array("font", "fontsize", "forecolor", "bold", "italic", "underline", "seperator", "createlink");
full.Toolbar[1] = ""; // disable toolbar 2
full.StatusBarEnabled = false;

/*
 * Small Setup Example
 */
var small = new WYSIWYG.Settings();
small.Width = "630px";
small.Height = "250px";
small.DefaultStyle = "font-family: Arial; font-size: 12px; background-color: #333333; color: #CCCCCC";
small.Toolbar[0] = new Array("font", "fontsize", "forecolor", "bold", "italic", "underline", "seperator", "createlink"); // small setup for toolbar 1
small.Toolbar[1] = ""; // disable toolbar 2
small.StatusBarEnabled = false;
