<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: info_and.php 2920 2018-12-03 17:25:30Z tfreudenberg $
 *
 */
session_start();
$level = 30;
$seite = 11;
require_once('inc/auth.inc.php');
require_once('inc/level.inc.php');
require_once('inc/stw.inc.php');
require_once('inc/stwDaten.inc.php');

$rechte_id = 19;

if (isset($rvar_info_id)) {
	$info = abfrage("select * from tb_info where info_id = '$rvar_info_id';");
	$last = abfrage("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i'), verlauf_id from tb_info_verlauf where info_id='$rvar_info_id' order by verlauf_id desc limit 1");
} else $last = array();

echo "<script type=\"text/javascript\"><!--\n";
echo "function doUrlTT(id) {\n";
echo "var str = '<form name=\"tempform\">'\n";
echo "        + '<b style=\"color:#CCCCCC\">Name:</b> <input type=\"text\" name=\"url_name\" style=\"width:300px;margin:5px\" onkeyup=\"document.infoform.url_name'+id+'.value=document.tempform.url_name.value\" value=\"'";
echo "        + document.getElementById('url_name'+id).value + '\">'";
echo "        + '<br><b style=\"color:#CCCCCC\">Link:&nbsp;&nbsp;</b> <input type=\"text\" name=\"url\" style=\"width:300px;margin:5px\" onkeyup=\"document.infoform.url'+id+'.value=document.tempform.url.value\" value=\"'";
echo "        + document.getElementById('url'+id).value + '\">'";
echo "        + '<br><input style=\"margin-top:10px\" type=\"button\" value=\"Speichern\" onclick=\"document.infoform.chg.value=2; document.infoform.submit();\" />';\n";
if($ulv >= 97) {
	echo "if(id > 0) str += '<input style=\"margin-top:10px;margin-left:185px\" type=\"button\" value=\"L&ouml;schen\" onclick=\"if(confirm(\'Soll dieser WebLink wirklich endg&uuml;tig gel&ouml;scht werden?\')) { document.infoform.del.value=' + id + '; document.infoform.chg.value=2; document.infoform.submit(); }\" />';\n";
}
echo "str += '</form>';\n";
echo "var title = 'Weblink ';\n";
echo "title += id ? 'bearbeiten' : 'erstellen';\n";
echo "Tip(str, BGCOLOR, '#333333', CLOSEBTN, 1, DELAY, 0, TITLE, title,TITLEBGCOLOR, '#006600', BORDERCOLOR, '#666666', WIDTH, 350, HEIGHT, 80, FIX, ['url_img'+id,-10,-25], STICKY, 1);\n}\n";
echo "--></script>\n";

echo "<table>\n";
echo "<form method=\"post\" name=\"infoform\" action=\"info.php\">\n";

$ti = 1;

echo "<tr><th class=\"cl20\">Kurzname:</th>\n";
echo "<td><input type=text name=\"info\" size=\"15\" maxlength=\"15\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_info_id)) echo " value=\"$info[1]\"";
echo '>';
if (isset($rvar_info_id)) {
	$daten = new stwDaten($rechte_id);
	$link  = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $info[0], 0);
	echo '&nbsp;' . $link;
}
echo "</td>";
if (isset($rvar_info_id)) {
	echo "<td style=\"position:absolute;left:740px\">";
	echo "<a href=\"info_pr.php?info_id=$rvar_info_id&ts=".time()."\" target=\"_pdf\">";
	echo "<img src=\"".image('drucker')."\" /></a></td>";
}
echo "</tr>\n";

echo "<tr><th class=\"cl20\">Erkl&auml;rung:</th>\n";
echo "<td><table cellpadding=\"0\" cellspacing=\"0\"><tr>\n";
echo "<td class=\"cl11\"><input type=\"text\" name=\"text\" size=\"70\" maxlength=\"100\" ";
echo "tabindex=\"$ti\""; $ti++;
echo (isset($rvar_info_id)) ? " value=\"$info[2]\"" : '' ;
echo "></td>";
if ($ulv >= 97){
	echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"stellware\" value=\"1\" ";
	echo stwToolTip("betrifft Stellware");
	echo "tabindex=\"$ti\""; $ti++;
	echo (isset($rvar_info_id) && $info[3] == 1) ? ' checked' : '' ;
	echo "></td><td>Stellware</td></tr>\n";
} else {
	if (isset($rvar_info_id)){
		echo "<input type=\"hidden\" name=\"stellware\" value=\"$info[3]\">\n";
	}
}
echo "</tr></table></td>\n";
echo "</tr>\n";

echo "<tr><th class=\"cl20\">Stichworte:</th>\n";
echo "<td><input type=\"text\" name=\"stichworte\" size=\"70\" maxlength=\"100\" ";
echo "tabindex=\"$ti\""; $ti++;
echo (isset($rvar_info_id)) ? " value=\"$info[4]\"" : '' ;
echo "></td></tr>\n";

echo "<tr><th class=\"cl20\">Weblinks:</th>\n";
echo "<td class=\"ww\">\n";

if(isset($rvar_info_id)) {
	$weblinks = abfrage1("select weblink_id, link_name, link from tb_weblinks where seite='info' and id='$rvar_info_id'");
	while($weblink = mysql_fetch_row($weblinks)) {
		echo "<input type=\"hidden\" id=\"url_name$weblink[0]\" name=\"url_name$weblink[0]\" value=\"$weblink[1]\" />\n";
		echo "<input type=\"hidden\" id=\"url$weblink[0]\" name=\"url$weblink[0]\" value=\"$weblink[2]\" />\n";
		if(empty($weblink[2]) && $ulv >= 30) {
			echo " <a href=\"#\"";
			echo stwToolTip("keine URL eingetragen!<br>Link konfigurieren");
			echo "onmousedown=\"doUrlTT($weblink[0])\" oncontextmenu=\"return false;\">";
			echo "<img id=\"url_img$weblink[0]\" src=\"".image('welt',16,16,204,204,204)."\" alt=\"www\" /></a>\n";
		} else {
			echo "<a href=\"";
			if(substr($weblink[2],0,4) != 'http') echo "http://";
			echo $weblink[2];
			echo "\"" . stwToolTip((empty($weblink[1]) ? '' : '<b>'.$weblink[1].'</b><br>' ) . $weblink[2]);
			echo " target=\"_blank\">";
			echo "<img id=\"url_img$weblink[0]\" src=\"".image('welt')."\" alt=\"www\" /></a>\n";
		}
		if($ulv >= 30) {
			echo " <a style=\"font-size:small;position:relative;left:-4px;top:-8px;\" href=\"#\"";
			echo stwToolTip("Link konfigurieren");
			echo "onmousedown=\"doUrlTT($weblink[0])\" oncontextmenu=\"return false;\">+</a>&nbsp;\n";
		}
	}
}
if($ulv >= 97) {
	echo "<input type=\"hidden\" id=\"del\" name=\"del\" value=\"\" />\n";
}

if($ulv >= 30) {
	echo "<input type=\"hidden\" id=\"url_name0\" name=\"url_name0\" value=\"\" />\n";
	echo "<input type=\"hidden\" id=\"url0\" name=\"url0\" value=\"\" />\n";
	echo " <a href=\"#\"";
	echo stwToolTip("neuen Web-Link anlegen");
	echo "onmousedown=\"doUrlTT(0)\" oncontextmenu=\"return false;\">";
	if(!isset($rvar_info_id) || mysql_num_rows($weblinks) == 0)
		echo "<img id=\"url_img0\" src=\"".image('welt',16,16,204,204,204)."\" alt=\"www\" />";
	else echo "<span id=\"url_img0\" style=\"font-size:24px;margin-top:-6px;position:absolute;\">+</span>";
	echo "</a>";
}
echo "</td></tr>\n";

echo "<tr><th class=\"cl20\">Notizen: <img style=\"cursor:pointer\" src=\"img/stift.png\" ";
echo "onclick=\"document.getElementById('edit').style.display='table-cell';";
echo "document.getElementById('static').style.display='none';\" /></th>\n";
$pers_format = getPersEinst($_SESSION[$AppCode]["UID"], 'nachr_format', '');
echo "<script type=\"text/javascript\">\n var pers_id = {$_SESSION[$AppCode]["UID"]};\n pers_format = '$pers_format';\n</script>\n";
echo "<script type=\"text/javascript\" src=\"inc/wysiwyg/scripts/wysiwyg.js\"></script>\n";
echo "<script type=\"text/javascript\" src=\"inc/wysiwyg/scripts/wysiwyg-settings.js\"></script>\n";
echo "<script type=\"text/javascript\">\n WYSIWYG.attach('editor', small, 2);\n</script>\n";
echo "<td id=\"edit\" ";
if(!empty($info[5])) echo "style=\"display:none\"";
echo "><textarea id=\"editor\" name=\"notizen\" tabindex=\"$ti\">"; $ti++;
if(isset($rvar_info_id)) echo strpos($info[5], "<br>")===false ? str_replace("\n", "<br>", $info[5]) : $info[5];
echo "</textarea></td>\n";
echo "<td id=\"static\" ";
if(empty($info[5])) echo "style=\"display:none\"";
echo " onclick=\"document.getElementById('edit').style.display='table-cell';";
echo "document.getElementById('static').style.display='none';\">";
if(isset($rvar_info_id)) echo strpos($info[5], "<br>")===false ? str_replace("\n", "<br>", $info[5]) : $info[5];
echo "</td>\n";
echo "</tr>\n";

new stwTabLine(2,30);

echo "<tr><td>";
if ($ulv >= 30) {
	if (isset($rvar_info_id)) {
		echo "<input type=\"hidden\" name=\"info_id\" value=\"$rvar_info_id\">\n";
	}
	echo "<input type=\"hidden\" id=\"chg\" name=\"chg\" value=\"1\">\n";
	echo "<input type=\"submit\" value=\"Speichern\">";
}
echo "</td><td style=\"text-align:right\">";
if($last[0]) {
	$hists = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i') from tb_info_verlauf where info_id='$rvar_info_id' order by verlauf_id desc limit 10");
	$tt = "";
	while($hist = mysql_fetch_row($hists)) {
		$tt .= "$hist[1] Uhr: ".pers_kname($hist[0])."<br>";
	}
	if($tt != '') $tt = stwToolTip($tt);
	echo "<small $tt>Letzte &Auml;nderung: ".pers_kname($last[0])." am $last[1] Uhr";
}
echo "</td></tr>\n";

echo "</table>\n";
echo "</form>\n";

new stwEnd($seite);
?>