<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kal_del_sql.php 2847 2018-04-11 08:00:09Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);

 require_once($pfad."inc/func.inc.php");
 require_once($pfad."inc/azk.inc.php");

 if(isset($_POST['do_del'])) {
	abfrage2("insert into tb_fahrtenhistorie set zk_id='{$_GET["zk_id"]}', 
			pers_id='{$_SESSION[$AppCode]["UID"]}',
			text='{$_POST['grund']}', res_id='{$_POST['res_id']}',
			km_start='{$_POST['km_start']}', km_ende='{$_POST['km_ende']}',
			zk_ts='{$_POST['zk_ts']}'");
 }

 if(!isset($_POST['do_del']) && ($_GET["ktyp"] == 'a' || $_GET["ktyp"] == 'z')) {
	$fh = abfrage_array("select * from tb_fahrtenhistorie where zk_id='{$_GET["zk_id"]}' order by zeit desc limit 1");
	if(!empty($fh[0])) {
		$seite = 10;
		require_once($pfad . 'inc/stw.inc.php');
		$urlext = "ktyp=".$_GET["ktyp"];
		$urlext .= "&zk_id=".$_GET["zk_id"];
		$urlext .= "&termin_id=".$_GET["termin_id"];
		if(isset($_GET["ln"])) {
			$urlext .= "&ln=".$_GET["ln"];
			if (isset($_GET["anz"])) $urlext .= "&anz=".$_GET["anz"];
			if (isset($_GET["all"])) $urlext .= "&all=".$_GET["all"];
			if (isset($_GET["ma"])) $urlext .= "&ma=".$_GET["ma"];
		}
		if(empty($fh['res_id'])) {
			$res = abfrage("select res_id from tb_ab_zk where zk_id='{$_GET["zk_id"]}'");
		} else $res[0] = $fh['res_id'];
		if(empty($fh['zk_ts'])) {
			$zk_ts = abfrage("select unix_timestamp(von) from tb_termine where termin_id='{$_GET["termin_id"]}'");
		} else $zk_ts[0] = $fh['zk_ts'];
		if($fh['km_start'] > 0) $km_start = $fh['km_start'];
		else $km_start = km_stand($res[0],$zk_ts[0],1);
		if($fh['km_ende'] > 0) $km_ende = $fh['km_ende'];
		else {
			$km = abfrage("select km_dienst from tb_ab_zk where zk_id='{$_GET["zk_id"]}'");
			$km_ende = $km_start + $km[0];
		}
		echo "<center>\n<form method=\"post\" action=\"kal_del_sql.php?$urlext\">\n";
		echo "<input type=\"hidden\" name=\"res_id\" value=\"$res[0]\" />\n";
		echo "<input type=\"hidden\" name=\"km_start\" value=\"$km_start\" />\n";
		echo "<input type=\"hidden\" name=\"km_ende\" value=\"$km_ende\" />\n";
		echo "<input type=\"hidden\" name=\"zk_ts\" value=\"$zk_ts[0]\" />\n";
		echo "<table>\n<tr><th style=\"color:red\" colspan=\"2\">";
		echo "Die &Auml;nderung hat Auswirkung auf das Fahrtenbuch!<br>";
		echo "Soll die Fahrt wirklich gel&ouml;scht werden?";
		echo "</th></tr>\n";
		echo "<tr><th style=\"text-align:right\">Begr&uuml;ndung:</th><td>";
		echo "<input type=\"text\" name=\"grund\" style=\"width:100%\"></td></tr>\n";
		echo "<tr><td style=\"text-align:right\"><input type=\"submit\" name=\"do_del\" value=\"Ok\"></td>\n";
		echo "<th><input type=\"button\" value=\"Abbrechen\" onClick=\"javascript:history.back()\">\n";
		echo "</th></form>\n</tr></table>\n</center>\n";
		new stwEnd($seite);
		exit(0);
	}
 }

 $ma = isset($_GET['ma']) ? $_GET['ma'] : $_SESSION[$AppCode]["UID"];
 switch ($_GET["ktyp"])
 {
   case "t": /* Person/-en aus Team Sitzung loeschen wenn Kalender */
             $sql  = "DELETE FROM tbh_team_pers WHERE team_id = '";
             $sql .= $_GET["team_id"]."'";

             if ($_GET["loc"] == "kal")
             {
               $sql .= " AND pers_id = '".$ma."'";
               abfrage2($sql);
			   $bets=abfrage1( "select essen, andacht, weiter from tb_team 
								where team_id = '".$_GET["team_id"]."'
								and (essen='".$ma."'
								or andacht='".$ma."'
								or weiter='".$ma."');" );
			   if(mysql_num_rows($bets) > 0) {
				$bet = mysql_fetch_row($bets);
				$sql = "UPDATE tb_team SET ";
				if($ma==$bet[0]) $sql .= "essen='0' ";
				if($ma==$bet[1]) {
					if($ma==$bet[0]) $sql .= ", ";
					$sql .= "andacht='0' ";
				}
				if($ma==$bet[2]) {
					if($ma==$bet[0] || $ma==$bet[1]) $sql .= ", ";
					$sql .= "weiter='0' ";
				}
				$sql .= "WHERE team_id = '".$_GET["team_id"]."';";
				abfrage2($sql);
			   }
             }
             else
             {
               abfrage2($sql);

               /* diese Teamsitzung loeschen */
               $sql  = "DELETE FROM tb_team WHERE team_id = '";
               $sql .= $_GET["team_id"]."'";

               abfrage2($sql);
             }
             break;

   case "l": /* Person/-en aus Lom Sitzung loeschen */
             $sql  = "DELETE FROM tbh_lom_anleiter WHERE lom_id = '";
             $sql .= $_GET["lom_id"]."'";
             abfrage2($sql);

             $sql  = "DELETE FROM tbh_lom_pers WHERE lom_id = '";
             $sql .= $_GET["lom_id"]."'";

             if ($_GET["loc"] == "kal")
             {
               $sql .= " AND pers_id = '".$ma."'";
               abfrage2($sql);
             }
             else
             {
               abfrage2($sql);

               /* Teilnehmer aus Lom Sitzung loeschen */
               $sql  = "DELETE FROM tb_lom WHERE lom_id = '";
               $sql .= $_GET["lom_id"]."'";

               abfrage2($sql);
             }
             break;

   case "g": /* Person/-en aus Gruppenarbeit loeschen */
             $sql  = "DELETE FROM tbh_ga_pp WHERE ga_id = '";
             $sql .= $_GET["ga_id"]."'";

             if ($_GET["loc"] == "kal")
             {
               $sql .= " AND pers_id = '".$ma."'";
               abfrage2($sql);
             }
             else
             {
               abfrage2($sql);

               /* Gruppenarbeit loeschen */
               $sql  = "DELETE FROM tb_ga WHERE ga_id = '";
               $sql .= $_GET["ga_id"]."'";

               abfrage2($sql);
             }
			 update_ga_spesen($_GET["ga_id"]);
             break;

   case "r": /* Raumnutzungen und Zeitkarten sind im Wesentlichen gleich */
   case "a": /* Fahrten und Zeitkarten sind im Wesentlichen gleich */
   case "z": /* moeglichen Eintrag aus tb_ab_zk_dienst entfernen */
             $sql  = "DELETE FROM tb_ab_zk_dienst WHERE zk_id = '";
             $sql .= $_GET["zk_id"]."'";

             abfrage2($sql);

             /* vor dem loeschen die notwendigen Infos zu holen */
             $sql  = "SELECT t1.proj_id, t2.von FROM tb_ab_zk t1 ";
             $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";

             $sql .= "WHERE t1.zk_id='".$_GET["zk_id"]."'";
             $daten = abfrage($sql);
             $sql  = "DELETE FROM tb_ab_zk WHERE zk_id = '".$_GET["zk_id"]."'";
             abfrage2($sql);

             /* ZK Aenderung - Cachetabelle updaten */
             azk_update_cache($daten[0], $daten[1]);
             break;

   case "1": /* vor dem loeschen die notwendigen Infos zu holen */
             $sql  = "SELECT t1.proj_id, t2.von FROM tb_ab_zk t1 ";
             $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";

             $sql .= "WHERE t1.zk_id='".$_GET["zk_id"]."'";
             $daten = abfrage($sql);

             $sql  = "DELETE FROM tbh_termin_pers WHERE termin_id = '";
             $sql .= $_GET["termin_id"]."'";

             if ($_GET["loc"] == "kal")
             {
               $sql .= " AND pers_id = '".$ma."'";
               abfrage2($sql);
             }
             else
             {
               abfrage2($sql);
               abfrage2("DELETE FROM tb_ab_zk WHERE zk_id = '".$_GET["zk_id"]."'");
             }

             /* ZK Aenderung - Cachetabelle updaten */
             azk_update_cache($daten[0], $daten[1]);
             break;
 }

 /* einen vorhandenen Termin loeschen
  * mag sein, dass hier mit der Sicherheit uebertrieben wird
  * - aber allemal besser, als den Kalender zu zerschiessen */
 if (!empty($_GET["termin_id"]))
 {
  $tID = $_GET["termin_id"];
  $one = abfrage1("select distinct zk_id from tb_ab_zk where termin_id=$tID");
  if(mysql_num_rows($one) == 0) {
   $two = abfrage1("select distinct fehlz_id from tb_fehlz where termin_id=$tID");
   if(mysql_num_rows($two) == 0) {
    $three = abfrage1("select distinct ga_id from tb_ga where termin_id=$tID");
    if(mysql_num_rows($three) == 0) {
     $four = abfrage1("select distinct lom_id from tb_lom where termin_id=$tID");
     if(mysql_num_rows($four) == 0) {
      $five = abfrage1("select distinct team_id from tb_team where termin_id=$tID");
      if(mysql_num_rows($five) == 0) {
       $six = abfrage1("select distinct pers_id from tbh_termin_pers where termin_id=$tID");
       if(mysql_num_rows($six) > 0)
         abfrage2("DELETE FROM tbh_termin_pers WHERE termin_id = '$tID'");
       abfrage2("DELETE FROM tb_termine WHERE termin_id = '$tID'");
      }
     }
    }
   }
  }
 }

 /* Ruecksprunglink zusammenstellen */
 $anz = "?";

 if (isset($_GET["anz"])) $anz .= "anz=".$_GET["anz"]."&";
 if (isset($_GET["all"])) $anz .= "all=".$_GET["all"]."&";
 if (isset($_GET["ma"])) $anz .= "ma=".$_GET["ma"]."&";
 if (isset($_GET["user"])) $anz .= "user=".$_GET["user"]."&";
 if (isset($_GET["action"])) $anz .= "action=".$_GET["action"]."&";
 if (isset($_GET["tag"])) $anz .= "tag=".$_GET["tag"]."&";

 if (isset($_GET["ln"]))
 {
   $tg = $_GET["ln"].$anz;
 }
 else
 {
   if (!empty($_SESSION[$AppCode]["url"]))
   {
     $tg = $_SESSION[$AppCode]["url"];
     unset($_SESSION[$AppCode]["url"]);
   }
   else
   {
     $tg = "kal2.php".$anz;
   }
 }

 header("Location: $tg");
?>
