<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kal_serie.php 2167 2013-09-17 19:50:22Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();
 $seite = 10;

 /* verschiedene Dateien mit einbinden */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

$tr = abfrage_array("select t.termin_id,
				date_format(t.von, '%H:%i') as von,
				date_format(t.bis, '%H:%i') as bis,
				ta.name, t.terminart, 
				unix_timestamp(t.von) as von_ts,
				unix_timestamp(t.bis) as bis_ts
				from tb_termine t
				left join tb_terminart ta using (terminart)
				where termin_id = '$rvar_termin_id';");

/* Name des Termins ermitteln - je nachdem, ob eine Zeitkarte oder eine Sitzung
 * zur Serie gemacht werden soll */
if (isset($_GET['zk_id'])){
	$name = $tr['name'];
} elseif (isset($rvar_team_id)) {
	$sql  = "select a.name from tb_team t ";
	$sql .= "left join tb_team_art a on t.team_art_id = a.team_art_id ";
	$sql .= "where t.team_id = '$rvar_team_id';";
	$erg = abfrage($sql);
	$name = $erg[0];
}


echo "<table><tr><th>Terminserie erstellen aus $name</th></tr>\n";
echo "<tr><td>Terminserien sind unabh&auml;ngig von den eingegebenen Daten ";
echo "auf maximal 6 Monate begrenzt!</td></tr></table>\n";

new stwLine(1);

echo "<form action=\"kal_serie_sql.php\" method=\"post\">\n";
echo "<table>\n";
$ti = 1;

echo "<tr><th class=\"cl1\">von:</th>\n";
echo "<td class=\"cl20\"><input type=\"text\" name=\"von\" size=\"6\" ";
echo "maxlength=\"5\" tabindex=\"$ti\" style=\"text-align:center\" "; $ti++;
if (isset($rvar_termin_id)) echo "value=\"{$tr['von']}\"";
echo ">&nbsp;&nbsp;HH:MM</td>\n";

echo "<th class=\"cl1\">bis:</th>\n";
echo "<td class=\"cl20\"><input type=\"text\" name=\"bis\" size=\"6\" ";
echo "maxlength=\"5\" tabindex=\"$ti\" style=\"text-align:center\" "; $ti++;
if (isset($rvar_termin_id)) echo "value=\"{$tr['bis']}\"";
echo ">&nbsp;&nbsp;HH:MM</td>\n";

if($tr[4] == 'z') {
	$zk = abfrage( "select time_format(fls,'%H:%i'), time_format(vun,'%H:%i'), 
					time_format(sec_to_time({$tr['bis_ts']}-{$tr['von_ts']}-time_to_sec(fls)-time_to_sec(vun)),'%H:%i')
					from tb_ab_zk where zk_id = '$rvar_zk_id'" );
	echo "<th class=\"cl1\">FLS:</th><td class=\"cl20\">$zk[0]</td>\n";
	echo "<input type=\"hidden\" name=\"fls\" value=\"$zk[0]\">\n";
	if(!empty($zk[1])) {
		echo "<th class=\"cl1\">VUN:</th><td class=\"cl20\">$zk[1]</td>\n";
		echo "<input type=\"hidden\" name=\"vun\" value=\"$zk[1]\">\n";
	}
	if(!empty($zk[2])) {
		echo "<th class=\"cl1\">Fahrzeit:</th><td class=\"cl20\">$zk[2]</td>\n";
	}
}
echo "</tr></table>\n";

new stwLine(1);

/* Maske taegliche Serie */

echo "<table><tr><th width=\"120\" class=\"cl1\">\n";
echo "<input type=\"radio\" name=\"s_art\" value=\"tag\" tabindex=\"$ti\">";
echo "&nbsp;&nbsp;T&auml;glich</th>\n"; $ti++;

echo "<td><table><tr>\n";
echo "<td><input type=\"radio\" name=\"tag\" value=\"1\" tabindex=\"$ti\">";
echo "&nbsp;&nbsp;Jeden Tag</td></tr>\n"; $ti++;

new stwTabLine(2,1);

echo "<tr><td><input type=\"radio\" name=\"tag\" value=\"2\" tabindex=\"$ti\">";
echo "&nbsp;&nbsp;Jeden Arbeitstag</td></tr>\n"; $ti++;

echo "</table></td></tr></table>\n";

new stwLine(1);

/* maske woechentliche Serie */
echo "<table><tr><th width=\"120\" class=\"cl1\">\n";
echo "<input type=\"radio\" name=\"s_art\" value=\"woche\" tabindex=\"$ti\">";
echo "&nbsp;&nbsp;W&ouml;chentlich</th>\n"; $ti++;
echo "<td colspan=\"4\">alle&nbsp;&nbsp;";
echo "<input style=\"text-align:center\" type=\"text\" name=\"woche_w\" ";
echo "value=\"1\" size=\"2\" maxlength=\"2\" tabindex=\"$ti\">"; $ti++;
echo "&nbsp;&nbsp;Woche(n)</td></tr>\n";

$dotw = date('w', $tr['von_ts']);

echo "<tr><td colspan=\"2\"></td>\n";
echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"woche_t[]\" value=\"1\" ";
if($dotw == 1) echo 'checked ';
echo "tabindex=\"$ti\">&nbsp;Montag</td>\n"; $ti++;

echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"woche_t[]\" value=\"2\" ";
if($dotw == 2) echo 'checked ';
echo "tabindex=\"$ti\">&nbsp;Dienstag</td>\n"; $ti++;

echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"woche_t[]\" value=\"3\" ";
if($dotw == 3) echo 'checked ';
echo "tabindex=\"$ti\">&nbsp;Mittwoch</td>\n"; $ti++;

echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"woche_t[]\" value=\"4\" ";
if($dotw == 4) echo 'checked ';
echo "tabindex=\"$ti\">&nbsp;Donnerstag</td></tr>\n"; $ti++;

echo "<tr><td colspan=\"2\"></td>\n";
echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"woche_t[]\" value=\"5\" ";
if($dotw == 5) echo 'checked ';
echo "tabindex=\"$ti\">&nbsp;Freitag</td>\n"; $ti++;

echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"woche_t[]\" value=\"6\" ";
if($dotw == 6) echo 'checked ';
echo "tabindex=\"$ti\">&nbsp;Samstag</td>\n"; $ti++;

echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"woche_t[]\" value=\"7\" ";
if($dotw == 0) echo 'checked ';
echo "tabindex=\"$ti\">&nbsp;Sonntag</td></tr>\n"; $ti++;

echo "</table>\n";
new stwLine(1);

/* Maske monatliche Serie */

echo "<table><tr><th width=\"120\" class=\"cl1\">\n";
echo "<input type=\"radio\" name=\"s_art\" value=\"monat\" tabindex=\"$ti\">";
echo "&nbsp;&nbsp;Monatlich</th>\n"; $ti++;

echo "<td><table><tr><td>";
echo "<input type=\"radio\" name=\"monat\" value=\"1\" tabindex=\"$ti\">"; $ti++;
echo "&nbsp;&nbsp;am&nbsp;&nbsp;";

echo "<input style=\"text-align:center\" type=\"text\" name=\"mon_1_t\" ";
echo "size=\"2\" maxlength=\"2\" tabindex=\"$ti\">"; $ti++;
echo ".&nbsp;&nbsp;Tag jedes&nbsp;&nbsp;";

echo "<input style=\"text-align:center\" type=\"text\" name=\"mon_1_m\" ";
echo "size=\"2\" maxlength=\"2\" value=\"1\" tabindex=\"$ti\">"; $ti++;
echo ".&nbsp;&nbsp;Monats&nbsp;&nbsp;</td></tr>\n";

new stwTabLine(2,1);

echo "<tr><td><input type=\"radio\" name=\"monat\" value=\"2\" tabindex=\"$ti\">";
echo "&nbsp;&nbsp;am&nbsp;&nbsp;"; $ti++;
echo "<select name=\"mon_2_t\" size=\"1\" tabindex=\"$ti\">"; $ti++;
echo "<option value=\"1\">ersten</option>\n";
echo "<option value=\"2\">zweiten</option>\n";
echo "<option value=\"3\">dritten</option>\n";
echo "<option value=\"4\">vierten</option>\n";
echo "<option value=\"5\">f&uuml;nften</option>\n";
echo "<option value=\"l\">letzten</option>\n";
echo "</select>&nbsp;&nbsp;";

echo "<select name=\"mon_2_w\" size=\"1\" tabindex=\"$ti\">"; $ti++;
echo "<option value=\"1\">Montag</option>\n";
echo "<option value=\"2\">Dienstag</option>\n";
echo "<option value=\"3\">Mittwoch</option>\n";
echo "<option value=\"4\">Donnerstag</option>\n";
echo "<option value=\"5\">Freitag</option>\n";
echo "<option value=\"6\">Samstag</option>\n";
echo "<option value=\"0\">Sonntag</option>\n";
echo "</select>\n";

echo "&nbsp;&nbsp;jedes&nbsp;&nbsp;";
echo "<input style=\"text-align:center\" type=\"text\" name=\"mon_2_m\" ";
echo "size=\"2\" maxlength=\"2\" value=\"1\" tabindex=\"$ti\">"; $ti++;
echo ".&nbsp;&nbsp;Monats&nbsp;&nbsp;</td></tr></table>\n";
echo "</td></tr></table>\n";

new stwLine(1);

/* Maske jaehrliche Serie */

echo "<table><tr><th width=\"120\" class=\"cl1\">";
echo "<input type=\"radio\" name=\"s_art\" value=\"jahr\" tabindex=\"$ti\">";
echo "&nbsp;&nbsp;J&auml;hrlich</th>\n"; $ti++;

echo "<td><table><tr><td>";
echo "<input type=\"radio\" name=\"jahr\" value=\"1\" tabindex=\"$ti\">"; $ti++;
echo "&nbsp;&nbsp;jeden&nbsp;&nbsp;";
echo "<input style=\"text-align:center\" type=\"text\" name=\"jahr_1_t\" ";
echo "size=\"2\" maxlength=\"2\" tabindex=\"$ti\">"; $ti++;
echo ".&nbsp;TT&nbsp;";
echo "<input style=\"text-align:center\" type=\"text\" name=\"jahr_1_m\" ";
echo "size=\"2\" maxlength=\"2\" tabindex=\"$ti\">"; $ti++;
echo ".&nbsp;MM</td></tr>\n";

new stwTabLine(2,1);

echo "<tr><td><input type=\"radio\" name=\"jahr\" value=\"2\" tabindex=\"$ti\">";
echo "&nbsp;&nbsp;am&nbsp;&nbsp;"; $ti++;

echo "<select name=\"jahr_2_t\" size=\"1\" tabindex=\"$ti\">"; $ti++;
echo "<option value=\"1\">ersten</option>\n";
echo "<option value=\"2\">zweiten</option>\n";
echo "<option value=\"3\">dritten</option>\n";
echo "<option value=\"4\">vierten</option>\n";
echo "<option value=\"5\">f&uuml;nften</option>\n";
echo "<option value=\"l\">letzten</option>\n";
echo "</select>&nbsp;&nbsp;";

echo "<select name=\"jahr_2_w\" size=\"1\" tabindex=\"$ti\">"; $ti++;
echo "<option value=\"1\">Montag</option>\n";
echo "<option value=\"2\">Dienstag</option>\n";
echo "<option value=\"3\">Mittwoch</option>\n";
echo "<option value=\"4\">Donnerstag</option>\n";
echo "<option value=\"5\">Freitag</option>\n";
echo "<option value=\"6\">Samstag</option>\n";
echo "<option value=\"7\">Sonntag</option>\n";
echo "</select>&nbsp;&nbsp;im&nbsp;&nbsp;";

echo "<input style=\"text-align:center\" type=\"text\" name=\"jahr_2_m\" ";
echo "size=\"2\" maxlength=\"2\" tabindex=\"$ti\">"; $ti++;
echo ".&nbsp;MM</td></tr></table>\n";
echo "</td></tr></table>\n";

new stwLine(1);

echo "<table><tr><th>Dauer der Terminserie:</th></tr></table>\n";
new stwLine(2);

echo "<table><tr><th width=\"120\" class=\"cl1\">Beginn:</th>\n";
echo "<td><input type=\"text\" name=\"beginn\" size=\"11\" maxlength=\"11\" ";
echo "tabindex=\"$ti\" value=\"" . date('d.m.Y') . "\" "; $ti++;
echo "style=\"text-align:right\">&nbsp;TT.MM.JJJJ</td></tr>\n";

new stwTabLine(2,3);

echo "<tr><th class=\"cl1\">Ende:</th>\n";
echo "<td><table><tr>";
echo "<td><input type=\"radio\" name=\"ende\" value=\"1\" ";
echo "tabindex=\"$ti\">&nbsp;&nbsp;endet nach&nbsp;&nbsp;"; $ti++;
echo "<input style=\"text-align:center\" type=\"text\" name=\"ende_t\" ";
echo "size=\"2\" maxlength=\"2\" tabindex=\"$ti\">"; $ti++;
echo "&nbsp;&nbsp;Terminen</td></tr>\n";

new stwTabLine(2,1);
echo "<tr><td><input type=\"radio\" name=\"ende\" value=\"2\" ";
echo "tabindex=\"$ti\">&nbsp;&nbsp;endet am&nbsp;&nbsp;"; $ti++;
echo "<input style=\"text-align:right\" type=\"text\" name=\"ende_date\" ";
echo "size=\"11\" maxlength=\"11\" tabindex=\"$ti\">"; $ti++;
echo "&nbsp;TT.MM.JJJJ</td></tr></table>\n";
echo "</td></tr></table>\n";

new stwLine(1);

echo "<input type=\"hidden\" name=\"terminart\" value=\"$tr[4]\">\n";
switch ($tr[4]) {
	case 'l':
		echo "<input type=\"hidden\" name=\"lom_id\" value=\"$rvar_lom_id\">\n";
		break;
	case 'g':
		echo "<input type=\"hidden\" name=\"ga_id\" value=\"$rvar_ga_id\">\n";
		break;
	case 'z':
		echo "<input type=\"hidden\" name=\"zk_id\" value=\"$rvar_zk_id\">\n";
		break;
	case 't':
		echo "<input type=\"hidden\" name=\"team_id\" value=\"$rvar_team_id\">\n";
		break;
	default:
		echo "<input type=\"hidden\" name=\"zk_id\" value=\"$rvar_zk_id\">\n";
}

echo "<input type=\"submit\" name=\"save\" value=\"Speichern\" tabindex=\"$ti\">\n";
echo "</form>\n";
new stwEnd($seite);
?>
