<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: keys.php 2896 2018-10-23 19:48:15Z tfreudenberg $
 *
 */

session_start();
$seite = 46;
$level = 65;
require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

if(isset($_GET['all_keys'])) {
	$_SESSION[$AppCode]['all_keys'] = $_GET['all_keys'];
}

/* evtl. Datenaenderungen vornehmen */
if ($_REQUEST['save_key'] == 'Speichern'){
	$sql  = (isset($rvar_key_id)) ? 'update ' : 'insert into ';
	$sql .= "tb_keys SET name='$rvar_name', anzahl='$rvar_anzahl', ";
	$sql .= "nr = '$rvar_nr', art_id = '$rvar_art_id', ";
	$sql .= "notizen = '$rvar_notizen', aktiv = '$rvar_aktiv'";
	$sql .= (isset($rvar_key_id)) ? " where key_id = '$rvar_key_id';" : ';';
	abfrage2($sql);
	if($rvar_art_id == 2) {
		if(isset($rvar_key_id)) {
			if($rvar_res_id == 0) abfrage2("delete from tbh_res_keys where key_id = '$rvar_key_id';");
			else abfrage2("replace into tbh_res_keys set res_id='$rvar_res_id', key_id='$rvar_key_id'");
		} elseif($rvar_res_id > 0) {
			$key_id = mysql_insert_id();
			abfrage2("insert into tbh_res_keys set res_id='$rvar_res_id', key_id='$key_id'");
		}
	}
	if($rvar_art_id == 3) {
		if(isset($rvar_key_id)) {
			if($rvar_ger_id == 0) abfrage2("delete from tbh_ger_verknupf where id2='$rvar_key_id' and verknupf='k';");
			else abfrage2("replace into tbh_ger_verknupf set ger_id='$rvar_ger_id', id2='$rvar_key_id', verknupf='k'");
		} elseif($rvar_ger_id > 0) {
			$key_id = mysql_insert_id();
			abfrage2("insert into tbh_ger_verknupf set ger_id='$rvar_ger_id', id2='$key_id', verknupf='k'");
		}
	}
}

if ($_GET['key_id'] > 0 && $_GET['del'] == 1 &&	($ulv >= 97)) {
	$sql = "delete from tb_keys where key_id = '{$_GET['key_id']}';";
	abfrage2($sql);
	$sql = "delete from tb_keys_aus where key_id = '{$_GET['key_id']}';";
	abfrage2($sql);
	$sql = "delete from tbh_res_keys where key_id = '{$_GET['key_id']}';";
	abfrage2($sql);
}
if ($_GET['key_id'] > 0 && isset($_GET['act']) &&	($ulv >= 97)) {
	$sql = "update tb_keys set aktiv='";
	$sql .= $_GET['act'] == 0 ? 'n' : 'j';
	$sql .= "' where key_id = '{$_GET['key_id']}';";
	abfrage2($sql);
}


$self = $_SERVER['PHP_SELF'];

/* anzuzeigende Schluesselart ermitteln - Standard: 1 / Haus */
$art = (isset($_REQUEST['art'])) ? $_REQUEST['art'] : 1;

/* Untermenue fuer Schluesselarten aufbauen */
echo "<table width=\"750\"><tr>\n";

$sql = "select art_id, art from tb_keys_art order by art_id asc;";
$res = abfrage1($sql);

while ($row = mysql_fetch_row($res)){
	$class = ($row[0] == $art) ? 'menuactive' : 'menuinactive';
	echo "<td class=\"$class\"><a href=\"$self?art=$row[0]\">$row[1]</td>\n";
}

echo "<td style=\"width:100%;text-align:right\">";
$showall = $_SESSION[$AppCode]['all_keys'] ? "nur aktive" : "alle zeigen";
echo "<input type=\"button\" onclick=\"self.location.href='keys.php?art=$art&all_keys=";
echo $_SESSION[$AppCode]['all_keys'] ? 0 : 1;
echo "'\" value=\"$showall\" /></td>";

echo "</tr></table>\n";
new stwLine(1);
/* Ende Untermenue */


echo "<table><tr>";
if(check_nutzer_rechte(85)) {
	echo "<td><input type=\"button\" value=\"neu\" ";
	echo "onClick=\"self.location.href='keys_and.php'\"></td>\n";
}
echo "<th>Suche</th>\n<td> (nach Name / Nummer) </td>\n";
echo "<th class=\"cl11\">:</th>\n";
echo "<form action=\"$self\" method=\"POST\">\n";
echo "<td class=\"cl11\"><input type=\"text\" size=\"20\" maxlength=\"20\" ";
echo "name=\"suche\" ";
if (!empty($_POST['suche'])) echo "value=\"" . $_POST['suche'] . "\"";
echo ">\n";
echo "<td class=\"cl20\"><input type=\"submit\" value=\"Suche!\"></td>\n";
echo "</form>\n</tr></table>\n";

new stwLine(1);

$sql  = "select key_id, name, anzahl, nr, art_id, aktiv from tb_keys ";

if (!empty($_POST['suche'])){
	$sql .= "where (name like '%{$_POST['suche']}%' or nr like '%{$_POST['suche']}%') and art_id != 99 ";
} else {
	$sql .= "where (art_id = '$art' or art_id = '0') ";
	if(empty($_SESSION[$AppCode]['all_keys'])) $sql .= "and aktiv='j' ";
}

$sql .= "order by name asc;";
$keys = abfrage1($sql);

if (mysql_num_rows($keys) > 0){
	echo "<table><tr>\n";
	echo "<th class=\"cl1\" colspan=\"2\">Bezeichnung</th>\n";
	if($art == 2) echo "<th></th>";
	echo "<th class=\"cl1\">Nummer</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">gesamt</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">ausgegeben</th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\">verf&uuml;gbar</th>\n";
	echo "<th class=\"cl1\">&nbsp;</th>\n";
	echo "</tr>\n";
	new stwTabLine(2,30);

	while ($row = mysql_fetch_array($keys)){
		$aus = keys_aus($row[0]);
		$rest = $row[2] - $aus;

		echo "<tr class=\"mo\">\n";
		if (! $row[1]) {
			$kname = "LEER!";
		} else {
			$kname = $row[1];
		}
		echo "<td class=\"cl1\"><a href=\"keys_and.php?key_id=$row[0]&art=$art\"";
		$passivKey = false;
		$tt = $style = '';
		if($row['aktiv'] == 'n') {
			$tt .= '<b>passiv</b><br>';
		}
		if (empty($row['art_id'])) {
			$tt .= '<b>keiner Schl&uuml;sselart zugewiesen</b><br>';
		}
		if ($kname == "LEER!") {
			$tt .= '<b>Kein Name vergeben</b><br>';
		}
		if($aus > 0) {
			$ausg = abfrage1("select p.vorname, p.name, p.status_id
								from tb_keys_aus a
								left join tb_personal p on(a.pers_e = p.pers_id)
								where a.key_id = '$row[0]' and a.bis is null
								order by a.von desc;");
			if($rest <= 0) {
				if($rest == 0) $tt .= "<b>alle $row[2] Schl&uuml;ssel ausgegeben</b>";
				else $tt .= "<b>es wurden mehr Schl&uuml;ssel ausgegeben als verf&uuml;gbar!</b>";
				$style = "color:#f00;";
			} else {
				$style = "color:#0f0;";
				$tt .= "<b>$aus / $row[2] Schl&uuml;ssel ausgegeben</b>";
			}
			while ($au = mysql_fetch_row($ausg)){
				$tt .= "<br>$au[0] $au[1]";
				if($au[2]=='3') {
					$tt .= "<b style=\"text-decoration:blink\">!!!</b>";
					$passivKey = true;
				}
			}
		}
		if($row['aktiv'] == 'n') {
			$style = "color:#999999;";
		} elseif ($kname == "LEER!") {
			$style = "color:#f00;";
		} elseif (empty($row['art_id'])) {
			$style = "color:#f00;";
		}
		if($passivKey) {
			$tt .= "<br><b>Schl&uuml;ssel im Besitz passiver Mitarbeiter!</b>";
			$style .= "text-decoration:blink;";
		}
		if($tt != '') echo stwToolTip($tt, false);
		if($style != '') echo "style=\"$style\"";
		echo ">$kname</a></td>\n";
		if($art == 2) {
			echo "<td>";
			$res_id = abfrage("select k.res_id, r.aktiv from tbh_res_keys k left join tb_ressourcen r using(res_id) where k.key_id='$row[0]'");
			if(!empty($res_id[0])) {
				echo "<a href=\"pkw_and.php?res_id=$res_id[0]\"";
				echo stwToolTip("zum hinterlegten PKW" . ($res_id[1]=='n' ? "<br>(PKW nicht mehr aktiv)" : ''));
				echo "><img src=\"";
				echo $res_id[1]=='n' ? image('auto',21,13,162,162,162) : image('auto',21,13);
				echo "\" alt=\"PKW\" /></a>\n";
			}
			echo "</td>\n";
		}
		$daten = new stwDaten(16);
		$link = $daten->get_klammer_link($_SESSION['webdir'],
										 $_SESSION[$AppCode]['UID'],
										 $_SESSION[$AppCode]['ULV'],
										 $row[0], '0');
		echo "<td>$link</td>\n";
		echo "<td class=\"cl1\">$row[3]</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">$row[2]</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">$aus</td>\n";

		echo "<td class=\"cl1\" style=\"text-align:center\">$rest</td>\n";
		
		echo "<td>";
		if($_SESSION[$AppCode]['ULV'] >= 97) {
			if( ($aus == 0) && ($row[2] == 0) ) {
				echo "<a style=\"color: #FF0000; \" href=\"keys.php?art=$art";
				echo "&key_id=$row[0]&del=1\"";
				echo stwToolTip('<b>VORSICHT!</b> Schl&uuml;ssel l&ouml;schen!');
				echo ">X</a>\n";
			} elseif($aus == 0) {
				echo "<a style=\"color:#" . ($row['aktiv']=='n' ? '999999' : '00FF00') . "\" ";
				echo "href=\"keys.php?art=$art&key_id=$row[0]&act=" . ($row['aktiv']=='n' ? 1 : 0) . "\"";
				$wieder = $row['aktiv']=='n' ? 'wieder ' : 'in';
				echo stwToolTip("Schl&uuml;ssel ".$wieder."aktiv schalten!");
				echo ">X</a>\n";
			} else {
				echo "<span style=\"color:#CCCCCC;\" ";
				echo stwToolTip('l&ouml;schen nur m&ouml;gleich, wenn gesamt=0 und ausgegeben=0');
				echo "><i><b>X</b></i>\n";
			}
		}
		echo "</td></tr>\n";
	}
	new stwTabLine(2,30);
	echo "</table>\n";
}

new stwLine(1);
new stwEnd($seite);
?>
