<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: keys_and.php 2812 2017-11-16 10:07:50Z tfreudenberg $
 *
 */

session_start();
$arbeitsmittel = $_GET['arbeitsmittel']==1 ? true : false;
$fundus = $_GET['fund']==1 ? true : false;
$pam = $_GET['pam']==1 ? true : false;
$seite = $arbeitsmittel ? 70 : ($fundus ? 71 : ($pam ? 72: 46));
$level = 65;

require_once("inc/func.inc.php");

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once('inc/xajax_core/xajax.inc.php');

function AuslNoteEdit($key_id,$pers_e,$ts) {
	$userResp = new xajaxResponse();
	$note = abfrage("select notizen_a from tb_keys_aus where key_id = '$key_id' and pers_e = '$pers_e' and unix_timestamp(von) = '$ts'");
	$val = "<textarea onblur=\"xajax_AuslNoteSave($key_id,$pers_e,$ts,this.value)\" cols=\"20\" rows=\"2\">$note[0]</textarea>";
	$val .= "<img src=\"img/senden.png\" style=\"position:relative;left:2px;cursor:pointer\" />";
	$userResp->assign("note_$ts", 'innerHTML', $val);
	return $userResp;
}

function AuslNoteSave($key_id,$pers_e,$ts,$value) {
	$userResp = new xajaxResponse();
	abfrage2("update tb_keys_aus set notizen_a = '$value' where key_id = '$key_id' and pers_e = '$pers_e' and unix_timestamp(von) = '$ts'");
	$val = wordwrap($value, 20, '<br>');
	$val .= " <img src=\"img/stift.png\" style=\"cursor:pointer\"";
	$val .= "onclick=\"xajax_AuslNoteEdit($key_id,$pers_e,$ts);\" />";
	$userResp->assign("note_$ts", 'innerHTML', $val);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('AuslNoteEdit');
$xajax->registerFunction('AuslNoteSave');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

if (isset($rvar_key_id)){
	$sql  = "select key_id, name, anzahl, nr, art_id, notizen, betrag, aktiv ";
	$sql .= "from tb_keys where key_id = '$rvar_key_id';";
	$key = abfrage_assoc($sql);
} else $key = array();

echo "<table>\n";
if((!$arbeitsmittel && !$pam && !$fundus && check_nutzer_rechte(85)) 
	|| ($arbeitsmittel && check_nutzer_rechte(87))
	|| ($fundus && check_nutzer_rechte(95))
	|| ($pam && check_nutzer_rechte(97))) {
	echo "<form name=\"keyform\" action=\"".($arbeitsmittel||$fundus||$pam ? 'arbeitsmittel' : 'keys').".php";
	if($fundus) echo "?fund=1";
	if($pam) echo "?pam=1";
	echo "\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"art\" value=\"$rvar_art\">\n";
	if (isset($rvar_key_id)){
		echo "<input type=\"hidden\" name=\"key_id\" value=\"$rvar_key_id\">\n";
	}
}
$ti = 1;


if($arbeitsmittel) echo "<input type=\"hidden\" name=\"art_id\" value=\"99\" />\n";
elseif($fundus) echo "<input type=\"hidden\" name=\"art_id\" value=\"100\" />\n";
elseif($pam) echo "<input type=\"hidden\" name=\"art_id\" value=\"101\" />\n";
else {
	echo "<tr><th class=\"cl11\">Schl&uuml;sselart:</th>\n";
	echo "<td><select name=\"art_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	$sql  = "select art_id, art from tb_keys_art where art_id>0 order by art_id asc;";
	$res = abfrage1($sql);
	while ($row = mysql_fetch_row($res)){
		echo "<option value=\"$row[0]\"";
		if (isset($rvar_key_id) && $row[0] == $key['art_id']) echo ' selected';
		echo ">$row[1]</option>\n";
	}
	echo "</select></td></tr>\n";
	echo "<tr><th class=\"cl11\">aktiv:</th>\n";
	echo "<td class=\"cl1\"><input type=\"radio\" name=\"aktiv\" value=\"j\"";
	if ($key['aktiv'] != 'n') echo ' checked';
	echo "> ja </input>\n &nbsp; &nbsp;";
	echo "<input type=\"radio\" name=\"aktiv\" value=\"n\"";
	if ($key['aktiv'] == 'n') echo ' checked';
	echo "> nein </input></td></tr>\n";
}
echo "<tr><th class=\"cl11\">Bezeichnung:</th>\n";
echo "<td><input type=\"text\" name=\"name\" style=\"width:300px\" maxlength=\"30\" ";
echo "tabindex=\"$ti\""; $ti++;
if (!empty($rvar_key_id)) echo " value=\"" . $key['name'] . "\"";
echo "></td>";
echo "<td><a href=\"keys_pr1.php?key_id=$rvar_key_id";
if($arbeitsmittel) echo "&amp;arbeitsmittel=1";
if($fundus) echo "&amp;fund=1";
if($pam) echo "&amp;pam=1";
echo "&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"drucken\" border=\"0\" ";
echo stwToolTip("Datenblatt drucken") . "></a></td></tr>\n";

if(!$fundus && !$pam || !empty($rvar_key_id)) {
	/* Downloadobjekt initialisieren */
	$daten = new stwDaten($arbeitsmittel ? 31 : ($fundus ? 33 : ($pam ? 34 : 16)));
	echo "<tr><th class=\"cl11\">";
	echo $arbeitsmittel||$fundus||$pam ? "interne N" : "Schl&uuml;sseln";
	echo "ummer:</th>\n";
	echo "<td><input type=\"text\" name=\"nr\" style=\"width:300px\" maxlength=\"100\" ";
	if($fundus||$pam) echo "readonly ";
	echo "tabindex=\"$ti\""; $ti++;
	if (!empty($rvar_key_id)) echo " value=\"" . $key['nr'] . "\"";
	echo "></td>\n";

	/* Download fuer diese Nachricht anbieten */
	$link = $daten->get_klammer_link($_SESSION['webdir'],
																	$_SESSION[$AppCode]['UID'],
																	$_SESSION[$AppCode]['ULV'],
																	$key['key_id'], '0');

	echo "<td>$link</td></tr>\n";
}

if($arbeitsmittel || $fundus || $pam) {
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function Show() {\n";
	echo " var ntd = document.getElementsByName('notToDisplay');\n";
	echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'inline';\n";
	echo "}\n--></script>\n";
	echo "<tr><th rowspan=\"2\" class=\"cl1\"><a href=\"#\" ";
	echo stwToolTip('Abteilungen hinzuf&uuml;gen und entfernen');
	echo "onmousedown=\"Show();\" oncontextmenu=\"return false;\">Abteilungen</a>";
	echo "<a href=\"#\" style=\"font-size:small;position:relative;left:0;top:-4px;\"";
	echo stwToolTip('Abteilungen hinzuf&uuml;gen und entfernen');
	echo "onclick=\"Show()\">+</a>:</th>\n<td colspan=\"30\" name=\"notToDisplay\"";
	if(isset($rvar_key_id)) echo " style=\"display:none\"";
	echo ">\n";

	$js = "var Abteilungen = new Array();\n";
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function del(id) {";
	echo " var name = Abteilungen[id];\n";
	echo " var Option = document.createElement('option');\n";
	echo " Option.value = id; Option.text = name;\n";
	echo " try { document.keyform.abt.add(Option, null); }\n";
	echo " catch(ex) { document.keyform.abt.add(Option); }\n";
	echo " var txt = document.getElementById('abt_out').innerHTML;\n";
	echo " var pos = txt.toLowerCase().indexOf('<'+'i');\n";
	echo " if(pos==-1) {\n  document.getElementById('abt_out').innerHTML='';\n";
	echo "  document.keyform.abt_ids.value=0;\n}\n else {\n";
	echo "  pos0 = txt.toLowerCase().indexOf('s'+id+'b');\n";
	echo "  pos1 = txt.substr(0,pos0).lastIndexOf('<'+'sp'+'an');\n";
	echo "  pos2 = txt.toLowerCase().indexOf('x'+'</'+'a>',pos1)+5;\n";
	echo "  if(pos1 < 15) pos2+=2;\n";
	echo "  else if(txt.substr(pos1-2,1)==',') pos1-=2;\n";
	echo "  document.getElementById('abt_out').innerHTML = txt.substr(0,pos1) + txt.substr(pos2);\n";
	echo "  txt = document.keyform.abt_ids.value;\n";
	echo "  pos1 = txt.indexOf(', '+id);\n";
	echo "  if(pos1<0) pos1=0; else pos1 += 2;\n";
	echo "  pos2 = txt.indexOf(',',pos1);\n";
	echo "  if(pos2 == -1) pos1 -= 2;";
	echo "  document.keyform.abt_ids.value = txt.substr(0,pos1);\n";
	echo "  if(pos2 > 0) document.keyform.abt_ids.value += txt.substr(pos2+2);\n";
	echo " }\n}\n--></script>\n";
	echo "<select name=\"abt\" size=\"1\" tabindex=\"$ti\""; $ti++;
	echo " onchange=\"if(document.keyform.abt_ids.value==0) {";
	echo " document.keyform.abt_ids.value=document.keyform.abt.value;\n";
	echo " document.getElementById('abt_out').innerHTML='<span id=s'+document.keyform.abt.value+'b><i>";
	echo "'+Abteilungen[document.keyform.abt.value]+'</i></span>';\n";
	echo "} else {\n document.keyform.abt_ids.value+=', '+document.keyform.abt.value;\n";
	echo " document.getElementById('abt_out').innerHTML+=' &nbsp; <span id=s'+document.keyform.abt.value+'b><i>";
	echo "'+Abteilungen[document.keyform.abt.value]+'</i></span>'; ";
	echo " }\n document.getElementById('abt_out').innerHTML+=' <a href=# style=color:red onclick=del('+document.keyform.abt.value+')>X</a>'; ";
	echo " document.keyform.abt.remove(document.keyform.abt.selectedIndex); ";
	echo " document.keyform.abt.value=0; \"";
	$abtn = abfrage1("select abt_id, name from tb_personal_abt order by name asc;");

	echo "><option value=\"0\"";
	echo ">Abteilung hinzuf&uuml;gen</option>\n";
	$abt_out = '';
	if(empty($rvar_key_id) && is_array($rvar_abt_ids)) {
		$abt_ids_comma_sep = implode(",", $rvar_abt_ids);
		$abps = abfrage1("select abt_id from tb_personal_abt where abt_id in ($abt_ids_comma_sep);");
	} else $abps = abfrage1("select abt_id from tbh_key_abt where key_id='$rvar_key_id';");
	$js2 = '';
	$abs = array();
	while ($ab = mysql_fetch_row($abps)){
		$js2 .= "document.keyform.abt_ids.value+=', $ab[0]';\n";
		$js2 .= "document.getElementById('abt_out').innerHTML+=' &nbsp; <span id=s'+$ab[0]+'b><i>";
		$js2 .= "'+Abteilungen[$ab[0]]+'</i></span>';\n";
		$js2 .= "document.getElementById('abt_out').innerHTML+='<a href=# name=\"notToDisplay\" style=\"color:red;display:none\" onclick=del($ab[0])> X</a>';\n";
		$abs[] = $ab[0];
	}
	$prime_abt = 0;
	while ($abt = mysql_fetch_row($abtn)){
		if ($rvar_abt == $abt[1] || $rvar_abt == $abt[0]) {
			$abt_out  = "<span id=s$abt[0]b><i>$abt[1]</i></span><a href=\"#\" name=\"notToDisplay\" style=\"color:red;display:none\" onclick=\"del($abt[0],'$abt[1]')\"> X</a>";
		} elseif (!in_array($abt[0], $abs)) {
            echo "<option value=\"$abt[0]\">$abt[1]</option>\n";
        }
		$js .= "Abteilungen[".$abt[0]."] = '$abt[1]';\n";
	}
	echo "</select></td></tr>\n";
	echo "<input type=\"hidden\" name=\"abt_ids\" value=\"0\" />";
	echo "<tr><td class=\"ww\" colspan=\"30\" id=\"abt_out\">\n$abt_out</td></tr>\n";
	echo "<script type=\"text/javascript\"><!--\n $js $js2 --></script>\n";
	echo "</td></tr>\n";
}

if($rvar_art == 2) {
	if(empty($rvar_key_id)) $res[0] = 0;
	else $res = abfrage("select k.res_id, r.aktiv from tbh_res_keys k left join tb_ressourcen r using(res_id) where k.key_id='$rvar_key_id'");
	echo "<tr><th class=\"cl11\">PKW:</th><td>\n";
	echo "<select style=\"width:300px\" name=\"res_id\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option value=\"0\">bitte w&auml;hlen</option>\n";
	$pkws = abfrage1("select res_id, name from tb_ressourcen where res_typ=1 and aktiv='j' and res_id not in (select res_id from tbh_res_keys) or res_id='$res[0]' order by name asc");
	while($pkw = mysql_fetch_row($pkws)) {
		$selected = $res[0]==$pkw[0] ? 'selected' : '';
		echo "<option $selected value=\"$pkw[0]\">$pkw[1]</option>\n";
	}
	echo "</select></td>\n";
	if($res[0] > 0) {
		echo "<td><a href=\"pkw_and.php?res_id=$res[0]\"";
		echo stwToolTip("zum hinterlegten PKW" . ($res[1]=='n' ? "<br>(PKW nicht mehr aktiv)" : ''));
		echo "><img src=\"";
		echo $res[1]=='n' ? image('auto',21,13,162,162,162) : image('auto',21,13);
		echo "\" alt=\"PKW\" /></a></td>\n";
	}
	echo "</tr>\n";
}
if($rvar_art == 3) {
	if(empty($rvar_key_id)) $res[0] = 0;
	else $res = abfrage("select ger_id from tbh_ger_verknupf where id2='$rvar_key_id' and verknupf='k'");
	echo "<tr><th class=\"cl11\">Inventar:</th><td>\n";
	echo "<select style=\"width:300px\" name=\"ger_id\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option value=\"0\">bitte w&auml;hlen</option>\n";
	$gers = abfrage1("select ger_id, nr, name, standort from tb_ger where rubrik in(0,1,2,3,5,6,7) order by nr asc, name asc");
	while($ger = mysql_fetch_row($gers)) {
		$selected = $res[0]==$ger[0] ? 'selected' : '';
		echo "<option $selected value=\"$ger[0]\">$ger[1] $ger[2] ($ger[3])</option>\n";
	}
	echo "</select></td>\n";
	if($res[0] > 0) {
		echo "<td><a href=\"ger_and.php?ger_id=$res[0]\"><img src=\"img/archiv.png\"";
		echo stwToolTip("zum hinterlegten Gegenstand");
		echo "alt=\"Inventar\" /></a></td>\n";
	}
	echo "</tr>\n";
}

if($arbeitsmittel || $pam) {
	echo "<tr><th class=\"cl11\">Betrag:</th>";
	echo "<td><input type=\"text\" name=\"betrag\" size=\"8\" maxlength=\"8\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (!empty($rvar_key_id)) echo " value=\"" . geld_form_formular($key['betrag']) . "\"";
	echo " style=\"text-align:right\"> &euro;</td></tr>\n";
}
echo "<tr><th class=\"cl11\">Anzahl";
if(!$arbeitsmittel && !$fundus && !$pam) echo " der Schl&uuml;ssel";
echo ":</th><td><input type=\"text\" name=\"anzahl\" size=\"3\" maxlength=\"3\" ";
echo "tabindex=\"$ti\""; $ti++;
if (!empty($rvar_key_id)) echo " value=\"" . $key['anzahl'] . "\"";
echo " style=\"text-align:right\">&nbsp;insgesamt</td></tr>\n";

if (!empty($rvar_key_id)){
	echo "<tr>\n";
	echo "<th>davon ausgegeben :</th>";
	echo "<td>" . keys_aus($rvar_key_id) . "</td>\n";
	echo "</tr>\n";
}

echo "<tr><th class=\"cl1\">Notizen:</th>\n";
echo "<td><textarea style=\"width:300px\" rows=\"3\" name=\"notizen\" tabindex=\"$ti\">";
$ti++;
if (isset($rvar_key_id)) echo $key['notizen'];
echo "</textarea></td></tr>\n";

if((!$arbeitsmittel && !$pam && !$fundus && check_nutzer_rechte(85)) 
	|| ($arbeitsmittel && check_nutzer_rechte(87))
	|| ($fundus && check_nutzer_rechte(95))
	|| ($pam && check_nutzer_rechte(97))) {
	new stwTabLine(2,2);
	echo "<tr><td><input type=\"submit\" name=\"save_key\" value=\"Speichern\" ";
	echo "tabindex=\"$ti\"></td></tr>\n"; $ti++;
	echo "</form>\n";
}
echo "</table>\n";

if (!empty($rvar_key_id)){
	new stwLine(1);

	echo "<table><tr>\n";
	$darfAendern = false;
if((!$arbeitsmittel && !$pam && !$fundus && check_nutzer_rechte(86)) 
	|| ($arbeitsmittel && check_nutzer_rechte(88))
	|| ($fundus && check_nutzer_rechte(96))
	|| ($pam && check_nutzer_rechte(98))) {
		$darfAendern = true;
		echo "<tr><td colspan=\"3\"><input type=\"button\" value=\"neue Ausgabe\" ";
		echo "onClick=\"self.location.href='keys_aus.php?key_id=$rvar_key_id";
		if($arbeitsmittel) echo "&amp;arbeitsmittel=1";
		if($fundus) echo "&amp;fund=1";
		if($pam) echo "&amp;pam=1";
		echo "'\"></td><td colspan=\"4\">";
		$passive = abfrage1("select k.pers_e from tb_keys_aus k
							left join tb_personal p on p.pers_id = k.pers_e
							where k.key_id = '$rvar_key_id' and p.status_id != '2' limit 1;");
		if(mysql_num_rows($passive) > 0) {
			echo "<input type=\"button\" value=\"";
			echo ($rvar_alle == 1) ? "nur aktive Mitarbeiter" : "alle Mitarbeiter";
			echo "\" onClick=\"self.location.href='keys_and.php?key_id=$rvar_key_id&amp;art=$rvar_art";
			if($rvar_alle != 1) echo "&amp;alle=1";
			if($arbeitsmittel) echo "&amp;arbeitsmittel=1";
			if($fundus) echo "&amp;fund=1";
			if($pam) echo "&amp;pam=1";
			echo "'\">";
		}
		echo "</td></tr>\n";
	}
	new stwTabLine(2,20);

	if($rvar_alle != 1){
		$leftjoin = 'left join tb_personal p on p.pers_id = k.pers_e';
		$and = 'and (p.status_id = 2 or k.bis is null)';
	} else $leftjoin = $and = '';

	$sql = "select date_format(k.von, '%d.%m.%Y, %H:%i Uhr'),
			k.pers_a, k.pers_e, k.pers_r,
			date_format(k.bis, '%d.%m.%Y, %H:%i'),
			unix_timestamp(k.von),
			k.notizen_a, k.notizen_r,
			if (k.bis is null, unix_timestamp(k.von), unix_timestamp(k.bis)) as sort,
			k.proj_id
			from tb_keys_aus k
			$leftjoin
			where k.key_id = $rvar_key_id
			$and
			order by ";
	switch($_GET['sort']) {
		case 'ausg': $sql .= "unix_timestamp(k.von) desc;"; break;
		case 'rueck': $sql .= "(k.bis is null) desc, unix_timestamp(k.bis) desc, unix_timestamp(k.von) desc;"; break;
		case 'note': $sql .= "k.notizen_a asc, unix_timestamp(k.von) desc;"; break;
		default: $sql .= "(k.bis is null) desc, sort desc;"; break;
	}
	$ausg = abfrage1($sql);
	$link = "keys_and.php?key_id=$rvar_key_id&art=$rvar_art";
	echo "<th><a href=\"$link&sort=ausg\">Ausgabe am</a></th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th>durch</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th>an</th>\n";
	if($fundus || $pam) {
		echo "<td width=\"5\"></td>\n";
		echo "<th>Projekt</th>\n";
	}
	echo "<td width=\"5\"></td>\n";
	echo "<th><a href=\"$link&sort=note\">Notizen</a></th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th><a href=\"$link&sort=rueck\">R&uuml;ckgabe</a></th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th>an</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th>Notizen</th>\n";
	echo "</tr>\n";

	if (mysql_num_rows($ausg) > 0){
		new stwTabLine(2,20);
		while ($aus = mysql_fetch_row($ausg)){
			echo "<tr class=\"mo\">\n";
			echo "<td>$aus[0]</td>\n";
			echo "<td width=\"5\"></td>\n";
			echo "<td>" . pers_kname($aus[1]) . "</td>\n";
			echo "<td width=\"5\"></td>\n";
			echo "<td>" . pers_kname($aus[2]) . "</td>\n";
			if($fundus || $pam) {
				if($aus[9]>0) {
					$projekt = new stwProjekt($aus[9]);
					$plink = "<a href=\"pro_daten.php?proj_id=$aus[9]\">" . $projekt->nummer() . "</a>";
				} else $plink = '';
				echo "<td width=\"5\"></td>\n";
				echo "<td>$plink</td>\n";
			}
			echo "<td width=\"5\"></td>\n";
			echo "<td id=\"note_$aus[5]\">" . wordwrap($aus[6], 20, '<br>');
			if($darfAendern) {
				echo " <img src=\"img/stift.png\" style=\"cursor:pointer\"";
				echo stwToolTip('Notiz bearbeiten');
				echo "onclick=\"UnTip();xajax_AuslNoteEdit($rvar_key_id,$aus[2],$aus[5]);\" />";
			}
			echo "</td>\n<td width=\"5\"></td>\n";
			if (empty($aus[3])){
				echo "<td colspan=\"3\">";
				if((!$arbeitsmittel && !$pam && !$fundus && check_nutzer_rechte(86)) 
					|| ($arbeitsmittel && check_nutzer_rechte(88))
					|| ($fundus && check_nutzer_rechte(96))
					|| ($pam && check_nutzer_rechte(98))) {
					echo "<a href=\"keys_aus.php?key_id=$rvar_key_id&pers_e=$aus[2]&datum=$aus[5]";
					if($arbeitsmittel) echo "&amp;arbeitsmittel=1";
					if($fundus) echo "&amp;fund=1";
					if($pam) echo "&amp;pam=1";
					echo "\">R&uuml;ckgabe</a>";
				}
				echo "</td>\n";
			} else {
				echo "<td>$aus[4]</td>\n";
				echo "<td width=\"5\"></td>\n";
				echo "<td>" . pers_kname($aus[3]) . "</td>\n";
			}
			echo "<td width=\"5\"></td>\n";
			echo "<td>" . wordwrap($aus[7], 15, '<br>') . "</td>\n";
			echo "<td width=\"5\"></td>\n";
			echo "<td width=\"5\"></td>";
    		echo "<td><a href=\"keys_pr1.php?key_id=$rvar_key_id&pers_e=$aus[2]&datum=$aus[5]";
			if($arbeitsmittel) echo "&amp;arbeitsmittel=1";
			if($fundus) echo "&amp;fund=1";
			if($pam) echo "&amp;pam=1";
			echo "&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"drucken\" border=\"0\" ";
    		echo stwToolTip("Ausgabebeleg drucken") . "></a></td>";


			echo "</tr>\n";
		}
	}
	echo "</table>\n";
}

new stwLine(1);
new stwEnd($seite);
?>
