<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$arbeitsmittel = $_GET['arbeitsmittel']==1 ? true : false;
$fundus = $_GET['fund']==1 ? true : false;
$pam = $_GET['pam']==1 ? true : false;
$seite = $arbeitsmittel ? 70 : ($fundus ? 71 : ($pam ? 72: 46));
require("inc/auth.inc.php");
require("inc/stw.inc.php");

if((!$arbeitsmittel && !$pam && !$fundus && !check_nutzer_rechte(86)) 
	|| ($arbeitsmittel && !check_nutzer_rechte(88))
	|| ($fundus && !check_nutzer_rechte(96))
	|| ($pam && !check_nutzer_rechte(98))) {
	stwFehler(4);
	exit(0);
}

if (!empty($rvar_key_id)){
	$key = abfrage("select key_id, name, anzahl from tb_keys
					where key_id = $rvar_key_id;");
}

$pers_order = getPersOrder($seite);
$ti = 1;

// Rahmentabelle
echo "<table>\n";
echo "<tr><td colspan=\"3\">\n";

// Tabelle Infos zur Schlsselgruppe
echo "<table>\n";
echo "<tr>\n";
echo "<th>Schl&uuml;sselgruppe :</th>";
echo "<td>$key[1]</td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<th>Anzahl der Schl&uuml;ssel :</th>";
echo "<td>$key[2]&nbsp;insgesamt</td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<th>davon verf&uuml;gbar :</th>";
$rest = $key[2] - keys_aus($rvar_key_id);
echo "<td>$rest</td>\n";
echo "</tr>\n";

// Ende Tabelle Infos zur Schlsselgruppe
echo "</table>\n";
//Ende Zeile Infos zur Schlsselgruppe
echo "</td></tr>\n";
new stwTabLine(1,3);

echo "<form action=\"keys_aus_sql.php\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"key_id\" value=\"$rvar_key_id\">\n";
if($arbeitsmittel) echo "<input type=\"hidden\" name=\"arbeitsmittel\" value=\"1\">\n";
if($fundus) echo "<input type=\"hidden\" name=\"fundus\" value=\"1\">\n";
if($pam) echo "<input type=\"hidden\" name=\"pam\" value=\"1\">\n";

if (!empty($rvar_pers_e)){
	
	$aus = abfrage("select pers_a, pers_e,
					date_format(von, '%d.%m.%Y, %H:%i Uhr'),
					notizen_a, proj_id
					from tb_keys_aus
					where key_id = $rvar_key_id
					and pers_e = $rvar_pers_e
					and unix_timestamp(von) = '$rvar_datum';");
	
	echo "<tr><th colspan=\"2\">Ausgabe</th></tr>\n";
	new stwTabLine(2,3);
	echo "<tr><th>durch :</th>";
	echo "<td>" . pers_name($aus[0]) . "</td></tr>\n";
	echo "<tr><th>an :</th>";
	echo "<td>" . pers_name($aus[1]) . "</td></tr>\n";
	if($aus[4] > 0) {
		$projekt = new stwProjekt($aus[4]);
		$plink = $projekt->link();
	} else $plink='';
	echo "<tr><th>Projekt :</th>";
	echo "<td>$plink</td></tr>\n";
	echo "<tr><th>am :</th>";
	echo "<td>$aus[2]</td></tr>\n";
	echo "<tr><th>Notizen :</th>";
	echo "<td>" . nl2br($aus[3]) . "</td></tr>\n";
	
	new stwTabLine(1,3);
	
	echo "<tr><th colspan=\"2\">R&uuml;ckgabe</th></tr>\n";
	echo "<input type=\"hidden\" name=\"pers_e\" value=\"$aus[1]\">\n";
	echo "<input type=\"hidden\" name=\"datum\" value=\"$rvar_datum\">\n";
	echo "<input type=\"hidden\" name=\"pers_r\" value=\"" . $_SESSION[$AppCode]['UID'] . "\">\n";
	echo "<input type=\"hidden\" name=\"typ\" value=\"r\">\n";
	new stwTabLine(2,3);
	echo "<tr><th>an :</th>";
	echo "<td>". pers_name($_SESSION[$AppCode]['UID']) . "</td></tr>\n";
	
	echo "<tr><th>Notizen :</th><td>\n";
	echo "<textarea name=\"notizen_r\" cols=\"40\" rows=\"3\" tabindex=\"$ti\"></textarea>\n"; $ti++;
	echo "</td></tr>\n";
		
	new stwTabLine(2,3);
	
	// Zeile Speichern-Button
	echo "<tr>\n";
	echo "<td colspan=\"3\">\n";
	echo "<input type=\"submit\" value=\"R&uuml;ckgabe Speichern\" tabindex=\"$ti\"></td>\n"; $ti++;
	
	// Ende Zeile Speichern-Button
	echo "</tr>\n";	
	
	
	
} else {
	echo "<tr><th colspan=\"2\">Ausgabe</th></tr>\n";
	new stwTabLine(2,3);
	echo "<tr><th>durch :</th>";
	echo "<td>". pers_name($_SESSION[$AppCode]['UID']) . "</td></tr>\n";
	echo "<input type=\"hidden\" name=\"pers_a\" value=\"" . $_SESSION[$AppCode]['UID'] . "\">\n";
	echo "<input type=\"hidden\" name=\"typ\" value=\"a\">\n";
	
	echo "<tr>\n";
	echo "<th>an :</th>\n";
	echo "<td><select name=\"pers_e\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option>Mitarbeiter w&auml;hlen</option>\n";

	$name = $pers_order == 2 ? "name, ', ', vorname" : "vorname, ' ', name";
	$order = $pers_order == 2 ? "name asc, vorname asc;" : "vorname asc, name asc;";
	$mas = abfrage1("select pers_id, concat($name)
					from tb_personal
					where status_id = 2
					order by $order");
	
	while ($ma = mysql_fetch_row($mas)){
		echo "<option value=\"$ma[0]\">$ma[1]</option>\n";
	}
	echo "</select></td></tr>\n";

	if($fundus || $pam) {
		echo "<tr><th>Projekt :</th>\n";
		echo "<td><select name=\"proj_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
		echo "<option>Projekt w&auml;hlen</option>\n";
		$pros=abfrage1("select p.proj_id from tb_projekte p 
						left join tb_hilfeart h using(hilfeart_id)
						where p.projektnr < 2000 and h.verw = 'n'
						and (p.ende is null or p.ende ='0000-00-00' or p.ende > curdate())
						order by p.projektnr asc");

		while ($pro = mysql_fetch_row($pros)){
			$projekt = new stwProjekt($pro[0]);
			echo "<option value=\"$pro[0]\">".$projekt->nummer()."</option>\n";
		}
		echo "</select></td></tr>\n";
	}

	echo "<tr><th>Notizen :</th><td>\n";
	echo "<textarea name=\"notizen_a\" cols=\"40\" rows=\"3\" tabindex=\"$ti\"></textarea>\n"; $ti++;
	echo "</td></tr>\n";

	new stwTabLine(2,3);

	// Zeile Speichern-Button
	echo "<tr>\n";
	echo "<td colspan=\"3\">\n";
	echo "<input type=\"submit\" value=\"Ausgabe Speichern\" tabindex=\"$ti\"></td>\n"; $ti++;
	
	// Ende Zeile Speichern-Button
	echo "</tr>\n";
	
}

echo "</form>\n";

new stwLine(1);
new stwEnd($seite);
?>
