<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: backup.php 891 2008-02-13 21:19:37Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 63;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

 /*
  * Eine Backupdatei soll geloescht werden. Hier ausfuehren nach dem
  * Sicherheitscheck.
  */
 if (isset($_GET["rm"]) && $_SESSION[$AppCode]["ULV"] > 96)
 {
   $sql = "SELECT sname, datum FROM tb_daten WHERE datei_id='".$_GET["rm"]."'";
   $erg = abfrage($sql);

   $ret = unlink($pfad."daten/".$erg[1]."_".$erg[0]);

   $sql = "DELETE FROM tb_daten WHERE datei_id='".$_GET["rm"]."'";
   abfrage2($sql);
 }

 /*
  * Liste von vorhandenen Backupdateien ermitteln und diese zeigen.
  * Erkennbar sind diese Dateien an der Artkennung 1.
  */
 $sql  = "SELECT datei_id, rname, size, datum FROM tb_daten ";
 $sql .= "WHERE art='1' ORDER BY datum DESC";

 $erg = abfrage1($sql);
 if (mysql_num_rows($erg) > 0)
 {
   printf("<table>\n");

   /* Ueberschriften ausgeben */
   printf("<tr><th colspan=\"2\" style=\"text-align:center\">");
   printf("Name</th><td></td><th style=\"text-align:center\">");

   printf("Gr&ouml;sse</th><td></td><th style=\"text-align:center\">");
   printf("Datum</th><th></th></tr>\n");

   new stwTabLine(2, 10);

   while ($zeile = mysql_fetch_row($erg))
   {
     printf("<tr><td><img src=\"%s/img/daten.png\" ", $_SESSION["webdir"]);
     printf("border=\"0\"></td>");

     printf("<td><a href=\"%s/daten_down.php?id=%s\" ", $_SESSION["webdir"], $zeile[0]);
     printf("style=\"color:rgb(204,204,204); font-weight:normal; ");

     printf("font-style:normal\">%s</a></td>", $zeile[1]);

     /* Dateigroesse ausgeben */
     if ($zeile[2] >= 1024)
     {
       $size = $zeile[2]/1024;
       $bez  = "kB";
     }
     else
     {
       $size = $zeile[2];
       $bez  = "Byte";
     }

     printf("<td width=\"5\"></td><td  style=\"text-align:center\">");
     printf("%d %s</td>", $size, $bez);

     /* Datum ausgeben vom Hochladen */
     printf("<td width=\"5\"></td><td>%s</td>", date("d.m.Y H:i", $zeile[3]));
     printf("<td width=\"5\"></td>");

     if ($_SESSION[$AppCode]["ULV"] > 96)
     {
       printf("<td><a href=\"backup.php?rm=");

       printf("%s\" style=\"color:red\" title=\"Datei ", $zeile[0]);
       printf("l&ouml;schen\">X</a></td>\n");
     }
     else
     {
       printf("<td></td>\n");
     }

     printf("</tr>\n");
   }

   printf("</table>\n");
 }

 new stwEnd($seite);
?>
