<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: farben.php 2292 2014-07-02 10:52:57Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 62;
 $level = 96;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

 require_once($pfad."inc/level.inc.php");
// require_once($pfad."inc/farbe.inc.php");

 /* geaenderte Farbwerte wieder eintragen */
 if (isset($_POST["ok_farbe"]))
 {
   /* Levelwerte werden benoetigt */
   $erg = abfrage1("SELECT level, farbe FROM tb_level_farbe");

   while ($zeile = mysql_fetch_row($erg))
   {
     if ($_POST["farbe_".$zeile[0]] != $zeile[1])
     {
       $sql  = "UPDATE tb_level_farbe SET farbe = '";
       $sql .= $_POST["farbe_".$zeile[0]]."' ";

       $sql .= "WHERE level = '".$zeile[0]."'";
       abfrage2($sql);
     }
   }
 }

 /*
  * Es sind Farben an die Level gebunden. Hier die vorhandenen zeigen und
  * aenderbar machen.
  */
 $erg = abfrage1("SELECT level, farbe FROM tb_level_farbe ORDER BY level");

 if (mysql_num_rows($erg) > 0)
 {
   echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
   printf("<form method=\"post\" action=\"farben.php\" name=\"prefs\">\n");
   printf("<table>\n<tr><th>Level</th>");

   printf("<th style=\"text-align:center\">Farbe</th><th></th></tr>\n");
   new stwTabLine(2, 2);

   while ($zeile = mysql_fetch_row($erg))
   {
     printf("<tr><td style=\"color:%s\">%s</td>", $zeile[1], $zeile[0]);
     printf("<td><input type=\"text\" name=\"farbe_%s\" ", $zeile[0]);
	 if(!empty($zeile[1])) {
		$rgb = transformColor($zeile[1]);
		$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
		echo "style=\"background-color:$zeile[1];color:$co;\" ";
	 }
	 echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,200,-20,0,0,'',this.value||'#FFFFFF')\"";

     printf("value=\"%s\"></td>", $zeile[1]);

     /* Button anbieten um Fenster wird Farbauswahl anzubieten */
//     $farbe = new stwColor();
//     printf("<td>%s</td>", $farbe->show());

     printf("</tr>\n");
   }

   new stwTabLine(2, 2);

   /* Aendern Button anbieten */
   printf("<tr><td colspan=\"2\" style=\"text-align:center\">\n");
   printf("<input type=\"submit\" name=\"ok_farbe\" value=\"&Auml;ndern\">");

   printf("</td></tr></table>\n</form>\n");
 }

 new stwEnd($seite);
?>
