<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ha_and.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */
session_start();

$seite = 58;
$level = 96;
require("{$_SESSION['basedir']}/inc/auth.inc.php");
require("{$_SESSION['basedir']}/inc/level.inc.php");
require("{$_SESSION['basedir']}/inc/stw.inc.php");

if (isset($_GET['id'])){
	$ha = abfrage_assoc("select * from tb_hilfeart where hilfeart_id = {$_GET['id']};");
}

echo "<form action=\"{$_SESSION['webdir']}/konf/projekte.php?pg=$rvar_pg&tr=$rvar_tr&sort=$rvar_sort&all=$rvar_all\" method=\"POST\">\n";
echo "<input type=\"hidden\" name=\"send\" value=\"1\">\n";
if (isset($_GET['id'])){
	echo "<input type=\"hidden\" name=\"hilfeart_id\" value=\"{$ha['hilfeart_id']}\">\n";
}

$ti = 1;
echo "<table>\n";

echo "<tr><th style=\"padding-right:10px\">Hilfeart:</th>\n";
echo "<td><input type=\"text\" name=\"hilfeart\" size=\"4\" maxlength=\"3\" tabindex=\"$ti\"";
if (isset($_GET['id']))	echo " value=\"{$ha['hilfeart']}\"";
echo "></td></tr>\n";
$ti++;

echo "<tr><th style=\"padding-right:10px\">Beschreibung:</th>\n";
echo "<td><input type=\"text\" name=\"beschreibung\" size=\"70\" maxlength=\"70\" tabindex=\"$ti\"";
if (isset($_GET['id']))	echo " value=\"{$ha['beschreibung']}\"";
echo "></td></tr>\n";
$ti++;

echo "<tr><th style=\"padding-right:10px\">Kurzname:</th>\n";
echo "<td><input type=\"text\" name=\"kurzname\" size=\"40\" maxlength=\"40\" tabindex=\"$ti\"";
if (isset($_GET['id']))	echo " value=\"{$ha['kurzname']}\"";
echo "></td></tr>\n";
$ti++;

echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";

echo "<tr><th class=\"cl1\">Farbe:</th>\n";
echo "<td><input type=\"text\" name=\"farbe\" size=\"8\" ";
echo "tabindex=\"$ti\" "; $ti++;
if(!empty($ha['farbe'])) {
	$rgb = transformColor($ha['farbe']);
	$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
	echo "style=\"background-color:{$ha['farbe']};color:$co;\" ";
}
echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\"";
if(isset($_GET['id'])) echo " value=\"{$ha['farbe']}\"";
echo "></td></tr>\n";

echo "<tr><th style=\"padding-right:10px\">Projektgruppe:</th>\n";
echo "<td><select name=\"pra_id\" size=\"1\" tabindex=\"$ti\">\n";
$pras = abfrage1("select pra_id, kname, titel
				from tb_projektart
				where aktiv = 1
				order by kname asc;");
while ($pra = mysql_fetch_assoc($pras)) {
	echo "<option value=\"{$pra['pra_id']}\"";
	echo (strlen($pra['titel']) > 0) ? " titel=\"{$pra['titel']}\"" : '';
	if (isset($_GET['id'])){
		echo ($ha['pra_id'] == $pra['pra_id']) ? ' selected' : '';
	} else {
		echo ($pra['pra_id'] == $rvar_pg || ($rvar_pg=='all' && $pra['kname'] == 'HzE')) ? ' selected' : '';
	}
	echo ">{$pra['kname']}</option>\n";

}
if(projektgruppe()) {
	echo "<option value=\"69\"";
	if (isset($_GET['id']) && $ha['pra_id'] == 69) echo ' selected';
	echo " style=\"color:#990000\">Projektgruppe</option>\n";
}
echo "</select></td>\n";
$ti++;

echo "<tr><th style=\"padding-right:10px\">Standard Tr&auml;ger:</th>\n";
echo "<td><select name=\"traeger_art_id\" size=\"1\" tabindex=\"$ti\">\n";
$tras = abfrage1("select traeger_art_id, kurzname, traeger_art
				from tb_traeger_art
				order by kurzname asc;");
while ($tra = mysql_fetch_assoc($tras)) {
	echo "<option value=\"{$tra['traeger_art_id']}\"";
	echo (strlen($tra['traeger_art']) > 0) ? " titel=\"{$tra['traeger_art']}\"" : '';
	if (isset($_GET['id'])){
		echo ($ha['traeger_art_id'] == $tra['traeger_art_id']) ? ' selected' : '';
	} else {
		echo ($tra['traeger_art_id'] == $rvar_tr || ($rvar_tr=='all' && $tra['kurzname'] == 'JH')) ? ' selected' : '';
	}
	echo ">{$tra['kurzname']}</option>\n";
}
echo "</select></td>\n";
$ti++;

echo "<tr><th style=\"padding-right:10px\">Doku-Pauschale:</th>\n";
echo "<td style=\"font-weight:bold\">";
echo "<input type=\"radio\" name=\"doku\" value=\"1\" tabindex=\"$ti\"";
echo ((isset($_GET['id']) && $ha['doku'] == 1) || !isset($_GET['id'])) ? ' checked' : '';
echo ">&nbsp;&nbsp;ja&nbsp;&nbsp;&nbsp;&nbsp;";
$ti++;

echo "<input type=\"radio\" name=\"doku\" value=\"0\" tabindex=\"$ti\"";
echo (isset($_GET['id']) && $ha['doku'] != 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;nein</td></tr>\n";
$ti++;


echo "<tr><th style=\"padding-right:10px\">Soll FLS nach Fehlzeit:</th>\n";
echo "<td style=\"font-weight:bold\">";
echo "<input type=\"radio\" name=\"fls_fz\" value=\"1\" tabindex=\"$ti\"";
echo (isset($_GET['id']) && $ha['fls_fz'] == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;ja&nbsp;&nbsp;&nbsp;&nbsp;";
$ti++;

echo "<input type=\"radio\" name=\"fls_fz\" value=\"0\" tabindex=\"$ti\"";
echo ((isset($_GET['id']) && $ha['fls_fz'] != 1) || !isset($_GET['id'])) ? ' checked' : '';
echo ">&nbsp;&nbsp;nein</td></tr>\n";
$ti++;


echo "<tr><th style=\"padding-right:10px\">FLS in AZK:</th>\n";
echo "<td style=\"font-weight:bold\">";
echo "<input type=\"radio\" name=\"fls_azk\" value=\"1\" tabindex=\"$ti\"";
echo ((isset($_GET['id']) && $ha['fls_azk'] == 1) || !isset($_GET['id'])) ? ' checked' : '';
echo ">&nbsp;&nbsp;ja&nbsp;&nbsp;&nbsp;&nbsp;";
$ti++;

echo "<input type=\"radio\" name=\"fls_azk\" value=\"0\" tabindex=\"$ti\"";
echo (isset($_GET['id']) && $ha['fls_azk'] != 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;nein</td></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th style=\"padding-right: 15px\">Kappung FLS</th>\n";
echo "<td style=\"font-weight:bold\">";
echo "<input type=\"radio\" name=\"h_kapp_neg\" value=\"0\" tabindex=\"$ti\"";
echo (isset($_GET['id']) && $ha['h_kapp_neg'] == 0) ? ' checked' : '';
if (!isset($_GET['id'])) echo ' checked';
echo ">&nbsp;&nbsp;wie Standard (in konf / tr&auml;ger)</td></tr>\n";
$ti++;

echo "<tr><th style=\"padding-right: 15px\">Folgemonat negativ</th>\n";
echo "<td style=\"font-weight:bold\">";
echo "<input type=\"radio\" name=\"h_kapp_neg\" value=\"1\" tabindex=\"$ti\"";
echo (isset($_GET['id']) && $ha['h_kapp_neg'] == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;ja&nbsp;&nbsp;&nbsp;&nbsp;";
$ti++;

echo "<input type=\"radio\" name=\"h_kapp_neg\" value=\"2\" tabindex=\"$ti\"";
echo (isset($_GET['id']) && $ha['h_kapp_neg'] == 2) ? ' checked' : '';
echo ">&nbsp;&nbsp;nein&nbsp;&nbsp;&nbsp;&nbsp;";
$ti++;

echo "Wert:&nbsp;&nbsp;<input type=\"text\" name=\"h_kapp_neg_wert\" ";
echo "style=\"text-align:right;font-weight:normal\" size=\"4\" maxlength=\"4\" ";
echo "value=\"";
echo (isset($_GET['id'])) ? $ha['h_kapp_neg_wert'] : getConf('kapp_neg_wert');
echo "\" tabindex=\"$ti\">&nbsp;h</td></tr>\n";
$ti++;


new stwTabLine(2,30);

echo "<tr><th style=\"padding-right: 15px\">Kappung FLS</th>\n";
echo "<td style=\"font-weight:bold\">";
echo "<input type=\"radio\" name=\"h_kapp_pos\" value=\"0\" tabindex=\"$ti\"";
echo (isset($_GET['id']) && $ha['h_kapp_pos'] == 0) ? ' checked' : '';
if (!isset($_GET['id'])) echo ' checked';
echo ">&nbsp;&nbsp;wie Standard (in konf / tr&auml;ger)</td></tr>\n";
$ti++;

echo "<tr><th style=\"padding-right: 15px\">Folgemonat positiv</th>\n";
echo "<td style=\"font-weight:bold\">";
echo "<input type=\"radio\" name=\"h_kapp_pos\" value=\"1\" tabindex=\"$ti\"";
echo (isset($_GET['id']) && $ha['h_kapp_pos'] == 1) ? ' checked' : '';
echo ">&nbsp;&nbsp;ja&nbsp;&nbsp;&nbsp;&nbsp;";
$ti++;

echo "<input type=\"radio\" name=\"h_kapp_pos\" value=\"2\" tabindex=\"$ti\"";
echo (isset($_GET['id']) && $ha['h_kapp_pos'] == 2) ? ' checked' : '';
echo ">&nbsp;&nbsp;nein&nbsp;&nbsp;&nbsp;&nbsp;";
$ti++;

echo "Wert:&nbsp;&nbsp;<input type=\"text\" name=\"h_kapp_pos_wert\" ";
echo "style=\"text-align:right;font-weight:normal\" size=\"4\" maxlength=\"4\" ";
echo "value=\"";
echo (isset($_GET['id'])) ? $ha['h_kapp_pos_wert'] : getConf('kapp_pos_wert');
echo "\" tabindex=\"$ti\">&nbsp;h</td></tr>\n";
$ti++;

echo "</table>\n";
new stwLine(1);
echo "<table><tr><td>";
echo "<input type=\"submit\" value=\"Speichern\" tabindex=\"$ti\">";
echo "</td></tr></table>\n";
echo "</form>\n";

new stwEnd($seite);
?>