<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: index.php 2820 2017-12-20 10:41:58Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 54;
 $level = 65;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 require_once($pfad."inc/stw.inc.php");
 require_once($pfad."inc/azk.inc.php");

 /*
  * Die Konfigurationselemente sehen nur Nutzer ab Level 96. Da aber Nutzer ab
  * 65 in den SVN und Muellbereich kommen sollen, wurde der Gesamtlevel gesenkt.
  */
 if ($_SESSION[$AppCode]["ULV"] > 96)
 {
   /* Bollwerk Extraabfrage verarbeiten */
   if (isset ($_POST["boll_ok"]) && $_POST["boll_ok"] == "Ja")
   {
     abfrage2("UPDATE tb_konf SET wert='0' WHERE name='boll_aktiv'");
   }

   /* Hilfearten: PKWs in ZKs voreingestellt */
   if(!empty($_POST['pkw_zk'])) {
	  abfrage2("UPDATE tb_konf SET wert = '2' WHERE name = 'PKWselZK'");
	  if($_POST['pkw_zk'][0] == 'p') {
		$pkw_zk = substr($_POST['pkw_zk'],1);
		abfrage2("update tb_hilfeart set pkw_zk='j' where pra_id='$pkw_zk'");
	  } else abfrage2("update tb_hilfeart set pkw_zk='j' where hilfeart_id='{$_POST['pkw_zk']}'");
   }
   if(isset($_GET['ha_pop'])) {
	  abfrage2("update tb_hilfeart set pkw_zk='n' where hilfeart_id='{$_GET['ha_pop']}'");
   }
   if(isset($_GET['ha_pop']) || !empty($_POST['pkw_zk'])) {
	  echo "<script type=\"text/javascript\"><!--\n";
	  echo "window.onload = function () {\n window.scrollTo(0, document.getElementById('noshow').offsetTop);\n}\n";
	  echo "--></script>\n";
   }
   
   if (isset ($_POST['send_konf']) && $_POST['send_konf'] == 'Speichern')
   {
     abfrage2("update tb_konf set wert = '{$_POST['char_encoding']}' where name = 'char_encoding';");
     abfrage2("update tb_konf set wert = '{$_POST['kal_st_anz']}' where name = 'kal_st_anz';");
     abfrage2("update tb_konf set wert = '{$_POST['kal_von']}' where name = 'kal_von';");
     abfrage2("update tb_konf set wert = '{$_POST['kal_bis']}' where name = 'kal_bis';");
	 $val = empty($_POST['kal_tage']) ? 4 : $_POST['kal_tage'];
     abfrage2("update tb_konf set wert = '$val' where name = 'kal_tage';");

     abfrage2("update tb_konf set wert = '{$_POST['fehlz_kal']}' where name = 'fehlz_kal';");
     abfrage2("update tb_konf set wert = '{$_POST['zk_ueb_kal']}' where name = 'zk_ueb_kal';");
     abfrage2("update tb_konf set wert = '{$_POST['zk_midnight']}' where name = 'zk_midnight';");
     abfrage2("update tb_konf set wert = '{$_POST['czeitenliste']}' where name = 'czeitenliste';");
     abfrage2("update tb_konf set wert = '{$_POST['zk_ab_perspek']}' where name = 'zk_ab_perspek';");
     abfrage2("update tb_konf set wert = '{$_POST['progr_kontr']}' where name = 'progr_kontr';");
     abfrage2("update tb_konf set wert = '{$_POST['kalender_sperre']}' where name = 'kalender_sperre';");
     abfrage2("update tb_konf set wert = '{$_POST['textarea_resize']}' where name = 'textarea_resize';");
     abfrage2("update tb_konf set wert = '{$_POST['fm_in_azk']}' where name = 'fm_in_azk';");
     abfrage2("update tb_konf set wert = '{$_POST['doku_in_azk']}' where name = 'doku_in_azk';");
     abfrage2("update tb_konf set wert = '{$_POST['vertr_in_azk']}' where name = 'vertr_in_azk';");
     abfrage2("update tb_konf set wert = '{$_POST['fz_pro_ab']}' where name = 'fz_pro_ab';");
     abfrage2("update tb_konf set wert = '{$_POST['st_satz']}' where name = 'st_satz';");
     abfrage2("update tb_konf set wert = '{$_POST['grPrInOrga']}' where name = 'grPrInOrga';");
     abfrage2("update tb_konf set wert = '{$_POST['rech_warnung_fehlend']}' where name = 'rech_warnung_fehlend';");
     abfrage2("update tb_konf set wert = '{$_POST['rech_warnung_fehlend2']}' where name = 'rech_warnung_fehlend2';");

     abfrage2("update tb_konf set wert = '{$_POST['boll_srv']}' where name = 'boll_srv';");
     abfrage2("update tb_konf set wert = '{$_POST['boll_dbn']}' where name = 'boll_dbn';");
     abfrage2("update tb_konf set wert = '{$_POST['boll_dbu']}' where name = 'boll_dbu';");
     abfrage2("update tb_konf set wert = '{$_POST['boll_dbp']}' where name = 'boll_dbp';");

	 abfrage2("replace into tb_seite_pers_sort set sort = '{$_POST['msort']}', seite = '0';");

     /* aktuelle SVN Daten setzen */
     $sql = "UPDATE tb_konf SET wert = '".$_POST["svn_log"]."' WHERE name = 'SVN_Login'";
     abfrage2($sql);

     $sql = "UPDATE tb_konf SET wert = '".$_POST["svn_pwd"]."' WHERE name = 'SVN_Pwd'";
     abfrage2($sql);

     /* ViewVC Link setzen */
     $sql = "UPDATE tb_konf SET wert='".$_POST["viewvc"]."' WHERE name='viewvc'";
     abfrage2($sql);

     /* Sicherheitsabfrage wenn Bollwerk deaktiviert wird */
     if ($_POST['boll_aktiv'] == "0" && getConf("boll_aktiv") == "1")
     {
       printf("<center>\n");
       printf("<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n");

       printf("<h1 style=\"color:red\">");
       printf("Soll das Bollwerk wirklich deaktiviert werden?</h1>\n");

       printf("<table><tr>\n");
       printf("<th><input type=\"submit\" name=\"boll_ok\" value=\"Ja\"></th>\n");
       printf("<th><input type=\"submit\" name=\"boll_nk\" value=\"Nein\"></th>\n");

       printf("</tr></table>\n");
       printf("</form>\n</center>\n");

       new stwEnd($seite);
       exit(0);
     }
     else
     {
       abfrage2("update tb_konf set wert = '{$_POST['boll_aktiv']}' where name = 'boll_aktiv';");
     }
     abfrage2("update tb_konf set wert = '{$_POST['boll_intern']}' where name = 'boll_intern';");

     /* sichere Passwoerte an-/abschalten */
     $sql  = "UPDATE tb_konf SET wert = '".$_POST["secure_pass"]."' ";
     $sql .= "WHERE name = 'secure_pass'";
     abfrage2($sql);
    
	/* Laufzeiterfassung an-/abschalten */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["laufzeiterfassung"] )."' ";
	$sql .= "WHERE name = 'laufzeiterfassung'";
	abfrage2($sql);
	
	/* PD Warnung an-/abschalten */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["pd_zeige_warnung"] )."' ";
	$sql .= "WHERE name = 'pd_zeige_warnung'";
	abfrage2($sql);
	
	/* AZV Warnung an-/abschalten */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["azv_zeige_warnung"] )."' ";
	$sql .= "WHERE name = 'azv_zeige_warnung'";
	abfrage2($sql);
	
	/* Losungstext an-/abschalten */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["losung"] )."' ";
	$sql .= "WHERE name = 'losung'";
	abfrage2($sql);

	/* Nachrichtenmodul: Empfaenger / Abteilungen an-/abschalten */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["nachr_abt"] )."' ";
	$sql .= "WHERE name = 'NachrichtenAbt'";
	abfrage2($sql);

	/* ZKs: eigenen PKW standardmaessig auswaehlen */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["PKWselZK"] )."' ";
	$sql .= "WHERE name = 'PKWselZK'";
	abfrage2($sql);

	/* mehrere Verantwortliche pro PKW */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["PKWmultiVerantw"] )."' ";
	$sql .= "WHERE name = 'PKWmultiVerantw'";
	abfrage2($sql);

	/* Redirect zu gewuenschter Seite an-/abschalten */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["auto_return"] )."' ";
	$sql .= "WHERE name = 'auto_return'";
	abfrage2($sql);

	/* Klientenkonto: Spesen oder Handgeld */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["klientenkonto"] )."' ";
	$sql .= "WHERE name = 'klientenkonto'";
	abfrage2($sql);

	/* Klientenkonto2: weiteres Klientenkonto? */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["klientenkonto2"] )."' ";
	$sql .= "WHERE name = 'klientenkonto2'";
	abfrage2($sql);
	$sql  = "UPDATE tb_konf SET wert = '".str_replace(',','.',$_POST["kk2val"])."' ";
	$sql .= "WHERE name = 'kk2val'";
	abfrage2($sql);

	/* lange Elternzeiten ausblenden */
	$sql  = "UPDATE tb_konf SET wert = '".intval( $_POST["ez3monVerbergen"] )."' ";
	$sql .= "WHERE name = 'ez3monVerbergen'";
	abfrage2($sql);

    echo "<table><tr><th style=\"color:lime\">";
    echo "Ihre Eingaben wurden erfolgreich gespeichert!</th></tr>\n";
    new stwLine(1);

    /* Aenderungen hier - sicherheitshalber AZK Cache komplett loeschen */
    azk_cache_reset();
  }

  echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
  echo "<table>\n";

  echo "<tr><th style=\"padding-right: 15px\">Standard Zeichensatz Encoding:</th>\n";
  $char_encoding = getConf('char_encoding');
  echo "<td colspan=\"4\"><select name=\"char_encoding\">\n";
  $selected = $char_encoding == 'ISO-8859-1' ? 'selected' : '';
  echo "<option $selected>ISO-8859-1</option>\n";
  $selected = $char_encoding == 'UTF-8' ? 'selected' : '';
  echo "<option $selected>UTF-8</option>\n";
  echo "</select></td></tr>\n";
  new stwTabLine(1,30);

  echo "<tr><th style=\"padding-right: 15px\">Standardansicht Kalender :</th>\n";
  $anz = abfrage("select wert from tb_konf where name = 'kal_st_anz';");

  echo "<td style=\"padding-right: 15px\"><input type=\"radio\" name=\"kal_st_anz\" value=\"w1\"";
  echo ($anz[0] == 'w1') ? ' checked' : '';
  echo "></td>";
  echo "<td style=\"padding-right: 15px\">grafische &Uuml;bersicht aktuelle / gew&auml;hlte Woche</td></tr>\n";

  echo "<tr><td></td><td style=\"padding-right: 15px\"><input type=\"radio\" name=\"kal_st_anz\" value=\"w2\"";
  echo ($anz[0] == 'w2') ? ' checked' : '';
  echo "></td>";
  echo "<td style=\"padding-right: 15px\">Listenansicht aktuelle / gew&auml;hlte und folgende Woche</td></tr>\n";

  echo "<tr><td></td><td style=\"padding-right: 15px\"><input type=\"radio\" name=\"kal_st_anz\" value=\"m\"";
  echo ($anz[0] == 'm') ? ' checked' : '';
  echo "></td>";
  echo "<td style=\"padding-right: 15px\">Listenansicht aktueller / gew&auml;hlter Monat</td></tr>\n";

  echo "<tr><td></td><td style=\"padding-right: 15px\"><input type=\"radio\" name=\"kal_st_anz\" value=\"t\"";
  echo ($anz[0] == 't') ? ' checked' : '';
  echo "></td>";
  echo "<td style=\"padding-right: 15px\">Listenansicht aktueller / gew&auml;hlter Tag + 14 Tage</td></tr>\n";

  new stwTabLine(1,30);

  echo "<tr><th style=\"padding-right: 15px\">Anzeige graf. Kalender&uuml;bersicht :</th>\n";
  echo "<th style=\"padding-right: 15px\">von :</th>\n";
  $dat = abfrage("select wert from tb_konf where name = 'kal_von';");
  echo "<td><table cellspacing=\"0\" cellpadding=\"0\"><tr><td width=\"100\">";
  echo "<input type=\"text\" name=\"kal_von\" size=\"3\" maxlength=\"2\" value=\"$dat[0]\">";
  echo "</td><td class=\"cl11\"><input type=\"checkbox\" name=\"kal_tage\" value=\"5\"";
  if(getConf('kal_tage') > 4) echo " checked";
  echo stwToolTip("Samstag in der Kalender-Ansicht auch anzeigen");
  echo "></td><td>Samstag</td></tr></table>";
  echo "</td></tr>\n";
  echo "<tr><td></td><th style=\"padding-right: 15px\">bis :</th>\n";
  echo "<td><table cellspacing=\"0\" cellpadding=\"0\"><tr><td width=\"100\">";
  $dat = abfrage("select wert from tb_konf where name = 'kal_bis';");
  echo "<input type=\"text\" name=\"kal_bis\" size=\"3\" maxlength=\"2\" value=\"$dat[0]\">";
  echo "</td><td class=\"cl11\"><input type=\"checkbox\" name=\"kal_tage\" value=\"6\"";
  if(getConf('kal_tage') > 5) echo " checked";
  echo stwToolTip("Sonntag in der Kalender-Ansicht auch anzeigen");
  echo "></td><td>Sonntag</td></tr></table>";
  echo "</td></tr>\n";

  //Fehlzeiten im Kalender anzeigen
  new stwTabLine(1,30);
  echo "<tr>\n<th style=\"padding-right: 15px\">Fehlzeiten im Kalender anzeigen :</th>\n";

  $fehlz_kal=getConf("fehlz_kal");

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"fehlz_kal\" value=\"1\"";
  echo ($fehlz_kal == 1) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"fehlz_kal\" value=\"0\"";
  echo ($fehlz_kal == 0) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";

  /* ZKs-ber Kalender anlagen (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr>\n<th style=\"padding-right: 15px\">ZKs &uuml;ber Kalender eingeben :</th>\n";

  $zk_ueb_kal=getConf("zk_ueb_kal");

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"zk_ueb_kal\" value=\"1\"";
  echo ($zk_ueb_kal == 1) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"zk_ueb_kal\" value=\"0\"";
  echo ($zk_ueb_kal == 0) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";

  /* ZKs-ber Mitternacht hinweg (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr>\n<th style=\"padding-right: 15px\">ZKs &uuml;ber Mitternacht hinweg eingeben :</th>\n";

  $zk_midnight=getConf("zk_midnight");

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"zk_midnight\" value=\"1\"";
  echo ($zk_midnight == 1) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"zk_midnight\" value=\"0\"";
  echo ($zk_midnight == 0) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";

  /* C-Zeitenliste (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr>\n<th style=\"padding-right: 15px\">Mitarbeitern mit C-Zeiten Aufgaben anbieten (C-Zeitenliste):</th>\n";

  $czeitenliste=getConf("czeitenliste");

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"czeitenliste\" value=\"1\"";
  echo ($czeitenliste == 1) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"czeitenliste\" value=\"0\"";
  echo ($czeitenliste == 0) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";

  /* abrechnungsrelevante ZKs in der Zukunft eintragbar (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr>\n<th style=\"padding-right: 15px\">abrechnungsrelevante ZKs mit Ende in der Zukunft :</th>\n";

  $zk_ab_perspek=getConf("zk_ab_perspek");

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"zk_ab_perspek\" value=\"1\"";
  echo ($zk_ab_perspek == 1) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"zk_ab_perspek\" value=\"0\"";
  echo ($zk_ab_perspek == 0) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";

  /* Projektgruppen kontrollieren (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr>\n<th style=\"padding-right: 15px\">Kontrolle Projektgruppen :</th>\n";

  $progr_kontr=getConf("progr_kontr");

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"progr_kontr\" value=\"1\"";
  echo ($progr_kontr == 1) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"progr_kontr\" value=\"0\"";
  echo ($progr_kontr == 0) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";

  /* Mitarbeiter sehen Kalender ihrer Kollegen (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr>\n<th style=\"padding-right: 15px\">Kalender der Kollegen erst ab LVL96 sichtbar :</th>\n";

  $kalender_sperre=getConf("kalender_sperre");

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"kalender_sperre\" value=\"1\"";
  echo ($kalender_sperre == 1) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"kalender_sperre\" value=\"0\"";
  echo ($kalender_sperre == 0) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";

  /* Sortierung / Anzeige Namen Mitarbeiter */
  new stwTabLine(1,30);
  echo "<tr>\n<th style=\"padding-right: 15px\">Sortierung Mitarbeiter :</th>\n";

  $sort = abfrage("select sort from tb_seite_pers_sort where seite = 0");
  echo "<td colspan=\"2\"><select name=\"msort\" size=\"1\" >\n";
  $selected = (empty($sort[0])) ? 'selected' : '';
  echo "<option value=\"0\" $selected>Standard (wie bisher)</option>";
  $selected = ($sort[0] == 1) ? 'selected' : '';
  echo "<option value=\"1\" $selected>Vorname, Nachname</option>";
  $selected = ($sort[0] == 2) ? 'selected' : '';
  echo "<option value=\"2\" $selected>Nachname, Vorname</option>";
  echo "</select></td>\n";
  echo "</tr>\n";

  /* Textareas automatisch resizen (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr><th style=\"padding-right: 15px\">Automatische Gr&ouml;&szlig;enanpassung Textfelder :</th>\n";
  $textarea_resize=getConf('textarea_resize');
  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"textarea_resize\" value=\"1\"";
  echo ($textarea_resize == '1') ? ' checked' : '';
  echo "></td></tr></table></td>\n";
  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"textarea_resize\" value=\"0\"";
  echo ($textarea_resize == '0') ? ' checked' : '';
  echo "></td></tr></table></td>\n";
  echo "</tr>\n";

  /* Die Spalte FM im AZK anzeigen (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr><th style=\"padding-right: 15px\">FM im AZK anzeigen :</th>\n";

  $fm_in_azk=getConf('fm_in_azk');

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"fm_in_azk\" value=\"1\"";
  echo ($fm_in_azk == '1') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"fm_in_azk\" value=\"0\"";
  echo ($fm_in_azk == '0') ? ' checked' : '';
  echo "></td></tr></table></td>\n";
  echo "</tr>\n";

  echo "<tr><th style=\"padding-right: 15px\">Doku im AZK anzeigen :</th>\n";

  $doku_in_azk=getConf('doku_in_azk');

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"doku_in_azk\" value=\"1\"";
  echo ($doku_in_azk == '1') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"doku_in_azk\" value=\"0\"";
  echo ($doku_in_azk == '0') ? ' checked' : '';
  echo "></td></tr></table></td>\n";
  echo "</tr>\n";

  echo "<tr><th style=\"padding-right: 15px\">Vertretungsstunden im AZK anzeigen :</th>\n";

  $vertr_in_azk=getConf('vertr_in_azk');

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"vertr_in_azk\" value=\"1\"";
  echo ($vertr_in_azk == '1') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"vertr_in_azk\" value=\"0\"";
  echo ($vertr_in_azk == '0') ? ' checked' : '';
  echo "></td></tr></table></td>\n";
  echo "</tr>\n";

  /* Die Spalte Fahrzeit in der Einzelprojektbersicht anzeigen - pro_ab.php */
  new stwTabLine(1,30);
  echo "<tr><th style=\"padding-right: 15px\">Fahrz. Einzelprojekt&uuml;bersicht :</th>\n";

  $fz_pro_ab = getConf('fz_pro_ab');

  echo "<td style=\"padding-right: 15px\"><input type=\"radio\" name=\"fz_pro_ab\" value=\"nan\"";
  echo ($fz_pro_ab == 'nan') ? ' checked' : '';
  echo "></td>";
  echo "<td style=\"padding-right: 15px\">Fahrzeit nicht anzeigen (Standard)</td></tr>\n";

  echo "<tr><td></td><td style=\"padding-right: 15px\"><input type=\"radio\" name=\"fz_pro_ab\" value=\"bfz\"";
  echo ($fz_pro_ab == 'bfz') ? ' checked' : '';
  echo "></td>";
  echo "<td style=\"padding-right: 15px\">Bruttofahrzeit anzeigen</td></tr>\n";

  echo "<tr><td></td><td style=\"padding-right: 15px\"><input type=\"radio\" name=\"fz_pro_ab\" value=\"nfz\"";
  echo ($fz_pro_ab == 'nfz') ? ' checked' : '';
  echo "></td>";
  echo "<td style=\"padding-right: 15px\">Nettofahrzeit anzeigen (enthalten in geleistet)</td></tr>\n";

  echo "</tr>\n";

  /* Stundensatz auf Hilfeplanebene (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr><th style=\"padding-right: 15px\">Stundensatz auf Hilfeplanebene :</th>\n";

  $st_satz=getConf('st_satz');

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"st_satz\" value=\"1\"";
  echo ($st_satz == '1') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"st_satz\" value=\"0\"";
  echo ($st_satz == '0') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";

  /* Termine Gruppenprojekte im Kalender (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr><th style=\"padding-right: 15px\">Termine Gruppenprojekte im Kalender anzeigen:</th>\n";

  $grPrInOrga=getConf('grPrInOrga');

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"grPrInOrga\" value=\"1\"";
  echo ($grPrInOrga == '1') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"grPrInOrga\" value=\"0\"";
  echo ($grPrInOrga == '0') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";

  /* Hinweis fehlender Postausgang Rechnung / fehlende Zahlung (ja/nein) */
  new stwTabLine(1,30);
  echo "<tr><th style=\"padding-right: 15px\">Hinweis fehlender Postausgang Rechnung:</th>\n";

  $rech_warnung_fehlend=getConf('rech_warnung_fehlend');

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"rech_warnung_fehlend\" value=\"1\"";
  echo ($rech_warnung_fehlend == '1') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"rech_warnung_fehlend\" value=\"0\"";
  echo ($rech_warnung_fehlend == '0') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";
  echo "<tr><th style=\"padding-right: 15px\">Hinweis fehlender Zahlungseingang Rechnung:</th>\n";

  $rech_warnung_fehlend=getConf('rech_warnung_fehlend2');

  echo "<td>\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"rech_warnung_fehlend2\" value=\"1\"";
  echo ($rech_warnung_fehlend == '1') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td>\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"rech_warnung_fehlend2\" value=\"0\"";
  echo ($rech_warnung_fehlend == '0') ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "</tr>\n";

  /* Bollwerk komplett abschalten oder anschalten (Default: eingeschaltet) */
  new stwTabLine(1,30);

  $erg = getConf("boll_aktiv");
  if ($erg == 1)
  {
    $erg_check1 = "checked";
    $erg_check2 = "";
  }
  else
  {
    $erg_check1 = "";
    $erg_check2 = "checked";
  }

  printf("<tr>\n<th style=\"padding-right: 15px\">Bollwerk aktiv:</th>\n");
  printf("<td>\n<table><tr><th>ja</th>\n");

  printf("<td><input type=\"radio\" name=\"boll_aktiv\" ");
  printf("value=\"1\" %s></td></tr></table></td>\n", $erg_check1);

  printf("<td><table><tr><th>nein</th>\n");
  printf("<td class=\"cl20\"><input type=\"radio\" name=\"boll_aktiv\" ");
  printf("value=\"0\" %s></td>", $erg_check2);

  $checked = getConf('boll_intern')==1 && $erg==1 ? 'checked' : '';
  echo "<td><input type=\"checkbox\" $checked value=\"1\" name=\"boll_intern\" /></td>";
  echo "<td>Bollwerk bei <b>allen</b> Verbindungen aktiv</td>";

  printf("</tr></table></td>\n</tr>\n");

  new stwTabLine(1,30);

  	echo "<tr><th style=\"padding-right: 15px\">Zugangsdaten Bollwerk :</th>\n";
  	$boll_srv = getConf('boll_srv');
	echo "<th>DB-Server :</th>";
	echo "<td><input type=\"text\" name=\"boll_srv\" size=\"25\" maxlength=\"50\" value=\"$boll_srv\"></td></tr>\n";
  	$boll_dbn = getConf('boll_dbn');
	echo "<tr><td></td><th>Datenbank :</th>";
	echo "<td><input type=\"text\" name=\"boll_dbn\" size=\"25\" maxlength=\"50\" value=\"$boll_dbn\"></td></tr>\n";
	$boll_dbu = getConf('boll_dbu');
	echo "<tr><td></td><th>Benutzer :</th>";
	echo "<td><input type=\"text\" name=\"boll_dbu\" size=\"25\" maxlength=\"50\" value=\"$boll_dbu\"></td></tr>\n";
	$boll_dbp = getConf('boll_dbp');
	echo "<tr><td></td><th>Passwort :</th>";
	echo "<td><input type=\"password\" name=\"boll_dbp\" size=\"25\" maxlength=\"50\" value=\"$boll_dbp\"></td></tr>\n";

  new stwTabLine(1,30);

  /* SVN Zugangsdaten - Default leer */
  $svn_log = getConf("SVN_Login");
  $svn_pwd = getConf("SVN_Pwd");

  printf("<tr><th style=\"padding-right:15px\">Zugangsdaten SVN:</th>");
  printf("<th>Login:</th><td><input type=\"text\" name=\"svn_log\" ");

  printf("size=\"25\" value=\"%s\"></td></tr><tr><td></td>", $svn_log);
  printf("<th>Passwort:</th><td><input type=\"password\" name=\"svn_pwd\" ");
  
  printf("size=\"25\" value=\"%s\"></td></tr>", $svn_pwd);
  new stwTabLine(1, 30);

  /* SVN Seite braucht die Info wo die Informationen geholt werden koennen */
  $viewvc = getConf("viewvc");
  printf("<tr><th>ViewVC Link:</th><td colspan=\"2\"><input ");
  printf("type=\"text\" name=\"viewvc\" value=\"%s\" ", $viewvc);

  printf("size=\"50\" maxlength=\"100\"></td></tr>\n");
  new stwTabLine(1,30);

  /* Passwortsicherheit an-/abschalten */
  $erg = getConf("secure_pass");
  if ($erg == 1)
  {
    $erg_check1 = "checked";
    $erg_check2 = "";
  }
  else
  {
    $erg_check1 = "";
    $erg_check2 = "checked";
  }

  printf("<tr>\n<th style=\"padding-right: 15px\">Sichere Passw&ouml;rter ");
  printf("aktivieren:</th>\n<td>\n<table><tr><th>ja</th>\n");

  printf("<td><input type=\"radio\" name=\"secure_pass\" ");
  printf("value=\"1\" %s></td></tr></table></td>\n", $erg_check1);

  printf("<td><table><tr><th>nein</th>\n");
  printf("<td><input type=\"radio\" name=\"secure_pass\" ");

  printf("value=\"0\" %s>", $erg_check2);
  printf("</td></tr></table></td>\n</tr><tr><td>(min. 5 Zeichen, ");

  printf("Buchstaben, Zahlen)</td></tr>\n");

 /* 
  * 'Laufzeiterfassung' ein- / ausschalten
  *
  * tfreudenberg, 25.11.2016
  */
  new stwTabLine(1,30);

  $erg = intval( getConf("laufzeiterfassung") );
  if ( $erg == 1 ) {
    $erg_check1 = 'checked="checked"';
    $erg_check2 = '';
  } else {
    $erg_check1 = '';
    $erg_check2 = 'checked="checked"';
  }

  printf("<tr>\n<th style=\"padding-right: 15px\">Laufzeiterfassung (Auswertung unter konf/m&uuml;ll):</th>\n");
  printf("<td>\n<table><tr><th>ein</th>\n");

  printf("<td><input type=\"radio\" name=\"laufzeiterfassung\" ");
  printf("value=\"1\" %s /></td></tr></table></td>\n", $erg_check1);

  printf("<td><table><tr><th>aus</th>\n");
  printf("<td><input type=\"radio\" name=\"laufzeiterfassung\" ");

  printf("value=\"0\" %s /></td></tr></table></td>\n", $erg_check2);
  printf("</tr>\n");
  
 /* 
  * Anzeige 'Personaldaten aktualisieren' auf der Startseite einblenden?
  *
  * fkrueger, 30.01.2009
  */
  new stwTabLine(1,30);

  $erg = intval( getConf("pd_zeige_warnung") );
  if ( $erg == 1 ) {
    $erg_check1 = 'checked="checked"';
    $erg_check2 = '';
  } else {
    $erg_check1 = '';
    $erg_check2 = 'checked="checked"';
  }

  printf("<tr>\n<th style=\"padding-right: 15px\">Zeige PD-Warnungen auf Startseite:</th>\n");
  printf("<td>\n<table><tr><th>ja</th>\n");

  printf("<td><input type=\"radio\" name=\"pd_zeige_warnung\" ");
  printf("value=\"1\" %s /></td></tr></table></td>\n", $erg_check1);

  printf("<td><table><tr><th>nein</th>\n");
  printf("<td><input type=\"radio\" name=\"pd_zeige_warnung\" ");

  printf("value=\"0\" %s /></td></tr></table></td>\n", $erg_check2);
  printf("</tr>\n");
  
  /* 
  * Anzeige 'AZV-Daten aktualisieren' auf der Startseite einblenden?
  *
  * fkrueger, 30.01.2009
  */
  new stwTabLine(1,30);

  $erg = intval( getConf("azv_zeige_warnung") );
  if ( $erg == 1 ) {
    $erg_check1 = 'checked="checked"';
    $erg_check2 = '';
  } else {
    $erg_check1 = '';
    $erg_check2 = 'checked="checked"';
  }

  printf("<tr>\n<th style=\"padding-right: 15px\">Zeige AZV-Warnungen auf Startseite:</th>\n");
  printf("<td>\n<table><tr><th>ja</th>\n");

  printf("<td><input type=\"radio\" name=\"azv_zeige_warnung\" ");
  printf("value=\"1\" %s /></td></tr></table></td>\n", $erg_check1);

  printf("<td><table><tr><th>nein</th>\n");
  printf("<td><input type=\"radio\" name=\"azv_zeige_warnung\" ");

  printf("value=\"0\" %s /></td></tr></table></td>\n", $erg_check2);
  printf("</tr>\n");

  /* 
  * Losung auf der Startseite einblenden?
  *
  * tfreudenberg, 07.05.2009
  */
  new stwTabLine(1,30);

  $erg = intval( getConf("losung") );
  if ( $erg == 1 ) {
    $erg_check1 = 'checked="checked"';
    $erg_check2 = '';
  } else {
    $erg_check1 = '';
    $erg_check2 = 'checked="checked"';
  }

  printf("<tr>\n<td style=\"padding-right: 15px\"><b style=\"color:#FFCC00\">");
  printf("Zeige Herrnhuter Losung auf Startseite:</b><br />");

  $Y = date("Y");

  printf("(ben&ouml;tigt eine Datei \"/inc/losung/%s.css\")</td>\n", $Y);
  printf("<td>\n<table><tr><th>ja</th>\n");

  printf("<td><input type=\"radio\" name=\"losung\" ");
  printf("value=\"1\" %s /></td></tr></table></td>\n", $erg_check1);

  printf("<td><table><tr><th>nein</th>\n");
  printf("<td><input type=\"radio\" name=\"losung\" ");

  printf("value=\"0\" %s /></td></tr></table></td>\n", $erg_check2);
  printf("</tr>\n");
  
  
  /* 
  * Ansicht Nachrichtenmodul: Empfaenger / Abteilungen
  *
  * tfreudenberg, 07.05.2009
  */
  new stwTabLine(1,30);

  $erg = intval( getConf('NachrichtenAbt') );
  if ( $erg == 1 ) {
    $erg_check1 = 'checked="checked"';
    $erg_check2 = '';
  } else {
    $erg_check1 = '';
    $erg_check2 = 'checked="checked"';
  }

  printf("<tr>\n<th style=\"padding-right: 15px\">Empf&auml;nger im Nachrichtenmodul abteilungsabh.:</th>\n");
  printf("<td>\n<table><tr><th>ja</th>\n");

  printf("<td><input type=\"radio\" name=\"nachr_abt\" ");
  printf("value=\"1\" %s /></td></tr></table></td>\n", $erg_check1);

  printf("<td><table><tr><th>nein</th>\n");
  printf("<td><input type=\"radio\" name=\"nachr_abt\" ");

  printf("value=\"0\" %s /></td></tr></table></td>\n", $erg_check2);
  printf("</tr>\n");

  /* 
  * Zeitkarten: eigenen PKW standardmaessig auswaehlen?
  *
  * tfreudenberg, 06.12.2013
  */
  new stwTabLine(1,30);

  $erg = intval( getConf('PKWselZK') );
  if ( $erg == 1 ) {
    $erg_check1 = 'checked="checked"';
    $erg_check2 = $erg_check3 = '';
  } elseif( $erg == 2 ) {
    $erg_check3 = 'checked="checked"';
    $erg_check2 = $erg_check1 = '';
  } else {
    $erg_check2 = 'checked="checked"';
    $erg_check1 = $erg_check3 = '';
  }

  printf("<tr>\n<th style=\"padding-right: 15px\">eigenen PKW in ZKs vorausw&auml;hlen:</th>\n");
  printf("<td>\n<table><tr><th>ja</th>\n");

  printf("<td><input type=\"radio\" name=\"PKWselZK\" ");
  echo "onchange=\"document.getElementById('noshow').style.display='none'\" ";
  printf("value=\"1\" %s /></td></tr></table></td>\n", $erg_check1);

  printf("<td><table><tr><th>nein</th>\n");
  printf("<td><input type=\"radio\" name=\"PKWselZK\" ");
  echo "onchange=\"document.getElementById('noshow').style.display='none'\" ";
  printf("value=\"0\" %s /></td>", $erg_check2);

  echo "<th style=\"padding-left:50px\">nur bei ausgew&auml;hlten Projekten</th>";
  printf("<td><input type=\"radio\" name=\"PKWselZK\" ");
  echo "onchange=\"document.getElementById('noshow').style.display='table-row'\" ";
  printf("value=\"2\" %s /></td>", $erg_check3);
  echo "</tr></table></td>\n";
  printf("</tr>\n");

  echo "<tr id=\"noshow\"";
  if($erg != 2) echo " style=\"display:none\"";
  echo "><td colspan=\"30\"><table cellspacing=\"0\" cellpadding=\"0\"><tr>";
  echo "<th class=\"cl1\" style=\"width:700px;text-align:right\">...bei Fahrten und bei Projekten folgender Hilfearten:</th>";
  echo "<td style=\"width:110px\"><select name=\"pkw_zk\" size=\"1\" style=\"width:110px\" onchange=\"this.form.submit()\">\n";
  echo "<option value=\"0\">bitte w&auml;hlen</option>\n";
  $pra = array();
  $pras = abfrage1("select pra_id, kname from tb_projektart order by pra_id asc");
  while($pr = mysql_fetch_row($pras)) {
	$pra[$pr[0]] = $pr[1];
  }
  $has = abfrage1("select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' and pkw_zk='n' order by pra_id asc, hilfeart asc");
  $lastPra = 0;
  while ($ha = mysql_fetch_row($has)){
	if($lastPra != $ha[3]) {
		echo "<option value=\"p$ha[3]\">---- ".$pra[$ha[3]]." ----</option>\n";
		$lastPra = $ha[3];
	}
	echo "<option value=\"$ha[0]\">$ha[1] - $ha[2]</option>\n";
  }
  echo "</select></td></tr>";
  $sql2 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where pkw_zk='j' order by pra_id asc, hilfeart asc";
  $has = abfrage1($sql2);
  $txt = '';
  $lastPra = 0;
  while ($ha = mysql_fetch_row($has)){
	if($txt != '') $txt .= ', ';
	if($lastPra != $ha[3]) {
		$txt .= $pra[$ha[3]].": ";
		$lastPra = $ha[3];
	}
	$txt .= "<a href=\"index.php?ha_pop=$ha[0]\"";
	$txt .= stwToolTip('<b>' . (strlen($ha[2])>0 ? $ha[2] : $ha[1]) . '</b> aus Liste entfernen');
	$txt .= "style=\"color:red\">$ha[1]</a>\n";
  }
  echo "<tr><th colspan=\"30\" class=\"ww\">$txt</th></tr>";
  echo "</table></td></tr>\n";

  /* 
  * PKWs: mehrere Verantwortliche?
  *
  * tfreudenberg, 30.01.2014
  */
  new stwTabLine(1,30);

  $erg = intval( getConf('PKWmultiVerantw') );
  if ( $erg == 1 ) {
    $erg_check1 = 'checked="checked"';
    $erg_check2 = '';
  } else {
    $erg_check1 = '';
    $erg_check2 = 'checked="checked"';
  }

  printf("<tr>\n<th style=\"padding-right: 15px\">PKWs: mehrere Verantwortliche m&ouml;glich:</th>\n");
  printf("<td>\n<table><tr><th>ja</th>\n");

  printf("<td><input type=\"radio\" name=\"PKWmultiVerantw\" ");
  printf("value=\"1\" %s /></td></tr></table></td>\n", $erg_check1);

  printf("<td><table><tr><th>nein</th>\n");
  printf("<td><input type=\"radio\" name=\"PKWmultiVerantw\" ");

  printf("value=\"0\" %s /></td></tr></table></td>\n", $erg_check2);
  printf("</tr>\n");

  /* 
  * Automatischer Ruecksprung zu gewaehlter Seite nach timeout
  *
  * tfreudenberg, 11.01.2012
  */
  new stwTabLine(1,30);

  $erg = intval( getConf("auto_return") );
  if ( $erg == 1 ) {
    $erg_check1 = 'checked="checked"';
    $erg_check2 = '';
  } else {
    $erg_check1 = '';
    $erg_check2 = 'checked="checked"';
  }

  printf("<tr>\n<th style=\"padding-right: 15px\">Automatischer Redirect zu gew&auml;hlter Seite nach Anmeldung:</th>\n");
  printf("<td>\n<table><tr><th>ja</th>\n");

  printf("<td><input type=\"radio\" name=\"auto_return\" ");
  printf("value=\"1\" %s /></td></tr></table></td>\n", $erg_check1);

  printf("<td><table><tr><th>nein</th>\n");
  printf("<td><input type=\"radio\" name=\"auto_return\" ");

  printf("value=\"0\" %s /></td></tr></table></td>\n", $erg_check2);
  printf("</tr>\n");

  /*
  * Klientenkonto: Spesen oder Handgeld
  *
  * tfreudenberg 11.01.2014
  */
  new stwTabLine(1,30);

  $erg = intval( getConf("klientenkonto") );
  $erg_check1 = $erg ? '' : 'checked="checked"';
  $erg_check2 = $erg ? 'checked="checked"' : '';
  echo "<tr>\n<th rowspan=\"2\" style=\"padding-right: 15px\">Klientenkonto:</th>\n";
  echo "<td>\n<table><tr>\n";
  echo "<td><input type=\"radio\" name=\"klientenkonto\" ";
  echo "value=\"0\" $erg_check1 /></td><th>Spesen</th></tr></table></td>\n";
  echo "<td><table><tr>\n";
  echo "<td><input type=\"radio\" name=\"klientenkonto\" ";
  echo "value=\"1\" $erg_check2 /></td>\n";
  echo "<th>Handgeld</th><td>(Klientenkonto wird am 1.1. Nullgesetzt)</td>";
  echo "</tr></table></td></tr>\n";
  $erg = intval( getConf("klientenkonto2") );
  $erg_check = $erg ? 'checked="checked"' : '';
  $kk2val = getConf("kk2val");
  echo "<tr><th colspan=\"30\"><input type=\"checkbox\" $erg_check value=\"1\" name=\"klientenkonto2\"> &nbsp;";
  echo "2. Klientenkonto in H&ouml;he von <input type=\"text\" value=\"".geld_form_formular($kk2val)."\" ";
  echo "name=\"kk2val\" size=\"7\" style=\"text-align:right\" maxlength=\"7\"> &euro; monatlich</th></tr>\n";

  //Elternzeit ausblenden, falls Zeitraum innerhalb von 3 oder mehr Kalendermonaten
  new stwTabLine(1,30);
  echo "<tr>\n<th style=\"padding-right: 15px\">Elternzeiten, deren Zeitraum innerhalb von 3<br>oder mehr Kalendermonaten liegen, ausblenden :</th>\n";

  $ez3monVerbergen=getConf("ez3monVerbergen");

  echo "<td style=\"vertical-align:middle\">\n<table><tr><th>ja</th>\n";
  echo "<td><input type=\"radio\" name=\"ez3monVerbergen\" value=\"1\"";
  echo ($ez3monVerbergen == 1) ? ' checked' : '';
  echo "></td></tr></table></td>\n";

  echo "<td style=\"vertical-align:middle\">\n<table><tr><th>nein</th>\n";
  echo "<td><input type=\"radio\" name=\"ez3monVerbergen\" value=\"0\"";
  echo ($ez3monVerbergen == 0) ? ' checked' : '';
  echo "></td></tr></table></td>\n";
  echo "</tr>\n";

  /* Ende */
  new stwTabLine(1,30);

  echo "<tr><td colspan=\"3\"><input type=\"submit\" name=\"send_konf\" value=\"Speichern\" tabindex=\"99\"></tr>\n";
  echo "</table>\n";
  echo "<a name=\"pkwinzk\" />";
  echo "</form>\n";
}

new stwEnd($seite);
?>
