<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kont.php 2922 2018-12-04 13:00:08Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

$level = 10;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = $_REQUEST['st'];
$k_art = $_REQUEST['ka'];
$fr = (isset($_REQUEST['fr'])) ? $_REQUEST['fr'] : 1;
$self =$_SERVER['PHP_SELF'];

if (isset($_GET['csv'])) {
	require_once('inc/func.inc.php');
	$sql = "select a.ap_id, a.email, 
			k.kurzname, a.vorname, a.name,
			a.strasse, a.ort, a.plz,
			a.teldienst, a.telmobil, 
			k.name2, a.pos, k.telzentral,
			a.abt, a.fax,
			concat(left(a.vorname,1),left(a.name,1)) as initialen,
			a.notizen
			from tb_kontakte_ap a
			left join tb_kontakte k using(kont_id) 
			where a.csv='j' and a.aktiv='j' ";
	if($_GET['csv'] > 0) {
		$sql .= " and kont_id='{$_GET['csv']}' ";
		$kont = abfrage("select kurzname from tb_kontakte where kont_id='{$_GET['csv']}'");
	} else $kont[0] = 'kontakte';
	$sql .= "group by a.ap_id
			order by k.kurzname asc, k.name asc, k.name2 asc, a.name asc";
	$aps = abfrage1($sql);
	$sql = "select k.kont_id, k.email, 
			k.kurzname, k.name2, k.name,
			k.strasse, k.ort, k.plz,
			k.telzentral, k.asd,
			k.faxzentral,
			k.notizen
			from tb_kontakte k
			where k.csv='j' and k.kh_id='0' ";
	if($_GET['csv'] > 0) $sql .= " and kont_id='{$_GET['csv']}' ";
	$sql .= "group by k.kont_id order by k.kurzname asc, k.name asc, k.name2 asc";
	$konts = abfrage1($sql);
	if(mysql_num_rows($aps) > 0 || mysql_num_rows($konts) > 0) {
		$filename = "php://output";
		$fp = fopen($filename, "w");
		if ($fp) {
			header("Content-Type: application/octet-stream");
			$date = date('Ymj');
			$save_as_name = basename($kont[0] . '_' . $date . ".csv");
			header("Content-Disposition: attachment; filename=\"$save_as_name\"");
			$value = array('ExternalEmailAddress','Name','FirstName','LastName','StreetAddress','City','StateorProvince','PostalCode','Phone','MobilePhone','Pager','HomePhone','Company','Title','OtherTelephone','Department','CountryOrRegion','Fax','Initials','Notes','Office','Manager');
			fputcsv($fp, $value, ',');
			while($ap = mysql_fetch_array($konts)) {
				$value = array();
				$value[] = $ap['email'];
				$value[] = $ap['kurzname'] . ' ' . $ap['name2'] . ' ' . $ap['name'];
				$value[] = $ap['name2'];
				$value[] = $ap['name'];
				$value[] = $ap['strasse'];
				$value[] = $ap['ort'];
				$value[] = '';
				$value[] = $ap['plz'];
				$value[] = $ap['telzentral'];
				$value[] = '';
				$value[] = '';
				$value[] = '';
				$value[] = $ap['name2'];
				$value[] = $ap['asd'];
				$value[] = '';
				$value[] = '';
				$value[] = 'Deutschland';
				$value[] = $ap['faxzentral'];
				$value[] = $ap['kurzname'];
				$value[] = str_replace(array("\r\n", "\r", "\n"), ' ', str_replace(',',';',$ap['notizen']));
				$value[] = $ap['kurzname'];
				$value[] = '';
				fputcsv($fp, $value, ',');
			}
			while($ap = mysql_fetch_array($aps)) {
				$value = array();
				$value[] = $ap['email'];
				$value[] = $ap['kurzname'] . ' ' . $ap['name'] . ', ' . $ap['vorname'];
				$value[] = $ap['vorname'];
				$value[] = $ap['name'];
				$value[] = $ap['strasse'];
				$value[] = $ap['ort'];
				$value[] = '';
				$value[] = $ap['plz'];
				$value[] = $ap['teldienst'];
				$value[] = $ap['mobil'];
				$value[] = '';
				$value[] = '';
				$value[] = $ap['name2'];
				$value[] = $ap['pos'];
				$value[] = $ap['telzentral'];
				$value[] = $ap['abt'];
				$value[] = 'Deutschland';
				$value[] = $ap['fax'];
				$value[] = $ap['initialen'];
				$value[] = str_replace(array("\r\n", "\r", "\n"), ' ', str_replace(',',';',$ap['notizen']));
				$value[] = $ap['kurzname'];
				$value[] = '';
				fputcsv($fp, $value, ',');
			}
			fclose($fp);
		}
	}
	exit(0);
}

require('inc/stw.inc.php');
require('inc/kont_rechte.inc.php');

if(isset($_POST['saveNrKr']) && isset($_POST['nrkreis']) && is_array($_POST['nrkreis'])) {
	foreach($_POST['nrkreis'] as $kont_id => $nrkreis) {
		abfrage2("update tb_kontakte set nrkreis='$nrkreis' where kont_id='$kont_id'");
	}
}

$ulv = $_SESSION[$AppCode]['ULV'];
$all = (isset($_GET['all'])) ? $_GET['all'] : 0;
$lom = (isset($_GET['lom'])) ? $_GET['lom'] : 0;
$sort = (isset($_GET['sort'])) ? $_GET['sort'] : 'kurz';
if(isset($_GET['nrkr'])) $_SESSION[$AppCode]['kontNrKr'] = $_GET['nrkr'];
if (isset($rvar_and)) {
	/* Kurzname vorhanden */
	if (!isset($rvar_kurzname) || empty($rvar_kurzname)) {
		$kname = "";
	} else {
		$kname = $rvar_kurzname;
  }

  /* Datum pruefen wenn vorhanden */
  if (isset($rvar_kmp_datum)) {
  	$kmpdat = date_gr2my(check_date($rvar_kmp_datum, 1));
  }

  if (isset($rvar_hpv_form_datum)) {
  	$hpvdat = date_gr2my(check_date($rvar_hpv_form_datum, 1));
  }

  if (isset($rvar_fz_kapp_modus)) {
  	$fzkdat = date_gr2my(check_date($rvar_fz_kapp_datum, 1));
  }

  if($rvar_kh_id == 'new') {
	$sql = "INSERT INTO tb_kont_hilfeart SET kont_id='$rvar_kont_id', hilfeart_id='$rvar_hilfeart_id', ust='$rvar_ust',
			von='".date_gr2my(check_date($rvar_khvon,1))."', bis='".date_gr2my(check_date($rvar_khbis,1))."', ab_mod='$rvar_ab_mod';";
	abfrage2($sql);
	$kh_id = mysql_insert_id();
	$sql = "SELECT kmg, kmg_ja_satz FROM tb_kontakte WHERE kont_id = '$rvar_kont_id' and kh_id='0'";
	$kmgeld = abfrage($sql);
	$sql = "SELECT kmg, kmsatz, datum FROM tb_kont_kmsatz WHERE kont_id = '$rvar_kont_id' AND kh_id='0'";
	$kmgs = abfrage1($sql);
	while($kmg = mysql_fetch_row($kmgs)) {
		abfrage2("INSERT INTO tb_kont_kmsatz SET kont_id='$rvar_kont_id', datum='$kmg[2]', kmg='$kmg[0]', kmsatz='$kmg[1]', kh_id='$kh_id'");
	}
	$sql = "SELECT stsatz, datum FROM tb_kont_stundensatz WHERE kont_id = '$rvar_kont_id' AND kh_id='0'";
	$stss = abfrage1($sql);
	while($sts = mysql_fetch_row($stss)) {
		abfrage2("INSERT INTO tb_kont_stundensatz SET kont_id='$rvar_kont_id', datum='$sts[1]', stsatz='$sts[0]', kh_id='$kh_id'");
	}
  } elseif($rvar_kh_id > 0) {
	$sql = "UPDATE tb_kont_hilfeart SET hilfeart_id='$rvar_hilfeart_id', ust='$rvar_ust', ab_mod='$rvar_ab_mod',
			von='".date_gr2my(check_date($rvar_khvon,1))."', bis='".date_gr2my(check_date($rvar_khbis,1))."',
			ab_modus='$rvar_ab_modus' WHERE kh_id='$rvar_kh_id';";
	abfrage2($sql);
	$kh_id = $rvar_kh_id;
  } else $kh_id = 0;

  /* SQL Anweisung zusammensetzen aus den uebergebenen Formulardaten */
  $sql = (empty($rvar_kont_id) || $rvar_kh_id == 'new') ? "INSERT INTO " : "UPDATE ";
  $sql .= "tb_kontakte SET kurzname = '$kname'";

  /* pruefen ob die einzelnen Eingabefelder ueberhaupt vorhanden sind */
  if (isset($rvar_farbe)) $sql .= ", farbe = '$rvar_farbe'";
  if (isset($rvar_name)) $sql .= ", name = '$rvar_name'";
  if (isset($rvar_name2)) $sql .= ", name2 = '$rvar_name2'";
  if (isset($rvar_strasse)) $sql .= ", strasse = '$rvar_strasse'";
  if (isset($rvar_plz)) $sql .= ", plz = '$rvar_plz'";
  if (isset($rvar_ort)) $sql .= ", ort = '$rvar_ort'";
  if (isset($rvar_telzentral)) $sql .= ", telzentral = '$rvar_telzentral'";
  if (isset($rvar_faxzentral)) $sql .= ", faxzentral = '$rvar_faxzentral'";
  if (isset($rvar_notizen)) $sql .= ", notizen = '$rvar_notizen'";
  if (isset($rvar_lieferbedingungen)) $sql .= ", lieferbedingungen = '$rvar_lieferbedingungen'";
  if (isset($rvar_kreditor)) $sql .= ", kreditor = '$rvar_kreditor'";

  if (isset($rvar_kont_art_id)) {
  	$sql .= ", kont_art_id = '$rvar_kont_art_id'";
  } elseif($rvar_kh_id == 'new') {
  	$sql .= ", kont_id = '$rvar_kont_id', kont_art_id = '0'";
	$sql .= ", kmg='$kmgeld[0]', kmg_ja_satz='$kmgeld[1]'";
  }

  if (isset($rvar_email)) $sql .= ", email = '$rvar_email'";
  if (isset($rvar_www)) $sql .= ", www = '$rvar_www'";
  if (isset($rvar_kmp)) $sql .= ", kmp = '$rvar_kmp'";
  if (isset($kmpdat)) $sql .= ", kmp_datum = '".$kmpdat."'";
  if (isset($rvar_zahlung)) $sql .= ", zahlung = '$rvar_zahlung'";
  if (isset($rvar_utitel)) $sql .= ", utitel = '$rvar_utitel'";
  if (isset($rvar_kdnr)) $sql .= ", kdnr = '$rvar_kdnr'";
  if (isset($rvar_nrkreis)) $sql .= ", nrkreis = '$rvar_nrkreis'";
  if (isset($rvar_ab)) $sql .= ", ab = '$rvar_ab'";
  if (isset($rvar_ab_modus)) $sql .= ", ab_modus = '$rvar_ab_modus'";
  if (isset($rvar_sig)) $sql .= ", sig = '$rvar_sig'";
  if (isset($rvar_aktiv)) $sql .= ", aktiv = '$rvar_aktiv'";
  if (isset($rvar_pauschFLS)) $sql .= ", pauschFLS = '$rvar_pauschFLS'";
  if (isset($rvar_pauschVuN)) $sql .= ", pauschVuN = '$rvar_pauschVuN'";
  if (isset($rvar_k_fls_soll)) $sql .= ", k_fls_soll = '$rvar_k_fls_soll'";
  if (isset($rvar_k_fls_soll)) $sql .= ", fls_fz = '$rvar_fls_fz'";
  if (isset($rvar_asd)) $sql .= ", asd = '$rvar_asd'";
  if (isset($rvar_hpv_form)) $sql .= ", hpv_form = '$rvar_hpv_form'";
  if (isset($hpvdat)) $sql .= ", hpv_form_datum = '$hpvdat'";
  if (isset($rvar_k_kapp_neg)) $sql .= ", k_kapp_neg = '$rvar_k_kapp_neg'";

  if (isset($rvar_k_kapp_neg_wert)){
  	$sql .= ", k_kapp_neg_wert = '$rvar_k_kapp_neg_wert'";
  }

  if (isset($rvar_k_kapp_pos)) $sql .= ", k_kapp_pos = '$rvar_k_kapp_pos'";
  if (isset($rvar_k_kapp_pos_wert)){
  	$sql .= ", k_kapp_pos_wert = '$rvar_k_kapp_pos_wert'";
  }

  if (isset($rvar_fz_kapp_modus)) {
  	$sql .= ", fz_kapp_modus = '$rvar_fz_kapp_modus'";
  }
  if (isset($rvar_fz_kapp_modus)) $sql .= ", fz_kapp_datum = '$fzkdat'";
  if (isset($rvar_kontaktstunden)) $sql .= ", kontaktstunden = '$rvar_kontaktstunden'";
  if (isset($rvar_code_a)) $sql .= ", code_a = '$rvar_code_a'";
  if (isset($rvar_prozVuN)) {
	$kmgp = ($rvar_kmgeldpauschale == 'j') ? 'j' : 'n';
	$sql .= ", kmgpauschale='$kmgp', prozVuN = '$rvar_prozVuN'";
	$codeVuN = '';
	if (isset($rvar_codeVuN) && is_array($rvar_codeVuN)) {
		foreach($rvar_codeVuN as $code) $codeVuN .= $code;
	}
	$sql .= ", codeVuN = '$codeVuN'";
  }
  if (isset($rvar_rund_prozVuN)) $sql .= ", rund_prozVuN = '$rvar_rund_prozVuN'";
  $sql .= (empty($rvar_kont_id) || $rvar_kh_id == 'new') ? ", kh_id = '$kh_id';" : " WHERE kont_id = '$rvar_kont_id' AND kh_id = '$rvar_kh_id'";

  abfrage2($sql);

  if($ulv >= 97) {
	if(isset($_POST['AGText']) && is_array($rvar_AGText)) {
		foreach($rvar_AGText as $id => $val) {
			abfrage2("update tb_hpv_form set agtext='$val' where hpv_form='$id'");
		}
	}
  }
}

if(isset($_POST['zg_id'])) {
	$von_ts = 0;
	if(empty($rvar_khvon)) $von = "0000-00-00";
	else {
		$von_ts = date_gr2ts(check_date($rvar_khvon,1));
		$von = date("Y-m-01",$von_ts);
	}
	if(empty($rvar_khbis)) $bis = "0000-00-00";
	else {
		$bis_ts = date_gr2ts(check_date($rvar_khbis,1));
		if($bis_ts < $von_ts) $bis = "0000-00-00";
		else $bis = date("Y-m-t",$bis_ts);
	}
	$sql = $_POST['zg_id']=='new' ? 'INSERT INTO' : 'UPDATE';
	$sql .= " tb_zahlungsgruppe SET name='$rvar_name', nrkreis='$rvar_nrkreis',
			von='$von', bis='$bis', kont_id_rechnung='$rvar_kont_id_rechnung'";
	if($_POST['zg_id']!='new') $sql .= " where zg_id='$rvar_zg_id'";
	abfrage2($sql);
	if($_POST['zg_id']=='new') $rvar_zg_id = mysql_insert_id();

	if($_POST['kontakt'] > 0) {
		$sql = "replace into tbh_zg_kont set zg_id='$rvar_zg_id', kont_id='$rvar_kontakt'";
		abfrage2($sql);
	}
	if($_POST['hilfeart'] > 0) {
		$sql = "replace into tbh_zg_ha set zg_id='$rvar_zg_id', hilfeart_id='$rvar_hilfeart'";
		abfrage2($sql);
	}
}
if(isset($_GET['remK'])) {
	$sql = "delete from tbh_zg_kont where zg_id='$rvar_zg_id' and kont_id='$rvar_remK'";
	abfrage2($sql);
}
if(isset($_GET['remH'])) {
	$sql = "delete from tbh_zg_ha where zg_id='$rvar_zg_id' and hilfeart_id='$rvar_remH'";
	abfrage2($sql);
}

if(isset($rvar_xy)) {
	if($_GET['xy'] > 0) {
		abfrage2("delete from tbh_zg_ha where zg_id='$rvar_xy'");
		abfrage2("delete from tbh_zg_kont where zg_id='$rvar_xy'");
		abfrage2("delete from tb_zahlungsgruppe where zg_id='$rvar_xy'");
	}
	echo "<table><tr>";
	echo "<td class=\"cl11\"><input type=\"button\" value=\"neue Sammelrechnung\" ";
	echo "onClick=\"self.location.href='kont.php?ka=1&st=5&zg_id=new'\"></td></tr></table>\n";
	new stwLine(2);
	echo "<table>\n";
	$res = abfrage1("select * from tb_zahlungsgruppe order by von desc, name asc");
	if(mysql_num_rows($res) > 0) {
		echo "<tr><th class=\"cl1\">Name</th>\n";
		echo "<th class=\"cl1\">von</th>\n";
		echo "<th class=\"cl1\">bis</th>\n";
		echo "<th class=\"cl1\">Kontakte</th>\n";
		echo "<th class=\"cl1\">Hilfearten</th>\n";
		echo "</tr>\n";
		new stwTabLine(2,30);
	}
	while($row = mysql_fetch_array($res)) {
		echo "<tr><td class=\"cl11\"><a href=\"kont.php?ka=1&st=5&zg_id=$row[0]\"";
		$sql = "select zg_id, name from tb_zahlungsgruppe
				where zg_id!='$row[0]' ";
		if($row['von'] != '0000-00-00') $sql .= "and (bis>='{$row['von']}' or bis='0000-00-00') ";
		if($row['bis'] != '0000-00-00') $sql .= "and (von<='{$row['bis']}')";
		$doppels = abfrage1($sql);
		$error = '';
		while($doppel = mysql_fetch_row($doppels)) {
			$sql = "select h.hilfeart from tb_hilfeart h
					left join tbh_zg_ha z1 on (h.hilfeart_id = z1.hilfeart_id and z1.zg_id = '$row[0]')
					left join tbh_zg_ha z2 on (h.hilfeart_id = z2.hilfeart_id and z2.zg_id = '$doppel[0]')
					where z1.zg_id IS NOT NULL and z2.zg_id IS NOT NULL";
			$has = abfrage1($sql);
			$sql = "select k.kurzname from tb_kontakte k
					left join tbh_zg_kont z1 on (k.kont_id=z1.kont_id and z1.zg_id = '$row[0]')
					left join tbh_zg_kont z2 on (k.kont_id=z2.kont_id and z2.zg_id = '$doppel[0]')
					where z1.zg_id IS NOT NULL and z2.zg_id IS NOT NULL";
			$konts = abfrage1($sql);
			if(mysql_num_rows($has) > 0 && mysql_num_rows($konts) > 0) {
				$error .= "Dopplung mit $doppel[1] - bitte korrigieren!<br>";
				continue;
			}
		}
		if(empty($row['name'])) echo " style=\"color:red\">- LEER -";
		elseif(!empty($error)) echo stwToolTip($error,0) . "style=\"color:red\">".$row['name'];
		else echo ">".$row['name'];
		echo "</a></td><td class=\"cl11\">";
		if($row['von'] != '0000-00-00') echo date_my2gr($row['von']);
		echo "</td><td class=\"cl11\">";
		if($row['bis'] != '0000-00-00') echo date_my2gr($row['bis']);
		echo "</td><td class=\"cl11\">";
		$komma = '';
		$konts = abfrage1("select k.kurzname from tbh_zg_kont z
							left join tb_kontakte k on (k.kont_id=z.kont_id and k.kh_id=0)
							where z.zg_id='$row[0]' order by k.kurzname asc;");
		while($kont = mysql_fetch_row($konts)) {
			echo $komma . $kont[0];
			$komma = ', ';
		}
		echo "</td><td class=\"cl11\">";
		$komma = '';
		$has = abfrage1("select h.hilfeart from tbh_zg_ha z 
						left join tb_hilfeart h using(hilfeart_id)
						where z.zg_id='$row[0]' order by h.hilfeart asc");
		while($ha = mysql_fetch_row($has)) {
			echo $komma . $ha[0];
			$komma = ', ';
		}
		echo "</td><td class=\"cl11\">";
		echo "<a href=\"kont.php?ka=1&st=5&xy=$row[0]\" style=\"color:red\"";
		echo stwToolTip("<b>Vorsicht!</b> Sammlung unwiederbringlich l&ouml;schen");
		echo ">X</a></td></tr>\n";
	}
	echo "</table>\n";
	new stwEnd($seite);
	exit(0);
}

if(isset($rvar_zg_id)) {
	$zg = abfrage_array("select * from tb_zahlungsgruppe where zg_id='$rvar_zg_id'");
	$ti = 1;
	echo "<form method=\"post\" action=\"kont.php?ka=$k_art&st=$seite\">\n";
	echo "<input type=\"hidden\" name=\"zg_id\" value=\"$rvar_zg_id\">\n";
	echo "<table>\n";
	echo "<tr><th>Name:</th>\n";
	echo "<td colspan=\"7\"><input type=\"text\" size=\"50\" name=\"name\" maxlength=\"100\" value=\"{$zg['name']}\" tabindex=\"$ti\" /></td>\n";
	$ti++;
	echo "</tr><tr>\n";
	echo "<th class=\"cl1\">g&uuml;tig ab:</th><td>";
	echo "<input type=\"text\" size=\"11\" maxlength=\"11\" name=\"khvon\"";
	echo "tabindex=\"$ti\" value=\""; $ti++;
	echo date_my2gr($zg['von']) . "\"></td>";
	echo "<td class=\"cl11\">(Monatserster)</td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">g&uuml;tig bis:</th><td>";
	echo "<input type=\"text\" size=\"11\" maxlength=\"11\" name=\"khbis\"";
	echo "tabindex=\"$ti\" value=\""; $ti++;
	echo date_my2gr($zg['bis']) . "\"></td>";
	echo "<td class=\"cl11\">(Monatsletzter)</td>";
	echo "</tr></table>\n";
	echo "<table>";
	echo "<tr><th colspan=\"2\" class=\"cl1\">Nummernkreis Rechnung:</th>";
	echo "<td colspan=\"3\"><input type=\"text\" name=\"nrkreis\" size=\"4\" maxlength=\"4\" ";
	echo "tabindex=\"$ti\" style=\"text-align:right\" value=\"{$zg['nrkreis']}\">"; $ti++;
	echo "0000</td></tr></table>\n";

	new stwLine(2);
	echo "<table><tr><th class=\"cl1\">zugeordnete Kontakte:</th>";
	echo "<td><select style=\"width:300px\" name=\"kontakt\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">neuen Kontakt hinzuf&uuml;gen</option>\n";
	$konts = abfrage1("select kont_id, kurzname, name, name2
						from tb_kontakte
						where kont_art_id='1' and kh_id='0' and aktiv='j'
						and kont_id not in 
							(select kont_id from tbh_zg_kont where zg_id='$rvar_zg_id')
						order by kurzname asc, name asc;");
	while ($kont = mysql_fetch_row($konts)){
		echo "<option value=\"$kont[0]\"";
		if (strlen($kont[2]) > 0 || strlen($kont[3]) > 0) {
		  $title  = (strlen($kont[2]) > 0) ? $kont[2] : '';
		  $title .= (strlen($kont[2]) > 0 && strlen($kont[3]) > 0) ? ', ' : '';
		  $title .= (strlen($kont[3]) > 0) ? $kont[3] : '';
		  echo " title=\"$title\"";
		}
		echo '>' . $kont[1] . ' - ' . strCut($kont[2], 40) . "</option>\n";
	}
	echo "</select></td></tr></table>\n";
	echo "<table width=\"750\"><tr><td class=\"ww\">\n";
	$konts = abfrage1("select k.kont_id, k.kurzname, k.name, k.name2
						from tbh_zg_kont z
						left join tb_kontakte k on (k.kont_id=z.kont_id and k.kh_id=0)
						where z.zg_id='$rvar_zg_id'
						order by k.kurzname asc, k.name asc;");
	$komma = '';
	while($kont = mysql_fetch_row($konts)) {
		echo $komma . "<a href=\"$self?ka=$k_art&st=$seite&zg_id=$rvar_zg_id&remK=$kont[0]\"";
		$title  = (strlen($kont[2]) > 0) ? $kont[2] : '';
		$title .= (strlen($kont[2]) > 0 && strlen($kont[3]) > 0) ? ', ' : '';
		$title .= (strlen($kont[3]) > 0) ? $kont[3] : '';
		echo stwToolTip("<b>$title</b><br>Klicken, um $kont[1] aus Zusammenstellung zu l&ouml;schen");
		echo ">$kont[1]</a>";
		$komma = ', ';
	}
	echo "</td></tr></table>\n";
	echo "<table><tr><th class=\"cl1\">Rechnungsadresse:</th>";
	echo "<td><select style=\"width:300px\" name=\"kont_id_rechnung\">\n";
	echo "<option value=\"0\">bitte Kontakt w&auml;hlen</option>\n";
	$konts = abfrage1("select k.kont_id, k.kurzname, k.name, k.name2
						from tbh_zg_kont z
						left join tb_kontakte k on (k.kont_id=z.kont_id and k.kh_id=0)
						where z.zg_id='$rvar_zg_id'
						order by k.kurzname asc, k.name asc;");

	while ($kont = mysql_fetch_row($konts)){
		echo "<option value=\"$kont[0]\"";
		if (strlen($kont[2]) > 0 || strlen($kont[3]) > 0) {
		  $title  = (strlen($kont[2]) > 0) ? $kont[2] : '';
		  $title .= (strlen($kont[2]) > 0 && strlen($kont[3]) > 0) ? ', ' : '';
		  $title .= (strlen($kont[3]) > 0) ? $kont[3] : '';
		  echo " title=\"$title\"";
		}
		if($kont[0]==$zg['kont_id_rechnung']) echo " selected";
		echo '>' . $kont[1] . ' - ' . strCut($kont[2], 40) . "</option>\n";
	}
	echo "</select></td></tr></table>\n";

	new stwLine(2);
	echo "<table><tr><th class=\"cl1\">zugeordnete Hilfearten:</th>";
	echo "<td><select style=\"width:300px\" name=\"hilfeart\" onchange=\"this.form.submit()\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option value=\"0\">neue Hilfeart hinzuf&uuml;gen</option>\n";
	$has = abfrage1("select hilfeart_id, hilfeart, beschreibung from tb_hilfeart 
					where aktiv='j' and hilfeart_id not in 
						(select hilfeart_id from tbh_zg_ha where zg_id='$rvar_zg_id')
					order by hilfeart asc");
	while($ha = mysql_fetch_row($has)){
		echo "<option value=\"$ha[0]\">$ha[1] - $ha[2]</option>\n";
	}
	echo "</select></td></tr></table>\n";
	echo "<table width=\"750\"><tr><td class=\"ww\">\n";
	$has = abfrage1("select h.hilfeart_id, h.hilfeart, h.beschreibung 
					from tbh_zg_ha z 
					left join tb_hilfeart h using(hilfeart_id)
					where z.zg_id='$rvar_zg_id'
					order by h.hilfeart asc");
	$komma = '';
	while($ha = mysql_fetch_row($has)) {
		echo $komma . "<a href=\"$self?ka=$k_art&st=$seite&zg_id=$rvar_zg_id&remH=$ha[0]\"";
		echo stwToolTip("<b>$ha[2]</b><br>Klicken, um $ha[1] aus Zusammenstellung zu l&ouml;schen");
		echo ">$ha[1]</a>";
		$komma = ', ';
	}
	echo "</td></tr></table>\n";
	new stwLine(1);
	echo "<table width=\"750\"><tr>";
	echo "<td><input type=\"submit\" value=\"speichern\" /></td>\n";
	echo "<td style=\"text-align:right\"><input type=\"submit\" name=\"xy\" value=\"Speichern und zur&uuml;ck\" /></td>\n";
	echo "</tr></table>\n";
	echo "</form>\n";
	new stwEnd($seite);
	exit(0);
}


/* Abfrage fuer Liste aufbauen */
if (isset($rvar_suche)){
	$suche  = " where (k.kurzname like '%$rvar_suche%' ";
	$suche .= "or k.name like '%$rvar_suche%' or k.name2 like '%$rvar_suche%' ";
	$suche .= "or k.strasse like '%$rvar_suche%' or k.ort like '%$rvar_suche%' ";
	$suche .= "or k.notizen like '%$rvar_suche%') ";
} else {
  /* alle anderen Kontakte nach Kontaktkategorie */
	$suche = " where k.kont_art_id = '$k_art' ";
	if ($all != 1) $suche .= "and k.aktiv = 'j' ";
	if ($lom == 1) $suche .= "and ap.lom = 'j' ";
}

$sql  = "select distinct k.kont_id, k.kurzname, k.name, k.plz, k.ort, ";
$sql .= "k.telzentral, k.faxzentral, k.email, k.kont_art_id, k.name2, k.aktiv, ";
$sql .= "k.www, k.nrkreis, k.ab from tb_kontakte k ";
$sql .= "left join tb_kontakte_ap ap on k.kont_id = ap.kont_id ";
if($sort == 'lom') $sql .= "left join tb_lom_ap la on ap.ap_id = la.ap_id ";
$sql .= $suche;
switch($sort) {
	case 'lom':
		$sql .= "order by la.datum desc, k.kurzname asc;";
		break;
	case 'ort':
		$sql .= "order by k.ort asc, k.kurzname asc;";
		break;
	case 'plz':
		$sql .= "order by k.plz asc, k.kurzname asc;";
		break;
	case 'nrkr':
		$sql .= "order by k.nrkreis asc, k.kurzname asc;";
		break;
	case 'name':
		$sql .= "order by k.name asc, k.kurzname asc;";
		break;
	default:
		$sql .= "order by k.kurzname asc;";
}
$res = abfrage1($sql);

echo "<table><tr>\n";
echo "<form action=\"$self?ka=$k_art&st=$seite&all=$all\" method=\"post\">\n";

echo "<td><input type=\"text\" name=\"suche\" size=\"20\"";
if (isset($rvar_suche)) echo " value=\"$rvar_suche\"";
echo "></td><td class=\"cl1\"><input type=\"image\" src=\"img/senden.png\">\n";
echo "</form>\n";

echo "<td class=\"cl1\"><input type=\"button\" value=\"LOM\" ";
echo "onClick=\"self.location.href='$self?ka=$k_art&st=$seite&fr=$fr&all=$all&lom=1'\"></td>\n";

if ($_GET['all'] == 1){
	$all_txt = 'nur aktive anzeigen';
	$all_url = "$self?ka=$k_art&st=$seite&fr=$fr&lom=$lom";
} else {
	$all_txt = 'alle anzeigen';
	$all_url = "$self?ka=$k_art&st=$seite&fr=$fr&all=1";
}

echo "<td class=\"cl11\"><input type=\"button\" value=\"$all_txt\" ";
echo "onClick=\"self.location.href='$all_url'\"></td>\n";

$recht = array(1 => 53, 2 => 54, 3 => 55, 4 => 56, 5 => 58);
$permission = check_nutzer_rechte($recht[$k_art]);

if ($permission) {
	echo "<td class=\"cl11\"><input type=\"button\" value=\"neuer Kontakt\" ";
	echo "onClick=\"self.location.href='kont_and.php?";
	echo "ka=$k_art&st=$seite&fr=$fr'\"></td>\n";
}
if ($_SESSION[$AppCode]['ULV'] >= 96) {
	echo "<td class=\"cl11\"><input type=\"button\" value=\"Sozialr&auml;ume\" ";
	echo "onClick=\"self.location.href='kont_and.php?";
	echo "sozialraum=1'\"></td>\n";

	echo "<td class=\"cl11\"><input type=\"button\" value=\"Sammelrechnungen\" ";
	echo "onClick=\"self.location.href='kont.php?ka=1&st=5&xy=0'\"></td>\n";
}

echo "</tr></table>\n";
new stwLine(1);

if ($k_art == 6){
  echo "<table>\n<tr>\n";

  $frs = abfrage1("select id, name from tb_kontakte_fr order by sort;");

  while ($row = mysql_fetch_row($frs)){
    echo "<td class=\"";
    echo ($fr == $row[0]) ? 'menuactive' : 'menuinactive';
    echo "\"><a href=\"$self?ka=$k_art&st=$seite&fr=$row[0]\">$row[1]</td>\n";
  }
  echo "</tr></table>\n";
  new stwLine(1);
}

$link = "$self?all=$all&ka=$k_art&st=$seite&fr=$fr&lom=$lom&sort";
if(check_nutzer_rechte(135) && $_SESSION[$AppCode]['kontNrKr']) {
	echo "<form method=\"post\" action=\"$link=$sort\">\n";
}
echo "<table>\n";
if (isset($rvar_suche) && mysql_num_rows($res) > 0){
	echo "<tr><th style=\"color:red\" colspan=\"10\">Kontakte:</th></tr>\n";
	new stwTabLine(2,30);
}
echo "<tr>\n";
echo "<th><a href=\"$link=kurz\">K&uuml;rzel</a></th>\n";
echo "<th><a href=\"$link=name\">Name</a></th>\n";
echo "<th><a href=\"$link=plz\">PLZ</a></th>\n";
echo "<th><a href=\"$link=ort\">Ort</a></th>\n";
if(check_nutzer_rechte(135)) {
	if($_SESSION[$AppCode]['kontNrKr']) {
		echo "<th>Rechn.</th>\n";
	}
	echo "<th><a href=\"$link=nrkr&nrkr=1\"";
	echo stwToolTip("Rechnungs-Nummernkreis");
	if($_SESSION[$AppCode]['kontNrKr']) echo ">NrKr";
	else echo " style=\"color:grey\">ReKr";
	echo "</a><sup><a href=\"$link=";
	if($_SESSION[$AppCode]['kontNrKr']) echo "kurz&nrkr=0\"> &minus;";
	else echo "nrkr&nrkr=1\" style=\"color:grey\"> +";
	echo "</a></sup></th>\n";
} else echo "<td />";
echo "<th>Telefon</th>\n";
echo "<th>Fax</th>\n";
echo "<th".stwToolTip('Zielkategorien bearbeiten').">ZK</th>\n";
echo "<td>";
if($permission) {
	$csvs = abfrage1("select ap_id from tb_kontakte_ap where csv='j'");
	if(mysql_num_rows($csvs)==0) $csvs = abfrage1("select kont_id from tb_kontakte where csv='j'");
	if(mysql_num_rows($csvs)>0) {
		echo "<a href=\"$link=$sort&csv=0\"><image ";
		echo stwToolTip("Sachbearbeiter aller Jugend&auml;mter als CSV exportieren");
		echo "src=\"".image('handy')."\" /></a>\n";
	}
}
echo "</td>\n";
echo "<th colspan=\"2\"></th>\n";
if($lom) echo "<th><a href=\"$link=lom\">LOM-Ansprechpartner</a></th>\n";
echo "</tr>";
new stwTabLine(2,30);
while ($row = mysql_fetch_assoc($res)) {
	echo "<tr class=\"mo\">\n";
	echo "<td class=\"cl1\">";
	$page = k_art_seite($row[9]);
  echo "<a href=\"kont_and.php?kont_id={$row['kont_id']}&";
  echo "ka={$row['kont_art_id']}&st=$seite\"";
  if (empty($row['kurzname'])){
  	$style = " style=\"color:#FF0000\"";
  } elseif ($row['aktiv'] == 'n'){
  	$style = " style=\"color:#999999\"";
  	echo stwToolTip('nicht aktiv!');
  } else {
   	$style = '';
  }
  echo $style . '>' . (empty($row['kurzname']) ? "LEER!" : $row['kurzname']) ."</a></td>\n";
  echo "<td class=\"cl1\"";
  if (strlen($row['name2']) > 0) echo stwToolTip($row['name2']);
  echo '>' . strCut($row['name'], 30) . "</td>\n";
  echo "<td class=\"cl1\">{$row['plz']}</td>\n";
  echo "<td class=\"cl1\"";
  if(empty($_SESSION[$AppCode]['kontNrKr'])) echo " colspan=\"2\"";
  echo ">{$row['ort']}</td>\n";
  if(check_nutzer_rechte(135) && $_SESSION[$AppCode]['kontNrKr']) {
	$ab_mod = abfrage1("select ab_mod from tb_kont_hilfeart where ab_mod!='x' and kont_id='{$row['kont_id']}' group by ab_mod");
	if(mysql_num_rows($ab_mod) > 1) echo "<th style=\"text-align:center;color:red\">beide</th>";
	else {
		$abmod = mysql_fetch_row($ab_mod);
		if(mysql_num_rows($ab_mod) == 0 || $abmod[0]==$row['ab']) {
			if($row['ab'] == 'j') echo "<th style=\"text-align:center;\">Ja</th>";
			if($row['ab'] == 'n') echo "<th style=\"text-align:center;color:grey\">Nein</th>";
			if($row['ab'] == 'h') echo "<th style=\"text-align:center;color:green\">Abschl.</th>";
		} else echo "<th style=\"text-align:center;color:red\">beide</th>";
	}
	echo "<td class=\"cl1\"><input type=\"text\" size=\"4\" maxlength=\"4\" style=\"text-align:right\" ";
	echo "name=\"nrkreis[".$row['kont_id']."]\" value=\"{$row['nrkreis']}\" />0000</td>\n";
  }
  echo "<td class=\"cl1\">";
  if (!empty($row['telzentral'])) echo "Tel.&nbsp;";
  echo $row['telzentral'] . "</td>\n";
  echo "<td class=\"cl1\">";
  if (!empty($row['faxzentral'])) echo "Fax&nbsp;";
  echo $row['faxzentral'] . "</td>\n";
  echo "<td class=\"cl1\"><a href=\"zielkat.php?kont_id={$row['kont_id']}\"";
  $tt = 'Zielkategorien bearbeiten';
  $zks = abfrage1("select zielkategorie_id from tbh_kont_zielkategorie where kont_id='{$row['kont_id']}'");
  if(mysql_num_rows($zks) > 0) $hammer = image("hammer");
  else {
	$tt .= "<br>(noch keine Zielkategorien festgelegt)";
	$hammer = image("hammer",16,16,255,0,0);
  }
  echo stwToolTip($tt) . "><img src=\"$hammer\" /></a></td>\n";
  echo "<td>";
  if($permission) {
	$csvs = abfrage1("select ap_id from tb_kontakte_ap where kont_id='{$row['kont_id']}' and csv='j'");
	if(mysql_num_rows($csvs)==0) $csvs = abfrage1("select kont_id from tb_kontakte where kont_id='{$row['kont_id']}' and csv='j'");
	if(mysql_num_rows($csvs)>0) {
		echo "<a href=\"$link=$sort&csv={$row['kont_id']}\"><image ";
		echo stwToolTip("Sachbearbeiter von ".(empty($row['name']) ? $row['kurzname'] : $row['name'])." als CSV exportieren");
		echo "src=\"".image('handy')."\" /></a>\n";
	}
  }
  echo "</td>\n";
  echo "<td class=\"cl1\">";
  if (!empty($row['email'])) {
	$tt = stwToolTip($row['email']);
	echo "<a $tt href=\"mailto:{$row['email']}\">@</a>";
  }
  echo "</td>\n";
  echo "<td class=\"cl1\">";
  if(!empty($row['www'])) {
	$tt = stwToolTip($row['www']);
	$www = (substr($row['www'],0,4) == 'http') ? $row['www'] : "http://" . $row['www'];
	echo "<a href=\"$www\" $tt><img src=\"img/weltkugel.png\"></a>\n";
  }
  echo "</td>\n";

  if($lom) {
	echo "<td><table cellpadding=\"0\" cellspacing=\"0\">";
	$aps = abfrage1("select ap_id, vorname, name from tb_kontakte_ap where lom='j' and kont_id='{$row['kont_id']}'");
	while ($ap = mysql_fetch_row($aps)) {
		$lomap=abfrage("select unix_timestamp(datum), date_format(datum, '%d.%m.%Y'), notizen 
						from tb_lom_ap where ap_id='$ap[0]' order by datum desc");
		echo "<tr><td class=\"cl1\"".stwToolTip('Lom-Kontakt').">";
		echo "<a href=\"kont_ap_and.php?ap_id=$ap[0]&kont_id={$row['kont_id']}&ka={$row['kont_art_id']}&st=$seite\">";
		echo "$ap[1] $ap[2]</a></td>\n<td class=\"cl1\">";
		if($lomap[0] > 0) echo $lomap[1];
		$tt = (strlen($lomap[2]) > 20) ? stwToolTip($lomap[2]) : '';
		echo "</td><td $tt>" . strCut($lomap[2],20) . "</td></tr>\n";
	}
	echo "</table></td>\n";
  }

  /* Link zur Abfrageseite fuer Kontaktloeschung */
	if ($lom==0 && $ulv >= 97){
		echo "<td><a href=\"kont_del.php?kont_id={$row['kont_id']}&";
		echo "ka={$row['kont_art_id']}&st=$seite\"";
		echo "style=\"color: #F00;\"" . stwToolTip('Kontakt l&ouml;schen');
		echo ">X</a></td>\n";
	}

  echo "</tr>\n";
}
echo "</table>\n";
if(check_nutzer_rechte(135) && $_SESSION[$AppCode]['kontNrKr']) {
	new stwLine(2);
	echo "<table width=\"750\"><tr><td style=\"text-align:right\">\n";
	echo "<input type=\"submit\" name=\"saveNrKr\" value=\"Speichern\" onclick=\"return confirm('Nummernkreise wirklich ersetzen?')\" />";
	echo "</td></tr></table>\n";
	echo "</form>\n";
}

if (isset($rvar_suche) && mysql_num_rows($res) > 0){
	new stwLine(2);
}

if (isset($rvar_suche)) {
	$sql  = "select name, vorname, abt, pos, teldienst, telmobil, email, ap_id, ";
	$sql .= "kont_id, aktiv from tb_kontakte_ap where name like '%$rvar_suche%' ";
	$sql .= "or vorname like '%$rvar_suche%' or strasse like '%$rvar_suche%' ";
	$sql .= "or ort like '%$rvar_suche%' order by name asc;";
	$res = abfrage1($sql);

	if (mysql_num_rows($res) > 0) {
		echo "<table>";
		echo "<tr><th style=\"color:red\" colspan=\"10\">Personen:</th></tr>\n";
		new stwTabLine(2,30);
		while ($zeile = mysql_fetch_row($res)) {
			echo "<tr class=\"mo\">\n";
			echo "<td class=\"cl11\">";
			$vb = abfrage("select kont_id from tb_kontakte_ap where ap_id = $zeile[7]");
			if ($vb[0] > 0) {
				$id = $vb[0];
				$vc = abfrage("select kont_art_id, kurzname, name, name2 from tb_kontakte where kont_id = $vb[0]");
				$ka = $vc[0];
				$st = k_art_seite($vc[0]);
				$link = "kont_ap_and.php?ap_id=$zeile[7]&kont_id=$id&ka=$ka&st=$st";
			} else {
				$link = "personen_and.php?ap_id=$zeile[7]&st=24";
			}

			$style = ($zeile[9] == 'n') ? "style=\"color:#999999;\"".stwToolTip('nicht aktiv!') : '';
			echo "<a href=\"$link\" $style>$zeile[0]</a></td>\n";
			echo "<td class=\"cl11\">$zeile[1]</td>\n";
			echo "<td class=\"cl11\">$zeile[2]</td>\n";
			echo "<td class=\"cl11\">$zeile[3]</td>\n";
			echo "<td class=\"cl11\">$zeile[4]</td>\n";
			echo "<td class=\"cl11\">$zeile[5]</td>\n";
			echo "<td class=\"cl11\">";
			if(!empty($zeile[6])){
				echo "<a href=\"mailto:$zeile[6]\">@</a>";
			}
			echo "</td>\n";
			if ($vb[0] > 0){
				echo "<td><a href=\"kont_and.php?kont_id=$id&ka=$vc[0]&st=$page\">";
				echo "$vc[1]</a></td><td>$vc[2]</td><td>$vc[3]</td>\n";
			} else echo "<td colspan=\"3\"></td>";
			echo "</tr>\n";
			}
		echo "</table>\n";
	}
}
new stwLine(1);
new stwEnd($seite);
?>
