<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kont_del.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

$level = 10;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = $_REQUEST['st'];
$k_art = $_REQUEST['ka'];
//$fr = (isset($_REQUEST['fr'])) ? $_REQUEST['fr'] : 1;
$self =$_SERVER['PHP_SELF'];

require('inc/stw.inc.php');
require('inc/kont_rechte.inc.php');

$ulv = $_SESSION[$AppCode]['ULV'];

/* Entscheiden, ob Kontakt- oder Ansprechpartner-ID uebergeben wurde */
if ($_REQUEST['kont_id'] > 0){
	/* Kontakt soll geloescht werden */

	/* Kontaktdaten in einer Kopfzeile anzeigen */
	$sql  = "select kurzname, name, name2 from tb_kontakte ";
	$sql .= "where kont_id = '{$_REQUEST['kont_id']}' and kh_id = '0';";
	$kont = abfrage($sql);

	echo "<table align=\"center\">\n";
	echo "<tr><th class=\"cl1\">Kurzname:</th>\n";
	echo "<td class=\"cl20\">$kont[0]</td>\n";

	echo "<th class=\"cl1\">Name:</th>\n";
	echo "<td class=\"cl20\"";
	if (strlen($kont[1]) > 30){
		echo stwToolTip($kont[1]);
		echo '>' . strCut($kont[1], 30) . "</td>\n";
	} else {
		echo ">$kont[1]</td>\n";
	}

	echo "<th class=\"cl1\">Name 2:</th>\n";
	echo "<td class=\"cl20\"";
	if (strlen($kont[2]) > 30){
		echo stwToolTip($kont[2]);
		echo '>' . strCut($kont[2], 30) . "</td></tr>\n";
	} else {
		echo ">$kont[2]</td></tr>\n";
	}
	echo "</table>\n";
	new stwLine(1);
	/* Ende Kopfzeile und Kontaktdatenanzeige */


	/* Schritt 1 -> evtl. vorhandene Ansprechpartner dieses Kontaktes abfragen */
	$sql  = "select ap_id, name, vorname, aktiv from tb_kontakte_ap ";
	$sql .= "where kont_id = '{$_REQUEST['kont_id']}' ";
	$sql .= "order by name asc, vorname asc;";
	$aps = abfrage1($sql);


	/* Schritt 2 -> evtl. Posteingaenge des Kontaktes abfragen */
	$sql  = "select p.post_in_id, date_format(hp.datum, '%d.%m.%Y') as datum, ";
	$sql .= "p.betreff, pa.kurzname, pa.post_art from tb_post_eingang p ";
	$sql .= "left join tb_hp hp on p.hp_id = hp.hp_id ";
	$sql .= "left join tb_post_art pa on p.postart_id = pa.post_art_id ";
	$sql .= "where p.kont_id = '{$_REQUEST['kont_id']}' ";
	$sql .= "order by unix_timestamp(hp.datum) asc;";
	$pes = abfrage1($sql);


	/* Schritt 3 -> evtl. Postausgaenge des Kontaktes abfragen */
	$sql  = "select p.post_out_id, date_format(hp.datum, '%d.%m.%Y') as datum, ";
	$sql .= "p.betreff, pa.kurzname, pa.post_art from tb_post_ausgang p ";
	$sql .= "left join tb_hp hp on p.hp_id = hp.hp_id ";
	$sql .= "left join tb_post_art pa on p.postart_id = pa.post_art_id ";
	$sql .= "where p.kont_id = '{$_REQUEST['kont_id']}' ";
	$sql .= "order by unix_timestamp(hp.datum) asc;";
	$pas = abfrage1($sql);


	/* Schritt 4 -> direkte Projektzuordnungen des Kontaktes abfragen */
	$sql  = "select h.proj_id from tbh_kont_proj h ";
	$sql .= "left join tb_projekte p on h.proj_id = p.proj_id ";
	$sql .= "where h.kont_id = '{$_REQUEST['kont_id']}' ";
	$sql .= "order by p.projektnr asc;";
	$pks = abfrage1($sql);


	if (mysql_num_rows($aps) > 0 || mysql_num_rows($pes) > 0 ||
			mysql_num_rows($pas) > 0 || mysql_num_rows($pks) > 0){

		echo "<table align=\"center\">\n";
		echo "<tr><td class=\"frage\">";
		echo "Dieser Kontakt kann nicht gel&ouml;scht werden!</td></tr>\n";
		echo "</table>\n";


		if (mysql_num_rows($aps) > 0){
			/* Es gibt Ansprechpartner */

			new stwLine(2);
			echo "<table align=\"center\">\n";

			echo "<tr><th colspan=\"3\" style=\"text-align:center\">";
			echo "Es gibt verkn&uuml;pfte Ansprechpartner!</th></tr>\n";
			new stwTabLine(2,5);

			while ($ap = mysql_fetch_row($aps)){
				echo "<tr><td class=\"cl11\"><a href=\"kont_ap_and.php?ap_id=";
				echo $ap[0] . "&kont_id={$_REQUEST['kont_id']}&ka={$_REQUEST['ka']}";
				echo "&st={$_REQUEST['st']}\">$ap[1]</a></td>\n";

				echo "<td class=\"cl11\">$ap[2]</td>\n";

				if ($ulv >= 97 || check_nutzer_rechte($rid)){
					echo "<td><a href=\"kont_del.php?ap_id=$ap[0]&";
  				echo "ka={$_REQUEST['ka']}&st={$_REQUEST['st']}\"";
					echo "style=\"color: #F00;\"";
					echo stwToolTip('Anprechpartner l&ouml;schen');
					echo ">X</a></td>\n";
				}

				echo "</tr>\n";
			}

			echo "</table>\n";
		} /* Ende Liste Ansprechpartner */


		if (mysql_num_rows($pes) > 0){
			/* Es gibt Posteingang! */

			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"3\" style=\"text-align:center\">";
			echo "Es gibt verkn&uuml;pften Posteingang!</th></tr>\n";
			new stwTabLine(2,5);

			while ($pe = mysql_fetch_row($pes)){
				echo "<tr><td class=\"cl11\"><a href=\"post_in.php?post_id=";
				echo $pe[0] . "\">$pe[1]</a></td>\n";
				echo "<td class=\"cl11\"";
				echo stwToolTip($pe[4]) . ">$pe[3]</td>\n";
				echo "<td class=\"cl11\">$pe[2]</td>\n";
				echo "</tr>\n";
			}

			echo "</table>\n";

		} /* Ende Liste Posteingang */


		if (mysql_num_rows($pas) > 0){
			/* Es gibt Postausgang! */
			new stwLine(2);
			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"3\" style=\"text-align:center\">";
			echo "Es gibt verkn&uuml;pften Postausgang!</th></tr>\n";
			new stwTabLine(2,5);

			while ($pa = mysql_fetch_row($pas)){
				echo "<tr><td class=\"cl11\"><a href=\"post_out.php?post_id=";
				echo $pa[0] . "\">$pa[1]</a></td>\n";
				echo "<td class=\"cl11\"";
				echo stwToolTip($pa[4]) . ">$pa[3]</td>\n";
				echo "<td class=\"cl11\">$pa[2]</td>\n";
				echo "</tr>\n";
			}

			echo "</table>\n";
		} /* Ende Liste Postausgang */


		if (mysql_num_rows($pks) > 0){
			/* Es gibt direkte Projektverknuepfungen */

			new stwLine(2);
			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"3\" style=\"text-align:center\">";
			echo "Es gibt direkt verkn&uuml;pfte Projekte!</th></tr>\n";
			new stwTabLine(2,5);

			while ($pro = mysql_fetch_row($pks)){
				$projekt = new stwProjekt($pro[0]);
				echo "<tr><td class=\"cl11\"><a href=\"pro_daten.php?proj_id=";
				echo $pro[0] . "\">" . $projekt->nummer() . "</a></td>\n";
				echo "</tr>\n";
			}
		}

	} else {

		/* Es gibt keine verknuepften Daten -> Kontakt kann geloescht werden!
		 * Aber nur bei ausreichender Berechtigung!
		 */

		if ($ulv >= 97 || check_nutzer_rechte($rid)) {

			echo "<form action=\"kont_del_sql.php\" method=\"post\">\n";

			echo "<input type=\"hidden\" name=\"kont_del\" value=\"1\">\n";
			echo "<input type=\"hidden\" name=\"kont_id\" value=\"";
			echo $_REQUEST['kont_id'] . "\">\n";

			echo "<input type=\"hidden\" name=\"st\" value=\"{$_REQUEST['st']}\">\n";
			echo "<input type=\"hidden\" name=\"ka\" value=\"{$_REQUEST['ka']}\">\n";

			echo "<table align=\"center\">\n";

			echo "<tr><td class=\"frage\">";
			echo "Wollen Sie diesen Kontakt wirklich l&ouml;schen?</td></tr>\n";

			new stwTabLine(2,10);

			echo "<tr><td class=\"buttonzeile\">";
			echo "<input class=\"button\" type=\"submit\" ";
			echo "value=\"Ja, bitte l&ouml;schen!\">";

			echo "&nbsp;&nbsp;&nbsp;<input class=\"button\" type=\"reset\" ";
			echo "onClick=\"javascript:history.back()\" ";
			echo "value=\"Nein, zur&uuml;ck!\">";

			echo "</td></tr>\n";

			echo "</table>\n";
			echo "</form>\n";
		}
	}


} elseif ($_REQUEST['ap_id'] > 0){
	/* Anprechpartner bzw. Person soll geloescht werden */

	/* Daten des Ansprechpartners abfragen und anzeigen */
	$sql  = "select a.kont_id, k.kurzname, k.name as k_name, k.name2, ";
	$sql .= "a.name as a_name, a.vorname from tb_kontakte_ap a ";
	$sql .= "left join tb_kontakte k on a.kont_id = k.kont_id ";
	$sql .= "where a.ap_id = '{$_REQUEST['ap_id']}';";
	$ap = abfrage_assoc($sql);

	if ($ap['kont_id'] > 0){
		echo "<table align=\"center\">\n";
		echo "<tr><th class=\"cl11\">zugeordneter Kontakt:</th>\n";
		echo "<th class=\"cl1\">Kurzname:</th>\n";
		echo "<td class=\"cl20\">{$ap['kurzname']}</td>\n";

		echo "<th class=\"cl1\">Name:</th>\n";
		echo "<td class=\"cl20\"";
		if (strlen($ap['k_name']) > 30){
			echo stwToolTip($ap['k_name']);
			echo '>' . strCut($ap['k_name'], 30) . "</td>\n";
		} else {
			echo ">{$ap['k_name']}</td>\n";
		}

		echo "<th class=\"cl1\">Name 2:</th>\n";
		echo "<td class=\"cl20\"";
		if (strlen($ap['name2']) > 30){
			echo stwToolTip($ap['name2']);
			echo '>' . strCut($ap['name2'], 30) . "</td></tr>\n";
		} else {
			echo ">{$ap['name2']}</td></tr>\n";
		}
		echo "</table>\n";
		new stwLine(2);
		/* Ende Kopfzeile und Kontaktdatenanzeige */
	}

	echo "<table align=\"center\">\n";
	echo "<tr><th class=\"cl11\">zu l&ouml;schender Ansprechpartner:</th>\n";
	echo "<th class=\"cl1\">Name:</th>\n";
	echo "<td class=\"cl20\">{$ap['a_name']}</td>\n";

	echo "<th class=\"cl1\">Vorname:</th>\n";
	echo "<td class=\"cl20\">{$ap['vorname']}</td></tr>\n";

	echo "</table>\n";
	new stwLine(1);
	/* Ende Kopfzeile und Anprechpartnerdatenanzeige */


	/* Schritt 1 -> direkte Projektzuordnungen des Ansprechpartners abfragen */
	$sql  = "select proj_id from tb_projekte ";
	$sql .= "where ap_id = '{$_REQUEST['ap_id']}' order by projektnr asc;";
	$pks = abfrage1($sql);


	/* Schritt 2 -> evtl. Posteingaenge des Ansprechpartners abfragen */
	$sql  = "select p.post_in_id, date_format(hp.datum, '%d.%m.%Y') as datum, ";
	$sql .= "p.betreff, pa.kurzname, pa.post_art from tb_post_eingang p ";
	$sql .= "left join tb_hp hp on p.hp_id = hp.hp_id ";
	$sql .= "left join tb_post_art pa on p.postart_id = pa.post_art_id ";
	$sql .= "where p.ap_id = '{$_REQUEST['ap_id']}' ";
	$sql .= "order by unix_timestamp(hp.datum) asc;";
	$pes = abfrage1($sql);


	/* Schritt 3 -> evtl. Postausgaenge des Kontaktes abfragen */
	$sql  = "select p.post_out_id, date_format(hp.datum, '%d.%m.%Y') as datum, ";
	$sql .= "p.betreff, pa.kurzname, pa.post_art from tb_post_ausgang p ";
	$sql .= "left join tb_hp hp on p.hp_id = hp.hp_id ";
	$sql .= "left join tb_post_art pa on p.postart_id = pa.post_art_id ";
	$sql .= "where p.ap_id = '{$_REQUEST['ap_id']}' ";
	$sql .= "order by unix_timestamp(hp.datum) asc;";
	$pas = abfrage1($sql);


	/* Schritt 4 -> verknuepfte Hilfehistorieneintraege abfragen */
	$sql  = "select distinct hp.proj_id from tb_hp hp ";
	$sql .= "left join tb_projekte p using (proj_id) ";
	$sql .= "where hp.ap_id = '{$_REQUEST['ap_id']}' ";
	$sql .= "order by p.projektnr asc;";
	$hps = abfrage1($sql);


	/* Schritt 5 -> LOM-Einsaetze abfragen */
	$sql  = "select l.lom_id, date_format(t.von, '%d.%m.%Y') as datum, ";
	$sql .= "l.thema, l.pers_id, l.action ";
	$sql .= "from tb_lom l left join tb_termine t using (termin_id) ";
	$sql .= "where l.ap_id = '{$_REQUEST['ap_id']}';";
	$lms = abfrage1($sql);


	/* Schritt 6 -> Gruppenarbeiten abfragen */
	$sql  = "select g.ga_id, date_format(t.von, '%d.%m.%Y') as datum, ";
	$sql .= "a.ga_art, g.thema from tb_ga g ";
	$sql .= "left join tb_termine t on g.termin_id = t.termin_id ";
	$sql .= "left join tb_ga_art a on g.art_id = a.art_id ";
	$sql .= "where g.ap_id = '{$_REQUEST['ap_id']}';";
	$gas = abfrage1($sql);


	/* Schritt 7 -> Fundraising-Projekte abfragen */
	$sql  = "select proj_id from tbh_ap_proj ";
	$sql .= "where ap_id = '{$_REQUEST['ap_id']}';";
	$frp = abfrage1($sql);


	/* Schritt 8 -> Fundraising-Gruppen abfragen */
	$sql  = "select h.grp_id, g.name from tbh_ap_grp h ";
	$sql .= "left join tb_kontakte_grp g using (grp_id) ";
	$sql .= "where h.ap_id = '{$_REQUEST['ap_id']}';";
	$kgr = abfrage1($sql);


	if (mysql_num_rows($pks) > 0 || mysql_num_rows($pes) > 0 ||
			mysql_num_rows($pas) > 0 || mysql_num_rows($hps) > 0 ||
			mysql_num_rows($lms) > 0 || mysql_num_rows($gas) > 0 ||
			mysql_num_rows($frp) > 0 || mysql_num_rows($kgr) > 0) {


		echo "<table align=\"center\">\n";
		echo "<tr><td class=\"frage\">";
		echo "Dieser Ansprechpartner kann nicht gel&ouml;scht werden!</td></tr>\n";
		echo "</table>\n";


		/* Es gibt Datenbankverknuepfungen -> AP kann nicht geloescht werden.
		 * Die relevanten Daten werden ausgegeben.
		 */



		if (mysql_num_rows($pks) > 0){
			/* Es gibt direkte Projektverknuepfungen */

			new stwLine(2);
			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"3\" style=\"text-align:center\">";
			echo "Es gibt direkt verkn&uuml;pfte Projekte!</th></tr>\n";
			new stwTabLine(2,5);

			while ($pro = mysql_fetch_row($pks)){
				$projekt = new stwProjekt($pro[0]);
				echo "<tr><td class=\"cl11\"><a href=\"pro_daten.php?proj_id=";
				echo $pro[0] . "\">" . $projekt->nummer() . "</a></td>\n";
				echo "</tr>\n";
			}
		}


		if (mysql_num_rows($pes) > 0){
			/* Es gibt Posteingang! */

			new stwLine(2);
			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"3\" style=\"text-align:center\">";
			echo "Es gibt verkn&uuml;pften Posteingang!</th></tr>\n";
			new stwTabLine(2,5);

			while ($pe = mysql_fetch_row($pes)){
				echo "<tr><td class=\"cl11\"><a href=\"post_in.php?post_id=";
				echo $pe[0] . "\">$pe[1]</a></td>\n";
				echo "<td class=\"cl11\"";
				echo stwToolTip($pe[4]) . ">$pe[3]</td>\n";
				echo "<td class=\"cl11\">$pe[2]</td>\n";
				echo "</tr>\n";
			}
			echo "</table>\n";
		} /* Ende Liste Posteingang */


		if (mysql_num_rows($pas) > 0){
			/* Es gibt Postausgang! */
			new stwLine(2);
			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"3\" style=\"text-align:center\">";
			echo "Es gibt verkn&uuml;pften Postausgang!</th></tr>\n";
			new stwTabLine(2,5);

			while ($pa = mysql_fetch_row($pas)){
				echo "<tr><td class=\"cl11\"><a href=\"post_out.php?post_id=";
				echo $pa[0] . "\">$pa[1]</a></td>\n";
				echo "<td class=\"cl11\"";
				echo stwToolTip($pa[4]) . ">$pa[3]</td>\n";
				echo "<td class=\"cl11\">$pa[2]</td>\n";
				echo "</tr>\n";
			}

			echo "</table>\n";
		} /* Ende Liste Postausgang */


		/* HP-Historieneintraege mache ich zum Schluss ... :-P */
		if (mysql_num_rows($hps) > 0){
			/* es gibt verknuepfte HP-Historieneintraege */


			new stwLine(2);
			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"3\" style=\"text-align:center\">";
			echo "Es gibt Hilfeplanhistorieneintr&auml;ge in folgenden Projekten:";
			echo "</th></tr>\n";
			new stwTabLine(2,5);

			while ($pr = mysql_fetch_row($hps)){
				$projekt = new stwProjekt($pr[0]);
				echo "<tr><td class=\"cl11\"><a href=\"pro_daten.php?proj_id=";
				echo $pr[0] . "\">" . $projekt->nummer() . "</a></td>\n";
				echo "</tr>\n";
			}







		} /* Ende Auflistung HP-Historieneintraege */


		/* LOM-Einsaetze */
		if (mysql_num_rows($lms) > 0){
			/* es gibt verknuepfte LOM-Einsaetze */
			new stwLine(2);
			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"4\" style=\"text-align:center\">";
			echo "Es gibt verkn&uuml;pfte LOM-Eins&auml;tze!</th></tr>\n";
			new stwTabLine(2,5);

			while ($lom = mysql_fetch_assoc($lms)){
				echo "<tr><td class=\"cl11\"><a href=\"lom_and.php?lom_id=";
				echo $lom['lom_id'] . "\">" . $lom['datum'] . "</a></td>\n";
				echo "<td class=\"cl11\">" . $lom['thema'] . "</td>\n";
				echo "<td class=\"cl11\"" . stwToolTip(pers_name($lom['pers_id']));
				echo ">" . pers_kname($lom['pers_id']) . "</td>\n";
				echo "<td class=\"cl11\">" . lom_art($lom['action']) . "</td>\n";
				echo "</tr>\n";
			}
		} /* Ende Auflistung LOM-Einsaetze */


		/* Gruppenarbeiten */
		if (mysql_num_rows($gas) > 0){
			/* es gibt verknuepfte LOM-Einsaetze */
			new stwLine(2);
			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"3\" style=\"text-align:center\">";
			echo "Es gibt verkn&uuml;pfte Gruppenarbeiten!</th></tr>\n";
			new stwTabLine(2,5);

			while ($ga = mysql_fetch_assoc($gas)){
				echo "<tr><td class=\"cl11\"><a href=\"ga_and.php?ga_id=";
				echo $ga['ga_id'] . "\">" . $ga['datum'] . "</a></td>\n";
				echo "<td class=\"cl11\">" . $ga['ga_art'] . "</td>\n";
				echo "<td class=\"cl11\">" . $ga['thema'] . "</td>\n";
				echo "</tr>\n";
			}
		} /* Ende Auflistung LOM-Einsaetze */


		/* Fundraising-Projekte */
		if (mysql_num_rows($frp) > 0){
			/* Es gibt zugeordnete Fundraising-Projekte */

			new stwLine(2);
			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"3\" style=\"text-align:center\">";
			echo "Es gibt zugeordnete Fundraising-Projekte!</th></tr>\n";
			new stwTabLine(2,5);

			while ($pro = mysql_fetch_row($frp)){
				$projekt = new stwProjekt($pro[0]);
				echo "<tr><td class=\"cl11\"><a href=\"pro_daten.php?proj_id=";
				echo $pro[0] . "\">" . $projekt->nummer() . "</a></td>\n";
				echo "</tr>\n";
			}
		} /* Ende Auflistung Fundraising-Projekte */


		/* Kontakt-Gruppen */
		if (mysql_num_rows($kgr) > 0){
			/* Es gibt zugeordnete Kontaktgruppen */

			new stwLine(2);
			echo "<table align=\"center\">\n";
			echo "<tr><th colspan=\"2\" style=\"text-align:center\">";
			echo "Es gibt zugeordnete Kontaktgruppen!</th></tr>\n";
			new stwTabLine(2,5);

			while ($gr = mysql_fetch_row($kgr)){
				echo "<tr><td class=\"cl11\"><a href=\"kont_grp_mit.php?grp_id=";
				echo $gr[0] . "\">" . $gr[1] . "</a></td>\n";
				echo "</tr>\n";
			}
		} /* Ende Auflistung Kontaktgruppen */

		/* ---- Ende Auflistung moeglicher Datenverknuepfungen ---- */

	} else {

		/* Es gibt keine verknuepften Daten -> Ansprechp. kann geloescht werden!
		 * Aber nur bei ausreichender Berechtigung!
		 */

		if ($ulv >= 97 || check_nutzer_rechte($rid)) {

			echo "<form action=\"kont_del_sql.php\" method=\"post\">\n";

			echo "<input type=\"hidden\" name=\"ap_del\" value=\"1\">\n";
			echo "<input type=\"hidden\" name=\"ap_id\" value=\"";
			echo $_REQUEST['ap_id'] . "\">\n";

			echo "<input type=\"hidden\" name=\"st\" value=\"{$_REQUEST['st']}\">\n";

			if (isset($_REQUEST['ka'])){
				echo "<input type=\"hidden\" name=\"fr\" value=\"{$_REQUEST['ka']}\">\n";
			}

			if (isset($_REQUEST['fr'])){
				echo "<input type=\"hidden\" name=\"fr\" value=\"{$_REQUEST['fr']}\">\n";
			}


			echo "<table align=\"center\">\n";

			echo "<tr><td class=\"frage\">";
			echo "Wollen Sie diesen Ansprechpartner wirklich l&ouml;schen?</td></tr>\n";

			new stwTabLine(2,10);

			echo "<tr><td class=\"buttonzeile\">";
			echo "<input class=\"button\" type=\"submit\" ";
			echo "value=\"Ja, bitte l&ouml;schen!\">";

			echo "&nbsp;&nbsp;&nbsp;<input class=\"button\" type=\"reset\" ";
			echo "onClick=\"javascript:history.back()\" ";
			echo "value=\"Nein, zur&uuml;ck!\">";

			echo "</td></tr>\n";

			echo "</table>\n";
			echo "</form>\n";
		}
	}

}

new stwLine(1);
new stwEnd($seite);
?>
