<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kont_del_sql.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

require("inc/auth.inc.php");
require("inc/level.inc.php");

$st = $_POST['st'];

if ($_POST['kont_del'] == 1 && $_POST['kont_id'] > 0){

	$ka = $_POST['ka'];

	/* Kontakt loeschen und Stunden- / km-Saetze loeschen*/
	if (isset($_POST["kont_id"]) && intval($_POST["kont_id"])) {
		$kont_id = (int)$_POST["kont_id"];    
		$sql  = "delete from tb_kontakte ";
		$sql .= "where kont_id = '$kont_id';";
		abfrage2($sql);

		$sql = "delete from tb_kont_stundensatz 
				where kont_id = '$kont_id';";
		abfrage2($sql);

		$sql = "delete from tb_kont_kmsatz 
				where kont_id = '$kont_id';";
		abfrage2($sql);
	}
	$url = "kont.php?ka=$ka&st=$st";

} elseif ($_POST['ap_del'] == 1 && $_POST['ap_id'] > 0){
	if (isset($_POST["ap_id"]) && intval($_POST["ap_id"])) {
		$ap_id = (int)$_POST["ap_id"];    
		/* Ansprechpartner / Person loeschen */
		$sql  = "delete from tb_kontakte_ap ";
		$sql .= "where ap_id = '$ap_id' limit 1;";
		abfrage2($sql);
	}
	if (isset($_POST['ka'])){
		$url = "kont_and.php?ka={$_POST['ka']}&st=$st";
	} else {
		$url = "personen.php?st=$st";
		if (isset($_POST['fr'])) $url .= '&fr=' . $_POST['fr'];
	}
}

header("Location: $url");
?>
