<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: krankenkasse.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
session_start();
$seite = 4;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

if($ulv >= 65 || check_nutzer_rechte(9) || check_nutzer_rechte(10)) {

$k = $_GET['kk'];

/* An- und Abschalten des Krankenkassen-Dropdown */
if(isset($_POST['kk-dropdown'])) {
  abfrage2("update tb_konf set wert = '{$_POST['kk-dropdown']}' where name = 'krankenkasse';");
}

/* Loeschen */
if($ulv >= 97 && isset($_GET['del'])) {
  $sql = "delete from tb_krankenkasse where kk_id ='{$_GET['del']}' limit 1;";
  abfrage2($sql);
}

/* Es wurde gespeichert */
if(isset($_POST['kuerzel'])) {
  $kurz = $_POST['kuerzel'];
  $name = $_POST['name'];
  $kv = str_replace(',','.',$_POST['kv']);
  $rv = str_replace(',','.',$_POST['rv']);
  $av = str_replace(',','.',$_POST['av']);
  $pv = str_replace(',','.',$_POST['pv']);
  $iu = str_replace(',','.',$_POST['iu']);
  $u1 = str_replace(',','.',$_POST['u1']);
  $u2 = str_replace(',','.',$_POST['u2']);
  if(empty($_POST['update'])) {
    $sql = "SELECT * FROM tb_krankenkasse where kurzname = '$kurz';";
    $temp = abfrage1($sql);
    if(mysql_num_rows($temp) > 0){
      echo "<form action=\"$_SELF\" method=\"post\">\n";
      echo "<input type=\"hidden\" name=\"kuerzel\" value=\"$kurz\">\n";
      echo "<input type=\"hidden\" name=\"name\" value=\"$name\">\n";
      echo "<input type=\"hidden\" name=\"kv\" value=\"$kv\">";
      echo "<input type=\"hidden\" name=\"rv\" value=\"$rv\">";
      echo "<input type=\"hidden\" name=\"av\" value=\"$av\">";
      echo "<input type=\"hidden\" name=\"pv\" value=\"$pv\">";
      echo "<input type=\"hidden\" name=\"iu\" value=\"$iu\">";
      echo "<input type=\"hidden\" name=\"u1\" value=\"$u1\">";
      echo "<input type=\"hidden\" name=\"u2\" value=\"$u2\">";
      echo "<center><h1>Es existiert bereits ein Eintrag f&uuml;r $kurz!</h1>\n";
      echo "<h3>Soll der vorhandene Datensatz &uuml;berschrieben werden?</h3></center>\n";
      echo "<table width=\"100%\"><tr><td align=\"center\">";
      echo "<input type=\"Submit\" name=\"update\" value=\"Ja\">";
      echo "</td><td align=\"center\">";
      echo "<input type=\"Submit\" name=\"update\" value=\"Nein\">";
      echo "</td></tr></table></form>\n";
      new stwEnd($seite);
      exit(0);
    } else {
      abfrage2("INSERT INTO tb_krankenkasse SET
				kurzname = '$kurz', name = '$name', kv = '$kv', rv = '$rv',
				av = '$av', pv = '$pv', iu = '$iu', u1 = '$u1', u2 = '$u2';");
    }          
  } else {
    $k = $_POST['kuerzel'];
    if($_POST['update'] == "Ja") {
      abfrage2("UPDATE tb_krankenkasse SET name = '$name', kv = '$kv', 
				rv = '$rv', av = '$av', pv = '$pv', iu = '$iu',
				u1 = '$u1', u2 = '$u2' where kurzname = '$kurz';");
    }
  }
}

if(($_POST['update'] == "Nein") 
	|| (isset($_POST['kuerzel']) 
		&& strtolower(kurz) != strtolower(k))) {
  $kk = array(NULL,$kurz,$name,$kv,$rv,$av,$pv,$iu,$u1,$u2);
} else {
  $kk = abfrage("SELECT * FROM tb_krankenkasse where kurzname = '$k'");
  if(empty($kk)) $kk = abfrage("SELECT * FROM tb_krankenkasse order by kk_id desc limit 1");
  if(strtolower($k) != strtolower($kk[1])) {
    echo "<h3 style=\"color:red\">";
    echo empty($k) ? "Es" : "F&uuml;r $k";
    echo " liegt kein Datensatz vor. ";
    if(!empty($kk[1]))  
      echo "Das Formular wurde mit Daten von '$kk[1]' gef&uuml;llt.</h3>";
    $kk[1] = strtolower(substr($k,0,6));
    $kk[2] = $k;
  }
}
echo "<table><tr><td>\n";
echo "<table>\n";
echo "<form action=\"$_SELF\" method=\"post\">\n";
echo "<tr>\n";
echo "<th>Kurzname:&nbsp;</th>\n";
echo "<td>\n";
echo "<input type=\"text\" name=\"kuerzel\" size=\"7\" maxlength=\"6\" tabindex=\"1\" value=\"$kk[1]\">\n";
echo "</td></tr><tr>\n";
echo "<th>Name:</th>\n";
echo "<td>\n";
echo "<input type=\"text\" name=\"name\" size=\"30\" tabindex=\"2\" value=\"$kk[2]\">\n";
echo "</td></tr><tr>\n";
echo "<th>KV allgemein:</th>\n";
echo "<td>\n";
echo "<input type=\"text\" name=\"kv\" size=\"5\" tabindex=\"3\" value=\"$kk[3]\">&nbsp;%";
echo "</td></tr><tr>\n";
echo "<th>Rentenversicherung:</th>\n";
echo "<td>\n";
echo "<input type=\"text\" name=\"rv\" size=\"5\" tabindex=\"4\" value=\"$kk[4]\">&nbsp;%";
echo "</td></tr><tr>\n";
echo "<th>Arbeitslosenversicherung:</th>\n";
echo "<td>\n";
echo "<input type=\"text\" name=\"av\" size=\"5\" tabindex=\"5\" value=\"$kk[5]\">&nbsp;%";
echo "</td></tr><tr>\n";
echo "<th>Pflegeversicherung:</th>\n";
echo "<td>\n";
echo "<input type=\"text\" name=\"pv\" size=\"5\" tabindex=\"6\" value=\"$kk[6]\">&nbsp;%";
echo "</td></tr><tr>\n";
echo "<th>Insolvenzgeldumlage:</th>\n";
echo "<td>\n";
echo "<input type=\"text\" name=\"iu\" size=\"5\" tabindex=\"7\" value=\"$kk[7]\">&nbsp;%";
echo "</td></tr><tr>\n";
echo "<th>U1:</th>\n";
echo "<td>\n";
echo "<input type=\"text\" name=\"u1\" size=\"5\" tabindex=\"8\" value=\"$kk[8]\">&nbsp;%";
echo "</td></tr><tr>\n";
echo "<th>U2:</th>\n";
echo "<td>\n";
echo "<input type=\"text\" name=\"u2\" size=\"5\" tabindex=\"9\" value=\"$kk[9]\">&nbsp;%";
echo "</td></tr>\n";
new stwTabLine(2,2);
echo "<tr><td>\n";
echo "<input type=\"submit\" value=\"Speichern\">\n";
echo "</form>\n";
echo "</td></tr>\n";
if($ulv >= 97) {
  echo "<tr><td>&nbsp;</td></tr><tr><td colspan=\"2\">\n";
  echo "<form action=\"$_SELF\" method=\"post\">\n";
  echo "<table><tr><td colspan=\"2\" style=\"color:red\">\n";
  echo "<b>Krankenkassen-Auswahl in pers_and.php:</b>";
  echo "</td></tr><tr>\n";
  $k = getConf("krankenkasse");
  echo "<td><input type=\"radio\" name=\"kk-dropdown\" value=\"0\"";
  if($k==0) echo " checked";
  echo "> deaktiviert</td>";
  echo "<td><input type=\"radio\" name=\"kk-dropdown\" value=\"1\"";
  if($k==1) echo " checked";
  echo "> aktiviert</td>";
  echo "<td><input type=\"submit\" value=\"Speichern\"></td>\n";
  echo "</tr></table></form></td></tr>\n";
}
echo "</table>\n";
echo "</td><td style=\"padding-left:20px;\">\n";
echo "<table>\n";
echo "<tr><th>K&uuml;rzel</th><th>&nbsp;</th><th>Krankenkasse</th></tr>";
$kks = abfrage1("SELECT kurzname,name,kk_id FROM tb_krankenkasse order by kk_id asc");
while ($kr = mysql_fetch_row($kks)) {
	echo "<tr><th><a href=\"krankenkasse.php?kk=$kr[0]\">$kr[0]</a></th>\n";
	echo "<td></td><td>$kr[1]</td>\n";
	if($ulv >= 97) {
		echo "<td><a style=\"color:red\" href=\"krankenkasse.php?del=$kr[2]&kk=$kk[1]\"";
		echo stwToolTip('<b>VORSICHT!</b> Krankenkasse l&ouml;schen!');
		echo ">X</a></td>";
	}
	echo "</tr>\n";
}
echo "</table>\n";
echo "</td></tr></table>";
}
new stwEnd($seite);
?>
