<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: lom.php 2897 2018-10-24 15:16:23Z tfreudenberg $
 *
 */
session_start();
$seite = 33;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* verschiedene Checks und Funktionen */
require("inc/auth.inc.php");
require("inc/stw.inc.php");
require_once("inc/kal.inc.php");

set_session_url();
$pers_order = getPersOrder($seite);

/* Downloadobjekt initialisieren */
$daten = new stwDaten(17);

/* Zeit setzen fuer Daueranzeige */
$zeit = explode(" ",microtime()); // Zeitstempel inkl. Nanosekunden ermitteln
$zeit_start = $zeit[0] + $zeit[1]; // akt. Zeit speichern

$anz = isset($_GET['anz']) ? $_GET['anz'] : 'w1';
/* Aktionsfilter setzen */

/* abfragen, ob der aktuelle Benutzer eine persoenliche Einstellung fuer
 * den Aktionsfilter hinterlegt hat
*/
$sql  = "select lom_action from tb_pers_einst ";
$sql .= "where pers_id = '{$_SESSION[$AppCode]['UID']}';";
$pers_action = abfrage1($sql);
if (mysql_num_rows($pers_action) > 0)	$act_edit = 1; else $act_edit = 0;

/* Klassenbuch wurde gedruckt */
if(isset($_POST['print_id'])) {
	$sql = "UPDATE tb_lom SET ";
	if(empty($_POST['erledigt'])) $sql .= "print_id = NULL, print_dt = NULL ";
	else $sql .= "print_id = {$_POST['print_id']}, print_dt = now() ";
	$sql .= "WHERE lom_id = {$_POST['lom_id']}";
	abfrage2($sql);
}
/* ggf. persoenl. Einstellung fuer Aktionsfilter speichern */
if (isset($_REQUEST['pers_einst']) && $_REQUEST['pers_einst'] == 1){
	$sql  = ($act_edit == 1) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set pers_id = '{$_SESSION[$AppCode]['UID']}', ";
	$sql .= "lom_action = '{$_REQUEST['action']}'";

	if ($act_edit == 1){
		$sql .= " where pers_id = '{$_SESSION[$AppCode]['UID']}';";
	} else {
		$sql .= ';';
	}
	abfrage2($sql);
	$perseinst1col = 'lime';
} else $perseinst1col = '#CCC';


/* abfragen, ob der aktuelle Benutzer eine persoenliche Einstellung fuer
 * den Mitarbeiterfilter hinterlegt hat
*/
$sql  = "select lom_user from tb_pers_einst ";
$sql .= "where pers_id = '{$_SESSION[$AppCode]['UID']}';";
$pers_user = abfrage1($sql);
if (mysql_num_rows($pers_user) > 0)	$user_edit = 1; else $user_edit = 0;

/* ggf. persoenl. Einstellung fuer Aktionsfilter speichern */
if (isset($_REQUEST['pers_einst']) && $_REQUEST['pers_einst'] == 2){
	$sql  = ($user_edit == 1) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set pers_id = '{$_SESSION[$AppCode]['UID']}', ";
	$sql .= "lom_user = '{$_REQUEST['user']}'";

	if ($act_edit == 1){
		$sql .= " where pers_id = '{$_SESSION[$AppCode]['UID']}';";
	} else {
		$sql .= ';';
	}
	abfrage2($sql);
	$perseinst2col = 'lime';
} else $perseinst2col = '#CCC';


/* abfragen, ob der aktuelle Benutzer eine persoenliche Einstellung fuer
 * den Aktionsfilter hinterlegt hat
*/
$sql  = "select lom_action from tb_pers_einst ";
$sql .= "where pers_id = '{$_SESSION[$AppCode]['UID']}';";
$pers_action = abfrage($sql);

if (isset($_REQUEST['action'])){
	$actfilter = $_REQUEST['action'];
} elseif ($pers_action[0] > 0){
	$actfilter = $pers_action[0];
} else {
	$actfilter = 0;
}

/* Tenderbenutzer sehen nur ihren Bereich */
if ($_SESSION[$AppCode]['ULV'] == 5) $actfilter = 5;

if($actfilter == 5) $ga_art = 0;
else $ga_art = isset($_REQUEST['ga_art']) ? $_REQUEST['ga_art'] : 0;

/* abfragen, ob der aktuelle Benutzer eine persoenliche Einstellung fuer
 * den Mitarbeiterfilter hinterlegt hat
*/
$sql  = "select lom_user from tb_pers_einst ";
$sql .= "where pers_id = '{$_SESSION[$AppCode]['UID']}';";
$pers_user = abfrage($sql);

$order = ($pers_order==2) ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc";
/* Mitarbeiterfilter setzen */
$post_var = 0;
if (isset($_POST['user'])){
	$userfilter = $_POST['user'];
	$post_var = 1;
} else if (isset($_GET['user'])){
	$userfilter = $_GET['user'];
} elseif ($pers_user[0] > 0){
	$userfilter = $pers_user[0];
} elseif ($pers_user[0] == '0' || $_SESSION[$AppCode]['ULV'] <= 5){
	$userfilter = 'all';
} else {

	/*
   * Abfrage, ob angemeldeter Nutzer in der Mitarbeiterliste angezeigt wird
   * Wenn ja, dann Nutzer als Standard eintragen
  */

	$sql  = "select pers_id, vorname, name from tb_personal p ";
	$sql .= "where status_id = '2' and pers_id = '{$_SESSION[$AppCode]['UID']}' ";
	$sql .= "order by $order;";
	$data = abfrage1($sql);

	if (mysql_num_rows($data) == 1){
		/* Nutzer ist in Mitarbeiterliste und wird als Standard eingetragen */
		$userfilter = $_SESSION[$AppCode]['UID'];
	} else {
		$userfilter = 'all';
  }
}

 // sicherstellen das Variable gesetzt wurde
 if (!isset($_GET['tag'])) $_GET['tag'] = NULL;

/* festlegen welche Daten aus der Datenbank geholt werden sollen */
if ($anz == 'w1' || $anz == 'w2'){
	$where  = " WHERE t6.von >= '{$_GET['tag']}' AND ";
	$where .= "TO_DAYS(t6.von) <= (TO_DAYS('{$_GET['tag']}') + 6) ";
} else if ($anz == 't'){
	$where  = " WHERE TO_DAYS(t6.von) = TO_DAYS('{$_GET['tag']}') ";
} else if ($anz == 'j' || strlen($_GET['tag']) == 4){
	$where  = " WHERE YEAR(t6.von) = '".substr($_GET['tag'],0,4)."' ";
} else if ($anz == 'm') {
  $where  = " WHERE YEAR(t6.von) = YEAR('{$_GET['tag']}') AND ";
  $where .= "MONTH(t6.von) = MONTH('{$_GET['tag']}') ";
} else if ($anz == 'a'){
	$von_monat = empty($_GET['von_monat']) ? date('m') : $_GET['von_monat'];
	$bis_monat = empty($_GET['bis_monat']) ? $von_monat : $_GET['bis_monat'];
	$von_jahr = empty($_GET['von_jahr']) ? date('Y') : $_GET['von_jahr'];
	$bis_jahr = empty($_GET['bis_jahr']) ? $von_jahr : $_GET['bis_jahr'];
	$von = date('Y-m-d', mktime(0,0,0,$von_monat,1,$von_jahr));
	$bis = date('Y-m-d', mktime(0,0,0,$bis_monat,date('t',mktime(0,0,0,$bis_monat,1,$bis_jahr)),$bis_jahr));
	$where  = " WHERE t6.von <= '$bis' AND t6.bis >= '$von' ";
} else {
	$where  = " WHERE YEARWEEK(t6.von, 1) >= YEARWEEK(CURDATE()) ";
	$where .= "AND TO_DAYS(t6.von) <= (TO_DAYS(CURDATE()) + 56) ";
}

if ($userfilter != "all") $where .= "AND (t1.pers_id = $userfilter OR t7.pers_id = $userfilter OR t8.pers_id = $userfilter ) ";
if ($actfilter != 0 && $actfilter != 6){
	$where .= "AND t1.action = '$actfilter' ";
} elseif ($actfilter == 6){
	$where .= "AND (t1.action = '1' OR t1.action = '2') ";
}
if($ga_art > 0) $where .= "AND t1.art_id='$ga_art' ";
if (!empty($_POST["tender"]) && $actfilter == 5) $where .= " AND t1.tender = ".$_POST["tender"]." ";

/* Formular fuer die Daten */
echo "<form method=\"get\" action=\"lom.php\">\n";
echo "<input type=\"hidden\" name=\"user\" value=\"$userfilter\" />\n";
echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\" />\n";
if(isset($_GET['tag'])) echo "<input type=\"hidden\" name=\"tag\" value=\"{$_GET['tag']}\" />\n";
if(isset($_GET['von_monat'])) echo "<input type=\"hidden\" name=\"von_monat\" value=\"{$_GET['von_monat']}\" />\n";
if(isset($_GET['bis_monat'])) echo "<input type=\"hidden\" name=\"bis_monat\" value=\"{$_GET['bis_monat']}\" />\n";
if(isset($_GET['von_jahr'])) echo "<input type=\"hidden\" name=\"von_jahr\" value=\"{$_GET['von_jahr']}\" />\n";
if(isset($_GET['bis_jahr'])) echo "<input type=\"hidden\" name=\"bis_jahr\" value=\"{$_GET['bis_jahr']}\" />\n";

echo "<table>\n<tr>\n";

/* Neu Button zeigen */
if ($_SESSION[$AppCode]["ULV"] > 5) {
	printf("<td class=\"cl1\"><input type=\"button\" value=\"neu\" ");
  printf("onClick=\"self.location.href='lom_and.php?neu=1'\"></td>");

	/* Aktionsartwahlfeld zeigen */
 	echo "<td class=\"cl1\"><select name=\"action\" size=\"1\" ";
  echo "onchange=\"this.form.submit()\">\n";

  echo "<option value=\"0\"";
  if ($actfilter == 0) echo ' selected';
  echo ">alle</option>\n";

  echo "<option value=\"1\"";
  if ($actfilter == 1) echo ' selected';
	echo ">LOM-lok</option>\n";

  echo "<option value=\"2\"";
  if ($actfilter == 2) echo ' selected';
  echo ">LOM-reg</option>\n";

  echo "<option value=\"6\"";
  if ($actfilter == 6) echo ' selected';
  echo ">LOM alle</option>\n";

  /* die Werte 3 (Werbung) und 4 (Eltern) bleiben nur noch intern erhalten */

  echo "<option value=\"5\"";
  if ($actfilter == 5) echo ' selected';
  echo ">Tender</option>\n";

  echo "</select></td>\n";

	echo "<td class=\"cl1\"><a href=\"" . $_SESSION[$AppCode]['url'];
	echo (strpos($_SESSION[$AppCode]['url'],'?') === false) ? '?' : '&';
	echo "action=$actfilter&pers_einst=1\" style=\"color: $perseinst1col\"";
	$tt  = 'Diesen&nbsp;Aktionsfilter&nbsp;als&nbsp;pers&ouml;nliche<br>';
	$tt .= 'Voreinstellung&nbsp;speichern!';
	echo stwToolTip($tt) . ">:)</a></td>\n";
}

/* Auswahlbox fuer das Tenderprojekt */
if ($actfilter == 5){
	/* vorhandene Teams ermitteln */
  if($_SESSION[$AppCode]['ULV'] >= 45) $erg = abfrage1("SELECT team_id, name FROM tb_lom_team;");
  else {
	$lpd = abfrage("SELECT von, bis FROM tbh_lom_proj_default WHERE art='TTT' AND ((von<='{$_GET['tag']}' or von='0000-00-00') AND (bis>='{$_GET['tag']}' or bis='0000-00-00')) ORDER BY von DESC LIMIT 1");
	$sql  = "SELECT t.team_id, l.name FROM tb_personal p ";
	$sql .= "LEFT JOIN tb_personalart a USING (p_art_id) ";
	$sql .= "LEFT JOIN tb_lom_team_pers t USING (pers_id) ";
	$sql .= "LEFT JOIN tb_lom_team l USING (team_id) ";
	$sql .= "WHERE a.personalart = 'TTT' AND l.team_id > 0 ";
	$sql .= "AND (year(p.austritt) = 0 OR p.austritt > '$lpd[0]') ";
	$sql .= "AND (year(p.eintritt) = 0 OR p.eintritt < '$lpd[1]' OR '$lpd[1]' = '0000-00-00') ";
	$sql .= "GROUP BY t.team_id";
	$erg = abfrage1($sql);
  }

  echo "<th class=\"cl1\">Team:</th><td><select name=\"tender\" size=\"1\" ";
  echo "onchange=\"this.form.submit()\">\n";

  echo "<option value=\"0\">alle</option>\n";
  while ($zeile = mysql_fetch_row($erg)){
  	echo "<option value=\"$zeile[0]\"";
  	if ($_POST['tender'] == $zeile[0]) echo ' selected';
  	echo ">$zeile[1]</option>\n";
  }
	echo "</select></td>\n";
}

if ($_SESSION[$AppCode]['ULV'] > 5){
	$url = "ma=$userfilter&anz=$anz&action=$actfilter";
	if (isset($_GET['tag'])) $url .= '&tag=' . $_GET['tag'];
	/* Tenderfilter setzen */
	if (isset($_POST['tender'])) $url .= '&tender=' . $_POST['tender'];

	/* Drucksymbol fuer die Ausgabe der aktuell gezeigten Termine */
	echo "<td class=\"cl1\"><a href=\"lom_pr.php?$url";
	echo "&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\" ";
	echo stwToolTip('Auswahl drucken') . "></a></td>\n";

	/* Drucksymbol wo alle Arten auf getrennten Seiten dargestellt werden */
	echo "<td class=\"cl1\"><a href=\"lom_prsep.php?$url";
	echo "&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" ";
	echo stwToolTip('alle getrennt drucken') . " border=\"0\"></a></td>\n";
}

/* Mitarbeiterschalter anzeigen ab Level 30 */
if ($_SESSION[$AppCode]['ULV'] >= 30) {
	/* alle Mitarbeiter raussuchen */
	$sql  = "SELECT distinct p.pers_id FROM tb_lom l ";
	$sql .= "left join tbh_lom_anleiter a using(lom_id) ";
	$sql .= "left join tb_personal p on (l.pers_id = p.pers_id or a.pers_id = p.pers_id) ";
	$sql .= "where l.pers_id > 0 and p.status_id = '2' order by $order;";
	$data1 = abfrage1($sql);

	$selected = false;
	echo "<th class=\"cl1\"" . stwToolTip('Mitarbeiter') . ">MA:</th>\n";
	echo "<td class=\"cl1\"><select name=\"user\" size=\"1\" ";
	echo "onchange=\"this.form.submit()\">\n";

	echo "<option value=\"all\"";
	if ($userfilter == 'all') {
		echo ' selected';
		$selected = true;
	}
	echo ">ALLE anzeigen</option>\n";

	while ($mit = mysql_fetch_row($data1)){
		echo "<option value=\"$mit[0]\"";
		if ($userfilter == $mit[0]) {
			echo ' selected';
			$selected = true;
		}
		echo '>' . ($pers_order==2 ? pers_name2($mit[0]) : pers_name($mit[0])) . "</option>\n";
	}

	echo "</select></td>\n";
	if(!$selected) $userfilter = 'all';

	echo "<td class=\"cl1\"><a href=\"" . $_SESSION[$AppCode]['url'];
	echo (strpos($_SESSION[$AppCode]['url'],'?') === false) ? '?' : '&';
	echo "user=$userfilter&pers_einst=2\" style=\"color: $perseinst2col\"";
	$tt  = 'Diesen&nbsp;Mitarbeiterfilter&nbsp;als&nbsp;pers&ouml;nliche<br>';
	$tt .= 'Voreinstellung&nbsp;speichern!';
	echo stwToolTip($tt) . ">:)</a></td>\n";

}
if(getConf('traeger') == 'stw') {
	if (check_nutzer_rechte(80)){
		$url  = $_SESSION['webdir'] . '/mandant/' . $_SESSION[$AppCode]['TR'] . '/';
		$url .= 'nachw_ttt_req.php?art=MAE';
		$txt = 'MAE';
		$tt = 'MAE-Abrechnung erstellen';
		echo "<td class=\"cl1\"><input type=\"button\" value=\"$txt\" ";
		echo stwToolTip($tt);
		echo "onClick=\"self.location.href='$url'\"></td>\n";
	}

	if (check_nutzer_rechte(44)){
		$url  = $_SESSION['webdir'] . '/mandant/' . $_SESSION[$AppCode]['TR'] . '/';
		$url .= 'nachw_ttt_req.php';
		$txt = 'TTT';
		$tt = 'Tender-Abrechnung erstellen';

		echo "<td class=\"cl1\"><input type=\"button\" value=\"$txt\" ";
		echo stwToolTip($tt);
		echo "onClick=\"self.location.href='$url'\"></td>\n";
	}
}
$sql = "SELECT l.pers_id FROM tb_personal_abt_leit l 
		left join tb_personal_abt a on l.abt_id = a.abt_id 
		where left(a.name,2) = 'tt' and l.pers_id=" . $_SESSION[$AppCode]['UID'];
$tt_leiter = abfrage1($sql);
if($_SESSION[$AppCode]['ULV'] >= 97 || mysql_num_rows($tt_leiter)>0) {
	if($anz == 'j' || ($_GET['tag'] == '0000-00-00')) $von = $bis = 0;
	else {
		if(empty($_GET['tag'])) $tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
		else $tag =  date_isodate_stamp($_GET['tag']);
		if ($anz == 'w1' || $anz == 'w2'){
			if (date('w', $tag) == 0) $von = mktime(0,0,0,date('n',$tag),date('j', $tag)-6,date('Y',$tag));
			else $von = mktime(0,0,0,date('n',$tag),date('j', $tag)-(date('w', $tag)-1),date('Y',$tag));
			$bis = $von + (6 * 24 * 60 * 60);
		} else if ($anz == 't' || $anz == 'tg'){
			$von = $bis = $tag;
		} else if ($anz == 'm'){
			$von = mktime(0,0,0,date('n',$tag),1,date('Y',$tag));
			$bis = mktime(0,0,0,date('n',$tag),date('t',$von),date('Y',$tag)); 
		}
	}

	$url = $_SERVER['PHP_SELF'] . '?' . $_SERVER['QUERY_STRING'];
	$link  = "<a href=\"$url\" onclick=\"window.open('".$_SESSION["webdir"];
	$link .= "/tender_warnung.php?von=$von&bis=$bis', 'warnung', 'resizable=yes, left=100, ";
	$link .= "top=50, width=1024, height=500, scrollbars=yes, menubar=yes, status=no, ";
	$link .= "toolbar=no, location=no'); return false;\"";
	$link .= stwToolTip("Kontrolle Klassenbuch");
	$link .= ">K</a>";
	echo "<td class=\"cl1\">$link</td>\n";
}
if ($actfilter == 0 || $actfilter == 1 || $actfilter == 2 || $actfilter == 6){
	echo "<th>Einsatzart:</th>";
	echo "<td class=\"cl1\"><select name=\"ga_art\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">- ALLE -</option>\n";
	$gas = abfrage1("select art_id, ga_art from tb_ga_art where aktiv='j' order by ga_art asc");
	while($ga = mysql_fetch_row($gas)) {
		$selected = $ga_art == $ga[0] ? 'selected' : '';
		echo "<option $selected value=\"$ga[0]\">$ga[1]</option>\n";
	}
	echo "</select></td>\n";
}
echo "</tr></table>\n</form>\n";

if($anz == 'w1' || $anz == 'tg') {
  if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
  } elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
  } else {
	$tag =  date_isodate_stamp($_GET['tag']);
  }
  $monat = date('n',$tag);
  $jahr = date('Y',$tag);
  $wtag = date('w', $tag);
  $kal_von = getConf("kal_von");
  $kal_bis = getConf("kal_bis");
  $t_beg = mktime($kal_von, 0, 0, date("n"), date("j"), date("Y"));
  $t_end = mktime($kal_bis, 0, 0, date("n"), date("j"), date("Y"));
  if($anz == 'tg') {
	$erster = mktime(0,0,0,$monat,date('j', $tag),$jahr);
  } elseif ($wtag == 0){
	$erster = mktime(0,0,0,$monat,date('j', $tag)-6,$jahr);
  } else {
	$erster = mktime(0,0,0,$monat,date('j', $tag)-($wtag-1),$jahr);
  }
  $letzter = $erster + (($anz == 'tg' ? 1 : 7) * 86400);

/* Grafische Kalenderansicht der Zeitkarten */
  $sql  = "select distinct l.lom_id, date_format(t6.von, '%d.%m.%Y'), ";
  $sql .= "date_format(t6.von, '%H:%i'), date_format(t6.bis, '%H:%i'), ";
  $sql .= "r.name, t6.terminart, week(t6.von, 1), unix_timestamp(t6.von), l.pers_id, ";
  $sql .= "unix_timestamp(t6.bis), l.thema, t6.termin_id, l.action, l.tender, l.art_id, l.text ";
  $sql .= "from tb_lom l left join tb_termine t6 using (termin_id) ";
  $sql .= "left join tb_personal b on l.pers_id = b.pers_id ";
  $sql .= "left join tb_terminart r on r.terminart = t6.terminart ";
  $sql .= "left join tbh_lom_pers t7 on l.lom_id = t7.lom_id ";
  $sql .= "left join tbh_lom_anleiter t8 on l.lom_id = t8.lom_id ";
  $sql .= "WHERE ((unix_timestamp(t6.von) >= '$erster' AND unix_timestamp(t6.von) <= '$letzter') ";
  $sql .= "OR (unix_timestamp(t6.bis) >= '$erster' AND unix_timestamp(t6.bis) <= '$letzter') ";
  $sql .= "OR (unix_timestamp(t6.von) <= '$erster' AND unix_timestamp(t6.bis) >= '$letzter')) ";
  if($userfilter != 'all') $sql .= "AND (l.pers_id = $userfilter OR t8.pers_id = $userfilter OR t7.pers_id = $userfilter) ";
  if ($actfilter != 0 && $actfilter != 6){
	$sql .= "AND l.action = '$actfilter' ";
  } elseif ($actfilter == 6){
	$sql .= "AND (l.action = '1' OR l.action = '2') ";
  }
  if (!empty($_POST["tender"]) && $actfilter == 5) $sql .= " AND l.tender = ".$_POST["tender"]." ";

  $sql .= "order by unix_timestamp(t6.von) asc;";
  $res = abfrage1($sql);
  $kalender = array();
  $tid = 0;
  while ($row = mysql_fetch_array($res)) {
	if($y > 14) $y = 0;
	$kalender[$tid]['id'] = $row[0];
	$kalender[$tid]['art'] = $row[5];
	$kalender[$tid]['datum'] = $row[1];
	$kalender[$tid]['von'] = $row[2];
	$kalender[$tid]['bis'] = $row[3];
	$kalender[$tid]['ts1'] = $row[7];
	$kalender[$tid]['ts2'] = $row[9];
	$kalender[$tid]['wtag'] = strftime('%a', $row[7]);
	$kalender[$tid]['kw'] = $row[6];
	$kalender[$tid]['datum_link'] = 1;
	$kalender[$tid]['datum_url'] = "lom_and.php?lom_id=$row[0]";
	$tts_out = '';
	if($row[12] == 5) {
		$tender = abfrage("select farbe from tb_lom_team where team_id='$row[13]'");
		$kalender[$tid]['ta_color'] = empty($tender[0]) ? "#333333" : $tender[0];
		$titel = "TENDER-Klassenbuch";
		if($anz == 'tg') {
			$sql = "select (concat(left(b.vorname,1), '.', b.name)), z.zk_id, p.proj_id, 
					date_format(t.von, '%H:%i') as von,
					date_format(t.bis, '%H:%i') as bis
					from tb_ab_zk z
					left join tb_termine t using(termin_id)
					left join tb_projekte p using(proj_id)
					left join tb_hilfeart h using(hilfeart_id)
					left join tb_personal b using (pers_id)
					where unix_timestamp(t.von) < '$row[9]'
					and unix_timestamp(t.bis) > '$row[7]'
					and h.hilfeart = 'TTS'
					order by t.von asc";
			$ttss = abfrage1($sql);
			if(mysql_num_rows($ttss) > 0) {
				$tts_out = "<span style=\"position:relative;left:75px;top:-12px;color:black\"><div style=\"display:inline;position:absolute\">";
				while ($tts = mysql_fetch_row($ttss)) {
					$tts_out .= "<small>$tts[3]-$tts[4] $tts[0]</small><br />";
				}
				$tts_out .= "</div></span>";
			}
		}
	} else {
		$lom = abfrage("select farbe from tb_ga_art where art_id='$row[14]'");
		$kalender[$tid]['ta_color'] = empty($lom[0]) ? "#333333" : $lom[0];
		$titel = $row[4];
	}
	$kalender[$tid]['ta_text'] = $titel . $tts_out;
	$kalender[$tid]['ta_title'] = "$titel $row[10]";
	$kalender[$tid]['cont_title_tt'] = $titel . " $row[10] ";
	$kalender[$tid]['cont_title'] = $row[10];
	$kalender[$tid]['lom'] = true;
	if($anz == 'tg') {
		$kalender[$tid]['notiz'] = $row['text'];
		$anleiters = abfrage1("select pers_id from tbh_lom_anleiter where lom_id='$row[0]'");
		if(mysql_num_rows($anleiters) > 0) {
			$kalender[$tid]['anleiter'][0] = $row['pers_id'];
			while($anleiter = mysql_fetch_row($anleiters)) {
				$kalender[$tid]['anleiter'][] = $anleiter[0];
			}
		}
		if($row['pers_id'] > 0 && (!is_array($kalender[$tid]['anleiter']) || !in_array($row['pers_id'],$kalender[$tid]['anleiter']))) {
			$kalender[$tid]['anleiter'][0] = $row['pers_id'];
			$kalender[$tid]['anleiter'][] = $row['pers_id'];
		}
		$tns = abfrage1("select pers_id from tbh_lom_pers where lom_id='$row[0]'");
		if(mysql_num_rows($tns) > 0) {
			$kalender[$tid]['teilnehmer'][0] = true;
			while($tn = mysql_fetch_row($tns)) {
				$kalender[$tid]['teilnehmer'][] = $tn[0];
			}
		}
	}
	$aufgs = abfrage1("select aufgabe_id from tbh_lom_aufgaben l left join tb_aufgaben a using(aufgabe_id) where lom_id='$row[0]' order by a.prio desc, a.termin asc");
	if(mysql_num_rows($aufgs) > 0) {
		$kalender[$tid]['aufgaben'][0] = true;
		while($aufg = mysql_fetch_row($aufgs)) {
			$kalender[$tid]['aufgaben'][] = $aufg[0];
		}
	} else $kalender[$tid]['aufgaben'][0] = false;
	$url = "ktyp=l&lom_id=$row[0]&termin_id=$row[11]&ln=lom.php";
	if (isset($_GET["anz"])) $url .= "&anz=".$_GET["anz"];
	if (isset($_GET["user"])) $url .= "&user=".$_GET["user"];
	if (isset($_GET["action"])) $url .= "&action=".$_GET["action"];
	if (isset($_GET["tag"])) $url .= "&tag=".$_GET["tag"];

	$kalender[$tid]["del_url"] = "kal_del_sql.php?$url";
	if (($row[8] == $_SESSION[$AppCode]['UID'] || check_nutzer_rechte(123)))
		$kalender[$tid]["del_link"] = 1;
	$tid++;
  }
  echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td>\n";
  kal_tabelle_zeit($t_beg, $t_end);
  echo "</td>\n";
  /* Montag, Dienstag, Mittwoch, Donnerstag und Freitag ausgeben */
  $wt1 = $erster;
  if($anz == 'tg') $wt2 = $wt1;
  else $wt2 = mktime(0, 0, 0, date("n", $wt1), date("j", $wt1) + getConf('kal_tage'), date("Y", $wt1));

  /* Daten der Feiertage holen */
  $ft = feiertage(date("Y", $erster));

  while ($wt1 <= $wt2)
  {
	/* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
	if ($erster != $wt1) kal_zelle_farbe("#333333");
	/* gruene senkrechte Trennlinie zwischen den einzelnen Tagen zeichnen */
	kal_zelle_farbe("darkgreen");
	/* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
	if ($erster != $wt1) kal_zelle_farbe("#333333");
	/* bestimmen ob der Tag ein Feiertag ist */
	$ft1 = find_key_in_array($ft, $wt1);
	/* neuer Tag mit eigener Tabelle anfangen */
	printf("<td>");
	/* den ganzen Tag ausgeben */
	kal_tabelle_tag($kalender, 0, $wt1, $kal_von, $kal_bis, $anz == 'tg' ? "700" : "140", $ft1, '', '', false, $anz == 'tg');
	/* Tag abschliessen */
	printf("</td>\n");
	/* Zeit einen Tag weitersetzen */
	$wt1 += 86400;
  }
  echo "</tr></table>\n";
  /* Aufgabenliste der aktuellen Woche */
  if($actfilter == 5) {
	if($anz == 'tg') {
		if ($wtag == 0){
			$erster = mktime(0,0,0,$monat,date('j', $tag)-6,$jahr);
		} else {
			$erster = mktime(0,0,0,$monat,date('j', $tag)-($wtag-1),$jahr);
		}
		$letzter = $erster + (7 * 86400);
	}

	echo "<table id=\"FixAufgaben\" style=\"position:fixed;left:60px;bottom:1px;background-color:#CCCCCC;\"><tr>";
	$sql = "select distinct l.tender from tb_lom l
			left join tb_termine t using (termin_id) 
			where unix_timestamp(t.von) < $letzter and unix_timestamp(t.bis) > $erster ";
	if (!empty($_POST["tender"])) $sql .= " AND l.tender = ".$_POST["tender"]." ";
	$sql.= "order by l.tender asc";
	$Teams = abfrage1($sql);
	while($Team = mysql_fetch_row($Teams)) {
		$Mitarbeiter = array();
		$tender = abfrage("select farbe, name from tb_lom_team where team_id='$Team[0]'");
		echo "<td><table cellspacing=\"0\" cellpadding=\"0\">\n";
		echo "<tr><th style=\"background-color:$tender[0];color:black;font-size:7pt;\">$tender[1]</th></tr>\n";
		echo "<tr><td style=\"background-color:#333333;font-size:7pt;\">";
		$sql = "select l.lom_id, a.aufgabe_id, a.nr, p.prioritaet, a.titel,
				date_format(a.termin, '%d.%m.%Y'), a.erledigt, a.text, p.farbe,
				unix_timestamp(a.termin) as ts
				from tbh_lom_aufgaben h
				left join tb_lom l using(lom_id)
				left join tb_aufgaben a using(aufgabe_id)
				left join tb_prio p using(prio)
				left join tb_termine t using (termin_id) 
				where unix_timestamp(t.von) < $letzter and unix_timestamp(t.bis) > $erster
				and l.tender = '$Team[0]'
				order by a.prio desc, a.termin asc";
		$aufgaben = abfrage1($sql);
		while($aufg = mysql_fetch_array($aufgaben)) {
			$MA = array();
			$tt = "<b>$aufg[2]: $aufg[4]</b><br><b>Priorit&auml;t:</b> $aufg[3] <b>Termin:</b> $aufg[5] <b>erledigt:</b> $aufg[6]%<br>$aufg[7]";
			$aufgabe = "<a href=\"auf_and.php?aufgabe_id=$aufg[1]\" style=\"color:{$aufg['farbe']}\"".stwToolTip($tt).">$aufg[2]</a>: $aufg[4]";
			if($aufg['ts'] < $letzter + (7 * 86400)) {
				if($aufg['ts'] < time()) $aufgabe .= "<b style=\"color:red\">";
				$aufgabe .= " ($aufg[5])";
				if($aufg['ts'] < time()) $aufgabe .= "</b>";
			}
			$aufgabe .= "<br />\n";
			$sql = "select l.pers_id, a.pers_id from tb_lom l
					left join tbh_lom_anleiter a using(lom_id)
					where l.lom_id = '$aufg[0]'";
			$mas = abfrage1($sql);
			$hb = false;
			while($ma = mysql_fetch_row($mas)) {
				$MA[ $ma[0] ] = $ma[0];
				$MA[ $ma[1] ] = $ma[1];
				$hb = $ma[0];
			}
			$zust = abfrage1("select pers_id from tbh_pers_auf where aufgabe_id='$aufg[1]' and zust='j'");
			while($ma = mysql_fetch_row($zust)) {
				if($MA[ $ma[0] ]) {
					$Mitarbeiter[ $ma[0] ][ $aufg[1] ] = $aufgabe;
					$hb = false;
				}
			}
			if($hb) $Mitarbeiter[ $hb ][ $aufg[1] ] = $aufgabe;
		}
		$lastMA = -1;
		foreach($Mitarbeiter as $ma => $Aufgaben) {
			if($lastMA != $ma) echo "<b style=\"background-color:white;color:black\">".pers_kname($ma)."</b><br />\n";
			foreach($Aufgaben as $Aufgabe) echo $Aufgabe;
		}
		echo "</td></tr></table></td>";
	}
	echo "<td><a style=\"background-color:red\" onclick=\"document.getElementById('FixAufgaben').style.display='none'\" href=\"#\">&nbsp;X&nbsp;</a></td>";
	echo "</tr></table>\n";

  }
} else {
  $url = "lom.php?user=$userfilter&anz=$anz&action=$actfilter";
  if (isset($_GET['tag'])) $url .= '&tag=' . $_GET['tag'] . '&anz=' . $_GET['anz'];
  if (isset($_POST['tender'])) $url .= '&tender=' . $_POST['tender'];

  $order = isset($_GET['order']) ? $_GET['order'] : 'd1';

  if ($_SESSION[$AppCode]["ULV"] > 5) new stwLine(1);
  echo "<table><tr>\n";
  $temp = ($order == 'w1') ? 'w2' : 'w1';
  $tt = stwToolTip("Wochentag");
  echo "<th class=\"cl1\" colspan=\"2\"><a $tt href=\"$url&order=$temp\">WT</a></th>\n";
  $temp = ($order == 'd1') ? 'd2' : 'd1';
  echo "<th class=\"cl1\"><a href=\"$url&order=$temp\">Datum</a></th>\n";
  $temp = ($order == 'v1') ? 'v2' : 'v1';
  echo "<th class=\"cl1\"><a href=\"$url&order=$temp\">von</a></th>\n";
  $temp = ($order == 'b1') ? 'b2' : 'b1';
  echo "<th class=\"cl1\"><a href=\"$url&order=$temp\">bis</a></th>\n";
  echo "<th class=\"cl1\">Thema</th>\n";
  $temp = ($order == 'p1') ? 'p2' : 'p1';
  echo "<th class=\"cl1\"><a href=\"$url&order=$temp\">p&auml;d.&nbsp;Leitung</a></th>\n";
  $temp = ($order == 'a1') ? 'a2' : 'a1';
  echo "<th class=\"cl1\"><a href=\"$url&order=$temp\">Art</a></th>\n";
  $temp = ($order == 'e1') ? 'e2' : 'e1';
  echo "<th class=\"cl1\"><a href=\"$url&order=$temp\">Einsatzart</a>";

  if ($_SESSION[$AppCode]["ULV"] >= 80){
	echo " <a href=\"ga_art_list.php?tg=lom\"" . stwToolTip('Einsatzarten bearbeiten') . '>';
	echo "<img border=\"0\" src=\"img/edit.png\"></a>";
  }

  echo "</th>\n";
  $temp = ($order == 'v3') ? 'v4' : 'v3';
  echo "<th class=\"cl1\"><a href=\"$url&order=$temp\">Veranstalter</a></th>\n";
  $temp = ($order == 'e3') ? 'e4' : 'e3';
  $tt = stwToolTip('Entfernung');
  echo "<th class=\"cl1\"><a $tt href=\"$url&order=$temp\">Entf.</a>";
  echo "<th style=\"position:relative;top:-3px;text-align:right\" class=\"cl20\"" . stwToolTip('weibliche Teilnehmer') . "><font style=\"position:absolute\" face=\"courier\" size=\"5\">&#x2640;</font></th>\n";
  echo "<th style=\"position:relative;top:-3px;text-align:right\" class=\"cl20\"" . stwToolTip('m&auml;nnliche Teilnehmer') . "><font style=\"position:absolute\" face=\"courier\" size=\"5\">&#x2642;</font></th>\n";
  echo "<th style=\"text-align:right\" class=\"cl11\"" . stwToolTip('Summe Teilnehmer') . ">&Sigma;</th>\n";
  echo "<th style=\"text-align:right\" class=\"cl11\"" . stwToolTip('Durchschnittsalter der Teilnehmer') . ">&empty;</th>\n";
  echo "</tr>\n";

  $sql  = "select distinct t1.lom_id, date_format(t6.von, '%d.%m.%Y'),
		date_format(t6.von, '%H:%i'),
		concat(left(t2.vorname, 1), '. ', t2.name),
		t1.action,
		t3.ga_art,
		t5.name,
		to_days(t6.von),
		to_days(curdate()),
		t1.thema,
		week(t6.von, 1),
		t3.farbe,
		unix_timestamp(t6.von),
		t3.farbe,
		t1.termin_id,
		t1.ev_id,
		to_days(t1.ev_adatum),
		to_days(t1.ev_edatum),
		date_format(t6.von, '%Y%m'),
		date_format(curdate(), '%d.%m.%Y'),
		t1.ev_pers_id,
		date_format(t1.ev_adatum, '%d.%m.%Y'),
		date_format(t1.ev_edatum, '%d.%m.%Y'),
		t1.km,
		date_format(t6.bis, '%H:%i'),
		t1.tn_mal, 
		t1.tn_fem, 
		t1.tn_age,
		t1.print_id,
		date_format(t1.print_dt,'%d.%m.%y %H:%i'),
		t1.reflexion
		from tb_lom t1
		left join tb_personal t2 on t1.pers_id = t2.pers_id
		left join tb_ga_art t3 on t1.art_id = t3.art_id
		left join tb_kontakte_ap t4 on t1.ap_id = t4.ap_id
		left join tb_kontakte t5 on t4.kont_id = t5.kont_id and t5.kh_id='0'
		left join tb_termine t6 on t1.termin_id = t6.termin_id
		left join tbh_lom_pers t7 on t1.lom_id = t7.lom_id
		left join tbh_lom_anleiter t8 on t1.lom_id = t8.lom_id
		$where
		order by ";
  switch($order) {
	case 'v4': $sql .= "t5.name desc"; break;
	case 'v3': $sql .= "t5.name asc"; break;
	case 'e4': $sql .= "t1.km desc"; break;
	case 'e3': $sql .= "t1.km asc"; break;
	case 'e2': $sql .= "t3.ga_art desc"; break;
	case 'e1': $sql .= "t3.ga_art asc"; break;
	case 'a2': $sql .= "t1.action desc"; break;
	case 'a1': $sql .= "t1.action asc"; break;
	case 'p2': $sql .= "concat(left(t2.vorname, 1), '. ', t2.name) desc"; break;
	case 'p1': $sql .= "concat(left(t2.vorname, 1), '. ', t2.name) asc"; break;
	case 'b2': $sql .= "date_format(t6.bis, '%H:%i') desc"; break;
	case 'b1': $sql .= "date_format(t6.bis, '%H:%i') asc"; break;
	case 'v2': $sql .= "date_format(t6.von, '%H:%i') desc"; break;
	case 'v1': $sql .= "date_format(t6.von, '%H:%i') asc"; break;
	case 'w2': $sql .= "date_format(t6.von, '%w') desc"; break;
	case 'w1': $sql .= "date_format(t6.von, '%w') asc"; break;
	case 'd2': $sql .= "unix_timestamp(t6.von) desc"; break;
	default: $sql .= "unix_timestamp(t6.von) asc";
  }
  $sql .= ", t1.lom_id asc;";

  $res = abfrage1($sql);
  $remember = 0;

  $count = $female = $male = $age = $agecount = 0;
  while ($row = mysql_fetch_array($res)){
	$count++;
	$w2 = ($order=='d1' || $order=='d2') ? $row[10] : 1;
	if (isset($w1) && $w2 != $w1){
		new stwTabLine(3,19);
	}
	$w1 = $w2;

	/*
	 * Wenn Termin im Folgemonat, dann Hintergrund grau frben
	 */
	$cur_mon = explode(".", $row[19]);
	$von_mon = explode(".", $row[1]);

	if ($cur_mon[2] == $von_mon[2] && ($cur_mon[1] + 1) == $von_mon[1])
	{
		$style_td = "style=\"background-color:#232323\"";
		$style_farbe = "background-color:#232323";
		if ($remember != 2) $remember = 1;
	} else {
		$style_td = "";
		$style_farbe = "";
		if ($remember == 2) $remember = 3;
	}

	if ($remember == 1) $remember = 2;
	if ($remember == 3) $remember = 0;

	echo "<tr class=\"mo\">\n";
	$dow = strftime('%a', $row[12]);
	echo "<td class=\"cl1\" $style_td>$dow</td><td width=\"5\" $style_td></td>\n";

	//Titel mit wichtigen Infos zur Einsatzvorbereitung
	if ($row[15] == 1) {
		// keine einsatzvorbereitung
		$einsvor_tt = "Keine Einsatzvorbereitung";
	} else {
		if (($row[17] < $row[8]) && (empty($row[17]) == false)) {
			//einsatzvorbereitung bereits abgeschlossen
			if ($row[20] == 0) {
				//kein Mitarbeiter ausgewhlt
				$einsvor_tt = "Einsatzvorbereitung wurde am " . $row[22] . " abgeschlossen";
			} else {
				//Mitarbeiter ermitteln
				$ev_mit = abfrage1("select pers_id,
							vorname,
							name
							from tb_personal
        						where pers_id=$row[20];");

				if (mysql_num_rows($ev_mit) == 1) {
					$ev_row = mysql_fetch_row($ev_mit);

					$einsvor_tt = "Einsatzvorbereitung wurde von " . $ev_row[1] . " " . $ev_row[2] . " am " . $row[22] . " abgeschlossen";
				} else {
					$einsvor_tt = "Einsatzvorbereitung wurde am " . $row[22] . " abgeschlossen";
				}
			}

		} else {
			if (($row[16] <= $row[8]) && (empty($row[16]) == false))  {
				//einsatzvorbereitung hat bereits begonnen
				if ($row[20] == 0) {
					//kein Mitarbeiter ausgewhlt
					$einsvor_tt = "Einsatzvorbereitung wurde am " . $row[21] . " begonnen";
				} else {
					//Mitarbeiter ermitteln
					$ev_mit = abfrage1("select pers_id,
								vorname,
								name
								from tb_personal
        							where pers_id=$row[20];");

					if (mysql_num_rows($ev_mit) == 1) {
						$ev_row = mysql_fetch_row($ev_mit);

						$einsvor_tt = "Einsatzvorbereitung wurde von " . $ev_row[1] . " " . 	$ev_row[2] . " am " . $row[21] . " begonnen";
					} else {
						$einsvor_tt = "Einsatzvorbereitung wurde am " . $row[21] . " begonnen";
					}
				}

			} else {
				//einsatzvorbereitung beginnt erst
				if ($row[20] == 0) {
					//kein Mitarbeiter ausgewhlt
					if (empty($row[16]) == true) {
						//kein startdatum
						$einsvor_tt = "Einsatzvorbereitung beginnt noch";
					} else {
						$einsvor_tt = "Einsatzvorbereitung beginnt am " . $row[21];
					}
				} else {
					//Mitarbeiter ermitteln
					$ev_mit = abfrage1("select pers_id,
								vorname,
								name
								from tb_personal
        							where pers_id=$row[20];");

					if (mysql_num_rows($ev_mit) == 1) {
						$ev_row = mysql_fetch_row($ev_mit);

						if (empty($row[16]) == true) {
							//kein startdatum
							$einsvor_tt = $ev_row[1] . " " . 	$ev_row[2] . " beginnt die Einsatzvorbereitung noch";
						} else {
							$einsvor_tt = $ev_row[1] . " " . 	$ev_row[2] . " beginnt die Einsatzvorbereitung am " . $row[21];
						}

					} else {
						if (empty($row[16]) == true) {
							//kein startdatum
							$einsvor_tt = "Einsatzvorbereitung beginnt noch";
						} else {
							$einsvor_tt = "Einsatzvorbereitung beginnt am " . $row[21];
						}
					}
				}
			}
		}
	}


  /*
   * Sollte der Termin in der Vergangenheit liegen, wird er grau
   * gezeichnet und restlichen Betrachtungen endfallen.
   */
	if ($row[7] < $row[8])
	{
	$style = "style=\"color:#CCCCCC\"";
	}
	else
	{
    /*
     * farbe nach einsatzvorbereitung
     * gelb -> keine einsatzvorbereitung
     * rot --> einsatzvorbereitung noch nicht begonne
     * orange --> einsatzvorbereitung begonne
     * grn --> einsatzvorbereitung abgeschlossen
     * Dazu Titel mit den wichtigsten Infos zur Einsatzvorbereitung
     */
	  if ($row[15] == 1) {
		// keine einsatzvorbereitung
		$style = "style=\"color:#FFCC00\"";
	  } else {
		if (($row[17] < $row[8]) && (empty($row[17]) == false)) {
			//Einsatzvorbereitung bereits abgeschlossen
			$style = "style=\"color:lime\"";

		} else {
			if (($row[16] <= $row[8]) && (empty($row[16]) == false))  {
				//einsatzvorbereitung hat bereits begonnen
				$style = "style=\"color:#FA7D19\"";

			} else {
				//einsatzvorbereitung beginnt erst
				$style = "style=\"color:#C00000\"";
			}
		}
	  }
	}
	echo "<td class=\"cl1\" style=\"$style_farbe\"" . stwToolTip($einsvor_tt) . '>';
	echo "<a href=\"lom_and.php?lom_id=$row[0]\" $style>$row[1]</a></td>";
	echo "<td class=\"cl1\" style=\"$style_farbe\">$row[2]</td>";
	echo "<td class=\"cl1\" style=\"$style_farbe\">$row[24]</td>";

	//Thema
	$th = strCut($row[9], 20);
	echo "<td class=\"cl1\" style=\"$style_farbe\"" . stwToolTip($row[9]) . ">$th</td>\n";

	echo "<td class=\"cl1\" style=\"$style_farbe\">$row[3]</td>";

	//an dieser Stelle wird die Aktion eingetragen
	$lom_art = lom_art($row[4]);
	echo "<td class=\"cl1\" style=\"$style_farbe\">$lom_art</td>";

	if($row[4] == 5) {
		echo "<td class=\"ww\" colspan=\"7\">$row[30]</td>\n";
	} else {
		if (strlen($row[11]) > 0){
			$style = "style=\"color:$row[11]\"";
		} else {
			$style = "";
		}

		//Farbe der Einsatzart nur, wenn Termin nicht im Folgemonat liegt
		if ($style_td != "") {
			$style = $style_td;
		}

		echo "<td class=\"cl1\" style=\"$style_farbe\">$row[5]</td>";

		/* Veranstalter */
		$va = strCut($row[6], 20);
		echo "<td class=\"cl1\" style=\"$style_farbe\"" . stwToolTip($row[6]) . ">$va</td>\n";

		/* Entfernung */
		echo "<td class=\"cl1\" style=\"text-align: right;\">";
		if ($row['km'] > 0) echo km_form($row['km']);
		echo "</td>\n";

		/* Teilnehmer (weiblich, maennlich, gesamt) */
		echo "<td class=\"cl1\" style=\"text-align: right;\">";
		if (!is_null($row[26])) echo $row[26];
		$female += $row[26];
		echo "</td>\n";
		echo "<td class=\"cl1\" style=\"text-align: right;\">";
		if (!is_null($row[25])) echo $row[25];
		$male += $row[25];
		echo "</td>\n";
		echo "<td class=\"cl1\" style=\"text-align: right;\">";
		if ($row[25]+$row[26] > 0) echo $row[25]+$row[26];
		echo "</td>\n";

		/* Durchschnittsalter der Teilnehmer */
		echo "<td class=\"cl1\" style=\"text-align: right;\">";
		if ($row[27] > 0) {
			echo $row[27];
			$agecount ++;
			$age += $row[27];
		}
		echo "</td>\n";
	}
	/* Dateien-Link */
	$link = $daten->get_klammer_link($_SESSION['webdir'],
																	$_SESSION[$AppCode]['UID'],
																	$_SESSION[$AppCode]['ULV'],
						 											$row[0], '0');
	echo "<td class=\"cl1\">$link</td>\n";

	/* Drucker-Symbol */
	echo "<td class=\"cl1\" $style_td>";
	if($row['action'] == 2 || $row['action'] == 1) {
		echo "<a href=\"lom_det_pr.php?&lom_id=$row[0]&ts=" . time() . "\"";
		echo " target=\"_pdf\"><img src=\"img/drucker.png\"";
		echo stwToolTip('Dokumentation drucken');
		echo "border=\"0\"></a>";
	}
	echo "</td>\n";

	/* Link zur Erstellung eines Serientermins */
	if ($_SESSION[$AppCode]["ULV"] > 5){
		echo "<td class=\"cl1\"><a href=\"kal_serie.php?";
		echo "lom_id=$row[0]&termin_id=$row[14]\">Serie</a></td>\n";
	/* Druck Klassenbuch */
		if($row['action'] == 5) {
			echo "<td class=\"cl1\" $style_td><a href=\"klassenbuch_pr.php?&lom_id=$row[0]&ts=" . time() . "\"";
			echo " target=\"_pdf\"><img src=\"img/drucker.png\"";
			echo stwToolTip('Klassenbuch drucken');
			echo "border=\"0\"></a></td>\n";
			$url = "lom.php?user=$userfilter&action=$actfilter&ma=$userfilter&anz=$anz";
			if (isset($_GET['tag'])) $url .= '&tag=' . $_GET['tag'];
			echo "<form action=\"$url\" method=\"POST\">\n";
			echo "<td class=\"cl1\" $style_td>";
			echo "<input type=\"checkbox\" name=\"erledigt\" value=\"1\" ";
			if(!empty($row[28])) echo "checked ";
			echo "onclick=\"this.form.submit()\" ";
			if(empty($row[28])) $tt = 'Klassenbuch als gedruckt und abgegeben markieren';
			else $tt = "Klassenbuch wurde am $row[29] von " . pers_name($row[28]) . " als gedruckt markiert.";
			echo stwToolTip($tt) . "></td>\n";
			echo "<input type=\"hidden\" name=\"print_id\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";
			echo "<input type=\"hidden\" name=\"lom_id\" value=\"{$row[0]}\">\n";
			echo "</form>\n";
		} else echo "<td colspan=\"2\"></td>";
	}

	if (check_nutzer_rechte(123)){
		echo "<td class=\"cl1\" $style_td>";
		echo "<a href=\"kal_del_sql.php?ktyp=l&lom_id=$row[0]&termin_id=$row[14]&ln=lom.php&anz=$anz";
		echo "\"" . stwToolTip('<b>VORSICHT!</b>L&ouml;schen!');
		echo " style=\"color:red\">X</a></td>\n";
	}

	echo "</tr>\n";
  }
  new stwTabLine(1,19);
  if($count > 0) {
	echo "<tr><th colspan=\"11\">Anzahl Eins&auml;tze: $count</th>\n";
	if(empty($female)) $female="";
	echo "<th>$female</th>\n";
	if(empty($male)) $male="";
	echo "<th>$male</th>\n";
	$sum = ($male+$male == 0) ? "" : $male+$female;
	echo "<th>$sum</th>\n";
	$sum = empty($agecount) ? "" : round($age/$agecount,1);
	echo "<th>$sum</th></tr>\n";
  }
  echo "</table>\n";
}

echo "</form>\n";
new stwEnd($seite, 1, $userfilter, $actfilter);
?>
