<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: lom_and.php 2897 2018-10-24 15:16:23Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

$seite = 33;
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);
$self = $_SERVER['PHP_SELF'];

require_once($pfad . 'inc/func.inc.php');
$pers_order = getPersOrder($seite);

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function EinstellungenSpeichern($pers_id, $art) {
	/* abfragen, ob bereits Zeile in Einstellungentabelle vorhanden */
	$sql = "select pers_id from tb_pers_einst where pers_id = '$pers_id';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set lom_art = '$art'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$pers_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('TraegerIcon', 'style.color', 'lime');
	return $userResp;
}

function zk_ab($zk_id, $ab) {
	abfrage2("update tb_ab_zk set ab='$ab' where zk_id='$zk_id'");
	$userResp = new xajaxResponse();
	$userResp->assign("zk_$zk_id", 'style.color', $ab=='j' ? 'lime' : '#FFCC00');
	return $userResp;
}

function zk_ok($zk_id, $check) {
	global $AppCode;
	if($check) {
		$sql  = "update tb_ab_zk set sperre = 'j', ";
		$sql .= "sperre_id = '{$_SESSION[$AppCode]['UID']}', ";
		$sql .= "sperre_dt = now() where zk_id = '$zk_id' limit 1;";
	} else {
		$sql  = "update tb_ab_zk set sperre = 'n', sperre_id = NULL, ";
		$sql .= "sperre_dt = NULL where zk_id = '$zk_id' limit 1;";
	}
	abfrage2($sql);
	$userResp = new xajaxResponse();
	$userResp->assign("rad1_$zk_id", 'disabled', $check ? 'disabled' : '');
	$userResp->assign("rad2_$zk_id", 'disabled', $check ? 'disabled' : '');
	return $userResp;
}

function TextArea($zk_id, $akte, $onoff, $inhalte) {
	$userResp = new xajaxResponse();
	if($onoff) {
		$sql  = "update tb_ab_zk set inhalte".($akte=='a' ? '' : '2')." = '".mysql_real_escape_string($inhalte)."' where zk_id = '$zk_id' limit 1;";
		abfrage2($sql);
		$userResp->assign('img_'.$akte.'_'.$zk_id, 'src', "img/stift.png");
		$userResp->assign($akte.'akte_'.$zk_id, 'innerHTML', $inhalte ? strCut($inhalte,50) : '');
	} else {
		$userResp->assign($akte.'akte_'.$zk_id, 'innerHTML', "<textarea onkeyup=\"document.getElementById('txt_".$akte."_".$zk_id."').value = this.value\">$inhalte</textarea>");
		$userResp->assign('img_'.$akte.'_'.$zk_id, 'src', "img/senden.png");
	}
	$userResp->assign($akte.'_'.$zk_id, 'value', $onoff ? 0 : 1);
	return $userResp;
}

function CodeTTT($zk_id, $code) {
	abfrage2("update tb_ab_zk set code_ttt='$code' where zk_id='$zk_id'");
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('EinstellungenSpeichern');
$xajax->registerFunction('zk_ab');
$xajax->registerFunction('zk_ok');
$xajax->registerFunction('TextArea');
$xajax->registerFunction('CodeTTT');
/* --- Ende Abschnitt (X)AJAX --- */

$return=(isset($_SESSION[$AppCode]['url']) && strpos($_SESSION[$AppCode]['url'],"lom.php")!==false) ? $_SESSION[$AppCode]['url'] : "lom.php";
if (!empty($_POST["save_form"])){
	header("Location: $return");
}

require("inc/auth.inc.php");
require("inc/stw.inc.php");
/* Zeitkarten von TTT-Projekten ggf. sperren */
if (isset($_POST['zk_sperren']) && $_POST['zk_sperren'] > 0){
	$sql  = "update tb_ab_zk set sperre = 'j', ";
	$sql .= "sperre_id = '{$_SESSION[$AppCode]['UID']}', ";
	$sql .= "sperre_dt = now() where zk_id = '{$_POST['zk_sperren']}' limit 1;";
	abfrage2($sql);
}

/* Zeitkarten von TTT-Projekten ggf. entsperren */
if (isset($_POST['zk_entsperren']) && $_POST['zk_entsperren'] > 0){
	$sql  = "update tb_ab_zk set sperre = 'n', ";
	$sql .= "sperre_id = NULL, ";
	$sql .= "sperre_dt = NULL where zk_id = '{$_POST['zk_entsperren']}' limit 1;";
	abfrage2($sql);
}

/* Gruppen-Reflexion speichern? */
if (isset($_POST['save_refl'])){
	$sql  = "update tb_lom set reflexion='$rvar_reflexion' where lom_id = '$rvar_lom_id';";
	abfrage2($sql);
}

/* Form soll gespeichert werden */
if (!empty($_POST["save"])){
	$r_datum = check_date($rvar_datum);
	$r_beginn = check_time($rvar_beginn);
	$r_ende = check_time($rvar_ende);

	$beginn = date_time_stamp($r_datum, $r_beginn);
	$ende = date_time_stamp($r_datum, $r_ende);

	if ($rvar_tender > 0 && $rvar_action == 5){
		$sql = "select tender from tb_lom where lom_id = '$rvar_lom_id';";
  	$tlom_alt = abfrage($sql);
	}

	$sql = (isset($rvar_lom_id)) ? 'update ' : 'insert into ';

	if ($rvar_ende == ''){
		$sql .= "tb_termine set von = '$beginn', ";
		$sql .= "bis = date_add('$beginn', interval 5 hour), terminart = 'l' ";
	} else {
		$sql .= "tb_termine set von = '$beginn', ";
		$sql .= "bis = '$ende', terminart = 'l' ";
	}

	if (isset($rvar_lom_id)) {
		$sql .= " where termin_id = '$rvar_termin_id';";
	} else {
		$sql .= ";";
	}

	abfrage2($sql);

	/* Insert-ID aus tb_termine ermitteln */
	if (!isset($rvar_lom_id)) $id = mysql_insert_id();

  $tn_fem = $rvar_tn_fem==='' ? 'NULL' : "'$rvar_tn_fem'";
  $tn_mal = $rvar_tn_mal==='' ? 'NULL' : "'$rvar_tn_mal'";
  $sql = (isset($rvar_lom_id)) ? 'update ' : 'insert into ';
  $sql .= "tb_lom set	pers_id = '$rvar_pers_id', art_id = '$rvar_art_id', ";
  $sql .= "tender = '$rvar_tender', action = '$rvar_action', ";
  $sql .= "tn_mal = $tn_mal, tn_fem = $tn_fem, ";
  $sql .= "tn_age = '$rvar_tn_age', tn_mal_sc = '$rvar_tn_mal_sc', ";
  $sql .= "tn_fem_sc = '$rvar_tn_fem_sc', text = '$rvar_text', ";
  $sql .= "spenden = '".str_replace(',','.',$rvar_spenden)."', ";
  $sql .= "eigen = '".str_replace(',','.',$rvar_eigen)."', ";
  $sql .= "ap_id = '$rvar_ap_id', thema = '$rvar_thema', ";
  $sql .= "km = '$rvar_km', reflexion = '$rvar_reflexion',";
  $sql .= "fahrtkosten = '".str_replace(',','.',$rvar_fahrtkosten)."', ";
  $sql .= "material = '".str_replace(',','.',$rvar_material)."'";

  /* Daten zur Einsatzvorbereitung nur speichern,
   * wenn Einsatzvorbereitung ausgewhlt -> ev_id = 2
  */
  if ($rvar_ev_id == 2) {
  	/* alle daten der einsatzvorbereitung speichern */
  	$r_ev_adatum = check_date($rvar_ev_adatum, 1);
  	$r_ev_edatum = check_date($rvar_ev_edatum, 1);

  	$ev_beginn = date_time_stamp($r_ev_adatum, "00:00:00");
  	$ev_ende = date_time_stamp($r_ev_edatum, "00:00:00");
  	$sql .= ", ev_id = '$rvar_ev_id', ev_pers_id = '$rvar_ev_pers_id', ";
  	$sql .= "ev_adatum = '$ev_beginn', ev_edatum = '$ev_ende'";
	} else {
		/* nur ev_id speichern */
		$sql .= ", ev_id = '$rvar_ev_id'";
	}

	if (isset($rvar_lom_id)) {
		$sql .= ", termin_id = '$rvar_termin_id' where lom_id = '$rvar_lom_id';";
	} else {
		$sql .= ", termin_id = '$id';";
  }

  abfrage2($sql);

  $lom_id_neu = mysql_insert_id();

  /*
   * Wenn Team ausgewaehlt wurde werden die Teammitglieder automatisch
   * in die Mitarbeiterliste eingetragen.
   */
  if ($rvar_tender > 0 && $rvar_action == 5){

  	/* wenn vorhandener Einsatz -> tender (Team) abfragen */
  	if (isset($rvar_lom_id)){

  		/* wenn unterschiedliche tender-Werte -> alte MA loeschen und neue aus
  		 * neuem Tender-Team eintragen, sonst nichts tun!
  		*/
  		if ($tlom_alt[0] != $rvar_tender){

  			/* alte MA loeschen */
  			$sql = "delete from tbh_lom_pers where lom_id = '$rvar_lom_id';";
  			abfrage2($sql);

  			/* Mitarbeiter des neuen Teams abfragen */
  			$sql  = "select pers_id FROM tb_lom_team_pers ";
				$sql .= "where team_id = '$rvar_tender';";
				$pers = abfrage1($sql);

				/* Mitarbeiter des neuen Teams eintragen */
				while ($zeile = mysql_fetch_row($pers)){
					$sql  = "insert into tbh_lom_pers set lom_id = '$rvar_lom_id', ";
					$sql .= "pers_id='$zeile[0]';";
					abfrage2($sql);
				}
  		}
  	} else {
  		/* neuer Einsatz */

  		/* Mitarbeiter des neuen Teams abfragen */
		$sql  = "select pers_id FROM tb_lom_team_pers ";
		$sql .= "where team_id = '$rvar_tender';";
		$pers = abfrage1($sql);

		/* Mitarbeiter des neuen Teams eintragen */
		while ($zeile = mysql_fetch_row($pers)){
			$sql  = "insert into tbh_lom_pers set lom_id = '$lom_id_neu', ";
			$sql .= "pers_id = '$zeile[0]';";
			abfrage2($sql);
		}
  	}
  }
  if (!isset($rvar_lom_id)) $rvar_lom_id = $lom_id_neu;

  /* Anleiter hinzufuegen */
  if(!empty($rvar_add_ma)){
	$sql  = "INSERT IGNORE INTO tbh_lom_anleiter ";
	$sql .= "SET lom_id='$rvar_lom_id', pers_id = '$rvar_add_ma'";
	abfrage2($sql);
  }

  /* Aufgabe hinzufuegen */
  if(!empty($rvar_add_aufgabe)){
	$sql  = "INSERT IGNORE INTO tbh_lom_aufgaben ";
	$sql .= "SET lom_id='$rvar_lom_id', aufgabe_id = '$rvar_add_aufgabe'";
	abfrage2($sql);
  }

} /* Ende Speichern Formular */

/* Anleiter aus Liste entfernen */
if(isset($_GET['del_ma']) && $_SESSION[$AppCode]['ULV'] > 5) {
	$sql  = "DELETE FROM tbh_lom_anleiter WHERE lom_id = '$rvar_lom_id' ";
	$sql .= "AND pers_id = '$rvar_del_ma' LIMIT 1";
	abfrage2($sql);
	if(isset($_GET['del2'])) {
		abfrage2("UPDATE tb_lom SET pers_id=0 WHERE lom_id='$rvar_lom_id';");
	}
}

if(isset($_GET['del_aufgabe']) && $_SESSION[$AppCode]['ULV'] > 5) {
	$sql  = "DELETE FROM tbh_lom_aufgaben WHERE lom_id = '$rvar_lom_id' ";
	$sql .= "AND aufgabe_id = '$rvar_del_aufgabe' LIMIT 1";
	abfrage2($sql);
}

if ($_GET['refresh'] == 1 && $_SESSION[$AppCode]['ULV'] > 5){
	$sql  = "select unix_timestamp(t2.von), t1.tender from tb_lom t1 ";
	$sql .= "left join tb_termine t2 using (termin_id) ";
	$sql .= "where t1.lom_id = '$rvar_lom_id';";
	$von = abfrage($sql);

	$lomps = abfrage1("select pers_id from tb_lom_team_pers where team_id = '$von[1]'");

	$sql  = "select t1.lom_id from tb_lom t1 ";
	$sql .= "left join tb_termine t2 using (termin_id) ";
	$sql .= "where unix_timestamp(t2.von) >= '$von[0]' ";
	$sql .= "and t1.tender='$von[1]';";
	$lom_ids = abfrage1($sql);
	while ($lom_id = mysql_fetch_row($lom_ids)){
		abfrage2("delete from tbh_lom_pers where lom_id='$lom_id[0]'");
		if(mysql_num_rows($lomps) > 0) {
			mysql_data_seek($lomps,0);
			while($lomp = mysql_fetch_array($lomps)) {
				$sql = "insert into tbh_lom_pers set
						lom_id = '$lom_id[0]',
						pers_id = '$lomp[0]'";
				abfrage2($sql);
			}
		}
	}
}

if (isset($rvar_lom_id)) $act = abfrage("select action from tb_lom where lom_id = '$rvar_lom_id'");
if(isset($rvar_lom_id) && $_SESSION[$AppCode]['ULV'] > 5 && $act[0]==5) {
	$page = isset($_GET['page']) ? $_GET['page'] : (isset($_GET['tag']) ? 2 : 1);
	/*--  menue  --*/
	echo "<table width=\"750\"><tr>\n";
	$class = ($page == 1) ? "menuactive" : "menuinactive";
	echo "<td width=\"200\" class=\"$class\"><a href=\"$self?page=1&lom_id=$rvar_lom_id\">Einsatzplanung</a></th>\n";
	$class = ($page == 2) ? "menuactive" : "menuinactive";
	$dat = abfrage("select date_format(t.von, '%Y-%m-%d') from tb_lom l left join tb_termine t using (termin_id) where l.lom_id = '$rvar_lom_id'");
	$tdlink = "$self?page=2&lom_id=$rvar_lom_id&tag=$dat[0]";
	echo "<td width=\"200\" class=\"$class\"><a href=\"$tdlink\">Tagesdoku</a></th>\n";
	echo "<td style=\"text-align:right\"><a href=\"klassenbuch_pr.php?lom_id=$rvar_lom_id";
	echo "&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\" ";
	echo stwToolTip('Klassenbuch drucken') . "></a></td>\n";
	echo "</tr></table>\n";
	new stwLine(1);
} else $page = 1;

$order = ($pers_order == 2) ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc";

if($page == 1) {
$action = getPersEinst($_SESSION[$AppCode]['UID'], "lom_art", 1);
if (isset($rvar_lom_id)){
	$sql  = "select t1.lom_id, t1.tn_mal, t1.tn_fem, t1.tn_age, t1.tn_mal_sc, ";
	$sql .= "t1.tn_fem_sc, t1.action, t1.art_id, t1.text, t1.spenden, t1.eigen, ";
	$sql .= "t1.ap_id, t1.pers_id, t1.termin_id, t1.thema, ";
	$sql .= "date_format(t2.von, '%d.%m.%Y') as von_datum, ";
	$sql .= "date_format(t2.von, '%H:%i') as von_zeit, ";
	$sql .= "date_format(t2.bis, '%H:%i') as bis_zeit, ";
	$sql .= "t1.ev_id, t1.ev_pers_id, ";
	$sql .= "date_format(t1.ev_adatum, '%d.%m.%Y') as ev_adatum_form, ";
	$sql .= "date_format(t1.ev_edatum, '%d.%m.%Y') as ev_edatum_form, ";
	$sql .= "t1.tender, t1.km, t1.reflexion, ";
	$sql .= "unix_timestamp(t2.von) as von_ts, ";
	$sql .= "unix_timestamp(t2.bis) as bis_ts, ";
	$sql .= "date_format(t2.von, '%Y-%m-%d') as von_my, ";
	$sql .= "t1.fahrtkosten, t1.material ";
	$sql .= "from tb_lom t1 left join tb_termine t2 using (termin_id) ";
	$sql .= "where lom_id = '$rvar_lom_id';";

	$lom = abfrage_array($sql);
	$action = $lom['action'];
	/* Downloadobjekt initialisieren */
	$datei = new stwDaten(17);
}
 //sicherstellen das die Variable initialisiert ist
 if (!isset($form_name)) $form_name = NULL;

$ti = 1;
if($_SESSION[$AppCode]['ULV'] > 5)
	echo "<form name=\"$form_name\" action=\"$self\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"save\" value=\"1\">\n";
echo "<table>\n";

echo "<tr><th class=\"cl1\">Datum:</th>\n";
echo "<td colspan=\"2\"><input type=\"text\" id=\"datum\" name=\"datum\" size=\"11\" ";
echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_lom_id)) $datum = $lom['von_datum'];
elseif (!empty($_POST['datum'])) $datum = $_POST['datum'];
else $datum = '';
echo " value=\"$datum\">&nbsp;&nbsp;TT.MM.JJJJ &nbsp; &nbsp;\n";

/* Dateien-Link */
if (isset($rvar_lom_id)){
	$link = $datei->get_klammer_link($_SESSION['webdir'],
																	$_SESSION[$AppCode]['UID'],
																	$_SESSION[$AppCode]['ULV'],
						 											$rvar_lom_id, '0');
	echo "$link\n";
}
echo "</td>";
if($action == 5) {
	$sql = "select (concat(left(b.vorname,1), '. ', b.name)), z.zk_id, p.proj_id, 
			date_format(t.von, '%H:%i') as von,
			date_format(t.bis, '%H:%i') as bis,
			b.teldienst, b.telmobil, inhalte
			from tb_ab_zk z
			left join tb_termine t using(termin_id)
			left join tb_projekte p using(proj_id)
			left join tb_hilfeart h using(hilfeart_id)
			left join tb_personal b using (pers_id)
			where unix_timestamp(t.von) < '{$lom['bis_ts']}'
			and unix_timestamp(t.bis) > '{$lom['von_ts']}'
			and h.hilfeart = 'TTS'
			order by t.von asc";
	$ttss = abfrage1($sql);
	if(mysql_num_rows($ttss) > 0) {
		echo "<td colspan=\"2\" rowspan=\"7\"><table><tr><td style=\"padding-top:4px;\"><b>DSA:</b></td><td><table>";
		while ($tts = mysql_fetch_row($ttss)){
			echo "<tr><td class=\"cl1\"><a href=\"pro_ab_zk.php?zk_id=$tts[1]&proj_id=$tts[2]\"";
			if($ulv > 5) echo stwToolTip($tts[7]);
			echo ">$tts[3] - $tts[4]</a></td>\n";
			$titel = $tts[5];
			if (empty($titel)) $titel = $tts[6]; else if($tts[6]) $titel .= " | ".$tts[6];
			echo "<td><a href=\"pers_and.php?pers_id=$tts[0]\"";
			echo stwToolTip($titel) . ">$tts[0]</a></td></tr>\n";
		}
		echo "</table></td></tr></table></td>";
	}
} elseif(isset($rvar_lom_id)) {
	echo "<td colspan=\"30\" style=\"text-align:right\">";
	echo "<a href=\"lom_det_pr.php?&lom_id=$rvar_lom_id&ts=" . time() . "\"";
	echo " target=\"_pdf\"><img src=\"img/drucker.png\"";
	echo stwToolTip('Dokumentation drucken');
	echo "border=\"0\"></a></td>";
}
echo "</tr>\n";


echo "<tr><th class=\"cl1\">Beginn:&nbsp;</th>\n";
echo "<td colspan=\"4\"><input type=\"text\" name=\"beginn\" size=\"6\" ";
echo "maxlength=\"5\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_lom_id)){
	echo " value=\"{$lom['von_zeit']}\"";
} elseif (!empty($_POST['beginn'])){
	echo " value=\"{$_POST['beginn']}\"";
}
echo ">&nbsp;&nbsp;HH:MM</td></tr>\n";

echo "<tr><th class=\"cl1\">Ende:&nbsp;</th>\n";
echo "<td colspan=\"4\"><input type=\"text\" name=\"ende\" size=\"6\" ";
echo "maxlength=\"5\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_lom_id)){
	echo " value=\"{$lom['bis_zeit']}\"";
} elseif (!empty($_POST['ende'])){
	echo " value=\"{$_POST['ende']}\"";
}
echo ">&nbsp;&nbsp;HH:MM</td></tr>\n";


echo "<tr><th class=\"cl1\">Art:</th>\n";

echo "<td><select name=\"action\" size=\"1\" tabindex=\"$ti\" "; $ti++;
echo "onChange=\"this.form.submit();\" id=\"art\">";

echo"<option value=\"1\"";
if ($action == 1) echo ' selected';
echo ">LOM-lok</option>\n";

echo "<option value=\"2\"";
if ($action == 2) echo ' selected';
echo ">LOM-reg</option>\n";

echo "<option value=\"5\"";
if ($action == 5) echo ' selected';
echo ">Tender</option></select>";

/* Smiley zum Speichern einer persoenlichen Einstellung */
echo "&nbsp;<a href=\"#\" style=\"color: #ccc\" id=\"TraegerIcon\"";
echo " onclick=\"xajax_EinstellungenSpeichern({$_SESSION[$AppCode]['UID']}, art.value)\"";
echo stwToolTip('Art als pers&ouml;nliche Einstellung speichern!') . ">:)</a>\n";

echo "</td></tr>\n";

/*  Tenderart festlegen, wenn Tender gewaehlt wurde -sonst Aktion zeigen*/
//if ($_POST['action'] == 5 || $lom['action'] == 5){

echo "<tr id=\"team_zeile\"";
if ($action != 5){
	echo " style=\"display: none;\"";
}
echo "><th class=\"cl1\">Team:</th>\n";

if ($_SESSION[$AppCode]['ULV'] > 5){
	$tenderteam = empty($_POST['tender']) ? $lom['tender'] : $_POST['tender'];
	/* Abfragen der vielleicht schon vorhandenen Teams */
	$erg = abfrage1("SELECT team_id, name FROM tb_lom_team 
					where aktiv='1' or team_id='$tenderteam';");
	echo "<td><select name=\"tender\" size=\"1\" tabindex=\"$ti\" ";
	echo ">"; $ti++;

	echo "<option value=\"0\">Team w&auml;hlen</option>\n";

	while ($zeile = mysql_fetch_row($erg)){
		$sel = ($tenderteam == $zeile[0]) ? 'selected' : '';
      echo "<option value=\"$zeile[0]\" $sel>$zeile[1]</option>\n";
  }
  echo "</select>\n";

  echo "<input type=\"button\" value=\"Teambesetzung festlegen\" ";
  echo "onClick=\"self.location.href='lom_team.php";
  if (!empty($_REQUEST['lom_id'])) echo "?lom_id=" . $_REQUEST['lom_id'];
  echo "'\"></td>\n";
  echo "</tr>\n";
} else {
	$sql = "SELECT name FROM tb_lom_team WHERE team_id = '$lom[22]';";
  $erg = abfrage($sql);
	echo "<th>$erg[0]</th></tr>\n";
}


echo "<tr id=\"aktion_zeile\"";
if ($action == 5) echo " style=\"display: none;\"";
echo "><th class=\"cl1\">Aktion:</th><td>";
echo "<select name=\"art_id\" size=\"1\" tabindex=\"$ti\">"; $ti++;
echo "<option value=\"0\">Art des Einsatzes w&auml;hlen!</option>";

$sql = "select art_id, ga_art from tb_ga_art where aktiv='j' or art_id='{$lom['art_id']}' order by ga_art asc;";
$res = abfrage1($sql);

while ($zeile = mysql_fetch_row($res)) {
	echo "<option value=\"$zeile[0]\"";
	if ($lom['art_id'] == $zeile[0]) echo ' selected';
  echo ">$zeile[1]</option>\n";
}
echo "</select></td></tr>\n";

echo "<tr><th class=\"cl1\">Thema:</th>\n";
echo "<td colspan=\"4\"><input type=\"text\" name=\"thema\" size=\"40\" ";
echo "maxlength=\"40\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_lom_id)) echo " value=\"{$lom['thema']}\"";
echo "></td></tr>\n";

$abtname = ($action == 5) ? 'TTMitarbeiter' : 'LOM';

/* zugeordnete Aufgaben */
$aufgaben = array();
echo "<tr><th>Aufgaben:</th><td colspan=\"30\">\n<table>\n";
if (isset($rvar_lom_id)) {
	$anls=abfrage1("select p.pers_id from tb_lom l
					left join tbh_lom_anleiter a using(lom_id)
					left join tb_personal p on (p.pers_id = l.pers_id or p.pers_id = a.pers_id)
					where l.lom_id = '{$rvar_lom_id}'
					group by p.pers_id
					order by $order;");

  $sql  = "select t1.nr, t1.aufgabe_id, t2.prioritaet, ";
  $sql .= "date_format(t1.termin,'%d.%m.%Y') as termin, t3.pers_id, ";
  $sql .= "t1.autor, t1.titel, t1.erledigt, ";
  $sql .= "to_days(t1.termin) as to_termin, to_days(curdate()) as to_heute, ";
  $sql .= "t2.farbe from tbh_lom_aufgaben h ";
  $sql .= "left join tb_aufgaben t1 using(aufgabe_id) ";
  $sql .= "left join tb_prio t2 using (prio) ";
  $sql .= "left join tbh_pers_auf t3 on t1.aufgabe_id = t3.aufgabe_id ";
  $sql .= "left join tb_personal_abt abt on t1.abt_id = abt.abt_id ";
  $sql .= "where h.lom_id = '{$rvar_lom_id}' and t3.zust = 'j'";
  $sql .= "order by t1.termin asc;";
  $aufs = abfrage1($sql);

  if (mysql_num_rows($aufs) > 0){
    echo "<tr><th class=\"cl1\">Nr.</a></th>\n";
    echo "<th class=\"cl1\">Priorit&auml;t</a></th>\n";
    echo "<th class=\"cl1\">f&auml;llig</a></th>\n";
    echo "<th class=\"cl1\">zust&auml;ndig</a></th>\n";
    echo "<th class=\"cl1\">Autor</a></th>\n";
    echo "<th class=\"cl1\">Titel</a></th>\n";
    echo "<th class=\"cl1\">erledigt</a></th>\n";
    echo "</tr>\n";
    new stwTabLine(2,30);

    while ($zeile = mysql_fetch_assoc($aufs)) {
      $aufgaben[] = $zeile['aufgabe_id'];
      echo "<tr><td>";
      echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\">{$zeile['nr']}</a>";
      echo "</td>\n<td style=\"text-align:center;color:{$zeile['farbe']}\">{$zeile['prioritaet']}</td>";

      if ($zeile['erledigt'] == 100){
  		$style = "style=\"color:#CCCCCC\"";
  		$text = "title=\"Aufgabe erledigt\"";
      } elseif ($zeile['to_termin'] < $zeile['to_heute']){
  		$style = "style=\"color:#FF0000\"";
  		$text = "title=\"Aufgabe berfllig\"";
      } elseif ($zeile['erledigt'] > 0 && $zeile['erledigt'] < 100){
  		$style = "style=\"color:#00FF00\"";
  		$text = "title=\"Aufgabe begonnen\"";
      } else {
  		$style = " ";
  		$text = " ";
      }

      echo "<td class=\"cl1\">";
      echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\" $style $text>";
      echo $zeile['termin'] . "</a></td>";

      $zust = ($zeile['pers_id'] == 99999) ? 'C-Zeitenliste' : pers_kname($zeile['pers_id']);
      $aut  = pers_kname($zeile['autor']);
      $czust = pers_farbe($zeile['pers_id']);
      $caut = pers_farbe($zeile['autor']);
	  $tt = '';
	  $zuspers = abfrage1("select pers_id, auf from tbh_pers_auf where aufgabe_id='{$zeile['aufgabe_id']}' and zust='n'");
	  if(mysql_num_rows($zuspers) > 0) {
		while($zusper = mysql_fetch_row($zuspers)) {
			$tt .= pers_kname($zusper[0]);
			if(strlen($zusper[1]) > 0) $tt .= ": $zusper[1]";
			$tt .= "<br />";
		}
		$tt = stwToolTip($tt,false);
	  }
      echo "<td $tt style=\"color:$czust;padding-right:5px\">$zust</td>\n";
      echo "<td style=\"color:$caut;padding-right:5px\">$aut</td>\n";
      echo "<td class=\"cl1\">{$zeile['titel']}</td>\n";
      echo "<td style=\"padding-right:5px;text-align:right\">";
      echo proz_form($zeile['erledigt'], 0) . "</td>\n";
      if ($_SESSION[$AppCode]['ULV'] > 5) {
        echo "<td><a href=\"$self?lom_id=$rvar_lom_id&";
        echo "del_aufgabe={$zeile['aufgabe_id']}\" style=\"color: #0f0;\"";
        echo stwToolTip('Aufgabe aus Einsatzplanung l&ouml;schen!');
        echo ">X</a></td>";
      }
      echo "</tr>\n";
    }
    new stwTabLine(2,30);
  }
}
echo "<tr><td colspan=\"30\">";
echo "<table cellspacing=\"0\" cellpadding=\"0\"><tr><td class=\"cl20\">";
echo "<select name=\"add_aufgabe\" size=\"1\" style=\"width:300px\" tabindex=\"$ti\" ";
echo "onChange=\"this.form.submit()\">\n";
echo "<option value=\"0\">- - - Aufgabe hinzuf&uuml;gen! - - -</option>\n";

if(isset($_POST['suche']) && strlen($_POST['suche']) > 0) {
	$suche = "and (nr like '%{$_POST['suche']}%' OR titel like '%{$_POST['suche']}%') ";
} else $suche = '';

$zustaendige = $and = '';
if (mysql_num_rows($anls) > 0) {
	while($anl = mysql_fetch_row($anls)) {
		if($zustaendige != '') $zustaendige .= ',';
		$zustaendige .= $anl[0];
	}
	mysql_data_seek($anls,0);
}
$sql = "SELECT a.aufgabe_id, a.nr, a.titel, 
		to_days(a.termin) as to_termin, 
		to_days(curdate()) as to_heute,
		date_format(a.termin, '%d.%m.%Y')";
if($zustaendige != '') $sql .= ", h.pers_id";
$sql.=" FROM tb_aufgaben a
		LEFT JOIN tb_personal_abt p USING ( abt_id ) ";
if($zustaendige != '') {
	$sql .= "LEFT JOIN tbh_pers_auf h USING ( aufgabe_id ) ";
}
$sql .= "WHERE p.name = '$abtname' and a.erledigt < 100
		$suche ";
if($zustaendige != '') {
	$sql .= "AND h.pers_id in ($zustaendige)";
}
$sql .= "ORDER BY a.termin ASC, a.nr ASC;";
$aufgs = abfrage1($sql);

$option = $ZustPers = '';
$lastOption = 0;
while ($aufgabe = mysql_fetch_row($aufgs)){
	if (!in_array($aufgabe[0], $aufgaben)){
		if($lastOption != $aufgabe[0]) {
			echo $option;
			$ZustPers = '';
		}
		$option = "<option value=\"$aufgabe[0]\"";
		if($aufgabe[3] < $aufgabe[4]) $option .= " style=\"color:red\"";
		$option .= ">$aufgabe[1] $aufgabe[2] ";
		if($zustaendige != '') {
			if($ZustPers != '') $ZustPers .= ', ';
			$ZustPers .= pers_kname($aufgabe[6]);
			$option .= "($ZustPers) ";
		}
		$option .= "[$aufgabe[5]]</option>\n";
		$lastOption = $aufgabe[0];
	}
}
echo $option;
if($zustaendige != '') {
	echo "<option value=\"0\">-------------------------------</option>\n";
	$sql = "SELECT a.aufgabe_id, a.nr, a.titel, 
			to_days(a.termin) as to_termin, 
			to_days(curdate()) as to_heute,
			date_format(a.termin, '%d.%m.%Y')
			FROM tb_aufgaben a
			LEFT JOIN tb_personal_abt p USING ( abt_id )
			LEFT JOIN tbh_pers_auf h ON ( h.aufgabe_id = a.aufgabe_id and h.pers_id in ($zustaendige) )
			WHERE p.name = '$abtname' and a.erledigt < 100
			$suche
			AND h.aufgabe_id IS NULL
			ORDER BY a.termin ASC, a.nr ASC;";
	$aufgs = abfrage1($sql);
	while ($aufgabe = mysql_fetch_row($aufgs)){
		if (!in_array($aufgabe[0], $aufgaben)){
			echo "<option value=\"$aufgabe[0]\"";
			if($aufgabe[3] < $aufgabe[4]) echo " style=\"color:red\"";
			echo ">$aufgabe[1] $aufgabe[2] ";
			echo "[$aufgabe[5]]</option>\n";
		}
	}
}
echo "</select></td>";
echo "<td class=\"cl11\"><img".stwToolTip("Aufgaben-Auswahl auf gesuchte reduzieren")."src=\"img/lupe_grau.png\"></td>";
echo "<td class=\"cl1\"><input type=\"text\" size=\"15\" name=\"suche\"";
if(isset($_POST['suche'])) echo " value=\"{$_POST['suche']}\"";
echo "></td><td><input type=\"image\" src=\"img/senden.png\" /></td>";
echo "</tr></table></td>\n";

$vormerkungen=abfrage1("select vm_id from tbh_pers_vormerk where pers_id in (
							select pers_id from tbh_lom_anleiter where lom_id = '$rvar_lom_id'
						) and unix_timestamp(zeit) <= '{$lom['bis_ts']}' 
						and unix_timestamp(zeit) >= '{$lom['von_ts']}'
						group by vm_id order by zeit asc");
$cnt = mysql_num_rows($vormerkungen);
if($cnt > 0) {
	$en = $cnt>1 ? 'en' : '';
	$url = "vormerkliste.php?state=all";
	$tt = "<ul style=\"margin:0;padding-left:12px\">";
	while ($vml = mysql_fetch_row($vormerkungen)) {
		$url .= "&amp;vmid[]=$vml[0]";
		$vm = abfrage("select anzahl, name from tb_vormerkliste where vm_id='$vml[0]'");
		$tt .= "<li>$vm[0] $vm[1]</li>";
	}
	$tt .= '</ul>';
	echo "<td><a href=\"$url\"".stwToolTip($tt).">($cnt Vormerkung$en bearbeitet)</a></td>";
}

echo "</tr></table>\n</td></tr>\n";

/* Anleiter */
echo "<tr><th class=\"cl1\">zust&auml;ndig:</th>";
echo "<td rowspan=\"4\"><table>\n";

$mitarbeiter = array();
if (isset($rvar_lom_id)) {
	if (mysql_num_rows($anls) > 0) {
		echo "<tr><th class=\"cl1\">Name</th>\n";
		echo "<th class=\"cl1\">verantwortlich</th></tr>\n";
		new stwTabLine(2,10);
	}

	while ($ma = mysql_fetch_row($anls)){
		$mitarbeiter[] = $ma[0];
		echo "<tr><td class=\"cl1\">" . ($pers_order==2 ? pers_name2($ma[0]) : pers_name($ma[0])) . "</td>\n";

		echo "<td class=\"cl1\" style=\"text-align: center;\">";
		echo "<input type=\"radio\" name=\"pers_id\" value=\"$ma[0]\" ";
		if ($ma[0] == $lom['pers_id']) echo 'checked ';
		echo "></td>\n";

		if ($_SESSION[$AppCode]['ULV'] > 5) {
		  echo "<td><a href=\"$self?lom_id=$rvar_lom_id&";
		  $del2 = ($ma[0] == $lom['pers_id']) ? "&del2=1" : "";
		  echo "del_ma=$ma[0]$del2\" style=\"color: #f00;\"";
		  echo stwToolTip('<b>VORSICHT!</b> Mitarbeiter l&ouml;schen!');
		  echo ">X</a></td>";
		}
		echo "</tr>\n";
	}
	if (mysql_num_rows($anls) > 0) new stwTabLine(2,10);
}
echo "<tr><td colspan=\"3\">";
echo "<select name=\"add_ma\" size=\"1\" tabindex=\"$ti\" ";
echo "onChange=\"this.form.submit()\">\n";
echo "<option value=\"0\">Anleiter hinzuf&uuml;gen!</option>\n";

$mas = abfrage1("SELECT h.pers_id, p.vorname, p.name
				FROM tbh_pers_abt h
				LEFT JOIN tb_personal_abt a
				USING ( abt_id )
				LEFT JOIN tb_personal p
				USING ( pers_id )
				WHERE a.name = '$abtname'
				AND p.status_id = 2
				ORDER BY $order;");

if(mysql_num_rows($mas) == 0) 
	$mas = abfrage1("select pers_id, vorname, name 
					from tb_personal p where status_id = 2
					order by $order;");

while ($ma = mysql_fetch_row($mas)){
	if (!in_array($ma[0], $mitarbeiter)){
		$name = ($pers_order == 2) ? "$ma[2], $ma[1]" : "$ma[1] $ma[2]";
		echo "<option value=\"$ma[0]\">$name</option>\n";
	}
}
echo "</select></td></tr>\n";
echo "</table></td>\n";

echo "<td width=\"5\"></td>\n";
echo "<th class=\"cl1\">Einsatzvorbereitung:</th>\n";
echo "<td><select name=\"ev_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;

echo "<option value=\"1\"";
if (($lom['ev_id'] == 1) or ($lom['ev_id'] <> 2)) echo ' selected';
echo ">nein</option>\n";

echo "<option value=\"2\"";
if ($lom['ev_id'] == 2) echo ' selected';
echo ">ja</option>\n";

echo "</select></td></td></tr>\n";

echo "<tr><th></th>";

echo "<td width=\"5\"></td>";
echo "<th class=\"cl1\">begonnen Datum:</th>\n";
echo "<td><input type=\"text\" name=\"ev_adatum\" size=\"11\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_lom_id) and $lom[18] == 2) {
	if ($lom[20] == "00.00.0000"){
		echo " value=\"\"";
	} else {
		echo " value=\"$lom[20]\"";
	}
}
echo ">&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

echo "<tr><th></th><td width=\"5\"></td>\n";
echo "<th class=\"cl1\">Mitarbeiter:</th>\n";
echo "<td><select name=\"ev_pers_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
echo "<option>Mitarbeiter w&auml;hlen!</option>\n";

$sql  = "select pers_id from tb_personal p ";
$sql .= "where status_id = '2' order by $order;";
$res = abfrage1($sql);

while ($zeile = mysql_fetch_row($res)){
	echo "<option";
  if (isset($rvar_lom_id) && $lom[19] == $zeile[0]) echo ' selected';
  echo " value=\"$zeile[0]\">" . ($pers_order==2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
}
echo "</select></td></tr>\n";


echo "<tr><td></td>\n";
echo "<td width=\"5\"></td>\n";
echo "<th class=\"cl1\">Ende Datum:</th>\n";
echo "<td><input type=\"text\" name=\"ev_edatum\" size=\"11\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_lom_id) && $lom[18] == 2) {
	if ($lom[21] == "00.00.0000") {
		echo " value=\"\"";
	} else {
		echo " value=\"$lom[21]\"";
	}
}
echo ">&nbsp;&nbsp;TT.MM.JJJJ</td></tr><tr>\n";
echo "<tr><td></td>\n";
echo "<td><input type=\"button\" id=\"aktionsart_button\" ";
if ($action == 5){
	echo " style=\"display: none;\"";
}
echo "value=\"neue Aktionsart\" onClick=\"self.location.href='";
echo "ga_art.php?tg=lom&'\" tabindex=\"$ti\"></td></tr>\n";

/*
 * Ansprechpartner Daten ermitteln um einen Link zum Kontakt
 * herstellen zu koennen
 */
$sql  = "SELECT t2.teldienst, t2.telmobil, t2.kont_id, t1.ap_id ";
$sql .= "FROM tb_lom t1 ";
$sql .= "LEFT JOIN tb_kontakte_ap t2 ON t1.ap_id = t2.ap_id ";
$sql .= "WHERE lom_id='".$_GET['lom_id']."';";
$daten = abfrage($sql);

$title = "";

if (!empty($daten[0])) $title .= $daten[0];
if (!empty($daten[1])){
	if (!empty($title)) $title .= " | ";
  $title .= $daten[1];
}

/* wenn jetzt nichts drin steht dann nur Text anzeigen */
if (empty($title)) $title = "zum Ansprechpartner";

/* Link zum Ansprechpartner zusammenstellen */
if ($daten[2] > 0){
	$sql  = "SELECT kont_art_id FROM tb_kontakte ";
  $sql .= "WHERE kont_id='".$daten[2]."' and kh_id='0';";

  $kontakt = abfrage($sql);

  $link  = "kont_ap_and.php?ap_id=".$daten[3]."&kont_id=".$daten[2]."&ka=";
  $link .= $kontakt[0]."&st=".k_art_seite($kontakt[0]);
} else {
	$link = "personen_and.php?ap_id=".$daten[3];
}

/* Ausgabe des Links */
echo "<th><a href=\"$link\"" .stwToolTip($title). ">Ansprechpartner</a></th>\n";

echo "<td colspan=\"4\"><select name=\"ap_id\" size=\"1\" tabindex=\"$ti\">\n";
$ti++;
echo "<option value=\"0\">Ansprechpartner w&auml;hlen!</option>\n";
$sql  = "select t1.ap_id, concat(t2.name, ' - ', t1.vorname, ' ', t1.name) ";
$sql .= "from tb_kontakte_ap t1 left join tb_kontakte t2 on t2.kont_id = t1.kont_id and t2.kh_id='0' ";
$sql .= "where t1.lom = 'j' order by t2.name asc, t1.vorname asc, t1.name asc;";
$res = abfrage1($sql);

while ($zeile = mysql_fetch_row($res)){
	echo "<option";
	if (isset($rvar_lom_id) && $lom[11] == $zeile[0]) echo ' selected';
  echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
}
echo "</select></td></tr>\n";

echo "<tr><td></td>\n";
echo "<td colspan=\"4\" style=\"font-size:8pt\">(LOM-Ansprechpartner ";
echo "m&uuml;ssen in den Kontakten mit dem entsprechenden Merkmal ";
echo "stehen!)</td></tr>\n";

echo "<tr id=\"entfernung_zeile\"";
if ($action == 5) echo " style=\"display: none;\"";
echo "><th class=\"cl11\">Entfernung:</th>\n";
echo "<td><input type=\"text\" name=\"km\" size=\"4\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_lom_id)) echo " value=\"{$lom['km']}\"";
echo " style=\"text-align: right;\">&nbsp;&nbsp;km</td></tr>\n";

echo "<tr id=\"teiln_m_zeile\"";
if ($action == 5) echo " style=\"display: none;\"";
echo "><th>Teilnehmer m&auml;nnlich:&nbsp;</th><td width=\"10\">\n";
echo "<input type=\"text\" name=\"tn_mal\" size=\"3\" maxlength=\"3\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_lom_id)) echo " value=\"$lom[1]\"";
echo "></td><td width=\"5\"></td>\n";

echo "<th width=\"100\">Bewertung:</th>\n";
echo "<td><input type=\"text\" name=\"tn_mal_sc\" size=\"3\" maxlength=\"3\" ";
echo "tabindex=\"$ti\" style=\"font-weight:normal\""; $ti++;
if (isset($rvar_lom_id) && $lom[4] > 0) echo " value=\"$lom[4]\"";
echo "></td></tr>\n";

echo "<tr id=\"teiln_w_zeile\"";
if ($action == 5) echo " style=\"display: none;\"";
echo "><th>Teilnehmer weiblich:</th>\n";
echo "<td width=\"10\"><input type=\"text\" name=\"tn_fem\" size=\"3\" ";
echo "maxlength=\"3\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_lom_id)) echo " value=\"$lom[2]\"";
echo "></td><td width=\"5\"></td>\n";
echo "<th width=\"100\">Bewertung:&nbsp;</th>\n";
echo "<td><input type=\"text\" name=\"tn_fem_sc\" size=\"3\" maxlength=\"3\" ";
echo "tabindex=\"$ti\" style=\"font-weight:normal\""; $ti++;
if (isset($rvar_lom_id) && $lom[5] > 0) echo " value=\"$lom[5]\"";
echo "></td></tr>\n";

echo "<tr id=\"teiln_alter_zeile\"";
if ($action == 5) echo " style=\"display: none;\"";
echo "><th>Durchschnittsalter<br>der Teilnehmer:</th>\n";
echo "<td><input type=\"text\" name=\"tn_age\" size=\"3\" maxlength=\"3\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_lom_id) && $lom[3] > 0) echo " value=\"$lom[3]\"";
echo "></td></tr>\n";

echo "<tr id=\"eigenanteil_zeile\"";
if ($action == 5) echo " style=\"display: none;\"";
$tt = stwToolTip("wenn Kostenerstattung geringer als Richtlinie");
echo "><th $tt>Eigenanteil Stellwerk:</th>\n";
echo "<td><input type=\"text\" name=\"eigen\" size=\"8\" maxlength=\"10\" ";
echo "tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
if (isset($rvar_lom_id) && $lom[10] > 0) echo " value=\"" . geld_form_formular($lom[10]) . "\"";
echo ">&nbsp;&euro;</td></tr>\n";

echo "<tr id=\"spenden_zeile\"";
if ($action == 5) echo " style=\"display: none;\"";
echo "><th>Spenden:</th>\n";
echo "<td><input type=\"text\" name=\"spenden\" size=\"8\" maxlength=\"10\" ";
echo "tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
if (isset($rvar_lom_id) && $lom[9] > 0) echo " value=\"" . geld_form_formular($lom[9]) . "\"";
echo ">&nbsp;&euro;</td></tr>\n";

echo "<tr id=\"fahrtkosten_zeile\"";
if ($action == 5) echo " style=\"display: none;\"";
echo "><th>Fahrtkosten:</th>\n";
echo "<td><input type=\"text\" name=\"fahrtkosten\" size=\"8\" maxlength=\"10\" ";
echo "tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
if (isset($rvar_lom_id) && $lom['fahrtkosten'] > 0) echo " value=\"" . geld_form_formular($lom['fahrtkosten']) . "\"";
echo ">&nbsp;&euro;</td></tr>\n";

echo "<tr id=\"material_zeile\"";
if ($action == 5) echo " style=\"display: none;\"";
echo "><th>Materialkosten:</th>\n";
echo "<td><input type=\"text\" name=\"material\" size=\"8\" maxlength=\"10\" ";
echo "tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
if (isset($rvar_lom_id) && $lom['material'] > 0) echo " value=\"" . geld_form_formular($lom['material']) . "\"";
echo ">&nbsp;&euro;</td></tr>\n";

echo "<tr><th>Notizen:</th>\n";
echo "<td colspan=\"4\"><textarea cols=\"70\" rows=\"6\" name=\"text\" ";
echo "tabindex=\"$ti\">"; $ti++;
if (isset($rvar_lom_id)) echo $lom[8];
echo "</textarea></td></tr>\n";

if($ulv > 5) {
	echo "<tr><th>Reflexion:</th>\n";
	echo "<td colspan=\"4\"><textarea cols=\"70\" rows=\"6\" name=\"reflexion\" ";
	echo "tabindex=\"$ti\">"; $ti++;
	if (isset($rvar_lom_id)) echo $lom['reflexion'];
	echo "</textarea></td></tr>";
}
echo "</table>\n";

new stwLine(2);

echo "<table>\n";

/* Mitarbeiterliste */
if (isset($rvar_lom_id)) {
	if(isset($_POST['tn_add']) && $_POST['tn_add'] != 0) {
		$sql = "insert into tbh_lom_pers set pers_id = '$rvar_tn_add', ";
		$sql .= "wertung = '$rvar_tn_wertung', ";
		$sql .= "stunden = '".str_replace(',','.',$rvar_tn_stunden)."', ";
		$sql .= "lom_id = '$rvar_lom_id'";
		abfrage2($sql);
	}
	$name = ($pers_order == 2) ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
	$sql  = "select t1.pers_id, concat($name), t1.wertung, ";
	$sql .= "t1.stunden, p.status_id from tbh_lom_pers t1 ";
	$sql .= "left join tb_personal p using(pers_id) ";
	$sql .= "where lom_id = '$rvar_lom_id' order by $order;";
	$res = abfrage1($sql);

	$numPers = mysql_num_rows($res);
	if ($numPers > 0) {
		echo "<tr>";
		echo "<th class=\"cl1\">Mitarbeiter";
		echo "</th>";
		if ($action != 5) {
			echo "<th class=\"cl1\">Wertung</th>";
			echo "<th class=\"cl1\">Stunden</th>";
		}
		echo "<td><a href=\"$self?lom_id=$rvar_lom_id&refresh=1\"";
		echo stwToolTip('Mitarbeiterliste auf Basis des gew&auml;hlten Teams<br>in diesem und zuk&uuml;nftigen Eins&auml;tzen aktualisieren!');
		echo "><img src=\"".image('refresh')."\" /></a></td>\n";

		$data = array();
		$belehrungen = array();
		$ausgaben = array();
		$tn = '';
		while ($row = mysql_fetch_row($res)) {
		  $proj = abfrage1("select proj_id from tb_projekte p
							left join tbh_pers_proj pp using (proj_id)
							where pp.pers_id = '$row[0]' and 
							(p.ende >= '{$lom['von_my']}' or unix_timestamp(p.ende) = '0' or unix_timestamp(p.ende) IS NULL)");
			$tn .= "&tn[]=$row[0]";
			if(mysql_num_rows($proj) > 0) $data[$row[0]]['name'] = $row[1];
			else $data[$row[0]]['name'] = "<span style=\"color:#CCCCCC\"" . stwToolTip('kein aktives Projekt') . ">$row[1]</span>";
			$data[$row[0]]['wertung'] = $row[2];
			$data[$row[0]]['stunden'] = $row[3];
			if ($action == 5) {
				$abts = abfrage1("select abt_id from tbh_pers_abt where pers_id = '$row[0]'");
				while ($abt = mysql_fetch_row($abts)) {
					$bels = abfrage1("select b.bel_kat_id, a.abt_id, b.kat, b.wiederholung from tb_bel_kat b
					                  left join tbh_bel_kat_abt a using (bel_kat_id)
					                  group by b.bel_kat_id
					                  order by (a.abt_id='$abt[0]') desc");
					while ($bel = mysql_fetch_row($bels)) {
						if(is_null($bel[1]) || $bel[1]==$abt[0]) {
							$belehrungen[$bel[0]] = $bel[2];
							$sql = "select p.proj_id from tb_projekte p 
							        left join tbh_pers_proj h on p.proj_id = h.proj_id 
							        left join tb_personal pers on h.pers_id = pers.pers_id 
							        where h.pers_id = '$row[0]' and h.personaltyp_id = '1' 
							        AND (unix_timestamp(p.ende) >= '{$lom['von_ts']}' 
							        OR p.ende IS NULL OR p.ende='0000-00-00') 
							        ORDER BY (unix_timestamp(p.ende)=0) DESC, p.ende DESC LIMIT 1";
							$proj_id = abfrage($sql);
							$sql = "SELECT h.hp_id, date_format(h.datum, '%d.%m.%y'), unix_timestamp(h.datum)
									FROM tbh_hp_bel_person hbp
									LEFT JOIN tb_hp_bel hb USING ( hp_id )
									LEFT JOIN tb_hp h USING ( hp_id )
									LEFT JOIN tbh_proj_personen p USING ( proj_id )
									WHERE h.proj_id = '$proj_id[0]' AND h.hp_art = 'b'
									AND hb.bel_kat_id = '$bel[0]' AND p.perstyp_id = '1'
									ORDER BY h.datum DESC LIMIT 1 ";
							$hp = abfrage($sql);
							if(empty($hp[0])) $data[$row[0]][$bel[0]] = "&nbsp;";
							else {
								$style = '';
								if($bel[3] > 0) {
									$mon = intval($bel[3]);
									$day = intval(30 * ($bel[3] - $mon));
									$ndat_ts = mktime(0,0,0,date('n',$hp[2])+$mon,date('j',$hp[2])+$day,date('Y',$hp[2]));
									$ndat = date('d.m.Y', $ndat_ts);
									if($ndat_ts < mktime()) $style="style=\"color:red\"" . stwToolTip("Belehrung h&auml;tte am $ndat aufgefrischt sein sollen");
									elseif($ndat_ts < mktime() + 864000) $style="style=\"color:#00FF00\"" . stwToolTip("Belehrung bis zum $ndat auffrischen");
								}
								$data[$row[0]][$bel[0]] = "<a $style href=\"pro_bel.php?hp_id=$hp[0]&proj_id=$proj_id[0]\">$hp[1]</a>";
							}
						}
					}
				}
			}
			$ausgs = abfrage1("select k.nr from tb_keys_aus a left join tb_keys k using(key_id) where a.pers_e='$row[0]' and a.bis is NULL and k.nr != ''");
			while($ausg = mysql_fetch_row($ausgs)) {
				$ausgaben["a$ausg[0]"] = "<a href=\"arbeitsmittel.php\">$ausg[0]</a>";
				$data[$row[0]]["a$ausg[0]"] = "<b>X</b>";
			}
		}
		if ($action == 5) {
			echo "<td style=\"width:1px;background-color:#006400\" rowspan=\"".($numPers+3)."\"></td>";
			foreach($belehrungen as $k => $b) {
				echo "<th class=\"cl1\"" . stwToolTip($b);
				echo "><a href=\"pro_bel.php?kat=$k&lom_id=$rvar_lom_id".$tn."\">".strCut($b,8)."</a></th>\n";
			}
			echo "<td style=\"width:1px;background-color:#006400\" rowspan=\"".($numPers+3)."\"></td>";
			foreach($ausgaben as $ausgabe) {
				echo "<th class=\"cl1\">$ausgabe</th>\n";
			}
		}
		echo "</tr>\n";
		new stwTabLine(2,50);
		
		foreach ( $data as $k=>$v ) {
			echo "<tr><td class=\"cl1\">";
			echo "<a href=\"lom_pers.php?lom_id=$rvar_lom_id&pers_id=$k\">";
			echo $v['name'] . "</a></td>";

			if ($action != 5) {
				if ($v['wertung'] <> 0) echo "<td style=\"text-align:center\">".$v['wertung']."</td>";
				else echo "<td></td>";
				if ($v['stunden'] <> 0) stunden_zelle($v['stunden']);
				else echo "<td></td>";
			}

			if ($_SESSION[$AppCode]['ULV'] > 5) {
				echo "<td><a href=\"lom_pers_delsql.php?lom_id=$rvar_lom_id";
				echo "&pers_id=$k\" style=\"color: #f00;\"";
				echo stwToolTip('VORSICHT! L&ouml;schen!') . ">X</td>\n";
			} else {
				echo "<td></td>\n";
			}
			if ($action == 5) {
				foreach($belehrungen as $j => $b) {
					echo "<td";
					if(empty($v[$j])) echo " style=\"background-color:#999999\"" . stwToolTip('F&uuml;r diese Abteilung nicht relevant');
					echo ">$v[$j]</td>";
				}
				foreach($ausgaben as $j => $b) {
					echo "<td style=\"text-align:center\">$v[$j]</td>";
				}
			}
			echo "</tr>\n";
		}
	}

	if (mysql_num_rows($res) > 0) new stwTabLine(2,30);

  if ($_SESSION[$AppCode]['ULV'] > 5){
  	echo "</table>";
	new stwLine(2);
	echo "<table><tr>";
  	echo "<th>Mitarbeiter hinzuf&uuml;gen:</th>";
	echo "<td class=\"cl1\"><select name=\"tn_add\" tabindex=\"$ti\">"; $ti++;
	echo "<option value=\"0\">Mitarbeiter w&auml;hlen</option>\n";
	$order = ($pers_order==2) ? "name asc, vorname asc" : "vorname asc, name asc";
	$name = ($pers_order==2) ? "name, ', ', vorname" : "vorname, ' ', name";
	$sql = "select pers_id, concat($name) from tb_personal
			where pers_id not in (select pers_id from tbh_lom_pers where lom_id = '$rvar_lom_id')
			and status_id=2 order by $order";
	$pers = abfrage1($sql);
	while($per = mysql_fetch_row($pers)) {
		echo "<option value=\"$per[0]\">$per[1]</option>\n";
	}
	echo "</select></td>\n";
	echo "<th>Wertung:</th>";
	echo "<td class=\"cl1\"><input type=\"text\" name=\"tn_wertung\" tabindex=\"$ti\" "; $ti++;
	echo "maxlength=\"2\" size=\"2\" style=\"text-align:right\" /></td>\n";
	echo "<th>Stunden:</th>";
	echo "<td class=\"cl1\"><input type=\"text\" name=\"tn_stunden\" tabindex=\"$ti\" "; $ti++;
	echo "size=\"5\" maxlength=\"5\" style=\"text-align:right\" /></td>\n";
	echo "<td><input type=\"image\" src=\"img/senden.png\" /></td>\n";
	echo "</tr>\n";
  }
} else {
	echo "<tr><th>Fr Mitarbeiterliste LOM-Einsatz erst speichern!</th></tr>\n";
}

echo "</table>\n";
new stwLine(1);
echo "<table>\n";

if (isset($rvar_lom_id)) {
	echo "<input type=\"hidden\" name=\"termin_id\" ";
	echo "value=\"{$lom['termin_id']}\">\n";
	echo "<input type=\"hidden\" name=\"lom_id\" value=\"$rvar_lom_id\">\n";
}
if ($_SESSION[$AppCode]['ULV'] > 5){
	echo "<tr><td><input type=\"submit\" name=\"save_form\" ";
	echo "value=\"Speichern\"></td></tr>\n";
}

if($_SESSION[$AppCode]['ULV'] > 5) echo "</form>\n";
echo "</table>\n";
$ts = empty($datum) ? mktime() : date_gr2ts($datum);
new stwEnd($seite, "-$ts");
}
if($page==2) {
	$sql  = "select t1.lom_id, t1.text, t1.thema, ";
	$sql .= "date_format(t2.von, '%d.%m.%Y') as von_datum, ";
	$sql .= "date_format(t2.von, '%H:%i') as von_zeit, ";
	$sql .= "date_format(t2.bis, '%H:%i') as bis_zeit, ";
	$sql .= "unix_timestamp(t2.von) as von_ts, ";
	$sql .= "unix_timestamp(t2.bis) as bis_ts, t1.action, ";
	$sql .= "date_format(t2.von, '%Y-%m-%d') as von_my, t1.reflexion ";
	$sql .= "from tb_lom t1 ";
	$sql .= "left join tb_termine t2 using (termin_id) ";
	$sql .= "where lom_id = '$rvar_lom_id';";
	$lom = abfrage_array($sql);
	$action = $lom['action'];

	$tag = isset($_GET['tag']) ? date_isodate_stamp($_GET['tag']) : (empty($lom[6]) ? mktime(0,0,0,date('n'),date('j'),date('Y')) : $lom[6]);
	echo "<table><tr><td width=\"400\">";
	echo "<h3>Tagesdokumentation " . strftime('%d. %B %Y',$tag) . ", " . $lom['von_zeit'] . " - " . $lom['bis_zeit'] . "</h3>";
	echo "</td>\n";
	if($action == 5) {
		$sql = "select (concat(left(b.vorname,1), '. ', b.name)), z.zk_id, p.proj_id, 
				date_format(t.von, '%H:%i') as von,
				date_format(t.bis, '%H:%i') as bis,
				b.teldienst, b.telmobil, inhalte
				from tb_ab_zk z
				left join tb_termine t using(termin_id)
				left join tb_projekte p using(proj_id)
				left join tb_hilfeart h using(hilfeart_id)
				left join tb_personal b using (pers_id)
				where unix_timestamp(t.von) < '{$lom['bis_ts']}'
				and unix_timestamp(t.bis) > '{$lom['von_ts']}'
				and h.hilfeart = 'TTS'
				order by t.von asc";
		$ttss = abfrage1($sql);

		if(mysql_num_rows($ttss) > 0) {
			echo "<td style=\"padding-top:4px;\"><b>DSA:</b></td><td><table>";
			while ($tts = mysql_fetch_row($ttss)){
				echo "<tr><td class=\"cl1\"><a href=\"pro_ab_zk.php?zk_id=$tts[1]&proj_id=$tts[2]\"";
				echo stwToolTip($tts[7]) . ">$tts[3] - $tts[4]</a></td>\n";
				$titel = $tts[5];
				if (empty($titel)) $titel = $tts[6]; else if($tts[6]) $titel .= " | ".$tts[6];
				echo "<td><a href=\"pers_and.php?pers_id=$tts[0]\"";
				echo stwToolTip($titel) . ">$tts[0]</a></td></tr>\n";
			}
			echo "</table></td>";
		}
	}
	echo "</tr></table>\n";

	new stwLine(2);
	$sql = "select t1.nr, t1.aufgabe_id, t2.prioritaet, 
			date_format(t1.termin,'%d.%m.%Y') as termin,
			to_days(t1.termin) as to_termin, to_days(curdate()) as to_heute,
			t1.titel, t1.erledigt, t2.prio from tbh_lom_aufgaben h 
			left join tb_aufgaben t1 using(aufgabe_id) 
			left join tb_prio t2 using (prio) 
			where h.lom_id = '$rvar_lom_id' order by t1.termin asc;";
	$aufs = abfrage1($sql);
	echo "<table style=\"width:750px\"><tr>";
	$anumb = mysql_num_rows($aufs);
	if($anumb == 0) echo "<th style=\"color:red\">??? keine Aufgaben ???</th>";
	else {
		$n = $anumb == 1 ? '' : 'n';
		echo "<th>Aufgabe$n:</th><td><table cellpadding=\"0\" cellspacing=\"0\">";
		while($zeile = mysql_fetch_array($aufs)) {
			echo "<tr><td class=\"cl1\">";
			echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\">{$zeile['nr']}</a>";
			echo "</td>\n<td class=\"cl1\" style=\"text-align:center; ";
			switch ($zeile['prio']) {
				case '1': echo "color:lightgrey"; break;
				case '2': echo "color:yellow"; break;
				case '3': echo "color:red"; break;
				case '4': echo "color:#4B91B4"; break;
			}
			echo "\">{$zeile['prioritaet']}</td>";
			if ($zeile['erledigt'] == 100){
				$style = "style=\"color:#CCCCCC\"";
				$text = "title=\"Aufgabe erledigt\"";
			} elseif ($zeile['to_termin'] < $zeile['to_heute']){
				$style = "style=\"color:#FF0000\"";
				$text = "title=\"Aufgabe berfllig\"";
			} elseif ($zeile['erledigt'] > 0 && $zeile['erledigt'] < 100){
				$style = "style=\"color:#00FF00\"";
				$text = "title=\"Aufgabe begonnen\"";
			} else {
				$style = $text = " ";
			}
			echo "<td class=\"cl1\">";
			echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\" $style $text>";
			echo $zeile['termin'] . "</a></td>";
			echo "<td class=\"cl1\">{$zeile['titel']}</td></tr>\n";
		} 
		echo "</table></td>\n";
	}
	$vormerkungen=abfrage1("select vm_id from tbh_pers_vormerk where pers_id in (
								select pers_id from tbh_lom_anleiter where lom_id = '$rvar_lom_id'
							) and unix_timestamp(zeit) <= '{$lom['bis_ts']}' 
							and unix_timestamp(zeit) >= '{$lom['von_ts']}'
							group by vm_id order by zeit asc");
	$cnt = mysql_num_rows($vormerkungen);
	if($cnt > 0) {
		$en = $cnt>1 ? 'en' : '';
		$url = "vormerkliste.php?state=all";
		$tt = "<ul style=\"margin:0;padding-left:12px\">";
		while ($vml = mysql_fetch_row($vormerkungen)) {
			$url .= "&amp;vmid[]=$vml[0]";
			$vm = abfrage("select anzahl, name from tb_vormerkliste where vm_id='$vml[0]'");
			$tt .= "<li>$vm[0] $vm[1]</li>";
		}
		$tt .= '</ul>';
		echo "<td style=\"text-align:right\"><a href=\"$url\"".stwToolTip($tt).">($cnt Vormerkung$en bearbeitet)</a></td>";
	}
	echo "</tr></table>\n";
	if($anumb + $cnt > 0) new stwLine(2);

	echo "<table><tr><th class=\"cl1\">Mitarbeiter</th>";
	echo "<th class=\"cl1\" colspan=\"4\">Projekt</th><th class=\"cl1\">von</th><th class=\"cl1\">bis</th>";
	echo "<th class=\"cl1\">fls</th><th class=\"cl1\">Code</th><th class=\"cl1\" colspan=\"2\">Inhalte A-Akte extern</th>";
	if($_SESSION[$AppCode]['ULV'] > 5) echo "<th class=\"cl1\" colspan=\"2\">intern</th>";
	echo "</tr>";
	/* Abfragen aller involvierten Mitarbeiter */
	$name = ($pers_order == 2) ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
	$sql  = "select p.pers_id, concat($name) as name, t2.lom_id as referenz, p.status_id ";
	$sql .= "from tb_personal p ";
	$sql .= "left join tbh_lom_pers t1 on (t1.pers_id = p.pers_id) ";
	$sql .= "left join tbh_lom_anleiter t2 on (t2.pers_id = p.pers_id) ";
	$sql .= "where t1.lom_id = '$rvar_lom_id' or t2.lom_id = '$rvar_lom_id' ";
	$sql .= "group by p.pers_id order by (t2.lom_id = '$rvar_lom_id') desc, $order;";

	$res = abfrage1($sql);
	$empty = false;
	$show = false;
	while ($row = mysql_fetch_array($res)) {
	  if(empty($row['referenz']) == $empty) {
		/* ganz am Anfang rote Linie und dann noch mal eine nach den Betreuern */
		$i = 1;
		$empty = !$empty;
	  } else $i = 2;
	  $proj_id = 0;
	  $proj = abfrage1("select proj_id from tb_projekte p
						left join tbh_pers_proj pp using (proj_id)
						where pp.pers_id = '{$row['pers_id']}' and 
						(p.ende >= '{$lom['von_my']}' or unix_timestamp(p.ende) = '0' or unix_timestamp(p.ende) IS NULL)");
	  if(mysql_num_rows($proj) > 0) {
		new stwTabLine($i,30);
		$andttt = empty($row['referenz']) ? ",'TTT'" : '';
		/* Zeitkarten der Mitarbeiter abfragen */
		$sql = "select z.zk_id, z.proj_id, z.ab,
				date_format(t.von, '%d.%m.%Y') as datum,
				date_format(t.von, '%H:%i') as von,
				date_format(t.bis, '%H:%i') as bis,
				time_format(z.fls,'%k:%i') as fls,
				z.code_ttt, z.inhalte, z.sperre, z.sperre_id,
				unix_timestamp(z.sperre_dt) as sperre_ts,
				z.ab_monat, z.nachw_id, z.inhalte2
				from tb_ab_zk z
				left join tb_termine t using(termin_id)
				left join tb_projekte p using(proj_id)
				left join tb_hilfeart h using(hilfeart_id)
				where unix_timestamp(t.von) < '{$lom['bis_ts']}'
				and unix_timestamp(t.bis) > '{$lom['von_ts']}'
				and h.hilfeart in ('TTP','TTS','TTH','TTV'$andttt)
				and pers_id = '" . $row['pers_id'] . "'
				order by z.proj_id asc, t.von asc";
		$zks = abfrage1($sql);
		echo "<tr><td class=\"cl1\"><a href=\"pers_and.php?pers_id=" . $row['pers_id'] . "\">";
		echo $row['name'] . "</a></td>\n";
		$i = 1;
		$s = mysql_num_rows($zks);
		while ($zk = mysql_fetch_array($zks)) {
		  $pro_st = "";
		  if($proj_id != $zk['proj_id']) {
			$proj_id = $zk['proj_id'];
			$projekt = new stwProjekt($zk['proj_id']);
			if($_SESSION[$AppCode]['ULV'] < 45) {
				$sql  = "select p.pers_id from tbh_pers_proj p left join tbh_lom_anleiter a using(pers_id) ";
				$sql .= "where p.proj_id=$proj_id and a.pers_id=" . $_SESSION[$AppCode]['UID'];
				$pers = abfrage1($sql);
				if(mysql_num_rows($pers) > 0) $show = true; else $show = false;
			} else $show = true;
			if($show || $empty) {
				$hp0 = abfrage("select hp_id, date_format(datum,'%d.%m.%Y') 
								from tb_hp where proj_id='$projekt->id'
								and unix_timestamp(datum)<='{$lom['bis_ts']}'
								and hp_art in ('h','h2')
								order by datum desc limit 1");
				if($hp0[0]) {
					$query  = "SELECT t1.minimalkonsens FROM tb_hp_eg t1 "
							. "INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id "
							. "WHERE t2.proj_id = '$projekt->id'";
					$hauptziel = abfrage($query);
					$title = "<b>Datum: $hp0[1]<br />Hauptziel:</b><br />" . $hauptziel[0];
					$ziele  = abfrage1("SELECT nummer, ziel FROM tb_hp_praxisziele"
									. " WHERE hp_id IN ("
										. " SELECT hp_id FROM tb_hp"
										. " WHERE proj_id = '$projekt->id'"
										. " AND unix_timestamp(datum) <= '{$lom['bis_ts']}')"
									. " AND LE='1' AND HE='1' AND ASD='1' AND"
									. " (erledigt IS NULL OR erledigt = '0000-00-00')"
									. " ORDER BY nummer ASC");
					if(mysql_num_rows($ziele) > 0) {
					  $title .= "<br /><b>Praxisziele:</b><br /><ol style=\"margin:0px;\">";
					  while($ziel = mysql_fetch_row($ziele)) {
						$title .= "<li value='$ziel[0]'>$ziel[1]</li>";
					  }
					  $title .= "</ol>";
					}
					$tt = stwToolTip($title);
					$hp = "<a style=\"color:white\" $tt href=\"pro_hp2.php?proj_id=$projekt->id&amp;hp_id=$hp0[0]\">HP</a>";
				} else $hp = '';
				$rf0 = abfrage("select hp_id, unix_timestamp(if(unix_timestamp(and_datum) > 0, and_datum, datum)) as ts,
								date_format(if(unix_timestamp(and_datum) > 0, and_datum, datum),'%d.%m.%Y') as date
								from tb_hp where proj_id='$projekt->id'
								and unix_timestamp(if(unix_timestamp(and_datum) > 0, and_datum, datum))<='{$lom['bis_ts']}'
								and hp_art = 'r' order by ts desc limit 1");
				if($rf0[0]) {
					$title	= "Datum: $rf0[2]<br />";
					$reflex = abfrage("select prozess, fok_g, fok_s, fok_h, ergebnis from tb_hp_re where hp_id='$rf0[0]'");
					$ueberschrift = array('Prozessreflexion', 'Fokus&nbsp;Gruppe', 'Fokus&nbsp;Berater/Supervisor', 'Fokus&nbsp;Hauptbetreuer', 'Ergebnis');
					for($j=0; $j<5; $j++) {
						if(!empty($reflex[$j])) $title .= "<b>" . $ueberschrift[$j] . ":</b> " . $reflex[$j] . "<br />";
					}
					$kwg = abfrage("select kwg from tb_hp_re where hp_id = '$rf0[0]';");
					if($kwg[0] == 1) {
						$abk.= "<img src=\"img/icon_kwg.png\"";
						$kwg = abfrage("select ressourcen from tb_hp where hp_art = 'k'"
									. " and proj_id = $projekt->id and and_datum is null;");
						$abk.= stwToolTip(" <b> Anlass&nbsp;Kindeswohlgef&auml;hrdung: </b> $kwg[0]");
						$abk.= " />";
					}
					$tt = $title=='' ? '' : stwToolTip($title);
					$rf = "<a $tt $style href=\"pro_re.php?proj_id=$projekt->id&amp;hp_id=$rf0[0]\">RF</a>";
				} else $rf = '';
				$pro_st = "<a href=\"pro_daten.php?proj_id=$projekt->id\">" . $projekt->nummer() . "</a>";
				$pro_st .= "<div style=\"height:0\">$hp $rf</div>";
			}
		  }
		  if($show || $empty) { /* Falls User Betreuer in diesem Projekt ODER es sich um TTTeilnehmer handelt */
			if($i > 1) echo "<tr><td></td>"; $i++;
			echo "<td class=\"cl1\">$pro_st</td>\n";
			if ($zk['ab'] == 'j'){
				$st = "style=\"color:rgb(0,255,0)\"";
				$tt = "abrechnungsrelevant";
				if (!empty($zk['ab_monat'])){
					$st = "style=\"color:rgb(255,0,0)\"";
					$tt = "abgerechnet";
					if (!empty($zk['nachw_id'])){
						$st = "style=\"color:rgb(180,180,180)\"";
						$tt = "abgelegt";
					}
				}
			} else {
				$st = '';
				$tt = 'Termin';
			}
			if ($projekt->h_art == 'TTT' && check_nutzer_rechte(24)) {
				echo "<td><input type=\"radio\" name=\"rad_".$zk['zk_id']."\" id=\"rad1_".$zk['zk_id']."\" ";
				if($zk['ab'] == 'j') echo "checked ";
				if (!empty($zk['ab_monat']) || $zk['sperre'] == 'j') echo "disabled ";
				echo stwToolTip("Zeitkarte Abrechnungsrelevant <b>ja</b> schalten");
				echo " onChange=\"xajax_zk_ab(" . $zk['zk_id'] . ", 'j')\"><br />";
				echo "<input type=\"radio\" name=\"rad_".$zk['zk_id']."\" id=\"rad2_".$zk['zk_id']."\" ";
				if($zk['ab'] == 'n') echo "checked ";
				if (!empty($zk['ab_monat']) || $zk['sperre'] == 'j') echo "disabled ";
				echo stwToolTip("Zeitkarte Abrechnungsrelevant <b>nein</b> schalten");
				echo " onChange=\"xajax_zk_ab(" . $zk['zk_id'] . ", 'n')\"></td>\n";
			} else echo "<td />";

			$tt = stwToolTip($tt);
			echo "<td class=\"cl1\"><a id=\"zk_".$zk['zk_id']."\" $st $tt ";
			echo "href=\"pro_ab_zk.php?zk_id={$zk['zk_id']}&proj_id=$proj_id\">ZK</a></td>\n";
			if ($projekt->h_art == 'TTT') {
				if ($zk['sperre'] == 'j'){ /* ZK ist genehmigt -> Checkbox loescht Gen. */

					echo "<input type=\"hidden\" name=\"zk_entsperren\" value=\"{$zk['zk_id']}\">\n";

					$ttt_cb_name = 'zk_entsperren';
					$ttt_cb_checked = ' checked';
					$ttt_cb_tt  = 'Zeitkarte genehmigt';
					if ($zk['sperre_id'] > 0) {
						$ttt_cb_tt .= '	durch ' . pers_name($zk['sperre_id']);
					}
					if ($zk['sperre_ts'] > 0) {
						$ttt_cb_tt .= ' am ' . strftime('%d.%m.%Y, %H:%M Uhr', $zk['sperre_ts']);
					}

					/* nur Benutzerrecht 43 und ab Level 96 duerfen Zeitkarten ENTsperren
					 * sonst -> Checkbox inaktiv! */
					if (check_nutzer_rechte(43)){
						$ttt_cb_ro = '';
					} else {
						$ttt_cb_ro = ' disabled';
					}

				} else { /* ZK ist nicht gesperrt -> Checkbox sperrt */
					$ttt_cb_name = 'zk_sperren';
					$ttt_cb_checked = '';
					$ttt_cb_tt = 'Zeitkarte genehmigen!';

					/* nur Benutzerrecht 24 und ab Level 96 duerfen Zeitkarten sperren
					 * sonst -> Checkbox inaktiv! */
					if (check_nutzer_rechte(24)){
						$ttt_cb_ro = '';
					} else {
						$ttt_cb_ro = ' disabled';
					}
				}
				echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"$ttt_cb_name\" ";
				echo stwToolTip($ttt_cb_tt) . $ttt_cb_ro . $ttt_cb_checked;
				echo " onChange=\"xajax_zk_ok(" . $zk['zk_id'] . ", this.checked)\"></td>\n";
			} else echo "<td />";
			echo "<td class=\"cl1\">" . $zk['von'] . "</td>\n";
			echo "<td class=\"cl1\">" . $zk['bis'] . "</td>\n";
			echo "<td class=\"cl1\" style=\"text-align:right;\">" . $zk['fls'] . "</td>\n";
			if (check_nutzer_rechte(24)) {
				echo "<td class=\"cl1\"><select style=\"width:43px\" onchange=\"xajax_CodeTTT({$zk['zk_id']},this.value)\">;";
				echo "<option value=\"\" />\n";
				$cts = abfrage1("select code_id, nr, name from tb_ab_code_ttt where code_id='{$zk['code_ttt']}' or aktiv='j' order by nr asc");
				while($ct = mysql_fetch_row($cts)) {
					echo "<option value=\"$ct[0]\"";
					if($ct[0] == $zk['code_ttt']) echo " selected";
					echo ">";
					if(intval($ct[1]) < 10) echo "&nbsp;";
					echo "$ct[1] - $ct[2]</option>\n";
				}
				echo "</select></td>\n";
			} else {
				$ct = abfrage("select nr, name from tb_ab_code_ttt where code_id='{$zk['code_ttt']}'");
				echo "<td class=\"cl1\" style=\"text-align:center;\"";
				if($ct[0]) echo stwToolTip($ct[1]);
				echo ">$ct[0]</td>\n";
			}
			$tt = (strlen($zk['inhalte']) > 50) ? stwToolTip($zk['inhalte']) : '';
			$inhalt = strCut($zk['inhalte'],50);
			echo "<td id=\"aakte_".$zk['zk_id']."\" $tt>$inhalt</td>\n";
			if ($projekt->h_art == 'TTT' && check_nutzer_rechte(24)) {
				echo "<textarea style=\"display:none\" id=\"txt_a_".$zk['zk_id']."\">".$zk['inhalte']."</textarea>\n";
				echo "<input type=\"hidden\" id=\"a_".$zk['zk_id']."\" value=\"0\" />\n";
				echo "<td class=\"cl1\"><img id=\"img_a_".$zk['zk_id']."\" style=\"cursor:pointer\" ";
				echo "onclick=\"xajax_TextArea({$zk['zk_id']}, 'a', document.getElementById('a_".$zk['zk_id']."').value, document.getElementById('txt_a_".$zk['zk_id']."').value)\" ";
				echo "alt=\"\" src=\"img/stift.png\" /></td>";
			}
			$tt = (strlen($zk['inhalte2']) > 50) ? stwToolTip($zk['inhalte2']) : '';
			$inhalt = strCut($zk['inhalte2'],50);
			echo "<td id=\"bakte_".$zk['zk_id']."\" $tt>$inhalt</td>\n";
			if ($projekt->h_art == 'TTT' && check_nutzer_rechte(24)) {
				echo "<textarea style=\"display:none\" id=\"txt_b_".$zk['zk_id']."\">" . $zk['inhalte2'] . "</textarea>\n";
				echo "<input type=\"hidden\" id=\"b_".$zk['zk_id']."\" value=\"0\" />\n";
				echo "<td class=\"cl1\"><img id=\"img_b_".$zk['zk_id']."\" style=\"cursor:pointer\" ";
				echo "onclick=\"xajax_TextArea({$zk['zk_id']}, 'b', document.getElementById('b_".$zk['zk_id']."').value, document.getElementById('txt_b_".$zk['zk_id']."').value)\" ";
				echo "alt=\"\" src=\"img/stift.png\" /></td>";
			}
			if($i < $s) echo "</tr>\n";
		  }
		}
		echo "</tr>\n";
		if($i == 2) echo "<tr><td>&nbsp;</td></tr>";
	  }
	}
	echo "</table>\n";
	new stwLine(1);
	if ($_SESSION[$AppCode]['ULV'] > 5) {
		echo "<form action=\"$tdlink\" method=\"post\">\n";
		echo "<br /><table><tr><th class=\"cl1\">Reflexion:</th>\n";
		echo "<td><textarea cols=\"70\" rows=\"6\" name=\"reflexion\">";
		echo $lom['reflexion'];
		echo "</textarea></td><td><input type=\"submit\" name=\"save_refl\" value=\"\" ";
		echo "style=\"background-image:url(img/senden.png);background-repeat:no-repeat\" />";
		echo "</td></tr>\n</table></form>\n";
	}
	echo "<INPUT Type=\"button\" VALUE=\"Zur&uuml;ck\" onClick=\"history.go(-1);return true;\">\n";
	new stwEnd($seite,$tag);
}
?>