<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: lom_team.php 2614 2016-07-11 20:40:04Z tfreudenberg $
 *
 */
session_start();

/* Seitennummer setzen - festlegen des Moduls */
$seite = 33;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');

$lomid = intval($_REQUEST['lom_id']);
$ulv = $_SESSION[$AppCode]['ULV'];
$self = $_SERVER['PHP_SELF'];


/* neues Team anlegen bzw. Team aendern */
if ($_REQUEST['teamform'] == 'Speichern' && strlen($_REQUEST['name']) > 0) {
	$sql  = ($_REQUEST['team_id'] > 0) ? 'update ' : 'insert into ';

	$sql .= "tb_lom_team set name = '{$_REQUEST['name']}', ";
	$sql .= "aktiv = '{$_REQUEST['aktiv']}', ";
	$sql .= "farbe = '{$_REQUEST['farbe']}'";
	$sql .= ($_REQUEST['team_id'] > 0) ? " where team_id = '{$_REQUEST['team_id']}';" : ';';
	abfrage2($sql);
}


/* Team loeschen */
if ($_REQUEST['del_team'] == 1 && $_REQUEST['team_id'] > 0) {
	/* zuerst zugeordnete Mitarbeiter loeschen */
	$sql  = "delete from tb_lom_team_pers ";
	$sql .= "where team_id = '{$_REQUEST['team_id']}';";
	abfrage2($sql);

	/* dann Team selbst loeschen */
	$sql  = "delete from tb_lom_team ";
	$sql .= "where team_id = '{$_REQUEST['team_id']}' limit 1;";
	abfrage2($sql);
}


/* Mitarbeiter zu Team hinzufuegen */
if ($_REQUEST['add_pers'] == 1 && $_REQUEST['team_id'] > 0 &&
		$_REQUEST['pers_id'] > 0) {
	$sql  = "insert into tb_lom_team_pers set team_id = ";
	$sql .= "'{$_REQUEST['team_id']}', pers_id = '{$_REQUEST['pers_id']}';";
	abfrage2($sql);

	if($lomid > 0) {
		$sql  = "select unix_timestamp(t2.von) from tb_lom t1 ";
		$sql .= "left join tb_termine t2 using (termin_id) ";
		$sql .= "where t1.lom_id = '$lomid';";
		$von = abfrage($sql);

		$sql  = "select t1.lom_id from tb_lom t1 ";
		$sql .= "left join tb_termine t2 using (termin_id) ";
		$sql .= "where unix_timestamp(t2.von) >= '$von[0]' and t1.tender='{$_REQUEST['team_id']}';";
		$lom_ids = abfrage1($sql);
		while ($lom_id = mysql_fetch_row($lom_ids)){
			$sql  = "replace into tbh_lom_pers set lom_id = '$lom_id[0]', ";
			$sql .= "pers_id='{$_REQUEST['pers_id']}';";
			abfrage2($sql);
		}
	}
}


/* Mitarbeiter aus Team loeschen */
if ($_REQUEST['del_pers'] == 1 && $_REQUEST['team_id'] > 0 &&
		$_REQUEST['pers_id'] > 0) {
	$sql  = "delete from tb_lom_team_pers where team_id = ";
	$sql .= "'{$_REQUEST['team_id']}' and pers_id = '{$_REQUEST['pers_id']}' ";
	$sql .= "limit 1;";
	abfrage2($sql);

	if($lomid > 0) {
		$sql  = "select unix_timestamp(t2.von) from tb_lom t1 ";
		$sql .= "left join tb_termine t2 using (termin_id) ";
		$sql .= "where t1.lom_id = '$lomid';";
		$von = abfrage($sql);

		$sql  = "select t1.lom_id from tb_lom t1 ";
		$sql .= "left join tb_termine t2 using (termin_id) ";
		$sql .= "where unix_timestamp(t2.von) >= '$von[0]';";
		$lom_ids = abfrage1($sql);
		while ($lom_id = mysql_fetch_row($lom_ids)){
			$sql  = "delete from tbh_lom_pers where lom_id = '$lom_id[0]' ";
			$sql .= "and pers_id='{$_REQUEST['pers_id']}';";
			abfrage2($sql);
		}
	}
}


/* Mitarbeiterlisten aktualisieren */
if ($_REQUEST['refresh'] == 1 && $_REQUEST['team_id'] > 0 && $lomid > 0){
	$sql  = "select unix_timestamp(t2.von) from tb_lom t1 ";
	$sql .= "left join tb_termine t2 using (termin_id) ";
	$sql .= "where t1.lom_id = '$lomid';";
	$von = abfrage($sql);

	$lomps = abfrage1("select pers_id from tb_lom_team_pers where team_id = '{$_REQUEST['team_id']}'");

	$sql  = "select t1.lom_id from tb_lom t1 ";
	$sql .= "left join tb_termine t2 using (termin_id) ";
	$sql .= "where unix_timestamp(t2.von) >= '$von[0]' ";
	$sql .= "and t1.tender='{$_REQUEST['team_id']}';";
	$lom_ids = abfrage1($sql);
	while ($lom_id = mysql_fetch_row($lom_ids)){
		abfrage2("delete from tbh_lom_pers where lom_id='$lom_id[0]'");
		mysql_data_seek($lomps,0);
		while($lomp = mysql_fetch_array($lomps)) {
			$sql = "insert into tbh_lom_pers set
					lom_id = '$lom_id[0]',
					pers_id = '$lomp[0]'";
			abfrage2($sql);
		}
	}
}


/* Team zum Bearbeiten laden */
if ($_REQUEST['edit'] == 1 && $_REQUEST['team_id'] > 0){
	$sql  = "select name, aktiv, farbe from tb_lom_team ";
	$sql .= "where team_id = '{$_REQUEST['team_id']}';";
	$tm = abfrage_assoc($sql);
}


/* Kopfzeile */

/* zurueck zur LOM-Maske */
echo "<table><tr><td class=\"cl1\"><input type=\"button\" ";
echo "value=\"zur&uuml;ck zur LOM-Maske\" ";
echo "onClick=\"self.location.href='lom_and.php";
if($lom_id > 0) echo "?lom_id=$lomid";
echo "'\"></td>";

echo "<form action=\"$self\" method=\"post\">\n";
if($lom_id > 0) echo "<input type=\"hidden\" name=\"lom_id\" value=\"$lomid\">\n";
if ($_REQUEST['edit'] == 1 && $_REQUEST['team_id'] > 0){
	echo "<input type=\"hidden\" name=\"team_id\" ";
	echo "value=\"{$_REQUEST['team_id']}\">\n";
}

echo "<td width=\"90\">";
echo "<input type=\"submit\" name=\"passiv\" value=\"";
echo $_REQUEST['passiv']=='alle' ? "nur aktive" : "alle";
echo "\"></td>\n";

echo "<th class=\"cl1\">";
if ($_REQUEST['edit'] == 1 && $_REQUEST['team_id'] > 0){
	echo 'Team:';
} else {
	echo 'neues Team:';
}
echo "</th>\n";

echo "<td class=\"cl1\"><input type=\"text\" name=\"name\" size=\"20\" ";
echo "maxlength=\"50\"";
if ($_REQUEST['edit'] == 1 && $_REQUEST['team_id'] > 0){
	echo " value=\"{$tm['name']}\"";
}
echo "></td>\n";

echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
echo "<th class=\"cl1\">Farbe:</th>\n";
echo "<td class=\"cl1\"><input type=\"text\" name=\"farbe\" size=\"16\" ";
echo "maxlength=\"20\"";
if ($_REQUEST['edit'] == 1 && $_REQUEST['team_id'] > 0) {
	echo " value=\"{$tm['farbe']}\"";
	if(!empty($tm['farbe'])) {
		$rgb = transformColor($tm['farbe']);
		$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
		echo "style=\"background-color:{$tm['farbe']};color:$co;\" ";
	}
}
echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\"></td>\n";

if ($_REQUEST['edit'] == 1 && $_REQUEST['team_id'] > 0){
	echo "<th class=\"cl1\">aktiv:</th>\n";
	echo "<td class=\"cl1\"><input type=\"radio\" name=\"aktiv\" value=\"1\"";
	if ($tm['aktiv'] == 1) echo ' checked';
	echo ">ja</input></td>\n";

	echo "<td class=\"cl11\"><input type=\"radio\" name=\"aktiv\" value=\"0\"";
	if (empty($tm['aktiv'])) echo ' checked';
	echo ">nein</input></td>\n";
}

echo "<td><input type=\"submit\" name=\"teamform\" value=\"Speichern\"></td>\n";
echo "</form>\n";
echo "</tr></table>\n";
new stwLine(1);

echo "<table>\n";

/* vorhandene Teams auflisten */
$sql = "select team_id, name, aktiv, farbe from tb_lom_team ";
if($_REQUEST['passiv']!='alle') $sql .= "where aktiv='1' ";
$sql .= "order by aktiv desc, team_id asc;";
$teams = abfrage1($sql);

while ($team = mysql_fetch_array($teams)){
	echo "<tr><td class=\"cl11\"><a href=\"$self?lom_id=$lomid&team_id=";
	echo $team['team_id'] . "&edit=1\"";
	if ($team['aktiv'] != 1){
		echo " style=\"color: #969696;\"" . stwToolTip('Team nicht aktiv!');
	} else if(!empty($team['farbe'])) echo " style=\"color: {$team['farbe']};\"";
	echo '>' . $team['name'] . "</a></td>\n";

	/* ermitteln, ob Team bereits verwendet wird */
	$sql  = "SELECT lom_id FROM tb_lom ";
	$sql .= "WHERE action = '5' AND tender = '{$team['team_id']}';";
	$ess = abfrage1($sql);

	if (mysql_num_rows($ess) == 0){
		echo "<td><a href=\"$self?lom_id=$lomid&team_id={$team['team_id']}&";
		echo "del_team=1\" style=\"color: #FF0000;\"";
		echo stwToolTip('<b>VORSICHT!</b> Team l&ouml;schen!');
		echo ">X</a></td>\n";
	} else {
		echo "<td><a href=\"$self?lom_id=$lomid&team_id={$team['team_id']}&refresh=1\"";
		echo stwToolTip('Mitarbeiterliste dieses Teams<br>in zuk&uuml;nftigen Eins&auml;tzen aktualisieren!');
		echo "><img src=\"".image('refresh')."\" /></a></td>\n";
	}

	/* Mitglieder des Teams anzeigen */
	$sql  = "select t.pers_id from tb_lom_team_pers t ";
	$sql .= "inner join tb_personal p using (pers_id) ";
	$sql .= "where t.team_id = '{$team['team_id']}' ";
	$sql .= "order by p.vorname asc, p.name asc;";
	$mas = abfrage1($sql);

	if (mysql_num_rows($mas) > 0){
		new stwTabLine(2,5);

		$mitglieder = array();

		while ($ma = mysql_fetch_row($mas)){
			echo "<tr><td class=\"cl11\">" . pers_name($ma[0]) . "</td>\n";

			echo "<td><a href=\"$self?lom_id=$lomid&team_id={$team['team_id']}&";
			echo "pers_id=$ma[0]&del_pers=1\" style=\"color: #FF0000;\"";
			echo stwToolTip('<b>VORSICHT!</b> Mitarbeiter aus Team l&ouml;schen!');
			echo ">X</a></td>\n";

			echo "</tr>\n";

			$mitglieder[] = $ma[0];
		}
	}

	/* Mitglieder hinzufuegen */
	$sql  = "select p.pers_id FROM tb_personal p ";
	$sql .= "left join tb_lom_team_pers l using (pers_id) ";
	$sql .= "where p.status_id = '2' and p.p_art_id = '17' and ";
	$sql .= "l.team_id is null;";
	$mgs = abfrage1($sql);

	if (mysql_num_rows($mgs) > 0){
		new stwTabLine(2,5);

		echo "<form action=\"$self\" method=\"post\">\n";
		echo "<input type=\"hidden\" name=\"lom_id\" value=\"$lomid\">\n";
		echo "<input type=\"hidden\" name=\"team_id\" value=\"{$team['team_id']}\">\n";
		echo "<input type=\"hidden\" name=\"add_pers\" value=\"1\">\n";

		echo "<tr><td colspan=\"2\"><select name=\"pers_id\" size=\"1\" ";
		echo "onChange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">Mitglied hinzuf&uuml;gen</option>\n";

		while ($mg = mysql_fetch_row($mgs)){
			if (!in_array($mg[0], $mitglieder)){
				echo "<option value=\"$mg[0]\">" . pers_name($mg[0])  . "</option>\n";
			}
		}
		echo "</select></td></tr>\n";
		echo "</form>\n";
	}
	new stwTabLine(1,5);
}

echo "</table>\n";
new stwEnd($seite);
?>
