<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$seite = 47;
$level = 80;
require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

// new stwWarnung();
$pers_order = getPersOrder($seite);

echo "<table>\n";
echo "<tr><th colspan=\"3\">Ausgabe</th></tr>\n";
new stwTabLine(2,30);

echo "<form action=\"mobtel_aus_sql.php\" method=\"post\">\n";

if (!empty($rvar_datum)){
	$aus = abfrage("select t.typ, t.imei, s.tel_nr, s.sim_nr,
					a.pers_id, a.notizen_a, a.tel_id, a.sim_id
					from tb_mob_aus a
					left join tb_mob_tel t on a.tel_id = t.tel_id
					left join tb_mob_sim s on a.sim_id = s.sim_id
					where a.tel_id = $rvar_tel_id
					and a.sim_id = $rvar_sim_id
					and a.pers_id = $rvar_pers_id
					and unix_timestamp(a.von) = '$rvar_datum';");
	
	echo "<input type=\"hidden\" name=\"tel_id\" value=\"$rvar_tel_id\">\n";
	echo "<input type=\"hidden\" name=\"sim_id\" value=\"$rvar_sim_id\">\n";
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
	echo "<input type=\"hidden\" name=\"datum\" value=\"$rvar_datum\">\n";
	
}

echo "<tr>\n";
echo "<th>Mobiltelefon&nbsp;:</th>\n";
echo "<td>";

if (empty($rvar_datum)){

	echo "<select name=\"tel_id\" size=\"1\" tabindex=\"1\">\n";
	echo "<option value=\"0\">ohne Mobiltelefon</option>\n";
	
	$tels = abfrage1("select t.tel_id, t.typ, t.imei
						from tb_mob_tel t
						where t.aktiv = 'j'
						order by t.typ asc;");
	while ($tel = mysql_fetch_row($tels)){
		
		$aw = abfrage("select tel_id from tb_mob_aus
				where tel_id = $tel[0]
				and (bis is null or bis = '0000-00-00 00:00:00');");
		
		if (empty($aw[0])){
			echo "  <option value=\"$tel[0]\">$tel[1] -- IMEI $tel[2]</option>\n";
		}
	}
	echo "</select>\n";

} else {
	if ($aus[6] == 0){
		echo "ohne Mobiltelefon";
	} else {
		echo "$aus[0] -- IMEI $aus[1]";
	}
}

echo "</td></tr>\n";


echo "<tr>\n";
echo "<th>SIM-Karte&nbsp;:</th>\n";
echo "<td>";

if (empty($rvar_datum)){
	echo "<select name=\"sim_id\" size=\"1\" tabindex=\"2\">\n";
	
	echo "<option value=\"0\">ohne SIM-Karte</option>\n";
	$sims = abfrage1("select s.sim_id, s.tel_nr, s.sim_nr, s.tarif
						from tb_mob_sim s
						where s.aktiv = 'j'
						order by s.tel_nr asc;");
	
	while ($sim = mysql_fetch_row($sims)){
		
		$aw = abfrage("select sim_id from tb_mob_aus
				where sim_id = $sim[0]
				and (bis is null or bis = '0000-00-00 00:00:00');");
		
		if (empty($aw[0])){
			$tarif = empty($sim[3]) ? '' : "($sim[3])";
			echo "  <option value=\"$sim[0]\">Tel. $sim[1] -- SIM-Nr. $sim[2] $tarif</option>\n";
		}
	}
	echo "</select>";
} else {
	if ($aus[7] == 0){
		echo "ohne SIM-Karte";
	} else {
		echo "Tel. $aus[2] -- SIM-Nr. $aus[3]";
	}
}
echo "</td></tr>\n";


echo "<tr>\n";
echo "<th>Mitarbeiter&nbsp;:</th>\n";
echo "<td>";

if (empty($rvar_datum)){
	echo "<select name=\"pers_id\" size=\"1\" tabindex=\"3\">\n";
	$name = $pers_order==2 ? "name, ', ', vorname" : "vorname, ' ', name";
	$order = $pers_order==2 ? "name asc, vorname asc" : "vorname asc, name asc;";
	$mas = abfrage1("select pers_id, concat($name)
						from tb_personal
						where status_id = '2'
						order by $order;");
	
	while ($ma = mysql_fetch_row($mas)){
	    echo "  <option value=\"$ma[0]\">$ma[1]</option>\n";
	    }
	echo "</select>";
} else {
	echo $pers_order==2 ? pers_name2($aus[4]) : pers_name($aus[4]);
}

echo "</td></tr>\n";

echo "<tr><th>Notizen&nbsp;:</th>\n";
echo "<td>";
if (empty($rvar_datum)){
	echo "<textarea cols=\"50\" rows=\"3\" name=\"notizen_a\" tabindex=\"4\">\n";
	echo "</textarea>\n";
} else {
	echo nl2br($aus[5]);
}

echo "</td></tr>\n";

if (empty($rvar_datum)){
	new stwTabLine(2,20);
	$typ = 'a';
} else {
	new stwTabLine(1,20);
	$typ = 'r';
	
	echo "<tr><th colspan=\"3\">R&uuml;ckgabe</th></tr>\n";
	new stwTabLine(2,30);
	
	echo "<tr><th>Notizen&nbsp;:</th>\n";
	echo "<td>";
	echo "<textarea cols=\"50\" rows=\"3\" name=\"notizen_r\" tabindex=\"5\">\n";
	echo "</textarea>\n";
	
	new stwTabLine(2,30);
}

echo "<input type=\"hidden\" name=\"typ\" value=\"$typ\">\n";
echo "<input type=\"hidden\" name=\"pers\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";
echo "<tr><td><input type=\"submit\" value=\"Speichern!\" tabindex=\"6\"></td></tr>\n";
echo "</form>\n";
echo "</table>\n";

new stwLine(1);
new stwEnd($seite);
?>
