<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pc_and.php 2892 2018-10-15 04:31:34Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 53;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

$verknupf = false;
$ger_id = (isset($_GET['ger_id'])) ? $_GET['ger_id'] : -1;

if(check_nutzer_rechte(19) && $rvar_kat_id > 0) 
	echo "<form action=\"pc_sql.php\" method=\"post\">\n";
echo "<table><tr>\n";
echo "<th style=\"padding-right:20px\">Ger&auml;tekategorie :</th>\n";
if(check_nutzer_rechte(19) && $rvar_kat_id > 0)
	echo "<td style=\"padding-right:30px\"><select name=\"kat_id\" size=\"1\">\n";
else {
	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
	echo "<td style=\"padding-right:30px\"><select name=\"kat_id\" size=\"1\" onChange=\"this.form.submit()\">\n";
}
echo "<option value=\"0\"";
echo (empty($rvar_kat_id)) ? ' selected' : '';
echo ">Ger&auml;tekategie w&auml;hlen!</option>\n";
$kats = abfrage1("select kat_id, name, verknupf from tb_pc_kat order by name asc;");
while ($kat = mysql_fetch_row($kats)){
	echo "<option value=\"$kat[0]\"";
	if($rvar_kat_id == $kat[0]) {
		echo " selected";
		if($kat[2] == 'j') $verknupf = true;
	}
	echo ">$kat[1]</option>\n";
}
echo "</select></td>\n";
if(check_nutzer_rechte(19) || $rvar_kat_id == 0) echo "</form>\n";

if ($_SESSION[$AppCode]['ULV'] == 26 || check_nutzer_rechte(19)){
	echo "<td><input type=\"button\" onClick=\"self.location.href='pc_kat.php'\" ";
	echo "value=\"neue Ger&auml;tekategorie\"></td>\n";
}
echo "</tr></table>\n";
new stwLine(1);

if ($rvar_kat_id > 0){
	
	if (isset($rvar_pc_id)){
		$pc = abfrage("select name, notizen, standort, typ, seriennummer, macadresse from tb_pc where pc_id = $rvar_pc_id;");
	}

	if(!check_nutzer_rechte(19)) {
		echo "<form action=\"pc_sql.php\" method=\"post\">\n";
		echo "<input type=\"hidden\" name=\"kat_id\" value=\"$rvar_kat_id\">\n";
	}
	echo "<table>\n";
	echo (isset($rvar_pc_id)) ? "<input type=\"hidden\" name=\"pc_id\" value=\"$rvar_pc_id\">\n" : '';

	$ger_name = '';
	$ger_typ  = '';
	$standort = '';

	if($verknupf) {
		if(isset($rvar_pc_id)) $gerid = abfrage("select ger_id from tbh_ger_verknupf where verknupf = 'p' and id2='$rvar_pc_id'");
		else $gerid[0] = -1;
		echo "<tr><th class=\"cl11\">";
		if($ger_id > 0 || $ger_id==-1 && $gerid[0] > 0) {
			echo "<a href=\"ger_and.php?ger_id=".($ger_id > 0 ? $ger_id : $gerid[0])."\">";
		}
		echo "Inventar:";
		if($ger_id > 0 || $ger_id==-1 && $gerid[0] > 0) echo "</a>";
		echo "</th>\n<td>";
		echo "<select name=\"ger_id\" size=\"1\" tabindex=\"$ti\" "; $ti++;
		echo "onChange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">keinem Inventar-Eintrag zugeordnet!</option>\n";

		$sql  = "select g.ger_id, g.name, g.typ, g.standort, g.inventnr 
				from tb_ger g left join tb_ger_kat k using (kat_id) 
				left join tbh_ger_verknupf v on (g.ger_id = v.ger_id and v.verknupf = 'p')
				where k.verknupf in ('p','pk','pm','pmk') and (g.ger_id='$gerid[0]' or v.id2 IS NULL) 
				order by g.name asc;";
		$res = abfrage1($sql);
		while ($zeile = mysql_fetch_row($res)) {
			echo "<option value=\"$zeile[0]\"";
			if ($ger_id == $zeile[0] || (($ger_id==-1) && isset($rvar_pc_id) && $gerid[0] == $zeile[0])) {
				echo ' selected';
				$ger_name = $zeile[1];
				$ger_typ  = $zeile[2];
				$standort = $zeile[3];
			}
			echo ">" . $zeile[1] . ' - ' . $zeile[4] . "</option>\n";
		}
		echo "</select></td></tr>\n";

		echo "<tr><td><b style=\"color:#FFCC00\">Name</b><small> aus Inventar</small>:</td>";
		echo "<td><input type=\"text\" size=\"50\" disabled value=\"$ger_name\">";
		echo "</td></tr>\n";

		echo "<tr><td><b style=\"color:#FFCC00\">Typ</b><small> aus Inventar</small>:</td>";
		echo "<td><input type=\"text\" size=\"50\" disabled value=\"$ger_typ\">";
		echo "</td></tr>\n";

		new stwTabLine(2,30);
	}

	$tt = stwToolTip('Wird beim Speichern mit Inventar abgeglichen');
	echo "<tr><th style=\"padding-right:15px\">Name:</th>";
	echo "<td><input type=\"text\" name=\"name\" size=\"50\" maxlength=\"50\" tabindex=\"1\"";
	if(empty($pc[0])) echo " value=\"$ger_name\">";
	else echo (isset($rvar_pc_id)) ? " value=\"$pc[0]\">" : '>';
	/* Dateisymbol erscheint nur bei vorhandener PC ID */
	if (!empty($_GET["pc_id"])) {
		$daten = new stwDaten("23");
		echo $daten->get_klammer_link($_SESSION["webdir"], $_SESSION[$AppCode]["UID"],
									  $_SESSION[$AppCode]["ULV"], $_GET["pc_id"], "0");
	}
	echo "</td></tr>\n";

	echo "<tr><th style=\"padding-right:15px;\">Typ:</th>";
	echo "<td><input type=\"text\" name=\"typ\" size=\"50\" maxlength=\"50\" tabindex=\"1\"";
	if(empty($pc[3])) echo " value=\"$ger_typ\">";
	else echo (isset($rvar_pc_id)) ? " value=\"$pc[3]\">" : '>';
	echo "</td></tr>\n";

	echo "<tr><th style=\"padding-right:15px;color:#FFFF00\" $tt>Seriennummer* :</th>";
	echo "<td><input type=\"text\" name=\"seriennummer\" size=\"50\" maxlength=\"50\" tabindex=\"1\"";
//	if(empty($pc[3])) echo " value=\"$ger_seriennummer\">"; TODO!!!
	echo (isset($rvar_pc_id)) ? " value=\"$pc[4]\">" : '>';
	echo "</td></tr>\n";

	echo "<tr><th style=\"padding-right:15px;color:#FFFF00\" $tt>Mac-Adresse* :</th>";
	echo "<td><input type=\"text\" name=\"macadresse\" size=\"50\" maxlength=\"50\" tabindex=\"1\"";
//	if(empty($pc[3])) echo " value=\"$ger_macadresse\">";
	echo (isset($rvar_pc_id)) ? " value=\"$pc[5]\">" : '>';
	echo "</td></tr>\n";

	echo "<tr><th style=\"padding-right:15px;color:#FFFF00\" $tt>Standort* :</th>";
	echo "<td><input type=\"text\" name=\"standort\" size=\"50\" maxlength=\"50\" tabindex=\"1\"";
	if(empty($pc[2])) echo " value=\"$standort\">";
	else echo (isset($rvar_pc_id)) ? " value=\"$pc[2]\">" : '>';
	echo "</td></tr>\n";

	echo "<tr><th style=\"padding-right:15px\">Notizen :</th>\n";
	echo "<td><textarea name=\"notizen\" cols=\"50\" rows=\"4\" tabindex=\"2\">";
	if(isset($rvar_pc_id)) echo "$pc[1]";
	echo "</textarea></td></tr>\n";

	new stwTabLine(2,30);
	
	$mms = abfrage1("select h.mm_id,
					m.name,
					m.notizen,
					h.spalte,
					if (h.spalte > 0, h.spalte, 9999) as sort
					from tbh_kat_mm h
					left join tb_pc_mm m using (mm_id)
					where kat_id = '$rvar_kat_id' and h.mm_id > 0
					order by sort asc, m.name asc;");
	$i = 3;
	
	while ($mm = mysql_fetch_row($mms)){
		echo "<tr><th style=\"padding-right:15px\">$mm[1] :</th>";
		echo "<td><input type=\"text\" name=\"$mm[0]\" size=\"50\" maxlength=\"50\" tabindex=\"$i\"";
		if (isset($rvar_pc_id)){
			$val = abfrage("select wert from tbh_pc_mm
							where pc_id = $rvar_pc_id
							and mm_id = $mm[0];");
			echo " value=\"$val[0]\"";
		}
		echo "></td></tr>\n";
		$i++;
	}
	new stwTabLine(2,30);
	if($gerid[0] > 0) {
		$telid = abfrage("select id2 from tbh_ger_verknupf where verknupf='m' and ger_id='$gerid[0]'");
		if($telid[0]) {
			$sql = "select t.typ, s.tel_nr, t.imei, a.pers_id
					from tb_mob_tel t left join tb_mob_aus a on a.tel_id = t.tel_id
					left join tb_mob_sim s on a.sim_id = s.sim_id
					where t.tel_id = '$telid[0]'
					and (a.bis IS NULL or a.bis = '0000-00-00 00:00:00')
					group by t.tel_id;";
			$tel = abfrage($sql);
			echo "<tr><td><b style=\"color:#FFCC00\">Typ</b><small> aus mobil</small>:</td>";
			echo "<td><input type=\"text\" size=\"50\" disabled value=\"$tel[0]\">";
			echo "</td></tr>\n";

			echo "<tr><td><b style=\"color:#FFCC00\">Nr.</b><small> aus mobil</small>:</td>";
			echo "<td><input type=\"text\" size=\"50\" disabled value=\"$tel[1]\">";
			echo "</td></tr>\n";

			echo "<tr><td><b style=\"color:#FFCC00\">IMEI</b><small> aus mobil</small>:</td>";
			echo "<td><input type=\"text\" size=\"50\" disabled value=\"$tel[2]\">";
			echo "</td></tr>\n";

			echo "<tr><td><b style=\"color:#FFCC00\">Nutzer</b><small> aus mobil</small>:</td>";
			echo "<td><input type=\"text\" size=\"50\" disabled value=\"$tel[3]\">";
			echo "</td></tr>\n";
			new stwTabLine(2,2);
		}
	}
	if ($_SESSION[$AppCode]['ULV'] == 26 || $_SESSION[$AppCode]['ULV'] >= 60 ||
      check_nutzer_rechte(19)){
		echo "<tr><td colspan=\"2\"><input type=\"submit\" name=\"save\" value=\"Speichern\" tabindex=\"$i\"></td></tr>\n";
	} else {
		echo "<tr><td colspan=\"2\"><input type=\"button\" onClick=\"self.location.href='pc.php'\" ";
		echo "value=\"zur Ger&auml;teliste\"></td></tr>\n";
	}
	echo "</table>\n";
	echo "</form>\n";
}

if (isset($rvar_pc_id) && ($_SESSION[$AppCode]['ULV'] == 26 || check_nutzer_rechte(19))){
	
	$sql = "select t1.pc_id, # 0
			pc.name,         # 1
			t1.feedback,     # 2
			date_format(t1.datetime,'%d.%m.%Y'), # 3
	        concat(left(t2.vorname,1), '. ', t2.name), # 4
	        t1.fb_id, # 5
			date_format(t1.datetime, '%H:%i'), # 6
			t1.erl_edv,  # 7
			t1.erl_gf,   # 8
			t1.proj_id,  # 9
			if (t1.proj_id is null or t1.proj_id = 0, 99, t1.prio) as sort1
	        from tb_pc_fb t1
	        left join tb_personal t2 on t1.pers_id = t2.pers_id
	        left join tb_projekte t3 on t1.proj_id = t3.proj_id
	        left join tb_pc pc on t1.pc_id = pc.pc_id
	        where t1.pc_id = '$rvar_pc_id'
	        and t1.erl_gf is null
	        order by sort1 desc, unix_timestamp(now()) - unix_timestamp(t1.datetime) asc;";

	$res = abfrage1($sql);
	
	if (mysql_num_rows($res) > 0){
	
		new stwLine(1);
	
		echo "<table><tr>\n";
		echo "<th style=\"padding-right:5px\">Ger&auml;t</th>\n";
		echo "<th style=\"padding-right:5px\">Projekt</th>\n";
		echo "<th style=\"padding-right:5px\">Feedback</th>\n";
		echo "<th style=\"padding-right:5px\">Datum</th>\n";
		echo "<th style=\"padding-right:5px\">Benutzer</th>\n";
		echo "<th style=\"padding-right:5px\" title=\"EDV-Mitarbeiter\">EDV</th>\n";
		echo "<th style=\"padding-right:5px\" title=\"Geschftsfhrung\">GF</th>\n";
		echo "</tr>\n";
		
		while($row = mysql_fetch_row($res)){
			new stwTabLine(2,30);
		    echo "<tr><td style=\"padding-right:10px\">";
		    if ($row[8] == 1){
		    	$style = "style=\"color:#999999\" title=\"erledigt\"";
		    } elseif ($row[10] > 2){
		    	$style = "style=\"color:#FF0000\" title=\"Prioritt hoch!\"";
		    } elseif ($row[10] < 2) {
		    	$style = "style=\"color:#CCCCCC\" title=\"Prioritt niedrig\"";
		    } else {
		    	$style = '';
		    }
		    echo "<a href=\"pc_fb_and.php?fb_id=$row[5]\" $style>$row[1]</a></td>\n";
		    if ($row[9] > 0){
		    	$pro = new stwProjekt($row[9]);
		    	$pnr = $pro->nummer();
		    	echo "<td style=\"padding-right:10px\"><a href=\"pro_daten.php?proj_id=$pro->id\">";
		    	echo "$pnr</a></td>\n";
		    } else {
		    	 echo "<td style=\"padding-right:10px\"></td>\n";
		    }
		    echo "<td style=\"padding-right:10px\">" . wordwrap($row[2], 40, '<br>') . "</td>\n";
		    echo "<td style=\"padding-right:10px\">$row[3]<br>$row[6] Uhr</td>\n";
		    echo "<td style=\"padding-right:10px\">$row[4]</td>\n";
			if ($row[7] > 0) {
				$col = 'green';
				$pr = abfrage("select erl_edv_id, date_format(erl_edv_time, '%d.%m.%Y - %H:%i')
								from tb_pc_fb where fb_id = $row[5];");
				$title = pers_kname($pr[0]) . ", $pr[1]";
			} else {
				$col = 'red';
				$title = "noch nicht vom EDV-Mitarbeiter erledigt";
			}
		    echo "<td style=\"padding-right:10px\" title=\"$title\"><img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";
			if ($row[8] > 0) {
				$col = 'green';
				$gf = abfrage("select erl_gf_id, date_format(erl_gf_time, '%d.%m.%Y - %H:%i')
								from tb_pc_fb where fb_id = $row[5];");
				$title = pers_kname($gf[0]) . ", $gf[1]";
			} else {
				$col = 'red';
				$title = "noch nicht vom Geschftsfhrer als erledigt markiert";
			}
		     echo "<td style=\"padding-right:10px\" title=\"$title\"><img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";
		    
		}
		echo "</table>\n";	
		
		new stwLine(1);
	}
}

new stwEnd($seite);
?>
