<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pc_fb_and.php 1843 2011-11-04 13:51:27Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 53;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

if (isset($rvar_fb_id)){
	$sql = "select
			f.fb_id, # 0
			p.name, # 1
			f.pers_id, # 2
			date_format(f.datetime, '%d.%m.%Y, %H:%i Uhr'), # 3
			f.feedback, # 4
			f.proj_id,  # 5
			f.erl_edv,   # 6
			f.erl_gf,   # 7
			date_format(f.erl_edv_time, '%d.%m.%Y, %H:%i Uhr'), # 8
			f.erl_edv_id, # 9
			date_format(f.erl_gf_time, '%d.%m.%Y, %H:%i Uhr'), # 10
			f.erl_gf_id, # 11
			f.prio,       # 12
			f.pc_id       # 13
			from tb_pc_fb f
			left join tb_pc p using (pc_id)
			where fb_id = $rvar_fb_id;";
	$fb = abfrage($sql);
}

echo "<form action=\"pc_fb_sql.php\" method=\"POST\">\n";
echo (isset($rvar_fb_id)) ? "<input type=\"hidden\" name=\"fb_id\" value=\"$rvar_fb_id\">\n" : '';

echo "<table>\n";
if (isset($rvar_fb_id)){
	echo "<tr><th style=\"padding-right:5px\">Ger&auml;t :</th><td>$fb[1]</td></tr>\n";
	echo "<input type=\"hidden\" name=\"pc_id\" value=\"$fb[13]\">\n";
	echo "<tr><th style=\"padding-right:5px\">Benutzer :</th><td>". pers_name($fb[2]) . "</td></tr>\n";
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"$fb[2]\">\n";
	echo "<tr><th style=\"padding-right:5px\">Datum :</th><td>$fb[3]</td></tr>\n";
} else {
	$ger = abfrage("select name from tb_pc where pc_id = $rvar_pc_id;");
	echo "<tr><th style=\"padding-right:5px\">Ger&auml;t :</th><th>$ger[0]</th></tr>\n";
	echo "<input type=\"hidden\" name=\"pc_id\" value=\"$rvar_pc_id\">\n";
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";
}
echo "<tr><th style=\"padding-right:5px\">Feedback :</th>";
echo "<td><textarea cols=\"72\" rows=\"8\" name=\"feedback\"";

 /*
  * Das Textfeld ist nicht editierbar wenn keine fb_id gesetzt wurde
  * (vorhandenes Feedback aendern oder der Nutzerlevel unter 96 liegt.
  * Eine Freischaltung ist moeglich, wenn der Nutzer das Recht hat das
  * Hakenfeld fuer die Geschaeftsfuehrung zu setzen.
  */
 if (isset($rvar_fb_id) && !check_nutzer_rechte(8)) printf(" readonly ");

echo ">";
echo (isset($rvar_fb_id)) ? $fb[4] : '';
echo "</textarea></td></tr>\n";

if (isset($rvar_fb_id) && ($_SESSION[$AppCode]['ULV'] == 26 || check_nutzer_rechte(6))){
	
	echo "<tr><th style=\"padding-right:5px\">Projekt :</th>";
	
	$dat = abfrage("select nr_von, nr_bis from tb_projektart where kname = 'EDV';");
	
	echo "<td><select name=\"proj_id\" size=\"1\">\n";
	echo "<option value=\"NULL\">keinem Projekt zugeordnet</option>\n";
	
	if ($fb[5] > 0){
		$pro1 = new stwProjekt($fb[5]);
		echo "<option value=\"$fb[5]\" selected>" . $pro1->nummer() . ' - ' . $pro1->name(). "</option>\n";	
		$sql_and = "and proj_id != $fb[5]";
	} else {
		$sql_and = "";
	}
	
	$sql = "SELECT proj_id FROM tb_projekte
	        WHERE projektnr >= $dat[0]
			and projektnr <= $dat[1]
			and (ende is null or ende = '0000-00-00' or
				 to_days(ende) >= to_days(curdate()))
			$sql_and
	        order by projektnr asc";
	$res = mysql_query($sql) or die(mysql_error());
	
	while ($zeile = mysql_fetch_row($res)) {
	    echo "  <option ";
	    echo "value=\"$zeile[0]\">";
	    $pro = new stwProjekt($zeile[0]);
	    echo $pro->nummer() . ' - ' . $pro->name();
	    echo "</option>\n";
	    }
	echo "</select></td>\n";
	echo "</tr>\n";
	
	echo "<tr><th style=\"padding-right:5px\">Priorit&auml;t :</th>";
	echo "<td><select name=\"prio\" size=\"1\" ";
	if ($_SESSION[$AppCode]['ULV'] < 96){
		echo "disabled";
	}
	echo ">\n";
	
	$prios = abfrage1("select prio, prioritaet from tb_prio order by prio asc;");
	
	while ($prio = mysql_fetch_row($prios)){
		echo "<option value=\"$prio[0]\" ";
		if ($fb[12] == $prio[0]){
			echo "selected";
		}
		echo ">$prio[1]</option>\n";
	}
	echo "</select></td>\n";
	echo "</tr>\n";
	
	new stwTabLine(2,30);
	
	echo "<tr><th style=\"padding-right:5px\">erledigt<br>(EDV-Mitarbeiter) :</th>";
	echo "<td>";
	echo "<input type=\"checkbox\" name=\"erl_edv\" value=\"1\" ";
	if (!empty($fb[6])){
		echo "checked ";
	}
	if ($_SESSION[$AppCode]['ULV'] != 26)
        {
          /* nur abschalten wenn zusaetzlicher Nutzer auch nicht berechtigt */
          if (!check_nutzer_rechte(7)) echo "disabled";
	}
	echo "></td></tr>\n";
	
	if ($_SESSION[$AppCode]['ULV'] != 26){
          if (!check_nutzer_rechte(7))
		echo "<input type=\"hidden\" name=\"erl_edv\" value=\"$fb[6]\">\n";
	}
	
	
	if (!empty($fb[6])){
		echo "<tr><th style=\"padding-right:5px\">Datum :</th><td>$fb[8]</td></tr>\n";
		echo "<tr><th style=\"padding-right:5px\">Programmierer :</th><td>". pers_name($fb[9]) . "</td></tr>\n";
	}
	new stwTabLine(2,30);
		
	echo "<tr><th style=\"padding-right:5px\">erledigt<br>(Geschftsfhrung) :</th>";
	echo "<td>";
	echo "<input type=\"checkbox\" name=\"erl_gf\" value=\"1\" ";
	if (!empty($fb[7])){
		echo "checked ";
	}
	if (!check_nutzer_rechte(8)) {
		echo "disabled";
	} 
	echo "></td></tr>\n";
	
	if ($_SESSION[$AppCode]['ULV'] < 26){
           if (!check_nutzer_rechte(8))
		echo "<input type=\"hidden\" name=\"erl_gf\" value=\"$fb[7]\">\n";
	}
	
	if (!empty($fb[7])){
		echo "<tr><th style=\"padding-right:5px\">Datum :</th><td>$fb[10]</td></tr>\n";
		echo "<tr><th style=\"padding-right:5px\">Geschftsfhrer :</th><td>". pers_name($fb[11]) . "</td></tr>\n";
	}
	
	echo "<input type=\"hidden\" name=\"ulv\" value=\"{$_SESSION[$AppCode]['ULV']}\">\n";
	echo "<input type=\"hidden\" name=\"uid\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";
}

new stwTabLine(2,30);

echo "</table>\n";
echo "<input type=\"submit\" value=\"Speichern!\">\n";
echo "</form>\n";
new stwLine(1);
new stwEnd($seite);
?>
