<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pc_katn.php 1879 2012-01-11 19:45:10Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 $seite = 53;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

set_session_url();

if ($_SESSION[$AppCode]['ULV'] == 26 || check_nutzer_rechte(19)){
	echo "<table><tr>\n";
	echo "<td><input type=\"button\" onClick=\"self.location.href='pc_kat.php'\" ";
	echo "value=\"neue Ger&auml;tekategorie\">\n";
	echo "<td><input type=\"button\" onClick=\"self.location.href='pc_mm.php'\" ";
	echo "value=\"neues Ger&auml;temerkmal\">\n";
	echo "<td><input type=\"button\" onClick=\"self.location.href='pc.php'\" ";
	echo "value=\"zur Ger&auml;teliste\">\n";
	echo "</tr></table>\n";
	new stwLine(1);
}

if($_SESSION[$AppCode]['ULV'] >= 96 && isset($_GET['del'])) {
	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"reallydel\" value=\"$rvar_del\">\n";
	new stwSicherheitsabfrage('soll wirklich die gesamte Ger&auml;tekategorie gel&ouml;scht werden?');
	echo "</form>\n";
}
if(isset($_POST['reallydel']) && is_numeric($_POST['reallydel']) && $_SESSION[$AppCode]['ULV'] >= 96) {
	abfrage2("delete from tb_pc_kat where kat_id = '$rvar_reallydel'");
}
if($_SESSION[$AppCode]['ULV'] >= 96 && isset($_GET['delkat'])) {
	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"reallydelkat\" value=\"$rvar_delkat\">\n";
	new stwSicherheitsabfrage('soll dieses Merkmal wirklich gel&ouml;scht<br />und aus allen Kategorien entfernt werden?');
	echo "</form>\n";
}
if(isset($_POST['reallydelkat']) && is_numeric($_POST['reallydelkat']) && $_SESSION[$AppCode]['ULV'] >= 96) {
	abfrage2("delete from tbh_kat_mm where mm_id = '$rvar_reallydelkat'");
	abfrage2("delete from tb_pc_mm where mm_id = '$rvar_reallydelkat'");
	abfrage2("delete from tbh_pc_mm where mm_id = '$rvar_reallydelkat'");
}

echo "<table border=\"0\">\n";
echo "<tr>";
echo "<th style=\"padding-right:15px\" colspan=\"2\">Ger&auml;tekategorie</th>\n";
echo "<th style=\"padding-right:15px\" colspan=\"2\">Zuordnung</th>\n";
echo "<th style=\"padding-right:15px\" colspan=\"4\">Merkmal zuordnen</th>\n";
echo "</tr>\n";

new stwTabLine(2,30);

$kats = abfrage1("select kat_id, name, notizen, verknupf from tb_pc_kat order by name asc;");

while ($kat = mysql_fetch_row($kats)){
	echo "<tr>";
	echo "<td><a href=\"pc_kat.php?kat_id=$kat[0]\" ";
	if (strlen($kat[2]) > 0) echo stwToolTip($kat[2]);
	$dat = (strlen($kat[1]) > 0) ? $kat[1] : 'kein Name!';
	echo ">$dat</a></td>\n<td>";
	if($_SESSION[$AppCode]['ULV'] >= 96) {
		$pcs = abfrage1("select pc_id from tb_pc where kat_id='$kat[0]'");
		if(mysql_num_rows($pcs) == 0) {
			echo "<a href=\"pc_katn.php?del=$kat[0]\" style=\"color:red\"";
			echo stwToolTip("<b>Vorsicht!</b> gesamte Ger&auml;tekategorie l&ouml;schen");
			echo ">X</a>";
		} else {
			echo "<b" . stwToolTip("L&ouml;schen nicht m&ouml;glich,<br />es sind noch PCs dieser Kategorie zugeordnet") . ">X</b>";
		}
	}
	echo "</td>\n";
	// zugeordnete Gertemerkmale anzeigen
	$mms = abfrage1("select h.mm_id, m.name,
					if (h.spalte > 0, h.spalte, 9999) as sort,
					m.notizen
					from tbh_kat_mm h
					left join tb_pc_mm m using (mm_id)
					where h.kat_id = $kat[0] and h.mm_id > 0
					order by sort asc, m.name asc;");
	echo "<td style=\"padding-right:10px\">\n";
	unset($mm1);
	echo "<form action=\"pc_katn_sql.php\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"kat_id\" value=\"$kat[0]\">\n";
	echo "<table border=\"0\">\n";
	echo "<tr><th colspan=\"2\" style=\"padding-right:10px;color:#FFFF00\">Standort*</th>";
	$standort = abfrage("select spalte from tbh_kat_mm where kat_id = '$kat[0]' and mm_id = '-1'");
	echo "<td><input type=\"text\" style=\"text-align:right\" size=\"2\" maxlength=\"4\" name=\"spalte[-1]\" value=\"";
	if($standort[0] > 0) echo $standort[0];
	echo "\"></td>\n<td></td>\n</tr>\n";
	echo "<tr><th colspan=\"2\" style=\"padding-right:10px;color:#FFFF00\">Typ*</th>";
	$typ = abfrage("select spalte from tbh_kat_mm where kat_id = '$kat[0]' and mm_id = '-2'");
	echo "<td><input type=\"text\" style=\"text-align:right\" size=\"2\" maxlength=\"4\" name=\"spalte[-2]\" value=\"";
	if($typ[0] > 0) echo $typ[0];
	echo "\"></td>\n<td></td>\n</tr>\n";
	if(mysql_num_rows($mms) > 0) new stwTabLine(2,3);
	while ($mm = mysql_fetch_row($mms)){
		echo "<tr>";
		echo "<td style=\"padding-right:10px\">";
		echo "<a href=\"pc_mm.php?mm_id=$mm[0]\"";
		if (strlen($mm[3]) > 0) echo stwToolTip($mm[3]);
		echo ">$mm[1]</a></td>\n";
		echo "<td>";
		if($_SESSION[$AppCode]['ULV'] >= 96) {
			echo "<a href=\"pc_katn.php?delkat=$mm[0]\" style=\"color:red\"";
			echo stwToolTip('<b>Vorsicht!</b><br />Merkmal wird gel&ouml;scht und aus allen Kategorien entfernt!');
			echo ">X</a>";
		}
		echo "</td>\n";
		echo "<td><input type=\"text\" style=\"text-align:right\" size=\"2\" maxlength=\"4\" name=\"spalte[$mm[0]]\" value=\"";
		echo ($mm[2] > 0 && $mm[2] != 9999) ? $mm[2] : '';
		echo "\"></td>\n";
		echo "<td><a href=\"pc_kat_mm_del.php?kat_id=$kat[0]&amp;mm_id=$mm[0]\" ";
		echo "title=\"Merkmalzuordnung lschen!\" style=\"color:lime\">X</a></td>\n";
		echo "</tr>\n";
		$mm1[] = $mm[0];
	}
	echo "</table>\n";
	echo "</td>\n";

	if (mysql_num_rows($mms)){
		echo "<td style=\"padding-right:20px\">";
		echo "<input title=\"Zuordnung &auml;ndern!\" type=\"image\" src=\"img/senden.png\"></td>\n";
	} else {
		echo "<td></td>\n";
	}
	echo "</form>\n";

	$mms = abfrage1("select mm_id, name from tb_pc_mm order by name asc;");
	echo "<form action=\"pc_kat_mm_sql.php\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"kat_id\" value=\"$kat[0]\">\n";
	echo "<td style=\"padding-right:10px\"><select name=\"mm_id\" size=\"1\">\n";
	echo "<option value=\"0\" selected>Merkmal w&auml;hlen</option>\n";
	while ($mm = mysql_fetch_row($mms)){
		echo (in_array($mm[0], $mm1)) ? '' : "<option value=\"$mm[0]\">$mm[1]</option>\n";
	}
	echo "</select></td>\n";

	echo "<th>Spalte :</th>";
	echo "<td style=\"padding-right:10px;text-align:right\">";
	echo "<input style=\"text-align:right\" type=\"text\" name=\"spalte\" size=\"2\" maxlength=\"2\"></td>\n";
	echo "<td style=\"padding-right:20px;\"><input type=\"image\" src=\"img/senden.png\"></td>\n";
	echo "</form>\n";

	if($kat[3] == 'j') echo "<td><span" . stwToolTip("mit Inventar-Eintr&auml;gen verkn&uuml;pfbar") . ">(Inventar)</span></td>";

	echo "</tr>\n";
	new stwTabLine(2,30);
}

echo "</table>\n";
new stwLine(1);
new stwEnd($seite);
?>
