<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers_and.php 2926 2018-12-19 16:04:31Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 4;
$level = 25;

require_once($pfad . 'inc/func.inc.php');
/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function check_tr($traeger_art_id) {
	global $AppCode;
	$_SESSION[$AppCode]['maTrCSV'] = $traeger_art_id;
	$userResp = new xajaxResponse();
	$userResp->assign("std_tr_art", 'value', $traeger_art_id);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('check_tr');
/* --- Ende Abschnitt (X)AJAX --- */

if(isset($_POST['standardabteilung'])) {
	abfrage2("update tb_personal set standard_abteilung='{$_POST['standardabteilung']}' where pers_id='{$_GET['pers_id']}'");
}

$TTT = false;
if($_GET['persneu'] == 'ttt' && empty($_GET['pers_id'])) {
	if(check_nutzer_rechte(118)) $TTT = true;
}
/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

require_once($pfad . 'inc/auth.inc.php');
if(!$TTT) require_once($pfad . 'inc/level.inc.php');
require_once($pfad . 'inc/stw.inc.php');
require_once($pfad . 'inc/stwDaten.inc.php');

$konf = ($ulv >= 97 && $_GET['konfmask']==1);

if(check_nutzer_rechte(93) && (isset($rvar_in) || isset($rvar_out))) {
	$exist = abfrage1("select status from tb_pers_dienstvertrag where pers_id='$rvar_pers_id'");
	if(mysql_num_rows($exist) == 0) {
		$update = 'insert into';
		$where = ", pers_id='$rvar_pers_id'";
	} else {
		$update = 'update';
		$where = "where pers_id='$rvar_pers_id'";
	}
	if(isset($rvar_in))	{
		$status = $rvar_in==1 ? 'in' : 'out';
		abfrage2("$update tb_pers_dienstvertrag set pers_id_in='$uid', datetime_in=now(), status='$status' $where");
	}
	if(isset($rvar_out))	{
		$status = $rvar_out==1 ? 'out' : '';
		abfrage2("$update tb_pers_dienstvertrag set pers_id_out='$uid', datetime_out=now(), status='$status' $where");
	}
}

if($ulv >= 97 && $_GET['edit_besch_art']==1) {
	$typ = array('', 'Angestellt', 'Honorarkraft', 'Ehrenamtlich', 'Geringf&uuml;gig');
	echo "<table><form method=\"POST\" action=\"pers_and.php?konfmask=1\">\n";
	echo "<tr><td colspan=\"3\">Folgende Besch&auml;ftigungsarten stehen zur Auswahl:</td></tr>\n";
	new stwTabLine(2,3);
	$bes = abfrage1("select * from tb_beschaeftigung order by besch_id asc");
	while ($be = mysql_fetch_row($bes)) {
		echo "<tr>\n";
		echo "<input type=\"hidden\" name=\"ids[]\" value=\"$be[0]\">\n";
		echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"aktiv[".$be[0]."]\" value=\"1\"";
		if($be[2]=='j') echo " checked";
		echo "></td>\n<th class=\"cl1\">".$typ[$be[0]].":</th>\n";
		echo "<td class=\"cl1\"><input type=\"text\" name=\"beschaeftigung[".$be[0]."]\" ";
		echo "size=\"40\" maxlength=\"40\" value=\"$be[1]\"></td>\n";
		echo "</tr>\n";
	}
	new stwTabLine(2,3);
	echo "<tr><td colspan=\"3\"><input type=\"submit\" name=\"change_besch_art\" value=\"speichern\"></td></tr>\n";
	echo "</form></table>\n";
	new stwEnd($seite);
	exit(0);
}

if(isset($_POST['change_besch_art'])) {
	foreach($rvar_ids as $id) {
		$sql = "UPDATE tb_beschaeftigung 
				SET beschaeftigung = '".$rvar_beschaeftigung[$id]."',
				aktiv = '".($rvar_aktiv[$id]==1 ? 'j' : 'n')."'
				WHERE besch_id = '$id'";
		abfrage2($sql);
	}
}

/* Team ID die geloescht werden soll */
if ($ulv >= 70 && isset($_REQUEST['del_team_id'])) {
	$sql  = "DELETE FROM tb_team_art_pers WHERE team_art_id='";
	$sql .= $_REQUEST["del_team_id"]."' AND pers_id='".$rvar_pers_id."';";
	abfrage2($sql);
}

/* Sitzung die hinzugefuegt werden soll */
if ($ulv > 96 && isset($_REQUEST["add_team"])) {
	$sql  = "INSERT INTO tb_team_art_pers SET team_art_id='";
	$sql .= $_REQUEST["add_team"]."', pers_id='".$rvar_pers_id."'";
	abfrage2($sql);
}

$sql  = "select abt_id from tb_personal_abt_leit l where l.pers_id='$uid' ";
$sql .= "and '$rvar_pers_id' in (select pers_id from tbh_pers_abt a where a.abt_id=l.abt_id)";
$abteilungen = abfrage1($sql);

/* User ID die geloescht werden soll */
if (isset($_REQUEST['del_user_id']) && (($ulv >= 97 ) || ($uid == $rvar_pers_id) || mysql_num_rows($abteilungen) > 0)) {
	$sql  = "DELETE FROM tb_pers_pers_recht WHERE precht_id='1' AND user_id='";
	$sql .= $_REQUEST["del_user_id"]."' AND pers_id='".$rvar_pers_id."';";
	abfrage2($sql);
}

/* User ID die hinzugefuegt werden soll */
if (isset($_REQUEST['add_user']) && (($ulv >= 97 ) || ($uid == $rvar_pers_id) || mysql_num_rows($abteilungen) > 0)) {
	$sql  = "INSERT INTO tb_pers_pers_recht SET precht_id='1', user_id='";
	$sql .= $_REQUEST["add_user"]."', pers_id='".$rvar_pers_id."'";
	abfrage2($sql);
}

/*
* Alle Infos zu dieser Person holen wenn eine vorhandene gezeigt
* werden soll.
*/
if (isset($rvar_pers_id))
{
  $ma = abfrage_assoc("SELECT * FROM tb_personal WHERE pers_id = '$rvar_pers_id';");
  $highlight = $_GET['highlight']==1 ? "style=\"border:2px solid red;\"" : '';
  $_SESSION[$AppCode]['maTrCSV'] = $ma['standard_traeger_art_id'];
} else {
  $ma = array();
  $highlight = '';
}

$ti = 1;

$bereich = (isset($_REQUEST['bereich'])) ? $_REQUEST['bereich'] : 1;

 /*
  * Karteireiter um Bereiche fuer verschiedene Daten zu erhalten. Diese
  * werden nur gezeigt wenn eine vorhandene Person gezeigt wird.
  *
  * Bereich 1 - Datenblatt
  * Bereich 2 - Schluessel
  * Bereich 3 - Mitglied
  * Bereich 4 - Rechte
  * Bereich 5 - Ausgabe ( Handy, SIM-Karte, Bibo, ...)
  * Bereich 6 - Akten
  */

/* Abteilungszuweisung hinzufuegen */
if (isset($rvar_pers_id) && $_REQUEST['abt_add'] > 0 && $ulv >= 65){
	// Pruefen, ob Zuweisung evtl. schon vorhanden (Seite neu laden)
	$sql  = "select abt_id from tbh_pers_abt where pers_id = '$rvar_pers_id' ";
	$sql .= "and abt_id = '{$_REQUEST['abt_add']}' and sub_abt_id='0';";
	$dat = abfrage($sql);

	if ($dat[0] != $_REQUEST['abt_add']){
		$sql  = "insert into tbh_pers_abt set pers_id = '$rvar_pers_id', ";
		$sql .= "abt_id = '{$_REQUEST['abt_add']}';";
		abfrage2($sql);
		pers_sub_abt($rvar_pers_id);
	}
}

/* Abteilungszuweisung loeschen */
if (isset($rvar_pers_id) && $_REQUEST['abt_del'] > 0 && $ulv >= 65){
	$sql  = "delete from tbh_pers_abt where pers_id = '$rvar_pers_id' ";
	$sql .= "and abt_id = '{$_REQUEST['abt_del']}' and sub_abt_id='0';";
	abfrage2($sql);
	pers_sub_abt($rvar_pers_id);
}

/* Abteilungsleiter hinzufuegen */
if (isset($rvar_pers_id) && $_REQUEST['abt_leit_add'] > 0 && $ulv >= 96){
	// Pruefen, ob Zuweisung evtl. schon vorhanden (Seite neu laden)
	$sql  = "select abt_id from tb_personal_abt_leit where pers_id = '$rvar_pers_id' ";
	$sql .= "and abt_id = '{$_REQUEST['abt_leit_add']}';";
	$dat = abfrage($sql);

	if ($dat[0] != $_REQUEST['abt_leit_add']){
		$sql  = "insert into tb_personal_abt_leit set pers_id = '$rvar_pers_id', ";
		$sql .= "abt_id = '{$_REQUEST['abt_leit_add']}';";
		abfrage2($sql);
	}
}

/* Abteilungszuweisung loeschen */
if (isset($rvar_pers_id) && $_REQUEST['abt_leit_del'] > 0 && $ulv >= 96){
	$sql  = "delete from tb_personal_abt_leit where pers_id = '$rvar_pers_id' ";
	$sql .= "and abt_id = '{$_REQUEST['abt_leit_del']}';";
	abfrage2($sql);
}

if(isset($_POST['abteilung'])) {
	if(abtZugang($_POST['abteilung'])) {
		$kontrolle = (isset($_POST['kontrolle']) && $_POST['kontrolle']=='j') ? 'j' : 'n';
		$vml = (isset($_POST['vml']) && $_POST['vml']=='j') ? 'j' : 'n';
		$personal = (isset($_POST['personal']) && $_POST['personal']=='j') ? 'j' : 'n';
		$sql = "UPDATE tb_personal_abt_leit set kontrolle='$kontrolle', vml='$vml', personal='$personal' 
				where pers_id='$rvar_pers_id' and abt_id='{$_POST['abteilung']}'";
		abfrage2($sql);
	}
}

if (isset($rvar_pers_id)){
	$link  = "<a href=\"".$_SERVER["PHP_SELF"]."?pers_id=".$rvar_pers_id;
	$link .= "&bereich=";
	$active   = "<td class=\"menuactive\">";
	$inactive = "<td class=\"menuinactive\">";
	printf("<table><tr>");

	$submenu['1'] = 'Daten';
	$submenu['2'] = 'Schl&uuml;ssel';
	$submenu['3'] = 'Mitglied';
	$submenu['4'] = 'Rechte';
	$submenu['5'] = 'Ausgabe';
	$submenu['6'] = 'Akte';
	$submenu['7'] = 'Post';

	foreach ($submenu as $k => $v){
		if ($_REQUEST['bereich'] == $k || empty($_REQUEST)){
			$datx = $active;
		} else {
			$datx = $inactive;
		}
		if($k == 6) echo "<td class=\"menuinactive\"><a href=\"wtb.php?ma=$rvar_pers_id&pers_and=1\">AWB</a></td>\n";
		echo $datx . $link . "$k\">$v</a></td>\n";
	}

	echo "<th class=\"cl11\" style=\"padding-left:10px; color:#00FF00;\">";
	echo pers_name($rvar_pers_id) ."</th>\n";

	if ($bereich == 6 && check_nutzer_rechte(50)){
		echo "<td><input type=\"button\" value=\"Personalaktenarten bearbeiten\" ";
		echo "onClick=\"self.location.href='pers_akten.php?pers_id=";
		echo "$rvar_pers_id&bereich=$bereich'\"></td>\n";
	}

	echo "</tr></table>\n";
	new stwLine(1);
}

/* Bereich 1 Datenblatt zeigen */
if ($bereich == 1){
	if($_FILES["file"]["error"] == UPLOAD_ERR_OK) {
		$erg = move_uploaded_file($_FILES["file"]["tmp_name"], $pfad."img/".$rvar_pers_id.".jpg");
		if ($erg) chmod($pfad."img/".$rvar_pers_id.".jpg", 0640);
	}

  if(!$konf) {
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function checkName() {\n";
	echo " var vorname = document.getElementById('vorname').value;\n";
	echo " var nachname = document.getElementById('nachname').value;\n";
	echo " if(vorname=='' || nachname=='') {\n";
	echo "  alert('Bitte Vor- und Zunamen des Mitarbeiters angeben!');\n";
	echo "  return false;\n";
	echo " }\n";
	echo " return true;\n";
	echo "}\n--></script>\n";
  }
$disabled = ($konf) ? 'disabled' : '';
if(isset($rvar_pers_id)) {
	if ($ulv >= 80 || $TTT || check_nutzer_rechte(10) || check_al_rechte($rvar_pers_id)==2) {
		echo "<form	method=\"post\" action=\"pers_and.php?pers_id=$rvar_pers_id\" enctype=\"multipart/form-data\">\n";
	}
	echo "<input type=\"file\" onchange=\"this.form.submit()\" id=\"file\" name=\"file\" style=\"width:0.1px; height: 0.1px; position: absolute; z-index: -1;\">\n";
	echo "<label for=\"file\" style=\"position:absolute;left:365px;cursor:pointer\"";
	echo stwToolTip("Foto des Mitarbeiters ausw&auml;hlen...<br>Bitte m&ouml;glichst quadratisches Bild w&auml;hlen!<br>(100x100 Pixel ist gro&szlig; genug)");
	echo ">" . pers_image($rvar_pers_id);
	echo "</label>";
	if ($ulv >= 80 || $TTT || check_nutzer_rechte(10) || check_al_rechte($rvar_pers_id)==2) {
		echo "</form>\n";
	}
}

echo "<form	method=\"post\" action=\"pers.php\" name=\"PersForm\"";
if(!$konf) echo " onsubmit=\"return checkName()\"";
echo ">\n<table width=\"750\" border=\"0\">\n";
echo "<tr><td valign=\"top\">\n";
echo "<table width=\"375\" border=\"0\">\n";
if($TTT) {
	echo "<input type=\"hidden\" name=\"TTT\" value=\"1\">\n";
}
echo "<tr>";
if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
echo "<th style=\"text-align:right\" class=\"cl1\">Personalart <a href=\"pers_art.php\"><img src=\"img/edit.png\"";
echo stwToolTip('Personalarten verwalten') . "/></a>:&nbsp;</th>\n";
echo "<td colspan=\"3\"><select $disabled name=\"p_art_id\" size=\"1\" ";
if($TTT) echo "disabled ";
echo "style=\"width:200px\" tabindex=\"$ti\">";
$ti++;
$sql = "select p_art_id, IF(kurzname IS NULL, personalart, kurzname), beschreibung 
		from tb_personalart where aktiv='j' or p_art_id='{$ma['p_art_id']}' 
		order by IF(kurzname IS NULL, personalart, kurzname) asc";
$res = abfrage1($sql);

$nwg = (getConf('traeger') == 'nwg');

while ($zeile = mysql_fetch_row($res)) {
  echo "<option";
  if(($ma['p_art_id'] == $zeile[0] || $TTT) && $zeile[1] == 'TTT') {
	$TTT = true;
	echo ' selected';
	$ttt_id = $zeile[0];
  }
  if ($ma['p_art_id'] == $zeile[0]) echo ' selected';
  if(($zeile[0]>18 || $zeile[0]==6) && $nwg) echo " style=\"background-color:#FFCC00\"";
  echo " value=\"$zeile[0]\">$zeile[1]&nbsp;&nbsp;$zeile[2]</option>\n";
}
echo "</select>\n</td>\n</tr>\n";

if($TTT) echo "<input type=\"hidden\" name=\"p_art_id\" value=\"$ttt_id\">\n";

echo "<tr>";
if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
echo "<th style=\"text-align:right\" class=\"cl1\">Personal-Nr.:</th>\n";
echo "<td colspan=\"3\"><table style=\"width:200px\" cellpadding=\"0\" cellspacing=\"0\">";
echo "<tr><td width=\"100%\"><input $disabled align=\"right\" type=\"text\" ";
echo "name=\"personalnr\" size=\"3\" maxlength=\"3\" tabindex=\"$ti\" ";
$ti++;
if (isset($rvar_pers_id)) {
  echo "value=\"{$ma['personalnr']}\"";
} else {
	if($TTT) $nmb = abfrage("select max(personalnr)+1 from tb_personal where p_art_id = '$ttt_id';");
	else $nmb = abfrage("select max(personalnr)+1 from tb_personal where personalnr < 800;");
	$num = sprintf('%03u',$nmb[0]);
	echo "value=\"$num\"";
}
echo "></td>\n";
if(isset($rvar_pers_id)) {
	echo "<td>&nbsp;<input type=\"button\" value=\"PostEin\" ";
	echo "style=\"color:#00A600; font-weight:bold;\" ".stwToolTip("Posteingang");
	echo "onclick=\"location='post_in.php?ap=$rvar_pers_id&kont_id=m'\"></td>";
	echo "<td>&nbsp;<input type=\"button\" value=\"PostAus\" ";
	echo "style=\"color:#FF0000; font-weight:bold;\" ".stwToolTip("Postausgang");
	echo  "onclick=\"location='post_out.php?ap=$rvar_pers_id&kont_id=m'\"></td>";
	echo "<td>&nbsp;<input type=\"button\"";
	echo stwToolTip('Brief schreiben');
	echo "onClick=\"self.location.href='brief.php?";
	echo "ap_id=$rvar_pers_id&kont_id=m'\" ";
	echo "style=\"height:20px; width:24px; ";
	echo "background:url(img/brief_grau.png) no-repeat\"></td>\n";
}
echo "</tr></table></td></tr>\n";

if($konf || seiteKonfSichtbar('pers_and_benutzername')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_benutzername\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_benutzername') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\"".stwToolTip('Benutzername im Stellware').">Stellware-Login:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"benutzername\" style=\"width:200px\" maxlength=\"50\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['login']}\"";
	echo "></td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"benutzername\" value=\"{$ma['login']}\">\n";

echo "<tr>";
if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
echo "<th style=\"text-align:right\" class=\"cl1\">Besch&auml;ftigung:</th>\n";
echo "<td colspan=\"3\"><select $disabled name=\"besch_id\" size=\"1\" style=\"width:200px\" tabindex=\"$ti\">\n";
$ti++;
$res = abfrage1("select * from tb_beschaeftigung where aktiv='j' or besch_id='{$ma['besch_id']}' order by beschaeftigung asc;");
while ($zeile = mysql_fetch_row($res)) {
  echo "<option";
  if($TTT){ 
	if($zeile[0] == 3) echo " selected";
  } else echo ($ma['besch_id'] == $zeile[0]) ? ' selected' : '';
  echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
}
echo "</select> \n";
if($konf) {
	echo "<a href=\"pers_and.php?edit_besch_art=1\"";
	echo stwToolTip('Besch&auml;ftigungsarten bearbeiten');
	echo "><img src=\"img/edit.png\" style=\"margin-bottom:-3px;\"></a>";
}
echo "</td>\n</tr>\n";

if($konf || seiteKonfSichtbar('pers_and_arbeitsrechtl')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_arbeitsrechtl\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_arbeitsrechtl') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\"".stwToolTip('Arbeitsrechtlicher Status').">Arbeitsrechtl.:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"arbeitsrechtl\" style=\"width:200px\" maxlength=\"50\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['arbeitsrechtl']}\"";
	echo "></td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"arbeitsrechtl\" value=\"{$ma['arbeitsrechtl']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_status')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_status\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_status') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Status:</th>\n";
	echo "<td colspan=\"3\"><select $disabled name=\"status_id\" style=\"width:100px\" tabindex=\"$ti\">\n";
	$ti++;
	$res = abfrage1("select * from tb_status order by status asc;");
	while ($zeile = mysql_fetch_row($res)){
	  echo "<option";
	  if ($ma['status_id'] == $zeile[0]) echo ' selected';
	  echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
	}
	echo "</select>\n";
} else {
	echo "<input type=\"hidden\" name=\"status_id\" value=\"".(empty($ma['status_id']) ? 2 : $ma['status_id'])."\">\n";
	echo "<tr><td></td><td colspan=\"3\">";
}

if(isset($rvar_pers_id)) {
  if ($uid == $rvar_pers_id || 	$ulv >= 70 || check_al_rechte($rvar_pers_id)==2){
	echo "&nbsp;<a" . stwToolTip('Arbeitszeitvereinbarung');
	echo "href=\"pers_azv.php?pers_id=$rvar_pers_id\">AZV</a>\n";
	echo "&nbsp;<a href=\"pers_kind.php?pers_id=$rvar_pers_id\">Kinder</a>\n";
    echo "&nbsp;<a" . stwToolTip('Vereinsmitgliedschaft');
    echo "href=\"pers_mit.php?pers_id=$zeile[7]\">VMG</a>\n";
  } elseif(check_nutzer_rechte(50)) {
	echo "<a href=\"pers_kind.php?pers_id=$rvar_pers_id\">Kinder</a>\n";
  }
}
echo "</td>\n</tr>\n";

if($konf || seiteKonfSichtbar('pers_and_titel')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_titel\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_titel') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Titel:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"titel\" size=\"30\" maxlength=\"30\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['titel']}\"";
	echo "></td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"titel\" value=\"{$ma['titel']}\">\n";

echo "<tr>";
if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
echo "<th style=\"text-align:right\" class=\"cl1\">Name:</th>\n";
echo "<td><input $disabled type=\"text\" id=\"nachname\" name=\"name\" size=\"30\" maxlength=\"30\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_pers_id)) echo " value=\"{$ma['name']}\"";
echo ">";

 /* Dateiupload (Objekt 1) hinter Namen von der Person */
 $daten = new stwDaten("1");
 if (isset($rvar_pers_id))
 {
   /* Klammersymbol ausgeben */
   printf(" %s\n", $daten->get_klammer_link($_SESSION["webdir"], $uid, $ulv,
                                            $rvar_pers_id, 0));
 }

echo "</td>\n</tr>\n";

echo "<tr>";
if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
echo "<th style=\"text-align:right\" class=\"cl1\">Vorname:</th>\n";
echo "<td><input $disabled type=\"text\" id=\"vorname\" name=\"vorname\" size=\"30\" maxlength=\"30\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_pers_id)) echo " value=\"{$ma['vorname']}\"";
echo "></td>\n</tr>\n";

echo "<tr>";
if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
echo "<th style=\"text-align:right\" class=\"cl1\">Geschlecht:</th>\n";
echo "<td><input $disabled type=\"radio\" name=\"geschlecht\" value=\"w\" ";
echo "style=\"vertical-align: middle;\" tabindex=\"$ti\""; $ti++;
if ($ma['geschlecht'] == 'w') echo ' checked';
echo ">&nbsp;<b>weiblich</b>&nbsp;&nbsp;";
echo "<input $disabled type=\"radio\" name=\"geschlecht\" value=\"m\" tabindex=\"$ti\" ";
echo "style=\"vertical-align: middle;\""; $ti++;
if ($ma['geschlecht'] == 'm') echo ' checked';
echo ">&nbsp;<b>m&auml;nnlich</b></td>\n</tr>\n";

if($konf || seiteKonfSichtbar('pers_and_abschluss')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_abschluss\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_abschluss') ? 'checked' : '')."></td>";
	$checked = $ma['therapeut']=='j' ? 'checked' : '';
	echo "<th style=\"text-align:right\" class=\"cl1\">Abschluss:<br /><br /><input type=\"checkbox\" value=\"j\" $disabled name=\"therapeut\" $checked /> Therapeut</th>\n";
	echo "<td><textarea $disabled cols=\"30\" rows=\"3\" name=\"abschluss\" ";
	echo "tabindex=\"$ti\">"; $ti++;
	if (isset($rvar_pers_id)) echo $ma['abschluss'];
	echo "</textarea></td></tr>\n";
} else echo "<input type=\"hidden\" name=\"abschluss\" value=\"{$ma['abschluss']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_funktion')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_funktion\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_funktion') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Funktion:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"funktion\" size=\"30\" maxlength=\"30\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['funktion']}\"";
	echo "></td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"funktion\" value=\"{$ma['funktion']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_stellenbeschreibung')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_stellenbeschreibung\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_stellenbeschreibung') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl11\"".stwToolTip('Stellenbeschreibung').">St.Beschr.";
	if($ulv >= 65) {
		echo " <a href=\"stellen.php?table=tb_stellenbeschr&maxlength=15&text=1&check=in%20Anlage%20FK%20ausweisen&pers_id=$rvar_pers_id\"";
		if (isset($rvar_pers_id)) echo " onclick=\"document.PersForm.submit()\"";
		echo "><img src=\"img/edit.png\" style=\"margin-bottom:-1px;\"></a>";
	}
	echo ":";
	if ($ulv >= 80 || $TTT || check_nutzer_rechte(10) || check_al_rechte($rvar_pers_id)==2) {
		echo "<script type=\"text/javascript\"><!--\n";
		echo "var stbs = new Array();\n";
		$stbs=abfrage1("select p.pers_id, b.* from tb_stellenbeschr b 
						left join tbh_pers_stellenbeschr p 
						on (p.stellenbeschr_id = b.id and p.pers_id='$rvar_pers_id')");
		while($stb = mysql_fetch_array($stbs)) {
			echo "stbs[$stb[1]] = new Object();\n";
			echo "stbs[$stb[1]]['name'] = '".strCut($stb[2].' - '.$stb[3],30)."';\n";
			echo "stbs[$stb[1]]['show'] = ".(empty($stb[0]) ? '0' : '1').";\n";
		}
		echo "function dazu() {\n";
		echo " var x = document.PersForm.stellenbeschr.selectedIndex;\n";
		echo " stbs[document.PersForm.stellenbeschr.value]['show'] = 1;\n";
		echo " document.PersForm.stellenbeschr.remove(x);\n";
		echo " document.PersForm.stellenbeschr.selectedIndex = 0;\n";
		echo " update();\n";
		echo "}\n";

		echo "function del(id) {\n";
		echo " var name = stbs[id]['name'];\n";
		echo " var Option = document.createElement('option');\n";
		echo " Option.value = id; Option.text = name;\n";
		echo " try { document.PersForm.stellenbeschr.add(Option, null); }\n";
		echo " catch(ex) { document.PersForm.stellenbeschr.add(Option); }\n";
		echo " stbs[id]['show'] = 0;\n";
		echo " update();\n";
		echo "}\n";

		echo "function update() {\n";
		echo " var text = '<input type=\"hidden\" name=\"stbs[]\" value=\"0\" />';\n";
		echo " text += '<ul style=\"margin:1px\">';\n";
		echo " for (i in stbs) {\n";
		echo "  if(stbs[i]['show']) {\n";
		echo "   text += '<li style=\"position:relative;left:-30px;\">';\n";
		echo "   text += '<a href=\"#\" style=\"color:red;position:relative;left:200px\" onclick=\"del(';\n";
		echo "   text += i;\n";
		echo "   text += ')\">X</a>';\n";
		echo "   text += stbs[i]['name'] + '</li>';\n";
		echo "   text += '<input type=\"hidden\" name=\"stbs[]\" value=\"'+i+'\" />';\n";
		echo "  }\n";
		echo " }\n";
		echo " text += '</ul>';\n";
		echo " document.getElementById('stbrow').innerHTML = text;\n";
		echo "}\n--></script>\n";

		echo "<a href=\"#\" style=\"font-size:small;position:relative;left:0;top:-4px;\"";
		echo stwToolTip('Stellenbeschreibungen hinzuf&uuml;gen und entfernen');
		echo "onclick=\"document.getElementById('stellenBeschrDropdown').style.display = 'table-row'\">+</a>";
	}
	echo "</th>\n<td><table cellpadding=\"0\" cellspacing=\"0\">\n";
	$stbeschrs = abfrage1( "select t2.id, t2.name, t2.text 
							from tbh_pers_stellenbeschr t1
							left join tb_stellenbeschr t2 on(t1.stellenbeschr_id = t2.id)
							where t1.pers_id = '$rvar_pers_id'
							order by name asc");
	if ($ulv >= 80 || $TTT || check_nutzer_rechte(10) || check_al_rechte($rvar_pers_id)==2) {
		echo "<tr id=\"stellenBeschrDropdown\"";
		if(isset($rvar_pers_id)) echo " style=\"display:none\"";
		echo "><td><select name=\"stellenbeschr\" style=\"width:219px\" ";
		echo "onchange=\"dazu()\">\n";
		echo "<option value=\"0\">Stellenbeschreibung hinzuf&uuml;gen</option>\n";
		$stbs = abfrage1("select * from tb_stellenbeschr where id not in (
							select stellenbeschr_id from tbh_pers_stellenbeschr where pers_id='$rvar_pers_id'
						) order by name asc, text asc");
		while($stb = mysql_fetch_row($stbs)) {
			echo "<option value=\"$stb[0]\">" . strCut($stb[1].' - '.$stb[2],30) . "</option>\n";
		}
		echo "</select></td></tr>\n";
		echo "<tr><td colspan=\"30\" id=\"stbrow\">\n";
		while($stbeschr = mysql_fetch_row($stbeschrs)) {
			echo "<li>\n";
			echo "<a href=\"#\" style=\"color:red;position:relative;left:200px\" onclick=\"del($stbeschr[0])\">X</a>\n<span";
			echo stwToolTip($stbeschr[2]).">".strCut($stbeschr[1].' - '.$stbeschr[2],30)."</li>\n";
		}
		echo "</td></tr>\n";
	} else {
		while($stbeschr = mysql_fetch_row($stbeschrs)) {
			echo "<tr><th style=\"text-align:right\" class=\"cl11\">$stbeschr[1]</th>\n";
			echo "<td".stwToolTip($stbeschr[2]).">".strCut($stbeschr[2],20)."</td></tr>\n";
		}
	}
	echo "</table></td>\n</tr>\n";
}

if(empty($rvar_pers_id)) $foki = abfrage1("select pers_id from tb_personal where 0");
else $foki = abfrage1("select pers_id, name, vorname, fokus_rolle, p_art_id from tb_personal where status_id=2 and fokus='$rvar_pers_id' order by name, vorname asc");
if($konf || mysql_num_rows($foki) > 0) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" disabled checked /></td>";
	$tt_id = abfrage("select p_art_id from tb_personalart where personalart='TTT'");
	$tt_foki = abfrage1("select pers_id from tb_personal where status_id=2 and fokus='$rvar_pers_id' and p_art_id = '$tt_id[0]'");
	if(mysql_num_rows($tt_foki) > 0) {
		echo "<script type=\"text/javascript\"><!--\n";
		echo "function Show() {\n";
		echo " var ntd = document.getElementsByName('notToDisplay');\n";
		echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'inline';\n";
		echo "}\n--></script>\n";
		$ttt = "<a href=\"#\" onclick=\"Show()\">(TTT)</a>";
	} else $ttt = '';
	echo "<th style=\"text-align:right\" class=\"cl1\">MA ist Fokus f&uuml;r: $ttt</th>\n";
	echo "<td class=\"ww\">";
	$komma = false;
	while($fok = mysql_fetch_row($foki)) {
		if($fok[4] == $tt_id[0]) echo "<span style=\"display:none;\" name=\"notToDisplay\">";
		if($komma) echo "<br />";
		else $komma = true;
		$rolle = empty($fok[3]) ? '' : "($fok[3])";
		echo "<a href=\"pers_and?pers_id=$fok[0]\">$fok[2] $fok[1] $rolle</a>";
		if($fok[4] == $tt_id[0]) echo "</span>";
	}
	echo "</td></tr>\n";
}

if($konf || seiteKonfSichtbar('pers_and_dienstort')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_dienstort\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_dienstort') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Dienstort";
	if($ulv >= 65) {
		echo " <a href=\"stellen.php?table=tb_dienstort&maxlength=100&title=Dienstorte&pers_id=$rvar_pers_id\"";
		if (isset($rvar_pers_id)) echo " onclick=\"document.PersForm.submit()\"";
		echo "><img src=\"img/edit.png\" style=\"margin-bottom:-1px;\"></a>";
	}
	echo ":</th>\n<td><select $disabled name=\"dienstort\" style=\"width:219px\" tabindex=\"$ti\">"; $ti++;
	echo "<option value=\"0\">bitte w&auml;hlen</option>\n"; 
	$res = abfrage1("select * from tb_dienstort order by name asc");
	while ($zeile = mysql_fetch_row($res)) {
	  echo "<option";
	  if($ma['dienstort'] == $zeile[0]) echo " selected";
	  echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
	}
	echo "</select></td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"dienstort\" value=\"{$ma['dienstort']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_bereich')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_bereich\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_bereich') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Gebiet:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"bereich\" size=\"30\" maxlength=\"30\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['bereich']}\"";
	echo "></td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"bereich\" value=\"{$ma['bereich']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_kostenstelle')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_kostenstelle\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_kostenstelle') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Kostentr&auml;ger";
	if($ulv >= 65) {
		echo "&nbsp;<a href=\"stellen.php?table=tb_kostenstellen&maxlength=30&pers_id=$rvar_pers_id\"";
		if (isset($rvar_pers_id)) echo " onclick=\"document.PersForm.submit()\"";
		echo "><img src=\"img/edit.png\" style=\"margin-bottom:-1px;\"></a>";
	}
	echo ":</th>\n<td><select $disabled name=\"kostenstelle\" style=\"width:219px\" tabindex=\"$ti\">"; $ti++;
	echo "<option value=\"0\">bitte w&auml;hlen</option>\n"; 
	$res = abfrage1("select * from tb_kostenstellen order by name asc");
	while ($zeile = mysql_fetch_row($res)) {
	  echo "<option";
	  if($ma['kostenstelle'] == $zeile[0]) echo " selected";
	  echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
	}
	echo "</select></td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"kostenstelle\" value=\"{$ma['kostenstelle']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_dienstausweis')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_dienstausweis\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_dienstausweis') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Dienstausweis:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"ausweis\" size=\"11\" maxlength=\"11\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id) && strlen($ma['ausweis']) > 0) {
		echo " value=\"" . date_my2gr($ma['ausweis']);
	}
	echo "\">&nbsp;&nbsp;g&uuml;ltig bis TT.MM.JJJJ</td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"ausweis\" value=\"{$ma['ausweis']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_email_dienst')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_email_dienst\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_email_dienst') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">E-Mail dienstl.:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"emaildienst\" size=\"30\" ";
	echo "maxlength=\"50\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['emaildienst']}\">";
	if (strlen($ma['emaildienst']) > 0){
		echo " <a href=\"mailto:{$ma['emaildienst']}\"";
		echo stwToolTip('E-Mail schreiben') . '>@</a>';
	}
	echo "</td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"emaildienst\" value=\"{$ma['emaildienst']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_tel_dienst')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_tel_dienst\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_tel_dienst') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Telefon dienstl.:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"teldienst\" size=\"15\" ";
	echo "maxlength=\"15\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['teldienst']}\"";
	echo "></td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"teldienst\" value=\"{$ma['teldienst']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_tel_mobil')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_tel_mobil\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_tel_mobil') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Telefon mobil:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"telmobil\" size=\"15\" ";
	echo "maxlength=\"15\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['telmobil']}\"";
	echo "></td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"telmobil\" value=\"{$ma['telmobil']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_durchwahl')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_durchwahl\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_durchwahl') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Telefon intern:</th>\n";
	echo "<th><input $disabled type=\"text\" name=\"telstw\" size=\"3\" maxlength=\"3\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['telstw']}\"";
	echo "> &nbsp; &nbsp; &nbsp; &nbsp; Raum: <input $disabled type=\"text\" name=\"raumstw\" ";
	if (isset($rvar_pers_id)) echo "value=\"{$ma['raumstw']}\" ";
	echo "size=\"15\" maxlength=\"15\" tabindex=\"$ti\">"; $ti++;
	echo "</th>\n</tr>\n";
} else {
	echo "<input type=\"hidden\" name=\"telstw\" value=\"{$ma['telstw']}\">\n";
	echo "<input type=\"hidden\" name=\"raumstw\" value=\"{$ma['raumstw']}\">\n";
}
if($konf || seiteKonfSichtbar('pers_and_fax')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_fax\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_fax') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Telefax:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"fax\" size=\"15\" maxlength=\"15\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['fax']}\"";
	echo "></td>\n</tr>\n";
} else echo "<input type=\"hidden\" name=\"fax\" value=\"{$ma['fax']}\">\n";

if($konf || seiteKonfSichtbar('pers_and_notizen')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_and_notizen\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_and_notizen') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Notizen:</th>\n";
	echo "<td><textarea $disabled cols=\"30\" rows=\"3\" name=\"notizen\" tabindex=\"$ti\">";
	$ti++;
	if (isset($rvar_pers_id)) echo $ma['notizen'];
	echo "</textarea></td></tr>\n";
} else echo "<input type=\"hidden\" name=\"notizen\" value=\"{$ma['notizen']}\">\n";

echo "</table></td>\n";
echo "<td valign=\"top\">\n";

echo "<table width=\"375\" border=\"0\">\n";
 /*
  * Eine der folgenden Bedingungen muss zutreffen
  * um die Angaben zu sehen: - Nutzer sieht seine eigenen Angaben
  *                          - Level ist groesser als 69
  *                          - spezielles "Neu" Recht vorhanden
  *                          - spezielles "Speicher" Recht vorhanden
  */
if ($uid == $rvar_pers_id ||  $ulv > 69 || $TTT || check_nutzer_rechte(9) || check_nutzer_rechte(10) || check_al_rechte($rvar_pers_id)==2) {
  if($konf || seiteKonfSichtbar('pers_and_strasse')) {
	$high = empty($ma['strasse']) ? $highlight : '';
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_strasse\" ".(seiteKonfSichtbar('pers_and_strasse') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\" style=\"text-align:right;color:yellow\">Stra&szlig;e*:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"strasse\" size=\"30\" ";
	echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['strasse']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"strasse\" value=\"{$ma['strasse']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_plz')) {
	$high = empty($ma['plz']) ? $highlight : '';
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_plz\" ".(seiteKonfSichtbar('pers_and_plz') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\" style=\"text-align:right;color:yellow\">PLZ*:</th>\n";
	echo "<th><input $disabled $high type=\"text\" name=\"plz\" size=\"5\" maxlength=\"5\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['plz']}\"";
	echo "> ";
	if($_SESSION[$AppCode]['TR'] == 'stw') {
		echo "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; Tarifzone: ";
		echo "<select name=\"tarifzone\" style=\"width:36px\" tabindex=\"$ti\">\n"; $ti++;
		echo "<option></option>\n";
		$tarife = array('A'=>'1 Tarifzone (auer TZ Dresden)',
						'A1'=>'Tarifzone Dresden',
						'B'=>'2 Tarifzonen',
						'C'=>'1 Tarifzone1 und umliegende',
						'D'=>'Verbundraum');
		foreach($tarife as $i => $tarif) {
			$selected = $ma['tarifzone']==$i ? "selected" : '';
			echo "<option value=\"$i\" $selected>$i $tarif</option>\n";
		}
	}
	echo "</th>\n</tr>\n";
  } else {
	echo "<input type=\"hidden\" name=\"plz\" value=\"{$ma['plz']}\">\n";
	echo "<input type=\"hidden\" name=\"tarifzone\" value=\"{$ma['tarifzone']}\">\n";
  }

  if($konf || seiteKonfSichtbar('pers_and_ort')) {
	$high = empty($ma['ort']) ? $highlight : '';
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_ort\" ".(seiteKonfSichtbar('pers_and_ort') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\" style=\"text-align:right;color:yellow\">Ort*:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"ort\" size=\"30\" maxlength=\"30\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['ort']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"ort\" value=\"{$ma['ort']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_email_privat')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_email_privat\" ".(seiteKonfSichtbar('pers_and_email_privat') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">E-Mail privat:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"emailprivat\" size=\"30\" ";
	echo "maxlength=\"50\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['emailprivat']}\">";
	if (strlen($ma['emailprivat']) > 0){
		echo " <a href=\"mailto:{$ma['emailprivat']}\"";
		echo stwToolTip('E-Mail schreiben') . '>@</a>';
	}
	echo "</td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"emailprivat\" value=\"{$ma['emailprivat']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_email_benachr')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_email_benachr\" ".(seiteKonfSichtbar('pers_and_email_benachr') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">E-Mail-Benachr.:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"benachr\" value=\"j\" ";
	echo "style=\"vertical-align: middle;\" tabindex=\"$ti\""; $ti++;
	if ($ma['benachr'] == 'j') echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"benachr\" value=\"n\" tabindex=\"$ti\"";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['benachr'] == 'n' || !isset($rvar_pers_id)) echo ' checked';
	echo ">&nbsp;<b>nein</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"benachr\" value=\"d\" tabindex=\"$ti\"";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['benachr'] == 'd') echo ' checked';
	echo ">&nbsp;<b>an Dienst-Adresse</b></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"benachr\" value=\"".(empty($ma['benachr']) ? 'n' : $ma['benachr'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_tel_privat')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_tel_privat\" ".(seiteKonfSichtbar('pers_and_tel_privat') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Tel. privat:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"telprivat\" size=\"15\" ";
	echo "maxlength=\"15\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['telprivat']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"telprivat\" value=\"{$ma['telprivat']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_tel_mobil_privat')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_tel_mobil_privat\" ".(seiteKonfSichtbar('pers_and_tel_mobil_privat') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Tel. mobil privat:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"telmobilprivat\" size=\"15\" ";
	echo "maxlength=\"15\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['telmobilprivat']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"telmobilprivat\" value=\"{$ma['telmobilprivat']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_geboren')) {
	$high = (empty($ma['geboren']) || $ma['geboren']=='0000-00-00') ? $highlight : '';
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_geboren\" ".(seiteKonfSichtbar('pers_and_geboren') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">geboren*:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"geboren\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"" . date_my2gr($ma['geboren']);
	echo "\">&nbsp;&nbsp;TT.MM.JJJJ</td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"geboren\" value=\"{$ma['geboren']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_verheiratet')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_verheiratet\" ".(seiteKonfSichtbar('pers_and_verheiratet') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Familienstand:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"verh\" value=\"j\" tabindex=\"$ti\"";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['verh'] == 'j') echo ' checked';
	echo ">&nbsp;<b>verheiratet</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"verh\" value=\"n\" tabindex=\"$ti\"";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['verh'] == 'n' || !isset($rvar_pers_id)) echo ' checked';
	$ledig = seiteKonfSichtbar('pers_and_verh2') ? 'ledig' : 'unverheiratet';
	echo ">&nbsp;<b>$ledig</b></td>\n</tr>\n";
	if($konf || seiteKonfSichtbar('pers_and_verh2')) {
	  echo "<tr><td></td>";
	  if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_verh2\" ".(seiteKonfSichtbar('pers_and_verh2') ? 'checked' : '')."></td>";
	  echo "<td><input $disabled type=\"radio\" name=\"verh\" value=\"w\" tabindex=\"$ti\"";
	  echo "style=\"vertical-align: middle;\""; $ti++;
	  if ($ma['verh'] == 'w') echo ' checked';
	  echo ">&nbsp;<b>verwitwet</b>&nbsp;&nbsp;&nbsp;&nbsp;";
	  echo "<input $disabled type=\"radio\" name=\"verh\" value=\"s\" tabindex=\"$ti\"";
	  echo "style=\"vertical-align: middle;\""; $ti++;
	  if ($ma['verh'] == 's') echo ' checked';
	  echo ">&nbsp;<b>geschieden</b></td>\n</tr>\n";
	}
	if($konf || seiteKonfSichtbar('pers_and_verh3')) {
	  echo "<tr><td></td>";
	  if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_verh3\" ".(seiteKonfSichtbar('pers_and_verh3') ? 'checked' : '')."></td>";
	  echo "<td><input $disabled type=\"radio\" name=\"verh\" value=\"p\" tabindex=\"$ti\"";
	  echo "style=\"vertical-align: middle;\""; $ti++;
	  if ($ma['verh'] == 'p') echo ' checked';
	  echo ">&nbsp;<b>in eingetr. Partnerschaft lebend</b></td>\n</tr>\n";
	}
  } else echo "<input type=\"hidden\" name=\"verh\" value=\"".(empty($ma['verh']) ? 'n' : $ma['verh'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_staat')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_staat\" ".(seiteKonfSichtbar('pers_and_staat') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Staatsangeh&ouml;rigkeit:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"staat\" size=\"30\" maxlength=\"25\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['staat']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"staat\" value=\"{$ma['staat']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_ident')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_ident\" ".(seiteKonfSichtbar('pers_and_ident') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Identit&auml;tsnachweis:</th>\n";
	echo "<th><input $disabled type=\"text\" name=\"ident\" size=\"30\" maxlength=\"30\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['ident']}\"";
	echo "></td></tr>\n";
	echo "<tr><th style=\"text-align:right\" class=\"cl1\" style=\"text-align:right\"";
	if($konf) echo " colspan=\"2\"";
	echo ">Datum:</th><th><input $disabled type=\"text\" name=\"identdatum\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"" . date_my2gr($ma['identdatum']);
	echo "\"> Ort: <input $disabled type=\"text\" name=\"identort\" size=\"14\" ";
	echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['identort']}\">";
	echo "</th>\n</tr>\n";
  } else {
	echo "<input type=\"hidden\" name=\"ident\" value=\"{$ma['ident']}\">\n";
	echo "<input type=\"hidden\" name=\"identdatum\" value=\"".date_my2gr($ma['identdatum'])."\">\n";
	echo "<input type=\"hidden\" name=\"identort\" value=\"{$ma['identort']}\">\n";
  }

  if($konf || seiteKonfSichtbar('pers_and_svnr')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_svnr\" ".(seiteKonfSichtbar('pers_and_svnr') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">SVNr:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"svnr\" size=\"4\" maxlength=\"4\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['svnr']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"svnr\" value=\"{$ma['svnr']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_behindert')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_behindert\" ".(seiteKonfSichtbar('pers_and_behindert') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">schwerbehindert*:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"behinderung\" value=\"j\" ";
	echo "style=\"vertical-align: middle;\" tabindex=\"$ti\""; $ti++;
	if ($ma['behinderung'] == 'j') echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"behinderung\" value=\"n\" ";
	echo "style=\"vertical-align: middle;\" tabindex=\"$ti\""; $ti++;
	if ($ma['behinderung'] == 'n' || !isset($rvar_pers_id)) echo ' checked';
	echo ">&nbsp;<b>nein</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"text\" name=\"beh_grad\" size=\"3\" maxlength=\"3\" ";
	echo "style=\"vertical-align: middle;\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['beh_grad']}\"";
	echo "><b>%</b></td></tr>\n";
  } else {
	echo "<input type=\"hidden\" name=\"behinderung\" value=\"".(empty($ma['behinderung']) ? 'n' : $ma['behinderung'])."\">\n";
	echo "<input type=\"hidden\" name=\"beh_grad\" value=\"{$ma['beh_grad']}\">\n";
  }

  if($konf || seiteKonfSichtbar('pers_and_krankenkasse')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_krankenkasse\" ".(seiteKonfSichtbar('pers_and_krankenkasse') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">Krankenkasse*";
	if($ulv >= 65) {
		echo "<a href=\"krankenkasse.php?kk=" . $ma['krankenkasse'] . "\"";
		if (isset($rvar_pers_id)) echo " onclick=\"document.PersForm.submit()\"";
		echo "><img src=\"img/edit.png\" style=\"margin-bottom:-1px;\"></a>";
	}
	echo ":</th>\n";
	$high = (empty($ma['krankenkasse']) || $ma['krankenkasse'] == '--- bitte whlen ---') ? $highlight : '';
	if(getConf("krankenkasse")) {
		echo "<td><select $disabled $high name=\"krankenkasse\" size=\"1\" style=\"width:219px\" tabindex=\"$ti\">\n";$ti++;
		echo "<option>--- bitte w&auml;hlen ---</option>\n";
		$res = abfrage1("SELECT kurzname,name FROM tb_krankenkasse order by name asc");
		while ($zeile = mysql_fetch_row($res)) {
		  echo "<option";
		  if(strtolower($ma['krankenkasse']) == strtolower($zeile[0])) echo " selected";
		  echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
		}
		echo "</select>\n</td>\n</tr>\n";
	} else {
		echo "<td><input $disabled $high type=\"text\" name=\"krankenkasse\" size=\"30\" ";
		echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
		if (isset($rvar_pers_id)) echo " value=\"{$ma['krankenkasse']}\"";
		echo "></td>\n</tr>\n";
	}
  } else echo "<input type=\"hidden\" name=\"krankenkasse\" value=\"{$ma['krankenkasse']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_rvnr')) {
	$high = empty($ma['vers_nr']) ? $highlight : '';
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_rvnr\" ".(seiteKonfSichtbar('pers_and_rvnr') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">Rentenvers.-Nr.*:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"vers_nr\" size=\"30\" maxlength=\"30\"";
	echo " tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['vers_nr']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"vers_nr\" value=\"{$ma['vers_nr']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_lohnsteuerklasse')) {
	$high = empty($ma['steuerkl']) ? $highlight : '';
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_lohnsteuerklasse\" ".(seiteKonfSichtbar('pers_and_lohnsteuerklasse') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">Lohnsteuer-Klasse*:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"steuerkl\" size=\"3\" maxlength=\"3\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['steuerkl']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"steuerkl\" value=\"{$ma['steuerkl']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_steuerfreibetrag')) {
	$high = empty($ma['freibetrag']) ? $highlight : '';
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_steuerfreibetrag\" ".(seiteKonfSichtbar('pers_and_steuerfreibetrag') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">Steuerfreibetrag*:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"freibetrag\" size=\"10\" ";
	echo "maxlength=\"10\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['freibetrag']}\"";
	echo "><b>&nbsp;&#8364;/Monat</b></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"freibetrag\" value=\"{$ma['freibetrag']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_verwendungsgruppe')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_verwendungsgruppe\" ".(seiteKonfSichtbar('pers_and_verwendungsgruppe') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Verwendungsgruppe:</th>\n";
	echo "<td colspan=\"3\"><select $disabled name=\"vg\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	for($i=1;$i<10;$i++) {
		echo "<option";
		if($ma['vg'] == $i) echo " selected";
		echo ">$i</option>\n";
	}
	echo "</select>\n</td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"vg\" value=\"{$ma['vg']}\">\n";

  if(isset($rvar_pers_id) && $ma['gs'] > 10000) {
	$gs = 1;
	if($ma['gs'] < 100000) {
		$monat = substr($ma['gs'],0,1);
		$jahr = substr($ma['gs'],1);
	} else {
		$monat = substr($ma['gs'],0,2);
		$jahr = substr($ma['gs'],2);
	}
	$Jahr = $jahr-2;
	$dj = date('Y') - $Jahr;
	while($jahr < date('Y')) {
		$jahr += 2;
		$gs++;
	}
	if($jahr == date('Y') && date('m')>=$monat){
		$jahr += 2;
		$gs++;
		$dj++;
	}
	if($dj < 0) $dj = 0;
  } else {
	$gs = '';
	$jahr = $Jahr = '';
  }
  if($konf || seiteKonfSichtbar('pers_and_gehaltsstufe')) {
	echo "<tr>";
	echo "<input type=\"hidden\" name=\"gs\" value=\"0\">\n";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_gehaltsstufe\" ".(seiteKonfSichtbar('pers_and_gehaltsstufe') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\"";
	echo stwToolTip('Tag, an dem die Gehaltsstufe 1 erreicht wurde');
	echo ">Vorr&uuml;ckungsstichtag:</th><td><select $disabled name=\"vrst\" size=\"1\" tabindex=\"$ti\">"; $ti++;
	for($i=1; $i<13; $i++) {
		echo "<option value=\"$i\"".($monat==$i ? ' selected' : '').">01.".($i < 10 ? '0' : '')."$i.</option>";
	}
	echo "</select> <input $disabled type=\"text\" size=\"4\" maxlength=\"4\" name=\"vsjahr\" value=\"$Jahr\" tabindex=\"$ti\">"; $ti++;
	echo " TT.MM.JJJJ</td>\n</tr>\n";
	echo "<tr>";
	if($konf) echo "<td> </td>";
	echo "<th class=\"cl1\" style=\"text-align:right\">Gehaltsstufe: </th>\n";
	echo "<td colspan=\"3\"><b>$gs</b></td>\n</tr>\n";
	echo "<tr>";
	if($konf) echo "<td> </td>";
	echo "<th class=\"cl1\" style=\"text-align:right\">n&auml;chste Vorr&uuml;ckung: </th>\n";
	echo "<td colspan=\"3\"><b>" . (empty($jahr) ? '' : ("01." . ($monat<10 ? 0 : '') . "$monat.$jahr")) . "</b></td>\n</tr>\n";
	if($konf) echo "<td> </td>";
	echo "<th class=\"cl1\" style=\"text-align:right\">Dienstjahr: </th>\n";
	echo "<td colspan=\"3\"><b>$dj</b></td>\n</tr>\n";
	echo "<tr>";
  } else {
	echo "<input type=\"hidden\" name=\"gs\" value=\"$gs\">\n";
	echo "<input type=\"hidden\" name=\"vrst\" value=\"$monat\">\n";
	echo "<input type=\"hidden\" name=\"vsjahr\" value=\"$jahr\">\n";
  }

  if($konf || seiteKonfSichtbar('pers_and_bags')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_bags\" ".(seiteKonfSichtbar('pers_and_bags') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\"><span";
	echo stwToolTip("Lohn und Gehaltstabellen der Berufsvereinigung von Arbeitgebern f&uuml;r Gesundheits- und Sozialberufe");
	echo ">BAGS-Tabelle</span>";
	if($ulv >= 65) {
		echo " <a href=\"bags.php".(isset($rvar_pers_id) ? "?pers_id=$rvar_pers_id" : '')."\"";
		if (isset($rvar_pers_id)) echo " onclick=\"document.PersForm.submit()\"";
		echo "><img src=\"img/edit.png\" style=\"margin-bottom:-1px;\"></a>";
	}
	echo ":</th>\n";
	echo "<td colspan=\"3\"><select $disabled name=\"bags\" size=\"1\" style=\"width:219px\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option value=\"0\">- bitte w&auml;hlen -</option>\n";
	$res = abfrage1("select bags, name from tb_bags_namen order by name asc");
	while($row = mysql_fetch_row($res)){
		echo "<option value=\"$row[0]\"";
		if($ma['bags'] == $row[0]) echo " selected";
		echo ">$row[1]</option>\n";
	}
	echo "</select>\n</td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"bags\" value=\"{$ma['bags']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_zulage1')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_zulage1\" ".(seiteKonfSichtbar('pers_and_zulage1') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Zulage 1:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"zulage1\" size=\"8\" maxlength=\"8\" style=\"text-align:right\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['zulage1']}\"";
	echo ">&euro;&nbsp;<input $disabled type=\"text\" name=\"zulage_erl1\" size=\"20\" maxlength=\"30\" tabindex=\"$ti\""; $ti++;
	echo stwToolTip("Erl&auml;uterung Zulage 1");
	if (isset($rvar_pers_id)) echo " value=\"{$ma['zulage_erl1']}\"";
	echo "</tr>\n";
  } else {
	echo "<input type=\"hidden\" name=\"zulage1\" value=\"{$ma['zulage1']}\">\n";
	echo "<input type=\"hidden\" name=\"zulage_erl1\" value=\"{$ma['zulage_erl1']}\">\n";
  }

  if($konf || seiteKonfSichtbar('pers_and_zulage2')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_zulage2\" ".(seiteKonfSichtbar('pers_and_zulage2') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Zulage 2:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"zulage2\" size=\"8\" maxlength=\"8\" style=\"text-align:right\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['zulage2']}\"";
	echo ">&euro;&nbsp;<input $disabled type=\"text\" name=\"zulage_erl2\" size=\"20\" maxlength=\"30\" tabindex=\"$ti\""; $ti++;
	echo stwToolTip("Erl&auml;uterung Zulage 2");
	if (isset($rvar_pers_id)) echo " value=\"{$ma['zulage_erl2']}\"";
	echo "</tr>\n";
  } else {
	echo "<input type=\"hidden\" name=\"zulage2\" value=\"{$ma['zulage2']}\">\n";
	echo "<input type=\"hidden\" name=\"zulage_erl2\" value=\"{$ma['zulage_erl2']}\">\n";
  }

  if($konf || seiteKonfSichtbar('pers_and_zulage3')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_zulage3\" ".(seiteKonfSichtbar('pers_and_zulage3') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Zulage 3:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"zulage3\" size=\"8\" maxlength=\"8\" style=\"text-align:right\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['zulage3']}\"";
	echo ">&euro;&nbsp;<input $disabled type=\"text\" name=\"zulage_erl3\" size=\"20\" maxlength=\"30\" tabindex=\"$ti\""; $ti++;
	echo stwToolTip("Erl&auml;uterung Zulage 3");
	if (isset($rvar_pers_id)) echo " value=\"{$ma['zulage_erl3']}\"";
	echo "</tr>\n";
  } else {
	echo "<input type=\"hidden\" name=\"zulage3\" value=\"{$ma['zulage3']}\">\n";
	echo "<input type=\"hidden\" name=\"zulage_erl3\" value=\"{$ma['zulage_erl3']}\">\n";
  }

  if($konf || seiteKonfSichtbar('pers_and_kirche')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_kirche\" ".(seiteKonfSichtbar('pers_and_kirche') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">Kirche*:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"kirche\" value=\"n\" ";
	echo "style=\"vertical-align: middle;\" tabindex=\"$ti\""; $ti++;
	if ($ma['kirche'] == 'n' || !isset($rvar_pers_id)) echo ' checked';
	echo " onClick=\"document.getElementById('religion').style.display = 'none'\"";
	echo ">&nbsp;<b>keine</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"kirche\" value=\"e\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['kirche'] == 'e') echo ' checked';
	echo " onClick=\"document.getElementById('religion').style.display = 'none'\"";
	echo ">&nbsp;<b>ev.</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"kirche\" value=\"k\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['kirche'] == 'k') echo ' checked';
	echo " onClick=\"document.getElementById('religion').style.display = 'none'\"";
	echo ">&nbsp;<b>kath.</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"kirche\" value=\"a\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['kirche'] == 'a') echo ' checked';
	echo " onClick=\"var reli = document.getElementById('religion'); reli.style.display = 'block'; reli.focus();\"";
	echo ">&nbsp;<b>andere</b><input $disabled type=\"text\" id=\"religion\" style=\"margin-top:2px;";
	echo "display: " . ($ma['kirche'] == 'a' ? 'block' : 'none') . ";\" ";
	echo "name=\"religion\" size=\"30\" maxlength=\"30\"";
	if (isset($rvar_pers_id)) echo " value=\"{$ma['religion']}\"";
	echo "></td></tr>\n";
  } else {
	echo "<input type=\"hidden\" name=\"kirche\" value=\"".(empty($ma['kirche']) ? 'n' : $ma['kirche'])."\">\n";
	echo "<input type=\"hidden\" name=\"religion\" value=\"{$ma['religion']}\">\n";
  }

  if($konf || seiteKonfSichtbar('pers_and_bank')) {
	$high = empty($ma['bank']) ? $highlight : '';
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_bank\" ".(seiteKonfSichtbar('pers_and_bank') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">Bank*:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"bank\" size=\"30\" maxlength=\"50\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['bank']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"bank\" value=\"{$ma['bank']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_kto')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_kto\" ".(seiteKonfSichtbar('pers_and_kto') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Konto:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"konto\" size=\"20\" maxlength=\"20\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['konto']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"konto\" value=\"{$ma['konto']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_blz')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_blz\" ".(seiteKonfSichtbar('pers_and_blz') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">BLZ:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"blz\" size=\"8\" maxlength=\"8\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['blz']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"blz\" value=\"{$ma['blz']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_iban')) {
	echo "<tr>";
	$high = (strlen($ma['iban']) < 15 || is_numeric($ma['iban'][0]) || is_numeric($ma['iban'][1])) ? $highlight : '';
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_iban\" ".(seiteKonfSichtbar('pers_and_iban') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">IBAN*:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"iban\" size=\"30\" maxlength=\"35\" ";
	if($high != '') {
		if(is_numeric($ma['iban'][0]) || is_numeric($ma['iban'][1])) echo stwToolTip("Die IBAN sollte mit 2 Buchstaben beginnen");
		elseif(strlen($ma['iban']) > 0) echo stwToolTip("Die eingegebene IBAN scheint ung&uuml;ltig zu sein");
	}
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['iban']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"iban\" value=\"{$ma['iban']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_bic')) {
	echo "<tr>";
	$high = (strlen($ma['bic']) != 8 && strlen($ma['bic']) != 11) ? $highlight : '';
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_bic\" ".(seiteKonfSichtbar('pers_and_bic') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">BIC*:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"bic\" size=\"14\" maxlength=\"14\" ";
	if($high != '') echo stwToolTip("Die eingegebene BIC sollte 8- oder 11-stellig sein");
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['bic']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"bic\" value=\"{$ma['bic']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_pk')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_pk\" ".(seiteKonfSichtbar('pers_and_pk') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\" ";
	$style = "style=\"text-align:right\"";
	if(strlen($ma['geboren'])>7 && strlen($ma['anstellung'])>7) {
		$age = get_alter($ma['geboren']);
		$dauer = get_alter($ma['anstellung']);
		if($age >= 30 && $dauer >= 5) $style = "style=\"text-align:right;color:#009900\"".stwToolTip("$age Jahre alt und $dauer Jahre angestellt");
	}
	echo "$style>Pensionskasse:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"pk\" value=\"j\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['pk'] == 'j') echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"pk\" value=\"n\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['pk'] == 'n' || !isset($rvar_pers_id)) echo ' checked';
	echo ">&nbsp;<b>nein</b> &nbsp;";
	echo "<b style=\"color:#FFCC00\">ab: </b><input type=\"text\" name=\"pk_ab\" ";
	echo "size=\"10\" maxlength=\"10\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"" . date_my2gr($ma['pk_ab']);
	$pk = pers_pension($rvar_pers_id);
	$pk = "<span style=\"color:$pk[1]\">" . geld_form_web($pk[0]) . "</span>";
	echo "\"> $pk</td>\n</tr>\n";
	echo "<tr>";
	if($konf) echo "<td></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">";
	echo $TTT ? 'SAB TN-Nr.' : "PKNr";
	echo ":</th>\n<td><input type=\"text\" name=\"pknr\" ";
	echo "size=\"12\" maxlength=\"12\" tabindex=\"$ti\""; $ti++;
	echo " value=\"{$ma['pknr']}\" /></td>\n</tr>\n";
  } else {
	echo "<input type=\"hidden\" name=\"pk\" value=\"".(empty($ma['pk']) ? 'n' : $ma['pk'])."\">\n";
	echo "<input type=\"hidden\" name=\"pk\" value=\"".$ma['pknr']."\">\n";
  }

  if($konf || seiteKonfSichtbar('pers_and_vml')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_vml\" ".(seiteKonfSichtbar('pers_and_vml') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\"". stwToolTip('verm&ouml;genswirksame Leistungen');
	echo ">VmL:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"vml\" value=\"j\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['vml'] == 'j') echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"vml\" value=\"n\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['vml'] == 'n' || !isset($rvar_pers_id)) echo ' checked';
	echo ">&nbsp;<b>nein</b></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"vml\" value=\"".(empty($ma['vml']) ? 'n' : $ma['vml'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_azk')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_azk\" ".(seiteKonfSichtbar('pers_and_azk') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">AZK:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"azk\" value=\"j\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['azk'] == 'j') echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"azk\" value=\"n\" tabindex=\"$ti\" ";
	echo "style=\"vertical-align: middle;\""; $ti++;
	if ($ma['azk'] == 'n' || !isset($rvar_pers_id)) echo ' checked';
	echo ">&nbsp;<b>nein</b></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"azk\" value=\"".(empty($ma['azk']) ? 'n' : $ma['azk'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_azk_anfangswert')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_azk_anfangswert\" ".(seiteKonfSichtbar('pers_and_azk_anfangswert') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">AZK Anfangswert:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"azk_start\" size=\"8\" maxlength=\"8\"";
	echo " tabindex=\"$ti\""; $ti++;
	echo " style=\"text-align:right\" readonly ";
	if (isset($rvar_pers_id)) echo "value=\"" . number_format($ma['azk_start'], 2, ',', '') . "\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"azk_start\" value=\"{$ma['azk_start']}\">\n";

  if($konf || seiteKonfSichtbar('pers_and_eintritt')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_eintritt\" ".(seiteKonfSichtbar('pers_and_eintritt') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Eintrittsdatum:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"eintritt\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"" . date_my2gr($ma['eintritt']);
	echo "\">&nbsp;&nbsp;TT.MM.JJJJ</td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"eintritt\" value=\"".date_my2gr($ma['eintritt'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_anstellung')) {
	$high = (empty($ma['anstellung']) || $ma['anstellung']=='0000-00-00') ? $highlight : '';
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_anstellung\" ".(seiteKonfSichtbar('pers_and_anstellung') ? 'checked' : '')."></td>";
	echo "<th class=\"cl1\"  style=\"text-align:right;color:yellow\">Anstellungsdatum*:</th>\n";
	echo "<td><input $disabled $high type=\"text\" name=\"anstellung\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"" . date_my2gr($ma['anstellung']);
	echo "\">&nbsp;&nbsp;TT.MM.JJJJ</td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"anstellung\" value=\"".date_my2gr($ma['anstellung'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_befristet')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_befristet\" ".(seiteKonfSichtbar('pers_and_befristet') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Befristet bis:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"befristet\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"" . date_my2gr($ma['befristet']);
	echo "\">&nbsp;&nbsp;TT.MM.JJJJ</td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"befristet\" value=\"".date_my2gr($ma['befristet'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_austritt')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_austritt\" ".(seiteKonfSichtbar('pers_and_austritt') ? 'checked' : '')."></td>";
	$tt = stwToolTip("Datum beschreibt den letzten Tag der Anwesenheit");
	echo "<th style=\"text-align:right\" $tt class=\"cl1\">Austrittsdatum:</th>\n";
	echo "<td><input $disabled $tt type=\"text\" name=\"austritt\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"" . date_my2gr($ma['austritt']);
	echo "\">&nbsp;&nbsp;TT.MM.JJJJ</td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"austritt\" value=\"".date_my2gr($ma['austritt'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_farbe')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_farbe\" ".(seiteKonfSichtbar('pers_and_farbe') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">pers&ouml;nl. Farbe News:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"farbe\" size=\"20\" maxlength=\"20\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_pers_id)) echo " value=\"{$ma['farbe']}\"";
	echo "></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"farbe\" value=\"{$ma['farbe']}\">\n";
}
  /*
   * In der naechsten Tabellenzeile werden der Sicherheistslevel abgefragt
   * oder angezeigt. Ab Level 97 ist eine Aenderung moeglich und zusaetzlich
   * auch noch das zuruecksetzen des Nutzerpassworts.
   */
if($konf || seiteKonfSichtbar('pers_and_level')) {
  if ($ulv >= 98 || $konf) {
    /* Benutzer darf beliebigen Level setzen */
    echo "<tr>\n";
    if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_level\" ".(seiteKonfSichtbar('pers_and_level') ? 'checked' : '')."></td>";
    echo "<th style=\"text-align:right\" class=\"cl1\">Sicherheitslevel:</th><td>";
    echo "<input $disabled type=\"text\" name=\"level\" size=\"2\" ";
    echo "maxlength=\"2\" tabindex=\"$ti\"";  $ti++;
    if (isset($rvar_pers_id)) echo " value=\"{$ma['level']}\"";
	elseif($TTT) echo " value=\"5\"";
    echo ">";

    /* Passwort zuruecksetzen Button anbieten */
    echo "<input $disabled type=\"submit\" value=\"PWD zur&uuml;cksetzen\" ";
    echo "name=\"pwd_reset1\" style=\"margin-left:30px\" tabindex=\"$ti\">";
    $ti++;
    echo "</td>\n</tr>\n";
  } elseif (check_nutzer_rechte(25) && $ma['level'] < $ulv){
    /* Benutzer hat Recht zum Setzen eines Levels bis Hoehe eigener Level */
    echo "<tr>\n";
    echo "<th style=\"text-align:right\" class=\"cl1\">Sicherheitslevel:</th><td>";
    echo "<input type=\"hidden\" name=\"ulv\" value=\"$ulv\">\n";
    echo "<input type=\"text\" name=\"level_neu\" size=\"2\" ";
    echo "maxlength=\"2\" tabindex=\"$ti\""; $ti++;
    if (isset($rvar_pers_id)) echo " value=\"{$ma['level']}\"";
	elseif($TTT) echo " value=\"5\"";
    echo ">&nbsp;<input type=\"submit\" name=\"level_reset\" value=\"\" ";
	echo "style=\"background-image:url(img/senden.png);background-repeat:no-repeat\" />";

    if (isset($rvar_pers_id)) {
		echo "<input type=\"hidden\" name=\"level_alt\" value=\"{$ma['level']}\">\n";
		/* Passwort zuruecksetzen Button */
		$cnt = abfrage1("select * from tb_benutzerrechte where pers_id='$rvar_pers_id'");
		if(mysql_num_rows($cnt) == 0) {
			echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
			echo "<input type=\"submit\" value=\"PWD zur&uuml;cksetzen\" ";
			echo "name=\"pwd_reset1\" style=\"margin-left:30px\" tabindex=\"$ti\">";
			$ti++;
		}
    }
    echo "</td>\n</tr>\n";
  } else {
    /* keine Aenderung am Level */
    if (isset($rvar_pers_id)) {
      echo "<input type=\"hidden\" name=\"level\" value=\"{$ma['level']}\">\n";
    } elseif($TTT) {
      echo "<input type=\"hidden\" name=\"level\" value=\"5\">\n";
	}
  }
} else echo "<input type=\"hidden\" name=\"level\" value=\"" . ($TTT ? 5 : $ma['level']) . "\">\n";

if ($uid == $rvar_pers_id ||  $ulv > 69 || check_nutzer_rechte(9) || check_nutzer_rechte(10) || $TTT || check_al_rechte($rvar_pers_id)==2) {
  if($konf || seiteKonfSichtbar('pers_and_traeger')) {
    echo "<tr>";
    if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_traeger\" ".(seiteKonfSichtbar('pers_and_traeger') ? 'checked' : '')."></td>";
    echo "<td style=\"text-align:right\" class=\"cl1\"><b style=\"color:#FFCC00\">Tr&auml;ger:</b><br><small>(Standard, Rolle im Tr&auml;ger)</small></td>\n";
	echo "<td><table cellspacing=\"1\" cellpadding=\"0\">";
	if (isset($rvar_pers_id)){
		$res = abfrage1("SELECT traeger_art_id, rolle
		                 FROM tbh_pers_traegerart
		                 WHERE pers_id = $rvar_pers_id;");
		while($row = mysql_fetch_array($res)){
			$traeger[$row['traeger_art_id']] = $row['rolle'].'1';
		}
	}
	$res = abfrage1("SELECT traeger_art_id,kurzname FROM tb_traeger_art;");
	$tr_anz = mysql_num_rows($res);
	$ti2 = $ti + $tr_anz;
	while($row = mysql_fetch_array($res)){
		$checked = (isset($traeger[$row['traeger_art_id']])) ? " checked" : "";
		if($TTT && $row['traeger_art_id'] == 3) $checked = " checked";
		echo "<tr><td class=\"cl1\"><input $disabled type=\"checkbox\" name=\"traeger[]\" tabindex=\"$ti\" ";
		$ti++;
		echo "value=\"".$row['traeger_art_id']."\"".$checked."> ".$row['kurzname']."</td>\n";
		$checked = (isset($rvar_pers_id) && $ma['standard_traeger_art_id'] == $row['traeger_art_id']) ? ' checked' : '';
		if($TTT && $row['traeger_art_id'] == 3) $checked = " checked";
		echo "<td class=\"cl1\"><input $disabled type=\"radio\" tabindex=\"$ti2\" name=\"standard\" ";
		echo "style=\"vertical-align: middle;\" value=\"".$row['traeger_art_id']."\"".$checked." /></td>\n";
		$ti3 = $ti + $tr_anz + 1;
		echo "<td class=\"cl1\"><input $disabled type=\"text\" tabindex=\"$ti3\" name=\"tr_rolle[{$row['traeger_art_id']}]\" ";
		echo "size=\"20\" value=\"".substr($traeger[$row['traeger_art_id']],0,-1)."\"></td></tr>\n";
	} $ti = $ti + $tr_anz + 1;
	echo "</table></td></tr>\n";
  } elseif (isset($rvar_pers_id)){
	$res = abfrage1("SELECT a.traeger_art_id, p.traeger_art_id, p.rolle
					 FROM tb_traeger_art a
					 LEFT JOIN tbh_pers_traegerart p
					 ON p.pers_id = '$rvar_pers_id'
					 AND a.traeger_art_id = p.traeger_art_id;");
	echo "<input type=\"hidden\" name=\"standard\" value=\"{$ma['standard_traeger_art_id']}\">\n";
	while($row = mysql_fetch_row($res)){
		echo "<input type=\"hidden\" name=\"traeger[]\" value=\"$row[1]\">\n";
		echo "<input type=\"hidden\" name=\"tr_rolle[]\" value=\"$row[2]\">\n";
	}
  }

  if($konf || seiteKonfSichtbar('pers_and_bereitschaft')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_bereitschaft\" ".(seiteKonfSichtbar('pers_and_bereitschaft') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Bereitschaft:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"bereitschaft\" value=\"j\" ";
	echo "style=\"vertical-align: middle;\" tabindex=\"$ti\""; $ti++;
	if ($ma['bereitschaft'] == 'j') echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"bereitschaft\" value=\"n\" ";
	echo "style=\"vertical-align: middle;\" tabindex=\"$ti\""; $ti++;
	if ($ma['bereitschaft'] == 'n' || !isset($rvar_pers_id)) echo ' checked';
	echo ">&nbsp;<b>nein</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"bereitschaft\" value=\"h\" ";
	echo "style=\"vertical-align: middle;\" tabindex=\"$ti\""; $ti++;
	if ($ma['bereitschaft'] == 'h') echo ' checked';
	echo ">&nbsp;<b>Hintergrund</b></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"bereitschaft\" value=\"".(empty($ma['bereitschaft']) ? 'n' : $ma['bereitschaft'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_betreuer')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_betreuer\" ".(seiteKonfSichtbar('pers_and_betreuer') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Betreuer:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"betreuer\" value=\"j\" ";
	echo "tabindex=\"$ti\" style=\"vertical-align: middle;\""; $ti++;
	if ($ma['betreuer'] == 'j') echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"betreuer\" value=\"n\" ";
	echo "tabindex=\"$ti\" style=\"vertical-align: middle;\""; $ti++;
	if ($ma['betreuer'] == 'n' || !isset($rvar_pers_id)) echo ' checked';
	echo ">&nbsp;<b>nein</b></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"betreuer\" value=\"".(empty($ma['betreuer']) ? 'n' : $ma['betreuer'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_login')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_login\" ".(seiteKonfSichtbar('pers_and_login') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Login:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"anmeldung\" value=\"j\" ";
	echo "tabindex=\"$ti\" style=\"vertical-align: middle;\""; $ti++;
	if ($ma['anmeldung'] == 'j' || !isset($rvar_pers_id)) echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"anmeldung\" value=\"n\" ";
	echo "tabindex=\"$ti\" style=\"vertical-align: middle;\""; $ti++;
	if ($ma['anmeldung'] == 'n') echo ' checked';
	echo ">&nbsp;<b>nein</b></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"anmeldung\" value=\"".(empty($ma['anmeldung']) ? 'j' : $ma['anmeldung'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_anerk_privat_pkw')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_anerk_privat_pkw\" ".(seiteKonfSichtbar('pers_and_anerk_privat_pkw') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">anerk. Privat-PKW:</th>\n";
	echo "<td><input $disabled type=\"radio\" name=\"priv_pkw\" value=\"j\" ";
	echo "tabindex=\"$ti\" style=\"vertical-align: middle;\""; $ti++;
	if ($ma['priv_pkw'] == 'j') echo ' checked';
	echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
	echo "<input $disabled type=\"radio\" name=\"priv_pkw\" value=\"n\" ";
	echo "tabindex=\"$ti\" style=\"vertical-align: middle;\""; $ti++;
	if ($ma['priv_pkw'] == 'n' || !isset($rvar_pers_id)) echo ' checked';
	echo ">&nbsp;<b>nein</b></td>\n</tr>\n";
  } else echo "<input type=\"hidden\" name=\"priv_pkw\" value=\"".(empty($ma['priv_pkw']) ? 'n' : $ma['priv_pkw'])."\">\n";

  if($konf || seiteKonfSichtbar('pers_and_fokus')) {
	echo "<tr>";
	if($konf) echo "<td><input type=\"checkbox\" name=\"pers_and_fokus\" ".(seiteKonfSichtbar('pers_and_fokus') ? 'checked' : '')."></td>";
	echo "<th style=\"text-align:right\" class=\"cl1\">Fokus Fehlzeiten:</th>\n";
	echo "<td colspan=\"3\"><select $disabled name=\"fokus\" size=\"1\" style=\"width:219px\" tabindex=\"$ti\">\n";
	echo "<option value=\"0\"";
	if (empty($ma['fokus'])) echo ' selected';
	echo ">kein Fokus</option>\n";
	$ti++;
	$sql = "select pers_id from tb_personal where (status_id=2 or pers_id='{$ma['fokus']}') and (besch_id=1 or besch_id=4) ";
	if (isset($rvar_pers_id)) $sql .= "and pers_id != $rvar_pers_id ";
	$sql .= "order by vorname asc, name asc;";
	$res = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		echo ($ma['fokus'] == $zeile[0]) ? ' selected' : '';
		echo " value=\"$zeile[0]\">" . pers_name($zeile[0]) . "</option>\n";
	}
	echo "</select>\n</td>\n</tr>\n";
	echo "<tr><th style=\"text-align:right\" class=\"cl1\"";
	if($konf) echo " colspan=\"2\"";
	echo " style=\"text-align:right\">Rolle:</th>";
	echo "<td colspan=\"3\"><input $disabled type=\"text\" tabindex=\"$ti\" name=\"fokus_rolle\" ";
	echo "size=\"20\" value=\"".$ma['fokus_rolle']."\"></td></tr>\n";
	$ti++;
  } else {
	echo "<input type=\"hidden\" name=\"fokus\" value=\"{$ma['fokus']}\">\n";
	echo "<input type=\"hidden\" name=\"fokus_rolle\" value=\"{$ma['fokus_rolle']}\">\n";
  }
} elseif($TTT) {
	echo "<input type=\"hidden\" name=\"bereitschaft\" value=\"n\">\n";
	echo "<input type=\"hidden\" name=\"betreuer\" value=\"n\">\n";
	echo "<input type=\"hidden\" name=\"anmeldung\" value=\"j\">\n";
	echo "<input type=\"hidden\" name=\"priv_pkw\" value=\"n\">\n";
	echo "<input type=\"hidden\" name=\"traeger[]\" value=\"3\">\n";
	echo "<input type=\"hidden\" name=\"standard\" value=\"3\">\n";
}
echo "</table>\n";

/* im versteckten Feld merken das ein neuer Nutzer angelegt wurde */
if (isset($rvar_persneu)) {
	echo "<input type=\"hidden\" name=\"persneu\" value=\"1\">\n";
}

echo "</td></tr></table>\n";

new stwLine(2);

echo "<table style=\"width:750px\"><tr><td class=\"cl1\">";
if ($ulv >= 80 || $TTT || check_nutzer_rechte(10) || check_al_rechte($rvar_pers_id)==2) {
  if (isset($rvar_pers_id)) {
    echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
  }
  if($konf) echo "<input type=\"hidden\" name=\"konf\" value=\"1\">\n";
  else echo "<input type=\"hidden\" name=\"chg\" value=\"1\">\n";
  echo "<input type=\"submit\" value=\"Speichern\" tabindex=\"$ti\">\n";
}
if (isset($rvar_pers_id) && ($uid == $rvar_pers_id ||  $ulv > 69 )) {
	echo "</td><td><a href=\"pers_pr.php?pers_id=$rvar_pers_id&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"druck\"";
	echo stwToolTip('Personalbogen drucken',false);
	echo "></a>";
	if($nwg) {
		echo "</td><td><a href=\"mandant/nwg/dienstvertrag_pr.php?pers_id=$rvar_pers_id&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"druck\"";
		echo stwToolTip('Dienstvertrag drucken',false);
		echo "></a>";
		echo "</td><td class=\"cl20\"><a href=\"mandant/nwg/dienstzettel_pr.php?pers_id=$rvar_pers_id&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"druck\"";
		echo stwToolTip('Dienstzettel drucken',false);
		echo "></a>";
	}
}
if(isset($rvar_pers_id) && check_nutzer_rechte(50)) {
	echo "</td><td class=\"cl20\">";
	echo "<input type=\"hidden\" id=\"std_tr_art\" value=\"{$ma['standard_traeger_art_id']}\" />\n";
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function doTT2() {\n";
	echo "var str = \"<form name='tempform'><table><tr>\";\n";
	$trs = abfrage1("SELECT traeger_art_id,kurzname FROM tb_traeger_art;");
	$w = 30;
	while($row = mysql_fetch_row($trs)) {
		echo "str += '<td style=\"text-align:right;color:black\">$row[1]:</td><td class=\"cl11\"><input type=\"radio\" name=\"std_tr_art\"';\n";
		echo "if(document.getElementById('std_tr_art').value == $row[0]) str += 'checked';\n";
		echo "str += ' onclick=\"xajax_check_tr($row[0])\"></td>';\n";
		$w += 40;
	}
	echo "str += '</tr></table></form>';\n";
	echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Benutzername',TITLEBGCOLOR, '#006600', WIDTH, $w, HEIGHT, 20, FIX, ['csvcon',-5,-25], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "}\n";
	echo "--></script>\n";	
	echo "<a href=\"pers.php?csv=1&pers_id=$rvar_pers_id\">CSV</a><a id=\"csvcon\" href=\"#\" style=\"font-size:small;position:relative;left:0;top:-4px;\" onClick=\"doTT2(); return false\"> +</a>";
}
if($nwg && isset($rvar_pers_id)) {
	$dv = abfrage_array("select status, date_format(datetime_in, '%d.%m.%Y %H:%i') as date_in, pers_id_in, 
						date_format(datetime_out, '%d.%m.%Y %H:%i') as date_out, pers_id_out 
						from tb_pers_dienstvertrag where pers_id='$rvar_pers_id'" );
	$check_out = $check_in = $disabled_in = $disabled_out = '';
	$tt_out = ($dv['pers_id_out'] > 0) ? stwToolTip('Markierung entfernt von ' . pers_name($dv['pers_id_out']) . ' ' . $dv['date_out']) : '';
	$tt_in = ($dv['pers_id_in'] > 0) ? stwToolTip('Markierung entfernt von ' . pers_name($dv['pers_id_in']) . ' ' . $dv['date_in']) : '';
	if(empty($dv['status'])) {
		$disabled_in = 'disabled';
	} else {
		$check_out = 'checked';
		$tt_out = stwToolTip('als ausgegeben markiert von ' . pers_name($dv['pers_id_out']) . ' ' . $dv['date_out']);
	}
	if($dv['status'] == 'in') {
		$check_in = 'checked';
		$disabled_out = 'disabled';
		$tt_in = stwToolTip('als zur&uuml;ckgegeben markiert von ' . pers_name($dv['pers_id_in']) . ' ' . $dv['date_in']);
	}
	if(!check_nutzer_rechte(93)) $disabled_in = $disabled_out = 'disabled';
	echo "</td>\n<td $tt_out>Dienstvertrag ausgegeben</td>";
	echo "<td class=\"cl1\" $tt_out style=\"vertical-align:middle\">";
	echo "<input type=\"checkbox\" name=\"dv_out\" value=\"1\" ";
	if(empty($disabled_out)) {
		$out = empty($check_out) ? 1 : 0;
		echo "onclick=\"self.location.href='pers_and.php?pers_id=$rvar_pers_id&amp;out=$out'\" ";
	}
	echo "$check_out$disabled_out></td>";
	echo "<td $tt_in>Dienstvertrag zur&uuml;ckerhalten</td>";
	echo "<td class=\"cl1\" $tt_in style=\"vertical-align:middle\">";
	echo "<input type=\"checkbox\" name=\"dv_in\" value=\"1\" ";
	if(empty($disabled_in)) {
		$in = empty($check_in) ? 1 : 0;
		echo "onclick=\"self.location.href='pers_and.php?pers_id=$rvar_pers_id&amp;in=$in'\" ";
	}
	echo "$check_in $disabled_in>";
}
echo "</td>";
echo "<td style=\"width:100%;text-align:right\">";
if(isset($rvar_pers_id)) {
	$letztes = abfrage1("select erzeuger, date_format(ts, '%d.%m.%Y %H:%i:%s') from tb_pers_historie where pers_id='$rvar_pers_id' order by ts desc limit 2,5");
	$tt = '';
	while($letzte = mysql_fetch_row($letztes)) {
		if($tt == '') $tt = '<b>&Auml;nderungshistorie:</b>';
		$tt .= "<br />" . pers_kname($letzte[0]) . " $letzte[1] Uhr";
	}
	if($tt != '') $tt = stwToolTip($tt);
	echo "<small $tt>";
	if($ma['erzeuger']) {
		list($dat,$uhr) = explode(" ", $ma['erzeuger_ts']);
		$datum = date_my2gr($dat);
		echo "Angelegt von " . pers_kname($ma['erzeuger']) . " $datum $uhr Uhr<br />";
	}
	$letzte = abfrage("select erzeuger, date_format(ts, '%d.%m.%Y %H:%i:%s') from tb_pers_historie where pers_id='$rvar_pers_id' order by ts desc limit 1");
	if($letzte[0]) echo "Letzte &Auml;nderung von " . pers_kname($letzte[0]) . " $letzte[1] Uhr";
	echo "</small>";
}
echo "</td>\n</tr></table>\n";
echo "</form>\n";
} // Bereich 1 Ende

/* Schluessel Bereich 2 zeigen */
if (!empty($rvar_pers_id) && $bereich == 2){
  $sql  = "select k.key_id, k.name, k.nr, r.art, k.notizen ";
  $sql .= "from tb_keys_aus a ";
  $sql .= "left join tb_keys k using (key_id) ";
  $sql .= "left join tb_keys_art r on r.art_id = k.art_id ";
  $sql .= "where a.pers_e='$rvar_pers_id' and a.bis is null and k.art_id < 99 ";
  $sql .= "order by k.art_id asc, k.name asc, k.nr asc;";

  $keys = abfrage1($sql);

  /* wenn Schluessel vorhanden sind fuer diese Person */
  if (mysql_num_rows($keys) > 0){
  	$sql  = "SELECT vorname, name FROM tb_personal WHERE ";
    $sql .= "pers_id='".$rvar_pers_id."';";
    $name = abfrage($sql);

    echo "<table>\n<tr><th colspan=\"2\">ausgegebene ";
    echo "Schl&uuml;ssel: $name[0] $name[1]</th></tr>\n";

    new  stwTabLine(2,30);
    echo "<tr><th>Art</th>\n";
    echo "<th class=\"cl1\">Bezeichnung</th>\n";
    echo "<th>Nummer</th></tr>\n";
    new  stwTabLine(2,30);

    while ($key = mysql_fetch_row($keys)){
    	echo "<tr><td class=\"cl1\">$key[3]</td>";
    	echo "<td class=\"cl1\" ";
		if($key[4]) echo stwToolTip($key[4]);
    	echo ">";
    	if ($ulv >= 96){
    		echo "<a href=\"keys_and.php?key_id=$key[0]\">$key[1]</a>";
	    } else {
	      echo $key[1];
	    }
	     echo "</td><td>$key[2]</td>\n</tr>\n";
      }
      echo "</table>\n";
   }
}

/* Bereich 3 - Mitgliedschaften in Abteilungen, Traeger, Sitzungen */
if (!empty($rvar_pers_id) && $bereich == 3){
	/* Bereich 3.1 - Abteilungen */

 	/* Rahmentabelle Abteilungen */
 	echo "<table cellpadding=\"0\" cellspacing=\"0\" width=\"750\">\n<tr><td class=\"cl20\">\n";

 	/* linke Spalte - zugewiesene Abteilungen */
 	echo "<table><tr><th colspan=\"2\">zugewiesene Abteilungen:</th></tr>\n" ;
	new stwTabLine(2,2);

 	$sql  = "select h.abt_id, a.name from tbh_pers_abt h ";
 	$sql .= "left join tb_personal_abt a using(abt_id) ";
 	$sql .= "where h.pers_id = '$rvar_pers_id' and sub_abt_id=0 order by a.name asc;";

	$res = abfrage1($sql);

	$stdAbt = pers_standardabteilung($rvar_pers_id);

	$vorh_abt = array();

	if (mysql_num_rows($res) > 0){
		if ($ulv >= 65) echo "<form action=\"pers_and.php?pers_id=$rvar_pers_id&bereich=3\" method=\"post\">\n";
		while ($row = mysql_fetch_row($res)){
			echo "<tr><td".abteilung_tooltip($row[0])."class=\"cl1\">$row[1]</th>\n";
			if ($ulv >= 65) {
				echo "<td class=\"cl20\">";
				$checked = $stdAbt==$row[0] ? 'checked' : '';
				echo "<input type=\"radio\" name=\"standardabteilung\" $checked value=\"$row[0]\"";
				echo stwToolTip("Haupt-Abteilung") . " onchange=\"this.form.submit()\" /></td>\n";
				echo "<td><a href=\"{$_SERVER['PHP_SELF']}?pers_id=$rvar_pers_id&";
				echo "bereich=3&abt_del=$row[0]\" style=\"color: #f00;\" ";
				echo stwToolTip('<b>VORSICHT!</b><br>Abteilungszuweisung l&ouml;schen');
				echo ">X</a></td>\n";
			}
			echo "</tr>\n";
			$vorh_abt[] = $row[0];
		}
		if ($ulv >= 65) echo "</form>";
		new stwTabLine(2,5);
	}

	if ($ulv >= 65) {
		echo "<tr><th colspan=\"5\">Mitarbeiter Abteilung zuweisen:</th></tr>\n";
		new stwTabLine(2,5);
		echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"GET\">\n";
		echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
		echo "<input type=\"hidden\" name=\"bereich\" value=\"3\">\n";
		echo "<td colspan=\"5\"><select name=\"abt_add\" size=\"1\" ";
		echo "onChange=\"this.form.submit()\">\n";
		$sql = "select abt_id, name from tb_personal_abt order by name asc;";
		$abteilungen = abfrage1($sql);
		echo "<option>Abteilung w&auml;hlen</option>\n";
		while ($row = mysql_fetch_row($abteilungen)){
			if (!in_array($row[0], $vorh_abt)){
				echo "<option value=\"$row[0]\">$row[1]</option>\n";
			}
		}
		echo "</select></td></form></tr>\n";
	}

	echo "</table></td>\n";

	/* mittlere Spalte - indirekt zugewiesene Abteilungen */
 	$sql  = "select h.abt_id, a.name from tbh_pers_abt h ";
 	$sql .= "left join tb_personal_abt a using(abt_id) ";
 	$sql .= "where h.pers_id = '$rvar_pers_id' and sub_abt_id>0 group by h.abt_id order by a.name asc;";

	$res = abfrage1($sql);
	if (mysql_num_rows($res) > 0){
		echo "<td class=\"cl20\"><table><tr><th colspan=\"2\">indirekte Abteilungen:</th></tr>\n" ;
		new stwTabLine(2,2);

		if ($ulv >= 65) echo "<form action=\"pers_and.php?pers_id=$rvar_pers_id&bereich=3\" method=\"post\">\n";
		while ($row = mysql_fetch_row($res)){
			echo "<tr><td".abteilung_tooltip($row[0])."class=\"cl1\">$row[1]</th>\n";
			if ($ulv >= 65) {
				echo "<td class=\"cl20\">";
				$checked = $stdAbt==$row[0] ? 'checked' : '';
				echo "<input type=\"radio\" name=\"standardabteilung\" $checked value=\"$row[0]\"";
				echo stwToolTip("Haupt-Abteilung") . " onchange=\"this.form.submit()\" /></td>\n";
			}
			echo "</tr>\n";
		}
		if ($ulv >= 65) echo "</form>";
		echo "</table></td>\n";
	}

 	/* rechte Spalte - Abteilungsleiter */
 	echo "<td><table><tr><th colspan=\"2\">Abteilungsleiter:</th></tr>\n" ;
	new stwTabLine(2,2);

 	$sql  = "select l.abt_id, a.name from tb_personal_abt_leit l ";
 	$sql .= "left join tb_personal_abt a using(abt_id) ";
 	$sql .= "where l.pers_id = '$rvar_pers_id' order by a.name asc;";

	$res = abfrage1($sql);

	$vorh_abt = array();

	if (mysql_num_rows($res) > 0){
		while ($row = mysql_fetch_row($res)){
			echo "<tr><td".abteilung_tooltip($row[0])."class=\"cl1\">$row[1]</th>\n";
			if ($ulv >= 96) {
				echo "<td><a href=\"{$_SERVER['PHP_SELF']}?pers_id=$rvar_pers_id&";
				echo "bereich=3&abt_leit_del=$row[0]\" style=\"color: #f00;\" ";
				echo stwToolTip('<b>VORSICHT!</b><br>Abteilungsleiterschaft l&ouml;schen');
				echo ">X</a></td>\n";
			}
			echo "</tr>\n";
			$vorh_abt[] = $row[0];
		}
		new stwTabLine(2,5);
	}

	if ($ulv >= 96) {
		echo "<tr><th colspan=\"5\">Mitarbeiter als Abteilungsleiter:</th></tr>\n";
		new stwTabLine(2,5);
		echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"GET\">\n";
		echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
		echo "<input type=\"hidden\" name=\"bereich\" value=\"3\">\n";
		echo "<td colspan=\"5\"><select name=\"abt_leit_add\" size=\"1\" ";
		echo "onChange=\"this.form.submit()\">\n";
		mysql_data_seek($abteilungen,0);
		echo "<option>Abteilung w&auml;hlen</option>\n";
		while ($row = mysql_fetch_row($abteilungen)){
			if (!in_array($row[0], $vorh_abt)){
				echo "<option value=\"$row[0]\">$row[1]</option>\n";
			}
		}
		echo "</select></td></form></tr>\n";
	}

	echo "</table></td>\n";

 	/* Ende Rahmentabelle Abteilungen */
 	echo "</tr>\n</table>\n";

 	new stwLine(1);


 	 /* Bereich 3.3 - Sitzungsmitgliedschaften */

   /* alle vorhandenen Mitgliedschaften fuer diese Person zeigen */
   $sql  = "SELECT t1.team_art_id, t2.kurzname, t2.name, t1.fokus ";
   $sql .= "FROM tb_team_art_pers t1 ";

   $sql .= "LEFT JOIN tb_team_art t2 ON t1.team_art_id = t2.team_art_id ";
   $sql .= "WHERE pers_id='".$rvar_pers_id."' AND t1.fokus>0 ";
   $sql .= "ORDER BY t2.kurzname";

   $erg  = abfrage1($sql);
   if (mysql_num_rows($erg) > 0){
     echo "<table><tr><th colspan=\"3\">" . pers_name($rvar_pers_id);
     echo " ist Betreuer in den folgenden Sitzungsgruppen:</th></tr>\n";

     new stwTabLine(2,30);
     while ($row = mysql_fetch_row($erg))
     {
       /* vorhandene Mitgliedschaften speichern */
       $mitglied[] = $row[0];

       /* Texte aus tb_obj_rechte holen */
       echo "<tr><td><a href=\"team_art_and.php?team_art_id=";
       echo "$row[0]\">$row[1]</a></td><td>$row[2]</td>";
       $pt = abfrage("select personaltyp from tb_personaltyp where personaltyp_id='$row[3]'");
       echo "<td>($pt[0])</td>";
	   echo "</tr>\n";
     }
     echo "</table>\n";
   }

   /* alle vorhandenen Mitgliedschaften fuer diese Person zeigen */
   $sql  = "SELECT t1.team_art_id, t2.kurzname, t2.name, t1.fokus, t1.nur_protokoll ";
   $sql .= "FROM tb_team_art_pers t1 ";
   $sql .= "LEFT JOIN tb_team_art t2 ON t1.team_art_id = t2.team_art_id ";
   $sql .= "WHERE pers_id='".$rvar_pers_id."' ";
   $sql .= "ORDER BY t2.kurzname";

   $erg  = abfrage1($sql);
   if (mysql_num_rows($erg) > 0)
   {
     echo "<table>\n";
     new stwTabLine(2,30);
     echo "<tr><th colspan=\"4\">" . pers_name($rvar_pers_id) . "  ist ";
     echo "potentielles Mitglied in folgenden Sitzungsgruppen:</th></tr>\n";

     new stwTabLine(2,30);
     while ($row = mysql_fetch_row($erg))
     {
       /* vorhandene Mitgliedschaften speichern */
       $mitglied[] = $row[0];

       /* Texte aus tb_obj_rechte holen */
       echo "<tr><td><a href=\"team_art_and.php?team_art_id=";
       echo "$row[0]\">$row[1]</a></td><td>$row[2]</td><td>\n";
	   if($row[4] == 'j') echo "(nur Protokoll)";
	   elseif($row[3]>0) {
		 $pt = abfrage("select personaltyp from tb_personaltyp where personaltyp_id='$row[3]'");
		 echo "($pt[0])";
	   }
	   echo "</td>\n<td>";

       if ($ulv >= 70){
       	 $link  = $_SESSION["PHP_SELF"]."?pers_id=".$rvar_pers_id."&bereich=3";
         $link .= "&del_team_id=".$row[0];

         echo "<a href=\"$link\" style=\"color:red\">X</a>";
       }
       echo "</td></tr>\n";
     }
     new stwTabLine(2,30);
     echo "</table>\n";
   }

   /* alle Sitzungen holen und nur fehlende zeigen */
   $erg = abfrage1("SELECT team_art_id, kurzname, name FROM tb_team_art ORDER BY kurzname ASC, name ASC");
   if (mysql_num_rows($erg) > 0 && $ulv > 96){
     echo "<table>\n";

     echo "<tr><td><form method=\"post\">";
     echo "<select name=\"add_team\" size=\"1\" ";
     echo "onchange=\"this.form.submit()\">";
     echo "<option value=\"0\">Sitzung hinzuf&uuml;gen ...</option>\n";

     while ($zeile = mysql_fetch_row($erg)){
     	if (!in_array($zeile[0], $mitglied)){
     		echo "<option value=\"$zeile[0]\">$zeile[1] - $zeile[2]</option>\n";
      }
     }
     echo "</select>\n";
     echo "</form>\n</td></tr></table>\n";
   }
 }


/* Bereich 4 - Rechte */
if (!empty($rvar_pers_id) && $bereich == 4){
  if(isset($_GET['remove'])) {
	$sql  = "DELETE FROM tb_benutzerrechte WHERE obj_id='";
	$sql .= $_GET["remove"]."' AND pers_id='".$_GET["pers_id"]."';";
	abfrage2($sql);
  }
  /* alle vorhandenen Stellwarerechte fuer diese Person zeigen */
  $sql  = "SELECT obj_id FROM tb_benutzerrechte ";
  $sql .= "WHERE pers_id = ".$rvar_pers_id.";";
  $erg  = abfrage1($sql);

  if (mysql_num_rows($erg) > 0){
  	echo "<table><tr><th colspan=\"3\">" . pers_name($rvar_pers_id);
  	echo " hat folgende Extrarechte:</th></tr>\n";

  	new stwTabLine(2,30);
  	while ($zeile = mysql_fetch_row($erg)){
		/* Texte aus tb_obj_rechte holen */
		$sql  = "SELECT t2.name, t1.beschreibung, t2.link, t1.seite FROM tb_obj_rechte t1 ";
		$sql .= "LEFT JOIN tb_web_seite t2 ON t1.seite = t2.seite ";
		$sql .= "WHERE obj_id=".$zeile[0];

      $text = abfrage($sql);
      echo "<tr class=\"mo\"><td>";
	  if(substr($text[1],0,1) == '[' && substr($text[1],2,1) == ']') {
		 $id = substr($text[1],1,1);
		 $tr = abfrage("SELECT traeger_art FROM tb_traeger_art WHERE traeger_art_id='$id'");
		 $txt = sprintf(substr($text[1],4),(empty($tr[0]) ? "Tr&auml;ger $id" : $tr[0]));
	  } else $txt = $text[1];

	  if($zeile[0] == 76) {
		$azv = abfrage("select azv from tbh_pers_azv where pers_id='$rvar_pers_id'");
		$txt = substr($txt,0,-3) . $azv[0];
	  }

      echo "<a href=\"$text[2]\">$text[0]</a></td>";
	  echo "<td><a href=\"seite_konf.php?name=$text[0]&seite=$text[3]\">";
	  echo "<img src=\"".image('hammer')."\"".stwToolTip("direkt zur Konfigurationsseite '$text[0]'")."/></a></td>";
	  echo "<td class=\"cl20\">$txt</td>";
	  echo "<td><a href=\"pers_and.php?bereich=4&pers_id=$rvar_pers_id&remove=$zeile[0]\" ";
	  echo "style=\"color:lime\"".stwToolTip("Extrarecht entziehen").">X</a></td>";
	  echo "</tr>\n";

    }
    echo "</table>\n";
  }
  $sql="SELECT l.abt_id, l.kontrolle, l.vml, l.personal, l.hidden, a.name, a.farbe
		FROM tb_personal_abt_leit l LEFT JOIN tb_personal_abt a using(abt_id)
		WHERE l.pers_id='$rvar_pers_id' ORDER BY a.name ASC";
  $als=abfrage1($sql);
  $sql="SELECT v.abt_id, a.name, a.farbe FROM tb_personal_abt_vml v 
		LEFT JOIN tb_personal_abt a using(abt_id)
		WHERE v.pers_id='$rvar_pers_id' AND v.verantwortlich='j'
		ORDER BY a.name ASC";
  $vmps=abfrage1($sql);
  if(mysql_num_rows($als)>0 || mysql_num_rows($vmps)>0) {
	new stwLine(2);
	echo "<table><tr><th colspan=\"7\">Abteilungsspezifische Sonderrechte</th></tr>\n";
	new stwTabLine(2,7);
	while($al = mysql_fetch_assoc($als)) {
		$darfDas = abtZugang($al['abt_id']);
		if($darfDas) {
			echo "<form method=\"post\" action=\"pers_and.php?pers_id=$rvar_pers_id&bereich=4\">\n";
			echo "<input type=\"hidden\" name=\"abteilung\" value=\"".$al['abt_id']."\" />\n";
		}
		echo "<tr><th class=\"cl20\">";
		if($al['hidden'] == 'j') echo "unsichtbarer ";
		echo "Abteilungsleiter ";
		if($al['hidden'] == 'j') echo "(nur Rechte) ";
		echo "der Abteilung <a href=\"abteilung.php?config=".$al['abt_id'];
		echo "\" style=\"color:".$al['farbe']."\">".$al['name']."</a></th>\n";
		$tt = stwToolTip("Aufforderung auf der Startseite, Vormerkungen der Abteilung ".$al['name']." zu best&auml;tigen");
		echo "<td $tt><input type=\"checkbox\" name=\"vml\" value=\"j\" ";
		if($al['vml'] == 'j') echo "checked ";
		if(!$darfDas) echo "disabled ";
		echo "onclick=\"this.form.submit()\" /></td>\n";
		echo "<td $tt class=\"cl1\">VMP</td>\n";
		$tt = stwToolTip("Abrechnungskontrolle Abteilung ".$al['name']);
		echo "<td $tt><input type=\"checkbox\" name=\"kontrolle\" value=\"j\" ";
		if($al['kontrolle'] == 'j') echo "checked ";
		if(!$darfDas) echo "disabled ";
		echo "onclick=\"this.form.submit()\" /></td>\n";
		echo "<td $tt class=\"cl1\">Kontrolle</td>\n";
		$tt = stwToolTip("Recht, Personal dieser Abteilung zu verwalten");
		echo "<td $tt><input type=\"checkbox\" name=\"personal\" value=\"j\" ";
		if($al['personal'] == 'j') echo "checked ";
		if(!$darfDas) echo "disabled ";
		echo "onclick=\"this.form.submit()\" /></td>\n";
		echo "<td $tt class=\"cl1\">Personal</td>\n";
		echo "</tr>\n";
		if($darfDas) echo "</form>\n";
	}
	while($vmp = mysql_fetch_assoc($vmps)) {
		echo "<tr><th colspan=\"7\">Einkaufsprojekte aus der Vormerkliste fr die Abteilung ";
		echo "<a href=\"abteilung.php?config=".$vmp['abt_id'];
		echo "\" style=\"color:".$vmp['farbe']."\">".$vmp['name']."</a> anlegen</th></tr>\n";
	}
	echo "</table>\n";
  }

	/* alle vorhandenen Downloadrechte fuer diese Person zeigen */
  $sql  = "SELECT rechte_id FROM tb_daten_pers ";
  $sql .= "WHERE pers_id = ".$rvar_pers_id.";";
  $erg  = abfrage1($sql);

  if (mysql_num_rows($erg) > 0){
  	echo "<table><tr><th colspan=\"2\">" . pers_name($rvar_pers_id);
  	echo " hat folgende Downloadrechte:</th></tr>\n";
    new stwTabLine(2,30);

    while ($zeile = mysql_fetch_row($erg)){
    	/* Texte aus tb_daten_rechte holen */
    	$sql  = "SELECT seite, name, rname FROM tb_daten_rechte ";
      $sql .= "WHERE rechte_id = '".$zeile[0]."'";
      $text = abfrage($sql);

      if (!empty($text[2])) $raus = $text[2]; else $raus = "kein Text";

      echo "<tr><td>";
			echo "<a href=\"seite_konf.php?seite=$text[0]&name=$text[1]\">";
			echo $raus . "</a></td><td></td></tr>\n";
    }

    echo "</table>\n";
  }
    /* Nutzer, die ZK in des Nutzers Namen anlegen duerfen */
  $sql  = "SELECT user_id FROM tb_pers_pers_recht WHERE pers_id = ";
  $sql .= $rvar_pers_id." AND precht_id = 1;";
  $erg  = abfrage1($sql);
  $beschr = abfrage("SELECT beschreibung FROM tb_pers_recht WHERE precht_id=1");
  new stwLine(1);
  echo "<table>";
  echo "<tr><th>$beschr[0]</th></tr>\n";
  new stwTabLine(2,1);
  echo "</table><table>";
  if (mysql_num_rows($erg) > 0){
    while ($zeile = mysql_fetch_row($erg)){
      echo "<tr><td><a href=\"pers_and.php?pers_id=$zeile[0]\">";
      echo pers_name($zeile[0]);
      echo "</a></td><td><a href=\"pers_and.php?pers_id=";
      echo "$rvar_pers_id&bereich=4&del_user_id=$zeile[0]\" style=\"color:#FF0000\" ";
      echo stwToolTip("<b>Vorsicht!</b> L&ouml;schen!") . "><i>X</i></a></td></tr>\n";
    }
  }
  if(($ulv >= 97 ) || ($uid == $rvar_pers_id) || mysql_num_rows($abteilungen) > 0) {
    /* alle Nutzer die noch hinzugefuegt werden koennen */
    $sql  = "SELECT distinct t.pers_id, t.vorname, t.name FROM tb_personal t ";
    $sql .= "WHERE status_id = '2' AND level > 29 ORDER BY t.vorname, t.name ASC;";
    $users = mysql_query($sql);
    echo "<tr><td><form method=\"post\"><select name=\"add_user\" size=\"1\" ";
    echo "onchange=\"this.form.submit()\">\n";
    echo "<option value=\"0\">Mitarbeiter hinzuf&uuml;gen</option>\n";
    /* Benutzer abfragen, die schon in Tabelle (+selbst) - diese nicht anzeigen */
    while ($user = mysql_fetch_row($users)) {
      $sql  = "SELECT COUNT(*) FROM tb_pers_pers_recht ";
      $sql .= "WHERE (pers_id=$rvar_pers_id AND precht_id=1 ";
      $sql .= "AND user_id=$user[0]) OR ($rvar_pers_id=$user[0])";
      $out = abfrage($sql);
      if(!$out[0]) echo "<option value=\"$user[0]\">$user[1] $user[2]</option>\n";
    }
    echo "</select></form></td>\n";
    echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
  }
  echo "</table>\n";
}

/* Bereich 5 - Ausgabe zeigen */
if (!empty($rvar_pers_id) && $bereich == 5){

	/* 5.1 - ausgeliehene Buecher abfragen und ausgeben */
	$sql = "select a.buch_id, concat(k.kuerzel,'/',b.nr) as nr,
					b.titel, b.autor, date_format(a.von, '%d.%m.%Y %H:%i') as von_dt, 
					to_days(von) as von_days, to_days(curdate()) as cur_days,
					unix_timestamp(a.von) as von_ts
					from tb_buch_aus a
					left join tb_buch b on a.buch_id = b.buch_id
					left join tb_buch_kat k on b.kat_id = k.kat_id
					where a.pers_id = '$rvar_pers_id'
					and unix_timestamp(a.von) > 0
					and unix_timestamp(a.bis) = 0
					order by nr asc;";

	$items = abfrage1($sql);

	if (mysql_num_rows($items) > 0){
		set_session_url();
		echo "<table><tr><th colspan=\"4\">ausgeliehene ";
		echo "<a href=\"bibo.php\">B&uuml;cher</a></th></tr>\n";
		new stwTabLine(2,5);

		echo "<tr>\n";
		echo "<th class=\"cl1\">Nr.</th>\n";
		echo "<th class=\"cl1\">Titel</th>\n";
		echo "<th class=\"cl1\">Autor</th>\n";
		echo "<th>ausgeliehen seit</th>\n";
		echo "</tr>\n";
		new stwTabLine(2,5);

		while ($item = mysql_fetch_assoc($items)){
			if (($item['cur_days'] - $item['von_days']) > 14){
				$style = "style=\"color:red\"";
				$tt = stwToolTip("R&uuml;ckgabe &uuml;berf&auml;llig");
			} else {
				$style = "style=\"color:white\"";
				$tt = '';
			}
			echo "<tr>\n";
			echo "<td class=\"cl1\"><a $style $tt href=\"bibo_buch.php?buch_id={$item['buch_id']}\">{$item['nr']}</a></td>\n";
			echo "<td class=\"cl1\"><a href=\"bibo_buch.php?buch_id={$item['buch_id']}\">{$item['titel']}</a></td>\n";
			echo "<td class=\"cl1\">{$item['autor']}</td>\n";
			echo "<td style=\"text-align: right;\">{$item['von_dt']}</td>\n";
			if ($_SESSION[$AppCode]["UID"] == $rvar_pers_id || check_nutzer_rechte(39))
				echo "<td><a href=\"bibo_zur.php?buch_id={$item['buch_id']}&amp;von={$item['von_ts']}\">zur&uuml;ckgeben</td>";

			echo "</tr>\n";
		}

		echo "</table>\n";
		new stwLine(1);
	}
	/* Ende Bereich 5.1 - ausgeliehene Buecher */


	/* Bereich 5.2 - ausgeliehene Geraete */
	$sql = "select g.ger_id, concat(k.kuerzel,'/',g.nr) as nr,
					g.name, g.standort, date_format(a.von, '%d.%m.%Y %H:%i') as von_dt,
					to_days(von) as von_days, to_days(curdate()) as cur_days
					from tb_ger_aus a
					left join tb_ger g on a.ger_id = g.ger_id
					left join tb_ger_kat k on g.kat_id = k.kat_id
					where a.pers_id = '$rvar_pers_id'
					and unix_timestamp(a.von) > 0
					and unix_timestamp(a.bis) = 0
					order by nr asc;";

	$items = abfrage1($sql);

	if (mysql_num_rows($items) > 0){
		echo "<table><tr><th colspan=\"4\">ausgeliehene ";
		echo "<a href=\"ger.php\">Ger&auml;te</a></th></tr>\n";
		new stwTabLine(2,5);

		echo "<tr>\n";
		echo "<th class=\"cl1\">Nr.</th>\n";
		echo "<th class=\"cl1\">Name</th>\n";
		echo "<th class=\"cl1\">Standort</th>\n";
		echo "<th>ausgeliehen seit</th>\n";
		echo "</tr>\n";
		new stwTabLine(2,5);

		while ($item = mysql_fetch_assoc($items)){
			if (($item['cur_days'] - $item['von_days']) > 14){
				$style = "style=\"color:red\"";
				$tt = stwToolTip("R&uuml;ckgabe &uuml;berf&auml;llig");
			} else {
				$style = "style=\"color:white\"";
				$tt = '';
			}
			echo "<tr>\n";
			echo "<td class=\"cl1\"><a $style $tt href=\"ger_and.php?ger_id={$item['buch_id']}\">{$item['nr']}</a></td>\n";
			echo "<td class=\"cl1\">{$item['name']}</td>\n";
			echo "<td class=\"cl1\">{$item['standort']}</td>\n";
			echo "<td style=\"text-align: right;\">{$item['von_dt']}</td>\n";
			echo "</tr>\n";
		}

		echo "</table>\n";
		new stwLine(1);
	}
	/* Ende Bereich 5.2 - ausgeliehene Geraete */


	/* Bereich 5.3 - ausgegebene Mobiltelefone */
	$sql = "select t.typ, s.tel_nr, date_format(a.von, '%d.%m.%Y %H:%i') as von_dt,
					unix_timestamp(a.von) as von_ts, a.tel_id, a.sim_id, a.pers_id
					from tb_mob_aus a
					left join tb_mob_tel t on a.tel_id = t.tel_id
					left join tb_mob_sim s on a.sim_id = s.sim_id
					where a.pers_id = '$rvar_pers_id'
					and unix_timestamp(a.von) > 0
					and a.bis is null
					order by s.tel_nr asc;";

	$items = abfrage1($sql);

	if (mysql_num_rows($items) > 0){
		echo "<table><tr><th colspan=\"4\"><a href=\"mobtel.php\">";
		echo "ausgegebene Mobiltelefone und SIM-Karten</a></th></tr>\n";
		new stwTabLine(2,5);

		echo "<tr>\n";
		echo "<th class=\"cl1\">Tel.Nr.</th>\n";
		echo "<th class=\"cl1\">Mobiltelefon</th>\n";
		echo "<th>ausgeliehen seit</th>\n";
		echo "</tr>\n";
		new stwTabLine(2,5);

		while ($item = mysql_fetch_assoc($items)){
			echo "<tr>\n";
			echo "<td class=\"cl1\">{$item['tel_nr']}</td>\n";
			echo "<td class=\"cl1\">{$item['typ']}</td>\n";
			echo "<td class=\"cl20\" style=\"text-align: right;\">{$item['von_dt']}</td>\n";
			if(check_nutzer_rechte(26)) {
				echo "<td class=\"cl11\">";
				echo "<a href=\"mobtel_aus_and.php?tel_id={$item['tel_id']}";
				echo "&sim_id={$item['sim_id']}&pers_id={$item['pers_id']}";
				echo "&datum={$item['von_ts']}\">R&uuml;ckgabe</a></td>\n";
			}
			echo "</tr>\n";
		}

		echo "</table>\n";
		new stwLine(1);
	}
	/* Ende Bereich 5.3 - ausgegebene Mobiltelefone */

	/* Bereich 5.4 - ausgegebene Arbeitsmittel */
	$sql  = "select k.key_id, k.name, k.nr, a.notizen_a, ";
	$sql .= "unix_timestamp(a.von) as von_ts, date_format(a.von, '%d.%m.%Y, %H:%i Uhr') as von ";
	$sql .= "from tb_keys_aus a left join tb_keys k using (key_id) ";
	$sql .= "where a.pers_e='$rvar_pers_id' and a.bis is null and k.art_id='99' ";
	$sql .= "order by k.name asc, k.nr asc;";
	$items = abfrage1($sql);
	if (mysql_num_rows($items) > 0){
		echo "<table><tr><th colspan=\"4\"><a href=\"arbeitsmittel.php\">";
		echo "ausgegebene Arbeitsmittel</a></th></tr>\n";
		new stwTabLine(2,5);
		echo "<tr>\n";
		echo "<th class=\"cl1\">Bezeichnung</th>\n";
		echo "<th class=\"cl1\">Notizen</th>\n";
		echo "<th>ausgeliehen seit</th>\n";
		echo "</tr>\n";
		new stwTabLine(2,5);
		while ($item = mysql_fetch_assoc($items)){
			echo "<tr>\n";
			echo "<td class=\"cl1\">{$item['name']}</td>\n";
			echo "<td class=\"cl1\">{$item['notizen_a']}</td>\n";
			echo "<td class=\"cl20\" style=\"text-align: right;\">{$item['von']}</td>\n";
			if(check_nutzer_rechte(88)) {
				echo "<td class=\"cl11\">";
				echo "<a href=\"keys_aus.php?key_id={$item['key_id']}";
				echo "&pers_e=$rvar_pers_id&datum={$item['von_ts']}";
				echo "&arbeitsmittel=1\">R&uuml;ckgabe</a></td>\n";
			}
		}
		echo "</table>\n";
	}
	/* Ende Bereich 5.4 - ausgegebene Arbeitsmittel */
}
/* Ende Bereich 5 - Ausgabe */


/* Bereich 6 - Akte - nur mit Rechteobjekt 49 oder ab Level 97*/
if (!empty($rvar_pers_id) && $bereich == 6 && (check_nutzer_rechte(49) || check_al_rechte($rvar_pers_id)==2)){

	if(isset($_POST['kfz'])) {
		if($rvar_kfz == 2) {
			$sql = "select unterzeichnet from tbh_pers_kfz where pers_id = '$rvar_pers_id'
					and akte_id = '$rvar_akte_id' order by unix_timestamp(zeit) desc";
			$pruef = abfrage($sql);
		}
		if($rvar_kfz == 1 || $pruef[0] != $rvar_fpruf)
			abfrage2("insert into tbh_pers_kfz set pers_id = '{$_REQUEST['pers_id']}', id='$uid', zeit=now(), unterzeichnet='$rvar_fpruf', akte_id='$rvar_akte_id'");
	}
	if(isset($_POST['stichtag'])) {
		$date = check_date($rvar_stichtag);
		if ($date === false || empty($rvar_stichtag) || date_gr2ts($date) < time()){
			$stichtag = date('Y-m-d', mktime(0,0,0,date("m"),date("d"),date("Y")+1));
		} else $stichtag = date_gr2my($date);
		abfrage2("replace into tbh_pers_stichtag set pers_id = '$rvar_pers_id', akte_id='$rvar_akte_id', stichtag='$stichtag'");
	}
	/* Datenaenderungen verarbeiten */
	if (isset($_REQUEST['id'])){
		$dat1 = abfrage1("select akte_id from tbh_pers_akten
											where pers_id = '{$_REQUEST['pers_id']}'
											and akte_id = '{$_REQUEST['akte_id']}';");

		if (mysql_num_rows($dat1) == 0){
			$sql = "insert into tbh_pers_akten set pers_id = '{$_REQUEST['pers_id']}',
							akte_id = '{$_REQUEST['akte_id']}', id = '{$_REQUEST['id']}',
							zeit = now();";
			abfrage2($sql);
		}
	}


	/* Aktenarten (ohne Druckausgabe) loeschen */
	if (isset($_REQUEST['del_akte'])){
		abfrage2("delete from tb_pers_akten
							where akte_id = '{$_REQUEST['del_akte']}';");
	}

	/* Bereich 6.1 - Akte des angezeigten Mitarbeiters */
	$action = $_SERVER['PHP_SELF'] . "?pers_id=$rvar_pers_id&bereich=6";

	/* Standardtrager aus Personaldatenbank ermitteln */
	$tra = abfrage("select standard_traeger_art_id from tb_personal
									where pers_id = '$rvar_pers_id';");
	if(empty($tra[0])) $tra[0] = 1;

	echo "<table>\n";
	echo "<tr><th colspan=\"3\">Akte von ".pers_name($rvar_pers_id);
	echo "</th><td colspan=\"2\">";
	echo "<form method=\"get\" action=\"pers_and.php\">\n";
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\" />\n";
	echo "<input type=\"hidden\" name=\"bereich\" value=\"$rvar_bereich\" />\n";
	echo "<select name=\"abt_id\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">- Alle Abteilungen -</option>\n";
	$abts = abfrage1("select p.abt_id, a.name from tbh_pers_abt p
					left join tb_personal_abt a using(abt_id)
					where p.pers_id = '$rvar_pers_id'
					group by p.abt_id
					order by a.name asc;");
	while($abt = mysql_fetch_row($abts)) {
		echo "<option value=\"$abt[0]\"";
		if($abt[0]==$rvar_abt_id) echo " selected";
		echo ">$abt[1]</option>\n";
	}
	echo "</select></form></td></tr>\n";

	new stwTabLine(2,30);

	$akten = abfrage1("select akte_id, name, aktiv, turnus, turnus_tt, druck from tb_pers_akten order by name asc;");
	while($akte = mysql_fetch_array($akten)) {
		$daten = new stwDaten("45");
		$klammer = $daten->get_klammer_link($_SESSION["webdir"],
										  $_SESSION[$AppCode]["UID"],
										  $_SESSION[$AppCode]["ULV"],
										  $rvar_pers_id, $akte['akte_id']);
		$dat = abfrage_assoc("select id, date_format(zeit, '%d.%m.%Y %H:%i') as zeit
										from tbh_pers_akten where pers_id = '$rvar_pers_id'
										and akte_id = '{$akte['akte_id']}';");
		if($akte['aktiv'] == 'n' && strpos($klammer,'klammer_gelb')!==false && empty($dat['id'])) continue;
		$ausn = abfrage("SELECT aktiv FROM tbh_pers_akte_ausnahme WHERE akte_id = '$akte[0]' and pers_id='$rvar_pers_id'");
		if($ausn[0] == 'n') continue;
		$abteilungen = array();
		$continue = true;
		$abts = abfrage1("select abt_id from tbh_akte_abt where akte_id='$akte[0]'");
		while($abt = mysql_fetch_row($abts)) {
			$inAbt = abfrage1("select abt_id from tbh_pers_abt where pers_id='$rvar_pers_id' and abt_id='$abt[0]'");
			if(mysql_num_rows($inAbt) > 0) {
				$abteilungen[ $abt[0] ] = $abt[0];
				if(empty($rvar_abt_id) || $rvar_abt_id==$abt[0]) $continue = false;
			}
		}
		if($ausn[0] != 'j' && $continue) continue;
		echo "<tr><td class=\"cl1\">";
		echo "<form action=\"$action\" method=\"post\">\n";
		echo "<input type=\"hidden\" name=\"akte_id\" value=\"{$akte['akte_id']}\">\n";
		echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
		echo "<input type=\"checkbox\" name=\"id\" value=\"$uid\"";
		if (!check_nutzer_rechte(49)) echo ' disabled';
		echo " onChange=\"this.form.submit()\"";

		if ($dat['id'] > 0){
			echo ' checked';
		}

		echo "></form>\n";
		echo "</td>\n";
		echo "<th class=\"cl1\">{$akte['name']}</th>\n";
		echo "<td class=\"cl1\">$klammer</td>\n";
		if ($dat['id'] > 0){
			echo "<td class=\"cl1\">" . pers_kname($dat['id']) . "</td>\n";
			echo "<td class=\"cl1\">" . $dat['zeit'] . "</td>\n";
		} else echo "<td></td><td></td>\n";
		if (!empty($akte['druck'])){
			$c_traeger = $_SESSION[$AppCode]['TR'];
			echo "<td><a href=\"mandant/$c_traeger/{$akte['druck']}.php?";
			echo "pers_id=$rvar_pers_id&akte_id={$akte['akte_id']}&traeger=$tra[0]&ts=" . time() . "\" ";
			echo stwToolTip($akte['name'] . ' drucken!');
			echo "target=\"_pdf\">";
			echo "<img src=\"img/drucker.png\" alt=\"drucker\"></a>";
			echo "</td>\n";
		} else echo "<td />\n";
		echo "<td>";
		$tt = '<b>Abteilungen:</b><br />';
		foreach($abteilungen as $abt) {
			$name = abfrage("select name from tb_personal_abt where abt_id='$abt'");
			$tt .= "$name[0]<br />";
		}
		if($tt != '<b>Abteilungen:</b><br />') echo "<img".stwToolTip($tt)."src=\"".image('abt_team')."\"";
		echo "</td>\n";
		if($akte['turnus'] > 0) {
			$sql = "select id, date_format(zeit, '%d.%m.%Y %H:%i'), unterzeichnet,
					to_days(date_add(zeit,INTERVAL ".$akte['turnus']." MONTH)), to_days(now())
					from tbh_pers_kfz where pers_id = '$rvar_pers_id'
					and akte_id = '{$akte['akte_id']}' order by unix_timestamp(zeit) desc";
			$kfzs = abfrage1($sql);
			$tt = $checked = '';
			while ($kfz = mysql_fetch_row($kfzs)){
				if($tt == '') {
					if($kfz[2]=='j' && $kfz[3]>$kfz[4]) $checked = 'checked';
				} else $tt .= "<br />";
				$tt .= "<input type=\"checkbox\"";
				if($kfz[2]=='j') $tt .= " checked";
				$tt .= "> $kfz[1] ";
				$tt .= "<b>".pers_kname($kfz[0])."</b>";
			}
			if($tt != '') $tt = stwToolTip($tt,false);
			$co = ($checked != 'checked') ? 'red' : 'lime';
			echo "<th style=\"color:$co\"";
			echo stwToolTip($akte['turnus_tt']).">\n";
			echo "<form action=\"$action\" method=\"post\">\n";
			echo "<input type=\"hidden\" name=\"kfz\" value=\"1\">\n";
			echo "<input type=\"hidden\" name=\"akte_id\" value=\"{$akte['akte_id']}\">\n";
			echo "&nbsp;Pr&uuml;fung:</th><td $tt><input type=\"checkbox\" name=\"fpruf\" value=\"j\"";
			if (!check_nutzer_rechte(49)) echo ' disabled';
			echo " $checked onChange=\"this.form.submit()\">";
			echo "</form></td>";
		} elseif($akte['turnus'] < 0) {
			$stich=abfrage("select date_format(stichtag, '%d.%m.%Y'), to_days(curdate()), to_days(stichtag) 
							from tbh_pers_stichtag 
							where pers_id = '$rvar_pers_id' and akte_id = '{$akte['akte_id']}'");
			$sql = "select id, date_format(zeit, '%d.%m.%Y %H:%i'), unterzeichnet
					from tbh_pers_kfz where pers_id = '$rvar_pers_id'
					and akte_id = '{$akte['akte_id']}' order by unix_timestamp(zeit) desc";
			$kfzs = abfrage1($sql);
			$tt = $checked = '';
			while ($kfz = mysql_fetch_row($kfzs)){
				if($tt == '') {
					if($kfz[2]=='j' && $stich[2]>$stich[1]) $checked = 'checked';
				} else $tt .= "<br />";
				$tt .= "<input type=\"checkbox\"";
				if($kfz[2]=='j') $tt .= " checked";
				$tt .= "> $kfz[1] ";
				$tt .= "<b>".pers_kname($kfz[0])."</b>";
			}
			if($tt != '') $tt = stwToolTip($tt,false);
			echo "<form action=\"$action\" method=\"post\">\n";
			$co = ($checked != 'checked') ? 'red' : 'lime';
			echo "<th style=\"color:$co\"";
			echo stwToolTip($akte['turnus_tt']).">\n";
			echo "<input type=\"hidden\" name=\"kfz\" value=\"2\">\n";
			echo "<input type=\"hidden\" name=\"akte_id\" value=\"{$akte['akte_id']}\">\n";
			echo "&nbsp;Pr&uuml;fung:</th><td class=\"cl11\" $tt><input type=\"checkbox\" name=\"fpruf\" value=\"j\"";
			if (!check_nutzer_rechte(49)) echo ' disabled';
			echo " $checked onChange=\"this.form.submit()\"></td>";
			echo "<th>Stichtag:</th>";
			echo "<td><input type=\"text\" name=\"stichtag\" value=\"$stich[0]\" size=\"10\" /></td>\n";
			echo "<td><input type=\"image\" src=\"img/senden.png\" /></td>\n";
			echo "</form>";
		}
		echo "</tr>\n";
	}
	echo "</table>\n";
	new stwLine(1);
	/* Ende Bereich 6.1 - Akte des angezeigten Mitarbeiters */
}
/* Ende Bereich 6 - Akte */

/* Bereich 7 - Post */
if (!empty($rvar_pers_id) && $bereich == 7){
	$mails = array();
	$timestamps = array();
	$nachrs = abfrage1("select nachr_id, date_format(sent, '%d.%m.%Y'), unix_timestamp(sent),
						text, betreff, von from tb_nachr
						where pers_id='$rvar_pers_id' or nachr_id in (
							select id from tbh_postzuordnung where posttyp='n' and id2='$rvar_pers_id' and typ='m'
						) order by to_days(sent) desc");
	while($nachr = mysql_fetch_array($nachrs)) {
		$txt = strip_tags($nachr['text']);
		$tels = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='$nachr[0]'");
		if(mysql_num_rows($tels) > 0) {
			$tel = mysql_fetch_array($tels);
			$text = "<b>Gespr&auml;chsnotiz:</b> Anruf von <b>".$tel['anrufer']."</b> ";
			if(strlen($tel['anr_firma']) > 0) $text .= "Firma: <b>".$tel['anr_firma']."</b> ";
			if(strlen($tel['anr_tel']) > 0) $text .= "Tel.: <b>".$tel['anr_tel']."</b> ";
			$text .= "<br />";
			if($tel['hat_angerufen'] == 'j') $text .= "(hat angerufen) ";
			if($tel['hat_zurueckgerufen'] == 'j') $text .= "(hat zur&uuml;ckgerufen) ";
			if($tel['ruft_wieder_an'] == 'j') $text .= "(ruft wieder an) ";
			if($tel['rr_erbeten'] == 'j') $text .= "(erbittet R&uuml;ckruf) ";
			if($tel['treffen'] == 'j') $text .= "(m&ouml;chte Sie treffen) ";
			if($tel['war_da'] == 'j') $text .= "(war da) ";
			if($tel['sms'] == 'j') $text .= "<br /><b>Mitarbeiter wurde(n) per SMS informiert</b>";
			$txt = "$text<br />$txt";
		}
		$tt = stwToolTip($txt);
		$daten = new stwDaten("12");
		$klammer = $daten->get_klammer_link($_SESSION["webdir"],
										  $_SESSION[$AppCode]["UID"],
										  $_SESSION[$AppCode]["ULV"],
										  $nachr[0], "0");
		$timestamps[]=$nachr[2];
		$mails[$nachr[2]]="<tr><td class=\"cl11\" $tt style=\"text-align:right\">
					<a href=\"nachr_and.php?nachr_id=$nachr[0]\">
					<img src=\"img/brief.png\" /></a></td>
					<td class=\"cl11\">$nachr[1]</td>
					<td class=\"ww\" width=\"400\">$nachr[4]
					gesendet von ".pers_kname($nachr['von'])."</td>
					<td>$klammer</td></tr>\n";
	}
	$letzteNachricht = array_pop($timestamps);
	$query="select h.hp_id, h.hp_art, date_format(h.datum, '%d.%m.%Y'), unix_timestamp(h.datum)
		from tb_hp h left join tbh_postzuordnung z on(z.id = h.hp_id and z.posttyp='h')
		where z.typ='m' and z.id2='$rvar_pers_id' order by to_days(h.datum) desc";
	$posts = abfrage1($query);
	echo "<table>";
	echo "<tr><th colspan=\"30\">".pers_name($rvar_pers_id)." zugeordnete Nachrichten, Postein- und -ausg&auml;nge</th></tr>\n";
	new stwTabLine(2,30);
	while($post = mysql_fetch_row($posts)) {
		while(intval($letzteNachricht) > 0 && $letzteNachricht > $post[3]) {
			echo $mails[$letzteNachricht];
			$letzteNachricht = array_pop($timestamps);
		}
		$datum = $post[2];
		if($post[1]=='x') {
			$query 	= "SELECT t2.kurzname, t1.post_in_id, "
					. "t1.betreff, t1.notizen, k.name2 "
					. "FROM tb_post_eingang t1 "
					. "left join tb_kontakte k "
					. "on k.kont_id = t1.kont_id and k.kh_id='0' "
					. "INNER JOIN tb_post_art t2 ON "
					. "t1.postart_id = t2.post_art_id WHERE "
					. "t1.hp_id = '$post[0]'";
			$erg	= abfrage($query);
			$text = $erg[2];
			$daten = new stwDaten("5");
			$klammer  = $daten->get_klammer_link($_SESSION["webdir"],
											  $_SESSION[$AppCode]["UID"],
											  $_SESSION[$AppCode]["ULV"],
											  $erg[1], "0");
			$id = substr("00".$erg[1],-3);
			$abk = "<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $erg[0]";
			$link = "post_in.php?post_id=".$erg[1];
			$farbe = "rgb(51,153,51)";
			$title = "Posteingang:<br>$erg[4]<br><b>$erg[2]</b><br>$erg[3]";
		} else {
			$sql	= "SELECT a.postart_id, a.post_out_id, a.brief_id, "
					. "a.betreff, a.notizen, k.name2 FROM tb_post_ausgang a "
					. "left join tb_kontakte k on k.kont_id = a.kont_id and k.kh_id='0' "
					. "WHERE hp_id = '$post[0]';";
			$erg	= abfrage($sql);
			$text = $erg[3];
			$daten = new stwDaten("13");
			$klammer  = $daten->get_klammer_link($_SESSION["webdir"],
											  $_SESSION[$AppCode]["UID"],
											  $_SESSION[$AppCode]["ULV"],
											  $erg[1], "0");
			if ($erg[0] != 0) {
				$sql  = "SELECT kurzname FROM tb_post_art ";
				$sql .= "WHERE post_art_id = '$erg[0]';";
				$erg2 = abfrage($sql);
				$title = "Postausgang:<br>$erg[5]<br><b>$erg[3]</b><br>$erg[4]";
			} else {
				$erg2[] = "??";
				$title = "Postausgang ohne Postart";
			}
			$id = substr("00".$erg[1],-3);
			$abk = "<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $erg2[0]";
			if (is_null($erg[2])) {
				$link = "post_out.php?post_id=".$erg[1];
			} else {
				$link = "brief.php?id=".$erg[1];
			}
			$farbe = "#FF0000";
		}
		echo "<tr><td class=\"cl11\" style=\"text-align:right\">\n";
		echo "<a href=\"$link\" style=\"color:$farbe\"" . stwToolTip($title) . ">";
		echo $abk . "</a></td>\n";
		echo "<td class=\"cl11\">" . $datum . "</td>\n";
		echo "<td class=\"ww\" width=\"400\">" . $text . "</td>\n";
		echo "<td class=\"cl11\">$klammer</td></tr>\n";
	}
	if(intval($letzteNachricht) > 0) do {
		echo $mails[$letzteNachricht];
	} while($letzteNachricht = array_pop($timestamps));
	echo "</table>\n";
}
/* Ende Bereich 7 - Post */

/* fuer die Dateien wird zusaetzlich zur Seite auch eine ID erwartet */
if (!empty($rvar_pers_id)) {
	new stwEnd($seite, NULL, NULL, NULL, $rvar_pers_id, "0");
} else {
	new stwEnd($seite);
}
?>
