<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers_art.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 4;
$level = 96;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");
require_once($pfad."inc/stw.inc.php");

if(isset($_POST['tt_ok'])) {
	abfrage2("UPDATE tb_personalfunktion SET kurzname='$rvar_kurzname', beschreibung='$rvar_beschreibung' WHERE personalart='$rvar_personalart' LIMIT 1");
}

if(isset($_POST['del'])) {
	foreach($rvar_del as $id => $x) {
		abfrage2("update tb_personalart set aktiv='n' where p_art_id='$id'");
	}
}

if(isset($_POST['undel'])) {
	foreach($rvar_undel as $id => $x) {
		abfrage2("update tb_personalart set aktiv='j' where p_art_id='$id'");
	}
}

if(isset($_POST['p_art_id'])) {
	foreach($rvar_p_art_id as $id => $x) {
		if(strlen($rvar_beschreibung[ $id ]) == 0 && strlen($rvar_kurzname[ $id ]) == 0) continue;
		$sql = $x ? 'update' : 'insert into';
		$sql .= " tb_personalart set personalart = '" . $rvar_personalart[ $id ] . "', 
				beschreibung = '" . $rvar_beschreibung[ $id ] . "',
				im_sachbericht = '" . ($rvar_im_sachbericht[ $id ] ? 'j' : 'n') . "',
				kurzname = '" . $rvar_kurzname[ $id ] . "'";
		$sql .= $x ? " where p_art_id = '$id'" : ';';
		abfrage2($sql);
	}
}

$alle = (isset($_POST['passiv']) && !isset($_POST['aktiv']));

if($alle) $sql = "select * from tb_personalfunktion order by kurzname asc";
else {
	$sql = "select f.* from tb_personalart a 
			left join tb_personalfunktion f using(personalart) 
			where a.aktiv='j' and a.personalart != '' 
			group by f.personalart order by f.kurzname asc";
};
$pas = abfrage1($sql);
$cnt = mysql_num_rows($pas);

echo "<script type=\"text/javascript\"><!--\n";
echo "function doTT(id) {\n";
echo "var kurzname = '';\n";
echo "var beschreibung = '';\n";
while($pa = mysql_fetch_array($pas)) {
	echo "if(id == '$pa[0]') {\n kurzname='{$pa['kurzname']}';\n beschreibung='{$pa['beschreibung']}';\n}\n";
}
echo "var str = '<form action=\"pers_art.php\" method=\"post\">';\n";
echo "str += '<input type=\"hidden\" name=\"personalart\" value=\"' + id + '\">';\n";
echo "str += 'Kurzname: ';\n";
echo "str += '<input type=\"text\" name=\"kurzname\" size=\"10\" value=\"' + kurzname + '\">';\n";
echo "str += ' &nbsp; &nbsp; <input type=\"submit\" name=\"tt_ok\" value=\"Speichern\" />';\n";
echo "str += '<br><br><textarea name=\"beschreibung\" rows=\"3\" cols=\"30\">' + beschreibung + '</textarea>';\n";
echo "str += '</form>';\n";
echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Einstellungen Personalfunktion',TITLEBGCOLOR, '#006600', WIDTH, 230, HEIGHT, 100, FIX, [id,-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
echo "}\n--></script>\n";

echo "<form method=\"post\" action=\"pers_art.php\">\n";
if($alle) echo "<input type=\"hidden\" name=\"passiv\" value=\"1\" />\n";
$where = $alle ? '' : "where aktiv='j'";
$arten = abfrage1("select * from tb_personalart $where order by IF(kurzname IS NULL, personalart, kurzname) ASC");
$rows = mysql_num_rows($arten) + 4;
echo "<table><tr><th class=\"cl1\">kurz</th><th class=\"cl1\">Beschreibung</th><th class=\"cl1\"";
echo stwToolTip("im Sachbericht?") . ">SB</th><td bgcolor=\"#006600\" rowspan=\"$rows\"><img src=\"img/clearpixel.png\" alt=\"\" /></td>\n";
mysql_data_seek($pas,0);
while($pa = mysql_fetch_array($pas)) {
	echo "<th" . stwToolTip($pa['beschreibung']) . '>';
	echo $pa['kurzname'] . " <img style=\"width:12px;position:relative;top:-4px;left:-4px\" src=\"img/stift.png\" ";
	echo "id=\"$pa[0]\" onclick=\"doTT('$pa[0]')\"/></td>";
}
echo "<td bgcolor=\"#006600\" rowspan=\"$rows\"><img src=\"img/clearpixel.png\" alt=\"\" /></td></tr>\n";
new stwTabLine(2,$cnt+6);
$art = array(0);
do {
	echo "<input type=\"hidden\" name=\"p_art_id[ $art[0] ]\" value=\"$art[0]\" />\n";
	echo "<tr class=\"mo\">";
	$kurzname = is_null($art['kurzname']) ? $art['personalart'] : $art['kurzname'];
	echo "<td class=\"cl1\"><input type=\"text\" value=\"$kurzname\" style=\"padding:1px 5px\" size=\"3\" name=\"kurzname[ $art[0] ]\" /></td>\n";
	echo "<td class=\"cl1\"><input type=\"text\" value=\"{$art['beschreibung']}\" style=\"padding:1px 5px\" size=\"35\" name=\"beschreibung[ $art[0] ]\" /></td>\n";
	echo "<td class=\"cl1\"><input type=\"checkbox\" value=\"1\" name=\"im_sachbericht[ $art[0] ]\"";
	if($art['im_sachbericht'] == 'j') echo " checked";
	echo " /></td>\n";
	mysql_data_seek($pas,0);
	while($pa = mysql_fetch_row($pas)) {
		echo "<td style=\"text-align:center\"><input type=\"radio\" name=\"personalart[ $art[0] ]\" value=\"$pa[0]\"";
		if($pa[0] == $art['personalart']) echo " checked";
		echo " /></td>\n";
	}
	if($art[0] && $art['aktiv']=='j') {
		echo "<td class=\"cl11\"><input type=\"submit\" name=\"del[ $art[0] ]\" value=\"X\" ";
		echo stwToolTip("Personalart $kurzname inaktiv schalten");
		echo "style=\"color:#00FF00;background-color:#333333;height:13px\" /></td>";
	} elseif($art[0] && $art['aktiv']=='n') {
		echo "<td class=\"cl11\"><input type=\"submit\" name=\"undel[ $art[0] ]\" value=\"X\" ";
		echo stwToolTip("Personalart $kurzname wieder aktiv schalten");
		echo "style=\"color:#FFFFFF;background-color:#333333;height:13px\" /></td>";
	} else echo "<td>(neu)</td>";
	echo "</tr>\n";
	if(empty($art[0])) new stwTabLine(2,$cnt+6);
} while($art = mysql_fetch_array($arten));
new stwTabLine(1,$cnt+6);
echo "<tr><td colspan=\"2\"><input type=\"submit\" value=\"Speichern\" /></td>";
$val = $alle ? "nur aktive Datens&auml;tze einblenden" : "auch inaktive Datens&auml;tze einblenden";
$name = $alle ? "aktiv" : "passiv";
echo "<td colspan=\"".($cnt+3)."\" style=\"text-align:right\"><input type=\"submit\" name=\"$name\" value=\"$val\" /></td></tr>\n";
echo "</table>\n</form>\n";
new stwEnd($seite);
?>