<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$level = 16;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 4;
require("inc/stw.inc.php");

// berschrift

echo "<table>\n";
echo "<tr><th><a href=\"pers_mit.php?pers_id=$rvar_pers_id\">";
echo "Mitgliedsbeitr&auml;ge</a></th>\n";
echo "<td width=\"5\"></th>\n";

echo "<th><a href=\"pers_and.php?pers_id=$rvar_pers_id\">";
echo pers_nummer($rvar_pers_id) . "</a></th>\n";
echo "<td width=\"5\"></th>\n";
echo "<th>" . pers_name($rvar_pers_id) . "</th>\n";
echo "</tr></table>\n";
new stwLine(1);

if (!empty($rvar_beitrag_id)){
	$bei = abfrage("select beitrag_id,
				date_format(von, '%d.%m.%Y'),
				date_format(bis, '%d.%m.%Y'),
				jahr,
				date_format(gemahnt, '%d.%m.%Y'),
				date_format(gezahlt, '%d.%m.%Y'),
				betrag, status, notizen
				from tb_mitglied
				where beitrag_id = $rvar_beitrag_id;");
} else {
	$bei = abfrage("select beitrag_id,
				date_format(von, '%d.%m.%Y'),
				date_format(bis, '%d.%m.%Y'),
				jahr,
				date_format(gemahnt, '%d.%m.%Y'),
				date_format(gezahlt, '%d.%m.%Y'),
				betrag, status, notizen
				from tb_mitglied
				where pers_id = $rvar_pers_id
				order by von desc
				limit 1;");
}
?>
<form method="post" action="pers_mit_sql.php">
<table>

<tr>
<th>von :</th>
<td><input type="text" name="von" size="11" maxlength="11" tabindex="1"
    <?php if (!empty($rvar_beitrag_id)) { echo "value=\"$bei[1]\"";} ?>>&nbsp;TT.MM.JJJJ</td>
</tr>

<tr>
<th>bis :</th>
<td><input type="text" name="bis" size="11" maxlength="11" tabindex="2"
    <?php if (!empty($rvar_beitrag_id)) { echo "value=\"$bei[2]\"";} ?>>&nbsp;TT.MM.JJJJ</td>
</tr>

<tr>
<th>f&uuml;r Jahr :</th>
<td><input type="text" name="jahr" size="5" maxlength="5" tabindex="3"
    <?php if (!empty($rvar_beitrag_id)) { echo "value=\"$bei[3]\"";} ?>>&nbsp;JJJJ</td>
</tr>

<tr>
<th>gemahnt :</th>
<td><input type="text" name="gemahnt" size="11" maxlength="11" tabindex="4"
    <?php if (!empty($rvar_beitrag_id) && $bei[4]!='00.00.0000') { echo "value=\"$bei[4]\"";} ?>>&nbsp;TT.MM.JJJJ</td>
</tr>

<tr>
<th>gezahlt :</th>
<td><input type="text" name="gezahlt" size="11" maxlength="11" tabindex="5"
    <?php if (!empty($rvar_beitrag_id) && $bei[5]!='00.00.0000') { echo "value=\"$bei[5]\"";} ?>>&nbsp;TT.MM.JJJJ</td>
</tr>

<tr>
<th>Betrag:&nbsp;</th>
<td><input type="text" name="betrag" size="8" maxlength="8" tabindex="6"
	<?php echo "value=\"". number_format($bei[6], 2, ',', '') . "\""; ?>>&nbsp;&nbsp;<b>&euro;</b>
</td>
</tr>

<tr>
<th>Status:&nbsp;</th>
<td>
<select name="status" size="1" tabindex="7">
<option value="m"
	<?php if ($bei[7] == 'm'){
		echo " selected";
	} ?>
	>Mitglied</option>

<option value="f"
	<?php if ($bei[7] == 'f'){
		echo " selected";
	} ?>
	>F&ouml;rdermitglied</option>
	
</select>

</td>
</tr>

<tr>
<th>Notizen:</th>
<td>
<textarea cols="30" rows="3" name="notizen" tabindex="8">
<?php if (!empty($rvar_beitrag_id)) { echo $bei[8]; } ?>
</textarea>
</td></tr>


</table>
<input type="hidden" name="pers_id" value="<?php echo $rvar_pers_id; ?>">
<?php
new stwLine(1);

if ($_SESSION[$AppCode]["ULV"] < 70) {
} else {
if (isset($rvar_beitrag_id)) {
?>
  <input type="hidden" name="beitrag_id" value="<?php echo $rvar_beitrag_id; ?>">
  <input type="submit" value="&Auml;ndern!" tabindex="9">
<?php
} else {
?>
  <input type="submit" value="Speichern" tabindex="9">
<?php
}
}
?>
</form>
<?php
new stwEnd($seite);
?>