<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers_pr_akten.php 2721 2017-03-29 20:10:12Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();

/* Sicherheitslevel der notwendig ist */
$level = 97;
$seite = 1;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/func.inc.php");
if(!check_nutzer_rechte(49)) {
	$pa = abfrage("select personal from tb_personal_abt_leit where abt_id='{$_GET['abt']}' and pers_id='{$_SESSION[$AppCode]['UID']}'");
	if($pa[0] != 'j') require_once($pfad."inc/level.inc.php");
}
$pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_diagram.inc.php";
require_once($pfad.$pdf_datei);

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$zh = 4.5;

//Beginn der PDF-Datei :-)
$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->SetTopMargin(25.0);
$pdf->SetLeftMargin(15.0);
$pdf->SetFont('Arial','',9);
$pdf->SetAutoPageBreak(false);

$all = (isset($_GET['all'])) ? $_GET['all'] : 0;
$bes = (isset($_GET['bes'])) ? $_GET['bes'] : getPersEinst($_SESSION[$AppCode]['UID'], 'pers_bes', 0);
$part = (isset($_GET['part'])) ? $_GET['part'] : getPersEinst($_SESSION[$AppCode]['UID'], 'pers_part', 0);
$abt = (isset($_GET['abt'])) ? $_GET['abt'] : getPersEinst($_SESSION[$AppCode]['UID'], 'pers_abt', 0);
$lsort = (isset($_GET['sort'])) ? $_GET['sort'] : getPersEinst($_SESSION[$AppCode]['UID'], 'pers_sort', 1);

/* Aktenarten */
$sql = "select akte_id, name from tb_pers_akten a ";
if(!empty($abt)) $sql.="left join tbh_akte_abt t using(akte_id) 
						where t.abt_id = '$abt' ";
$sql .= "order by a.name asc;";
$akten = abfrage1($sql);
$anz_akten = mysql_num_rows($akten);
$aktenIndizes = array();
$i = 1;
$toAdd = 150 / $anz_akten;
while($akte = mysql_fetch_row($akten)) {
	$aktenIndizes[$akte[0]] = $i++;
}

switch ($lsort){
	case 1:
		$order = 'order by p.personalnr asc';
		break;
	case 2:
		$order = 'order by p.name asc';
		break;
	case 3:
		$order = 'order by p.vorname asc';
		break;
	case 4:
		$order = 'order by p.level desc, p.personalnr asc';
		break;
	case 5:
		$order = 'order by month(p.geboren) asc, day(p.geboren) asc';
}

/* Abfrage zusammenstellen */
$sql  = "select p.pers_id, p.personalnr, p.name, p.vorname, ";
$sql .= "p.p_art_id, p.status_id from tb_personal p ";
if($abt > 0) {
	$sql .= "left join tbh_pers_abt h on h.pers_id = p.pers_id ";
	$sql .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
}
$where = false;
if ($all == 0){
	$sql .= "where p.status_id = '2' ";
	$where = true;
}
if ($bes != 0){
	$sql .= $where ? 'and ' : 'where ';
	$sql .= "p.besch_id = '$bes' ";
	$where = true;
}
if ($part != 0){
	$sql .= $where ? 'and ' : 'where ';
	$sql .= "p.p_art_id = '$part' ";
	$where = true;
}
if ($abt > 0){
	$sql .= $where ? 'and ' : 'where ';
	$sql .= "(h.abt_id = '$abt' or l.abt_id = '$abt') ";
} elseif ($abt < 0){
	$sql .= $where ? 'and ' : 'where ';
	$sql .= "p.standard_traeger_art_id = '".(-1 * $abt)."' ";
}
$sql .= ' group by p.pers_id ' . $order . ';';
$mas = abfrage1($sql);
$newpage = true;
while ($ma = mysql_fetch_row($mas)) {
	if($newpage) {
		$X = 50;
		$pdf->AddPage();
		mysql_data_seek($akten, 0);
		while($akte = mysql_fetch_row($akten)) {
			$pdf->RotatedText($X,60,strCut($akte[1],20),90);
			$X += $toAdd;
		}
		$pdf->SetY(39);
		$pdf->Cell(32,22,'','R');
		$pdf->SetY(61);
		$newpage = false;
	}
	$pdf->Cell(32,$zh,$ma[3]." ".$ma[2],'TR',0,'R');
	$xxo = array();
	$persakten = abfrage1("select akte_id from tbh_pers_akten where pers_id='$ma[0]'");
	while ($persakte = mysql_fetch_row($persakten)) {
		$xxo[ $aktenIndizes[ $persakte[0] ] ] = true;
	}
	for($i=1; $i<=$anz_akten; $i++) $pdf->Cell($toAdd,$zh,$xxo[$i] ? 'X' : '','T');
	$pdf->Ln($zh);
	if($pdf->GetY() > 270) $newpage = true;
}
$pdf->Output();
exit;
?>