<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: personen.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

session_start();

$seite = $_REQUEST['st'];
$fr = $_REQUEST['fr'];

require('inc/auth.inc.php');
require('inc/stw.inc.php');
require('inc/kont_rechte.inc.php');

$ulv = $_SESSION[$AppCode]['ULV'];
$lom = (isset($_GET['lom'])) ? $_GET['lom'] : 0;

if (isset($rvar_chg)){
	if (isset($rvar_ap_id)){
		$sql1 = "update ";
		$sql3 = "where ap_id = $rvar_ap_id;";
		if($rvar_lom=='j') {
			$lomdatum = date_gr2my(check_date($rvar_lom_datum, 1));
			abfrage2("replace into tb_lom_ap set datum='$lomdatum', notizen='$rvar_lom_text', ap_id = '$rvar_ap_id';");
		}
	} else {
		$sql1 = "insert into ";
		$sql3 = ";";
	}

	$name = (empty($rvar_name)) ? '' : $rvar_name;

	$sql2 = "tb_kontakte_ap SET
			anrede = '$rvar_anrede',
			name = '$name',
			vorname = '$rvar_vorname',
			teldienst = '$rvar_teldienst',
			telmobil = '$rvar_telmobil',
			fax = '$rvar_fax',
			email = '$rvar_email',
			notizen = '$rvar_notizen',
			strasse = '$rvar_strasse',
			plz = '$rvar_plz',
			ort = '$rvar_ort',
			aktiv='$rvar_aktiv',
			referent = '$rvar_referent',
			lom = '$rvar_lom',
			kont_id = '$rvar_kont_id',
			fr_id = '$rvar_fr_id' ";
    $sql = $sql1 . $sql2 . $sql3;
    abfrage2($sql);
}

echo "<table>\n<tr>\n";
echo "<form action=\"kont.php?ka=1&st=5\" method=\"post\">\n";
echo "<td><input type=\"text\" name=\"suche\" size=\"40\"></td>\n";
echo "<td><input type=\"submit\" value=\"Suche!\"></td>\n";
echo "</form>\n";

echo "<td class=\"cl1\"><input type=\"button\" value=\"LOM\" ";
echo "onClick=\"self.location.href='personen.php?st=24&lom=1'\"></td>\n";

if (check_nutzer_rechte(57)) {
	echo "<td><input type=\"button\" value=\"Neu\" ";
	echo "onClick=\"self.location.href='personen_and.php?st=$seite'\"></td>\n";
}

echo "</tr></table>\n";
new stwLine(1);

if ($seite == 61){
	echo "<table style=\"width:750px\">\n<tr>\n";

	$frs = abfrage1("select id, name from tb_kontakte_fr order by sort;");

	while ($row = mysql_fetch_row($frs)){
		echo "<td class=\"";
		echo ($fr == $row[0]) ? 'menuactive' : 'menuinactive';
		echo "\"><a href=\"$self?st=$seite&fr=$row[0]\">$row[1]</td>\n";
	}
	echo "<td width=\"100%\"></td>\n";
	echo "<td class=\"menuinactive\"><a href=\"kont_grp.php\">PR-Kontaktgruppen</a></td>\n";
	echo "</tr></table>\n";
	new stwLine(1);
}

$sql = "select a.name, a.vorname, a.teldienst, a.telmobil, a.email, a.ort,
         a.strasse, a.ap_id, a.kont_id from tb_kontakte_ap a ";
if($lom) $sql .= "left join tb_lom_ap l on a.ap_id = l.ap_id ";
if ($seite == 24) {
	$sql .= "where a.kont_id='0' ";
} else {
	$sql .= "where a.fr_id = '$fr' ";
}
if($lom) {
	$sql .= "and a.lom='j' ";
	$sql .= "order by l.datum desc, a.name asc;";
} else {
	$sql .= "order by a.name asc;";
}
$res = abfrage1($sql);

if (mysql_num_rows($res) > 0){
  echo "<table>\n";
  while ($row = mysql_fetch_assoc($res)) {
    echo "<tr class=\"mo\">\n<td class=\"cl1\">";
    if ($row['kont_id'] > 0){
      $kn = abfrage("select name, kont_art_id from tb_kontakte
                     where kont_id = '{$row['kont_id']}' and kh_id='0';");
      $link = "kont_ap_and.php?kont_id={$row['kont_id']}&ka=$kn[1]&";
    } else {
      $link = 'personen_and.php?';
    }
    echo "<a href=\"" . $link . "ap_id={$row['ap_id']}&st=$seite&fr=$fr\"";
    if (empty($row['name'])) echo " style=\"color:red;\"";
    echo '>';
    echo (empty($row['name'])) ? 'LEER!' : $row['name'];
    echo "</a></td>\n";
    echo "<td class=\"cl1\">{$row['vorname']}</td>\n";

    if ($seite == 61){
      if ($row['kont_id'] > 0){
        echo "<td class=\"cl1\"" . stwToolTip($kn[0]) . '>';
        echo strCut($kn[0], 30) . "</td>\n";
      } else {
        echo "<td></td>\n";
      }
    }

    echo "<td class=\"cl1\">{$row['teldienst']}</td>\n";
    echo "<td class=\"cl1\">{$row['telmobil']}</td>\n";
    echo "<td class=\"cl1\">";
    if (!empty($row['email'])) echo "<a href=\"mailto:{$row['email']}\">@</a>";
    echo "</td>\n";
    echo "<td class=\"cl1\">{$row['ort']}</td>\n";
    echo "<td class=\"cl1\">{$row['strasse']}</td>\n";

	if($lom) {
		$lomap = abfrage("select unix_timestamp(datum), date_format(datum, '%d.%m.%Y'), notizen from tb_lom_ap where ap_id='{$row['ap_id']}'");
		echo "<td class=\"cl1\"";
		echo ($lomap[0] > 0) ? stwToolTip("zuletzt am $lomap[1] besucht") . ">" . $lomap[1] : '>';
		$tt = (strlen($lomap[2]) > 20) ? stwToolTip($lomap[2]) : '';
		echo "</td><td $tt>" . strCut($lomap[2],20) . "</td>\n";
	}

    /* Link zur Abfrageseite fuer Kontaktloeschung */
    if ($lom==0 && $ulv >= 97){
    	echo "<td><a href=\"kont_del.php?ap_id={$row['ap_id']}&st=$seite";
    	if (isset($_REQUEST['fr'])) echo "&fr=" . $_REQUEST['fr'];
    	echo "\" style=\"color: #F00;\"" . stwToolTip('Kontakt l&ouml;schen');
			echo ">X</a></td>\n";
	}
	echo "</tr>\n";
  }
  echo "</table>\n";
  new stwLine(1);
}
new stwEnd($seite);
?>
