<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$seite = 59;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

set_session_url();

echo "<table><tr>\n";
echo "<td style=\"padding-right:25px\">";
if ($rvar_all == "1") {
	echo "<input type=\"button\" value=\"nur unerledigte anzeigen\" ";
	echo "onClick=\"self.location.href='{$_SERVER['PHP_SELF']}?all=0'\">\n";
} else {
	echo "<input type=\"button\" value=\"auch erledigte anzeigen\" ";
	echo "onClick=\"self.location.href='{$_SERVER['PHP_SELF']}?all=1'\">\n";
}
echo "</td>\n";

echo "<th>Suche :</th>\n";
echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"POST\">\n";
echo "<td><input type=\"text\" name=\"suche\" size=\"25\" maxlength=\"50\"";
echo (isset($_POST['suche'])) ? "value=\"{$_POST['suche']}\"" : '';
echo "></td>\n";
echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
echo "</form>\n";


echo "</tr></table>\n";
new stwLine(2);

echo <<< HTML
<table>
<tr>
<th style="padding-right:5px">Nr.</th>
<th style="padding-right:5px"><a href="{$_SERVER['PHP_SELF']}">PKW</a></th>
<th style="padding-right:5px"><a href="{$_SERVER['PHP_SELF']}?sort=pro">Projekt</a></th>
<th style="padding-right:5px">Feedback</th>
<th style="padding-right:5px">Datum</th>
<th style="padding-right:5px">Benutzer</th>
<th style="padding-right:5px" title="Mitarbeiter">MA</th>
<th style="padding-right:5px" title="Geschftsfhrung">GF</th>
</tr>
HTML;

if (isset($_POST['suche'])){
	$where = "where match(feedback) against ('{$_POST['suche']}') ";
} else {
	$where = ($_GET['all'] == 1) ? $where = '' : 'where t1.erl_gf is null';
}

if ($_GET['sort'] == 'pro'){
	$order = " order by t3.projektnr asc, sort1 asc";
} else {
	$order = " order by sort1 desc, unix_timestamp(now()) - unix_timestamp(t1.datetime) asc";
}

$sql = "select t1.res_id, # 0
		r.name,         # 1
		t1.feedback,     # 2
		date_format(t1.datetime,'%d.%m.%Y'), # 3
        concat(left(t2.vorname,1), '. ', t2.name), # 4
        t1.fb_id, # 5
		date_format(t1.datetime, '%H:%i'), # 6
		t1.erl_ma,  # 7
		t1.erl_gf,   # 8
		t1.proj_id,  # 9
		if (t1.proj_id is null or t1.proj_id = 0, 99, t1.prio) as sort1
        from tb_res_fb t1
        left join tb_personal t2 on t1.pers_id = t2.pers_id
        left join tb_projekte t3 on t1.proj_id = t3.proj_id
        left join tb_ressourcen r on t1.res_id = r.res_id
        $where
        $order;";

$res = abfrage1($sql);

while($row = mysql_fetch_row($res)){
	new stwTabLine(2,30);
    if ($row[8] == 1){
    	$style = "style=\"color:#999999\" title=\"erledigt\"";
    } elseif ($row[10] > 2){
    	$style = "style=\"color:#FF0000\" title=\"Prioritt hoch!\"";
    } elseif ($row[10] < 2) {
    	$style = "style=\"color:#CCCCCC\" title=\"Prioritt niedrig\"";
    } else {
    	$style = '';
    }
    echo "<tr><td style=\"padding-right:10px\">";
    echo "<a href=\"pkw_fb_and.php?fb_id=$row[5]\" $style>$row[5]</a></td>\n";
    echo "<td style=\"padding-right:10px\">";
    echo "<a href=\"pkw_fb_and.php?fb_id=$row[5]\" $style>$row[1]</a></td>\n";
    if ($row[9] > 0){
    	$pro = new stwProjekt($row[9]);
    	$pnr = $pro->nummer();
    	echo "<td style=\"padding-right:10px\"><a href=\"pro_daten.php?proj_id=$pro->id\">";
    	echo "$pnr</a></td>\n";
    } else {
    	 echo "<td style=\"padding-right:10px\"></td>\n";
    }
    echo "<td style=\"padding-right:10px\">" . wordwrap($row[2], 40, '<br>') . "</td>\n";
    echo "<td style=\"padding-right:10px\">$row[3]<br>$row[6] Uhr</td>\n";
    echo "<td style=\"padding-right:10px\">$row[4]</td>\n";
	if ($row[7] > 0) {
		$col = 'green';
		$pr = abfrage("select erl_ma_id, date_format(erl_ma_time, '%d.%m.%Y - %H:%i')
						from tb_res_fb where fb_id = $row[5];");
		$title = pers_kname($pr[0]) . ", $pr[1]";
	} else {
		$col = 'red';
		$title = "noch nicht vom Mitarbeiter erledigt";
	}
    echo "<td style=\"padding-right:10px\" title=\"$title\"><img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";
	if ($row[8] > 0) {
		$col = 'green';
		$gf = abfrage("select erl_gf_id, date_format(erl_gf_time, '%d.%m.%Y - %H:%i')
						from tb_res_fb where fb_id = $row[5];");
		$title = pers_kname($gf[0]) . ", $gf[1]";
	} else {
		$col = 'red';
		$title = "noch nicht vom Geschftsfhrer als erledigt markiert";
	}
     echo "<td style=\"padding-right:10px\" title=\"$title\"><img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";

}
echo "</table>\n";
new stwLine(1);
new stwEnd($seite);
?>