<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/

session_start();
$seite = 59;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

if(isset($_GET['wart']) && check_nutzer_rechte(150)) {
	if(isset($_POST['save'])) {
		$sql = isset($_POST['art_id']) ? "UPDATE" : "INSERT INTO";
		$sql.=" tb_wartung_art SET
				art = '{$_POST['art']}',
				beschreibung = '{$_POST['beschreibung']}',
				aktiv = '{$_POST['aktiv']}'";
		$sql.= isset($_POST['art_id']) ? " WHERE art_id='{$_POST['art_id']}';" : ";";
		abfrage2($sql);
	}
	echo "<table><tr>\n";
	echo "<td class=\"cl20\"><input type=\"button\" value=\"zur&uuml;ck zum PKW\" ";
	echo "onClick=\"self.location.href='pkw_and.php?res_id={$_GET['res_id']}'\"></td>\n";
	echo "<td class=\"cl20\"><input type=\"button\" value=\"zur&uuml;ck zur Wartung\" ";
	echo "onClick=\"self.location.href='pkw_wart.php?res_id={$_GET['res_id']}";
	if(isset($_GET['id'])) echo "&id={$_GET['id']}";
	echo "'\"></td>\n";
	echo "<td><input type=\"button\" value=\"neue Wartungsart anlegen\" ";
	echo "onClick=\"self.location.href='pkw_wart.php?res_id={$_GET['res_id']}";
	if(isset($_GET['id'])) echo "&id={$_GET['id']}";
	echo "&wart=neu'\"></td>\n";
	echo "</tr></table>\n";
	new stwLine(1);
	echo "<table><tr><td class=\"cl20\">";
	echo "<table><tr><th colspan=\"3\">Wartungs-Arten</th></tr>\n";
	new stwTabLine(2,3);
	$warts = abfrage1("select * from tb_wartung_art order by art asc");
	while($wart = mysql_fetch_assoc($warts)) {
		echo "<tr><td class=\"cl1\"><a ";
		if($wart['aktiv']=='n') echo "style=\"color:grey\" ";
		echo "href=\"pkw_wart.php?res_id={$_GET['res_id']}";
		if(isset($_GET['id'])) echo "&id={$_GET['id']}";
		echo "&wart={$wart['art_id']}\">";
		echo empty($wart['art']) ? '- LEER -' : $wart['art'];
		echo "</a></td>\n";
		echo "<td class=\"cl1\">" . strCut($wart['beschreibung'],40) . "</td>\n";
		echo "</tr>\n";
	}
	echo "</table></td><td>\n";
	if(!empty($_GET['wart'])) {
		$bearbeiten = $_GET['wart']=='neu' ? 'anlegen' : 'bearbeiten';
		echo "<form method=\"post\" action=\"pkw_wart.php?res_id={$_GET['res_id']}";
		if(isset($_GET['id'])) echo "&id={$_GET['id']}";
		echo "&wart=0\">\n";
		if($_GET['wart']!='neu') {
			$wart = abfrage_array("select * from tb_wartung_art where art_id='{$_GET['wart']}'");
			echo "<input type=\"hidden\" name=\"art_id\" value=\"{$_GET['wart']}\" />\n";
		} else $wart = array('aktiv' => 'j');
		echo "<table><tr><th colspan=\"3\">Wartungsart $bearbeiten</th></tr>\n";
		new stwTabLine(2,3);
		echo "<tr><th class=\"cl1\">K&uuml;rzel:</th>\n<td colspan=\"2\">";
		echo "<input type=\"text\" name=\"art\" size=\"6\" maxlength=\"6\"";
		echo " value=\"{$wart['art']}\"";
		echo "></td></tr>\n";
		echo "<tr><th class=\"cl1\">Beschreibung:</th>\n<td colspan=\"2\">";
		echo "<input type=\"text\" name=\"beschreibung\" size=\"40\" maxlength=\"100\"";
		echo " value=\"{$wart['beschreibung']}\"";
		echo "></td></tr>\n";
		echo "<tr><th class=\"cl1\">aktiv:</th>\n<td colspan=\"2\">";
		echo "<input type=\"radio\" name=\"aktiv\" value=\"j\" ";
		if($wart['aktiv'] == "j") echo " checked";
		echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
		echo "<input type=\"radio\" name=\"aktiv\" value=\"n\" ";
		if($wart['aktiv'] == "n") echo " checked";
		echo ">&nbsp;<b>nein</b></td></tr>\n";
		new stwTabLine(2,3);
		echo "<tr><td colspan=\"3\" style=\"text-align:right\">";
		echo "<input type=\"submit\" name=\"save\" value=\"Speichern\" /></td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
	}
	echo "</td></tr></table>\n";
	new stwEnd($seite);
	exit(0);
}

$pkw = abfrage("select name from tb_ressourcen where res_id = '{$_GET['res_id']}';");
$verantw = abfrage("select pers_id from tbh_pers_res where ver=1 and res_id='{$_GET['res_id']}' and pers_id='{$_SESSION[$AppCode]["UID"]}'");
$verantwortlich = ($verantw[0] == $_SESSION[$AppCode]["UID"]);

$typ = isset($_GET['pflege']) ? 'p' : 'w';

echo "<table style=\"width:750px\"><tr><th class=\"cl20\">";
echo $typ=='p' ? 'Pflege' : 'Wartung';
echo "&nbsp;&nbsp;$pkw[0]</th>";
$bis = mktime(23,59,59, date('n'), date('j'), date('Y'));
$km_stand = km_stand($_GET['res_id'], $bis);
echo "<td>aktueller km-Stand: " . km_form($km_stand) . "</td>";
echo "<td style=\"width:100%;text-align:right\">";
if(check_nutzer_rechte(150)) {
	echo "<input type=\"button\" value=\"Wartungsarten bearbeiten\" ";
	echo "onClick=\"self.location.href='pkw_wart.php?res_id={$_GET['res_id']}";
	if(isset($_GET['id'])) echo "&id={$_GET['id']}";
	echo "&wart=0'\">\n";
}
echo "</td></tr></table>\n";
new stwLine(1);

echo "<form action=\"pkw_and.php?res_id={$_GET['res_id']}\" method=\"post\">\n";

echo "<input type=\"hidden\" name=\"typ\" value=\"$typ\" />\n";

if (isset($_GET['id'])){
	$wt = abfrage_assoc("select date_format(datum,'%d.%m.%Y') as datum, pers_id, 
						notizen, date_format(datum_n,'%d.%m.%Y') as datum_n, km_n, art_id
						from tb_res_wartung where id ='{$_GET['id']}';");
	echo "<input type=\"hidden\" name=\"id\" value=\"{$_GET['id']}\">\n";
}

echo "<table>\n";

$ti = 1;

echo "<tr><th style=\"padding-right:15px\">Datum :</th>\n";
echo "<td><input type=\"text\" size=\"11\" maxlength=\"11\" name=\"datum\" tabindex=\"$ti\" value=\"";
echo (isset($_GET['id'])) ? $wt['datum'] : date('d.m.Y');
echo "\">\n";
$ti++;
if (isset($_GET['id'])){
	$daten = new stwDaten("39");
	$klammer = $daten->get_klammer_link($_SESSION["webdir"],
										$_SESSION[$AppCode]["UID"],
										$_SESSION[$AppCode]["ULV"],
										$_GET['id'], "0");
	echo "<td style=\"position:relative;left:-16px\">$klammer</td>";
}
echo "</tr>\n";
if($typ == 'w') {
	echo "<tr><th style=\"padding-right:15px\">Art der Wartung :</th>\n";
	echo "<td><select style=\"width:300px\" name=\"art_id\" size=\"1\" tabindex=\"$ti\">\n";
	$ti++;
	echo "<option value=\"0\">allgemeine Wartung</option>\n";
	$warts = abfrage1("select * from tb_wartung_art where aktiv='j' or art_id='{$wt['art_id']}'");
	while($wart = mysql_fetch_assoc($warts)) {
		echo "<option value=\"{$wart[art_id]}\"";
		if($wart['art_id'] == $wt['art_id']) echo " selected";
		echo ">{$wart['art']}";
		for($i = strlen($wart['art']);$i<=7;$i++) echo "&nbsp;";
		echo "{$wart['beschreibung']}</option>\n";
	}
	echo "</select></td></tr>\n";
}
echo "<tr><th style=\"padding-right:15px\">Mitarbeiter :</th>\n";
echo "<td><select style=\"width:300px\" name=\"pers_id\" size=\"1\" tabindex=\"$ti\">\n";
$mas = abfrage1("select pers_id
				from tb_personal
				where anmeldung = 'j'
				and (status_id=2 or pers_id='{$wt['pers_id']}')
				order by vorname asc, name asc;");

while ($ma = mysql_fetch_row($mas)){
	echo "<option value=\"$ma[0]\"";
	if (isset($_GET['id'])){
		echo ($wt['pers_id'] == $ma[0]) ? ' selected' : '';
	} else {
		echo ($_SESSION[$AppCode]['UID'] == $ma[0]) ? ' selected' : '';
	}
	echo ">" . pers_name($ma[0]) . "</option>\n";
}
echo "</select></td></tr>\n";
$ti++;

if($typ == 'p') {
	echo "<tr><th style=\"padding-right:15px\">innen :</th>\n";
	echo "<td><input type=\"checkbox\" name=\"datum_n\" value=\"01.01.1970\"";
	if(!empty($wt['datum_n'])) echo " checked";
	echo "/> Saugen, ...</td></tr>\n";
	echo "<tr><th style=\"padding-right:15px\">au&szlig;en :</th>\n";
	echo "<td><input type=\"checkbox\" name=\"km_n\" value=\"1\"";
	if(!empty($wt['km_n'])) echo " checked";
	echo "/> Waschen, ...</td></tr>\n";
}

echo "<tr><th style=\"padding-right:15px\">Notizen :</th>\n";
echo "<td><textarea name=\"notizen\" rows=\"5\" style=\"width:299px\" tabindex=\"$ti\">";
echo (isset($_GET['id'])) ? nl2br($wt['notizen']) : '';
echo "</textarea></td></tr>\n";
$ti++;

if($typ == 'w') {
	echo "<tr><th>n&auml;chste Wartung:</th>\n";
	echo "<td><table cellpadding=\"0\" cellspacing=\"1\">";
	echo "<tr><td style=\"text-align:right\" class=\"cl11\">Datum:</td>\n";
	echo "<td class=\"cl20\"><input type=\"text\" size=\"11\" maxlength=\"11\" name=\"datum_n\" tabindex=\"$ti\"";
	if(isset($_GET['id'])) echo " value=\"" . $wt['datum_n'] . "\"";
	else{
		$letztewartung = abfrage("select max(unix_timestamp(datum_n)) from tb_res_wartung where res_id='{$_GET['res_id']}'");
		if($letztewartung[0] > $bis) echo " value=\"" . date('d.m.Y',$letztewartung[0]) . "\"";
	}
	echo ">\n";
	$ti++;
	echo "<td style=\"vertical-align:bottom;text-align:center\">Je nachdem,</td></tr>\n";
	echo "<tr><td style=\"text-align:right\" class=\"cl11\">km-Stand:</td>\n";
	echo "<td class=\"cl20\"><input type=\"text\" size=\"9\" maxlength=\"10\" name=\"km_n\" tabindex=\"$ti\"";
	if(isset($_GET['id'])) echo " value=\"" . $wt['km_n'] . "\"";
	else{
		$letztewartung = abfrage("select max(km_n) from tb_res_wartung where res_id='{$_GET['res_id']}'");
		if($letztewartung[0] > $km_stand) echo " value=\"$letztewartung[0]\"";
	}
	echo "> km\n";
	$ti++;
	echo "<td style=\"text-align:center\">was eher eintritt</td></tr></table></td></tr>\n";
}

new stwTabLine(2,30);

if ($verantwortlich || $_SESSION[$AppCode]['ULV'] == 17 || $_SESSION[$AppCode]['ULV'] >= 96){
	echo "<tr><td colspan=\"2\">";
	echo "<input type=\"submit\" name=\"wartung\" value=\"Speichern!\" tabindex=\"$ti\">";
	echo "</td></tr>\n";
}

echo "</table>\n";
echo "</form>\n";
new stwEnd($seite);
?>