<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 */

/* Dies ist eine include-Datei... Folgende Variablen sollten gesetzt sein */ 
if(!isset($bPROJ) || !isset($bMA) || !isset($bPKW) || !isset($bTEAM)) exit(-1);
if(!isset($nurEinkaufsprojekte)) $nurEinkaufsprojekte = 0;
if(!isset($nurHzE)) $nurHzE = 0;
if(isset($rvar_sort)) $sort = $rvar_sort;
else {
  $sql = "select post_sort from tb_pers_einst where pers_id='{$_SESSION[$AppCode]['UID']}'";
  $sortiert = abfrage($sql);
  $sort = ($sortiert[0]) ? "name" : "nr";
}
/* persoenl. Einstellung fuer Sortierung speichern */
if (isset($_POST['pers_einst'])){
/* Hat aktueller Benutzer bereits persoenliche Einstellungen? */
  $sql = "select post_sort from tb_pers_einst where pers_id='{$_SESSION[$AppCode]['UID']}'";
  $post_sort = abfrage1($sql);
  if (mysql_num_rows($post_sort) > 0)	$act_edit = 1; else $act_edit = 0;
	$sql  = ($act_edit == 1) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set pers_id = '{$_SESSION[$AppCode]['UID']}', ";
	$sql .= ($sort=="name") ? "post_sort = '1'" : "post_sort = '0'";
	$sql .= ", post_in_traeger = '$rvar_post_in_traeger'";
	if ($act_edit == 1){
		$sql .= " where pers_id = '{$_SESSION[$AppCode]['UID']}';";
	} else {
		$sql .= ';';
	}
	abfrage2($sql);
}

echo "<tr><th class=\"cl1\">Zuordnung:</th>\n<td colspan=\"30\">";
echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr>\n";
$trs = abfrage1("select * from tb_traeger_art order by traeger_art_id asc");
$traegerbits = isset($rvar_post_in_traeger) ? 65535 : getPersEinst($_SESSION[$AppCode]['UID'], 'post_in_traeger', 65535);
while($tr = mysql_fetch_row($trs)) {
	$bit = pow(2,$tr[0]-1);
	if(isset($rvar_post_in_traeger) && $_POST["tr$tr[0]"]!=1) $traegerbits -= $bit;
	echo "<th class=\"cl11\" style=\"color:$tr[2]\"";
	echo stwToolTip($tr[1]) . ">$tr[3]: ";
	echo "<input type=\"checkbox\" name=\"tr$tr[0]\" value=\"1\" ";
	if(($traegerbits & $bit) > 0) echo "checked ";
	echo "onClick=\"";
	if($posttyp == 'n') echo "document.getElementById('leaveCheck').value=0;";
	echo "this.form.submit();\"> </th>\n";
}
echo "<td class=\"cl20\">&nbsp;</td>\n";
echo "</tr></table>\n";
$option = "option value=\"0\" style=\"background-color:#CCCCCC\"";
$style = "font-weight:bold;background-color:#333333";
echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr><td class=\"cl1\">\n";
echo "<span style=\"outline:1px ridge white;\">\n";
echo "<select name=\"projekte\" size=\"1\" ";
echo "style=\"$style;color:#CCCCCC;width:250px\" tabindex=\"$ti\" "; $ti++;
if(!isset($xajax_markProj)) $xajax_markProj=false;
if(!isset($this_form_submit)) $this_form_submit=false;
if(!$nurEinkaufsprojekte || !empty($id) || !empty($rvar_pzo) || !empty($rvar_projekte)) {
	if($xajax_markProj || $this_form_submit) { 
		echo "onchange=\"";
		if($posttyp == 'n') echo "document.getElementById('leaveCheck').value=0;";
		if($xajax_markProj) echo "xajax_markProj(this.value);";
		if($this_form_submit) echo "this.form.submit();";
		echo "\" ";
	}
}
echo ">\n";
echo "<$option>Zuordnung w&auml;hlen!</option>\n";
echo "<$option></option>\n";
if($bPROJ) {
	if(!isset($rvar_alle_proj)) $rvar_alle_proj = NULL;
	if($_SESSION[$AppCode]['ULV'] > 60) $alle = $rvar_alle_proj == 'eigene' ? "alle" : "eigene";
	else $alle = $rvar_alle_proj == 'alle' ? "eigene" : "alle";
	$ttt = abfrage("select hilfeart_id from tb_hilfeart where hilfeart='TTT'");
	if($alle == 'eigene') {
		$tt = stwToolTip("nur eigene Projekte anzeigen");
		$sql  = "select p.proj_id from tb_projekte p ";
		$sql .= "left join tbh_pers_proj h on h.proj_id = p.proj_id ";
		$where = "where";
		$order = "order by p.projektnr asc";
	} else {
		$tt = stwToolTip("alle laufenden Projekte anzeigen");
		$sql  = "select h.proj_id from tbh_pers_proj h ";
		$sql .= "inner join tb_projekte p on h.proj_id = p.proj_id ";
		$where = "where h.pers_id = '{$_SESSION[$AppCode]['UID']}' and";
		$order = "order by (p.projektnr >= 900) asc, s.sort asc, p.projektnr asc";
	}
	$sql .= "left join tb_personaltyp s ON h.personaltyp_id = s.personaltyp_id ";
	$sql .= "left join tb_hilfeart a ON p.hilfeart_id = a.hilfeart_id ";
	$sql .= $where;
	if(empty($rvar_pro_suche)) {
		$sql .= " (p.ende is null or p.ende = '0000-00-00' or ";
		$sql .= "to_days(p.ende) >= to_days(date_sub(curdate(), INTERVAL 42 DAY))) AND ";
	}
	if($nurEinkaufsprojekte) {
		$pra_rng = abfrage("select nr_von, nr_bis from tb_projektart where pra_id = 11;");
		$sql .= " p.projektnr >= '$pra_rng[0]' and p.projektnr <= '$pra_rng[1]' AND ";
	}
	if($nurHzE) $sql .= " (p.projektnr < '900' OR p.projektnr >= 1000 AND p.projektnr < 2000) AND ";

	$sql .= " a.nopost = 'n' ";
	$sql .= "group by p.proj_id $order";
	$proid_erg = abfrage1($sql);
	$trans = array(""=>"ae", ""=>"oe", ""=>"ue", ""=>"ae", ""=>"oe", ""=>"ue", ""=>"ss");
	while($row = mysql_fetch_array($proid_erg))
	{
		$tr = abfrage("select traeger_art_id from tb_projekte where proj_id='{$row['proj_id']}'");
		if(($traegerbits & pow(2,$tr[0]-1)) == 0) continue;
		$proj1 = projektnummer($row['proj_id'],true,true,false);
		$proj2 = projektnummer($row['proj_id'],true,true,true);
		$kte = abfrage1("select IF(h.kont_id > 100000,p.name,k.name) as name,
								IF(h.kont_id > 100000,p.vorname,k.name2) as name2,
								IF(h.kont_id > 100000,p.personalnr,k.kurzname) as kurzname
						 from tbh_kont_proj h
						 left join tb_kontakte k on h.kont_id = k.kont_id and k.kh_id='0'
						 left join tb_personal p on h.kont_id = (p.pers_id + 100000)
						 where h.proj_id = '{$row['proj_id']}'
						 order by name, name2 asc");
		$kontakt = '(';
		$kurznamen = "";
		while($kt = mysql_fetch_row($kte)) {
			if(strlen($kontakt)>1) $kontakt .= ', ';
			$kontakt .= "$kt[0] $kt[1]";
			$kurznamen .= $kt[2];
		}
		if($kontakt == '(') $kontakt='';
		else $kontakt .= ')';
		if (!empty($rvar_pro_suche)) {
			$suchstr = strtoupper(strtr($rvar_pro_suche, $trans));
			if ((strpos(strtoupper(strtr($proj1, $trans)), $suchstr) === false) &&
				(strpos(strtoupper(strtr($kontakt, $trans)), $suchstr) === false) &&
				(strpos(strtoupper(strtr($kurznamen, $trans)), $suchstr) === false)) {
				continue;
			}
		}
		if(strlen($ort) > 0) $ort = "($ort)";
		echo "<option value=\"{$row['proj_id']}\"";
		if($nurEinkaufsprojekte && empty($id) && empty($rvar_pzo) && empty($rvar_projekte)) {
			echo " onclick=\"";
			if($posttyp == 'n') echo "document.getElementById('leaveCheck').value=0;";
			echo "this.form.submit();\"";
		}
		echo ">";
		echo strcut(($sort == "nr" ? $proj1 : $proj2) . " $kontakt",120) . "</option>\n";
		echo "</option>\n";
	}
	if($nurEinkaufsprojekte) {
		$separate = true;
		$reckaufs=abfrage1("select vm_id from tbh_pers_vormerk where abteilungsleiter='r'");
		while($reckauf = mysql_fetch_row($reckaufs)) {
			$postzuordnungen = abfrage1("select id2 from tbh_postzuordnung where typ='r' and id2='$reckauf[0]'");
			if(mysql_num_rows($postzuordnungen) == 0) {
				$zahlung = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i') from tbh_pers_vormerk where abteilungsleiter='z' and vm_id='$reckauf[0]'");
				if(mysql_num_rows($zahlung) == 0) {
					if($separate) {
						echo "<$option></option>\n";
						$separate = false;
					}
					$vm = abfrage( "select vp.id2, v.name, v.artikelnr from tbh_vormerk_print vp 
									left join tb_vormerkliste v using(vm_id)
									where vp.vm_id='$reckauf[0]'");
					echo "<option style=\"$style;color:#4B91B4;\" value=\"r$reckauf[0]\"";
					if($nurEinkaufsprojekte && empty($id) && empty($rvar_pzo) && empty($rvar_projekte)) {
						echo " onclick=\"";
						if($posttyp == 'n') echo "document.getElementById('leaveCheck').value=0;";
						echo "this.form.submit();\"";
					}			
					echo ">R ".str_pad($vm[0], 4 ,'0', STR_PAD_LEFT)." $vm[1] ($vm[2])</option>\n";
				}
			}
		}
	}
}
if($bPKW) {
	$sql = "select r.res_id, r.name, r.notizen, r.farbe from tb_ressourcen r left join tb_res_typ t using (res_typ) where t.name = 'PKW' ";
	if(empty($rvar_pro_suche)) $sql .= "and r.aktiv='j' ";
	$sql .= "order by name asc";
	$pkws=abfrage1($sql);
	if(mysql_num_rows($pkws) > 0) {
		if($bPROJ) {
			echo "<$option></option>\n";
			echo "<$option>--------------------------------------- PKW ---------------------------------------</option>\n";
			echo "<$option></option>\n";
		}
		while($pkw = mysql_fetch_row($pkws)) {
			if (!empty($rvar_pro_suche)) {
				$suchstr = strtoupper($rvar_pro_suche);
				if ((strpos(strtoupper($pkw[1]), $suchstr) === false) &&
					(strpos(strtoupper($pkw[2]), $suchstr) === false)) {
					continue;
				}
			}
			$name = $pkw[1];
			if(strlen($pkw[2]) > 0) $name .= " ($pkw[2])";
			$name = strcut($name,120);
			echo "<option style=\"$style;color:" . (empty($pkw[3]) ? 'white' : $pkw[3]) . ";\" value=\"w$pkw[0]\"";
			if($nurEinkaufsprojekte && empty($id) && empty($rvar_pzo) && empty($rvar_projekte)) {
				echo " onclick=\"alert('Sie m&uuml;ssen zuerst ein Einkaufsprojekt hinzuf&uuml;gen!')\"";
			}
			echo ">$name</option>\n";
		}
	}
}
if($bMA && !$nurEinkaufsprojekte) {
	if($bPKW || $bPROJ) {
		echo "<$option></option>\n";
		echo "<$option>----------------------------------- Mitarbeiter -----------------------------------</option>\n";
		echo "<$option></option>\n";
	}
	$order = ($sort=="name") ? ($pers_order==2 ? 'name, vorname' : 'vorname, name') : 'personalnr';
	$sql = "select p.pers_id, p.personalnr, p.name, p.vorname, IF(a.kurzname IS NULL, a.personalart, a.kurzname), p.farbe 
			from tb_personal p
			left join tb_personalart a using(p_art_id) ";
	if(empty($rvar_pro_suche)) $sql .= "where p.status_id='2' ";
	$sql .= "order by $order asc";
	
	$pers=abfrage1($sql);
	while($ma = mysql_fetch_row($pers)) {
		if(!empty($rvar_pro_suche)) {
			$suchstr = strtoupper($rvar_pro_suche);
			if ((strpos(strtoupper($ma[1]), $suchstr) === false) &&
				(strpos(strtoupper($ma[2]), $suchstr) === false) &&
				(strpos(strtoupper($ma[3]), $suchstr) === false) &&
				(strpos(strtoupper($ma[4]), $suchstr) === false)) {
				continue;
			}
		}
		$traeger = abfrage1("select traeger_art_id from tbh_pers_traegerart where pers_id='$ma[0]'");
		$continue = true;
		while($tr = mysql_fetch_row($traeger)) {
			$bit = pow(2,$tr[0]-1);
			if(($traegerbits & $bit) > 0) $continue = false;
		}
		if($continue) continue;
		echo "<option style=\"$style;color:" . (empty($ma[5]) ? 'white' : $ma[5]) . "\" value=\"m$ma[0]\">";
		$name = $pers_order==2 ? "$ma[2], $ma[3]" : "$ma[3] $ma[2]";
		echo strcut(($sort=="name") ? "$name ($ma[4] $ma[1])" : "$ma[4] $ma[1] $name", 120);
		echo "</option>\n";
	}
}
if($bTEAM && !$nurEinkaufsprojekte) {
	$sql = "select team_art_id, kurzname, name, farbe from tb_team_art ";
	if(empty($rvar_pro_suche)) $sql .= "where aktiv=1 ";
	$sql .= "order by IF(nummer IS NULL, LPAD(RIGHT(team_art_id,3),3,'0'), nummer) asc, kurzname asc";
	$teams = abfrage1($sql);
	if(mysql_num_rows($teams) > 0) {
		if($bPKW || $bPROJ || $bMA) {
			echo "<$option></option>\n";
			echo "<$option>------------------------------------ Sitzungen ------------------------------------</option>\n";
			echo "<$option></option>\n";
		}
		while($team = mysql_fetch_row($teams)) {
			if(!empty($rvar_pro_suche)) {
				$suchstr = strtoupper($rvar_pro_suche);
				if ((strpos(strtoupper($team[1]), $suchstr) === false) &&
					(strpos(strtoupper($team[2]), $suchstr) === false)) {
					continue;
				}
			}
			$color = empty($team[3]) ? '#FFCC00' : $team[3];
			echo "<option style=\"$style;color:$color\" value=\"t$team[0]\">";
			echo strcut(team_nummer($team[0]) . " $team[1] ($team[2])",120) . "</option>\n";
		}
	}
}
if($bAUFGABE && !$nurEinkaufsprojekte) {
	$sql = "select distinct t1.aufgabe_id, t1.nr, t1.titel, t1.erledigt, t2.farbe from tb_aufgaben t1
			left join tb_prio t2 using(prio) ";
	if(check_nutzer_rechte(41)) $sql .= "where ";
	else {
		$query  = "select a.abt_id from tb_personal_abt a ";
		$query .= "left join tbh_pers_abt h on h.abt_id = a.abt_id ";
		$query .= "left join tb_personal_abt_leit l on h.abt_id = l.abt_id ";
		$query .= "where h.pers_id='$uid' or l.pers_id='$uid' ";
		$query .= "group by abt_id;";
		$abteilungen = abfrage1($query);
		$abt_str = '';
		while($abteilung = mysql_fetch_row($abteilungen)) {
			if($abt_str != '') $abt_str .= ',';
			$abt_str .= $abteilung[0];
		}
		$sql.= "left join tbh_pers_auf t3 on t1.aufgabe_id = t3.aufgabe_id
				left join tbh_pers_abt abt on t3.pers_id = abt.pers_id
				where ( t3.pers_id = '{$_SESSION[$AppCode]['UID']}' or t1.autor = '{$_SESSION[$AppCode]['UID']}' ";
		if($abt_str != '') $sql .= " or abt.abt_id in ($abt_str) ";
		$sql.= " ) and ";
	}
	if (strlen($rvar_pro_suche) > 0) {
		$sql .= "(t1.titel like '%$rvar_pro_suche%' ";
		$sql .= "or t1.text like '%$rvar_pro_suche%' ";
		$sql .= "or t1.nr like '%$rvar_pro_suche%') ";
	} else {
		$sql .= "(t1.erl_datum = '0000-00-00' or t1.erl_datum is null) ";
	}
	$sql .= " order by t1.nr asc;";
	$aufgaben=abfrage1($sql);
	if(mysql_num_rows($aufgaben) > 0) {
		if($bPROJ) {
			echo "<$option></option>\n";
			echo "<$option>------------------------------------ Aufgaben -------------------------------------</option>\n";
			echo "<$option></option>\n";
		}
		while($aufg = mysql_fetch_row($aufgaben)) {
			$name = $aufg[1] . ' ' . $aufg[2];
			if($aufg[3] > 0) $name .= " ($aufg[3] %)";
			$name = strcut($name,120);
			echo "<option style=\"$style;color:$aufg[4]\" value=\"a$aufg[0]\"";
			if($nurEinkaufsprojekte && empty($id) && empty($rvar_pzo) && empty($rvar_projekte)) {
				echo " onclick=\"alert('Sie m&uuml;ssen zuerst ein Einkaufsprojekt hinzuf&uuml;gen!')\"";
			}
			echo ">$name</option>\n";
		}
	}
}
echo "</select></span></td>\n";
echo "<input type=\"hidden\" name=\"post_in_traeger\" value=\"$traegerbits\" />\n";
if($_SESSION[$AppCode]['ULV'] > 5) {
	echo "<input type=\"hidden\" name=\"alle_proj\" value=\"".($alle=='alle' ? "eigene" : "alle")."\">\n";
	echo "<td class=\"cl20\"><input type=\"submit\" $tt name=\"alle_proj\" value=\"$alle\"";
	if($posttyp == 'n') echo " onclick=\"document.getElementById('leaveCheck').value=0\"";
	echo "></td>\n";
}
echo "<td class=\"cl1\"><img src=\"img/lupe_grau.png\" alt=\"suche:\" /></td>\n";
$tt = stwToolTip('ausw&auml;hlbare Projekte auf Suchbegriff reduzieren');
echo "<td class=\"cl1\"><input type=\"text\" name=\"pro_suche\" tabindex=\"$ti\""; $ti++;
echo " size=\"15\" value=\"$rvar_pro_suche\" $tt></td>\n";
echo "<td class=\"cl20\"><input type=\"image\" ";
if($posttyp == 'n') echo "onclick=\"document.getElementById('leaveCheck').value=0;\" ";
echo "src=\"img/senden.png\" $tt></td>\n";
echo "<td class=\"cl1\">Sortierung: </td>\n";
echo "<td><input type=\"radio\" name=\"sort\" value=\"nr\" ";
if($sort == "nr") echo "checked ";
echo "onClick=\"";
if($posttyp == 'n') echo "document.getElementById('leaveCheck').value=0;";
echo "this.form.submit();\"></td><td class=\"cl1\">Nr.</td>\n";
echo "<td><input type=\"radio\" name=\"sort\" value=\"name\" ";
if($sort == "name") echo "checked ";
echo "onClick=\"";
if($posttyp == 'n') echo "document.getElementById('leaveCheck').value=0;";
echo "this.form.submit();\"></td><td>Name</td>\n";
echo "<td><input type=\"submit\" ";
if($posttyp == 'n') echo "onclick=\"document.getElementById('leaveCheck').value=0;\" ";
echo "name=\"pers_einst\" value=\";)\" ";
echo "style=\"background-color:#333333;color:#CCCCCC;border:0\" ";
$tt  = "Sortierung und Tr&auml;ger als pers&ouml;nliche Voreinstellung speichern!<br>";
$tt .= "Auswahl betrifft Nachrichten, sowie Post-Ein- und Ausgang.";
echo stwToolTip($tt,false) . ">\n";
echo "</td></tr></table></td></tr>\n";

if(!isset($noShow)) $noShow=false;
if(!isset($bNoX)) $bNoX=false;
if(!$noShow) {
  $bPZO = false;
  if(!empty($id)) {
	$postzuordnungen = abfrage1("select id2, typ from tbh_postzuordnung where id='$id' and posttyp='$posttyp'");
	if(mysql_num_rows($postzuordnungen) > 0) $bPZO = true;
  }
  if(!empty($proj_id) || $bPZO || isset($rvar_pzo)) {
	$pzo = array();
	if(!isset($rvar_del_pzo)) $rvar_del_pzo=0;
	echo "<tr><td></td><td colspan=\"30\" class=\"ww\">";
	if(!empty($proj_id) && $rvar_del_pzo!==$proj_id) $pzo[$proj_id] = $proj_id;
	if(isset($rvar_pzo) && is_array($rvar_pzo)) {
		foreach($rvar_pzo as $proj_id) if($rvar_del_pzo!==$proj_id) $pzo[$proj_id] = $proj_id;
	}
	if($bPZO) {
		while($postzuordnung = mysql_fetch_row($postzuordnungen)) {
			$p = $postzuordnung[1] == 'p' ? '' : $postzuordnung[1];
			$proj_id = $p.$postzuordnung[0];
			if($rvar_del_pzo!==$proj_id) $pzo[$proj_id] = $proj_id;
		}
	}
	foreach($pzo as $proj_id){
		echo "<span style=\"white-space: nowrap;\">";
		if($proj_id[0]=='m') {
			$name = pers_kname(substr($proj_id,1));
			echo "<a target=\"_blank\" style=\"color:white\" href=\"pers_and.php?pers_id=".substr($proj_id,1)."\">$name</a>";
		} elseif($proj_id[0]=='w') {
			$pkw = abfrage("select name from tb_ressourcen where res_id='".substr($proj_id,1)."'");
			$name = $pkw[0];
			echo "<a target=\"_blank\" style=\"color:white\" href=\"pkw_and.php?res_id=".substr($proj_id,1)."\">$name</a>";
		} elseif($proj_id[0]=='t') {
			$teamart = abfrage("select kurzname, name, farbe from tb_team_art where team_art_id='".substr($proj_id,1)."'");
			$name = $teamart[0];
			echo "<a target=\"_blank\" style=\"color:$teamart[2]\" href=\"team_art_and.php?team_art_id=".substr($proj_id,1)."\"" . stwToolTip($teamart[1]) . ">$name</a>\n";
		} elseif($proj_id[0]=='a') {
			$aufgabe = abfrage("select a.nr, a.titel, a.erledigt, p.farbe from tb_aufgaben a left join tb_prio p using(prio) where a.aufgabe_id='".substr($proj_id,1)."'");
			$name = empty($aufgabe[0]) ? substr($aufgabe[1],0,10) : $aufgabe[0];
			$tt = $aufgabe[1];
			if($aufgabe[2]>0) $tt .= " ($aufgabe[2] %)";
			echo "<a target=\"_blank\" style=\"color:$aufgabe[3]\" href=\"auf_and.php?aufgabe_id=".substr($proj_id,1)."\"" . stwToolTip($tt) . ">$name</a>\n";
		} elseif($proj_id[0]=='r') {
			$vm_id = substr($proj_id,1);
			$vm = abfrage( "select vp.id2, v.name, v.artikelnr from tbh_vormerk_print vp 
							left join tb_vormerkliste v using(vm_id)
							where vp.vm_id='$vm_id'");
			$name = "R<sup>".str_pad($vm[0], 4 ,'0', STR_PAD_LEFT)."</sup>";
			echo "<a target=\"_blank\" style=\"color:#4B91B4;\" href=\"vormerkliste.php?vmid[]=$vm_id&amp;vml=$vm_id\"" . stwToolTip("$rechkauf[0] ($rechkauf[1])") . ">$name</a>\n";
		} else {
			$name = projektnummer($proj_id);
			echo "<a target=\"_blank\" href=\"pro_daten.php?proj_id=$proj_id\">$name</a>";
			if($posttyp == 'n' && !$bNoX) {
				echo "&nbsp;<input type=\"checkbox\" name=\"fb$proj_id\"";
				if(isset($_POST["fb$proj_id"])) echo " checked";
				echo stwToolTip("<b>Fachberater</b> dieses Projektes Nachricht zur Info senden");
				$ma = abfrage("select fb_id from tb_projekte where proj_id='$proj_id'");
				if($ma[0]) echo "onchange=\"document.getElementById('cc$ma[0]').selected=this.checked ? 'selected' : ''\"";
				echo ">";
			}
		}
		if($bNoX) {
			echo " &nbsp; ";
		} else {
			echo "<input type=\"submit\" ";
			if($posttyp == 'n') echo "onclick=\"if(confirm('Projekt aus Auswahl entfernen?')) document.getElementById('leaveCheck').value=0; else return false;\" ";
			echo "name=\"del_pzo\" value=\"$proj_id\"";
			echo stwToolTip("$name aus Zuordnung entfernen");
			echo "style=\"background-color:#333;color:transparent;width:16px;";
			echo "background-image:url(".Image('X_rechts',16,16,255,0,0).");background-repeat:no-repeat\">";
		}
		echo "<input type=\"hidden\" name=\"pzo[]\" value=\"$proj_id\"></span>\n";
	}
	echo "</td></tr>";
  }
}
?>
