<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: post_sql.php 2832 2018-01-24 20:36:39Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

require_once("inc/func.inc.php");
//sql-anweisungen postein- und ausgang
if (isset($_POST['post_id'])){
	$query = $query1 = "UPDATE ";
}
else $query = $query1 = "INSERT INTO ";

switch($_POST['type'])
{
	case "post_in":
		$query .= "tb_post_eingang ";
		if($_REQUEST['art']=='-1') $file = $_SESSION[$AppCode]['url'];
		else $file = "post.php?art=".$_REQUEST['art'];
		$flag = "x";
	break;

	case "post_out":
		$query .= "tb_post_ausgang ";
		$file = "post_a.php";
		$flag = "y";
	break;
}

if(isset($_POST['nur_notizen'])) {
	$query .= "SET notizen = '{$_POST['notizen']}' WHERE post_out_id = '{$_POST['post_id']}';";
	abfrage2($query);
	$dir = dirname($_SERVER['PHP_SELF']);
	if ($dir{strlen($dir) - 1} != '/') $dir .= "/";
	header("Location: ".$file);
	exit;
}

$pers_id = $ap_id = $chg_id = $proj_id = 0;
if($_POST['projekte'][0] == 'm') $pers_id = substr($_POST['projekte'],1);
elseif($_POST['projekte'][0] == 'w') $ap_id = substr($_POST['projekte'],1);
elseif($_POST['projekte'][0] == 't') $chg_id = substr($_POST['projekte'],1);
else $proj_id = $_POST['projekte'];
$query1 .= "tb_hp SET datum = '".date_gr2my($_POST['datum'])."',
					  proj_id = '$proj_id', ap_id = '$ap_id', pers_id = '$pers_id', chg_id='$chg_id',
             		  hp_art = '$flag'";
if(isset($_POST['rdat'])) {
	$query1 .= ", and_datum = '".date_gr2my($_POST['rdat'])."'";
}
if(isset($_POST['rnr'])) {
	$query1 .= ", st_grund = '{$_POST['rnr']}'";
}
if(isset($_POST['stichtag'])) {
	$query1 .= ", datum_n = '".date_gr2my($_POST['stichtag'])."'";
}

$query1 .= ", hilfeverlauf = " . ($_POST['absender'] == 'q' ? "'{$_POST['ap']}'" : 'NULL');

if ($_POST['hp_id'] != ""){
	$query1 .= " WHERE hp_id = '{$_POST['hp_id']}';";
}
abfrage2($query1);

$id = ($_POST['hp_id'] == "") ? mysql_insert_id() : $_POST['hp_id'];

if(empty($_POST['post_id'])) {
	abfrage2("insert into tb_hp_angelegt set hp_id='$id', pers_id='{$_SESSION[$AppCode]["UID"]}', datetime=now();");
}

$query .= "SET hp_id = '$id',";

switch($_POST['absender'])
{
	case "m":
		$query .= " ma_id = '{$_POST['ap']}', kont_id = NULL, ap_id = NULL, ";
	break;

	case "p":
		$query .= " ap_id = '{$_POST['ap']}', ma_id = NULL, kont_id = NULL, ";
	break;

	case "q":
		$query .= " ap_id = 'NULL', ma_id = NULL, kont_id = NULL, ";
	break;

	default:
		$query .= " kont_id = '{$_POST['absender']}',
			   		ap_id = '{$_POST['ap']}', ma_id = NULL, ";

}
$query .= "betreff = '{$_POST['betreff']}',
		   rg_betrag = '" . str_replace(",",".",$_POST['betrag']) . "',
		   traegerart_id = '{$_POST['traeger']}',
		   postart_id = '{$_POST['postart']}',
		   kat_id = '{$_POST['kat_id']}',
		   notizen = '{$_POST['notizen']}',
		   skonto = '{$_POST['skonto']}'";

if (isset($_POST['post_id'])){
	switch($_POST['type'])
	{
		case "post_in":
			$where = "post_in_id";
		break;

		case "post_out":
			$where = "post_out_id";
		break;
	}
	$query .= " WHERE $where = '{$_POST['post_id']}';";
} else {
	$query .= ';';
}
abfrage2($query);

if(isset($_POST['pzo']) && is_array($_POST['pzo'])) {
	$okPost = array();
	$post_oks = abfrage1("select id2, typ from tb_post_ok where hp_id='$id';");
	while($ok = mysql_fetch_row($post_oks)) {
		$val = $ok[1] . '_' . $ok[0];
		$okPost[$val] = $val;
	}
	foreach($_POST['pzo'] as $pzo) {
		if(is_numeric($pzo)) { $p = 'p'; $id2 = $pzo; }
		else{ $p = $pzo[0]; $id2 = substr($pzo,1); }
		$exist = abfrage_array("select id2, typ from tb_post_ok where hp_id='$id' and id2='$id2' and typ='$p';");
		$val = $exist[1] . '_' . $exist[0];
		if(!empty($exist[0])) $okPost[$val] = NULL;
		else {
			switch($p) {
			case 'p':
				$pts = abfrage1( "SELECT DISTINCT personaltyp_id FROM tbh_pers_proj WHERE proj_id = '$id2' AND personaltyp_id IN (1,8,9);" );
				while($pt = mysql_fetch_row($pts)) abfrage2("INSERT INTO tb_post_ok SET hp_id='$id', personaltyp_id='$pt[0]', id2='$id2', typ='p'");
				break;
			case 't':
				$pts = abfrage1( "SELECT DISTINCT fokus FROM tb_team_art_pers WHERE team_art_id = '$id2' AND fokus IN (1,8,9);" );
				while($pt = mysql_fetch_row($pts)) abfrage2("INSERT INTO tb_post_ok SET hp_id='$id', personaltyp_id='$pt[0]', id2='$id2', typ='t'");
				break;
			case 'w':
			case 'm':
			case 'r':
				abfrage2("INSERT INTO tb_post_ok SET hp_id='$id', personaltyp_id='1', id2='$id2', typ='$p'");
				break;
			}
		}
	}
	foreach($okPost as $post) {
		if($post) {
			$ok = explode("_", $post);
			abfrage2("DELETE FROM tb_post_ok WHERE hp_id='$id' AND id2='$ok[1]' AND typ='$ok[0]' AND ok IS NULL");
		}
	}
	abfrage2("delete from tbh_postzuordnung where posttyp='h' and id='$id';");
	foreach($_POST['pzo'] as $pzo) {
		if(is_numeric($pzo)) { $p = 'p'; $id2 = $pzo; }
		else{ $p = $pzo[0]; $id2 = substr($pzo,1); }
		$exist = abfrage_array("select * from tbh_postzuordnung where id='$id' and posttyp='h' and id2='$id2' and typ='$p';");
		abfrage2("insert into tbh_postzuordnung set id='$id', posttyp='h', id2='$id2', typ='$p';");
	}
}

if(isset($_POST['hp_zuordnung'])) {
	abfrage2("replace into tbh_post_h2 set hp_id='$id', h2_id='{$_POST['hp_zuordnung']}'");
} else {
	abfrage2("delete from tbh_post_h2 where hp_id='$id' limit 1;");
}

update_hp_ressort($id);

$dir = dirname($_SERVER['PHP_SELF']);
if ($dir{strlen($dir) - 1} != '/') $dir .= "/";
header("Location: ".$file);
exit;
?>
