<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_ab_fm_sql.php 2167 2013-09-17 19:50:22Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 17);

 require_once($pfad."inc/func.inc.php");
 require_once($pfad."inc/azk.inc.php");

 if($_SESSION[$AppCode]["ULV"] < 96) {
	$location = "Location: ".$_GET["site"]."?page=".$_GET["page"];
	header($location);
	exit(-1);
 }
$ist = abfrage("select fm from tb_ab_proj_fm
				where proj_id = {$_GET["proj_id"]}
				and ab_monat = '{$_GET["ab_monat"]}';");

if (empty($ist[0])){
	if (is_null($ist[0])){
		$sql = "insert into";
	} else {
		$sql = "update";
	}
	$sql .= " tb_ab_proj_fm
			set proj_id = {$_GET["proj_id"]},
				ab_monat = '{$_GET["ab_monat"]}',
				fm = ";
	switch ($_GET["act"]){
		case 0:
			$sql .= "1";
			break;
		case 1:
			$sql .= "2";
			break;
	}
	if (is_null($ist[0])){
	} else {
		$sql .= " where proj_id = {$_GET["proj_id"]}
				and ab_monat = '{$_GET["ab_monat"]}';";
	}	
} else {
	switch ($ist[0]){
		case 1:
			switch ($_GET["act"]){
				case 0:
					$fm = 0;
					break;
				case 1:
					$fm = 3;
					break;
			}
			break;
		case 2:
			switch ($_GET["act"]){
				case 0:
					$fm = 3;
					break;
				case 1:
					$fm = 0;
					break;
			}
			break;
		case 3:
			switch ($_GET["act"]){
				case 0:
					$fm = 2;
					break;
				case 1:
					$fm = 1;
					break;
			}
			break;
	}
	$sql = "update tb_ab_proj_fm
			set fm = $fm
			where proj_id = {$_GET["proj_id"]}
			and ab_monat = '{$_GET["ab_monat"]}';";
}

 abfrage2($sql);

 /* AZK Cache aktualisieren */
 if ($_GET["ab_monat"] == "0000-00-00")
 {
   $datum = date("Y-m-d", time());
 }
 else
 {
   $datum = $_GET["ab_monat"];
 }

 azk_cache_reset_proj_date($_GET["proj_id"], $datum);

 /* Seite bestimmen die wieder angezeigt werden soll */
 $location = "Location: ".$_GET["site"]."?page=".$_GET["page"];
 if (!empty($_GET["nw"])) $location .= "&nw=".$_GET["nw"];
 if (!empty($_GET["anz"])) $location .= "&anz=".$_GET["anz"];
 $location .= "&proj_id=".$_GET["proj_id"];
 if($_GET["site"]=="pro_ab_k.php"){
	$location .= "&abjahr=".substr($datum,0,4);
	$location .= "&abmonat=".substr($datum,5,2);
 }
 header($location);
?>
