<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$level=65;
$seite = 41;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 15);

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function update_std($ts,$proj1,$proj2) {
	$std = abfrage("select stunden from tb_ab_pool where unix_timestamp(ab_monat)='$ts' and proj1='$proj1' and proj2='$proj2'");
	$userResp = new xajaxResponse();
	$userResp->assign('stunden', 'value', $std[0]);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('update_std');
/* --- Ende Abschnitt (X)AJAX --- */

if(empty($_REQUEST['proj_id'])) {
	echo "<h1>Warnung: Projekt-ID erwartet</h1>";
	exit(-1);
}

if(!check_al_proj($_REQUEST['proj_id'])) {
	$fb = abfrage("select fb_id from tb_projekte where proj_id='{$_REQUEST['proj_id']}'");
	if($fb[0] != $_SESSION[$AppCode]["UID"]) {
		require("inc/auth.inc.php");
		require("inc/level.inc.php");
	}
}
require("inc/stw.inc.php");


echo "<form action=\"pro_ab_pool_sql.php\" method=\"post\">\n";
echo "<table>\n";
$ts = mktime(0,0,0,date('n'),1,date('Y'));
echo "<tr><th colspan=\"2\">&Uuml;bertrag in Pool f&uuml;r aktuellen Monat<br>(" . strftime('%B %Y',$ts) . ")</th></tr>\n";
new stwTabLine(3,2);

echo "<tr><th>von Projekt&nbsp;:</th><th>" . projektnummer($rvar_proj_id) . "</th>\n";
echo "<input type=\"hidden\" name=\"proj1\" value=\"$rvar_proj_id\" />\n";
echo "</tr>\n";

echo "<tr><th>nach Projekt&nbsp;:</th><td>\n";
echo "<select onchange=\"xajax_update_std($ts,$rvar_proj_id,this.value)\" name=\"proj2\" size=\"1\" tabindex=\"1\">\n";
echo "<option value=\"0\">- bitte w&auml;hlen -</option>\n";
$sql = "select p.proj_id from tb_projekte p
		left join tb_hilfeart h using(hilfeart_id)
		where h.pooluebertrag = 'j'
		and (p.ende is NULL or p.ende = '0000-00-00'
		or to_days(p.ende)+42 > to_days(curdate()))
		order by p.projektnr asc;";
$res = mysql_query($sql) or die(mysql_error());

while ($row = mysql_fetch_row($res)){
	$pro = new stwProjekt($row[0]);
	if ($pro->pool()){
		$nr = $pro->nummer();
		echo "  <option value=\"$row[0]\">$nr</option>\n";
	}
}

echo "</select></td></tr>\n";
echo "<tr><th>Stunden&nbsp;:</th><td><input type=\"text\" id=\"stunden\" name=\"stunden\" size=\"6\" maxlength=\"6\" style=\"text-align:right\"></td></tr>\n";

new stwTabLine(1,2);

echo "<tr><td colspan=\"2\"><input type=\"submit\" value=\"&Uuml;bertrag speichern\" /></td></tr>\n";
echo "</table></form>\n";
new stwEnd($seite);
?>