<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_ag.php 2795 2017-09-13 09:32:46Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 6;
$level = 25;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);
require_once($pfad . 'inc/func.inc.php');
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

if(!check_projekt_berechtigung($rvar_proj_id)) {
	echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
	new stwEnd($seite);
	exit(0);
}

$pers_order = getPersOrder($seite);

if(isset($_POST['import'])) {
	$rvar_Seite = $rvar_act_page;
	$sql = "SELECT p.id
			FROM tb_hp_praxisziele p
			LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
			WHERE h.proj_id='$rvar_proj_id' AND p.prio >= 0
			GROUP BY p.id";
	$ziele = abfrage1($sql);
	while($ziel = mysql_fetch_row($ziele)) {
		$sk = abfrage("select ad_skala from tb_hpvor2 where ziel_id='$ziel[0]' and hp_id < '$rvar_hp_id' and ad_skala > 0 order by hp_id desc limit 1");
		$sk2 = abfrage("select ad2_skala from tb_hpvor2 where ziel_id='$ziel[0]' and hp_id < '$rvar_hp_id' and ad2_skala > 0 order by hp_id desc limit 1");
		abfrage2("replace into tb_hpvor2 set ad_skala='$sk[0]', ad2_skala='$sk2[0]', ziel_id='$ziel[0]', hp_id = '$rvar_hp_id'");
	}
} elseif(isset($_POST['speichern'])) {
  if(empty($rvar_Seite)) $rvar_Seite = $rvar_act_page;
  if($rvar_act_page == "Seite 0") {
	/* HP (bzw. in diesem Fall AG) speichern */
	if (empty($rvar_datum) || check_date($rvar_datum) === false) $rvar_datum = date("d.m.Y");
	$andat = date_gr2my($rvar_datum);
	$sql = empty($rvar_hp_id) ? "INSERT INTO " : "UPDATE ";
	$sql .= "tb_hp SET ";
	$sql .= "proj_id = '$rvar_proj_id', ";
	$sql .= "hpv_form = '$rvar_hpv_form', ";
	$sql .= "hp_art = '$rvar_hp_art', datum = '$andat', ";
	$sql .= "and_datum = NULL, ap_id = '$rvar_ap_id', ";
	$sql .= "chg_id = '".$_SESSION[$AppCode]['UID']."', ";
	$sql .= "pers_id = '$rvar_pers_id', teilnehmer = '$rvar_teilnehmer', ";
	$sql .= "st_grund = '$rvar_st_grund', ressourcen = '$rvar_ressourcen', ";
	$sql .= "hilfeverlauf = '$rvar_hilfeverlauf' ";
	if($_POST['fb_ok'] == 1) {
		$fb_ok = abfrage("select fb_ok from tb_hp where hp_id='$rvar_hp_id'");
		if(empty($fb_ok[0])) {
			$sql .= ", fb_ok = '{$_SESSION[$AppCode]['UID']}', ";
			$sql .= "fb_ok_ts = unix_timestamp(now()) ";
		}
	} else $sql .= ", fb_ok = NULL, fb_ok_ts = NULL ";
	if (!empty($rvar_hp_id)) $sql .= "WHERE hp_id = '$rvar_hp_id'";
	abfrage2($sql);
	if(empty($rvar_hp_id)) $rvar_hp_id = mysql_insert_id();
	if($rvar_hpv_form == 10) {
		$sql = "replace into tb_hp_ag set
				hp_id = '$rvar_hp_id',
				kind = 'j',
				wie = '$rvar_kind_wie',
				dauer = '$rvar_kind_dauer',
				einverstanden = '$rvar_kind_einverstanden',
				skala_bzw_beteiligt = '$rvar_kind_skala_bzw_beteiligt',
				anerkannt = '$rvar_kind_anerkannt',
				einbezogen = '$rvar_kind_einbezogen',
				andere_person = '$rvar_kind_andere_person',
				skala_hilfe_insgesamt = '$rvar_kind_skala_hilfe_insgesamt',
				skala_le_zufrieden = '$rvar_kind_skala_le_zufrieden',
				wieder = '$rvar_kind_wieder',
				skala_ja_zufrieden = '$rvar_kind_skala_ja_zufrieden',
				skala_beteiligt = '$rvar_kind_skala_beteiligt',
				letzte_worte = '$rvar_kind_letzte_worte',
				nicht_im_druck = 'n'";
		abfrage2($sql);
		$sql = "replace into tb_hp_ag set
				hp_id = '$rvar_hp_id',
				kind = 'n',
				wie = '$rvar_psb_wie',
				dauer = '$rvar_psb_dauer',
				einverstanden = '$rvar_psb_einverstanden',
				skala_bzw_beteiligt = '$rvar_psb_skala_bzw_beteiligt',
				anerkannt = '$rvar_psb_anerkannt',
				einbezogen = '$rvar_psb_einbezogen',
				andere_person = '$rvar_psb_andere_person',
				skala_hilfe_insgesamt = '$rvar_psb_skala_hilfe_insgesamt',
				skala_le_zufrieden = '$rvar_psb_skala_le_zufrieden',
				wieder = '$rvar_psb_wieder',
				skala_ja_zufrieden = '$rvar_psb_skala_ja_zufrieden',
				skala_beteiligt = '$rvar_psb_skala_beteiligt',
				letzte_worte = '$rvar_psb_letzte_worte',
				nicht_im_druck = 'n'";
		abfrage2($sql);
	}
  } else {
	/* Endfragebogen Kind speichern */
	if($rvar_act_page == "Seite 3") {
	  abfrage2("delete from tb_hpvor2 where hp_id='$rvar_hp_id'");
	  if(!empty($rvar_ad_err)) foreach($rvar_ad_err as $k => $e) {
		$v = $rvar_ad_skala[$k];
		abfrage2("insert into tb_hpvor2 set ad_err='$e', ad_skala='$v', ziel_id='$k', hp_id='$rvar_hp_id'");
	  }	  
	} else {
	  $rows = abfrage1("select hp_id from tb_hp_ag where hp_id='$rvar_hp_id'");
	  if(mysql_num_rows($rows) == 0) {
		$update = "INSERT INTO ";
		$where = ", hp_id = '$rvar_hp_id', kind =";
	  } else {
		$update = "UPDATE ";
		$where = "WHERE hp_id = '$rvar_hp_id' AND kind =";
	  }
	  $j = isset($rvar_im_druck1) ? 'n' : 'j';
	  $sql  = "$update tb_hp_ag SET nicht_im_druck='$j', ";
	  if($rvar_act_page == "Seite 1") {
		$sql .= "wie = '$rvar_wie1', wie_text = '$rvar_wie1text', ";
		$sql .= "dauer = '$rvar_wielang1', einverstanden = '$rvar_einverstanden1', ";
		$sql .= "einverstanden_text = '$rvar_einverstanden1text', ";
		$sql .= "skala_bzw_beteiligt = '$rvar_beteiligt', verand_bzw_beteiligt_text = '$rvar_beteiligttext'";
	  } if($rvar_act_page == "Seite 2") {
		$sql .= "staerken_text = '$rvar_staerken1text', anerkannt = '$rvar_anerkannt1', ";
		$sql .= "anerkannt_text = '$rvar_anerkannt1text', einbezogen = '$rvar_einbezogen1', ";
		if(empty($rvar_andere11)) {
			if(empty($rvar_andere12)) $andere = $rvar_andere13;
			else $andere = empty($rvar_andere13) ? 2 : 6;
		} else $andere = 1;
		$sql .= "einbezogen_text = '$rvar_einbezogen1text', andere_person = '$andere', ";
		$sql .= "andere_person_mehr_text = '$rvar_andere1mehr', andere_person_weniger_text = '$rvar_andere1weniger'";
	  } elseif($rvar_act_page == "Seite 4") {
		$sql .= "wodurch_text = '$rvar_wodurch1text', nicht_erreicht = '".(empty($rvar_nicht1) ? 0 : array_sum($rvar_nicht1))."', ";
		$sql .= "nicht_erreicht_vertrauen_text = '$rvar_nicht1vertrauen', nicht_erreicht_anderes_text = '$rvar_andere1', ";
		$sql .= "skala_le_zufrieden = '$rvar_skala1le_zufrieden', geholfen_text = '$rvar_geholfen', ";
		$sql .= "nicht_gefallen_text = '$rvar_nicht_gefallen'";
	  } elseif($rvar_act_page == "Seite 5"){
		$sql .= "wieder = '$rvar_wieder1', wieder_text = '$rvar_wieder1text', ";
		$sql .= "skala_ja_zufrieden = '$rvar_skala1ja_zufrieden', skala_beteiligt = '$rvar_skala1beteiligt', ";
		$sql .= "letzte_worte = '$rvar_letzte1worte'";
	  }
	  $sql .= "$where 'j'";
	  abfrage2($sql);
	}

	/* Endfragebogen Erziehungssorgeberechtigte speichern */
	if($rvar_act_page == "Seite 3") {
	  if(!empty($rvar_ad_err2)) foreach($rvar_ad_err2 as $k => $e) {
		$v = $rvar_ad2_skala[$k];
		$id = abfrage("select id from tb_hpvor2 where ziel_id='$k' and hp_id='$rvar_hp_id'");
		if(empty($id[0])) abfrage2("insert into tb_hpvor2 set ad_err2='$e', ad2_skala='$v', ziel_id='$k', hp_id='$rvar_hp_id'");
		else abfrage2("update tb_hpvor2 set ad_err2='$e', ad2_skala='$v' where id='$id[0]'");
	  }	  
	} else {
	  $j = isset($rvar_im_druck2) ? 'n' : 'j';
	  $sql  = "$update tb_hp_ag SET nicht_im_druck='$j', ";
	  if($rvar_act_page == "Seite 1") {
		$sql .= "wie = '$rvar_wie2', wie_text = '$rvar_wie2text', ";
		$sql .= "dauer = '$rvar_wielang2', einverstanden = '$rvar_einverstanden2', ";
		$sql .= "einverstanden_text = '$rvar_einverstanden2text', ";
		$sql .= "skala_bzw_beteiligt = '$rvar_verand_skala', verand_bzw_beteiligt_text = '$rvar_verandtext'";
	  } if($rvar_act_page == "Seite 2") {
		$sql .= "staerken_text = '$rvar_staerken2text', anerkannt = '$rvar_anerkannt2', ";
		$sql .= "anerkannt_text = '$rvar_anerkannt2text', einbezogen = '$rvar_einbezogen2', ";
		if(empty($rvar_andere21)) {
			if(empty($rvar_andere22)) $andere = $rvar_andere23;
			else $andere = empty($rvar_andere23) ? 2 : 6;
		} else $andere = 1;
		$sql .= "einbezogen_text = '$rvar_einbezogen2text', andere_person = '$andere', ";
		$sql .= "andere_person_mehr_text = '$rvar_andere2mehr', andere_person_weniger_text = '$rvar_andere2weniger'";
	  } elseif($rvar_act_page == "Seite 4") {
		$sql .= "wodurch_text = '$rvar_wodurch2text', nicht_erreicht = '".(empty($rvar_nicht2) ? 0 : array_sum($rvar_nicht2))."', ";
		$sql .= "nicht_erreicht_unrealistisch_text = '$rvar_unrealistisch', nicht_erreicht_vertrauen_text = '$rvar_nicht2vertrauen', ";
		$sql .= "nicht_erreicht_anderes_text = '$rvar_andere2', skala_hilfe_insgesamt = '$rvar_skala_hilfe_insgesamt', ";
		$sql .= "skala_le_zufrieden = '$rvar_skala2le_zufrieden'";
	  } elseif($rvar_act_page == "Seite 5"){
		$sql .= "wieder = '$rvar_wieder2', wieder_text = '$rvar_wieder2text', ";
		$sql .= "skala_ja_zufrieden = '$rvar_skala2ja_zufrieden', skala_beteiligt = '$rvar_skala2beteiligt', ";
		$sql .= "letzte_worte = '$rvar_letzte2worte'";
	  }
	  $sql .= "$where 'n'";
	  abfrage2($sql);
	}
  }
}
if (isset($_POST['save'])) {
	header("Location: pro_daten.php?proj_id=".$_REQUEST['proj_id']);
}
require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
require_once($pfad . 'inc/stw.inc.php');
require_once($pfad . 'inc/stwDaten.inc.php');

if  (isset($rvar_proj_id)) {
	$projekt = &new stwProjekt($rvar_proj_id);
	$pro = abfrage_assoc("SELECT * FROM tb_projekte WHERE proj_id = $projekt->id");
} else {
	echo "<h2>Es werden weitere Parameter erwartet</h2>\n";
	new stwEnd($seite);
	exit(-1);
}

if  (isset($rvar_hp_id)) {
	$hp = abfrage_assoc("SELECT * FROM tb_hp WHERE hp_id = $rvar_hp_id");
	$hp_kind = abfrage_assoc("SELECT * FROM tb_hp_ag WHERE hp_id=$rvar_hp_id AND kind='j'");
	$hp_psb = abfrage_assoc("SELECT * FROM tb_hp_ag WHERE hp_id=$rvar_hp_id AND kind='n'");
} else {
	$hp = array();
	$hp_kind = array();
	$hp_psb = array();
}

$ap_id = $hp['ap_id'] ? $hp['ap_id'] : $pro['ap_id'];

echo "<form name=\"Endfragebogen\" method=\"post\" action=\"pro_ag.php?proj_id=$rvar_proj_id\">\n";
echo "<input type=\"hidden\" name=\"speichern\" value=\"1\">\n";
echo "<input type=\"hidden\" name=\"hp_art\" value=\"ag\">\n";

echo "<table width=\"750\">\n";
echo "<tr><th style=\"padding-right:10px\">Projekt-Nr.:</th>\n";
echo "<td style=\"padding-right:20px\">";
echo "<a href=\"pro_daten.php?proj_id=$projekt->id\">";
echo $projekt->nummer() . "</a></td>\n";
echo "<th style=\"padding-right:10px\">Klient:</th>";
echo "<td style=\"padding-right:20px\">" . $projekt->name() . "</td>\n";

/* Jugendamt und Sachbearbeiter ermitteln */
$ja = abfrage( "SELECT t3.name2, t3.kont_id, t3.hpv_form, t3.name
				FROM tb_kontakte_ap t2
				LEFT JOIN tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
				WHERE t2.ap_id = $projekt->sb;");
$hpv_form = empty($hp['hpv_form']) ? $ja[2] : $hp['hpv_form'];
$vollerBogen = ($ja[2] == 2 || $ja[2] == 5 || $ja[2] == 7 || $ja[2] == 10);
echo "<th style=\"padding-right:10px\">Jugendamt:</th>";
echo "<td style=\"padding-right:20px\">$ja[0]</td>\n";
if(isset($rvar_proj_id) && isset($rvar_hp_id) && $vollerBogen) {
	echo "<td><a href=\"pro_pr_hpag".($ja[2]+2).".php?hp_id=$rvar_hp_id&";
	echo "proj_id=$rvar_proj_id&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" ";
	echo "onclick=\"document.Endfragebogen.submit()\" ";
	echo "alt=\"drucken\" border=\"0\"";
	echo stwToolTip('HP-Endfragebogen drucken') . "></a></td>\n";
}
echo "</table>\n\n";

new stwLine(1);
$ti = 1;

$page = isset($rvar_Seite) ? $rvar_Seite : "Seite 0";
echo "<input type=\"hidden\" name=\"act_page\" value=\"$page\">\n";
if($hpv_form < 10) {
	$style = "style=\"width:100px; height:30px; font-family: Arial, Helvetica, sans-serif; color: #FFCC00; font-weight: bold; background-color: ";
	if($page=="Seite 3") echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr><td>";
	echo "<table width=\"750\"><tr><td></td>";
	$color = ($page == "Seite 0") ? "#1C1C1C\"" : "#666666\"";
	echo "<td width=\"100\"><input type=\"submit\" name=\"Seite\" value=\"Seite 0\" $style $color></td>\n";
	if($vollerBogen) {
		$color = ($page == "Seite 1") ? "#1C1C1C\"" : "#666666\"";
		echo "<td width=\"100\"><input type=\"submit\" name=\"Seite\" value=\"Seite 1\" $style $color></td>\n";
		$color = ($page == "Seite 2") ? "#1C1C1C\"" : "#666666\"";
		echo "<td width=\"100\"><input type=\"submit\" name=\"Seite\" value=\"Seite 2\" $style $color></td>\n";
	}
	$color = ($page == "Seite 3") ? "#1C1C1C\"" : "#666666\"";
	echo "<td width=\"100\"><input type=\"submit\" name=\"Seite\" value=\"Seite 3\" $style $color></td>\n";
	if($vollerBogen) {
		$color = ($page == "Seite 4") ? "#1C1C1C\"" : "#666666\"";
		echo "<td width=\"100\"><input type=\"submit\" name=\"Seite\" value=\"Seite 4\" $style $color></td>\n";
		$color = ($page == "Seite 5") ? "#1C1C1C\"" : "#666666\"";
		echo "<td width=\"100\"><input type=\"submit\" name=\"Seite\" value=\"Seite 5\" $style $color></td>\n";
	}
	echo "<td></td></tr></table>";
	if($page=="Seite 3") echo "</td><td style=\"padding-top:2px\"><input type=\"submit\" name=\"import\" value=\"Daten aus vergangenen 
	Hilfepl&auml;nen importieren\" /></td></tr></table>";
	if(!$vollerBogen) {
		new stwLine(2);
		echo "<table width=\"750\"><tr><th class=\"ww\" style=\"text-align:center\">Nur f&uuml;r Statistik, da $ja[3] $ja[0]</th></tr>";
		$agtext = abfrage("select agtext from tb_hpv_form where hpv_form='$ja[2]'");
		echo "<tr><th class=\"ww\" style=\"text-align:center; color:red\">$agtext[0]</th></tr></table>\n";
		new stwLine(2);
	}
}
if($page == "Seite 0") {
	echo "<table>\n<tr>\n<th style=\"width:200px\">JA-Sachbearbeiter:&nbsp;</th>\n";
	echo "<td><select name=\"ap_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option>kein Sachbearbeiter gew&auml;hlt</option>\n";

	$sql = "SELECT ap_id, vorname, name FROM tb_kontakte_ap
			WHERE kont_id = ".$ja[1]." ORDER BY name, vorname ASC";
	$res = mysql_query($sql) or die(mysql_error());

	while ($zeile = mysql_fetch_row($res)) {
		echo "  <option ";
			if ($ap_id == $zeile[0]) {
				echo "selected ";
			}
		echo "value=" . $zeile[0] . ">";
		echo $zeile[2];
		if (strlen($zeile[1])>0) {
			echo ",&nbsp;" . $zeile[1];
		}

		echo "</option>\n";
	}

	printf("</select>");

	/* Dateiklammersymbol einbinden */
	if (!empty($rvar_hp_id) && !empty($rvar_proj_id))
	{
	   $daten = new stwDaten("4");
	   $link  = $daten->get_klammer_link($_SESSION["webdir"],
										 $_SESSION[$AppCode]["UID"],
										 $_SESSION[$AppCode]["ULV"],
										 $rvar_proj_id, $rvar_hp_id);
	   printf(" %s", $link);
	}

	if(isset($rvar_hp_id)) {
		$hbt[0] = $hp['pers_id'];
	} else {
		$sql = "SELECT pers_id FROM tbh_pers_proj
				WHERE proj_id = '$projekt->id' and personaltyp_id = 1;";
		$hbt = abfrage($sql);
	}
	echo "</td>";
	$kurz = ($ja[2] == 2 || $ja[2] == 9) ? ' (kurz)' : '';
	if($vollerBogen) echo "<th>Aktuelle Situation$kurz:</th>";
	echo "</tr>\n<tr><th>";
	if(getConf('traeger') == 'stw') echo "STW-";
	echo "Mitarbeiter:&nbsp;</th>\n";
	echo "<td><select name=\"pers_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option>Mitarbeiter w&auml;hlen!</option>\n";
	$order = ($pers_order == 2) ? "t2.name ASC, t2.vorname ASC" : "t2.vorname ASC, t2.name ASC";
	$sql = "SELECT t2.pers_id,t2.vorname,t2.name FROM tb_personal t2
			WHERE t2.betreuer= 'j' and (t2.status_id=2 or t2.pers_id='$hbt[0]') order by $order";
	$res = abfrage1($sql);

	while ($zeile = mysql_fetch_row($res)) {
		echo "  <option ";
			if ($hbt[0] == $zeile[0]) {
				echo "selected ";
			}
		echo "value=" . $zeile[0] . ">";
		if($pers_order == 2) {
		  echo "$zeile[2], $zeile[1]";
		} else {
		  if (strlen($zeile[1])>0) {
			echo $zeile[1] . "&nbsp;";
		  }
		  echo $zeile[2];
		}
		echo "</option>\n";
	}

	echo "</select></td>";
	if($vollerBogen) {
		echo "<td rowspan=\"4\" style=\"text-align:right\">";
		$value = (isset($rvar_hp_id)) ? $hp['hilfeverlauf'] : "";
		echo "<textarea name=\"hilfeverlauf\" cols=\"30\" rows=\"6\" tabindex=\"$ti\">$value</textarea></td>";
	}
	echo "</tr>\n<tr><th>Datum:&nbsp;</th>";
	echo "<td><input type=\"text\" name=\"datum\" size=\"11\" maxlength=\"11\" tabindex=\"$ti\" "; $ti++;
	$datum = (isset($rvar_hp_id)) ? date_my2gr($hp['datum']) : date("d.m.Y",time());
	echo "value=\"$datum\">&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";
	if($vollerBogen) {
		echo "<tr>\n<th>Teilnehmer:</th>\n<td>";
		$value = (isset($rvar_hp_id)) ? $hp['teilnehmer'] : "";
		echo "<textarea name=\"teilnehmer\" cols=\"30\" rows=\"1\" tabindex=\"$ti\">$value</textarea>"; $ti++;
		echo "</td></tr>\n";
	}
	echo "<tr><th>Art der Hilfebeendigung:&nbsp;</th>\n";
	echo "<td><select name=\"ressourcen\" size=\"1\" tabindex=\"$ti\" "; $ti++;
	echo "onchange=\"if(this.value=='Abbruch') {document.getElementById('GdA').style.display='table-row';} ";
	echo "else {document.getElementById('GdA').style.display='none';}\"";
	echo ">\n";
	$selected = (!isset($rvar_hp_id) || ($hp['ressourcen'] != "andere Hilfe" && $hp['ressourcen'] != "Abbruch")) ? 'selected' : '';
	echo "<option $selected>mit Erfolg beendet</option>\n";
	$selected = (isset($rvar_hp_id) && $hp['ressourcen'] == "andere Hilfe") ? 'selected' : '';
	echo "<option $selected>andere Hilfe</option>\n";
	$selected = (isset($rvar_hp_id) && $hp['ressourcen'] == "Abbruch") ? 'selected' : '';
	echo "<option $selected>Abbruch</option>\n";
	echo "</select></td></tr>\n";
	echo "<tr id=\"GdA\"";
	if(!isset($rvar_hp_id) || $hp['ressourcen'] != "Abbruch") echo " style=\"display:none\"";
	echo ">\n<th>Grund des Abbruchs:<br /><span style=\"color:red\">";
	echo "(Achtung!</br />Anonymisiert eingeben,<br />da Ausgabe im Sachbericht)</span></th><td colspan=\"2\">\n";
	$value = (isset($rvar_hp_id)) ? $hp['st_grund'] : "";
	echo "<textarea name=\"st_grund\" cols=\"68\" rows=\"4\" tabindex=\"$ti\">$value</textarea>"; $ti++;
	echo "</td></tr>";
	if(isset($rvar_hp_id)) {
		echo "<tr><th class=\"cl1\">OK Fachberater:</th>\n";
		echo "<td class=\"cl11\"><input type=\"checkbox\" name=\"fb_ok\" value=\"1\" ";
		if ($hp['fb_ok'] > 0) echo ' checked';
		if ($_SESSION[$AppCode]['ULV'] < 96 && !check_al_proj($projekt->id) && !pers_fb($_SESSION[$AppCode]['UID'], true)) echo ' disabled';
		echo ">&nbsp;";
		if ($hp['fb_ok'] > 0) echo pers_name($hp['fb_ok']);
		echo "&nbsp; &nbsp;";
		if ($hp['fb_ok_ts'] > 0) echo date('d.m.y H:i', $hp['fb_ok_ts']);
		echo "</td></tr>\n";
		if ($_SESSION[$AppCode]['ULV'] < 96 && $_SESSION[$AppCode]['UID'] != $projekt->fb && $hp['fb_ok'] > 0) {
			echo "<input type=\"hidden\" name=\"fb_ok\" value=\"1\">\n";
		}
	}
	echo "</table>\n";
	new stwLine(1);
} elseif($hpv_form < 10) {
  $sql = "SELECT p.id FROM tb_hp_praxisziele p
		  LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		  WHERE h.proj_id='$rvar_proj_id' AND (p.prio >= '0' OR p.prio IS NULL)
		  AND p.LE > '0' AND p.HE > '0' AND p.ASD > '0'
		  GROUP BY p.id";
  $ziele = abfrage1($sql);
  $a = (mysql_num_rows($ziele) > 0) ? true : false;

  $sql = "SELECT p.id FROM tb_hp_praxisziele p
		  LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
		  WHERE h.proj_id='$rvar_proj_id' AND (p.prio2 >= '0' OR p.prio2 IS NULL)
		  AND p.LE > '0' AND p.HE > '0' AND p.ASD > '0'
		  GROUP BY p.id";
  $ziele = abfrage1($sql);
  $b = (mysql_num_rows($ziele) > 0) ? true : false;
  if($a == false && $b == false) $a = $b = true; //gar keine Ziele...
  $width = ($a == $b) ? '450' : '900';
  echo "<table width=\"100%\" cellpadding=\"1\" cellspacing=\"0\">\n";
  echo "<tr><th style=\"text-align:center;font-size:120%\" colspan=\"5\">Endfragebogen &uuml;ber den Verlauf der Hilfe</th>\n";
  echo "</tr>\n<tr><th style=\"text-align:center\" colspan=\"5\">Stand Januar 2010</th></tr>\n<tr>";
  if($a) {
	$checked = $hp_kind['nicht_im_druck'] == 'j' ? '' : 'checked';
	echo "<td width=\"16\"><input type=\"checkbox\" name=\"im_druck1\" value=\"1\" $checked ".stwToolTip("Daten des Hilfeempf&auml;ngers im Ausdruck ausgeben")."></td>\n";
	echo "<th style=\"text-align:center\" width=\"$width\">".$projekt->name()."</th>\n";
  }
  echo "<td rowspan=\"30\" width=\"1\" bgcolor=\"#006400\">\n";
  if($b) {
	$checked = $hp_psb['nicht_im_druck'] == 'j' ? '' : 'checked';
	echo "<td width=\"16\"><input type=\"checkbox\" name=\"im_druck2\" value=\"1\" $checked ".stwToolTip("Daten der Personensorgeberechtigten im Ausdruck ausgeben")."></td>\n";
	echo "<th style=\"text-align:center\" width=\"$width\">Eltern / Personensorgeberechtigte</th>";
  }
  echo "</tr>\n";
  new stwTabLine(2,30);

  $tdstyle = "style=\"color:#CCCCCC;font-weight:normal;\"";

  if($page == "Seite 1") {
	/* 1. Wie kam es zu der Hilfe */
	echo "<tr>";
	if($a) echo "<th colspan=\"2\"><ol start=\"1\"><li>Wie kam es zu der Hilfe?</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\"><ol start=\"1\"><li>Wie kam es zu der Hilfe?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['wie']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wie1\" value=\"1\" tabindex=\"$ti\"></td>\n"; $temp1=$ti; $ti++;
		echo "<td class=\"ww\">sie wurde mir/meinen Eltern von der Mitarbeiterin/dem Mitarbeiter des Jugendamtes empfohlen</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['wie']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wie2\" value=\"1\" tabindex=\"$ti\"></td>\n"; $temp2=$ti; $ti++;
		echo "<td class=\"ww\">sie wurde uns/mir von der Mitarbeiterin/dem Mitarbeiter des Jugendamtes empfohlen</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['wie']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wie1\" value=\"2\" tabindex=\"$temp1\"></td>\n";
		echo "<td class=\"ww\">Ich habe mich selbst darum bem&uuml;ht</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['wie']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wie2\" value=\"2\" tabindex=\"$temp2\"></td>\n";
		echo "<td class=\"ww\">Wir haben uns / ich habe mich selbst darum bem&uuml;ht</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['wie']==3) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wie1\" value=\"3\" tabindex=\"$temp1\"></td>\n";
		echo "<td class=\"ww\">meine Eltern/Vater/Mutter haben sich darum bem&uuml;ht</td>\n";
	}
	if($b) echo "<td colspan=\"2\"></td>";
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['wie']==4) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wie1\" value=\"4\" tabindex=\"$temp1\"></td>\n";
		echo "<td class=\"ww\">Jemand anders hat uns die Hilfe empfohlen</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['wie']==4) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wie2\" value=\"4\" tabindex=\"$temp2\"></td>\n";
		echo "<td class=\"ww\">eine andere Einrichtung hat mir/uns die Hilfe empfohlen</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['wie']==5) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wie1\" value=\"5\" tabindex=\"$temp1\" onclick=\"document.Endfragebogen.wie1text.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">sonstiges</span> <textarea rows=\"1\" style=\"width:80%\" name=\"wie1text\">";
		echo $hp_kind['wie_text'] . "</textarea></td>\n";
	}
	if($b) {
		$checked = ($hp_psb['wie']==5) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wie2\" value=\"5\" tabindex=\"$temp2\" onclick=\"document.Endfragebogen.wie2text.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">sonstiges</span> <textarea rows=\"1\" style=\"width:80%\" name=\"wie2text\">";
		echo $hp_psb['wie_text'] . "</textarea></td>";
	}
	echo "</tr>\n<tr>\n";
	new stwTabLine(2,30);

	/* 2. Wie lange dauerte die Hilfe */
	if(isset($rvar_hp_id)) {
		$t1 = $hp_kind['dauer'];
		$t2 = $hp_psb['dauer'];
	} else {
		$ts1 = $projekt->beginn_ts();
		$ts2 = date_gr2ts($datum);
		$days = ($ts2 - $ts1) / 86400;
		if($days < 90) $t1 = $t2 = 1;
		else if($days < 365) $t1 = $t2 = 2;
		else if($days < 730) $t1 = $t2 = 3;
		else $t1 = $t2 = 4;
	}
	echo "<tr>";
	if($a) echo "<th colspan=\"2\"><ol start=\"2\"><li>Wie lange dauerte die Hilfe?</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\"><ol start=\"2\"><li>Wie lange dauerte die Hilfe?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($t1==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" name=\"wielang1\" value=\"1\" $checked tabindex=\"$ti\"></td>\n"; $temp1=$ti; $ti++;
		echo "<td>bis 3 Monate</td>\n";
	}
	if($b) {
		$checked = ($t2==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" name=\"wielang2\" value=\"1\" $checked tabindex=\"$ti\"></td>\n"; $temp2=$ti; $ti++;
		echo "<td>bis 3 Monate</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($t1==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" name=\"wielang1\" value=\"2\" $checked tabindex=\"$temp1\"></td>\n";
		echo "<td>3 - 12 Monate</td>\n";
	}
	if($b) {
		$checked = ($t2==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" name=\"wielang2\" value=\"2\" $checked tabindex=\"$temp2\"></td>\n";
		echo "<td>3 - 12 Monate</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($t1==3) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" name=\"wielang1\" value=\"3\" $checked tabindex=\"$temp1\"></td>\n";
		echo "<td>1 - 2 Jahre</td>\n";
	}
	if($b) {
		$checked = ($t2==3) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" name=\"wielang2\" value=\"3\" $checked tabindex=\"$temp2\"></td>\n";
		echo "<td>1 - 2 Jahre</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($t1==4) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" name=\"wielang1\" value=\"4\" $checked tabindex=\"$temp1\"></td>\n";
		echo "<td>2 Jahre oder l&auml;nger</td>\n";
	}
	if($b) {
		$checked = ($t2==4) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" name=\"wielang2\" value=\"4\" $checked tabindex=\"$temp2\"></td>\n";
		echo "<td>2 Jahre oder l&auml;nger</td>";
	}
	echo "</tr>\n";
	new stwTabLine(2,30);

	/* 3. Seid ihr mit dem Ende der Hilfe einverstanden */
	echo "<tr>";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"3\"><li>Bist Du mit dem Ende der Hilfe einverstanden?</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"3\"><li>Sind Sie mit dem Ende der Hilfe einverstanden?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['einverstanden']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"einverstanden1\" value=\"1\" tabindex=\"$ti\"></td>\n"; $temp1=$ti; $ti++;
		echo "<td>Ja</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['einverstanden']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"einverstanden2\" value=\"1\" tabindex=\"$ti\"></td>\n"; $temp2=$ti; $ti++;
		echo "<td>Ja</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['einverstanden']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"einverstanden1\" value=\"2\" tabindex=\"$temp1\" onclick=\"document.Endfragebogen.einverstanden1text.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">Nein, weil</span> <textarea rows=\"1\" style=\"width:80%\" name=\"einverstanden1text\">";
		echo $hp_kind['einverstanden_text'] . "</textarea></td>\n";
	}
	if($b) {
		$checked = ($hp_psb['einverstanden']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"einverstanden2\" value=\"2\" tabindex=\"$temp2\" onclick=\"document.Endfragebogen.einverstanden2text.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">Nein, weil</span> <textarea rows=\"1\" style=\"width:80%\" name=\"einverstanden2text\">";
		echo $hp_psb['einverstanden_text'] . "</textarea></td>";
	}
	echo "</tr>\n";
	new stwTabLine(2,30);

	/* 4. warst du bei der Gestaltung beteiligt / Veraenderung in Familie */
	echo "<tr>\n";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"4\"><li>Warst Du an der Gestaltung des Hilfeplantermins beteiligt (Ort, Zeit, Anwesende)?</li></ol></th>\n";
	if($b) {
		echo "<td colspan=\"2\" rowspan=\"2\" class=\"ww\"><ol start=\"4\"><li style=\"color:#FFCC00;font-weight:bold;\">Gab es durch die Hilfe sp&uuml;rbare Ver&auml;nderungen in der Familie?</li></ol>\n";
		echo "<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = gar keine Ver&auml;nderung;</td>\n";
		$skala = new stwSkala($rvar_proj_id);
		$id = (isset($rvar_hp_id)) ? $hp_psb['skala_bzw_beteiligt'] : 0;
		echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
		$skala->displaySkala("verand_skala", $id, $ti+1);
		echo "</td></tr>\n";
		echo "<tr><td>12 = sehr gro&szlig;e Ver&auml;nderungen</td></tr></table></td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$rowspan = $b ? 'rowspan="2"' : '';
		$checked = ($hp_kind['skala_bzw_beteiligt']==1) ? "checked" : "";
		echo "<td $rowspan class=\"cl1\"><input type=\"radio\" $checked name=\"beteiligt\" value=\"1\" tabindex=\"$ti\"></td>\n"; $temp1=$ti; $ti+=2;
		echo "<td $rowspan>Ja</td>";
	}
	echo "</tr>\n";
	if($b) new stwTabLine(2,30);
	echo "<tr>\n";
	if($a) {
		$checked = ($hp_kind['skala_bzw_beteiligt']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"beteiligt\" value=\"2\" tabindex=\"$temp1\" onclick=\"document.Endfragebogen.beteiligttext.focus()\"></td>\n";
		echo "<td>Nein: was h&auml;tte anders sein sollen?</td>\n";
	}
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"5\"><li>Was hat sich positiv durch die Hilfe ver&auml;ndert?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		echo "<td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"beteiligttext\">";
		echo $hp_kind['verand_bzw_beteiligt_text'] . "</textarea></td>\n";
	}
	if($b) {
		echo "<td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"verandtext\" tabindex=\"$ti\">";
		echo $hp_psb['verand_bzw_beteiligt_text'] . "</textarea></td>"; $ti++;
	}
	echo "</tr>\n";
  } elseif($page == "Seite 2") {
	/* 5. Welche Staerken sind bewusst geworden */
	echo "<tr>\n";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"5\"><li>Welche St&auml;rken sind Dir wieder oder neu bewusst geworden?</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"6\"><li>Welche St&auml;rken (die Sie oder Ihre Familie haben) sind Ihnen wieder oder neu bewusst geworden?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		echo "<td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"staerken1text\" tabindex=\"$ti\">";
		echo $hp_kind['staerken_text'] . "</textarea></td>\n"; $ti++;
	}
	if($b) {
		echo "<td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"staerken2text\" tabindex=\"$ti\">";
		echo $hp_psb['staerken_text'] . "</textarea></td>"; $ti++;
	}
	echo "</tr>\n";
	new stwTabLine(2,30);

	/* 6. Anerkennung */
	echo "<tr>\n";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"6\"><li>Wurde das, was Du gut kannst anerkannt? Wenn ja, von wem? <span $tdstyle>(bitte ausw&auml;hlen und benennen)</span></li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"7\"><li>Wurde das, was Sie gut k&ouml;nnen anerkannt? Wenn ja, von wem? <span $tdstyle>(bitte ausw&auml;hlen und benennen)</span></li></ol></th>";
	echo "</tr>\n<tr>\n";
	$checked = ($hp_kind['anerkannt']==1) ? "checked" : "";
	if($a) {
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"anerkannt1\" value=\"1\" tabindex=\"$ti\" onclick=\"document.Endfragebogen.anerkannt1text.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">Ja, </span> <textarea rows=\"1\" style=\"width:90%\" name=\"anerkannt1text\">";
		echo $hp_kind['anerkannt_text'] . "</textarea></td>\n"; $temp1=$ti; $ti++;
	}
	if($b) {
		$checked = ($hp_psb['anerkannt']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"anerkannt2\" value=\"1\" tabindex=\"$ti\" onclick=\"document.Endfragebogen.anerkannt2text.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">Ja, </span> <textarea rows=\"1\" style=\"width:90%\" name=\"anerkannt2text\">";
		echo $hp_psb['anerkannt_text'] . "</textarea></td>"; $temp2=$ti; $ti++;
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['anerkannt']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"anerkannt1\" value=\"2\" tabindex=\"$temp1\"></td>\n";
		echo "<td>Nein</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['anerkannt']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"anerkannt2\" value=\"2\" tabindex=\"$temp2\"></td>\n";
		echo "<td>Nein</td>\n";
	}
	echo "</tr>\n";
	new stwTabLine(2,30);

	/* 7. Wurdet ihr mit in die Gestaltung der Hilfe einbezogen */
	echo "<tr>\n";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"7\"><li>Wurdest Du in die Gestaltung der Hilfe einbezogen (Deine Ziele/Interessen)?</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"8\"><li>Wurden Sie in die Gestaltung der Hilfe einbezogen (z.B. Ihre Ziele und W&uuml;nsche)?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['einbezogen']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"einbezogen1\" value=\"1\" tabindex=\"$ti\"></td>\n"; $temp1=$ti; $ti++;
		echo "<td>Ja</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['einbezogen']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"einbezogen2\" value=\"1\" tabindex=\"$ti\"></td>\n"; $temp2=$ti; $ti++;
		echo "<td>Ja</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['einbezogen']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"einbezogen1\" value=\"2\" tabindex=\"$temp1\" onclick=\"document.Endfragebogen.einbezogen1text.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">Nein</span> <textarea rows=\"1\" style=\"width:90%\" name=\"einbezogen1text\">";
		echo $hp_kind['einbezogen_text'] . "</textarea></td>\n";
	}
	if($b) {
		$checked = ($hp_psb['einbezogen']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"einbezogen2\" value=\"2\" tabindex=\"$temp2\" onclick=\"document.Endfragebogen.einbezogen2text.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">Nein</span> <textarea rows=\"1\" style=\"width:90%\" name=\"einbezogen2text\">";
		echo $hp_psb['einbezogen_text'] . "</textarea></td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['einbezogen']==3) ? "checked" : "";
		echo "<td width=\"10\" class=\"cl1\"><input type=\"radio\" $checked name=\"einbezogen1\" value=\"3\" tabindex=\"$temp1\"></td>\n";
		echo "<td>teilweise</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['einbezogen']==3) ? "checked" : "";
		echo "<td width=\"10\" class=\"cl1\"><input type=\"radio\" $checked name=\"einbezogen2\" value=\"3\" tabindex=\"$temp2\"></td>\n";
		echo "<td>teilweise</td>";
	}
	echo "</tr>\n";
	new stwTabLine(2,30);

	/* 8. Einbeziehung anderer Personen in die Hilfe */
	echo "<tr>\n";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"8\"><li>Einbeziehung anderer Personen in die Hilfe</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"9\"><li>Einbeziehung anderer Personen in die Hilfe</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['andere_person']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"andere11\" value=\"1\" tabindex=\"$ti\" onclick=\"document.Endfragebogen.andere11.checked=true;document.Endfragebogen.andere12.checked=false;document.Endfragebogen.andere13.checked=false\"></td>\n"; $temp1=$ti; $ti++;
		echo "<td class=\"ww\">Mir/uns wichtige Personen wurden genau richtig mit einbezogen</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['andere_person']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"andere21\" value=\"1\" tabindex=\"$ti\" onclick=\"document.Endfragebogen.andere21.checked=true;document.Endfragebogen.andere22.checked=false;document.Endfragebogen.andere23.checked=false\"></td>\n"; $temp2=$ti; $ti++;
		echo "<td class=\"ww\">Mir/uns wichtige Personen wurden genau richtig mit einbezogen</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['andere_person'] > 1 && $hp_kind['andere_person'] % 2 == 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"andere12\" value=\"2\" tabindex=\"$temp1\" onclick=\"document.Endfragebogen.andere1mehr.focus();document.Endfragebogen.andere11.checked=false\"></td>\n";
		echo "<td class=\"ww\">Ich/Wir w&uuml;rde(n) mir/uns w&uuml;nschen, dass <input type=\"text\" name=\"andere1mehr\" value=\"{$hp_kind['andere_person_mehr_text']}\"> (mehr) in die Hilfe einbezogen worden w&auml;re/n.</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['andere_person'] > 1 && $hp_psb['andere_person'] % 2 == 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"andere22\" value=\"2\" tabindex=\"$temp2\" onclick=\"document.Endfragebogen.andere2mehr.focus();document.Endfragebogen.andere21.checked=false\"></td>\n";
		echo "<td class=\"ww\">Ich/Wir w&uuml;rde(n) mir/uns w&uuml;nschen, dass <input type=\"text\" name=\"andere2mehr\" value=\"{$hp_psb['andere_person_mehr_text']}\"> (mehr) in die Hilfe einbezogen worden w&auml;re/n.</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['andere_person'] > 1 && $hp_kind['andere_person'] % 3 == 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"andere13\" value=\"3\" tabindex=\"$temp1\" onclick=\"document.Endfragebogen.andere1weniger.focus();document.Endfragebogen.andere11.checked=false\"></td>\n";
		echo "<td class=\"ww\">Ich/Wir w&uuml;rde(n) mir/uns w&uuml;nschen, dass <input type=\"text\" name=\"andere1weniger\" value=\"{$hp_kind['andere_person_weniger_text']}\"> weniger einbezogen worden w&auml;re/n.</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['andere_person'] > 1 && $hp_psb['andere_person'] % 3 == 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"andere23\" value=\"3\" tabindex=\"$temp2\" onclick=\"document.Endfragebogen.andere2weniger.focus();document.Endfragebogen.andere21.checked=false\"></td>\n";
		echo "<td class=\"ww\">Ich/Wir w&uuml;rde(n) mir/uns w&uuml;nschen, dass <input type=\"text\" name=\"andere2weniger\" value=\"{$hp_psb['andere_person_weniger_text']}\"> weniger einbezogen worden w&auml;re/n.</td>";
	}
	echo "</tr>\n";
 } elseif($page == "Seite 3") {
	/* 9. Welche Teilziele wurden im Hilfeplan aufgestellt und wurden diese erreicht? */
	echo "<tr>\n";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"9\"><li>Welche Teilziele wurden im Hilfeplan aufgestellt und wurden diese erreicht?<br><span $tdstyle>1 = gar nicht erreicht; 12 = vollst&auml;ndig erreicht</span></li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"10\"><li>Welche Teilziele wurden im Hilfeplan aufgestellt und wurden diese erreicht?<br><span $tdstyle>1 = gar nicht erreicht; 12 = vollst&auml;ndig erreicht</span></li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		echo "<td colspan=\"2\"><table cellpadding=\"2\" cellspacing=\"0\" border=\"1\">\n";
		$sql = "SELECT p.id as pid, p.ziel, p.erledigt, p.prio, IF(p.prio > 0, p.prio, 999) AS sort, p.LE, p.HE, p.ASD, p.nummer
				FROM tb_hp_praxisziele p
				LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
				WHERE h.proj_id='$rvar_proj_id' AND p.prio >= 0
				GROUP BY p.id
				ORDER BY p.ASD DESC, sort ASC, p.nummer ASC";
		$ziele = abfrage1($sql);
		while($ziel = mysql_fetch_assoc($ziele)) {
		  if($ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1) {
			echo "<tr><td class=\"ww\">".$ziel['nummer'].". ".$ziel['ziel']."</td><td>";
			$id = abfrage("select ad_skala, ad_err from tb_hpvor2 where ziel_id='{$ziel['pid']}' and hp_id='$rvar_hp_id'");
			$skala = new stwSkala($rvar_proj_id);
			$skala->displaySkala("ad_skala[{$ziel['pid']}]", $id[0], $ti); $ti++;
			echo "</td>\n";
			if($ja[2] == 5) {
				echo "<td".stwToolTip('Bemerkungen')."><textarea name=\"ad_err[{$ziel['pid']}]\" style=\"width:100%;height:32px\">$id[1]</textarea></td></tr>\n";
			} else echo "<input type=\"hidden\" name=\"ad_err[{$ziel['pid']}]\" value=\"$id[1]\" />\n";
			echo "</tr>\n";
		  }
		}
		echo "</table></td>\n";
	}
	if($b) {
		echo "<td colspan=\"2\"><table cellpadding=\"2\" cellspacing=\"0\" border=\"1\">\n";
		$sql = "SELECT p.id as pid, p.ziel, p.erledigt, p.prio2, IF(p.prio2 > 0, p.prio2, 999) AS sort, p.LE, p.HE, p.ASD, p.nummer
				FROM tb_hp_praxisziele p
				LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
				WHERE h.proj_id='$rvar_proj_id' AND p.prio2 >= 0
				GROUP BY p.id
				ORDER BY p.ASD DESC, sort ASC, p.nummer ASC";
		$ziele = abfrage1($sql);
		while($ziel = mysql_fetch_assoc($ziele)) {
		  if($ziel['LE'] == 1 && $ziel['HE'] == 1 && $ziel['ASD'] == 1) {
			echo "<tr><td class=\"ww\">".$ziel['nummer'].". ".$ziel['ziel']."</td><td>";
			$id = abfrage("select ad2_skala, ad_err2 from tb_hpvor2 where ziel_id='{$ziel['pid']}' and hp_id='$rvar_hp_id'");
			$skala = new stwSkala($rvar_proj_id);
			$skala->displaySkala("ad2_skala[{$ziel['pid']}]", $id[0], $ti); $ti++;
			echo "</td>\n";
			if($ja[2] == 5) {
				echo "<td".stwToolTip('Bemerkungen')."><textarea name=\"ad_err2[{$ziel['pid']}]\" style=\"width:100%;height:32px\">$id[1]</textarea></td></tr>\n";
			} else echo "<input type=\"hidden\" name=\"ad_err2[{$ziel['pid']}]\" value=\"$id[1]\" />\n";
			echo "</tr>\n";
		  }
		}
		echo "</table></td>";
	}
	echo "</tr>\n";
	if(mysql_num_rows($ziele) == 0) {
		$sql = "SELECT p.id, p.nummer, p.ziel
				FROM tb_hp_praxisziele p
				LEFT JOIN tb_hp h ON p.hp_id=h.hp_id
				WHERE h.proj_id='$rvar_proj_id' AND p.prio < 0 AND p.prio2 < 0
				GROUP BY p.id ORDER BY p.nummer ASC";
		$ziele = abfrage1($sql);
		echo "<tr><th class=\"ww\" colspan=\"30\" style=\"text-align:center;color:red\">";
		if(mysql_num_rows($ziele) == 0) echo "Es wurden keine Ziele im Hilfeplan definiert!!!";
		else { 
			echo "Im Hilfeplan wurden zwar Ziele definiert (";
			$komma = '';
			while($ziel = mysql_fetch_row($ziele)) {
				echo "$komma<a href=\"pro_hp2ziele.php?ziel_id=$ziel[0]&hp_id2=$rvar_hp_id\"";
				echo stwToolTip($ziel[2]) . ">Ziel $ziel[1]</a>";
				$komma = ', ';
			}
			echo "), diese sind jedoch weder f&uuml;r Teilnehmer noch Sorgeberechtigte relevant";
		}
		echo "</th></tr>\n";
	}
  } elseif($page == "Seite 4") {
	/* 10. Wodurch konnten Ziele besonders gut erreicht werden */
	echo "<tr>\n";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"10\"><li>Wodurch konntest Du die Ziele besonders gut erreichen?</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"11\"><li>Wodurch konnten Ziele besonders gut erreicht werden?<br>Wer oder was hat geholfen, diese Ziele zu erreichen?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		echo "<td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"wodurch1text\" tabindex=\"$ti\">";
		echo $hp_kind['wodurch_text'] . "</textarea></td>\n"; $ti++;
	}
	if($b) {
		echo "<td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"wodurch2text\" tabindex=\"$ti\">";
		echo $hp_psb['wodurch_text'] . "</textarea></td>"; $ti++;
	}
	echo "</tr>\n";
	new stwTabLine(2,30);
	
	/* 11. Woran hat es gelegen, dass einige Ziele noch nicht erreicht werden konnten? */
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"11\"><li>Woran hat es gelegen, dass einige Ziele noch nicht erreicht werden konnten?</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"12\"><li>Woran hat es gelegen, dass einige Ziele noch nicht erreicht werden konnten?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = (($hp_kind['nicht_erreicht'] & 1) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht1[1]\" value=\"1\" tabindex=\"$ti\"></td>\n"; $temp1=$ti; $ti++;
		echo "<td class=\"ww\">Ich habe andere Ziele</td>\n";
	}
	if($b) {
		$checked = (($hp_psb['nicht_erreicht'] & 1) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht2[1]\" value=\"1\" tabindex=\"$ti\" onclick=\"document.Endfragebogen.unrealistisch.focus();\"></td>\n"; $temp2=$ti; $ti++;
		echo "<td class=\"ww\"><input type=\"text\" name=\"unrealistisch\" value=\"{$hp_psb['nicht_erreicht_unrealistisch_text']}\"> daf&uuml;r: unrealistische Ziele.</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = (($hp_kind['nicht_erreicht'] & 2) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht1[2]\" value=\"2\" tabindex=\"$temp1\"></td>\n";
		echo "<td class=\"ww\">Zu wenig Mitarbeit durch mich</td>\n";
	}
	if($b) {
		$checked = (($hp_psb['nicht_erreicht'] & 2) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht2[2]\" value=\"2\" tabindex=\"$temp2\"></td>\n";
		echo "<td class=\"ww\">Mangelnde Mitwirkungsbereitschaft des Kindes/der Kinder</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = (($hp_kind['nicht_erreicht'] & 4) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht1[3]\" value=\"4\" tabindex=\"$temp1\"></td>\n";
		echo "<td class=\"ww\">Zu wenig Mitarbeit meiner Eltern / meiner Mutter / meines Vaters / meines Vormundes</td>\n";
	}
	if($b) {
		$checked = (($hp_psb['nicht_erreicht'] & 4) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht2[3]\" value=\"4\" tabindex=\"$temp2\"></td>\n";
		echo "<td class=\"ww\">Mangelnde Mitwirkungsbereitschaft der Personensorgeberechtigten</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = (($hp_kind['nicht_erreicht'] & 8) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht1[4]\" value=\"8\" tabindex=\"$temp1\"></td>\n";
		echo "<td class=\"ww\">Zu wenig Mitarbeit anderer Beteiligter</td>\n";
	}
	if($b) {
		$checked = (($hp_psb['nicht_erreicht'] & 8) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht2[4]\" value=\"8\" tabindex=\"$temp2\"></td>\n";
		echo "<td class=\"ww\">Mangelnde Mitwirkungsbereitschaft anderer Beteiligter</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = (($hp_kind['nicht_erreicht'] & 16) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht1[5]\" value=\"16\" tabindex=\"$temp1\" onclick=\"document.Endfragebogen.nicht1vertrauen.focus();\"></td>\n";
		echo "<td class=\"ww\">fehlendes Vertrauen gegen&uuml;ber <input type=\"text\" name=\"nicht1vertrauen\" value=\"{$hp_kind['nicht_erreicht_vertrauen_text']}\"></td>\n";
	}
	if($b) {
		$checked = (($hp_psb['nicht_erreicht'] & 16) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht2[5]\" value=\"16\" tabindex=\"$temp2\" onclick=\"document.Endfragebogen.nicht2vertrauen.focus();\"></td>\n";
		echo "<td class=\"ww\">fehlendes Vertrauen gegen&uuml;ber <input type=\"text\" name=\"nicht2vertrauen\" value=\"{$hp_psb['nicht_erreicht_vertrauen_text']}\"></td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = (($hp_kind['nicht_erreicht'] & 32) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht1[6]\" value=\"32\" tabindex=\"$temp1\"></td>\n";
		echo "<td class=\"ww\">Zu wenig Zeit</td>\n";
	}
	if($b) {
		$checked = (($hp_psb['nicht_erreicht'] & 32) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht2[6]\" value=\"32\" tabindex=\"$temp2\"></td>\n";
		echo "<td class=\"ww\">Zeitmangel</td>";
	}
	echo "</tr>\n<tr>\n";
	if($b) {
		if($a) echo "<td colspan=\"2\"></td>";
		$checked = (($hp_psb['nicht_erreicht'] & 64) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht2[7]\" value=\"64\" tabindex=\"$temp2\"></td>\n";
		echo "<td class=\"ww\">ung&uuml;nstige Gestaltung durch den Leistungserbringer</td></tr>\n<tr>\n";
	}
	if($a) {
		$checked = (($hp_kind['nicht_erreicht'] & 128) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht1[8]\" value=\"128\" tabindex=\"$temp1\"></td>\n";
		echo "<td class=\"ww\">die Unterst&uuml;tzung reicht mir nicht</td>\n";
	}
	if($b) {
		$checked = (($hp_psb['nicht_erreicht'] & 128) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht2[8]\" value=\"128\" tabindex=\"$temp2\"></td>\n";
		echo "<td class=\"ww\">die Hilfeform war nicht ausreichend, es war mehr bzw. andere (intensivere) Hilfe notwendig</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = (($hp_kind['nicht_erreicht'] & 256) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht1[9]\" value=\"256\" tabindex=\"$temp1\" onclick=\"document.Endfragebogen.andere1.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">andere Gr&uuml;nde</span> <textarea rows=\"3\" style=\"width:74%\" name=\"andere1\">";
		echo $hp_kind['nicht_erreicht_anderes_text'] . "</textarea></td>\n";
	}
	if($b) {
		$checked = (($hp_psb['nicht_erreicht'] & 256) > 0) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"checkbox\" $checked name=\"nicht2[9]\" value=\"256\" tabindex=\"$temp2\" onclick=\"document.Endfragebogen.andere2.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">andere Gr&uuml;nde</span> <textarea rows=\"3\" style=\"width:74%\" name=\"andere2\">";
		echo $hp_psb['nicht_erreicht_anderes_text'] . "</textarea></td>";
	}
	echo "</tr>\n";
	new stwTabLine(2,30);
	
	/* 12. Zufriedenheit mit Hilfe / Sozialarbeiter */
	$skala = new stwSkala($rvar_proj_id);
	if($b) {
		echo "<tr>\n";
		if($a) echo "<th rowspan=\"3\" colspan=\"2\"></th>\n";
		echo "<th colspan=\"2\" class=\"ww\"><ol start=\"13\"><li>Wie fanden Sie insgesamt die Hilfe?</li></ol></th></tr>\n";
		echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = &uuml;berhaupt nicht hilfreich;</td>\n";
		echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
		$skala->displaySkala("skala_hilfe_insgesamt", $hp_psb['skala_hilfe_insgesamt'], $ti); $ti++;
		echo "</td></tr>\n";
		echo "<tr><td>12 = sehr hilfreich</td></tr>\n";
		echo "</table></td></tr>\n";
		new stwTabLine(2,30);
	}
	echo "<tr>\n";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"12\"><li>Wie warst Du mit der Begleitung durch den Sozialarbeiter zufrieden?</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"14\"><li>Wie zufrieden waren Sie mit der Zusammenarbeit mit dem Leistungserbringer?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = gar nicht zufrieden;</td>\n";
		echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
		$skala->displaySkala("skala1le_zufrieden", $hp_kind['skala_le_zufrieden'], $ti); $ti++;
		echo "</td></tr>\n";
		echo "<tr><td>12 = sehr zufrieden</td></tr>\n";
		echo "</table></td>\n";
	}
	if($b) {
		echo "<td colspan=\"2\" ";
		if($a) echo "rowspan=\"7\"";
		echo "><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = gar nicht zufrieden;</td>\n";
		echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
		$skala->displaySkala("skala2le_zufrieden", $hp_psb['skala_le_zufrieden'], $ti); $ti++;
		echo "</td></tr>\n";
		echo "<tr><td>12 = sehr zufrieden</td></tr>\n";
		echo "</table></td>";
	}
	echo "</tr>\n";

	/* 13.+14. Was hat dir geholfen / nicht gefallen */
	if($a) {
		new stwTabLine(2,2);
		echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"13\"><li>Was hat Dir besonders geholfen?</li></ol></th></tr>\n";
		echo "<tr><td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"geholfen\" tabindex=\"$ti\">";
		echo $hp_kind['geholfen_text'] . "</textarea></td></tr>\n"; $ti++;
		new stwTabLine(2,2);
		echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"14\"><li>Was hat Dir nicht gefallen?</li></ol></th></tr>\n";
		echo "<td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"nicht_gefallen\" tabindex=\"$ti\">";
		echo $hp_kind['nicht_gefallen_text'] . "</textarea></td></tr>\n"; $ti++;
	}
  } elseif($page == "Seite 5") {
	/* 15. Wuerdet ihr wieder Hilfe in Anspruch nehmen */
	echo "<tr>\n";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"15\"><li>W&uuml;rdest Du in der gleichen Situation diese Hilfe wieder annehmen?</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"15\"><li>W&uuml;rden Sie wieder Hilfe in Anspruch nehmen?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['wieder']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wieder1\" value=\"1\" tabindex=\"$ti\"></td>\n"; $temp1=$ti; $ti++;
		echo "<td>Ja</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['wieder']==1) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wieder2\" value=\"1\" tabindex=\"$ti\"></td>\n"; $temp2=$ti; $ti++;
		echo "<td>Ja</td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['wieder']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wieder1\" value=\"2\" tabindex=\"$temp1\" onclick=\"document.Endfragebogen.wieder1text.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">Nein</span> <textarea rows=\"1\" style=\"width:90%\" name=\"wieder1text\">";
		echo $hp_kind['wieder_text'] . "</textarea></td>\n";
	}
	if($b) {
		$checked = ($hp_psb['wieder']==2) ? "checked" : "";
		echo "<td class=\"cl1\"><input type=\"radio\" $checked name=\"wieder2\" value=\"2\" tabindex=\"$temp2\" onclick=\"document.Endfragebogen.wieder2text.focus()\"></td>\n";
		echo "<td class=\"ww\"><span style=\"vertical-align:top;height:100%\">Nein</span> <textarea rows=\"1\" style=\"width:90%\" name=\"wieder2text\">";
		echo $hp_psb['wieder_text'] . "</textarea></td>";
	}
	echo "</tr>\n<tr>\n";
	if($a) {
		$checked = ($hp_kind['wieder']==3) ? "checked" : "";
		echo "<td width=\"10\" class=\"cl1\"><input type=\"radio\" $checked name=\"wieder1\" value=\"3\" tabindex=\"$temp1\"></td>\n";
		echo "<td>teilweise</td>\n";
	}
	if($b) {
		$checked = ($hp_psb['wieder']==3) ? "checked" : "";
		echo "<td width=\"10\" class=\"cl1\"><input type=\"radio\" $checked name=\"wieder2\" value=\"3\" tabindex=\"$temp2\"></td>\n";
		echo "<td>teilweise</td>";
	}
	echo "</tr>\n";
	new stwTabLine(2,30);

	/* 16. Zufriedenheit mit dem Jugendamt */
	$skala = new stwSkala($rvar_proj_id);
	echo "<tr>\n";
	if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"16\"><li>Wie zufrieden warst Du mit der Beratung durch den zust&auml;ndigen Mitarbeiter im Jugendamt?</li></ol></th>\n";
	if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"16\"><li>Wie zufrieden waren Sie mit der Zusammenarbeit mit dem zust&auml;ndigen Mitarbeiter im Jugendamt?</li></ol></th>";
	echo "</tr>\n<tr>\n";
	if($a) {
		echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = gar nicht zufrieden;</td>\n";
		echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
		$skala->displaySkala("skala1ja_zufrieden", $hp_kind['skala_ja_zufrieden'], $ti); $ti++;
		echo "</td></tr>\n";
		echo "<tr><td>12 = sehr zufrieden</td></tr>\n";
		echo "</table></td>\n";
	}
	if($b) {
		echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = gar nicht zufrieden;</td>\n";
		echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
		$skala->displaySkala("skala2ja_zufrieden", $hp_psb['skala_ja_zufrieden'], $ti); $ti++;
		echo "</td></tr>\n";
		echo "<tr><td>12 = sehr zufrieden</td></tr>\n";
		echo "</table></td>";
	}
	echo "</tr>\n";
	new stwTabLine(2,30);

	if($ja[2] == 2 || $ja[2] == 9) {
		/* 17. Wie sehr konntet ihr euch an der Auswahl der Hilfe beteiligen? */
		echo "<tr>\n";
		if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"17\"><li>Wie sehr konntest Du Dich an der Auswahl der Hilfe beteiligen?</li></ol></th>\n";
		if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"17\"><li>Wie sehr konnten Sie sich an der Auswahl der Hilfe beteiligen?</li></ol></th>";
		echo "</tr>\n<tr>\n";
		if($a) {
			echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = gar nicht;</td>\n";
			echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
			$skala->displaySkala("skala1beteiligt", $hp_kind['skala_beteiligt'], $ti); $ti++;
			echo "</td></tr>\n";
			echo "<tr><td>12 = sehr</td></tr>\n";
			echo "</table></td>\n";
		}
		if($b) {
			echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = gar nicht;</td>\n";
			echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
			$skala->displaySkala("skala2beteiligt", $hp_psb['skala_beteiligt'], $ti); $ti++;
			echo "</td></tr>\n";
			echo "<tr><td>12 = sehr</td></tr>\n";
			echo "</table></td>";
		}
		echo "</tr>\n";
		new stwTabLine(2,30);

		/* 18. Was ihr schon immer sagen wolltet... */
		echo "<tr>\n";
		if($a) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"18\"><li>Was Du schon immer mal sagen wolltest...</li></ol></th>\n";
		if($b) echo "<th colspan=\"2\" class=\"ww\"><ol start=\"18\"><li>Hier haben Sie die M&ouml;glichkeit uns mitzuteilen, was Sie eventuell noch auf dem Herzen haben.</li></ol></th>";
		echo "</tr>\n<tr>\n";
		if($a) {
			echo "<td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"letzte1worte\" tabindex=\"$ti\">";
			echo $hp_kind['letzte_worte'] . "</textarea></td>\n"; $ti++;
		}
		if($b) {
			echo "<td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"letzte2worte\" tabindex=\"$ti\">";
			echo $hp_psb['letzte_worte'] . "</textarea></td>"; $ti++;
		}
		echo "</tr>\n";
	}
  }
  new stwTabLine(1,30);
  echo "</table>\n";
}
if($hpv_form >= 10) {
	$skala = new stwSkala($rvar_proj_id);
	echo "<table width=\"100%\" cellpadding=\"1\" cellspacing=\"0\">\n";
	echo "<tr><th style=\"text-align:center\" colspan=\"5\">Endfragebogen Bautzen Stand Januar 2017</th></tr>\n<tr>";
	echo "<th style=\"text-align:center\" width=\"450\">".$projekt->name()."</th>\n";
	echo "<td rowspan=\"50\" width=\"1\" bgcolor=\"#006400\">\n";
	echo "<th style=\"text-align:center\" width=\"450\">Eltern / Personensorgeberechtigte</th>";
	echo "</tr>\n";
	new stwTabLine(2,30);
	echo "<tr><th colspan=\"5\" bgcolor=\"#006400\" style=\"text-align:center\">Einschtzungen zum Jugendamt</th></tr>\n";

	echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"1\"><li>Die MitarbeiterInnen des Jugendamtes haben mich ernst genommen</li></ol></th>\n";
	echo "<th colspan=\"2\" class=\"ww\"><ol start=\"1\"><li>Die MitarbeiterInnen des Jugendamtes haben mich ernst genommen</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("kind_anerkannt", $hp_kind['anerkannt'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td>\n";
	echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("psb_anerkannt", $hp_psb['anerkannt'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(2,30);

	echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"2\"><li>Ich / Wir wurden ausreichend an der Auswahl der Hilfe beteiligt</li></ol></th>\n";
	echo "<th colspan=\"2\" class=\"ww\"><ol start=\"2\"><li>Ich / Wir wurden ausreichend an der Auswahl der Hilfe beteiligt</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("kind_skala_bzw_beteiligt", $hp_kind['skala_bzw_beteiligt'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td>\n";
	echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("psb_skala_bzw_beteiligt", $hp_psb['skala_bzw_beteiligt'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(2,30);

	echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"3\"><li>In den Gesprchen mit dem Jugendamt konnte ich sagen, was mir wichtig ist.</li></ol></th>\n";
	echo "<th colspan=\"2\" class=\"ww\"><ol start=\"3\"><li>Vom Jugendamt wurde/n ich / wir gut ber mgliche andere Hilfen informiert.</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("kind_skala_ja_zufrieden", $hp_kind['skala_ja_zufrieden'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td>\n";
	echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("psb_skala_ja_zufrieden", $hp_psb['skala_ja_zufrieden'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(2,2);

	echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"4\"><li>Die Vereinbarungen und Absprachen mit den MitarbeiterInnen des Jugendamtes wurden eingehalten.</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("kind_dauer", $hp_kind['dauer'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(2,30);

	echo "<tr><th colspan=\"5\" bgcolor=\"#006400\" style=\"text-align:center\">Einschtzungen zur Hilfe insgesamt</th></tr>\n";

	echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"5\"><li>Meine Ziele sind erreicht.</li></ol></th>\n";
	echo "<th colspan=\"2\" class=\"ww\"><ol start=\"4\"><li>Sind Ihre Ziele erreicht? (Hauptziel)</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("kind_skala_hilfe_insgesamt", $hp_kind['skala_hilfe_insgesamt'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td>\n";
	echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("psb_skala_hilfe_insgesamt", $hp_psb['skala_hilfe_insgesamt'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(2,30);

	echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"6\"><li>Meine Mitarbeit war gut.</li></ol></th>\n";
	echo "<th colspan=\"2\" class=\"ww\"><ol start=\"5\"><li>Unsere / meine Mitarbeit war gut</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("kind_skala_beteiligt", $hp_kind['skala_beteiligt'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td>\n";
	echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("psb_skala_beteiligt", $hp_psb['skala_beteiligt'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(2,30);

	echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"7\"><li>Ich war zuverlssig.</li></ol></th>\n";
	echo "<th colspan=\"2\" class=\"ww\"><ol start=\"6\"><li>Die Hilfe orientierte sich an den von mir / uns verfolgten Zielen.</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("kind_wie", $hp_kind['wie'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td>\n";
	echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("psb_einbezogen", $hp_psb['einbezogen'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(2,30);

	echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"8\"><li>Zwischen mir und meinem/meiner SozialarbeiterIn bestand Ehrlichkeit und Vertrauen.</li></ol></th>\n";
	echo "<th colspan=\"2\" class=\"ww\"><ol start=\"7\"><li>Ehrlichkeit und Vertrauen zu den SozialarbeiterInnen (Helfer) waren vorhanden.</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("kind_skala_le_zufrieden", $hp_kind['skala_le_zufrieden'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td>\n";
	echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("psb_skala_le_zufrieden", $hp_psb['skala_le_zufrieden'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	echo "<tr><td colspan=\"2\"></td><td bgcolor=\"#008000\" colspan=\"2\"></td></tr>\n";

	echo "<tr><td colspan=\"2\"></td><th colspan=\"2\" class=\"ww\"><ol start=\"8\"><li>Die Gesprche mit den SozialarbeiterInnen (Helfer) waren hilfreich.</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"></td><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("psb_einverstanden", empty($hp_psb['einverstanden']) ? $hp_kind['einverstanden'] : $hp_psb['einverstanden'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(2,30);

	echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"9\"><li>Die Hilfe hat auch meiner Familie etwas gebracht.</li></ol></th>\n";
	echo "<th colspan=\"2\" class=\"ww\"><ol start=\"9\"><li>Durch die Hilfe ist es zu positiven Vernderungen im Leben meiner Familie gekommen.</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("kind_wieder", $hp_kind['wieder'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td>\n";
	echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("psb_wieder", $hp_psb['wieder'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(2,30);

	echo "<tr><th colspan=\"2\" class=\"ww\"><ol start=\"10\"><li>Die Hilfe hat mir etwas gebracht.</li></ol></th>\n";
	echo "<th colspan=\"2\" class=\"ww\"><ol start=\"10\"><li>Durch die Hilfe ist es zu positiven Vernderungen fr mein Kind / meine Kinder gekommen.</li></ol></th></tr>\n";
	echo "<tr><td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("kind_andere_person", $hp_kind['andere_person'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td>\n";
	echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr><td>1 = trifft &uuml;berhaupt nicht zu</td>\n";
	echo "<td rowspan=\"2\" style=\"text-align:right\">\n";
	$skala->displaySkala("psb_andere_person", $hp_psb['andere_person'], $ti); $ti++;
	echo "</td></tr>\n";
	echo "<tr><td>10 = trifft voll und ganz zu</td></tr>\n";
	echo "</table></td></tr>\n";
	new stwTabLine(2,30);

	echo "<tr><th colspan=\"2\">M&ouml;chtest Du noch etwas aufschreiben?</th>";
	echo "<th colspan=\"2\">M&ouml;chten Sie weitere Anmerkungen zur Hilfe machen?</th></tr>\n";
	echo "<tr><td rowspan=\"2\"><textarea name=\"kind_letzte_worte\" style=\"width:100%;height:150px\">";
	echo $hp_kind['letzte_worte'] . "</textarea></td>";
	echo "<td rowspan=\"2\"><textarea name=\"psb_letzte_worte\" style=\"width:100%;height:150px\">";
	echo $hp_psb['letzte_worte'] . "</textarea></td></tr>";
	echo "</table>\n";
	new stwLine(2);
}
if(isset($rvar_hp_id)) echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\">\n";	
echo "<input type=\"hidden\" name=\"hpv_form\" value=\"$hpv_form\">\n";
echo "<input type=\"submit\" name=\"save\" value=\"speichern\" tabindex=\"$ti\">\n";
echo "</form>\n";

/* stwEnd muss fuer die Dateiausgabe eindeutige Zahlen uebergeben bekommen */
if (!empty($rvar_proj_id) && !empty($rvar_hp_id)) {
	new stwEnd($seite, NULL, NULL, NULL, $rvar_proj_id, $rvar_hp_id);
} else {
	new stwEnd($seite);
}
?>
