<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_ap.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

session_start();
$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");

$projekt = &new stwProjekt($rvar_proj_id);

$projekt->InfoZeile();
new stwLine(1);

/* Beginn Rahmentabelle */
echo "<table style=\"border-spacing: 0; padding: 0\">\n";
echo "<tr>\n"; /* Beginn Rahmenzeile */
/*Beginn linke Teiltabelle */
echo "<td><table style=\"border-spacing: 0; padding: 0\">\n";
echo "<tr><td><table>\n"; /* Beginn Zeile/Teiltabelle Maske */
/* Maske Einzelkontakt hinzufuegen */
$ti = 1;

echo "<form method=\"post\" action=\"pro_ap_sql.php\">\n";
echo "<input type=\"hidden\" name=\"do\" value=\"add\">\n";
echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";

echo "<tr><th class=\"cl1\">Fundraising-Kontakte:</th></tr>\n<tr><td>\n";
$aps = abfrage1("select a.ap_id, a.vorname, a.name, k.name as kname
                 from tb_kontakte_ap a
                 left join tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='0'
                 left join tbh_ap_proj h on a.ap_id = h.ap_id
                    and h.proj_id = '$rvar_proj_id'
                 where a.fr_id > 0
                 and h.ap_id is null
                 order by a.vorname asc, a.name asc;");
if (mysql_num_rows($aps) > 0){
  echo "<select name=\"ap_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
  while ($ap = mysql_fetch_assoc($aps)){
    echo "<option value=\"{$ap['ap_id']}\"";
    if (strlen($ap['kname']) > 0) echo " title=\"{$ap['kname']}\"";
    echo '>';
    $name  = (strlen($ap['vorname']) > 0) ? $ap['vorname'] . ' ' : '';
    $name .= $ap['name'];
    $name .= (strlen($ap['kname']) > 0) ? ', ' . strCut($ap['kname'], 15) : '';
    echo $name . "</option>\n";
  }
  echo "</select>\n</td>\n";
  echo "<td>";
  echo "<input type=\"submit\" value=\"Hinzuf&uuml;gen\" tabindex=\"$ti\">";
} else {
  echo "keine weiteren Fundraising-Kontakte vorhanden";
}
echo "</td></tr>\n";
echo "</form>\n";

new stwTabLine(1,30);

echo "</table></td></tr>\n"; /* Ende Zeile/Teiltabelle Maske */

/* bereits zugeodnete Kontakte abfragen */
$aps = abfrage1("select a.ap_id, a.vorname, a.name, k.name as kname,
                 k.kont_art_id, a.fr_id
                 from tbh_ap_proj h
                 left join tb_kontakte_ap a on h.ap_id = a.ap_id
                 left join tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='0'
                 where h.proj_id = '$rvar_proj_id'
                 order by a.vorname asc, a.name asc;");

/* wenn zugeordnete Kontakte vorhanden -> Tabelle aufbauen und anzeigen */
if (mysql_num_rows($aps) > 0){
  /* Beginn Zeile/Teiltabelle Liste zugeord. Kontakte */
  echo "<tr><td><table>\n";
  echo "<tr><th colspan=\"4\">zugeordnete Fundraising-Kontakte:</th></tr>\n";
  new stwTabLine(2,30);
  while ($ap = mysql_fetch_assoc($aps)){
    echo "<tr><td class=\"cl1\">";
    if ($ap['kont_id'] > 0){
      $link = "kont_ap_and.php?kont_id={$ap['kont_id']}&ka={$ap['kont_art_id']}&";
    } else {
      $link = 'personen_and.php?';
    }

    echo "<a href=\"" . $link . "ap_id={$ap['ap_id']}&st=61&fr={$ap['fr_id']}\">";
    echo $ap['name'] . "</a></td>\n";
    echo "<td class=\"cl1\">{$ap['vorname']}</td>\n";
    if (strlen($ap['kname']) > 0) {
      echo "<td class=\"cl1\"";
      if (strlen($ap['kname']) > 0) echo stwToolTip($ap['kname']);
      echo '>' . strCut($ap['kname'], 15) . "</td>\n";
    } else {
      echo "<td></td>\n";
    }

    echo "<td><a href=\"pro_ap_sql.php?do=del&proj_id=$rvar_proj_id&";
    echo "ap_id={$ap['ap_id']}\" style=\"color:#FF0000;\"";
    $tip  = "<b>VORSICHT!</b><br>Kontaktzuordnung wird gel&ouml;scht!";
    echo stwToolTip($tip);
    echo ">X</a></td>\n";
    echo "</tr>\n";
  }
  new stwTabLine(1,30);
  /* Ende Zeile/Teiltabelle Liste zugeord. Kontakte */
  echo "</table></td></tr>\n";
}

echo "</table></td>\n"; /* Ende linke Teiltabelle */

echo "<td width=\"25\"></td>\n"; /* Trennung linke und rechte Teiltabelle */

echo "<td><table>\n"; /*Beginn rechte Teiltabelle */
echo "<tr><th colspan=\"2\">Kontaktgruppen hinzuf&uuml;gen:</th></tr>";

$grs = abfrage1("select grp_id, name from tb_kontakte_grp order by name asc;");

if (mysql_num_rows($grs) > 0){
  new stwTabLine(2,2);
  while ($gr = mysql_fetch_row($grs)){
    echo "<tr><td style=\"padding-right:20px\">";
    echo "<a href=\"kont_grp_mit.php?grp_id=$gr[0]\"";
    echo stwToolTip('Mitglieder ansehen / &auml;ndern');
    echo ">$gr[1]</a></td>\n";
    echo "<td><a href=\"pro_ap_sql.php?grp_id=$gr[0]&proj_id=$rvar_proj_id\">";
    echo "hinzuf&uuml;gen</a></td></tr>\n";
  }
}
new stwTabLine(1,2);

echo "</table></td>\n"; /* Ende rechte Teiltabelle */
echo "</tr>\n"; /* Ende Rahmenzeile */
echo "</table>\n"; /* Ende Rahmentabelle */

new stwEnd($seite);
?>
