<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_betrsql.php 2868 2018-06-20 06:58:42Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 require("inc/func.inc.php");

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

if (isset($_POST['proj_id']) && !empty($_POST['pers_id']) && !empty($_POST['personaltyp_id'])){
	$pros=abfrage1("select p.proj_id from tb_projekte p
					left join tbh_projekt_gruppe pg using(proj_id)
					where (pg.proj_id_gruppe='$rvar_proj_id'
					and pg.von <= curdate() and (pg.bis is null or pg.bis >= curdate()))
					or p.proj_id='$rvar_proj_id'");

  while($pro = mysql_fetch_row($pros)) {
	$vor = abfrage("select pers_id, eingearbeitet_pers_id, eingearbeitet_ts
					from tbh_pers_proj
					where proj_id = '$pro[0]' and pers_id = '$rvar_pers_id';");
	$neu = ($vor[0] == $rvar_pers_id) ? false : true;

	$sql  = ($neu) ? 'insert into ' : 'update ';
	$sql .= 'tbh_pers_proj set ';
	$sql .= ($neu) ? "proj_id = '$pro[0]', " : '';
	$sql .= "pers_id = '$rvar_pers_id', personaltyp_id = '$rvar_personaltyp_id', ";
	$sql .= "kat_id = '$rvar_kat_id', fuer = '$rvar_fuer', hperw = '$rvar_hperw', ";
	$sql .= "perstyp_vertr = '$rvar_perstyp_vertr', ";
	if($rvar_eingearbeitet == 1) {
		if($neu || empty($vor[1])) {
			$sql .= "eingearbeitet_pers_id = '{$_SESSION[$AppCode]['UID']}', eingearbeitet_ts = unix_timestamp(now()) ";
		} else $sql .= "eingearbeitet_pers_id = '$vor[1]', eingearbeitet_ts = '$vor[2]' ";
	} else $sql .= "eingearbeitet_pers_id = NULL, eingearbeitet_ts = NULL ";
	if ($_SESSION[$AppCode]['ULV'] >= 96){
		$bes = abfrage("select besch_id from tb_personal where pers_id = '$rvar_pers_id';");
		$sql .= ($bes[0] == 2) ? ", kl_id = '$rvar_kl_id', ppkw = '$rvar_ppkw' " : '';
	}

	$sql .= ($neu) ? ';' : "where proj_id = '$pro[0]' and pers_id = '$rvar_pers_id';";
	abfrage2($sql);
	if(!$neu) {
		$hp = abfrage("select hp_id from tb_hp where proj_id='$pro[0]' and hp_art in ('h','h2','s') and and_datum <= curdate() order by datum desc limit 1");
		if($hp[0]) {
			$sql = "update tbh_pers_proj_hp 
					set personaltyp_id='$rvar_personaltyp_id' 
					where pers_id='$rvar_pers_id' and hp_id='$hp[0]'";
			abfrage2($sql);
		}
		$hps = abfrage1("select hp_id from tb_hp where proj_id='$pro[0]' and hp_art in ('h','h2','s') and and_datum > curdate()");
		while($hp = mysql_fetch_row($hps)) {
			$sql = "update tbh_pers_proj_hp 
					set personaltyp_id='$rvar_personaltyp_id' 
					where pers_id='$rvar_pers_id' and hp_id='$hp[0]'";
			abfrage2($sql);
		}
	}

	updateBetrLastHP($pro[0]);

	/* AZK Cache fuer dieses Projekt zuruecksetzen */
	$sql = "DELETE FROM tb_azk_proj WHERE proj_id='$pro[0]';";
	abfrage2($sql);
  }
}
if (isset($_POST['team_art_id']) && !empty($_POST['pers_id']) && !empty($_POST['personaltyp_id'])){
	$vor = abfrage("select pers_id, eingearbeitet_pers_id, eingearbeitet_ts
					from tb_team_art_pers
					where team_art_id = '$rvar_team_art_id' and pers_id = '$rvar_pers_id';");
	$neu = ($vor[0] == $rvar_pers_id) ? false : true;
	if($neu) {
		$sql = "insert into tb_team_art_pers set pers_id = '$rvar_pers_id', 
				team_art_id = '$rvar_team_art_id', nur_protokoll=NULL, ab_datum=curdate(), ";
	} else $sql = "update tb_team_art_pers set ";
	$sql .= "fokus = '$rvar_personaltyp_id', fuer = '$rvar_fuer', perstyp_vertr = '$rvar_perstyp_vertr', ";
	$sql .= "remind = " . ($rvar_rchk==1 ? "'$rvar_remind', " : "NULL, ");
	if($rvar_eingearbeitet == 1) {
		if($neu || empty($vor[1])) {
			$sql .= "eingearbeitet_pers_id = '{$_SESSION[$AppCode]['UID']}', eingearbeitet_ts = unix_timestamp(now()) ";
		} else $sql .= "eingearbeitet_pers_id = '$vor[1]', eingearbeitet_ts = '$vor[2]' ";
	} else $sql .= "eingearbeitet_pers_id = NULL, eingearbeitet_ts = NULL ";
	if(!$neu) $sql .= " where pers_id = '$rvar_pers_id' and team_art_id = '$rvar_team_art_id'";
	abfrage2($sql);
}
if (isset($_POST['aufgabe_id']) && !empty($_POST['pers_id']) && !empty($_POST['personaltyp_id'])){
	$vor=abfrage("select pers_id from tbh_pers_auf where aufgabe_id = '$rvar_aufgabe_id' and pers_id = $rvar_pers_id;");
	$neu = ($vor[0] == $rvar_pers_id) ? false : true;
	if($neu) $sql = "insert into";
	else $sql = "update";
	$sql .= " tbh_pers_auf set personaltyp_id='$rvar_personaltyp_id'";
	if($rvar_personaltyp_id == 9) $sql .= ", zust='j'";
	if($neu) $sql .= ", aufgabe_id = '$rvar_aufgabe_id', pers_id = $rvar_pers_id;";
	else $sql .= " where aufgabe_id = '$rvar_aufgabe_id' and pers_id = $rvar_pers_id;";
	abfrage2($sql);
}
if(isset($_POST['proj_id'])) {
	if(empty($rvar_returnpath)) $rvar_returnpath = 'pro_daten';
	elseif(isset($rvar_proj_id_neu) && isset($rvar_proj_id_alt)) {
		$rvar_proj_id = "$rvar_proj_id_alt&proj_id_neu=$rvar_proj_id_neu";
	}
	$url = $rvar_returnpath . ".php?proj_id=$rvar_proj_id";
}
if(isset($_POST['team_art_id'])) $url = "team_art_and.php?team_art_id=$rvar_team_art_id";
if(isset($_POST['aufgabe_id'])) $url = "auf_and.php?aufgabe_id=$rvar_aufgabe_id";
header("Location: $url");
?>
