<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_daten_aktenzeile.php 2850 2018-04-25 09:55:31Z tfreudenberg $
 *
 */

 if(!isset($show_post_transfer_checkbox)) $show_post_transfer_checkbox = false;
 if(!isset($do_not_allow_delete)) $do_not_allow_delete = false;

$title = '';
switch ($zeile[3]) {
	case 'q':
		if ($zeile[4] == '0000-00-00' || is_null($zeile[4])) {
			$style = " style=\"color:rgb(64,255,64)\"";
		} else {
			$style = '';
		}
		break;
		
	case 'r':
		$kwg = abfrage("select kwg from tb_hp_re where hp_id = $zeile[0];");
		if ($kwg[0] == 1 && ($zeile[7] > $zeile[8] ||
				$zeile[4] == '0000-00-00' || is_null($zeile[4]))){
			$style = " style=\"color:hotpink\"";
		 } elseif ($zeile[4] == '0000-00-00' || is_null($zeile[4])){
			$style = " style=\"color:rgb(64,255,64)\"";
		} elseif ($zeile[7] > $zeile[8]){
			$style = " style=\"color:rgb(255,0,0)\"";
		} else {
			$style = "";
		}
		break;
		
	case 's':
		if ($zeile[9] == 'j'){
			if($zeile[15] == 'aus Anfrage') $style = " style=\"color:#669966\"";
			else $style = " style=\"color:rgb(150,150,150)\"";
		} else {
			$style = "";
		}
		break;

	case 'h2':
		$v_hp = abfrage1("select v_hp_id from tbh_hp_verbund where hp_id='$zeile[0]'");
		$verbund = (mysql_num_rows($v_hp) > 0);
		$style = $verbund ? "style=\"color:#FFFF00;\"" : '';
		$katComplain = false;
		if($nurbasis && check_zielkategorien_hp($zeile[0], $projekt->ja) == false) {
			$style="style=\"color:#FF0000;\"";
			$katComplain = true;
		}
		break;
		
	default:
		$style = "";
		break;
}
$zeile_anzeigen = true;

/* je nach Art werden die verschiedenen Variablen initialisiert */
switch ($zeile[3]) {
	case "h2":
		/* fuer Dateioperationen drei Zahlen festlegen */
		$datei1 = $zeile[1];
		$datei2 = $zeile[0];
		$rechte_id = "4";

		/* gezeigte Abkuerzung festlegen anhand der Anzahl */
		$query  = "SELECT COUNT(eg_id) FROM tb_hp_eg t1 "
				. "WHERE t1.hp_id = '$zeile[0]'";
		$erg	= abfrage($query);
		$abk	= ($erg[0] != 0) ? 'EG' : 'HP';
		$verbunden = $verbund ? " (verbunden)" : '';
		if ($nurbasis) {
			$datum  = abfrage("select datum from tb_hp where hp_id='$zeile[0]'");
			$ziele  = abfrage1("SELECT nummer, ziel FROM tb_hp_praxisziele"
							. " WHERE hp_id IN ("
								. " SELECT hp_id FROM tb_hp"
								. " WHERE proj_id = '$projekt->id'"
								. " AND datum <= '$datum[0]')"
							. " AND LE='1' AND HE='1' AND ASD='1' AND"
							. " (erledigt IS NULL OR erledigt = '0000-00-00')"
							. " ORDER BY nummer ASC");
			if($erg[0] != 0) $title = "<b>Erstgespr&auml;ch</b>";
			else $title = "<b>Hilfeplan</b>";
			$title .= $verbunden;
			if($katComplain) $title .= "<br /><b>!!! Zielkategorien &uuml;berpr&uuml;fen !!!</b>";
			$query  = "SELECT t1.minimalkonsens FROM tb_hp_eg t1 "
					. "INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id "
					. "WHERE t2.proj_id = '$projekt->id'";
			$hauptziel = abfrage($query);
			$title .= "<br /><u>Hauptziel:</u><br />" . $hauptziel[0];
			if(mysql_num_rows($ziele) > 0) {
			  $title .= "<br /><u>Praxisziele:</u><br /><ol style=\"margin:0px;\">";
			  while($ziel = mysql_fetch_row($ziele)) {
				$title .= "<li value='$ziel[0]'>$ziel[1]</li>";
			  }
			  $title .= "</ol>";
			}
		} else {
			$title = ($erg[0] != 0) ? "Erstgespr&auml;ch" : "Hilfeplan";
			$title .= $verbunden;
		}
		$link	= 'pro_hp2.php';
		$prlink	= '';
		$info	= '';
		break;

	case "ag":
		/* fuer Dateioperationen drei Zahlen (gleiche, wie bei HP) */
		$datei1	= $zeile[1];
		$datei2	= $zeile[0];
		$rechte_id = "4";
		$abk	= 'AG';
		$title	= "Abschlussgespr&auml;ch";
		$link	= 'pro_ag.php';
		$prlink	= '';
		$info	= '';
		break;

	case "bu":
		/* fuer Dateioperationen drei Zahlen (gleiche, wie bei HP) */
		$datei1	= $zeile[1];
		$datei2	= $zeile[0];
		$rechte_id = "4";
		$abk	= 'BU';
		$title	= "Begleiteten Umgang";
		$link	= 'pro_bu.php';
		$prlink	= 'pro_pr_bu.php';
		$info	= 'Bericht Begleiteter Umgang drucken';
		break;

	case 'h':
		$link	= 'pro_hp.php';
		$abk	= ($zeile[6] == 'j') ? 'EG' : 'HP';
		$title	= ($erg[0] != 0) ? "Erstgespr&auml;ch" : "Hilfeplan";
		$prlink	= '';
		$info	= '';
		break;

	case 's':
		$link	= 'pro_st.php';
		$abk = ($zeile[15] == 'aus Anfrage') ? 'Anfrage' : "ST";
		$title	= "Stunden&auml;nderung<br /><u>Grund:</u><br />";
		if (!empty ($zeile[15])) {
			$title .= $zeile[15];
		} else {
			$title .= "<b>fehlt</b>";
		}
		$prlink	= '';
		$info	= '';
		break;

	case 'r':
		/* fuer Dateioperationen zwei Zahlen setzen */
		$datei1	= $zeile[1];
		$datei2	= $zeile[0];
		$rechte_id = "6";

		$link	= 'pro_re.php';
		$prlink	= 'pro_pr_re.php';
		$info	= 'Reflexionswunsch drucken';
		$abk	= 'RF';
		$title	= "<b>Reflexion</b>";
		$rf		= abfrage("select frage, prozess, fok_g, fok_s, fok_h, ergebnis from tb_hp_re where hp_id='$zeile[0]'");
		$ueberschrift = array('Fragestellung', 'Prozessreflexion', 'Fokus&nbsp;Gruppe', 'Fokus&nbsp;Berater/Supervisor', 'Fokus&nbsp;Hauptbetreuer', 'Ergebnis');
		for($i=0; $i<6; $i++) {
			if(!empty($rf[$i])) $title .= "<br />&nbsp;<b>" . $ueberschrift[$i] . ":</b> " . $rf[$i];
		}
		if($kwg[0] == 1) {
			$abk.= "<img src=\"img/icon_kwg.png\"";
			$kwg = abfrage("select ressourcen from tb_hp where hp_art = 'k'"
						. " and proj_id = $projekt->id and and_datum is null;");
			$abk.= stwToolTip(" <b> Anlass&nbsp;Kindeswohlgef&auml;hrdung: </b> $kwg[0]");
			$abk.= " />";
		}
		break;

	case 'a':
		$link	= 'pro_ab.php';
		$abk	= 'AB';
		break;

	case 'q':
		$link	= 'pro_qs.php';
		$abk	= 'IQS';
		$title	= "Qualit&auml;tssicherung";
		break;

	case 'd':
		$link	= 'pro_sd.php';
		$prlink	= 'pro_sd_pr.php';
		$info	= 'Sozialp&auml;dagogische Diagnose drucken';
		$abk	= 'SD';
		$title	= "Sozialp&auml;dagogische Diagnose";
		break;

	case 'b':
		$bel	= abfrage("select k.kat from tb_hp_bel b"
						." left join tb_bel_kat k using(bel_kat_id)"
						." where b.hp_id = '$zeile[0]';");
		$link	= 'pro_bel.php';
		$prlink	= 'bel_pr.php';
		$info	= 'Belehrung drucken';
		$title	= "Belehrung:<br><b>$bel[0]</b>";
		$abk	= 'BEL';
		$style  = "style=\"color:#3333FF\"";
		$datei1	= $zeile[0];
		$datei2	= "0";
		$rechte_id = "36";
		break;

	case 'x':
		/* ID fuer diesen Posteintrag aus DB holen */
		$query 	= "SELECT t2.kurzname, t1.post_in_id, "
				. "t1.betreff, t1.notizen, k.name, k.name2, k.kurzname "
				. "FROM tb_post_eingang t1 "
				. "left join tb_kontakte k "
				. "on k.kont_id = t1.kont_id and k.kh_id='0' "
				. "INNER JOIN tb_post_art t2 ON "
				. "t1.postart_id = t2.post_art_id WHERE "
				. "t1.hp_id = '$zeile[0]';";
		$erg	= abfrage($query);

		/* fuer Dateioperationen im Postbereich Zahlen festlegen */
		$datei1	= $erg[1];
		$datei2	= "0";
		$rechte_id = "5";
		$id = substr("00".$erg[1],-3);
		$abk = "<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$erg[6] $id</span> $erg[0]";
		$link	= "post_in.php?post_id=".$erg[1];
		$farbe	= "rgb(51,153,51)";
		$title	= "Posteingang:<br>$erg[4] $erg[5]<br><b>$erg[2]</b><br>$erg[3]";
		break;

	case 'y': /* Link zum Postausgang anbieten */
		$sql	= "SELECT a.postart_id, a.post_out_id, a.brief_id, "
				. "a.betreff, a.notizen, k.name, k.name2, k.kurzname "
				. "FROM tb_post_ausgang a "
				. "left join tb_kontakte k on k.kont_id = a.kont_id and k.kh_id='0' "
				. "WHERE hp_id = '$zeile[0]';";
		$erg	= abfrage($sql);

		/* Rechnung? Pruefen, ob Karteileiche nach Rechnunng aufloesen... */
		if($erg[0] == 4) {
			$re_id = abfrage("select re_id from tb_rechnung where post_out_id='$erg[1]'");
			if(empty($re_id[0])) $zeile_anzeigen = false;
		}

		if ($erg[0] != 0) {
			/* es ist eine Postart vorhanden */
			$sql  = "SELECT kurzname FROM tb_post_art ";
			$sql .= "WHERE post_art_id = '$erg[0]';";
			$erg2 = abfrage($sql);

			/* Titel zuordnen */
			$title = "Postausgang:<br>$erg[5] $erg[6]<br><b>$erg[3]</b><br>$erg[4]";
		} else {
			/* keine Postart vorhanden */
			$erg2[] = "??";
			$title  = "Postausgang ohne Postart";
		}

		/* Abkuerzung und Link zuordnen */
		$datei1	= $erg[1];
		$datei2	= "0";
		$rechte_id = "13";
		$id = substr("00".$erg[1],-3);
		$abk = "<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$erg[7] $id</span> $erg2[0]";
		if (is_null($erg[2])) {
			$link = "post_out.php?post_id=".$erg[1];
		} else {
			$link = "brief.php?id=".$erg[1];
		}

		/* Farbe zuordnen */
		$farbe = "#FF0000";
		break;

	case 'k':
		$link = "pro_kwg.php?hp_id=$zeile[0]&amp;proj_id=$zeile[1]";
		$prlink = "pro_kwg_pr.php";
		$info = "KWG drucken";
		$datei1 = $zeile[1];
		$datei2 = $zeile[0];
		$rechte_id = "25";
		$abk = "KWG";
		$title = "<b>Kindeswohlgef&auml;hrdung";
		if($zeile[16]) $title .= " &nbsp; (KSF: " . pers_kname($zeile[16]) . ")";
		$title .= "</b><br />$zeile[11]";
		$farbe = (empty($zeile[4])) ? '#FF69B4' : '#999999';
		break;
	case 'kz':
		$kwg = abfrage("select hp_id from tbh_kwz_hp z left join tb_hp h using(hp_id) where z.kwz_id=$zeile[0] and h.hp_art='k'");
		$link = "pro_kwg_zw.php?hp_id=$kwg[0]&amp;proj_id=$zeile[1]&amp;kwz_id=$zeile[0]";
		$prlink = "pro_kwg_pr.php";
		$info = "KWG drucken";
		$datei1 = $zeile[1];
		$datei2 = $zeile[0];
		$rechte_id = "25";
		$abk = "KWZ";
		$title = "<b>Zwischenbericht Kindeswohlgef&auml;hrdung</b>";
		$farbe = '#999999';
		break;
	case 'pb': /* fuer Dateioperationen die beiden Zahlen merken */
		$datei1 = $zeile[1];
		$datei2 = $zeile[0];
		$rechte_id = "7";

		$link = "pro_pb.php?hp_id=$zeile[0]&amp;proj_id=$zeile[1]";
		$abk = 'PB';
		$title = 'Projektbericht';
		$prlink = 'pro_pr_pb.php';
		$info = 'Projektbericht drucken';
		$pb = abfrage("select t1_es, t1_pr, t2_es, t2_pr, t3_es, t3_pr, "
					. "t4_es, t4_pr from tb_pb where hp_id = '$zeile[0]';");

		if (in_array(1, $pb)){
			$farbe = '#FF0000';
		} elseif (in_array(2, $pb)){
			$farbe = '#FFFF00';
		} else {
			$farbe = '#00FF00';
		}
		break;
}

if($zeile_anzeigen) {
	echo "<tr>";
	if($show_post_transfer_checkbox) {
		echo "<td>";
		if($zeile[3]=='x' || $zeile[3]=='y') {
			$check = (isset($rvar_h) && is_array($rvar_h) && in_array($zeile[0],$rvar_h)) ? 'checked' : '';
			echo "<input type=\"checkbox\" $check name=\"h[]\" value=\"$zeile[0]\" />";
		}
		echo "</td>";
	}
	echo "<td style=\"text-align:right\">";
	$new = array('x', 'y', 'k', 'pb', 'kz');

	if (in_array($zeile[3], $new)) {

		echo "<a href=\"$link\" style=\"color: $farbe";

		/* wenn ?? als Abkuerzung - zusaetzlich blinken */
		if ($abk == '??') echo "; text-decoration:blink";
		echo ";\"" . stwToolTip($title) . '>';

		$delete = false;

	} else {
		echo "<a href=\"$link?hp_id=$zeile[0]&amp;proj_id=$zeile[1]\" $style";
		if($title != '') echo stwToolTip($title);
		echo ">";
		$delete = true;
	}

	if ($abk == 'EG2'){
		$delete = false;
	}

	if ($zeile[3] == 'pb'){
		$delete = true;
	}

	echo $abk;
	echo "</a>";
	echo "</td><td class=\"cl1\"></td>";
	if($zeile[2] != '0000-00-00') {

		echo "<td>";

		echo date_my2gr($zeile[2]);

		/*
		* Sekunden merken fuer die naechste Auswertung die gleich
		* als naechstes kommt
		*/

		list($tmp_jahr, $tmp_monat, $tmp_tag) = explode("-", $zeile[2]);
		$zeit1 = mktime(0, 0, 0, (int)$tmp_monat, (int)$tmp_tag, (int)$tmp_jahr);

	} else {
		echo "<td width=\"65\">";
	}

	echo "</td><td width=\"5\"></td>";

	if($zeile[4] != '0000-00-00') {

		/*
		* ein zu grosser Unterschied zum ersten Datum oben soll farblich
		* gekennzeichnet werden
		*
		* rot			  - wenn dieser Termin in der Vergangenheit liegt
		* rot blinken	- Termin in Vergangenheit und mehr als 60 Tage
		*					  Unterschied
		* gruen			- wenn mehr als 14 Tage in Zukunft
		* gruen blinken - liegt 60 Tage in der Zukunft
		*
		* nur folgende Projektarten farblich kennzeichnen: HP2, EG2 und ST, RF
		*/
		 if ($zeit1 > 0 && ($zeile[3] == "h2" || $zeile[3] == "s" || $zeile[3] == "r")) {
			list($tmp_jahr, $tmp_monat, $tmp_tag) = explode("-", $zeile[4]);
			$zeit2 = mktime(0, 0, 0, (int)$tmp_monat, (int)$tmp_tag, (int)$tmp_jahr);

			/* Differenz zwischen den Zeiten berechnen */
			$zeit_diff = $zeit2 - $zeit1;

			if ($zeit_diff < 0 && $zeit_diff > -5184000) {
				echo "<td style=\"color:red\">";
			} else if ($zeit_diff <= -5184000) {
				echo "<td style=\"color:red;text-decoration:blink\">";
			/* RF erst 120 Tage in Zukunft hervorheben */
			} else if (($zeit_diff > 10368000 && $zeile[3] == "r") || ($zeit_diff > 1209600 &&
					($zeile[3] == "h2" || ($zeile[3] == "s" && $zeile[9] == 'n')))) {
				/* ST nur gruen wenn prognostisch 'n' */
				if ($zeit_diff >= 5184000 || $zeile[3] == "r") {
					echo "<td style=\"color:#00FF00;text-decoration:blink\">";
				} else {
					echo "<td style=\"color:#00FF00\">";
				}
			} else {
				echo "<td>";
			}
		} else {
			echo "<td>";
		}

		/* jetzt das zweite Datum ausgeben */
		echo date_my2gr($zeile[4]);
	} else {
		echo "<td width=\"65\">";
	}
	echo "</td><td width=\"5\"></td><td align=\"right\"";

	$stunden = array('h', 's', 'h2');
	if(in_array($zeile[3], $stunden) && ($zeile[4] != '0000-00-00')) {
		/* vielleicht gar Tagessatz? */
		$tg = abfrage("select divisor from tbh_hp_satz where hp_id='$zeile[0]'");
		if($tg[0] == 'd') echo ">Tagessatz";
		elseif($tg[0] == 'm') echo ">Monatssatz";
		else {
			/* farbige Hervorhebung bei Fallbegleitung */
			if($zeile[12] == 'j') {
				$one = ($zeile[14] == 'j') ? 1 : 0;
				$kls = fls_form($zeile[5] - $zeile[13] - $one);
				$tt = "KLS = $kls";
				if($zeile[14] == 'j') $tt .= "<br>Fallbegleitung: ja";
				$col = ($zeile[14] == 'j') ? 'color:#FF6600' : '';
				echo " style=\"background-color:#554433;$col\"" . stwToolTip($tt,false);
			} else {
				$one = 0;
			}
			echo ">" . fls_form($zeile[5] - $one);
		}
	} else {
		echo ">";
	}
	echo "</td>";

	$no_print = array('a', 'q', 'j', 'x', 'y');
	if (in_array($zeile[3], $no_print)){
		echo "<td></td>";
	} else {
		echo "<td>";
		if (!empty($prlink)) {
			echo "<a href=\"$prlink?hp_id=$zeile[0]&amp;proj_id=$zeile[1]&ts=" . time() . "\" ";
			echo "target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"drucken\" ";
			echo "border=\"0\"" . stwToolTip($info) . " /></a>";
		}
		echo "</td>";
	}

	/* Druckausgabe alter und neuer Hilfeplan */
	switch ($zeile[3]) {
		case 'h':
			$hpvor = abfrage("SELECT hp_id FROM tb_hpvor WHERE hp_id = $zeile[0];");
			if ($hpvor) {
				echo "<td><a href=\"pro_pr_hpvor.php?hp_id=$zeile[0]&amp;proj_id=$zeile[1]&ts=" . time() . "\"";
				echo " target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"drucken\" ";
				echo "border=\"0\"" . stwToolTip('HP-Vorbereitung drucken');
				echo "/ ></a></td>\n";
			} else {
				echo "<td></td>\n";
			}
			break;
		
		case "h2":
			$hp = abfrage_array("select hpv_form, unix_timestamp(datum), fallbegl from tb_hp where hp_id=$zeile[0]");
			$hpv_form = abfrage("select hpv_form, unix_timestamp(hpv_form_datum) ".
								"from tb_kontakte where kont_id = '$projekt->ja' and kh_id='0';");
			if(is_null($hp[0])) {
				if($hpv_form[0]==1 && $hpv_form[1]<=$hp[1]) $hp_url = 3;
				elseif($hpv_form[0]==2 && $hpv_form[1]<=$hp[1] && $hpv_form[1]>0) $hp_url = 3;
				else $hp_url = 2;
			} else {
				$hp_url = $hp[0] + 2;
			}
			echo "<td><a href=\"pro_pr_hpvor$hp_url.php?hp_id=$zeile[0]&";
			echo "proj_id=$zeile[1]&ts=" . time() . "\" target=\"_pdf\"";
			if($hp['fallbegl'] == 'j') echo " onclick=\"window.open('pro_pr_antrag.php?proj_id=$zeile[1]&hp_id=$zeile[0]&ts=" . time() . "')\"";
			echo "><img src=\"img/drucker.png\" alt=\"drucken\" border=\"0\"";
			echo stwToolTip('HP-Vorbereitung drucken') . " /></a></td>\n";
			break;
		
		case "ag":
			$hpv_form = abfrage("select hpv_form from tb_kontakte where kont_id = '$projekt->ja' and kh_id='0';");
			echo "<td>";
			if($hpv_form[0] == 2 || $hpv_form[0] == 5 || $hpv_form[0] == 9 || $hpv_form[0] == 10) {
				echo "<a href=\"pro_pr_hpag".($hpv_form[0]+2 == 11 ? 4 : $hpv_form[0]+2).".php?hp_id=$zeile[0]&";
				echo "proj_id=$zeile[1]&ts=" . time() . "\" target=\"_pdf\"><img src=\"img/drucker.png\" ";
				echo "alt=\"drucken\" border=\"0\"";
				echo stwToolTip('HP-Abschlussgespr&auml;ch drucken') . " /></a>";
			}
			echo "</td>\n";
			break;

		default:
			echo "<td></td>\n";
	}

	/* verschiedene Links zu den Dateien anbieten */
	$link  = '';

	/* falls es eine Dateimoeglichkeit gibt anbieten */
	if (!empty($rechte_id)) {
		$daten	= new stwDaten($rechte_id);
		$link	= $daten->get_klammer_link($_SESSION['webdir'],
											$_SESSION[$AppCode]['UID'],
											$_SESSION[$AppCode]['ULV'],
											$datei1, $datei2);
		$datei1	= '';
		$datei2	= '';
		$rechte_id = '';
	}
	echo "<td>$link</td>\n";
							 
	echo "<td width=\"5\"></td>";
	if (!$do_not_allow_delete && !$nurbasis && $_SESSION[$AppCode]["ULV"] >= 96 && $delete == true) {
		echo "<td><a style=\"color:red\" href=\"pro_hist_del.php?";
		echo "hp_id=$zeile[0]&amp;proj_id=$zeile[1]\"";
		echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a></td>\n";
	} else {
		echo "<td width=\"10\">&nbsp;</td>\n";
	}

	echo "</tr>\n";
}
?>