<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");

if  (isset($rvar_proj_id)) {
  $projekt = &new stwProjekt($rvar_proj_id);

	echo "<table width=\"750\">\n";
	echo "<tr><th style=\"padding-right:5px\">Projekt-Nr.:</th>\n";
	echo "<td style=\"padding-right:15px\"><a href=\"pro_daten.php?proj_id=$projekt->id\">";
	echo $projekt->nummer() . "</a></td>\n";
	echo "<th style=\"padding-right:5px\">Klient:&nbsp;</th>\n";
	echo "<td style=\"padding-right:15px\">" .  $projekt->name() . "</td>\n";

	// Jugendamt und Sachbearbeiter ermitteln
	$ja = abfrage("select t3.name2, t3.kont_id from tb_kontakte_ap t2
	               left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
	               where t2.ap_id = $projekt->sb;");

	echo "<th style=\"padding-right:5px\">Jugendamt:</th>";
	echo "<td>$ja[0]</td>\n";
	echo "</tr></table>\n";
	new stwLine(1);
}

if (!empty($_GET['einz_id'])){
	$einz = abfrage("select einz_id,
					proj_id,
					date_format(datum, '%d.%m.%Y'),
					betrag,
					text,
					person_id,
					pers_id
					from tb_pro_einz
					where einz_id = {$_GET['einz_id']};");
}


// Einzahlungsformular
echo "<table>\n";
echo "<form action=\"pro_einz_sql.php\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"tg\" value=\"$rvar_tg\">\n";
if (!empty($_GET['einz_id'])){
	echo "<input type=\"hidden\" name=\"einz_id\" value=\"{$_GET['einz_id']}\">\n";
}
echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";

echo "<tr><th style=\"padding-right:20px;color:lime;\">Einnahme buchen :</th>\n";
echo "<th style=\"padding-right:10px;\">Datum :</th>\n";
echo "<td><input type=\"text\" name=\"datum\" size=\"11\" maxlength=\"11\" tabindex=\"1\" ";

$date = (!empty($_GET['einz_id'])) ? $einz[2]: date('d.m.Y');
echo "value=\"$date\">&nbsp;TT.MM.JJJJ\n";
echo "</tr>\n";

echo "<tr><td></td>\n";
echo "<th style=\"padding-right:10px;\">Betrag :</th>\n";
echo "<td><input type=\"text\" name=\"betrag\" size=\"11\" maxlength=\"11\" tabindex=\"2\" ";
echo "style=\"text-align:right\" ";
if (!empty($_GET['einz_id'])){
	echo "value=\"" . number_format($einz[3], 2, ',', ''). "\"";
}
echo ">&nbsp;&euro;,&cent;\n";
echo "</tr>\n";

echo "<tr><td></td>\n";
echo "<th style=\"padding-right:10px;\">Text :</th>\n";
echo "<td><input type=\"text\" name=\"text\" size=\"30\" maxlength=\"50\" tabindex=\"3\" ";
echo (!empty($_GET['einz_id'])) ? "value=\"$einz[4]\"" : '';
echo ">";
echo "</tr>\n";

echo "<tr><td></td>\n";
echo "<th style=\"padding-right:10px;\">Einzahler :</th>\n";
echo "<td><select name=\"person_id\" size=\"1\" tabindex=\"4\">\n";

$pes = abfrage1("select h.person_id, concat(p.vorname, ' ', p.name)
				from tbh_proj_personen h
				left join tb_personen p using (person_id)
				where h.proj_id = $projekt->id
				group by h.person_id
				order by h.perstyp_id asc, p.vorname asc, p.name asc;");

while ($pe = mysql_fetch_row($pes)){
	echo "<option value=\"$pe[0]\"";
	echo (!empty($_GET['einz_id']) && $einz[5] == $pe[0]) ? ' selected' : '';
	echo ">$pe[1]</option>\n";
}
echo "<option value=\"0\"";
echo (!empty($_GET['einz_id']) && $einz[5] == 0) ? ' selected' : '';
if(getConf('klientenkonto') && empty($_GET['einz_id'])) echo " selected";
$traeger = getConf('trname');
echo ">$traeger</option>\n";
echo "</select></td></tr>\n";
if(getConf('klientenkonto') == 0) {
	echo "<tr><td></td>\n";
	echo "<th style=\"padding-right:10px;\">Empf&auml;nger :</th>\n";
	$pid = (!empty($_GET['einz_id'])) ? $einz[6] : $_SESSION[$AppCode]['UID'];
	echo "<td>" . pers_name($pid) . "</td></tr>\n";
}
echo "<input type=\"hidden\" name=\"pers_id\" value=\"$pid\">\n";

new stwTabLine(1,30);

if(!empty($_GET['einz_id']) && $einz[5] == 0) {
	$zk = abfrage( "select z.ab_monat from tbh_spesen_einz_zk s
					left join tb_ab_zk z using(zk_id)
					where s.einz_id='{$_GET['einz_id']}'" );
	$save = empty($zk[0]);
} else $save = true;
echo "<tr><td colspan=\"10\">";
if($save) {
	echo "<input type=\"submit\" value=\"Speichern!\" tabindex=\"99\">";
} else {
	echo "<b style=\"color:red\">Speichern nicht m&ouml;glich! Spesen-ZK bereits abgerechnet!</b>";
}
echo "</td></tr>\n";
echo "</form>\n";
echo "</table>\n";
new stwEnd($seite);
?>
