<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_gruppe_and.php 2880 2018-08-22 09:12:52Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 69;
$level = 5;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

require_once($_SESSION['basedir'] . '/inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($_SESSION['basedir'] . '/inc/xajax_core/xajax.inc.php');

function stdChk($proj_id, $check) {
	$val = $check ? $proj_id : 0;
	$sql = "update tb_konf set wert = '$val' where name='standardprojektgruppe'";
	abfrage2($sql);
}

function Check($proj_id, $check, $what) {
	$val = $check ? 1 : 0;
	$sql = "update tb_projekte set $what = '$val' where proj_id='$proj_id'";
	abfrage2($sql);
}

function Essen($proj_id, $wohn, $hilfe_bisher) {
	$wohn = str_replace(',','.',$wohn);
	$hilfe_bisher = str_replace(',','.',$hilfe_bisher);
	$sql = "update tb_projekte set wohn = '$wohn', hilfe_bisher='$hilfe_bisher' where proj_id='$proj_id'";
	abfrage2($sql);
}

function MaxFZ($proj_id, $terminart, $max) {
	$sql = "replace into tb_pro_gruppe_fz set proj_id='$proj_id', terminart='$terminart', max='$max'";
	abfrage2($sql);
}

function anwesend($datum,$proj_id,$person_id,$terminart) {
	$userResp = new xajaxResponse();
	global $AppCode;
	if($terminart=='-' && date_my2ts($datum) > time()) abfrage2("delete from tbh_proj_anwesenheit where proj_id='$proj_id' and datum='$datum'");
	else {
		$exist = abfrage("select proj_id from tbh_proj_anwesenheit where proj_id='$proj_id' and person_id='$person_id' and datum='$datum'");
		if($exist[0]) {
			abfrage2("update tbh_proj_anwesenheit set terminart='$terminart', pers_id='{$_SESSION[$AppCode]['UID']}', ts=now() where proj_id='$proj_id' and person_id='$person_id' and datum='$datum'");
		} else {
			$sql = "insert into tbh_proj_anwesenheit 
					set proj_id='$proj_id', person_id='$person_id', datum='$datum', terminart='$terminart', 
					pers_id='{$_SESSION[$AppCode]['UID']}', ts=now()";
			abfrage2($sql);
			if($person_id == 0 && $terminart == '-') {
				$wohngruppenbewohner = abfrage1("select pp.person_id from tbh_proj_personen pp left join tb_personen p using(person_id) where pp.proj_id='$proj_id' and pp.perstyp_id='10'");
				while($person = mysql_fetch_row($wohngruppenbewohner)) {
					$userResp->assign("anwesend_".$proj_id."_".$person[0], 'checked', 'checked');
					$sql = "insert into tbh_proj_anwesenheit 
							set proj_id='$proj_id', person_id='$person[0]', datum='$datum', terminart='$terminart', 
							pers_id='{$_SESSION[$AppCode]['UID']}', ts=now() 
							ON DUPLICATE KEY UPDATE 
							terminart='$terminart', pers_id='{$_SESSION[$AppCode]['UID']}', ts=now()";
					abfrage2($sql);
					abfrage2("insert into tbh_proj_anw_historie set proj_id='$proj_id', person_id='$person[0]', datum='$datum', terminart='$terminart', pers_id='{$_SESSION[$AppCode]['UID']}', ts=now()");
				}
			}
		}
	}
	abfrage2("insert into tbh_proj_anw_historie set proj_id='$proj_id', person_id='$person_id', datum='$datum', terminart='$terminart', pers_id='{$_SESSION[$AppCode]['UID']}', ts=now()");
	return $userResp;
}

function gegessen($datum,$proj_id,$person_id,$check) {
	global $AppCode;
	$essen = $check ? 'j' : 'n';
	$sql = "insert into tbh_proj_anwesenheit 
			set proj_id='$proj_id', person_id='$person_id', datum='$datum', essen='$essen',
			pers_id='{$_SESSION[$AppCode]['UID']}', ts=now() 
			ON DUPLICATE KEY UPDATE essen='$essen'";
	abfrage2($sql);
	abfrage2("insert into tbh_proj_anw_historie set proj_id='$proj_id', person_id='$person_id', datum='$datum', essen='$essen', pers_id='{$_SESSION[$AppCode]['UID']}', ts=now()");
}

function erh($datum,$proj_id,$person_id,$check) {
	global $AppCode;
	$erh = $check ? 'j' : 'n';
	$sql = "insert into tbh_proj_anwesenheit 
			set proj_id='$proj_id', person_id='$person_id', datum='$datum', erh='$erh',
			pers_id='{$_SESSION[$AppCode]['UID']}', ts=now() 
			ON DUPLICATE KEY UPDATE erh='$erh'";
	abfrage2($sql);
}

$xajax = new xajax();
$xajax->configure('javascript URI', 'inc/');
$xajax->registerFunction('erh');
$xajax->registerFunction('gegessen');
$xajax->registerFunction('anwesend');
$xajax->registerFunction('stdChk');
$xajax->registerFunction('MaxFZ');
$xajax->registerFunction('Essen');
$xajax->registerFunction('Check');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

if(!check_projekt_berechtigung($rvar_proj_id)) {
	echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
	new stwEnd($seite);
	exit(0);
}

if($rvar_config==1 && $ulv>=96) {
	if(isset($rvar_add_code)) {
		abfrage2("replace into tb_ab_code3 set code='$rvar_code', name='$rvar_name'");	
	} elseif(isset($rvar_rem)) {
		abfrage2("delete from tb_ab_code3 where code='$rvar_rem' LIMIT 1");	
	} elseif($rvar_del > 0) {
		abfrage2("UPDATE tb_hilfeart SET gruppenprojekt='n' WHERE hilfeart_id='$rvar_del' LIMIT 1");
	} elseif($rvar_ha > 0) {
		abfrage2("UPDATE tb_hilfeart SET gruppenprojekt='j' WHERE hilfeart_id='$rvar_ha' LIMIT 1");
	} elseif(isset($rvar_pra)) {
		$abw_entgelt_ab = empty($rvar_abw_entgelt_ab) ? 1 : $rvar_abw_entgelt_ab;
		$sql = "INSERT INTO tb_pro_gr_einst SET 
				tagessatz_gruppe='" . (isset($rvar_tagessatz_gruppe) ? 'j' : 'n') . "', 
				erh_satz_manuell='" . (isset($rvar_erh_satz_manuell) ? 'j' : 'n') . "', 
				erh_satz_auto='"    . (isset($rvar_erh_satz_auto)    ? 'j' : 'n') . "', 
				taschengeld='"      . (isset($rvar_taschengeld)      ? 'j' : 'n') . "', 
				zusRechPosten='"    . (isset($rvar_zusRechPosten)    ? 'j' : 'n') . "', 
				abw_entgelt_ab='$abw_entgelt_ab', proj_id='$rvar_proj_id'
				ON DUPLICATE KEY UPDATE 
				tagessatz_gruppe='" . (isset($rvar_tagessatz_gruppe) ? 'j' : 'n') . "', 
				erh_satz_manuell='" . (isset($rvar_erh_satz_manuell) ? 'j' : 'n') . "',
				erh_satz_auto='"    . (isset($rvar_erh_satz_auto)    ? 'j' : 'n') . "',
				taschengeld='"      . (isset($rvar_taschengeld)      ? 'j' : 'n') . "',
				zusRechPosten='"    . (isset($rvar_zusRechPosten)    ? 'j' : 'n') . "',
				abw_entgelt_ab='$abw_entgelt_ab'";
		abfrage2($sql);
		abfrage2("UPDATE tb_konf SET wert='$rvar_pra' WHERE name='proj_gruppe_pra' LIMIT 1");
		if(isset($rvar_pra_name_neu)) {
			abfrage2("UPDATE tb_konf SET wert='$rvar_pra_name_neu' WHERE name='proj_gruppe_pra_name_neu' LIMIT 1");
		}
		if(isset($rvar_barbetrag) && is_array($rvar_barbetrag)) for($i=4;$i<=18;$i++) {
			$sql = "replace into tb_barbetrag set betrag='".str_replace(',','.',$rvar_barbetrag[$i])."', proj_id='".intval($rvar_proj_id)."', lebensjahr='$i'";
			abfrage2($sql);
		}
		$has = abfrage1("select hilfeart_id from tb_hilfeart where gruppenprojekt='j'");
		if(mysql_num_rows($has) == 0) $has = abfrage1("select 0");
		while($ha = mysql_fetch_row($has)) {
			$sql = "replace into tb_pro_gr_ha_satz set proj_id='".intval($rvar_proj_id)."',
					hilfeart_id='$ha[0]', tagessatz='".$rvar_tagessatz[ $ha[0] ]."',
					satz_erhoeht='".$rvar_satz_erhoeht[ $ha[0] ]."',
					abwentgelt='".$rvar_abwentgelt[ $ha[0] ]."';";
			abfrage2($sql);
		}
	}
}
set_session_url();

$smstyle = "style=\"color: #ccc\"";
$page = isset($_GET['page']) ? $_GET['page'] : getPersEinst($uid, "pro_gruppe_tab", 1);
if(isset($_GET['hhk'])) $page=1;
if($_GET['anz']=='w1') $page = 3;
$pers_order = getPersOrder($seite);

if($page == 3) require_once("inc/kal.inc.php");

include("pro_st_save.inc.php");

/* 4W Einstellung speichern */
if (isset($_GET['4w'])){
	$sql = "select pers_id from tb_pers_einst where pers_id = '".$_SESSION[$AppCode]['UID']."';";
	$vorh = abfrage1($sql);
	$update = (mysql_num_rows($vorh) > 0) ? "UPDATE" : "INSERT INTO";
	$where = (mysql_num_rows($vorh) > 0) ? "WHERE" : ",";
	$sql  = "$update tb_pers_einst SET pro_ab_4w='".$_GET['4w']."' $where pers_id = '".$_SESSION[$AppCode]['UID']."';";
	abfrage2($sql);
}

/* Direkteingabe: Zeitkarte Dokumentation */
if(isset($_POST['dokumentation'])) {
	$dat = check_date($rvar_datum);
	$von = check_time($rvar_von);
	if($von === false) $von = '00:00';
	$bis = check_time($rvar_bis);
	$diff = ($rvar_bis == "") ? 30 : time2min($bis) - time2min($von);
	$fls = min2time($diff);
	list($d,$m,$y) = explode(".", $dat);
	list($hh,$mm) = explode(":",$von);
	$ts = mktime($hh,$mm,0,$m,$d,$y);
	$beg = strftime("%Y-%m-%d %H:%M", $ts);
	$end = date_time_stamp($dat, $bis);
	$sql = "insert into tb_termine set terminart = 'z', von = '$beg', ";
	if ($rvar_bis == "") $sql .= "bis = date_add('$beg', interval 30 minute)";
	else $sql .= "bis = '$end'";
	abfrage2($sql);
	$id = mysql_insert_id();
	$sql = "INSERT INTO tb_ab_zk SET termin_id = '$id', proj_id = '$rvar_dokumentation',
			fls = '$fls', code = '$rvar_code', inhalte = '$rvar_inhalte', 
			inhalte2 = '$rvar_inhalte2', kwg = '$rvar_kwg', pers_id='$uid'";
	if(getConf("progr_kontr") && $ts < mktime()) $sql .= ", ab='j'";
	abfrage2($sql);
}

/* smile: persnliche Voreinstellung Unterseite */
if(isset($_GET['pref'])) {
	$sql = "select pers_id from tb_pers_einst where pers_id = '$uid';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set pro_gruppe_tab = '$page'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$uid';";
	abfrage2($sql);
	$smstyle = "style=\"color: lime\"";
}

echo "<table width=\"750\"><tr>\n";
$a = empty($rvar_proj_id) ? '' : '</a>';
$tt = empty($rvar_proj_id) ? stwToolTip('Men&uuml; erst nach Speichern verf&uuml;gbar!') : '';
$class = ($page == 1) ? "menuactive" : "menuinactive";
echo "<th $tt width=\"200\" class=\"$class\">";
if(!empty($rvar_proj_id)) echo "<a href=\"$self?proj_id=$rvar_proj_id&amp;page=1\">";
echo "Stammdaten$a</th>\n";
$class = ($page == 2) ? "menuactive" : "menuinactive";
echo "<td $tt width=\"200\" class=\"$class\">";
if(!empty($rvar_proj_id)) echo "<a href=\"$self?proj_id=$rvar_proj_id&amp;page=2\">";
echo "Dokumentation$a</td>\n";
$class = ($page == 3) ? "menuactive" : "menuinactive";
echo "<td $tt width=\"200\" class=\"$class\">";
if(!empty($rvar_proj_id)) echo "<a href=\"$self?proj_id=$rvar_proj_id&amp;page=3\">";
echo "Kalender$a</td>\n";
$sort = isset($_GET['sort']) ? "&amp;sort=".$_GET['sort'] : "";
$url = "$self?page=$page&amp;pref=1$sort&amp;proj_id=$rvar_proj_id";
echo "<td width=\"50\"><a $smstyle href=\"$url\" ";
echo stwToolTip("Aktuelle Seite als pers&ouml;nliche Voreinstellung speichern");
echo ">:)</a></td>\n<td></td>";
if($ulv >= 96) {
	echo "<td style=\"text-align:right;vertical-align:middle;\">";
	echo "<a href=\"$self?proj_id=$rvar_proj_id&amp;page=1&amp;config=1\"><img src=\"img/edit.png\"";
	echo stwToolTip("Projektgruppe konfigurieren");
	echo "/></a></td>";
}
echo "</tr></table>\n";
new stwLine(1);

if (!empty($rvar_proj_id)) {
	$projekt = new stwProjekt($rvar_proj_id);
	$pr_gr_x = abfrage_assoc("select * from tb_pro_gr_einst where proj_id='$rvar_proj_id'");
	$pro = abfrage_array("select * from tb_projekte where proj_id = '$rvar_proj_id';");

	$sql  = "select p.person_id, a.adress_id, p.name, p.vorname, p.email, ";
	$sql .= "a.strasse, a.plz, a.ort, a.entfernung, a.telefon, p.telmobil ";
	$sql .= "from tbh_proj_personen t1 ";
	$sql .= "left join tb_personen p on t1.person_id = p.person_id ";
	$sql .= "left join tb_p_adressen a on p.adress_id = a.adress_id ";
	$sql .= "where t1.proj_id = '$rvar_proj_id';";
	$kl = abfrage_assoc($sql);

	$subpros = abfrage1("select proj_id from tbh_projekt_gruppe where proj_id_gruppe='$rvar_proj_id'");
	if(mysql_num_rows($subpros) == 0) {
		/* noch kein Projekt fuer Gruppendoku: Projektnummer in den 19000ern */
		$nmbs = abfrage1("select projektnr from tb_projekte where projektnr >= 19000 and projektnr < 20000;");
		$prNrs = array();
		while ($nmb = mysql_fetch_row($nmbs)) { array_push ($prNrs, $nmb[0]); }
		for($i = 19000; $i < 20000; $i++) { if(!in_array($i,$prNrs)) break; }
		$pro_nr = sprintf('%03d',$i);
		/* traeger_art_id gleich proj_id der Gruppe, um Projekt gleich in tb_projekte zu erkennen */
		abfrage2("insert into tb_projekte set projektnr='$pro_nr', traeger_art_id='$rvar_proj_id'");
		$id = mysql_insert_id();
		abfrage2("insert into tbh_projekt_gruppe set proj_id_gruppe='$rvar_proj_id', proj_id='$id'");
	}
} else $pro = array();

/* Konfiguration der Projektgruppen (Hilfearten, etc.) */
if($rvar_config==1 && $ulv>=96) {
	echo "<form method=\"post\" action=\"$self\">\n";
	echo "<table><tr><th>In welcher Gruppe nach Projekten suchen:</th>\n";
	echo "<td class=\"cl11\"><select name=\"pra\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\" style=\"color:#990000\">in allen</option>\n";
	$pas = abfrage1("select pra_id, kname, titel from tb_projektart where pra_id<12 order by sort asc;");
	$akt_pas = getConf('proj_gruppe_pra');
	while ($pa = mysql_fetch_row($pas)) {
		$selected = $akt_pas==$pa[0] ? 'selected' : '';
		echo "<option $selected title=\"$pa[2]\" value=\"$pa[0]\">$pa[1]</option>\n";
	}
	echo "</select></td>\n";
	if($akt_pas > 0) {
		$tt = stwToolTip("abweichende Bezeichnung im Men&uuml;");
		echo "<th $tt>abw. Bez. im Men&uuml;:</th>";
		$name = getConf('proj_gruppe_pra_name_neu');
		echo "<td><input type=\"text\" name=\"pra_name_neu\" value=\"$name\" size=\"20\" /></td>";
	}
	echo "<td><input type=\"image\" src=\"img/senden.png\" /></td>";
	echo "</tr></table>\n";
	new stwLine(2);
	echo "<table>\n";
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />\n";
	echo "<input type=\"hidden\" name=\"config\" value=\"1\" />\n";
	echo "<input type=\"hidden\" name=\"page\" value=\"1\" />\n";
	echo "<tr><th colspan=\"30\">Hilfearten der Gruppen-Projekte</th></tr>\n";
	new stwTabLine(2,30);
	echo "<tr><td /><td>\n";
	echo "<select name=\"ha\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">hinzuf&uuml;gen</option>\n";
	$sql = "select hilfeart_id, hilfeart, beschreibung from tb_hilfeart where gruppenprojekt='n' ";
	if($akt_pas > 0) $sql .= " and pra_id='$akt_pas' ";
	$sql .= "order by hilfeart asc;";
	$has = abfrage1($sql);
	while ($ha = mysql_fetch_row($has)) {
		echo "<option value=\"$ha[0]\" title=\"$ha[2]\">$ha[1]</option>\n";
	}
	echo "</select></td>\n";
	$has = abfrage1("select hilfeart_id, hilfeart, beschreibung from tb_hilfeart where gruppenprojekt='j'");
	if(mysql_num_rows($has) == 0) $has = abfrage1("select 0,'',''");
	while ($ha = mysql_fetch_row($has)) {
		echo "<th";
		if(strlen($ha[2])>0) echo stwToolTip($ha[2]);
		echo ">$ha[1]</th><td class=\"cl1\"><a style=\"color:red;\"";
		echo stwToolTip("$ha[1] aus Zuordnung entfernen");
		echo "href=\"$self?proj_id=$rvar_proj_id&amp;page=1&amp;config=1&amp;del=$ha[0]\">X</a></td>\n";
	}
	echo "</tr>\n";
	if(!empty($rvar_proj_id)) {
		$checked = $pr_gr_x['tagessatz_gruppe']=='j' ? 'checked' : '';
		echo "<tr><td style=\"text-align:right\"><input type=\"checkbox\" $checked name=\"tagessatz_gruppe\" onchange=\"this.form.submit()\" /></td>";
		echo "<td colspan=\"30\">Tagessatz pro Projektgruppe</td></tr>\n";
		if($pr_gr_x['tagessatz_gruppe']=='j') {
			echo "<tr class=\"mo\">";
			echo "<th class=\"cl1\" style=\"text-align:right\" colspan=\"2\">Tagessatz:</th>";
			mysql_data_seek($has,0);
			while ($ha = mysql_fetch_row($has)) {
				$val = abfrage("select tagessatz from tb_pro_gr_ha_satz where proj_id='$rvar_proj_id' and hilfeart_id='$ha[0]'");
				echo "<td colspan=\"2\"><input type=\"text\" style=\"text-align:right\" value=\"$val[0]\" size=\"8\" name=\"tagessatz[".$ha[0]."]\" /></td>";
			}
			echo "</tr>\n";
			echo "<tr class=\"mo\">";
			echo "<th colspan=\"2\" class=\"cl1\" style=\"text-align:right\">erh&ouml;hter Tagessatz:</th>";
			mysql_data_seek($has,0);
			while ($ha = mysql_fetch_row($has)) {
				$val = abfrage("select satz_erhoeht from tb_pro_gr_ha_satz where proj_id='$rvar_proj_id' and hilfeart_id='$ha[0]'");
				echo "<td colspan=\"2\" class=\"cl\"><input type=\"text\" style=\"text-align:right\" size=\"8\" value=\"$val[0]\" name=\"satz_erhoeht[".$ha[0]."]\" /></td>";
			}
			echo "</tr>\n";
			$checked = $pr_gr_x['erh_satz_manuell']=='j' ? 'checked' : '';
			echo "<tr><td style=\"text-align:right\"><input type=\"checkbox\" $checked name=\"erh_satz_manuell\" onchange=\"this.form.submit()\" /></td>";
			echo "</td><td colspan=\"30\"><small>erh&ouml;hter Tagessatz manuell ausw&auml;hlen</small></td></tr>\n";
			$checked = $pr_gr_x['erh_satz_auto']=='j' ? 'checked' : '';
			echo "<tr><td style=\"text-align:right\"><input type=\"checkbox\" $checked name=\"erh_satz_auto\" onchange=\"this.form.submit()\" /></td>";
			echo "</td><td colspan=\"30\"><small>automatisch bei abwesendem volljhrigen Projektbeteiligtem</small></td></tr>\n";
			echo "<tr class=\"mo\">";
			echo "<th colspan=\"2\" class=\"cl1\" style=\"text-align:right\">Abwesenheitsentgelt:</th>";
			mysql_data_seek($has,0);
			while ($ha = mysql_fetch_row($has)) {
				$val = abfrage("select abwentgelt from tb_pro_gr_ha_satz where proj_id='$rvar_proj_id' and hilfeart_id='$ha[0]'");
				echo "<td colspan=\"2\"><input type=\"text\" style=\"text-align:right\" value=\"$val[0]\" size=\"8\" name=\"abwentgelt[".$ha[0]."]\" /></td>";
			}
			echo "</tr>\n";
			echo "<tr>";
			echo "<td colspan=\"2\" class=\"cl1\" style=\"text-align:right\">wird f&auml;llig ab</th>";
			echo "<td colspan=\"2\"><input type=\"text\" style=\"text-align:center\" size=\"8\" name=\"abw_entgelt_ab\" ";
			echo "value=\"".$pr_gr_x['abw_entgelt_ab']."\" /></td><td colspan=\"20\">. Tag Abwesenheit</td>";
			echo "</tr>\n";
		}
		new stwTabLine(2,30);
	}
	echo "</table>";
	echo "<table width=\"750\"><tr><td width=\"50%\">\n";
	if(!empty($rvar_proj_id)) {
		$stdPGr = getConf('standardprojektgruppe');
		echo "<table><tr><td><input type=\"checkbox\" style=\"position:relative;top:3px;\" ";
		if($stdPGr == $rvar_proj_id) echo "checked ";
		echo "onclick=\"xajax_stdChk($rvar_proj_id,this.checked)\" />";
		echo " neue Projekte dieser Hilfearten<br>automatisch <b>dieser</b> Projektgruppe zuordnen</td></tr>\n";

		echo "<tr><td><input type=\"checkbox\" style=\"position:relative;top:3px;\" ";
		if($pro['anfrage_std']) echo "checked ";
		echo "onclick=\"xajax_Check($rvar_proj_id,this.checked,'anfrage_std')\" />";
		echo " Essenszuteilung auf Jugendamtskosten<br>Checkbox in dieser Projektgruppe aktivieren</td></tr></table>\n";
	}
	if(!empty($rvar_proj_id)) {
		echo "<table><tr><th colspan=\"3\">Kosten pro Mahlzeit:</th></tr>";
		echo "<tr><td style=\"text-align:right\">Jugendamt:</td>";
		echo "<td><input id=\"mahlzeit\" type=\"text\" size=\"5\" style=\"text-align:right\"";
		echo "onkeydown=\"if(event.keyCode == 13) {xajax_Essen($rvar_proj_id,this.value,document.getElementById('mahlzeit2').value); return false;}\" ";
		echo "value=\"" . geld_form_formular($pro['wohn'] ? $pro['wohn'] : 0) . "\" /></td>\n";
		echo "<td rowspan=\"2\" style=\"vertical-align:middle\"><image src=\"img/senden.png\" style=\"cursor:pointer\" ";
		echo "onclick=\"xajax_Essen($rvar_proj_id,document.getElementById('mahlzeit').value,document.getElementById('mahlzeit2').value)\" /></td></tr>\n";
		echo "<tr><td style=\"text-align:right\">Eigenanteil Klient:</td>";
		echo "<td><input id=\"mahlzeit2\" type=\"text\" size=\"5\" style=\"text-align:right\"";
		echo "onkeydown=\"if(event.keyCode == 13) {xajax_Essen($rvar_proj_id,document.getElementById('mahlzeit').value,this.value); return false;}\" ";
		echo "value=\"" . geld_form_formular($pro['hilfe_bisher'] ? $pro['hilfe_bisher'] : 0) . "\" /></td></tr></table>\n";
		echo "<table><tr><th class=\"cl1\">Anwesenheit:</th>";
		echo "<td><input type=\"checkbox\" onclick=\"xajax_Check($rvar_proj_id,this.checked,'schule')\" ";
		if($pro['schule']) echo "checked ";
		echo "/></td><td class=\"cl1\">Wochentage</td>";
		echo "<td><input type=\"checkbox\" onclick=\"xajax_Check($rvar_proj_id,this.checked,'familie')\" ";
		if($pro['familie']) echo "checked ";
		echo "/></td><td class=\"cl1\">Samstage</td></tr>";
		echo "<td/><td><input type=\"checkbox\" onclick=\"xajax_Check($rvar_proj_id,this.checked,'hobbys')\" ";
		if($pro['hobbys']) echo "checked ";
		echo "/></td><td colspan=\"3\">Sonn- und Feiertage</td>";
		echo "</tr></table>\n";
		$tas = abfrage1("select terminart, name from tb_terminart where in_projektgruppe='j' order by terminart asc;");
		if(mysql_num_rows($tas) > 0) {
			echo "<table><tr><th colspan=\"3\">Max. Fehlzeiten pro Kalenderjahr:</th></tr>\n";
			while($ta = mysql_fetch_row($tas)) {
				$max = abfrage("select max from tb_pro_gruppe_fz where proj_id='$rvar_proj_id' and terminart='$ta[0]'");
				echo "<tr><th class=\"cl1\">$ta[1]</th><td style=\"text-align:right\">";
				echo "<input id=\"fz_$ta[0]\" type=\"text\" maxlength=\"3\" size=\"3\" style=\"text-align:right\"";
				echo "onkeydown=\"if(event.keyCode == 13) {xajax_MaxFZ($rvar_proj_id,'$ta[0]',this.value); return false;}\" ";
				echo "value=\"$max[0]\" /></td>";
				echo "<td><image src=\"img/senden.png\" style=\"cursor:pointer\" ";
				echo "onclick=\"xajax_MaxFZ($rvar_proj_id, '$ta[0]', document.getElementById('fz_$ta[0]').value)\" /></td></tr>\n";
			}
			echo "</table>\n";
		}
	}
	echo "<table>\n";
	echo "<tr>";
	if(!empty($rvar_proj_id)) {
		$checked = $pr_gr_x['taschengeld']=='j' ? 'checked' : '';
		echo "<td style=\"text-align:right\"><input type=\"checkbox\" $checked name=\"taschengeld\" onchange=\"this.form.submit()\" /></td>";
	}
	echo "<th class=\"cl1\">Barbetr&auml;ge (Taschengeld)</th>";
	echo "</tr>\n";
	if(empty($rvar_proj_id) || $pr_gr_x['taschengeld']=='j') {
		for($i=4;$i<=18;$i++) {
			$bar = abfrage("select betrag, proj_id from tb_barbetrag where proj_id='".intval($rvar_proj_id)."' and lebensjahr='$i'");
			if(empty($bar[1])) $bar = abfrage("select betrag, proj_id from tb_barbetrag where proj_id='0' and lebensjahr='$i'");
			echo "<tr>";
			echo "<td colspan=\"3\" class=\"cl1\" style=\"text-align:right\">ab vollendetem $i. Lebensjahr:</td>";
			echo "<td><input type=\"text\" style=\"text-align:right\" size=\"8\" value=\"".geld_form_formular($bar[0])."\" name=\"barbetrag[$i]\" /></td>";
			echo "</tr>\n";
		}
	}
	echo "<tr>";
	$checked = $pr_gr_x['zusRechPosten']=='j' ? 'checked' : '';
	echo "<td style=\"text-align:right\"><input type=\"checkbox\" $checked name=\"zusRechPosten\" onchange=\"this.form.submit()\" /></td>";
	echo "<th class=\"cl1\">zus&auml;tzliche Rechnungsposten (erfordert Hammerrecht)</th>";
	echo "</tr>\n";
	echo "</table>";
		
	echo "</td>\n<td width=\"50%\"><table>";
	echo "<tr><th>Code:</th><td><input type=\"text\" name=\"code\" size=\"3\" maxlength=\"3\"></td>";
	echo "<td><input type=\"text\" name=\"name\" size=\"30\" maxlength=\"100\"></td>";
	echo "<td><input type=\"submit\" name=\"add_code\" value=\"\" ";
	echo "style=\"background-image:url(img/senden.png);background-repeat:no-repeat\" /></td></tr>\n";
	$codes = abfrage1("select * from tb_ab_code3 order by code asc");
	while ($code = mysql_fetch_row($codes)) {
		echo "<tr><td></td><th>$code[0]</th><td>$code[1]</td><td><a style=\"color:red;\"";
		echo stwToolTip("<b>Vorsicht!</b> Code l&ouml;schen");
		echo "href=\"$self?proj_id=$rvar_proj_id&amp;page=1&amp;config=1&amp;rem=$code[0]\">X</a></td></tr>\n";
	}
	echo "</table></td></tr>";
	new stwTabLine(2,3);
	echo "<tr><td colspan=\"3\" style=\"text-align:right\"><input type=\"submit\" value=\"speichern\" /></td></tr>\n";
	echo "</table>\n</form>\n";
} elseif(isset($_GET['p_hist'])) {
	if(isset($rvar_change)) {
		$von = date_gr2my(check_date($rvar_von, 1));
		$bis = check_date($rvar_bis, 1);
		$bis = empty($bis) ? 'NULL' : ("'".date_gr2my($bis)."'");
		$sql = "update tbh_projekt_gruppe set von='$von', bis=$bis where proj_id='$rvar_change' and von='$rvar_p_hist' limit 1";
		abfrage2($sql);
	}
	if(isset($rvar_really_del)) {
		abfrage2("delete from tbh_projekt_gruppe where proj_id='$rvar_to_del' and von='$rvar_p_hist' limit 1");
	}
	if(isset($rvar_del)) {
		echo "<form method=\"post\" action=\"$self?proj_id=$rvar_proj_id&page=1&p_hist=1\">\n";
		echo "<input type=\"hidden\" name=\"p_hist\" value=\"$rvar_p_hist\" />\n";
		echo "<input type=\"hidden\" name=\"to_del\" value=\"$rvar_del\" />\n";
		echo "<table width=\"750\"><tr><th colspan=\"2\" style=\"text-align:center;color:red;\">";
		echo "<h1>Soll dieser Eintrag der Historie<br />wirklich und unwiederbringlich gel&ouml;scht werden?</h1>";
		echo "</th></tr><tr><td style=\"text-align:center;width:50%;\">";
		echo "<input style=\"height:20px;\" type=\"submit\" value=\"Nein, lieber doch nicht\" /></td>\n";
		echo "<td style=\"text-align:center;width:50%;\">";
		echo "<input style=\"height:20px;\" type=\"submit\" name=\"really_del\" value=\"Ja, wirklich l&ouml;schen\" />";
		echo "</td></tr></table>\n</form>\n";
		new stwLine(1);
	}
	$projs = abfrage1("select proj_id, date_format(von, '%d.%m.%Y'), date_format(bis, '%d.%m.%Y'), von
						from tbh_projekt_gruppe where proj_id_gruppe = '$rvar_proj_id' order by von asc");
	echo "<table><tr><th class=\"cl1\">von</th><th class=\"cl1\">bis</th><td></td>";
	echo "<th class=\"cl1\">Name</th><th class=\"cl1\">Vorname</th><th class=\"cl1\">Projekt</th><td></td></tr>\n";
	new stwTabLine(2,6);
	while ($proj = mysql_fetch_row($projs)) {
		$subproj = new stwProjekt($proj[0]);
		if($subproj->nr < 19000) {
			if($proj[1] == '00.00.0000') $proj[1]='';
			echo "<tr><form method=\"post\" action=\"$self?proj_id=$rvar_proj_id&page=1&p_hist=$proj[3]\">\n";
			echo "<input type=\"hidden\" name=\"change\" value=\"$proj[0]\" />\n";
			echo "<td class=\"cl1\"><input type=\"edit\" name=\"von\" size=\"10\" value=\"$proj[1]\" /></td>\n";
			echo "<td class=\"cl1\"><input type=\"edit\" name=\"bis\" size=\"10\" value=\"$proj[2]\" /></td>\n";
			echo "<td class=\"cl11\"><input type=\"image\" src=\"img/senden.png\" /></td>\n</form>\n";
			echo "<td class=\"cl1\">".$subproj->nname()."</td>\n";
			echo "<td class=\"cl1\">".$subproj->vname()."</td>\n";
			echo "<th class=\"cl1\">".$subproj->link()."</th>\n";
			echo "<th class=\"cl1\"><a href=\"$self?proj_id=$rvar_proj_id&amp;page=1&amp;del=$proj[0]&amp;p_hist=$proj[3]\"";
			echo stwToolTip("<b>Vorsicht!</b> Eintrag aus Historie l&ouml;schen") . "style=\"color:red\">X</a></th></tr>\n";
		}
	}
	echo "</table>\n";
} elseif($page == 1) {
	if($rvar_p_add==1 && $rvar_add > 0) {
		$von = date_gr2my(check_date($rvar_von));
		abfrage2("INSERT INTO tbh_projekt_gruppe SET proj_id_gruppe='$rvar_proj_id', proj_id='$rvar_add', von='$von';");
		abfrage2("UPDATE tbh_pers_proj SET personaltyp_id=5 WHERE proj_id='$rvar_add'");
		$betrs = abfrage1("select * from tbh_pers_proj where proj_id='$rvar_proj_id'");
		while ($betr = mysql_fetch_array($betrs)) {
			abfrage2("REPLACE INTO tbh_pers_proj SET proj_id='$rvar_add', 
													pers_id='{$betr['pers_id']}', 
													personaltyp_id='{$betr['personaltyp_id']}',
													fuer='{$betr['fuer']}',
													eingearbeitet_pers_id='{$betr['eingearbeitet_pers_id']}',
													eingearbeitet_ts='{$betr['eingearbeitet_ts']}'");
		}
	}
	if($rvar_del > 0) {
		echo "<form method=\"post\" action=\"$self?page=1\">\n";
		echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
		echo "<input type=\"hidden\" name=\"del_id\" value=\"$rvar_del\">\n";
		echo "<table width=\"750\">\n";
		$delpro = new stwProjekt($rvar_del);
		echo "<tr><th colspan=\"4\" style=\"text-align:center;font-size:20px;color:red\">Soll das Projekt von " . $delpro->name() . "<br />wirklich aus der Projektgruppe entfernt werden?</th></tr>\n";
		echo "<tr><td width=\"25%\" style=\"text-align:center\"><input type=\"submit\" value=\"Nein, lieber nicht!\" style=\"height:25px\" /></td>\n";
		echo "<th width=\"30%\" style=\"vertical-align:middle;text-align:right\">Letzter Tag der Gruppenzugeh&ouml;rigkeit:</th>\n";
		echo "<td width=\"20%\" style=\"vertical-align:middle;\"><input type=\"text\" name=\"bis\" value=\"".date('d.m.Y')."\" size=\"10\"/></td>\n";
		echo "<td width=\"25%\" style=\"text-align:center\"><input type=\"submit\" name=\"really_del\" value=\"Ja, wirklich!\" style=\"height:25px\" /></td></tr>\n";
		echo "</table>\n</form>\n";
		new stwLine(1);
	}
	if(isset($rvar_really_del)) {
		$bis = date_gr2my(check_date($rvar_bis));
		abfrage2("UPDATE tbh_projekt_gruppe SET bis='$bis' WHERE proj_id_gruppe='$rvar_proj_id' AND proj_id='$rvar_del_id' AND bis IS NULL LIMIT 1;");
	}
	/* Haupttabelle */
	echo "<table>\n";
	echo "<tr><td>\n";
	/* linke Haelfte */
	echo "<form name=\"persform\" method=\"post\" action=\"pro_datsql.php\">\n";
	echo "<table>\n";
	if (isset($rvar_proj_id)) {
		echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />";
		echo "<input type=\"hidden\" name=\"person_id\" value=\"{$kl['person_id']}\" />\n";
		echo "<input type=\"hidden\" name=\"adress_id\" value=\"{$kl['adress_id']}\" />\n";
	}
	$ti = 1;

	echo "<script type=\"text/javascript\"><!--\n";
	echo "function Show4() {\n";
	echo " var ntd = document.getElementById('notToDisplayVerb');\n";
	echo " ntd.style.display = 'table-row';\n";
	if (isset($rvar_proj_id) && ($uid == $projekt->hb() || $uid == $projekt->fb || $ulv >= 96 || check_al_proj($projekt->id))){
		echo " ntd = document.getElementById('notToDisplay4');\n";
		echo " ntd.style.display = 'inline';\n";
	}
	echo "}\n--></script>\n";

	echo "<tr><th class=\"cl1\">Projekt-Nr.";
	echo "<a href=\"#\" style=\"font-size:small;position:relative;left:0;top:-4px;\"";
	echo stwToolTip('Konfiguration und verbundene Projekte einblenden');
	echo "onclick=\"Show4()\">+</a>";
	if (isset($rvar_proj_id) && ($uid == $projekt->hb() || $uid == $projekt->fb || check_al_proj($projekt->id))){
		echo " <a id=\"notToDisplay4\" style=\"display:none\" href=\"pro_konf.php?proj_id=$projekt->id\"";
		echo stwToolTip('Projekteinstellungen und -kategorien &auml;ndern');
		echo "><img style=\"position:relative;top:3px;\" src=\"".image('hammer')."\" /></a>";
	}
	echo ":</th>\n<td>";
	/* Projektnummer zusammenbauen...*/
	if (isset($rvar_proj_id) && $_SESSION[$AppCode]['ULV'] < 96){
		$h_art = abfrage("select hilfeart, beschreibung from tb_hilfeart".
						" where hilfeart_id = $projekt->ha;");
		echo "<input type=\"hidden\" name=\"hilfeart_id\" value=\"$projekt->ha\" />\n";
		echo "<span " . stwToolTip($h_art[1]) . ">$h_art[0]</span>\n";
	} else {
		echo "<select style=\"width:50px\" name=\"hilfeart_id\" size=\"1\" tabindex=\"$ti\">"; $ti++;
		$ha_where = "where ( aktiv = 'j' ";
		if(empty($rvar_proj_id)) $ha_where .= "and pra_id = '69' ) or hilfeart_id = '$rvar_ha'";
		else $ha_where .= " or hilfeart_id = '".$projekt->ha."' )";

		$sql = "SELECT * FROM tb_hilfeart $ha_where order by hilfeart asc;";

		$res = abfrage1($sql);

		while ($zeile = mysql_fetch_row($res)) {
			echo "<option title=\"$zeile[2]\"";
			if ((isset($rvar_proj_id) && $projekt->ha == $zeile[0]) ||
				($rvar_ha == $zeile[1])) {
				echo ' selected';
			}
			echo " value=\"$zeile[0]\">$zeile[1]&nbsp;&nbsp;$zeile[2]</option>\n";
		}
		echo "</select>\n";
	}
	if (isset($rvar_proj_id) && $_SESSION[$AppCode]['ULV'] < 96){
		echo " $projekt->nr\n";
		echo "<input type=\"hidden\" name=\"projektnr\" value=\"$projekt->nr\" />\n";
	} else {
		echo "<input type=\"text\" name=\"projektnr\" size=\"5\" maxlength=\"5\"";
		echo " tabindex=\"$ti\" style=\"text-align: right;\""; $ti++;
		if (isset($rvar_proj_id)) {
			echo " value=\"$projekt->nr\"";
		} else {
			  $nmbs = abfrage1("select projektnr from tb_projekte ".
						"where projektnr >= 20000 and projektnr < 21000;");
			  $prNrs = array();
			  while ($nmb = mysql_fetch_row($nmbs)) { array_push ($prNrs, $nmb[0]); }
			  for($i = 20000; $i < 21000; $i++) { if(!in_array($i,$prNrs)) break; }
			  echo "value=\"$i\"";
		}
		echo " />&nbsp;";
	}
	if(isset($rvar_proj_id)) {
		echo initialien($projekt->vname(),$projekt->nname());
		$ja = abfrage("select t2.kurzname from tb_kontakte_ap t1 "
					. "left join tb_kontakte t2 on t1.kont_id = t2.kont_id and t2.kh_id='0' "
					. "where t1.ap_id = '$projekt->sb';");
		echo " $ja[0]";
	}
	/* Traeger - wird nicht bei neuem Projekt angezeigt
				 -> dort Standardwert aus konf */
	if (isset($rvar_proj_id)) {

		echo "&nbsp; &nbsp; <b style=\"color:#FFCC00\">Tr&auml;ger:</b>\n";

		if ($_SESSION[$AppCode]['ULV'] < 60){
			$t_art = abfrage("select kurzname, traeger_art from tb_traeger_art
								where traeger_art_id = '$projekt->traeger_art_id';");
			echo ' <span' . stwToolTip($t_art[1]) . '>' . $t_art[0] . "</span>\n";
			echo "<input type=\"hidden\" name=\"traeger_art_id\" ";
			echo "value=\"$projekt->traeger_art_id\" />\n";

		} else {

			echo "<select name=\"traeger_art_id\" size=\"1\" tabindex=\"$ti\">";
			$ti++;
			$sql  = "SELECT traeger_art_id, traeger_art, kurzname ";
			$sql .= "FROM tb_traeger_art order by kurzname asc;";
			$res = abfrage1($sql);

			while ($row = mysql_fetch_row($res)) {
				echo "<option title=\"$row[1]\"";
				if ($projekt->traeger_art_id == $row[0]) echo ' selected';
				echo " value=\"$row[0]\">$row[2]</option>\n";
			}
			echo "</select>\n";
		}
	}
	/* Einverst.erkl. Sachberichte */
	$ps = abfrage1("select p.proj_id from tb_sachbericht s left join tb_sachbericht_proj p using(sb_id) "
				 . "where p.proj_id='$projekt->id' and s.einverst = 'j'");
	if(mysql_num_rows($ps) > 0) {
		echo "&nbsp; &nbsp; <a href=\"pro_pr_einverst.php?proj_id=$projekt->id&ts=" . time() . "\" target=\"_pdf\">";
		echo "<img src=\"img/drucker.png\" alt=\"druck\"";
		echo stwToolTip('<b>Einverst&auml;ndniserkl&auml;rung drucken</b><br>Daten, die dem Jugendamt anonymisiert mitgeteilt werden',false);
		echo "/></a>";
		$einv = abfrage("select einverst, date_format(einvdatum, '%d.%m.%Y') from tb_projekte where proj_id='$projekt->id'");
		$checked = empty($einv[0]) ? '' : "checked";
		echo " &nbsp; <input type=\"checkbox\" name=\"einv\" value=\"1\" $checked";
		if(empty($einv[0])) echo stwToolTip("Einverst&auml;ndniserkl&auml;rung als unterzeichnet markieren");
		else echo stwToolTip("von " . pers_kname($einv[0]) . " am $einv[1] als unterzeichnet markiert.");
		echo " />";
	}
	echo "</td></tr>\n";

	$verbund = abfrage1("select verbund_id from tb_pro_verbund where proj_id='$rvar_proj_id' and datetime_bis is NULL");
	$parents = abfrage1("select proj_id_parent from tb_pro_inheritance where proj_id_child='$rvar_proj_id' and show_parent_in_child='j'");
	$children = abfrage1("select proj_id_child from tb_pro_inheritance where proj_id_parent='$rvar_proj_id' and show_child_in_parent='j'");
	$tt = stwToolTip("verbundenes Projekt");
	echo "<tr id=\"notToDisplayVerb\"";
	if(mysql_num_rows($verbund)==0 && mysql_num_rows($parents)==0 && mysql_num_rows($children)==0) echo " style=\"display:none\"";
	echo "><th class=\"cl1\" $tt>";
	if (isset($rvar_proj_id) && ($uid == $projekt->hb() || $uid == $projekt->fb || check_nutzer_rechte(131) || check_al_proj($projekt->id))) {
		echo "<a href=\"pro_konf.php?proj_id=$projekt->id\">verb. Projekt:</a>";
	}
	else echo "verb. Projekt:";
	echo "</th><td>";
	$vPos = 0;
	echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr>";
	if(mysql_num_rows($verbund) > 0) {
		echo "<td><table cellpadding=\"0\" cellspacing=\"0\">";
		while($verbund_id = mysql_fetch_row($verbund)) {
			if($vPos == 0) echo "<tr>";
			$prid2 = abfrage("select proj_id from tb_pro_verbund where verbund_id='$verbund_id[0]' and proj_id!='$rvar_proj_id'");
			echo "<td class=\"cl1\" style=\"width:33%\"><a href=\"pro_daten.php?proj_id=$prid2[0]\"";
			$projektnummer = projektnummer($prid2[0],1);
			$pr = explode(" - ", $projektnummer);
			echo stwToolTip($pr[1]);
			echo ">$pr[0]</a></td>";
			if($vPos == 2) {
				echo "</tr>";
				$vPos = 0;
			} else $vPos++;
		}
		if($vPos != 0) echo "</tr>";
		echo "</table></td>";
	}
	if(mysql_num_rows($parents)>0 || mysql_num_rows($children)>0) {
		echo "<td width=\"100%\"></td><td><table cellpadding=\"0\" cellspacing=\"0\">";
		while($parent = mysql_fetch_row($parents)) {
			echo "<tr><td><a href=\"pro_daten.php?proj_id=$parent[0]\"";
			echo stwToolTip('zum Ursprungsprojekt ' . projektnummer($parent[0]));
			echo "style=\"color:grey\">" . sprintf('%03d',projektnr($parent[0])) . "</a></td></tr>\n";
		}
		while($child = mysql_fetch_row($children)) {
			echo "<tr><td><a href=\"pro_daten.php?proj_id=$child[0]\"";
			echo stwToolTip('zum Folgeprojekt ' . projektnummer($child[0]));
			echo "style=\"color:lime\">" . sprintf('%03d',projektnr($child[0])) . "</a></td></tr>\n";
		}
		echo "</table></td>";
	}
	echo "</tr></table></td></tr>\n";

	/* Projektberichte */
	$sql  = "SELECT frist FROM tb_pb_zr WHERE proj_id = '".$projekt->id."' ";
	$sql .= "ORDER BY zr_id DESC LIMIT 1";
	$erg = abfrage($sql);

	if (empty($erg[0])) $b_pb = false;
	else {
		/* Zeitraum noch mit angeben daneben */
		switch ($erg[0]) {
			case 1: $zeitraum = "w&ouml;chentlich";
					break;

			case 2: $zeitraum = "14t&auml;gig";
					break;

			case 3: $zeitraum = "monatlich";
					break;

			case 4: $zeitraum = "quartalsweise";
					break;

			case 5: $zeitraum = "halbj&auml;hrlich";
					break;

			case 6: $zeitraum = "j&auml;hrlich";
					break;

			default: $zeitraum = "unbekannt";
		}
		$b_pb = true;
		echo "<tr><th class=\"cl1\">";
		if($_SESSION[$AppCode]["ULV"]>=25) echo "<a href=\"pro_konf.php?proj_id=$rvar_proj_id\"".stwToolTip('Projektberichtszeitr&auml;ume verwalten').">";
		echo "Projektbericht<span style=\"font-size:small;position:relative;left:0;top:-2;\">+</span>:";
		if($_SESSION[$AppCode]["ULV"]>=25) echo "</a>";
		echo "</th><th>$zeitraum</th></tr>\n";
	}
	/* Abteilung */
	if (isset($rvar_proj_id) && $_SESSION[$AppCode]['ULV'] < 60){
		echo "<tr><th class=\"cl1\">Abteilungen:</th>\n";
		echo "<input type=\"hidden\" name=\"abt_id\" value=\"$projekt->abt_id\" />\n<td>";
		$abtids = '';
		if ($projekt->abt_id > 0){
			$abt_name = abfrage("select name from tb_personal_abt
								where abt_id = '$projekt->abt_id';");
			echo "<span style=\"color:#FFCC00\">$abt_name[0]</span>";
			$abtids = $projekt->abt_id;
			$abts = abfrage1("select abt_id from tbh_proj_abt where proj_id='$projekt->id'");
			while ($abt = mysql_fetch_row($abts)){
			  if($abt[0] != $projekt->abt_id) {
				$abt_name = abfrage("select name from tb_personal_abt where abt_id = '$abt[0]';");
				$abtids .= ", $abt[0]";
				echo ", <i>$abt_name[0]</i>";
			  }
			}
		} else {
			echo 'keine';
		}
		echo "<input type=\"hidden\" name=\"abt_ids\" value=\"$abtids\" />";
	} else {
		echo "<script type=\"text/javascript\"><!--\n";
		echo "function Show() {\n";
		echo " var ntd = document.getElementsByName('notToDisplay');\n";
		echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'inline';\n";
		echo "}\n--></script>\n";
		echo "<tr><th rowspan=\"2\" class=\"cl1\"><a href=\"#\" ";
		echo stwToolTip('Abteilungen hinzuf&uuml;gen und entfernen');
		echo "onmousedown=\"Show();\" oncontextmenu=\"return false;\">Abteilungen</a>";
		echo "<a href=\"#\" style=\"font-size:small;position:relative;left:0;top:-2;\"";
		echo stwToolTip('Abteilungen hinzuf&uuml;gen und entfernen');
		echo "onclick=\"Show()\">+</a>:</th>\n<td name=\"notToDisplay\"";
		if(isset($rvar_proj_id)) echo " style=\"display:none\"";
		echo ">\n";

		$js = "var Abteilungen = new Array();\n";
		echo "<script type=\"text/javascript\"><!--\n";
		echo "function makePrimary(id) {\n";
		echo " var sb = document.getElementById('s'+document.persform.abt_id.value+'b');\n";
		echo " if(sb) sb.style.color='#CCCCCC';\n";
		echo " sb = document.getElementById('s'+id+'b');\n";
		echo " if(sb) sb.style.color='#FFCC00';\n";
		echo " if(!id) id=0;\n";
		echo " document.persform.abt_id.value = id;\n";
		echo "} \n \n function del(id) {\n";
		echo " var name = Abteilungen[id];\n";
		echo " var Option = document.createElement('option');\n";
		echo " Option.value = id; Option.text = name;\n";
		echo " try { document.persform.abt.add(Option, null); }\n";
		echo " catch(ex) { document.persform.abt.add(Option); }\n";
		echo " var txt = document.getElementById('abt_out').innerHTML;\n";
		echo " var pos = txt.toLowerCase().indexOf('<'+'i');\n";
		echo " if(pos==-1) {\n  document.getElementById('abt_out').innerHTML='';\n";
		echo "  document.persform.abt_ids.value=0;\n document.persform.abt_id.value=0; }\n else {\n";
		echo "  pos0 = txt.toLowerCase().indexOf('s'+id+'b');\n";
		echo "  pos1 = txt.substr(0,pos0).lastIndexOf('<'+'sp'+'an');\n";
		echo "  pos2 = txt.toLowerCase().indexOf('x'+'</'+'a>',pos1)+5;\n";
		echo "  if(pos1 < 15) pos2+=2;\n";
		echo "  else if(txt.substr(pos1-2,1)==',') pos1-=2;\n";
		echo "  document.getElementById('abt_out').innerHTML = txt.substr(0,pos1) + txt.substr(pos2);\n";
		echo "  txt = document.persform.abt_ids.value;\n";
		echo "  pos1 = txt.indexOf(', '+id);\n";
		echo "  if(pos1<0) pos1=0; else pos1 += 2;\n";
		echo "  pos2 = txt.indexOf(',',pos1);\n";
		echo "  if(pos2 == -1) pos1 -= 2;";
		echo "  document.persform.abt_ids.value = txt.substr(0,pos1);\n";
		echo "  if(pos2 > 0) document.persform.abt_ids.value += txt.substr(pos2+2);";
		echo "  if(id == document.persform.abt_id.value){";
		echo "   pos = document.persform.abt_ids.value.indexOf(',');\n";
		echo "   if(pos == -1) makePrimary(document.persform.abt_ids.value);\n";
		echo "   else makePrimary(document.persform.abt_ids.value.substr(0,pos));\n";
		echo " }\n}\n}\n--></script>\n";
		echo "<select name=\"abt\" size=\"1\" tabindex=\"$ti\""; $ti++;
		echo " onchange=\"if(document.persform.abt_ids.value==0) {";
		echo " document.persform.abt_id.value=document.persform.abt.value;\n";
		echo " document.persform.abt_ids.value=document.persform.abt.value;\n";
		echo " document.getElementById('abt_out').innerHTML='<span id=s'+document.persform.abt.value+'b style=color:#FFCC00><i ";
		echo "onclick=makePrimary('+document.persform.abt.value+')>'+Abteilungen[document.persform.abt.value]+'</i></span>';\n";
		echo "} else {\n document.persform.abt_ids.value+=', '+document.persform.abt.value;\n";
		echo " document.getElementById('abt_out').innerHTML+=', <span id=s'+document.persform.abt.value+'b><i ";
		echo "onclick=makePrimary('+document.persform.abt.value+')>'+Abteilungen[document.persform.abt.value]+'</i></span>'; ";
		echo " }\n document.getElementById('abt_out').innerHTML+=' <a href=# style=color:red onclick=del('+document.persform.abt.value+')>X</a>'; ";
		echo " document.persform.abt.remove(document.persform.abt.selectedIndex); ";
		echo " document.persform.abt.value=0; \"";
		$abtn = abfrage1("select abt_id, name from tb_personal_abt order by name asc;");

		echo "><option value=\"0\"";
		echo ">Abteilung hinzuf&uuml;gen</option>\n";
		$abt_out = '';
		$abps = abfrage1("select abt_id from tbh_proj_abt where proj_id='$projekt->id';");
		$js2 = '';
		$abs = array();
		while ($ab = mysql_fetch_row($abps)){
		  if($projekt->abt_id != $ab[0]) {
			$js2 .= "document.persform.abt_ids.value+=', $ab[0]';\n";
			$js2 .= "document.getElementById('abt_out').innerHTML+=', <span id=s'+$ab[0]+'b><i ";
			$js2 .= "onclick=makePrimary('+$ab[0]+')>'+Abteilungen[$ab[0]]+'</i></span>';\n";
			$js2 .= "document.getElementById('abt_out').innerHTML+='<a href=# name=\"notToDisplay\" style=\"color:red;display:none\" onclick=del($ab[0])> X</a>';\n";
			$abs[] = $ab[0];
		  }
		}
		$prime_abt = 0;
		while ($abt = mysql_fetch_row($abtn)){
			if ($abt[0] == $projekt->abt_id || $rvar_abt == $abt[1]) {
				$prime_abt = $abt[0];
				$abt_out  = "<span id=s$abt[0]b style=\"color:#FFCC00\"";
				$abt_out .= stwToolTip('<b>Prim&auml;re Abteilung</b><br>Klick auf andere Abteilung,<br>um diese zur Prim&auml;rabteilung zu machen',false);
				$abt_out .= "><i onclick=makePrimary($abt[0])>$abt[1]</i></span><a href=\"#\" name=\"notToDisplay\" style=\"color:red;display:none\" onclick=\"del($abt[0],'$abt[1]')\"> X</a>";
			} elseif (!in_array($abt[0], $abs)) {
				echo "<option value=\"$abt[0]\">$abt[1]</option>\n";
			}
			$js .= "Abteilungen[".$abt[0]."] = '$abt[1]';\n";
		}
		echo "</select></td></tr>\n";
		echo "<input type=\"hidden\" name=\"abt_ids\" value=\"". (0 + $prime_abt) ."\" />";
		echo "<input type=\"hidden\" name=\"abt_id\" value=\"". (0 + $prime_abt) ."\" />";
		echo "<tr><td class=\"ww\" id=\"abt_out\">\n$abt_out</td></tr>\n";
		echo "<script type=\"text/javascript\"><!--\n $js $js2 --></script>\n";
	}
	echo "</td></tr>\n";

	echo "<tr><th>Name 1:</th><td>\n";
	echo "<input type=\"text\" name=\"name\" size=\"30\" maxlength=\"50\" ";

	if (isset($rvar_proj_id)) $val = $kl['name'];
	else $val = "";
	$daten = new stwDaten(3);

	if (!empty($rvar_proj_id)) {
		$link = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $rvar_proj_id, 0);
	} else {
		$link = '';
	}

	echo "tabindex=\"$ti\" value=\"$val\" /> $link</td></tr>\n"; $ti++;

	echo "<tr><th>Name 2:</th><td>";
	echo "<input type=\"text\" name=\"vorname\" size=\"30\" maxlength=\"50\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"{$kl['vorname']}\"";
	echo " /></td></tr>\n";

	$tt = stwToolTip('Verwaltungs- oder Management-Projekt<br>zur Internen Zuordnung ausw&auml;hlen');
	echo "<tr><th $tt>Interne Zuordnung:</th>";
	if(empty($rvar_proj_id)) {
	/* Interne Zuordnung wird unter wihi abgespeichert: 
	   bei neuem Projekt vorbelegt mit haeufigstem Wert */
		$default_int = abfrage("SELECT COUNT(ap_id) AS Zeilen, ap_id FROM tb_projekte
								WHERE projektnr >= 20000 AND projektnr < 21000 AND ap_id > 0
								GROUP BY ap_id ORDER BY Zeilen DESC LIMIT 1");
		if(!empty($default_int[0])) $pro['ap_id'] = $default_int[1];
	}
	echo "<td colspan=\"3\"><select name=\"ap_id\" size=\"1\" tabindex=\"$ti\">\n";
	$ti++;
	echo "<option>Sachbearbeiter w&auml;hlen!</option>\n";
	$sql =  "SELECT ap.ap_id, ko.kurzname, ap.vorname, ap.name ".
			"FROM tb_kontakte_ap ap LEFT JOIN tb_kontakte ko ".
			"ON ko.kont_id = ap.kont_id and ko.kh_id='0' ".
			"WHERE ko.kont_art_id = 1 ".
			"and ap.abt not like '%wihi%' and (ap.aktiv = 'j' or ap.ap_id = '{$pro['ap_id']}') ".
			"order by ko.kurzname asc, ap.name asc, ap.vorname asc";
	$res = mysql_query($sql) or die(mysql_error());

	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if ($pro['ap_id'] == $zeile[0]) echo ' selected';
		echo " value=\"$zeile[0]\">";
		echo $zeile[1] . "&nbsp;-&nbsp;" . $zeile[3];
		if (strlen($zeile[2]) > 0){
			echo ",&nbsp;" . $zeile[2];
		}
		echo "</option>\n";
	}
	echo "</select></td></tr>\n";

	echo "<tr><th>Stra&szlig;e:</th><td>";
	echo "<input type=\"text\" name=\"strasse\" size=\"30\" maxlength=\"30\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"{$kl['strasse']}\"";
	echo " /></td></tr>\n";

	echo "<tr><th>PLZ, Ort:</th>";
	echo "<td><input type=\"text\" name=\"plz\" size=\"5\" maxlength=\"5\" ";
	echo "style=\"margin-right:4px;\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"{$kl['plz']}\"";
	echo " /><input type=\"text\" name=\"ort\" size=\"24\" ";
	echo "maxlength=\"30\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"{$kl['ort']}\"";
	echo " /></td></tr>";

	echo "<tr><th>Telefon:</th>\n";
	echo "<td><input type=\"text\" name=\"telefon\" size=\"15\" ";
	echo "maxlength=\"15\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"{$kl['telefon']}\"";
	echo " /></td></tr>\n";
	echo "<tr><th>Telefon mobil:</th>\n";
	echo "<td><input type=\"text\" name=\"telmobil\" size=\"15\" ";
	echo "maxlength=\"15\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"{$kl['telmobil']}\"";
	echo " /></td></tr>\n";

	echo "<tr><th>E-Mail:</th>\n";
	echo "<td><input type=\"text\" name=\"email\" size=\"30\" ";
	echo "maxlength=\"50\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"{$kl['email']}\"";
	echo " />";
	if (strlen($kl['email']) > 0){
		echo " <a href=\"mailto:{$kl['email']}\"";
		echo stwToolTip('E-Mail schreiben') . '>@</a>';
	}
	echo "</td></tr>\n";

	if (isset($rvar_proj_id)) {
		$ma=abfrage("select t1.teldienst,t1.telmobil,t1.pers_id
					 from tb_personal t1
					 left join tbh_pers_proj t2 on t1.pers_id=t2.pers_id
					 where t2.proj_id = $rvar_proj_id and t2.personaltyp_id = 1");
		$tt_hb = '';
		if (empty($ma[1])){
			$tt_hb = (empty($ma[0])) ? 'zum Hauptbetreuer' : $ma[0];
		} else {
			$tt_hb = empty($ma[0]) ? $ma[1] : ($ma[0] . ' | ' . $ma[1]);
		}
	} else $ma = array();
	/* Hauptbetreuer Link und Auswahlfeld zeigen */
	echo "<tr><th>";
	if(!empty($rvar_proj_id)) echo "<a href=\"pers_and.php?pers_id=$ma[2]\"" . stwToolTip($tt_hb) . ">";
	echo "Hauptbetreuer:$a</th>\n";
	echo "<td>\n<select name=\"pers_id\" size=\"1\" ";
	echo "tabindex=\"$ti\" style=\"width:214px;\">\n"; $ti++;
	echo "<option>Hauptbetreuer w&auml;hlen!</option>\n";

	$order = ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
	/* die Auswahloptionen zusammenstellen */
	$res = abfrage1("select pers_id from tb_personal
					where pers_id = '$ma[2]' or status_id = 2 and (
						betreuer = 'j' or pers_id in (
							select p.pers_id from tbh_proj_abt a
							left join tbh_pers_abt p using(abt_id)
							where a.proj_id='$rvar_proj_id'
					) ) order by $order;");
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if (isset($rvar_proj_id) && $ma[2] == $zeile[0]) echo ' selected';
		echo " value=\"$zeile[0]\">";
		echo $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
		echo "</option>\n";
	}
	echo "</select>\n";
	echo "</td></tr>\n";

	/* der Fachberatungsbereich - nur ab Level 97 */
	if ($_SESSION[$AppCode]["ULV"] > 96 || check_al_proj($rvar_proj_id)){
	  echo "<tr><th>Fachberatung:</th><td colspan=\"3\">";
	  echo "<select name=\"fb_id\" size=\"1\" tabindex=\"$ti\">"; $ti++;
	  echo "<option>FachberaterIn w&auml;hlen!</option>";

	  $where = "WHERE status_id = '2' AND betreuer = 'j'";
	  $sql  = "SELECT pers_id FROM tb_personal $where ORDER BY $order";
	  $res  = abfrage1($sql);

	  $maxl = abfrage("SELECT MAX( LENGTH( concat( name, vorname ) ) ) FROM tb_personal $where");
	  $later = array();

	  /* alle aktiven Fachbetreuer ausgeben */
	  while ($zeile = mysql_fetch_row($res)){
		$sum = abfrage("SELECT count(p.proj_id)
						FROM tb_projekte p 
						left join tb_personal pers on p.fb_id = pers.pers_id
						WHERE p.fb_id > 0 AND (p.ende IS NULL OR p.ende = '0000-00-00' OR 
						TO_DAYS(p.ende) >= TO_DAYS(CURDATE())) AND 
						p.projektnr < 900 AND p.fb_id = '$zeile[0]'
						group by p.fb_id");
		if(empty($sum[0])) {
			$later[] = $zeile[0];
			continue;
		}
		echo "<option value=\"$zeile[0]\"";
		if (isset($rvar_proj_id) && $zeile[0] == $pro[22]) echo ' selected';
		$pers_name = $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
		echo ">$pers_name";
		for($i = strlen($pers_name); $i<=$maxl[0] + 3; $i++) echo "&nbsp;";
		if($sum[0]) echo "($sum[0])";
		echo "</option>\n";
	  }
	  if(sizeof($later) > 0) {
		echo "<option value=\"0\">";
		for($i = 0; $i<=$maxl[0] + 6; $i++) echo "-";
		echo "</option>";
		foreach($later as $zeile[0]) {
			echo "<option value=\"$zeile[0]\"";
			if (isset($rvar_proj_id) && $zeile[0] == $pro[22]) echo ' selected';
			$pers_name = $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
			echo ">$pers_name</option>\n";
		}
	  }

	  /* pruefen ob vielleicht ein inaktiver Fachbetreuer zustaendig ist */
	  if (isset($rvar_proj_id) && $pro[22] != 0) {
		$sql  = "SELECT status_id FROM tb_personal WHERE pers_id = '";
		$sql .= $pro[22]."'";

		$erg  = abfrage($sql);
		if ($erg[0] != "2"){
			/* ist nicht mehr aktiv aber Namen trotzdem anzeigen */
		  echo "<option value=\"$pro[22]\" selected ";
		  echo "style=\"background-color:#666666\">";
				echo pers_name($pro[22]) . "</option>\n";
		}
	  }
		echo "</select></td></tr>\n";
	} elseif (!empty($rvar_proj_id)){
		echo "<tr><th>Fachberatung:</th>\n";
		echo "<td colspan=\"4\">" . pers_name($pro[22]) . "</td></tr>\n";
		echo "<input type=\"hidden\" name=\"fb_id\" value=\"$pro[22]\" />\n";
	}
	if ($_SESSION[$AppCode]["ULV"] > 96 || (isset($rvar_proj_id) && $_SESSION[$AppCode]['UID'] == $pro[22])){

		echo "<tr><th>Priorit&auml;t Fachb.:</th>\n";
		echo "<td colspan=\"3\"><select name=\"fb_prio\" size=\"1\" ";
		echo "tabindex=\"$ti\">\n"; $ti++;

		$sql = "select prio, prioritaet from tb_prio order by prio asc;";
		$res2 = abfrage1($sql);
		echo "<option value=\"0\">Priorit&auml;t w&auml;hlen!</option>\n";
		while ($row2 = mysql_fetch_row($res2)) {
			echo '<option';
			if (isset($rvar_proj_id) && $pro[23] == $row2[0]) echo ' selected';
			echo " value=\"$row2[0]\">$row2[1]</option>\n";
		}
		echo "</select></td></tr>\n";
	} elseif (!empty($rvar_proj_id)){
		echo "<input type=\"hidden\" name=\"fb_prio\" value=\"$pro[23]\" />\n";
	}

	echo "<tr><th>vorauss. Beginn:</th>\n";
	echo "<td><input type=\"text\" name=\"beginn\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if (isset($rvar_proj_id)) echo " value=\"" . date_my2gr($pro[6]) . "\"";
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

	if (isset($rvar_proj_id)){
		echo "<tr><th>Beginn Hilfehist.:</th>\n";
		echo "<td>";
		$beg = $projekt->beginn();
		if ($beg == '01.01.1970'){
			echo "<span style=\"color:red;font-weight:bolder;text-decoration:blink\">";
			echo "Eintrag in Historie fehlt!</span>\n";
		} else {
			echo $beg;
		}
		echo "</td></tr>\n";
	}

	echo "<tr><th>Ende:</th>\n";
	echo "<td><input type=\"text\" name=\"ende\" size=\"11\" ";
	echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
	if ((isset($rvar_proj_id)) && ($pro[7] > 0)) {
		echo " value=\"" . date_my2gr($pro[7]) . "\"";
	}
	echo " />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

	if (isset($rvar_proj_id)) {
		echo "<tr><th>Gesamtstunden:</th>\n";
		echo "<td style=\"color:#00FF00\">";
		echo fls_form($projekt->fls_geleistet_summe()) . "</td>";
		echo "</tr>\n";
	}
	new stwTabLine(2,30);
	echo "<tr><td colspan=\"2\"><input type=\"submit\" value=\"speichern\" /></td></tr>";
	echo "</table>\n";
	echo "</form>\n";
	echo "</td>\n";
	if(isset($rvar_proj_id)) {
		/* rechte Haelfte */
		echo "<td>\n";
		echo "<table>";
		include('betreuer.inc.php');
		echo "</table><table>";

		new stwTabLine(1,30);
		echo "<tr><td colspan=\"30\"><center><table>\n<tr>";
//TODO:
//		echo "<td><input type=\"button\" value=\"neue Anfrage\" ";
//		echo "style=\"color:#666666\" ";
//		echo "onclick=\"self.location.href='$self?proj_id=$rvar_proj_id&amp;page=1&amp;p_neu=1'\" /></td>\n";
		echo "<td><input type=\"button\" value=\"Projekt hinzuf&uuml;gen\" ";
		echo stwToolTip("Projekt zur Gruppe hinzuf&uuml;gen");
		echo "onclick=\"self.location.href='$self?proj_id=$rvar_proj_id&amp;page=1&amp;p_add=1'\" /></td>\n";
		echo "<td><input type=\"button\" value=\"Historie\" ";
		echo stwToolTip("Historie der Klientenprojekte anzeigen");
		echo "onclick=\"self.location.href='$self?proj_id=$rvar_proj_id&amp;page=1&amp;p_hist=1'\" /></td>\n";
		echo "</tr></table></center></td></tr>\n";
		new stwTabLine(1,30);
		echo "<tr><th class=\"cl1\">Projektnr.</th>";
		echo "<th class=\"cl1\">Name</th>";
		echo "<th class=\"cl1\">Vorname</th>";
		echo "<th class=\"cl1\"></th></tr>\n";
		new stwTabLine(2,30);
		if($rvar_p_add == 1) {
			$and = $ulv<60 ? "and pp.pers_id='$uid'" : '';
			$pra = getConf('proj_gruppe_pra');
			if(!empty($pra)) {
				$pra_rng = abfrage("select nr_von, nr_bis from tb_projektart where pra_id = '$pra';");
				$and .= " and p.projektnr >= $pra_rng[0] and p.projektnr <= $pra_rng[1]";
			}
			$projs = abfrage1( "select distinct pp.proj_id from tbh_pers_proj pp
								left join tb_projekte p using(proj_id)
								left join tb_hilfeart a using(hilfeart_id)
								where pp.proj_id not in 
								(select proj_id from tbh_projekt_gruppe where bis IS NULL or bis > curdate())
								$and and a.gruppenprojekt = 'j'
								and (p.ende is null or p.ende='0000-00-00' or p.ende > curdate())
								order by a.hilfeart asc, p.projektnr asc;" );
			echo "<tr><td colspan=\"30\">\n";
			echo "<form method=\"get\" action=\"$self\">\n";
			echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />\n";
			echo "<input type=\"hidden\" name=\"page\" value=\"1\" />\n";
			echo "<input type=\"hidden\" name=\"p_add\" value=\"1\" />\n";
			echo "<table><tr><td colspan=\"3\">\n";
			echo "<select name=\"add\" size=\"1\" style=\"width:320px\">\n";
			echo "<option value=\"0\">Projekt hinzuf&uuml;gen</option>\n";
			while ($proj = mysql_fetch_row($projs)) {
				$padd = new stwProjekt($proj[0]);
				echo "<option ";
				echo " value=\"$proj[0]\">".$padd->nummer().' '.$padd->nname().', '.$padd->vname()."</option>\n";
			}
			echo "</select></td></tr><tr><th>1. Tag der Gruppenzugeh&ouml;rigkeit:</th>\n";
			echo "<td><input type=\"text\" name=\"von\" size=\"10\" value=\"".date('d.m.Y')."\" /></td>\n";
			echo "<td><input type=\"image\" src=\"img/senden.png\" /></td></tr></table>\n";
			echo "</form></td></tr>\n";
			new stwTabLine(2,30);
		}
		$projs = abfrage1( "select p.proj_id, p.traeger_art_id from tbh_projekt_gruppe g
							left join tb_projekte p using(proj_id)
							left join tb_hilfeart a using(hilfeart_id)
							where g.proj_id_gruppe = '$rvar_proj_id'
							and (g.bis IS NULL or g.bis > curdate())
							and p.traeger_art_id != '$rvar_proj_id'
							order by a.hilfeart asc, p.projektnr asc;" );
		while ($proj = mysql_fetch_row($projs)) {
			$padd = new stwProjekt($proj[0]);
			echo "<tr><td class=\"cl1\"><a href=\"pro_daten.php?proj_id=$proj[0]\">";
			echo $padd->nummer(). "</a></td>";
			echo "<td class=\"cl1\">" . $padd->nname() . "</td>";
			echo "<td class=\"cl1\">" . $padd->vname() . "</td>";
			echo "<td class=\"cl1\"><a style=\"color:red;\"";
			echo stwToolTip("<b>Vorsicht!</b> Projekt aus Liste entfernen");
			echo "href=\"$self?proj_id=$rvar_proj_id&amp;page=1&amp;del=$proj[0]\">X</a></td></tr>\n";
		}

		new stwTabLine(2,30);
		/* Hilfehistorie nur fuer Nuzer mit Level > 5 sichtbar */
		if ($_SESSION[$AppCode]['ULV'] > 5){
			/* Kalender offen? Zeitraum ermitteln */
			if($_GET['hhk']) {
				if ($_GET['anz'] == 'j') $monat = 'all';
				elseif ($_GET['tag']) {
					if(strlen($_GET['tag']) == 4) $monat = 'all';
					else $monat = substr($_GET['tag'], 5, 2);
				} else $monat = date('n');
				if ($_GET['tag']) $jahr = substr($_GET['tag'], 0, 4);
				else $jahr = date('Y');
				if($monat == 'all') {
					if($_GET['tag'] != '0000-00-00') {
						$von = date('Y-m-d', mktime(0,0,0,1,1,$jahr));
						$bis = date('Y-m-d', mktime(0,0,0,12,31,$jahr));
					}
				} elseif($_GET['anz'] == 'a') {
					$von_monat = empty($_GET['von_monat']) ? $monat : $_GET['von_monat'];
					$bis_monat = empty($_GET['bis_monat']) ? $von_monat : $_GET['bis_monat'];
					$von_jahr = empty($_GET['von_jahr']) ? $jahr : $_GET['von_jahr'];
					$bis_jahr = empty($_GET['bis_jahr']) ? $von_jahr : $_GET['bis_jahr'];
					$von = date('Y-m-d', mktime(0,0,0,$von_monat,1,$von_jahr));
					$bis = date('Y-m-d', mktime(0,0,0,$bis_monat,date('t',mktime(0,0,0,$bis_monat,1,$bis_jahr)),$bis_jahr));
				} elseif(($_GET['anz'] == 'm') && isset($_GET['tag'])) {
					$von = $_GET['tag'];
					$tag =  date_isodate_stamp($_GET['tag']);
					$bis = date('Y-m-t', $tag);
				} elseif(($_GET['anz'] == 't') && isset($_GET['tag'])) {
					$von = $bis = $_GET['tag'];
				} elseif((($_GET['anz']=='w1')||($_GET['anz']=='w2')) && isset($_GET['tag'])) {
					$tag =  date_isodate_stamp($_GET['tag']);
					$wtag = date('w', $tag);
					if ($wtag == 0){
						$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
					} else {
						$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
					}
					$bis_ts = $von_ts + (6 * 86400);
					$von = date('Y-m-d', $von_ts);
					$bis = date('Y-m-d', $bis_ts);
				} else {
					$von = (date('Y')-2) . '-' . date('m') . '-01';
					$bis = false;
				}
				if($monat == 'all' && $jahr == '0000') $and = '';
				else {
					$and = "and datum >= '$von' ";
					if($bis !== false) $and .= "and datum <= '$bis' ";
				}
			} else $and = '';
			// Liste HPs = Hilfehistorie

			$sql = "select hp_id,	#0
					proj_id,		#1
					datum,			#2
					hp_art,			#3
					and_datum,		#4
					hp_st,			#5
					erst,			#6
					to_days(and_datum),	#7
					to_days(curdate()),	#8
					prognose,		#9
					unix_timestamp(datum),	#10
					ressourcen,		#11
					kontakt,		#12
					kontakt_fz,		#13
					fallbegl,		#14
					st_grund		#15
					from tb_hp
					where (proj_id = $projekt->id or (hp_art in ('x','y') and hp_id in 
					(select id from tbh_postzuordnung where posttyp='h' and id2='$projekt->id' and typ='p'))) ";
			$order = "order by datum desc, and_datum desc;";

			$res = abfrage1($sql . $and . $order);

			/* Immer Ausgabe aller aktiven KWG, letzten Hilfeplan und Reflexion,
			 * sowie alle geplanten und die aktuelle Stundennderung (ggf. im HP enthalten)
			 */ 
			if (mysql_num_rows($res) != 0) {

				// Liste durchgehen und nach aktueller Stundennderung in ST/EG/HP suchen
				$zeilennummer = 0;
				$st_zeile = 0;

				while ($zeile = mysql_fetch_row($res)) {
					$zeilennummer++;
					switch ($zeile[3]) {
						case 'h2':
						case 'h':
						case 's':
							if ($zeile[4] != '0000-00-00' &&
								$zeile[5] > 0) {
								list($tmp_jahr, $tmp_monat, $tmp_tag) = explode("-", $zeile[4]);
								$zeitaend = mktime(0, 0, 0, (int)$tmp_monat, (int)$tmp_tag, (int)$tmp_jahr);
								if ($zeitaend <= strtotime(date("d.m.Y"))) {
									$st_zeile = $zeilennummer;
									break (2); // While-Schleife verlassen
								}
							}
					}
				}
				
				// Zurcksetzen Abfrageergebnis auf den ersten Datensatz
				mysql_data_seek($res, 0);

				echo "<tr>\n<th colspan=\"30\" style=\"text-align:center;background-color:black\">Historie (Basisdaten)</th>\n</tr>\n";

				echo "<tr><td colspan=\"30\" align=\"center\">\n";
				echo "<table>\n";

				$nurbasis = true;

				$hp_angezeigt = false;
				$rf_angezeigt = false;
				$zeilennummer = 0;

				while ($zeile = mysql_fetch_row($res)) {

					$zeilennummer++;

					switch ($zeile[3]) {
						case 'k':
							/* nur aktive KWGs anzeigen */
							if (!empty($zeile[4])) {
								continue (2);
							}
							break;
						case 'h2':
						case 'h':
							/* nur den letzten HP anzeigen */
							if ($hp_angezeigt == false) {
								$hp_angezeigt = true;
							} else {
								continue (2);
							}
							break;
						case 'r':
							/* nur die letzte RF anzeigen */
							if ($rf_angezeigt == false) {
								$rf_angezeigt = true;
							} else {
								continue (2);
							}
							break; 
						case 's':
							/* alle ST bis zur aktuell gltigen anzeigen */
							if ($zeilennummer > $st_zeile) {
								continue (2);
							}
							break;
						default:
							/* alle anderen Dinge sollen (noch nicht) 
							 * mit angezeigt werden */
							continue (2);
					}

					include ($pfad."pro_daten_aktenzeile.php");
				}

				echo "</table>\n";
				echo "</td></tr>\n";

				// Zurcksetzen Abfrageergebnis auf den ersten Datensatz
				if($and == '') mysql_data_seek($res, 0);
				/* Neue Abfrage: eventuell gekuerzte Historie */
				else $res = abfrage1($sql . $and . $order);

				$angezeigte_eintraege == 0;
			}
			echo "<tr><td colspan=\"30\" align=\"center\"><table cellpadding=\"0\" cellspacing=\"0\"><tr>\n";
			echo "<td>&nbsp;<input type=\"button\" value=\"ST\"";
			echo stwToolTip('Stunden&auml;nderung');
			echo " onclick=\"self.location.href='pro_st.php?proj_id=$rvar_proj_id'\" /></td>\n";
			echo "<td>&nbsp;<input type=\"button\" value=\"RF\"";
			echo stwToolTip('Reflexion');
			echo " onclick=\"self.location.href='pro_re.php?proj_id=$rvar_proj_id'\" /></td>\n";
			echo "<td>&nbsp;<input type=\"button\" value=\"AB\"";
			echo stwToolTip('Abrechnung');
			echo " onclick=\"self.location.href='pro_ab.php?proj_id=$rvar_proj_id'\" /></td>\n";
			if ($_SESSION[$AppCode]["ULV"] >=60) {
				echo "<td>&nbsp;<input type=\"button\" value=\"IQS\"";
				echo stwToolTip('Interne Qualit&auml;tssicherung');
				echo " onclick=\"self.location.href='pro_qs.php?proj_id=$rvar_proj_id'\" /></td>\n";
			}
			echo "<td>&nbsp;<input type=\"button\" value=\"BEL\"";
			echo stwToolTip('Belehrung');
			echo " onclick=\"self.location.href='pro_bel.php?proj_id=$rvar_proj_id'\" /></td>\n";
			echo "<td>&nbsp;<input type=\"button\" value=\"PB\"";
			echo stwToolTip('Projektbericht');
			$lnk = ($b_pb || $_SESSION[$AppCode]["ULV"]<25) ? "pro_pb.php?proj_id=$rvar_proj_id" : "pro_konf.php?proj_id=$rvar_proj_id";
			echo " onclick=\"self.location.href='$lnk'\" /></td>\n";
			echo "<td style=\"vertical-align:bottom\">&nbsp;<input type=\"button\" ";
			echo stwToolTip('Brief schreiben') . "onclick=\"self.location.href='brief.php?";
			echo "br=1&amp;traeger=$projekt->traeger_art_id&amp;proj_id=$rvar_proj_id'\" ";
			echo "style=\"height:17px;width:20px;background:url(img/brief_grau.png) no-repeat\" /></td>\n";
			echo "</tr></table><br /></td></tr>\n";

			if (mysql_num_rows($res) != 0) {
				echo "<tr>\n<th colspan=\"30\" style=\"text-align:center;background-color:black\">&nbsp;";
				$hp_cnt = abfrage("select count(*) from tb_hp where proj_id = $projekt->id;");

				echo "<a name=\"hhist\">Historie</a>";
				if ($_GET['hhk'] == 1){
					$hhkstat = "(Kalenderauswahl)";
					$hhklink = "{$_SERVER['PHP_SELF']}?proj_id=$rvar_proj_id";
					$hhktext = 'gek&uuml;rzt anzeigen';
					$hhk_img = 'up_green.png';
				} else {
					$hhkstat = "(gek&uuml;rzt)";
					$hhklink = "{$_SERVER['PHP_SELF']}?proj_id=$rvar_proj_id&hhk=1";
					$hhktext = 'gesamt anzeigen';
					$hhk_img = 'down_red.png';
				}
				echo "&nbsp;&nbsp;$hhkstat&nbsp;&nbsp;";
				echo "<a href=\"$hhklink\" " . stwToolTip($hhktext);
				echo "><img border=\"0\" src=\"img/$hhk_img\" /></a>";
				echo "&nbsp;</th>\n</tr>\n";
				echo "<tr><td align=\"center\" colspan=\"30\">\n";
				echo "<table>\n";
				// Ausgabe aller Eintrge zum Projekt (bei gekrzter Liste nach n Eintrgen raus)
				$nurbasis = false;
				while ($zeile = mysql_fetch_row($res)) {
					// fr die gekrzte Liste Anzahl angezeigte Eintrge durchzhlen und entsprechend raus
					if ($_GET['hhk'] != 1) {
						if ($angezeigte_eintraege == 12) break;
						$angezeigte_eintraege++;
					}
					include ($pfad."pro_daten_aktenzeile.php");
				}
				echo "</table>\n";
				echo "</td></tr>\n";
			}
		} /* Ende Levelbegrenzung > 5 */
		echo "</table></td>\n";
	}
	echo "</tr></table>";
} else {
	/* ja, ich ueberschreibe eine $_GET Variable... hatte keinen Bock die stwEnd anzupassen! */
	if(empty($_GET['ma'])) $_GET['ma'] = 'all';
	$anzeige = isset($_GET['anz']) ? $_GET['anz'] : ($page==3 ? 'w1' : 't');
	if(empty($_GET['tag'])){
		$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
	} elseif((strlen($_GET['tag']) == 4) && ($anzeige == 'm')){
		$anzeige = 'j';
		$tag = mktime(0,0,0,1,1,$_GET['tag']);
	} elseif($_GET['tag'] == '0000-00-00'){
		$tag = 0;
	} else {
		$tag =  date_isodate_stamp($_GET['tag']);
	}
	$monat = date('n',$tag);
	$jahr = date('Y',$tag);
	$wtag = date('w', $tag);
	$mon_ts = date('Y-m-d', mktime(0,0,0,$monat,1,$jahr));
	if($anzeige != 'w1') $page = 2;
	switch ($anzeige) {
		case 'w1':
			$kal_von = getConf("kal_von");
			$kal_bis = getConf("kal_bis");
			$t_beg = mktime($kal_von, 0, 0, date("n"), date("j"), date("Y"));
			$t_end = mktime($kal_bis, 0, 0, date("n"), date("j"), date("Y"));
			if ($wtag == 0){
				$erster = mktime(0,0,0,$monat,date('j', $tag)-6,$jahr);
			} else {
				$erster = mktime(0,0,0,$monat,date('j', $tag)-($wtag-1),$jahr);
			}
			$letzter = $erster + (7 * 86400);
		break;
		case 'w2':
			$erster = mktime(0,0,0,$monat,date('j', $tag),$jahr);
			$letzter = $erster + (7 * 86400);
		break;
		case 'j':
			$erster = mktime(0,0,0,1,1,$jahr);
			$letzter = mktime(0,0,0,1,1,$jahr+1);
		break;
		case 'm':
			$erster = mktime(0,0,0,$monat,1,$jahr);
			$letzter = mktime(0,0,0,$monat+1,1,$jahr);
		break;
		default :
			$erster = mktime(0,0,0,$monat,date('j', $tag),$jahr);
			$letzter = $erster + 86400;
	}

  $order = ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
  $klient = isset($_GET['klient']) ? $_GET['klient'] : 'all';
  $gruppe = 0;
  $ma = isset($_GET['ma']) ? $_GET['ma'] : 'all';
  echo "<form method=\"get\" action=\"$self\">\n";
  echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />\n";
  echo "<input type=\"hidden\" name=\"page\" value=\"$page\" />\n";
  if(isset($_GET['tag'])) echo "<input type=\"hidden\" name=\"tag\" value=\"{$_GET['tag']}\" />\n";
  if(isset($_GET['anz'])) echo "<input type=\"hidden\" name=\"anz\" value=\"{$_GET['anz']}\" />\n";
  $sql="select g.proj_id, p.vorname, p.name from tbh_projekt_gruppe g
		left join tbh_proj_personen pp using(proj_id)
		left join tb_personen p using(person_id)
		where g.proj_id_gruppe = '$rvar_proj_id' 
		and (unix_timestamp(g.von) IS NULL or unix_timestamp(g.von) < '$letzter')
		and (g.bis IS NULL or unix_timestamp(g.bis) >= '$erster')
		group by g.proj_id order by $order";
  echo "<table width=\"750\"><tr><th>Klient:</th>\n";
  echo "<td class=\"cl1\">";
  $equals_whatever = 'in (';
  echo "<select name=\"klient\" size=\"1\" onchange=\"this.form.submit()\">\n";
  echo "<option value=\"all\">ALLE</option>\n";
  $klienten = abfrage1($sql);
  if(mysql_num_rows($klienten) <= 1) {
	$equals_whatever = 'is NULL';
  } else {
	  while($kl = mysql_fetch_row($klienten)) {
		echo "<option value=\"$kl[0]\"";
		echo ($klient == $kl[0]) ? " selected>" : ">";
		if(is_null($kl[1]) && is_null($kl[2])) {
			echo "Gruppe";
			$gruppe = $kl[0];
			if($klient == 'all') $equals_whatever .= "$kl[0],";
		} else {
			echo ($pers_order == 2) ? "$kl[2], $kl[1]" : "$kl[1] $kl[2]";
			if($klient == 'all' || $klient == 'kl') $equals_whatever .= "$kl[0],";
		}
		echo "</option>\n";
	  }
	  $equals_whatever = ($klient == 'all') ? (substr($equals_whatever, 0, -1) . ')') : "in ('$klient','$gruppe')";
  }
  echo "</select></td>\n";
  echo "<th>MA:</th>\n<td class=\"cl1\">\n";
  echo "<select name=\"ma\" size=\"1\" onchange=\"this.form.submit()\">\n";
  echo "<option value=\"all\">ALLE</option>\n";
  $sql="SELECT distinct pp.pers_id from tbh_projekt_gruppe pg
		left join tbh_pers_proj pp on(pp.proj_id = pg.proj_id_gruppe)
		left join tb_personal p using (pers_id)
		where ((unix_timestamp(pg.von) IS NULL or unix_timestamp(pg.von) <= '$letzter')
		and (unix_timestamp(pg.bis) >= '$erster' or pg.bis is null)
		and pg.proj_id_gruppe = '$rvar_proj_id')
		OR pp.pers_id = '$ma'
		order by $order";
  $pers = abfrage1($sql);
  while($per = mysql_fetch_row($pers)) {
	echo "<option value=\"$per[0]\"";
	echo ($ma == $per[0]) ? " selected>" : ">";
	echo ($pers_order == 2) ? pers_kname2($per[0]) : pers_kname($per[0]);
	echo "</option>\n";
  }
  echo "</select></td>\n";
  echo "<th>Code:</th>\n<td class=\"cl1\">\n";
  echo "<select name=\"codex\" style=\"width:75px\" onchange=\"this.form.submit()\">\n";
  echo "<option value=\"0\">ALLE</option>";
  $codes = abfrage1("select * from tb_ab_code3 order by code asc");
  while ($code = mysql_fetch_array($codes)) {
	$selected = $rvar_codex == $code['code'] ? 'selected' : '';
	echo "<option $selected value=\"{$code['code']}\">" . $code['code'];
	echo " " . $code['name'] . "</option>\n";
  }
  echo "</select></td>\n";
  echo "<td style=\"width:100%;text-align:right\">";
  if($page == 2) {
	echo "<a href=\"pro_pr_gruppe.php?proj_id=$rvar_proj_id";
	if(isset($_GET['tag'])) echo "&tag=$rvar_tag";
	if(isset($_GET['anz'])) echo "&anz=$rvar_anz";
	if(isset($_GET['klient'])) echo "&klient=$rvar_klient";
	if(isset($_GET['ma'])) echo "&ma=$rvar_ma";
	echo "\" target=\"_pdf\"><img ";
	echo stwToolTip("Dokumentation (aktuelle Ansicht) drucken") . " src=\"img/drucker.png\" /></a>";
  }
  echo "</td>";
  echo "</tr></table>\n</form>\n";
  new stwLine(1);

}
if($page == 2) {
	$directedit = true;//($anzeige=='t' && $erster == mktime(0,0,0,date("n"),date("j"),date("Y")));
	$akte = (isset($_REQUEST['akte'])) ? $_REQUEST['akte'] : getPersEinst($_SESSION[$AppCode]['UID'], 'pro_ab_aktenart', 1);
	$erl_auf = (isset($_REQUEST['erl_auf'])) ? $_REQUEST['erl_auf'] : 0;
	$projekt = new stwProjekt($rvar_proj_id);
	$fahrz = getConf('fz_pro_ab');
	$w4_anz = getPersEinst($_SESSION[$AppCode]['UID'],'pro_ab_4w',0);

	echo "<table><tr><th class=\"cl1\" colspan=\"2\">Projekt-Nr.</th>\n";

	$sql  = "select t3.personaltyp, left(t1.vorname,1), t1.name ";
	$sql .= "from tb_personal t1 left join tbh_pers_proj t2 using (pers_id) ";
	$sql .= "left join tb_personaltyp t3 using (personaltyp_id) ";
	$sql .= "where t2.proj_id = '$rvar_proj_id' ";
	$sql .= "order by t2.personaltyp_id limit 3;";
	$res = abfrage1($sql);

	while ($betr = mysql_fetch_row($res)){
		echo "<th class=\"cl1\" style=\"text-align:left\">$betr[0]</th>\n";
	}
	echo "</tr>\n";
	echo "<tr><td class=\"cl1\"><a href=\"pro_gruppe_and.php?proj_id=$projekt->id&page=1\">";
	echo $projekt->nummer() . "</a></td>\n";

	echo "<td class=\"cl1\" style=\"vertical-align:middle\"><a href=\"pro_ab_zk.php?proj_id=".$projekt->id."&amp;abr=1\"";
	echo stwToolTip('neue Zeitkarte erfassen');
	echo "><img border=\"0\" src=\"img/karte.png\" alt=\"ZK\"/></a></td>\n";

	$sql  = "select t3.personaltyp, left(t1.vorname,1), t1.name ";
	$sql .= "from tb_personal t1 left join tbh_pers_proj t2 using (pers_id) ";
	$sql .= "left join tb_personaltyp t3 using (personaltyp_id) ";
	$sql .= "where t2.proj_id = '$rvar_proj_id' ";
	$sql .= "order by t2.personaltyp_id limit 3;";
	$res = abfrage1($sql);

	while ($betr = mysql_fetch_row($res)){
		echo "<td class=\"cl1\">$betr[1].&nbsp;$betr[2]</td>\n";
	}

	echo "</tr></table>\n";
	$b_klientendokumentation = true;
	$sql = "select p.proj_id, unix_timestamp(g.von), unix_timestamp(g.bis) + 86400
			from tbh_projekt_gruppe g
			left join tb_projekte p using(proj_id)
			left join tb_hilfeart a using(hilfeart_id)
			where g.proj_id $equals_whatever
			and (unix_timestamp(g.von) IS NULL or unix_timestamp(g.von) < $letzter)
			and p.proj_id > 0
			and (g.bis is null or unix_timestamp(g.bis) + 86400 > $erster)
			order by p.proj_id = '$gruppe' desc, 
			a.hilfeart asc, p.projektnr asc;";
	$projs = abfrage1( $sql );
	$white = $rvar_print==1 ? 'black' : 'white';
	$tas = abfrage1("select terminart, name from tb_terminart where in_projektgruppe='j' order by terminart asc;");
	$terminarten = array('-'=>'anwesend');
	while ($proj = mysql_fetch_row($projs)) {
		if($proj[0] == $gruppe) {
			new stwLine(1);
			echo "<table width=\"750\"><tr><th style=\"color:#FFFFFF;text-align:center;\">Journal / Gruppendokumentation</th></tr></table>\n";
			new stwLine(2);
			$width = "width=\"750\"";
		} else {
			if($b_klientendokumentation) {
				$b_klientendokumentation = false;
				new stwLine(1);
				echo "<br />\n";
				echo "<table width=\"750\"><tr><th style=\"color:$white;text-align:center;\">Klientendokumentation</th></tr></table>\n";
				new stwLine(2);
			}
		}	  
		$von_ts = max($erster, $proj[1]);
		$bis_ts = $proj[2]==0 ? $letzter : min($letzter, $proj[2]);
		$subprojekt = new stwProjekt($proj[0]);
		if($proj[0] != $gruppe) {
			echo "<script type=\"text/javascript\"><!--\n";
			echo "function zk_".$proj[0]."(von,bis,datum,inhalt) {\n";
			echo " if(von=='' && bis=='' && inhalt=='') return false;\n";
			echo " if(inhalt=='') return confirm('keine Inhalte angegeben. Trotzdem speichern?');\n";
			$date = date('d.m.Y', $erster);
			echo " if(abwesend_".$proj[0]."_0 != '-' && datum == '$date') return confirm('Klient ist am $date abwesend. Trotzdem speichern?');\n";
			echo " return true;\n";
			echo "}\n--></script>\n";
			echo "<form name=\"anw$subprojekt->id\"><table width=\"750\">\n<tr>\n";
			$link = "<a href=\"pro_daten.php?proj_id=" . $subprojekt->id . "\" style=\"color:$white\">";
			echo "<td class=\"cl1\">" . $link . $subprojekt->nname() . "</a></td>\n";
			echo "<td class=\"cl1\">" . $link . $subprojekt->vname() . "</a></td>\n";
			echo "<td class=\"cl1\"><a href=\"pro_daten.php?proj_id=" . $subprojekt->id . "\">" . $subprojekt->nummer(). "</a></td>\n" ;
			// Alter
			$bd = abfrage("select to_days(concat(date_format(curdate(),'%Y-'),
								right(t2.geboren,5))) - to_days(curdate()),
							date_format(t2.geboren, '%d.%m.')
							from tbh_proj_personen t1
							left join tb_personen t2 using (person_id)
							where t1.proj_id = $subprojekt->id and t1.perstyp_id = 1;");
			if ($bd[0] >= -7 && $bd[0] <= 7) {
				$ages = "style=\"font-weight:bold;color:red;padding-right:3px\"";
				if ($bd[0] < 0) {
					$agt = "Hatte";
				} else {
					$agt = "Hat";
				}
				$aget = stwToolTip("$agt am $bd[1] Geburtstag!");
			} else {
				$ages = "style=\"padding-right:3px\"";
				$aget = "";
			}
			echo "<td class=\"cl1\" align=\"center\" $ages $aget>";
			echo $subprojekt->he_info('alter');
			echo "</td>\n<td class=\"cl1\">";
			echo $subprojekt->he_info('tel');
			echo "</td>";
			// Sachbearbeiter JA
			$zle = abfrage ("select t1.anrede, t1.name, t2.kont_art_id, t1.teldienst
							from tb_kontakte_ap t1
							left join tb_kontakte t2 on t2.kont_id = t1.kont_id and t2.kh_id='0'
							where t1.ap_id = $subprojekt->sb;");
			$site = k_art_seite($zle[2]);
			if(empty($subprojekt->sb)) echo "<td></td>";
			else {
				echo "<td width=\"100%\" class=\"cl1\"" . stwToolTip($zle[3]);
				echo "><a href=\"kont_ap_and.php?ap_id=".$subprojekt->sb."&amp;ka=$zle[2]&amp;st=$site\">Sachb.: ";
				echo ($zle[0] == "Frau" ? 'Fr.' : 'Hr.') . "&nbsp;$zle[1]</a></td>\n";
			}
			if($anzeige == 't') {
				$style = $nwtt = '';
				$disabled = false;
				$ndate = date('Y-m-01', $erster);
				$nach = abfrage("select nachw_id from tb_ab_nachw where datum = '$ndate';");
				if($nach[0]) {
					$style="color:grey;";
					$nwtt = stwToolTip('Monat bereits abgerechnet');
					if($_SESSION[$AppCode]['ULV'] < 97) $disabled = true;
				}
				$abr = abfrage("select count(zk_id) from tb_ab_zk where ab = 'j' and ab_monat = '$ndate' and nachw_id is null");
				if($abr[0]) {
					$style="color:red;";
					$nwtt = stwToolTip('Abrechnung l&auml;ft gerade');
					if($_SESSION[$AppCode]['ULV'] < 97) {
						$disabled = true;
						$abts = abfrage1("select abt_id, pers_id from tb_personal_abt_leit where kontrolle='j' and (pers_id='{$_SESSION[$AppCode]["UID"]}' or  pers_id_fuer_ma='{$_SESSION[$AppCode]["UID"]}')");
						if(mysql_num_rows($abts) > 0) {
							$abteilungen = array();
							while($abt = mysql_fetch_row($abts)) $abteilungen[ $abt[0] ] = $abt[0];
							$pro_abts = abfrage1("select distinct a.abt_id from tbh_projekt_gruppe g left join tbh_proj_abt a on (a.proj_id = g.proj_id or a.proj_id = g.proj_id_gruppe) where g.proj_id_gruppe='$rvar_proj_id'");
							while($abt = mysql_fetch_row($pro_abts)) {
								if($abteilungen[$abt[0]] > 0) {
									$disabled = false;
									break;
								}
							}
						}
					}
				}

				$datum = date('Y-m-d', $erster);
				echo "<td class=\"cl1\" style=\"text-align:right\"><table>";
				$wohngruppenbewohner = abfrage1("select pp.person_id, concat(p.vorname, ' ', p.name) from tbh_proj_personen pp left join tb_personen p using(person_id) where pp.proj_id='$proj[0]' and pp.perstyp_id='10'");
				$person = array(0);
				do {
					$abwesend = abfrage("select terminart, pers_id, date_format(ts, '%d.%m.%Y %H:%i'), essen, erh
										from tbh_proj_anwesenheit 
										where proj_id='$proj[0]' and person_id='$person[0]' and datum='$datum'");
					if(is_null($abwesend[0])) $abwesend = abfrage("select terminart, pers_id, date_format(ts, '%d.%m.%Y %H:%i'), essen from tbh_proj_anwesenheit where proj_id='$proj[0]' and person_id='0' and datum='$datum'");
					echo "<script type=\"text/javascript\"><!--\n";
					echo "var abwesend_".$proj[0]."_".$person[0]." = " . (empty($abwesend[0]) ? '-' : $abwesend[0]) . ";\n";
					echo "--></script>\n";
					echo "<tr>";
					if($person[0]) echo "<td class=\"cl1\" style=\"text-align:right\">$person[1]</td>\n";
					else echo "<th class=\"cl1\" $nwtt style=\"text-align:right;$style\">anwesend:</th>\n";
					$check = $abwesend[0] == '-' ? 'checked' : '';
					$hist = '';
					$history = abfrage1("select terminart, pers_id, date_format(ts, '%d.%m.%Y %H:%i') from tbh_proj_anw_historie where proj_id='$proj[0]' and person_id='$person[0]' and datum='$datum' and terminart IS NOT NULL order by ts desc");
					if(mysql_num_rows($history) > 1) while($hst = mysql_fetch_row($history)) {
						$hist .= "- ".pers_kname($hst[1])." am $hst[2] Uhr: <b>";
						if(empty($terminarten[ $hst[0] ])) {
							$ta = abfrage("select name from tb_terminart where terminart='$hst[0]'");
							$terminarten[ $hst[0] ] = $ta[0];
						}
						$hist .= $terminarten[ $hst[0] ] . "</b><br>";
					}
					$tt = $abwesend[0] == '-' ? stwToolTip("<B>von ".pers_kname($abwesend[1])." am $abwesend[2] Uhr gesetzt</B><br>$hist") : '';
					echo "<td>ja</td><td $tt class=\"cl1\"><input name=\"terminart_".$proj[0]."_".$person[0]."\" id=\"anwesend_".$proj[0]."_".$person[0]."\" value=\"-\" type=\"radio\" $check ";
					if($disabled && !empty($abwesend[0])) echo "disabled ";
					echo "onclick=\"abwesend_".$proj[0]."_".$person[0]."='-';xajax_anwesend('$datum',$proj[0],$person[0],'-');\" /></td>\n";
					if(mysql_num_rows($tas) > 0) mysql_data_seek($tas,0);
					if(mysql_num_rows($tas) == 0) {
						$check = !empty($abwesend[0]) && $abwesend[0] != '-' ? 'checked' : '';
						$tt = !empty($abwesend[0]) && $abwesend[0] != '-' ? stwToolTip("<B>von ".pers_kname($abwesend[1])." am $abwesend[2] Uhr gesetzt</B><br>$hist") : '';
						echo "<td>nein</td><td $tt class=\"cl1\"><input name=\"terminart_".$proj[0]."_".$person[0]."\" value=\"n\" type=\"radio\" $check ";
						if($disabled && !empty($abwesend[0])) echo "disabled ";
						echo "onclick=\"";
						if($pro['anfrage_std']) echo "if(!document.anw$subprojekt->id.essen_".$proj[0].".checked || confirm('Klient hat mitgegessen. Trotzdem abwesend?')) {abwesend_".$proj[0]."_".$person[0]."='$ta[0]'; xajax_anwesend('$datum',$proj[0],$person[0],'n');} else {this.checked=''; document.getElementById('anwesend_".$proj[0]."_".$person[0]."').checked='checked'}";
						else echo "abwesend_".$proj[0]."_".$person[0]."='$ta[0]'; xajax_anwesend('$datum',$proj[0],$person[0],'n');";
						echo "\" /></td>\n";
					} else while($ta = mysql_fetch_row($tas)) {
						$check = $abwesend[0] == $ta[0] ? 'checked' : '';
						$tt = $abwesend[0] == $ta[0] ? stwToolTip("<B>von ".pers_kname($abwesend[1])." am $abwesend[2] Uhr gesetzt</B><br>$hist") : '';
						echo "<td".stwToolTip($ta[1]).">$ta[0]</td><td $tt class=\"cl1\"><input name=\"terminart_".$proj[0]."_".$person[0]."\" value=\"$ta[0]\" type=\"radio\" $check ";
						if($disabled && !empty($abwesend[0])) echo "disabled ";
						echo "onclick=\"";
						if($pro['anfrage_std']) echo "if(!document.anw$subprojekt->id.essen_".$proj[0].".checked || confirm('Klient hat mitgegessen. Trotzdem abwesend?')) {abwesend_".$proj[0]."_".$person[0]."='$ta[0]'; xajax_anwesend('$datum',$proj[0],$person[0],'$ta[0]');} else {this.checked=''; document.getElementById('anwesend_".$proj[0]."_".$person[0]."').checked='checked'}";
						else echo "abwesend_".$proj[0]."_".$person[0]."='$ta[0]'; xajax_anwesend('$datum',$proj[0],$person[0],'$ta[0]');";
						echo "\" /></td>\n";
					}
					if($pro['anfrage_std']) {
						$check = $abwesend[3] == 'j' ? 'checked' : '';
						echo "<th $nwtt style=\"text-align:right;$style\">Essen:</th><td class=\"cl1\"><input type=\"checkbox\" $check name=\"essen_".$proj[0]."\" id=\"essen_".$proj[0]."\" ";
						if($disabled && !empty($abwesend[0])) echo "disabled ";
						$hist = '';
						$history = abfrage1("select essen, pers_id, date_format(ts, '%d.%m.%Y %H:%i') from tbh_proj_anw_historie where proj_id='$proj[0]' and person_id='$person[0]' and datum='$datum' and essen IS NOT NULL order by ts desc");
						while($hst = mysql_fetch_row($history)) {
							$hist .= "<input type=\"checkbox\"";
							if($hst[0]=='j') $hist .= " checked";
							$hist .= "> ".pers_kname($hst[1])." am $hst[2] Uhr<br>";
						}
						if($hist != '') echo stwToolTip($hist,false);
						echo "onclick=\"if(!this.checked || document.anw$subprojekt->id.terminart_".$proj[0]."_".$person[0].".value=='-' || confirm('Klient nicht anwesend. Trotzdem mitgegessen?')) xajax_gegessen('$datum',$proj[0],$person[0],this.checked); else this.checked='';\" /></td>\n";
					}
					if($pr_gr_x['erh_satz_manuell'] == 'j') {
						$check = $abwesend[4] == 'j' ? 'checked' : '';
						echo "<th".stwToolTip("erh&ouml;hter Tagessatz")."style=\"text-align:right\">erh.:</th>";
						echo "<td class=\"cl1\"><input type=\"checkbox\" $check ";
						echo "onclick=\"xajax_erh('$datum',$proj[0],$person[0],this.checked);\" /></td>\n";
					}
					echo "</tr>\n";
				} while($person = mysql_fetch_row($wohngruppenbewohner));
				echo "</table></td>\n";
			} else echo "<td width=\"100%\" />";
			echo "</tr>\n</table></form>\n";
		}
		// ZKs Klienten-Doku
		echo "<table style=\"width:730px; margin-left:20px\"><tr>\n";
		echo "<th class=\"cl1\">Datum</th>\n";
		echo "<td></td>\n";
		echo "<th class=\"cl1\">von</th>\n";
		echo "<th class=\"cl1\">bis</th>\n";
		echo "<th class=\"cl1\">fls</th>\n";
		echo "<th class=\"cl1\">Betreuer</th>\n";
		echo "<th class=\"cl1\">Code</th>\n";
		echo "<th class=\"cl1\" style=\"text-align:center\" width=\"100%\">Inhalte</th>\n";
		echo "<th class=\"cl1\"><a href=\"$self?proj_id=$rvar_proj_id&page=2";
		if(isset($_GET["anz"])) echo "&anz=".$_GET["anz"];
		if(isset($_GET["tag"])) echo "&tag=".$_GET["tag"];
		echo "&4w=".($w4_anz==1 ? 0 : 1)."\"";
		if(empty($w4_anz)) echo " style=\"color:#B4B4B4\" ";
		echo ">4W</a></th></tr>\n";
		new stwTabLine(2,30);

		if($directedit) {
			echo "<form method=\"post\" name=\"form_$proj[0]\" onsubmit=\"return zk_".$proj[0]."(document.form_$proj[0].von.value,document.form_$proj[0].bis.value,document.form_$proj[0].datum.value,document.form_$proj[0].inhalte.value+document.form_$proj[0].inhalte2.value)\" action=\"$self?proj_id=$rvar_proj_id&page=2";
			if(isset($_GET["anz"])) echo "&anz=".$_GET["anz"];
			if(isset($_GET["tag"])) echo "&tag=".$_GET["tag"];
			if(isset($_GET["ma"])) echo "&ma=".$_GET["ma"];
			echo "\">\n";
			echo "<input type=\"hidden\" name=\"dokumentation\" value=\"$proj[0]\">\n";
			$value = date('d.m.Y', $erster);
			echo "<tr><td colspan=\"2\"><input type=\"text\" name=\"datum\" size=\"10\" maxlength=\"10\" value=\"$value\" /></td>\n";
			echo "<td><input type=\"text\" name=\"von\" size=\"5\" maxlength=\"5\" /></td>\n";
			echo "<td><input type=\"text\" name=\"bis\" size=\"5\" maxlength=\"5\" /></td>\n";
			echo "<th".stwToolTip("Inhalte A-Akte extern")."style=\"text-align:right\">ext.:</th>";
			echo "<td colspan=\"6\"><textarea rows=\"1\" style=\"width:100%\" name=\"inhalte\"></textarea></td>";
			echo "<td><input type=\"image\" src=\"img/senden.png\" /></td></tr>\n";
			echo "<tr><th style=\"text-align:right\" colspan=\"2\">Code:</th>\n";
			echo "<td colspan=\"2\"><select name=\"code\" style=\"width:100%\">\n";
			echo "<option value=\"\"></option>";
			$codes = abfrage1("select * from tb_ab_code3 order by code asc");
			while ($code = mysql_fetch_array($codes)) {
				echo "<option value=\"{$code['code']}\">" . $code['code'];
				echo " " . $code['name'] . "</option>\n";
			}
			echo "</select>\n";
			echo "<th".stwToolTip("Inhalte Intern")."style=\"text-align:right\">int.:</th>";
			echo "<td colspan=\"6\"><textarea rows=\"1\" style=\"width:100%\" name=\"inhalte2\"></textarea></td>\n";
			echo "</td></tr>\n";
			$kwg = abfrage("select hp_id, ressourcen from tb_hp where hp_art = 'k'
							and proj_id = '$proj[0]' and and_datum is null;");
			if (!empty($kwg[0])) {
				echo "<tr>\n";
				echo "<td colspan=\"30\"><table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
				echo "<td class=\"cl1\">";
				echo "<input type=\"checkbox\" id=\"kwg2_$proj[0]\" ";
				echo "onchange=\"var kwg = document.getElementById('kwg_$proj[0]');";
				echo "kwg.checked = this.checked;";
				echo "if(this.checked) kwg.value=2; else kwg.value=1;\"></td>";
				echo "<th class=\"cl11\" style=\"color:#FF69B4;\"";
				$lastzk = abfrage1("select to_days(curdate()) - to_days(t.von), inhalte2,
									unix_timestamp(t.von) from tb_ab_zk z
									left join tb_termine t using (termin_id)
									where z.proj_id='$proj[0]' and z.inhalte2!='' and z.kwg='2'
									and z.ab='j' and t.von < curdate() order by t.von desc limit 2");
				if(mysql_num_rows($lastzk) > 0) {
					$title = '';
					$wielangeher = 0;
					while($last = mysql_fetch_row($lastzk)) {
						if($wielangeher == 0) $wielangeher = $last[0];
						$title .= "<b>" . strftime("%a %d.%m.%Y",$last[2]) . "</b> (vor $last[0] Tagen)<b>:</b> $last[1]<br />";
					}
					echo stwToolTip($title);
				}
				if($wielangeher >= 7) echo "name=\"blink\"";
				echo ">w&ouml;chentliche Einsch&auml;tzung mit den Eltern zum Kindeswohl</th><td>";
				echo "<th class=\"cl11\" style=\"text-align:right;width:100%\"".stwToolTip($kwg[1]);
				echo ">betrifft <span style=\"color:#FF69B4;\">KWG</span>:</th>";
				echo "<td><input type=\"checkbox\" id=\"kwg_$proj[0]\" name=\"kwg\" value=\"1\" onchange=\"var kwg = document.getElementById('kwg2_$proj[0]');";
				echo "if(kwg.checked && !this.checked) { kwg.checked=this.checked; this.value=1; }\"></td></tr></table></td></tr>\n";
			}
			
			echo "</form>\n";
			new stwTabLine(2,30);
			echo "<form method=\"post\" name=\"form_$proj[0]\" action=\"$self?proj_id=$rvar_proj_id&page=2";
			if(isset($_GET["anz"])) echo "&anz=".$_GET["anz"];
			if(isset($_GET["tag"])) echo "&tag=".$_GET["tag"];
			if(isset($_GET["ma"])) echo "&ma=".$_GET["ma"];
			echo "\">\n";
			if($pr_gr_x['zusRechPosten']=='j' && check_nutzer_rechte(148)) {
				echo "<tr><th colspan=\"5\" style=\"text-align:right\" class=\"cl1\">weiterer Rechnungsposten:</th>\n";
				echo "<td colspan=\"4\"><table cellspacing=\"0\" cellpadding=\"0\"><tr>";
				echo "<td class=\"cl20\"><input type=\"text\" name=\"spesen_text\" size=\"50\" maxlength=\"50\" tabindex=\"$ti\""; $ti++;
				echo "></td><th class=\"cl1\">Betrag:</th>\n";
				echo "<td class=\"cl1\"><input type=\"text\" name=\"spesen_betr\" size=\"10\" ";
				echo "maxlength=\"10\" tabindex=\"$ti\"	style=\"text-align:right\""; $ti++;
				echo ">&nbsp;&euro;,&nbsp;&cent</td>\n</tr></table></td></tr>\n";
			}
			echo "</form>\n";
		}
		$order = " order by unix_timestamp(t.von) asc;";
		$sql  = "select date_format(t.von,'%d.%m.%Y') as date_von, "; #0
		$sql .= "time_format(t.von,'%k:%i') as time_von, "; #1
		$sql .= "time_format(t.bis,'%k:%i') as time_bis, "; #2
		$sql .= "time_format(a.fls,'%k:%i') as time_fls, "; #3
		$sql .= "time_format(sec_to_time(unix_timestamp(t.bis) - ";
		$sql .= "unix_timestamp(t.von) - time_to_sec(a.fls) - ";
		$sql .= "time_to_sec(a.vun)),'%k:%i') as time_fz, "; #4
		$sql .= "a.pers_id, a.code, a.inhalte, a.zk_id, a.proj_id, "; #9
		$sql .= "(concat(left(b.vorname,1), '. ', b.name)) as betr_name, "; #10
		$sql .= "a.ab, a.ab_monat, a.nachw_id, t.termin_id, "; #14
		$sql .= "unix_timestamp(t.bis) - unix_timestamp(t.von) - ";
		$sql .= "time_to_sec(a.fls), "; #15
		$sql .= "a.kwg, time_to_sec(a.fls2) as sec_fls2, "; #17
		$sql .= "time_format(a.fls2,'%k:%i') as time_fls2, "; #18
		$sql .= "time_to_sec(a.fz2) as sec_fz2, "; #19
		$sql .= "time_format(a.fz2,'%k:%i') as time_fz2, "; #20
		$sql .= "time_to_sec(a.fls) as sec_fls, a.inhalte2, a.sperre, a.code_ttt, "; #24
		$sql .= "a.sperre_id, unix_timestamp(a.sperre_dt) as sperre_ts, "; #26

		if ($akte == 1 || $akte == 3){
			$sql .= "a.inhalte as inhalte_1, ";
		} elseif ($akte == 2){
			$sql .= "a.inhalte2 as inhalte_1, ";
		}

		$sql .= "a.res2_id, unix_timestamp(t.von) as ts_von, ";
		$sql .= "unix_timestamp(t.bis) as ts_bis, ";
		$sql .= "time_format(a.vun,'%k:%i') as time_vun, "; #31
		$sql .= "date_format(t.bis,'%d.%m.%Y') as date_bis "; #32
		$sql .= "from tb_ab_zk a left join tb_termine t using (termin_id) ";
		$sql .= "left join tb_personal b on a.pers_id = b.pers_id ";
		$sql .= "where a.proj_id = '$proj[0]' ";
		if($ma != 'all') $sql .= "and b.pers_id = '$ma' ";
		if(!empty($rvar_codex)) $sql .= "and a.code = '$rvar_codex' ";
		$sql .= "and (a.pers_id > 0 or a.code = 'U') ";
		$sql .= "and unix_timestamp(t.bis) >= $von_ts ";
		$sql .= "and unix_timestamp(t.von) < $bis_ts ";

		if ($akte == 2){
			$sql .= "and length(a.inhalte2) > 0 ";
		}

		$sql .= $order;
		$res = abfrage1($sql);

		while ($row = mysql_fetch_array($res)) {
			echo "<tr class=\"mo\">";
			echo "<td class=\"cl1\"><a href=\"pro_ab_zk.php?zk_id=$row[8]&proj_id=$row[9]\" style=\"color:";
			if(!empty($row[13])) echo $zk_abgelegt;
			elseif(!empty($row[12])) echo $zk_abgerechnet;
			elseif($row[11] == 'j' || $row[11] == 'u') echo $zk_ab_ja;
			else echo $zk_ab_nein;
			echo "\">$row[0]</a></td>\n";
			echo '<td';
			if ($row['kwg'] > 0){
				$kwg = abfrage("select ressourcen from tb_hp where hp_art = 'k'
								and proj_id = '$proj[0]'
								and and_datum is null;");
				echo " class=\"cl1\"><img style=\"padding-top:3px\" src=\"img/icon_kwg.png\"";
				echo stwToolTip("<b>Kindeswohlgef&auml;hrdung!</b> <br>" . $kwg[0]) . '>';
			} else{
				echo '>';
			}
			echo "</td>\n";

			if($row['code'] == 'U') {
				echo "<td colspan=\"2\" $st class=\"cl1\"> - &nbsp; <b>$row[32]</b></td>";
			} else {
				echo "<td class=\"cl1\" style=\"text-align:right\">$row[1]</td>";
				echo "<td class=\"cl1\" style=\"text-align:right\">$row[2]</td>";
			}
			echo "<td class=\"cl1\" style=\"text-align:right;\">$row[3]</td>";

			if($b_klientendokumentation) {
				$style = "";
			} else {
				$ts = date_gr2ts($row[0]);
				$sql = "SELECT a.name FROM tb_fehlz f
						LEFT JOIN tb_termine t ON f.termin_id = t.termin_id
						LEFT JOIN tb_terminart a ON t.terminart = a.terminart
						WHERE f.pers_id = '".$subprojekt->hb()."'
						AND unix_timestamp(t.von) <= '$ts'
						AND unix_timestamp(t.bis) >= '$ts'";
				$fehlz = abfrage1($sql);
				if(mysql_num_rows($fehlz) > 0) {
					$fehl = mysql_fetch_row($fehlz);
					$style = "style=\"background-color:#666666\"";
					$style .= stwToolTip("<b>".$subprojekt->hb_name().":</b> $fehl[0]");
				} else $style = "";
			}
			echo "<td $style class=\"cl1\">$row[10]</td>";
			echo "<td class=\"cl1\" style=\"text-align: center;\">$row[6]</td>";

			/* Inhalte A- bzw. B-Akte. je nach Schalter */
			echo "<td class=\"cl1\">";
			echo wordwrap(str_replace("\r\n", '', nl2br($row['inhalte_1'])), 50, '<br />');
			echo "</td>\n";

			if ($akte == 3){
				echo "<td class=\"cl1\">";
				echo wordwrap(str_replace("\r\n", '', nl2br($row['inhalte2'])), 50, '<br />');
				echo "</td>\n";
			}

			if($w4_anz==1) {
				$w4 = round($row['ts_bis'] / (60*60*24*7), 0) % 4;
				if($w4 == 0) $w4 = 4;
			} else $w4='';
			echo "<td class=\"cl1\" style=\"text-align:center\">$w4</td>\n";

			if (($row[5] == $_SESSION[$AppCode]['UID'] || $_SESSION[$AppCode]['ULV'] >= 96)
				&& empty($row[12])){

		if ($row['sperre'] == "n"){
			$delln = "kal_del_sql.php?ktyp=z&zk_id=$row[8]&termin_id=$row[14]";
				echo "<td class=\"cl1\"><a href=\"$delln\" style=\"color:red\" ";
				echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a></td>\n";
				$link3 = "kal_serie.php?termin_id=$row[14]&zk_id=$row[8]";
				echo "<td class=\"cl1\"><a href=\"$link3\">Serie</a></td>\n";
		}
			}

			if (strlen($row[22]) > 0){
				echo "<td class=\"cl1\"";
				echo stwToolTip('interne Inhalte vorhanden!') . ">B</td>\n";
			}

			/* Raumbelegung */
			if ($row['res2_id'] > 0){
				echo "<td";

				/* sonstige Raumbelegung abfragen */
				$sql  = "select z.zk_id from tb_ab_zk z ";
				$sql .= "left join tb_termine t using (termin_id) ";
				$sql .= "where res2_id = '{$row['res2_id']}' and zk_id != '$row[8]' ";
				$sql .= "and unix_timestamp(t.bis) >= '{$row['ts_von']}' ";
				$sql .= "and unix_timestamp(t.von) <= '{$row['ts_bis']}';";
				$rk = abfrage1($sql);

				if (mysql_num_rows($rk) == 1){
					echo " style=\"color: lime;\"";
					echo stwToolTip('Raum reserviert!');
				} else {
					echo " style=\"color: red;\"";
					echo stwToolTip('Raum mehrfach reserviert!');
				}
				echo ">R</td>\n";
			}

			echo "</tr>\n";
		}
		echo "</table>\n";
		if(!$b_klientendokumentation) new stwLine(1);
		echo "<br />\n";
	}
} elseif($page == 3) {
/* Grafische Kalenderansicht der Zeitkarten */

  $sql  = "select t.termin_id, date_format(t.von, '%d.%m.%Y'), date_format(t.von, '%H:%i'), ";
  $sql .= "date_format(t.bis, '%H:%i'), r.name, t.terminart, week(t.von, 1), unix_timestamp(t.von), a.pers_id, ";
  $sql .= "unix_timestamp(t.bis), a.inhalte, a.zk_id, a.ab, a.ab_monat, a.nachw_id, a.proj_id, ";
  $sql .= "p.traeger_art_id, ppp.name, ppp.vorname ";
  $sql .= "from tb_ab_zk a left join tb_termine t using (termin_id) ";
  $sql .= "left join tb_personal b on a.pers_id = b.pers_id ";
  $sql .= "left join tb_terminart r on r.terminart = t.terminart ";
  $sql .= "left join tb_projekte p on a.proj_id = p.proj_id ";
  $sql .= "left join tbh_proj_personen pp on (p.proj_id = pp.proj_id and perstyp_id=1) ";
  $sql .= "left join tb_personen ppp on pp.person_id = ppp.person_id ";
  $sql .= "where (a.proj_id $equals_whatever) ";
  if($ma != 'all') $sql .= "AND a.pers_id = '$ma' ";
  $sql .= "AND ((unix_timestamp(t.von) >= '$erster' AND unix_timestamp(t.von) <= '$letzter') ";
  $sql .= "OR (unix_timestamp(t.bis) >= '$erster' AND unix_timestamp(t.bis) <= '$letzter') ";
  $sql .= "OR (unix_timestamp(t.von) <= '$erster' AND unix_timestamp(t.bis) >= '$letzter')) ";
  $sql .= "order by unix_timestamp(t.von) asc;";

  $res = abfrage1($sql);
  $kalender = array();
  $tid = 0;
  while ($row = mysql_fetch_array($res)) {
	$ma = $row[8];
	$kalender[$tid]['id'] = $row[0];
	$kalender[$tid]['art'] = $row[5];
	$kalender[$tid]['datum'] = $row[1];
	$kalender[$tid]['von'] = $row[2];
	$kalender[$tid]['bis'] = $row[3];
	$kalender[$tid]['ts1'] = $row[7];
	$kalender[$tid]['ts2'] = $row[9];
	$kalender[$tid]['wtag'] = strftime('%a', $row[7]);
	$kalender[$tid]['kw'] = $row[6];
	$kalender[$tid]['datum_link'] = 1;
	$kalender[$tid]['datum_url'] = "pro_ab_zk.php?zk_id=$row[11]&proj_id=$row[15]";
	$kalender[$tid]['ta_color'] = $row[16]==$rvar_proj_id ? "#FFFFFF" : "#FFFF00";
	$kalender[$tid]['ta_text'] = $row[16]==$rvar_proj_id ? "Journal" : "$row[18] $row[17]";
	$kalender[$tid]['ta_title'] = pers_kname($row[8]) . "<br />";
	$kalender[$tid]['cont_title_tt'] = "<div>".$row[10]."</div>";
	$url = "ktyp=".$row[5]."&zk_id=".$row[11]."&termin_id=".$row[0];
	$kalender[$tid]["del_url"] = "kal_del_sql.php?".$url."&loc=kal";
	if (($row[8] == $_SESSION[$AppCode]['UID'] ||
	  $_SESSION[$AppCode]['ULV'] >= 96) && ($row[12] != "j"))
		$kalender[$tid]["del_link"] = 1;
	$tid++;
  }
  echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td>\n";
  kal_tabelle_zeit($t_beg, $t_end);
  echo "</td>\n";
  /* Wochentage ausgeben */
  $wt1 = $erster;
  $wt2 = mktime(0, 0, 0, date("n", $wt1), date("j", $wt1) + getConf('kal_tage'), date("Y", $wt1));

  /* Daten der Feiertage holen */
  $ft = feiertage(date("Y", $erster));

  while ($wt1 <= $wt2)
  {
	/* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
	if ($erster != $wt1) kal_zelle_farbe("#333333");
	/* gruene senkrechte Trennlinie zwischen den einzelnen Tagen zeichnen */
	kal_zelle_farbe("darkgreen");
	/* dunkle senkrechte Trennlinie zwischen den einzelnen Tagen */
	if ($erster != $wt1) kal_zelle_farbe("#333333");
	/* bestimmen ob der Tag ein Feiertag ist */
	$ft1 = find_key_in_array($ft, $wt1);
	/* neuer Tag mit eigener Tabelle anfangen */
	printf("<td>");
	/* den ganzen Tag ausgeben */
	kal_tabelle_tag($kalender, 0, $wt1, $kal_von, $kal_bis, "140", $ft1, '', '');
	/* Tag abschliessen */
	printf("</td>\n");
	/* Zeit einen Tag weitersetzen */
	$wt1 += 86400;
  }
  echo "</tr></table>\n";

}
$eins = ($page==3 || $_GET['hhk']==1) ? 1 : 0;
if($page==2) {
	$eins = isset($_GET['tag']) ? 1 : $erster;
}
new stwEnd($seite, $eins);
?>