<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_hp2ziele_sql.php 2713 2017-03-13 10:18:56Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

require("inc/func.inc.php");

$aktdat = date('Y-m-d');

$dat = array('he' => $aktdat,
             'le' => $aktdat,
             'asd' => $aktdat,
             'erl' => $aktdat);

$pro_verbund = abfrage("select verbund_id from tb_pro_verbund where proj_id='{$_POST['proj_id']}' and datetime_bis is NULL");
$pros[0] = $_POST['proj_id'];
$hps[0] = $_POST['hp_id'];
$ziel_ids[0] = $_POST['ziel_id'];
if(!empty($pro_verbund[0])) {
	$pro = abfrage("select proj_id from tb_pro_verbund where verbund_id='$pro_verbund[0]' and proj_id!='{$_POST['proj_id']}'");
	if(projektnr($_POST['proj_id']) >= 900 || projektnr($pro[0]) >= 900) $pro_verbund[0] = NULL; 
	else {
		$pros[1] = $pro[0];
		$hp = abfrage("select v_hp_id from tbh_hp_verbund where verbund_id='$pro_verbund[0]' and hp_id='{$_POST['hp_id']}'");
		$hps[1] = $hp[0];
	}
}

if (isset($_POST['ziel_id'])){
	if(!empty($pro_verbund[0])) $ziel_id = abfrage("select v_ziel_id from tbh_praxisziel_verbund where verbund_id='$pro_verbund[0]' and ziel_id='{$_POST['ziel_id']}'");
	$ziel_ids[1] = $ziel_id[0];
	// Level > 96 darf auch nachtrglich Werte aendern
	if ($_SESSION[$AppCode]['ULV'] >= 96){
		foreach($_POST['datum_and'] as $key => $value){
			if ($value != ""){
				$dat[$key] = date_gr2my($value);
			}
		}
	} else {
		// pruefen ob checkboxen geklickt sind
		$query = "SELECT LE,HE,ASD,erledigt,le_datum,he_datum,asd_datum
				  FROM tb_hp_praxisziele
				  WHERE id = ".$_POST['ziel_id'];
		$res = abfrage1($query);
		$checked = mysql_fetch_array($res);

		if ($checked['LE'] == "1") $dat['le'] = $checked['le_datum'];
		if ($checked['HE'] == "1") $dat['he'] = $checked['he_datum'];
		if ($checked['ASD'] == "1") $dat['asd'] = $checked['asd_datum'];
		if (!is_null($checked['erledigt'])) $dat['erl'] = $checked['erledigt'];
	}
}

$hpv_form = abfrage("select hpv_form from tb_hp where hp_id={$_POST['hp_id']}");

$prio  = ($_POST['relevant']  == 1) ? $_POST['prio']  : -1;
$prio2 = ($_POST['relevant2'] == 1) ? ($hpv_form[0] == 4 ? $_POST['prio2'] : $_POST['prio']) : -1;
$prio3 = ($_POST['relevant3'] == 1) ? ($hpv_form[0] == 4 ? $_POST['prio3'] : $_POST['prio']) : -1;

for($i=0;$i<(empty($pro_verbund[0])?1:2);$i++) {
	// Praxisziel speichern
	$termin = date_gr2my($_POST['termin']);
	$query  = (empty($ziel_ids[$i])) ? 'INSERT INTO ' : 'UPDATE ';
	$query .= 'tb_hp_praxisziele SET ';
	$query .= "nummer = '{$_POST['nummer']}'";
	$query .= ", ziel = '{$_POST['ziel']}'";
	$query .= ", termin = '$termin'";
	$query .= ", erreicht = '{$_POST['erreicht']}'";
	$query .= ", prio = '$prio'";
	$query .= ", prio2 = '$prio2'";
	$query .= ", prio3 = '$prio3'";
	$query .= ", grund = '{$_POST['grund']}'";
	$query .= ", weiter = '{$_POST['weiter']}'";
	$query .= ", kategorie = '{$_POST['kategorie']}'";
	if(empty($ziel_ids[$i])) $query .= ", hp_id = '{$hps[$i]}'";

	$query .= isset($_POST['leistungserbringer']) ? ",le = '1',le_datum = '".$dat['le']."'"
												  : ",le = '0',le_datum = NULL";
	$query .= isset($_POST['hilfeempfaenger']) ? ",he = '1',he_datum = '".$dat['he']."'"
											  : ",he = '0',he_datum = NULL";
	$query .= isset($_POST['asd']) ? ",asd = '1',asd_datum = '".$dat['asd']."'"
								   : ",asd = '0',asd_datum = NULL";
	$query .= (isset($_POST['erledigt'])) ? ",erledigt = '".$dat['erl']."'"
										  : ",erledigt = NULL";
	$query .= (empty($ziel_ids[$i])) ? ';' : " where id = '{$ziel_ids[$i]}';";

	abfrage2($query);
	if(empty($ziel_ids[$i])) $ziel_ids[$i] = mysql_insert_id();
}
if(!empty($pro_verbund[0])) {
	abfrage2("replace into tbh_praxisziel_verbund set ziel_id='$ziel_ids[0]', v_ziel_id='$ziel_ids[1]', verbund_id='$pro_verbund[0]';");
	abfrage2("replace into tbh_praxisziel_verbund set ziel_id='$ziel_ids[1]', v_ziel_id='$ziel_ids[0]', verbund_id='$pro_verbund[0]';");
}
/* Handlungsschritte speichern - sofern vorhanden ;-) */
if (isset($_POST['hs'])){
	foreach ($_POST['hs'] as $hs){
		for($i=0;$i<(empty($pro_verbund[0])?1:2);$i++) {
			if(isset($hs['id'])) {
				$hs_id[0] = $hs['id'];
				if(!empty($pro_verbund[0])) {
					$schritt_id = abfrage("select v_schritt_id from tbh_handlungsschritt_verbund where schritt_id='$hs_id[0]' and verbund_id='$pro_verbund[0]';");
					$hs_id[1] = $schritt_id[0];
				}
			} else $hs_id[0] = $hs_id[1] = NULL;
			if (!empty($hs['sc'])){
				$sql  = (!empty($hs_id[$i])) ? 'update ' : 'insert into ';
				$sql .= 'tb_hp_handlungsschritte set ';
				$sql .= "ziel_id ='$ziel_ids[$i]',
						schritt = '{$hs['sc']}',
						verantwortlich = '{$hs['vr']}',
						kat_id = '{$hs['ka']}',
						nummer = '{$hs['nr']}'";

				$sql .= (!empty($hs_id[$i])) ? " where id = '{$hs_id[$i]}';" : ';';
				abfrage2($sql);
				$id[$i] = empty($hs_id[$i]) ? mysql_insert_id() : $hs_id[$i];
			} elseif (empty($hs['sc']) && !empty($hs['id'])){
				abfrage2("delete from tb_hp_handlungsschritte where id = '{$hs_id[$i]}';");
				if(!empty($pro_verbund[0])) {
					abfrage2("delete from tbh_handlungsschritt_verbund where schritt_id='{$hs_id[$i]}' and verbund_id='$pro_verbund[0]';");
				}
			}
		}
		if(!empty($pro_verbund[0]) && !empty($hs['sc'])) {
			abfrage2("replace into tbh_handlungsschritt_verbund set schritt_id='$id[0]', v_schritt_id='$id[1]', verbund_id='$pro_verbund[0]';");
			abfrage2("replace into tbh_handlungsschritt_verbund set schritt_id='$id[1]', v_schritt_id='$id[0]', verbund_id='$pro_verbund[0]';");
		}
	}
}

$link = "pro_hp2.php?proj_id=".$_POST['proj_id']."&hp_id=".$_POST['hp_id'];
if(isset($_POST['order'])) $link .= "&order=" . $_POST['order'];
header("Location: $link");
?>