<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_hp_satz.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();
/* gespeichert? Zurueck woher wir kamen... */
if(isset($_POST['save'])) {
	require("inc/func.inc.php");
	extern();
	extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');
	if(isset($rvar_clear)) {
		abfrage2("delete from tbh_hp_satz where hp_id='$rvar_hp_id' limit 1;");
		$exist = false;
	} else {
		$exist = abfrage1("select hp_id from tbh_hp_satz where hp_id='$rvar_hp_id'");
		$exist = (mysql_num_rows($exist) > 0);

		$sql = $exist ? "UPDATE" : "INSERT INTO";
		$sql .= " tbh_hp_satz SET ab_nach_ende=";
		$sql .= isset($rvar_ab_nach_ende) ? "'j'" : "'n'";
		if(isset($rvar_kmg) || isset($rvar_divisor)) $sql .= ", ";
		if(isset($rvar_kmg)) $sql .= "kmg='$rvar_kmg', kmsatz='".str_replace(',','.',$rvar_kmsatz)."'";
		if(isset($rvar_kmg) && isset($rvar_divisor)) $sql .= ", ";
		if(isset($rvar_divisor)) {
			$sql .= "divisor='$rvar_divisor', ";
			if($rvar_divisor=='h') $sql .= "satz='".str_replace(',','.',$rvar_hsatz)."'";
			if($rvar_divisor=='d') $sql .= "satz='".str_replace(',','.',$rvar_dsatz)."'";
			if($rvar_divisor=='m') $sql .= "satz='".str_replace(',','.',$rvar_msatz)."'";
		}
		$sql .= $exist ? ' WHERE' : ',';
		$sql .= " hp_id='$rvar_hp_id';";
		abfrage2($sql);
	}
	header("Location: $rvar_return.php?proj_id=$rvar_proj_id&hp_id=$rvar_hp_id");
} else {
	/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
	$seite = empty($_GET['seite']) ? 6 : $_GET['seite'];
	$level = 65;
	$ti = 1;

	/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
	$zeit = explode(" ", microtime());
	$zeit_start = $zeit[0] + $zeit[1];

	/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
	$pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

	require("inc/auth.inc.php");
	require("inc/level.inc.php");
	require("inc/stw.inc.php");

	set_session_url();
	$hp_satz = $rvar_clear == 1 ? array() : abfrage_array("SELECT * FROM tbh_hp_satz WHERE hp_id='$rvar_hp_id'");

	$return = isset($rvar_return) ? $rvar_return : 'pro_st';
	echo "<form method=\"post\" action=\"pro_hp_satz.php\">\n";
	echo "<input type=\"hidden\" name=\"return\" value=\"$return\" />\n";
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />\n";
	echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\" />\n";
	if($rvar_clear == 1) echo "<input type=\"hidden\" name=\"clear\" value=\"1\" />\n";
	echo "<table>\n";
	echo "<tr><th class=\"cl11\">Erstattung km-Geld:</th>\n<td>";
	$checked = $hp_satz['kmg']=='j' ? 'checked' : '';
	echo "<input type=\"radio\" $checked name=\"kmg\" value=\"j\" tabindex=\"$ti\" />";
	echo "</td>\n<td class=\"cl1\"><b>ja, abw. km JA</b></td>\n<td>"; $ti++;
	$checked = $hp_satz['kmg']=='o' ? 'checked' : '';
	echo "<input type=\"radio\" $checked name=\"kmg\" value=\"o\" tabindex=\"$ti\" />";
	echo "</td>\n<td class=\"cl1\"><b>ja, eingetr. km</b></td>\n<td>";
	$checked = $hp_satz['kmg']=='n' ? 'checked' : '';
	echo "<input type=\"radio\" $checked name=\"kmg\" value=\"n\" tabindex=\"$ti\" />";
	echo "</td>\n<td class=\"cl20\"><b>nein</b></td><th>";
	echo "km Satz:</th>\n<td>";
	echo "<input type=\"text\" name=\"kmsatz\" size=\"5\" maxlength=\"6\" tabindex=\"$ti\" value=\"{$hp_satz['kmsatz']}\" />";
	echo "</td>\n<td>&cent; / km</td></tr></table>\n"; $ti++;
	new stwLine(2);
	echo "<table>";
	echo "<tr><td>";
	$checked = $hp_satz['divisor']=='h' ? 'checked' : '';
	$satz = $hp_satz['divisor']=='h' ? $hp_satz['satz'] : '';
	echo "<input type=\"radio\" $checked onclick=\"document.getElementById('dsatz').value='';document.getElementById('msatz').value='';\" name=\"divisor\" value=\"h\" tabindex=\"$ti\" />";
	echo "</td>\n<th style=\"text-align:right\" class=\"cl11\">Stundensatz:</th>\n<td>"; $ti++;
	echo "<input type=\"text\" size=\"7\" id=\"hsatz\" name=\"hsatz\" value=\"$satz\" maxlength=\"6\" tabindex=\"$ti\" />";
	echo "</td>\n<td>Euro pro Stunde</td></tr>"; $ti++;
	echo "<tr><td>";
	$checked = $hp_satz['divisor']=='d' ? 'checked' : '';
	$satz = $hp_satz['divisor']=='d' ? $hp_satz['satz'] : '';
	echo "<input type=\"radio\" $checked onclick=\"document.getElementById('hsatz').value='';document.getElementById('msatz').value='';\" name=\"divisor\" value=\"d\" tabindex=\"$ti\" />";
	echo "</td>\n<th style=\"text-align:right\" class=\"cl11\">Tagessatz:</th>\n<td>"; $ti++;
	echo "<input type=\"text\" size=\"7\" id=\"dsatz\" name=\"dsatz\" value=\"$satz\" maxlength=\"7\" tabindex=\"$ti\" />";
	echo "</td>\n<td>Euro pro Tag</td></tr>\n"; $ti++;
	echo "<tr><td>";
	$checked = $hp_satz['divisor']=='m' ? 'checked' : '';
	$satz = $hp_satz['divisor']=='m' ? $hp_satz['satz'] : '';
	echo "<input type=\"radio\" $checked onclick=\"document.getElementById('dsatz').value='';document.getElementById('hsatz').value='';\" name=\"divisor\" value=\"m\" tabindex=\"$ti\" />";
	echo "</td>\n<th style=\"text-align:right\" class=\"cl11\">Monatssatz:</th>\n<td>"; $ti++;
	echo "<input type=\"text\" size=\"7\" id=\"msatz\" name=\"msatz\" value=\"$satz\" maxlength=\"7\" tabindex=\"$ti\" />";
	echo "</td>\n<td>Euro pro Monats</td></tr>\n"; $ti++;
	echo "</table>";
	new stwLine(2);
	if(empty($hp_satz['hp_id'])) {
		$checked = projekt_ab_nach_ende($rvar_proj_id, false) ? 'checked' : '';
	} else $checked = $hp_satz['ab_nach_ende']=='j' ? 'checked' : '';
	echo "<table><tr><td><input type=\"checkbox\" name=\"ab_nach_ende\" tabindex=\"$ti\" $checked /></td>\n"; $ti++;
	echo "<th class=\"cl11\">Erst abrechnen, wenn beendet</th>\n";
	echo "<td>Erst wenn das Projekt beendet wird, werden Zeitkarten zur Rechnungsstellung abgerechnet</td>\n";
	echo "</tr></table>\n";
	new stwLine(1);
	echo "<table width=\"750\"><tr><td>\n";
	echo "<input type=\"submit\" name=\"save\" tabindex=\"$ti\" value=\"Speichern\" />\n";
	echo "</td>\n<td style=\"text-align:right\">";
	echo "<input type=\"button\" value=\"Felder zur&uuml;cksetzen\" ";
	echo "onclick=\"self.location.href='pro_hp_satz.php?proj_id=$rvar_proj_id&amp;hp_id=$rvar_hp_id&amp;return=$return&amp;clear=1&amp;seite=$seite'\" />";
	echo "</td></tr></table>\n";
	echo "</form>\n";
	new stwEnd($seite);
}
?>