<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_konf.php 2926 2018-12-19 16:04:31Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 6;
$level = 25;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

require_once($pfad."inc/stw.inc.php");

$ulv = $_SESSION[$AppCode]['ULV'];
$bKonf = isset($_REQUEST['konf']);

// bergebene Projektberichtszeitrume speichern
if (isset($_POST['pb_zr_send'])){
	$von = date_gr2my(check_date($_POST['von']));
	$bis = date_gr2my(check_date($_POST['bis'], 1));
	$sql  = (isset($_POST['zr_id'])) ? 'update ' : 'insert into ';
	$sql .= 'tb_pb_zr set ';
	$sql .= "proj_id = '{$_POST['proj_id']}',";
	$sql .= "von = '$von',";
	$sql .= "bis = ";
	$sql .= (is_null($bis)) ? 'NULL,' : "'$bis',";
	$sql .= "frist = '{$_POST['frist']}' ";
	$sql .= (isset($_POST['zr_id'])) ? "where zr_id = '{$_POST['zr_id']}';" : ';';
	abfrage2($sql);
}

if($ulv >= 96 && isset($_GET['del']) && is_numeric($_GET['del'])) {
	abfrage2("delete from tb_pb_zr where zr_id='{$_GET['del']}' limit 1");
}

if(isset($_POST['hp_import'])) {
	$vps = abfrage1("select proj_id from tb_pro_verbund where verbund_id='{$_POST['verbund_id']}' and proj_id != '{$_GET['proj_id']}' and datetime_bis is NULL");
	$vziele = array();
	while($vp = mysql_fetch_row($vps)){
		$p1 = array();
		$p2 = array();
		$person = array();
		$sql = "select concat(p.vorname,' ',p.name), pp.person_id from tbh_proj_personen pp
				left join tb_personen p using (person_id)
				where pp.proj_id='$vp[0]' and pp.perstyp_id != 1 group by pp.person_id";
		$personen2=abfrage1($sql);
		while($pers2 = mysql_fetch_row($personen2)) {
			$p2[] = $pers2[0];
			$person[0][$pers2[1]] = $pers2[0];
		}
		$sql = "select concat(p.vorname,' ',p.name), pp.person_id from tbh_proj_personen pp
				left join tb_personen p using (person_id)
				where pp.proj_id='{$_GET['proj_id']}' and pp.perstyp_id != 1 group by pp.person_id";
		$personen1=abfrage1($sql);
		while($pers1 = mysql_fetch_row($personen1)) {
			$p1[] = $pers1[0];
			if(in_array($pers1[0],$p2)) $person[1][$pers1[1]] = $pers1[0];
			else $person[0][$pers1[1]] = $pers1[0];
		}
		foreach($p1 as $p) {
			if(!in_array($p,$p2)) {
				$person_id = array_search($p,$person[0]);
				$pers = abfrage("select * from tb_personen where person_id='$person_id'");
				$pers[0] = 'NULL';
				$values = "'" . implode("','", $pers) . "'";
				$values = str_replace("'NULL'","NULL",$values);
				abfrage2("INSERT INTO tb_personen VALUES ($values);");
				$v_person_id = mysql_insert_id();
				abfrage2("INSERT INTO tbh_person_verbund SET verbund_id='{$_POST['verbund_id']}', person_id='$person_id', v_person_id='$v_person_id';");
				abfrage2("INSERT INTO tbh_person_verbund SET verbund_id='{$_POST['verbund_id']}', person_id='$v_person_id', v_person_id='$person_id';");
				$typen = abfrage1("select perstyp_id, sorgerecht from tbh_proj_personen where person_id='$person_id'");
				while($typ = mysql_fetch_row($typen)) {
					abfrage2("insert into tbh_proj_personen set proj_id='$vp[0]', person_id='$v_person_id', perstyp_id='$typ[0]', sorgerecht='$typ[1]'");
				}
			} else {
				$v_person_id = array_search($p,$person[0]);
				$person_id = array_search($p,$person[1]);
				if($person_id != $v_person_id) {
					abfrage2("INSERT INTO tbh_person_verbund SET verbund_id='{$_POST['verbund_id']}', person_id='$person_id', v_person_id='$v_person_id';");
					abfrage2("INSERT INTO tbh_person_verbund SET verbund_id='{$_POST['verbund_id']}', person_id='$v_person_id', v_person_id='$person_id';");			
				}
				$typen = abfrage1("select perstyp_id, sorgerecht from tbh_proj_personen where person_id='$person_id'");
				while($typ = mysql_fetch_row($typen)) {
					abfrage2("INSERT INTO tbh_proj_personen SET proj_id='$vp[0]', person_id='$v_person_id', perstyp_id='$typ[0]', sorgerecht='$typ[1]' ON DUPLICATE KEY UPDATE proj_id=proj_id");
				}
				$typen = abfrage1("select perstyp_id, sorgerecht from tbh_proj_personen where person_id='$v_person_id'");
				while($typ = mysql_fetch_row($typen)) {
					abfrage2("INSERT INTO tbh_proj_personen SET proj_id='{$_GET['proj_id']}', person_id='$person_id', perstyp_id='$typ[0]', sorgerecht='$typ[1]' ON DUPLICATE KEY UPDATE proj_id=proj_id");
				}
			}
		}
		foreach($p2 as $p) {
			if(!in_array($p,$p1)) {
				$person_id = array_search($p,$person[0]);
				$pers = abfrage("select * from tb_personen where person_id='$person_id'");
				$pers[0] = 'NULL';
				$values = "'" . implode("','", $pers) . "'";
				$values = str_replace("'NULL'","NULL",$values);
				abfrage2("INSERT INTO tb_personen VALUES ($values);");
				$v_person_id = mysql_insert_id();
				abfrage2("INSERT INTO tbh_person_verbund SET verbund_id='{$_POST['verbund_id']}', person_id='$person_id', v_person_id='$v_person_id';");
				abfrage2("INSERT INTO tbh_person_verbund SET verbund_id='{$_POST['verbund_id']}', person_id='$v_person_id', v_person_id='$person_id';");
				$typen = abfrage1("select perstyp_id, sorgerecht from tbh_proj_personen where person_id='$person_id'");
				while($typ = mysql_fetch_row($typen)) {
					abfrage2("insert into tbh_proj_personen set proj_id='{$_GET['proj_id']}', person_id='$v_person_id', perstyp_id='$typ[0]', sorgerecht='$typ[1]'");
				}
			}
		}
		$hps = abfrage1("select * from tb_hp where proj_id='$vp[0]' and hp_art='h2' order by hp_id asc;");
		while($hp = mysql_fetch_array($hps)){
			$sql = "insert into tb_hp set
					proj_id = '{$_GET['proj_id']}', hp_art = 'h2', erst = '{$hp['erst']}', 
					datum = '{$hp['datum']}', and_datum = NULL, 
					hp_st = '0.00', st_grund = '" . str_replace("'", "\'", $hp['st_grund']) . "', 
					teilnehmer = '" . str_replace("'", "\'", $hp['teilnehmer']) . "', 
					ziele = '" . str_replace("'", "\'", $hp['ziele']) . "', 
					datum_n = '{$hp['datum_n']}', ap_id = '{$hp['ap_id']}', 
					pers_id = '{$hp['pers_id']}', prognose = '{$hp['prognose']}', 
					gefaehrdung = '{$hp['gefaehrdung']}', 
					hilfeverlauf = '" . str_replace("'", "\'", $hp['hilfeverlauf']) . "', 
					ressourcen = '" . str_replace("'", "\'", $hp['ressourcen']) . "', 
					selbsthilfe = '" . str_replace("'", "\'", $hp['selbsthilfe']) . "', 
					chg_id = '{$hp['chg_id']}', hpv_form = '{$hp['hpv_form']}', 
					fb_ok = '{$hp['fb_ok']}', fb_ok_ts = '{$hp['fb_ok_ts']}';";
			abfrage2($sql);
			$hp_id = mysql_insert_id();
			$bels = abfrage1("select * from tb_hp_bel where hp_id='{$hp['hp_id']}';");
			while($bel = mysql_fetch_array($bels)){
				$sql = "insert into tb_hp_bel set hp_id='$hp_id', bel_kat_id='{$bel['bel_kat_id']}', 
						text='" . str_replace("'", "\'", $bel['text']) . "'";
				abfrage2($sql);
			}
			$egs = abfrage1("select minimalkonsens from tb_hp_eg where hp_id='{$hp['hp_id']}';");
			while($eg = mysql_fetch_row($egs)){
				$sql = "insert into tb_hp_eg set hp_id='$hp_id', minimalkonsens='" . str_replace("'", "\'", $eg[0]) . "'";
				abfrage2($sql);
			}
			$praxisziele = abfrage1("select * from tb_hp_praxisziele where hp_id='{$hp['hp_id']}';");
			while($praxisziel = mysql_fetch_array($praxisziele)){
				$erledigt = empty($praxisziel['erledigt']) ? 'NULL' : "'{$praxisziel['erledigt']}'";
				$sql = "insert into tb_hp_praxisziele set hp_id='$hp_id', 
						nummer = '{$praxisziel['nummer']}', 
						ziel = '" . str_replace("'", "\'", $praxisziel['ziel']) . "', 
						termin = '{$praxisziel['termin']}', LE = '{$praxisziel['LE']}', 
						le_datum = '{$praxisziel['le_datum']}', HE = '{$praxisziel['HE']}', 
						he_datum = '{$praxisziel['he_datum']}', ASD = '{$praxisziel['ASD']}', 
						asd_datum = '{$praxisziel['asd_datum']}', erledigt = $erledigt, 
						erreicht = '{$praxisziel['erreicht']}', prio = '{$praxisziel['prio']}', 
						grund = '" . str_replace("'", "\'", $praxisziel['grund']) . "', 
						weiter = '{$praxisziel['weiter']}', 
						prio2 = '{$praxisziel['prio2']}', prio3 = '{$praxisziel['prio3']}', 
						kategorie = '{$praxisziel['kategorie']}'";
				abfrage2($sql);
				$ziel_id = mysql_insert_id();
				$vziele[ $praxisziel['id'] ] = $ziel_id;
				abfrage2("insert into tbh_praxisziel_verbund set ziel_id='$ziel_id', v_ziel_id='{$praxisziel['id']}', verbund_id='{$_POST['verbund_id']}';");
				abfrage2("insert into tbh_praxisziel_verbund set ziel_id='{$praxisziel['id']}', v_ziel_id='$ziel_id', verbund_id='{$_POST['verbund_id']}';");

				$handlungsschritte = abfrage1("select * from tb_hp_handlungsschritte where ziel_id='{$praxisziel['id']}'");
				while($handlungsschritt = mysql_fetch_array($handlungsschritte)){
					$sql = "insert into tb_hp_handlungsschritte set ziel_id='$ziel_id', 
							schritt = '" . str_replace("'", "\'", $handlungsschritt['schritt']) . "', 
							verantwortlich = '{$handlungsschritt['verantwortlich']}', 
							kat_id = '{$handlungsschritt['kat_id']}', 
							nummer = '{$handlungsschritt['nummer']}'";
					abfrage2($sql);
					$schritt_id = mysql_insert_id();
					abfrage2("insert into tbh_handlungsschritt_verbund set schritt_id='$schritt_id', v_schritt_id='{$handlungsschritt['id']}', verbund_id='{$_POST['verbund_id']}';");
					abfrage2("insert into tbh_handlungsschritt_verbund set schritt_id='{$handlungsschritt['id']}', v_schritt_id='$schritt_id', verbund_id='{$_POST['verbund_id']}';");
				}
			}
			$hpvors = abfrage1("select * from tb_hpvor where hp_id='{$hp['hp_id']}';");
			while($hpvor = mysql_fetch_array($hpvors)){
				$sql = "insert into tb_hpvor set hp_id='$hp_id', 
						befind_kl='" . str_replace("'", "\'", $hpvor['befind_kl']) . "', 
						befind_sb='" . str_replace("'", "\'", $hpvor['befind_sb']) . "', 
						befind_ma='" . str_replace("'", "\'", $hpvor['befind_ma']) . "', 
						hziel_kl='" . str_replace("'", "\'", $hpvor['hziel_kl']) . "', 
						hziel_sb='" . str_replace("'", "\'", $hpvor['hziel_sb']) . "', 
						hziel_ma='" . str_replace("'", "\'", $hpvor['hziel_ma']) . "', 
						res_kl='" . str_replace("'", "\'", $hpvor['res_kl']) . "', 
						res_sb='" . str_replace("'", "\'", $hpvor['res_sb']) . "', 
						res_ma='" . str_replace("'", "\'", $hpvor['res_ma']) . "', 
						zzeit_kl='" . str_replace("'", "\'", $hpvor['zzeit_kl']) . "', 
						zzeit_sb='" . str_replace("'", "\'", $hpvor['zzeit_sb']) . "', 
						zzeit_ma='" . str_replace("'", "\'", $hpvor['zzeit_ma']) . "', 
						znicht_kl='" . str_replace("'", "\'", $hpvor['znicht_kl']) . "', 
						znicht_sb='" . str_replace("'", "\'", $hpvor['znicht_sb']) . "', 
						znicht_ma='" . str_replace("'", "\'", $hpvor['znicht_ma']) . "';";
				abfrage2($sql);
			}
			$hpvor2s = abfrage1("select * from tb_hpvor2 where hp_id='{$hp['hp_id']}';");
			while($hpvor2 = mysql_fetch_array($hpvor2s)){
				$sql = "insert into tb_hpvor2 set hp_id='$hp_id', ziel_id='{$vziele[ $hpvor2['ziel_id'] ]}', 
						le_err='" . str_replace("'", "\'", $hpvor2['le_err']) . "', 
						le_vor='" . str_replace("'", "\'", $hpvor2['le_vor']) . "',
						ad_err='" . str_replace("'", "\'", $hpvor2['ad_err']) . "', 
						ad_vor='" . str_replace("'", "\'", $hpvor2['ad_vor']) . "',
						ad_err2='" . str_replace("'", "\'", $hpvor2['ad_err2']) . "', 
						ad_vor2='" . str_replace("'", "\'", $hpvor2['ad_vor2']) . "',
						le_skala='{$hpvor2['le_skala']}', ad_skala='{$hpvor2['ad_skala']}',
						ad2_skala='{$hpvor2['ad2_skala']}', ad3_skala='{$hpvor2['ad3_skala']}',
						ad4_skala='{$hpvor2['ad4_skala']}';";
				abfrage2($sql);
			}
			abfrage2("insert into tbh_hp_verbund set hp_id='$hp_id', v_hp_id='{$hp['hp_id']}', verbund_id='{$_POST['verbund_id']}';");
			abfrage2("insert into tbh_hp_verbund set hp_id='{$hp['hp_id']}', v_hp_id='$hp_id', verbund_id='{$_POST['verbund_id']}';");
		}
	}
}

if(isset($_POST['team_art_id']) && $_POST['team_art_id'] > 0) {
	$sql = "insert into tb_pro_team_verbund set proj_id='{$_GET['proj_id']}', 
			team_art_id = '{$_POST['team_art_id']}',
			datetime_von=now(), pers_id_von='{$_SESSION[$AppCode]['UID']}'";
	abfrage2($sql);
}

if(isset($_GET['unteam']) && $ulv >= 97) {
	abfrage2("update tb_pro_team_verbund set datetime_bis=now(), pers_id_bis='{$_SESSION[$AppCode]['UID']}' where verbund_id='{$_GET['unteam']}'");
}

if(isset($_POST['v_proj_id']) && $_POST['v_proj_id'] > 0) {
	abfrage2("insert into tb_pro_verbund set proj_id='{$_GET['proj_id']}', datetime_von=now(), pers_id_von='{$_SESSION[$AppCode]['UID']}'");
	$id = mysql_insert_id();
	abfrage2("insert into tb_pro_verbund set verbund_id='$id', proj_id='{$_POST['v_proj_id']}', datetime_von=now(), pers_id_von='{$_SESSION[$AppCode]['UID']}'");
}

if(isset($_GET['unbind']) && $ulv >= 97) {
	abfrage2("update tb_pro_verbund set datetime_bis=now(), pers_id_bis='{$_SESSION[$AppCode]['UID']}' where verbund_id='{$_GET['unbind']}'");
}

if (isset($_POST['change_pb'])){
	$setPB = ($_POST['pb'] == 1) ? 1 : 'NULL';
	abfrage2("update tb_projekte set pb = $setPB where proj_id = {$_GET['proj_id']} limit 1;");
}

if (isset($_POST['change_knz1'])){
	$setKNZ1 = ($_POST['knz1'] == 1) ? 1 : 'NULL';
	abfrage2("update tb_projekte set knz1 = $setKNZ1 where proj_id = {$_GET['proj_id']} limit 1;");
}

if (isset($_POST['change_knz2'])){
	$setKNZ2 = ($_POST['knz2'] == 1) ? 1 : 'NULL';
	abfrage2("update tb_projekte set knz2 = $setKNZ2 where proj_id = {$_GET['proj_id']} limit 1;");
}

/* Projektkategoriezuordnung loeschen */
if (isset($_GET['kat_z_del'])){
	abfrage2("delete from tbh_proj_kat
						where proj_id = '{$_GET['proj_id']}'
						and kat_id = '{$_GET['kat_z_del']}';");
}

/* Projektkategoriezuordnung hinzufuegen */
if (isset($_GET['kat_z_add'])){
	/* doppelte Zuordnung samt Fehlermeldung (z.B. Neuladen der Seite) abfangen */
	$dat = abfrage("select kat_id from tbh_proj_kat
									where proj_id = '{$_GET['proj_id']}'
									and kat_id = '{$_GET['kat_z_add']}';");
	if ($dat[0] != $_GET['kat_z_add']){
		abfrage2("insert into tbh_proj_kat
							set proj_id = '{$_GET['proj_id']}',
							kat_id = '{$_GET['kat_z_add']}';");
	}
}

/* Projektkategorie aendern oder hinzufuegen */
if (isset($_POST['kat_s'])){
	$sql  = (isset($_POST['kat_id'])) ? 'update ' : 'insert into ';
	$sql .= "tb_proj_kat set name = '{$_POST['name']}'";
	if ($_POST['global'] == 1){
		$sql .= ", global = '1'";
	} else {
		$sql .= ", global = '0'";
	}
	$sql .= (isset($_POST['kat_id'])) ? " where kat_id = '{$_POST['kat_id']}';" : ';';
	abfrage2($sql);
}

/* Projektkategorie loeschen */
if (isset($_GET['kat_del'])){
	abfrage2("delete from tb_proj_kat where kat_id = '{$_GET['kat_del']}';");
}


/* Projekt erstellen */
$projekt = new stwProjekt($_REQUEST['proj_id']);

$projekt->InfoZeile();
new stwLine(1);

$self = $_SERVER['PHP_SELF'];

if($bKonf) {
	echo "<table width=\"750\"><tr>\n";
	echo "<th class=\"cl20\">Projektberichtszeitr&auml;ume</th>\n";
	if ($_SESSION[$AppCode]['UID'] == $projekt->fb || $ulv >= 96) {
		echo "<td><input type=\"button\" value=\"neuer Zeitraum\" ";
		echo "onClick=\"self.location.href='pro_konf_zr.php?proj_id=$projekt->id'\"></td>\n";
	}
	echo "<td width=\"100%\" style=\"text-align:right\"><input type=\"button\" value=\"Projektbericht anlegen\" ";
	echo "onClick=\"self.location.href='pro_pb.php?proj_id=$projekt->id'\"></td>\n";
	echo "</tr></table>\n";

	$sql  = "select zr_id as id, date_format(von, '%d.%m.%Y') as von1, von, ";
	$sql .= "date_format(bis, '%d.%m.%Y') as bis1, bis, frist from tb_pb_zr ";
	$sql .= "where proj_id ='$projekt->id' order by von asc;";
	$zrs = abfrage1($sql);

	if (mysql_num_rows($zrs) > 0){
		new stwLine(2);
		echo "<table>\n";
		echo "<tr><th class=\"cl11\">von</th>\n";
		echo "<th style=\"padding-right:10px\">bis</th>\n";
		echo "<th>Frist</th></tr>\n";
		new stwTabLine(2,30);

		while($zr = mysql_fetch_assoc($zrs)){
			echo "<tr><td class=\"cl11\">";
			if ($_SESSION[$AppCode]['UID'] == $projekt->fb || $ulv >= 96) {
				echo "<a href=\"pro_konf_zr.php?proj_id=$projekt->id&zr_id={$zr['id']}\">";
			}
			echo $zr['von1'];
			if ($_SESSION[$AppCode]['UID'] == $projekt->fb || $ulv >= 96) {
				echo "</a>";
			}
			echo "</td>\n<td class\"cl11\">";
			echo (empty($zr['bis']) || $zr['bis'] == '0000-00-00') ? '' : $zr['bis1'];
			echo "</td>\n";

			switch ($zr['frist']){
				case 1:
					$fr = 'w&ouml;chentlich';
					break;
				case 2:
					$fr = '14t&auml;gig';
					break;
				case 3:
					$fr = 'monatlich';
					break;
				case 4:
					$fr = 'quartalsweise';
					break;
				case 5:
					$fr = 'halbj&auml;hrlich';
					break;
				case 6:
					$fr = 'j&auml;hrlich';
					break;
				default:
					$fr = 'unbekannt';
			}
			echo "<td class=\"cl11\">$fr</td>\n";
			if($ulv >= 96) {
				$sql = "select p.hp_id from tb_pb p
						left join tb_hp h using(hp_id)
						where h.proj_id='$projekt->id'
						and datum >= '{$zr['von']}' ";
				if(!empty($zr['bis']) && $zr['bis'] != '0000-00-00')
					$sql .= "and datum <= '{$zr['bis']}' ";
				$sql .= "limit 1";
				$pb = abfrage1($sql);
				if(mysql_num_rows($pb) == 0) {
					echo "<td><a href=\"pro_konf.php?konf=1&proj_id=$projekt->id&del={$zr['id']}\"";
					echo stwToolTip("<b>Vorsicht!</b> Zeitraum l&ouml;schen");
					echo "style=\"color:red\">X</a></td>\n";
				}
			}
			echo "</tr>\n";
		}
		echo "</table>\n";
	}

	$pro_be = array(8, 9, 10);

	new stwLine(1);
	echo "<table>\n";

	if (!in_array($projekt->projektart(), $pro_be)){
		echo "<form action=\"$self?proj_id=$projekt->id\" method=\"post\">\n";
		if($bKonf) echo "<input type=\"hidden\" name=\"konf\" value=\"1\" />\n";
		echo "<tr><th class=\"cl11\">Projektbeschreibung:</th>\n";
		echo "<input type=\"hidden\" name=\"change_pb\" value=\"1\">\n";
		echo "<td><input type=\"checkbox\" name=\"pb\" value=\"1\"";
		echo ($projekt->pb == 1) ? ' checked' : '';
		echo " onChange=\"this.form.submit()\"></td>\n";
		echo "<td>Projektbeschreibung in Datenblatt / Druckausgabe</td></tr>\n";
		echo "</form>\n";
	}


	echo "<form action=\"$self?proj_id=$projekt->id\" method=\"post\">\n";
	if($bKonf) echo "<input type=\"hidden\" name=\"konf\" value=\"1\" />\n";
	echo "<input type=\"hidden\" name=\"change_knz1\" value=\"1\">\n";
	echo "<tr><th class=\"cl11\">Kennzahl LOM:</th>\n";
	echo "<td class=\"cl11\"><input type=\"checkbox\" name=\"knz1\" value=\"1\"";
	echo ($projekt->knz1 == 1) ? ' checked' : '';
	echo " onChange=\"this.form.submit()\"></td>\n";
	echo "<td>Anzahl Eins&auml;tze / Anzahl Stunden</td></tr>\n";
	echo "</form>\n";

	echo "<form action=\"$self?proj_id=$projekt->id\" method=\"post\">\n";
	if($bKonf) echo "<input type=\"hidden\" name=\"konf\" value=\"1\" />\n";
	echo "<input type=\"hidden\" name=\"change_knz2\" value=\"1\">\n";
	echo "<tr><th class=\"cl11\">Kennzahl IXP:</th>\n";
	echo "<td class=\"cl11\"><input type=\"checkbox\" name=\"knz2\" value=\"1\"";
	echo ($projekt->knz2 == 1) ? ' checked' : '';
	echo " onChange=\"this.form.submit()\"></td>\n";
	echo "<td>Anzahl Auftraggeber / Anzahl Projekte</td></tr>\n";
	echo "</form>\n";

	echo "</table>\n";

	new stwLine(1);
}
/* ---------------------------------------------------------------------- */
/* Tabelle verbundene Hilfe */
echo "<table style=\"width:750px\">\n";
echo "<tr><td class=\"cl20\">";
echo "<form action=\"$self?proj_id=$projekt->id\" method=\"post\">\n";
if($bKonf) echo "<input type=\"hidden\" name=\"konf\" value=\"1\" />\n";
echo "<table>\n";
echo "<tr><th class=\"cl1\" colspan=\"2\">verbundenes Projekt:</th>\n";
$vbs = abfrage1("select verbund_id from tb_pro_verbund where proj_id='$projekt->id' and datetime_bis is NULL order by datetime_von desc");
if(mysql_num_rows($vbs) > 0) {
	echo <<< HEREDOC
<script type="text/javascript">
function switchoff(check) {
	var chk = document.getElementsByName("primaer");
	for (var i=0; i<chk.length; i++) chk[i].checked = '';
	return check;
}
</script>
HEREDOC;
}
$now = time();
echo "<td colspan=\"3\">\n";
$sql = "select proj_id, projektnr, unix_timestamp(ende) from tb_projekte
		where (ende is null or ende = '0000-00-00' or to_days(ende) >= to_days(date_sub(curdate(), INTERVAL 28 DAY)))
		and proj_id != '$projekt->id'
		order by projektnr asc";
$pros = abfrage1($sql);
echo "<select name=\"v_proj_id\" style=\"width:175px\" onChange=\"this.form.submit()\">\n";
echo "<option value=\"0\">Projekt hinzuf&uuml;gen</option>\n";
while ($pro = mysql_fetch_row($pros)){
	if($pro[2] > 0 && $pro[2] < $now) $co = '#969696';
	elseif($pro[1] < 900) $co = '#008000';
	elseif($pro[1] >= 6000 && $pro[1] < 7000) $co = 'red';
	else $co = 'black';
	echo "<option style=\"color:$co\" value=\"$pro[0]\">";
	echo projektnummer($pro[0]);
	echo "</option>\n";
}
echo "</select>\n";
echo "</td></tr>\n";

while($vb = mysql_fetch_row($vbs)) {
	new stwTabLine(2,5);
	$vp = abfrage1("select proj_id, pers_id_von, date_format(datetime_von,'%d.%m.%Y'), date_format(datetime_von, '%H:%i'), primaer
					from tb_pro_verbund where verbund_id='$vb[0]' and proj_id != '$projekt->id' and datetime_bis is NULL");
	while ($pro = mysql_fetch_row($vp)){
		$pro_temp = new stwProjekt($pro[0]);
		echo "<tr><td class=\"cl1\">";
		echo $pro_temp->link();
		echo "<br /><a href=\"pro_ab_zk.php?proj_id=".$pro_temp->id."&amp;abr=1\"" . stwToolTip('neue Zeitkarte erfassen') . ">";
		echo "<img border=\"0\" src=\"img/karte.png\" alt=\"Karte\"/></a> ";
		echo "<a href=\"pro_ab.php?proj_id=".$pro_temp->id."\"";
		$tt = "<b>Abrechnung</b>";
		if($pro_temp->kontaktst()) {
			echo " style=\"background-color:#554433\"";
			$tt .= "<br>KLS = " . fls_form($pro_temp->wost_kontaktstunden());
		}
		echo ">";
		if($pro_temp->fallbegleitung()) {
			$tt.= "<br>Fallbegleitung: ja";
			echo "<span style=\"color:#FF6600\""; 
		} else echo "<span";
		echo stwToolTip($tt,false);
		echo ">" . fls_form($pro_temp->wost_f(),1,'&nbsp;');
		echo "</span></a>\n";

		echo "</td><td><input type=\"checkbox\" name=\"primaer\" value=\"$pro[0]\" ";
		echo stwToolTip('Prim&auml;r');
		if($vp[4] == 'j') echo " checked ";
		echo "onchange=\"this.checked = switchoff(this.checked)\"></td>";
		echo "<td class=\"cl1\">verbunden von ";
		echo pers_kname($pro[1]);
		echo "<br />$pro[2] &nbsp; $pro[3] Uhr</td>";
		if($projekt->nr < 900 && $pro_temp->nr < 900) {
			$hps = abfrage1("select v.v_hp_id from tbh_hp_verbund v left join tb_hp h using (hp_id) where h.proj_id = '$projekt->id'");
			if(mysql_num_rows($hps) == 0) {
				echo "<input type=\"hidden\" name=\"verbund_id\" value=\"$vb[0]\">\n";
				echo "<td class=\"cl1\"><input type=\"submit\" name=\"hp_import\" value=\"HP-Verlauf aus ".$pro_temp->nummer()." importieren\"></td>";
			}
		}
		if($ulv >= 97) {
			echo "<td><a href=\"$self?proj_id=$projekt->id&unbind=$vb[0]\"";
			echo stwToolTip('Verbundene Hilfen l&ouml;sen');
			echo "style=\"color:red\">X</a></td>";
		}
		echo "</tr>\n";
	}
}
$oldvps = abfrage1("select proj_id, pers_id_von, date_format(datetime_von,'%d.%m.%Y'), date_format(datetime_von, '%H:%i'),
					pers_id_bis, date_format(datetime_bis,'%d.%m.%Y'), date_format(datetime_bis, '%H:%i')
					from tb_pro_verbund where proj_id != '$projekt->id' and verbund_id in (
						select verbund_id from tb_pro_verbund where proj_id = '$projekt->id' and datetime_bis is NOT NULL
					) order by datetime_von desc");
if(mysql_num_rows($oldvps) > 0) {
	new stwTabLine(2,5);
	while ($oldvp = mysql_fetch_row($oldvps)){
		$pro_temp = new stwProjekt($oldvp[0]);
		echo "<tr><td colspan=\"2\" class=\"cl1\">" . $pro_temp->link();
		echo "</td><td colspan=\"2\" class=\"cl1\"";
		echo stwToolTip("verbunden durch " . pers_kname($oldvp[1]));
		echo ">von $oldvp[2] $oldvp[3] Uhr</td></tr>";
		echo "<tr><td /><td /><td colspan=\"2\" class=\"cl1\"";
		echo stwToolTip("Verbund aufgel&ouml;st durch " . pers_kname($oldvp[4]));
		echo ">bis $oldvp[5] $oldvp[6] Uhr</td></tr>";
	}
}
echo "</table>\n</form></td>\n";

echo "<td class=\"cl20\">";
echo "<form action=\"$self?proj_id=$projekt->id\" method=\"post\">\n";
if($bKonf) echo "<input type=\"hidden\" name=\"konf\" value=\"1\" />\n";
echo "<table>\n";
echo "<tr><th class=\"cl1\">Sitzung:</th>\n";
echo "<td colspan=\"3\">\n";
$res = abfrage1("select team_art_id, kurzname, name from tb_team_art
				where aktiv = 1
				order by IF(nummer IS NULL, LPAD(RIGHT(team_art_id,3),3,'0'), nummer) asc;");
echo "<select style=\"width:175px\" name=\"team_art_id\" onChange=\"this.form.submit()\">\n";
echo "<option value=\"0\">Sitzung hinzuf&uuml;gen</option>\n";
while ($zeile = mysql_fetch_row($res)){
	echo "  <option value=" . $zeile[0] . ">";
	echo team_nummer($zeile[0]) . " - ";
	echo $zeile[1] . "&nbsp;-&nbsp;" . $zeile[2];
	echo "</option>\n";
}
echo "</select>\n";
echo "</td></tr>\n";

$vbs = abfrage1("select verbund_id from tb_pro_team_verbund where proj_id='$projekt->id' and datetime_bis is NULL order by datetime_von desc");
while($vb = mysql_fetch_row($vbs)) {
	new stwTabLine(2,5);
	$vt = abfrage1("select v.team_art_id, v.pers_id_von, 
					date_format(v.datetime_von,'%d.%m.%Y'), date_format(v.datetime_von, '%H:%i'),
					a.name, a.farbe
					from tb_pro_team_verbund v 
					left join tb_team_art a using(team_art_id)
					where v.verbund_id='$vb[0]' and v.datetime_bis is NULL");
	while($ta = mysql_fetch_row($vt)) {
		echo "<tr>";
		echo "<td class=\"cl1\"><a style=\"color:$ta[5]\" href=\"team_art_and.php?team_art_id=$ta[0]\"";
		echo stwToolTip($ta[4]);
		echo ">".team_nummer($ta[0])."</a></td>\n";
		echo "<td class=\"cl1\">verbunden von ";
		echo pers_kname($ta[1]);
		echo "<br />$ta[2] &nbsp; $ta[3] Uhr</td>";
		if($ulv >= 97) {
			echo "<td><a href=\"$self?proj_id=$projekt->id&unteam=$vb[0]\"";
			echo stwToolTip('Verbundene Sitzungsart l&ouml;sen');
			echo "style=\"color:red\">X</a></td>";
		}
		echo "</tr>\n";
	}
}
$oldvps = abfrage1("select v.team_art_id, v.pers_id_von, date_format(v.datetime_von,'%d.%m.%Y'), date_format(v.datetime_von, '%H:%i'),
					v.pers_id_bis, date_format(v.datetime_bis,'%d.%m.%Y'), date_format(v.datetime_bis, '%H:%i'),
					a.name, a.farbe
					from tb_pro_team_verbund v 
					left join tb_team_art a using(team_art_id)
					where v.proj_id = '$projekt->id' and v.datetime_bis is NOT NULL
					order by datetime_von desc");
if(mysql_num_rows($oldvps) > 0) {
	new stwTabLine(2,5);
	while ($oldvp = mysql_fetch_row($oldvps)){
		$pro_temp = new stwProjekt($oldvp[0]);
		echo "<tr>";
		echo "<td class=\"cl1\"><a style=\"color:$oldvp[8]\" href=\"team_art_and.php?team_art_id=$oldvp[0]\"";
		echo stwToolTip($oldvp[7]);
		echo ">".team_nummer($oldvp[0])."</a></td>\n";
		echo "</td><td colspan=\"2\" class=\"cl1\"";
		echo stwToolTip("verbunden durch " . pers_kname($oldvp[1]));
		echo ">von $oldvp[2] $oldvp[3] Uhr</td></tr>";
		echo "<tr><td /><td colspan=\"2\" class=\"cl1\"";
		echo stwToolTip("Verbund aufgel&ouml;st durch " . pers_kname($oldvp[4]));
		echo ">bis $oldvp[5] $oldvp[6] Uhr</td></tr>";
	}
}
echo "</table>\n</form></td>\n";


$pra_id = $projekt->projektart();
$hammerrecht = 135 + $pra_id;

if(check_nutzer_rechte($hammerrecht)) {
	echo "<td style=\"text-align:right;width:100%\"><input style=\"width:150px;\" ";
	echo "onclick=\"self.location.href='pro_cut.php?proj_id=$projekt->id'\" ";
	echo "type=\"button\" value=\"Projekt spalten\" /><br>";
	$parent = abfrage("select proj_id_parent from tb_pro_inheritance where proj_id_child='$projekt->id'");
	if($parent[0]) echo "<a href=\"pro_cut.php?proj_id=$parent[0]&proj_id_neu=$projekt->id\" style=\"color:grey\"" . stwToolTip("aus diesem Projekt hervorgegangen") . ">" . projektnummer($parent[0]) . "</a>";
	$children = abfrage1("select proj_id_child from tb_pro_inheritance where proj_id_parent='$projekt->id'");
	while($child = mysql_fetch_row($children)) {
		echo "&nbsp; <a href=\"pro_cut.php?proj_id_neu=$child[0]&proj_id=$projekt->id\" style=\"color:lime\"" . stwToolTip("Folgeprojekt") . ">" . projektnummer($child[0]) . "</a>";
	}
	echo "</td>";
}

echo "</tr></table>\n";
new stwLine(1);

if($bKonf) {
	/* ---------------------------------------------------------------------- */
	/* Rahmentabelle Projektkategorien */
	echo "<table cellspacing=\"0\" cellpadding=\"0\"><tr>";

	/* Teiltabelle zugeordnete Projektkategorien */
	echo "<td style=\"padding-right: 30px;\"><table>\n";
	echo "<tr><th colspan=\"2\">zugeordnete Projektkategorien</th></tr>\n";
	new stwTabLine(2,2);

	$sql  = "select h.kat_id, k.name, k.global from tb_proj_kat k ";
	$sql .= "left join tbh_proj_kat h using (kat_id) ";
	$sql .= "where k.global = '1' or h.proj_id = '$projekt->id' ";
	$sql .= "order by k.name asc;";
	$pks = abfrage1($sql);

	while ($pk = mysql_fetch_row($pks)){
		echo "<tr>";
		echo "<th class=\"cl1\"";
		if ($pk[2] == 1) {
			echo " style=\"color: #FF0;\"";
			echo stwToolTip('globale Projektkategorie');
		}
		echo ">$pk[1]</th>\n";

		echo "<td>";
		if ($pk[2] != 1){
			echo "<a href=\"$self?proj_id=$projekt->id&kat_z_del=$pk[0]\"";
			echo stwToolTip('Kategoriezuordnung l&ouml;schen');
			echo " style=\"color: #F00;\">X</a>";
		}
		echo "</td></tr>\n";
	}

	/* Ende Teiltabelle zugeordnete Projektkategorien */
	echo "</table></td>\n";

	/* ---------------------------------------------------------------------- */

	/* Teiltabelle Liste aller Projektkategorien */
	echo "<td style=\"padding-right: 30px;\"><table>\n";
	echo "<tr><th colspan=\"3\">alle Projektkategorien</th></tr>\n";
	new stwTabLine(2,3);

	$sql = "select kat_id, name, global from tb_proj_kat order by name asc;";
	$pks = abfrage1($sql);

	while ($pk = mysql_fetch_row($pks)){
		echo "<tr><td class=\"cl1\">";
		$dat = abfrage("select kat_id from tbh_proj_kat
										where proj_id = '$projekt->id'
										and kat_id = '$pk[0]';");
		if (($dat[0] != $pk[0]) && $pk[2] != 1){
			echo "<a href=\"$self?proj_id=$projekt->id&kat_z_add=$pk[0]\"";
			echo stwToolTip('Kategorie diesem Projekt zuordnen!');
			echo "><img src=\"img/zurueck.png\" alt=\"zuordnen\" border=\"0\"></a>";
		}
		echo "</td>\n";


		if ($pk[2] == 1 && !check_nutzer_rechte(52)){
			$pk_link = 0;
			$pk_link_tt  = 'Sie&nbsp;haben&nbsp;nicht&nbsp;die&nbsp;Berechtigung,<br>';
			$pk_link_tt .= 'globale&nbsp;Projektkategorien&nbsp;zu&nbsp;verwalten!';
		} else {
			$pk_link = 1;
			$pk_link_tt  = 'Projektkategorie bearbeiten';
		}

		echo "<th class=\"cl1\"" . stwToolTip($pk_link_tt) . '>';
		if ($pk_link == 1){
			echo "<a href=\"$self?proj_id=$projekt->id&kat_id=$pk[0]\">";
		}
		echo $pk[1];
		if ($pk_link == 1) echo "</a>";
		echo "</th>\n";

		$dat = abfrage1("select proj_id from tbh_proj_kat where kat_id = '$pk[0]';");
		if ((mysql_num_rows($dat) == 0 && $pk[2] != 1) ||
				($pk[2] == 1 && check_nutzer_rechte(52))){
			echo "<td><a href=\"$self?proj_id=$projekt->id&kat_del=$pk[0]\"";
			echo stwToolTip('<b>VORSICHT!</b> Projektkategorie l&ouml;schen!');
			echo " style=\"color: #F00;\">X</a></td>\n";
		}
		echo "</tr>";
	}
	/* Ende Teiltabelle Liste aller Projektkategorien */
	echo "</table></td>\n";

	/* ---------------------------------------------------------------------- */

	/* Teiltabelle Maske Projektkategorien */
	echo "<td><table>\n";

	$dat = (isset($_REQUEST['kat_id'])) ? '&auml;ndern' : 'hinzuf&uuml;gen';
	echo "<tr><th colspan=\"2\">Projektkategorie $dat</th></tr>\n";
	new stwTabLine(2,3);

	echo "<form action=\"$self\" method=\"post\">\n";
	if($bKonf) echo "<input type=\"hidden\" name=\"konf\" value=\"1\" />\n";
	echo "<input type=\"hidden\" name=\"proj_id\" value=\"$projekt->id\">\n";
	if (isset($_GET['kat_id'])){
		echo "<input type=\"hidden\" name=\"kat_id\" value=\"{$_GET['kat_id']}\" />\n";
	}

	echo "<tr><td class=\"cl11\"><input type=\"text\" name=\"name\" ";
	echo "size=\"30\" maxlength=\"50\"";
	if (isset($_GET['kat_id'])){
		$sql  = "select name, global from tb_proj_kat ";
		$sql .= "where kat_id = '{$_GET['kat_id']}';";
		$dat = abfrage($sql);

		echo " value=\"$dat[0]\"";
	}
	echo " /></td>\n";

	echo "<td><input type=\"checkbox\" name=\"global\" value=\"1\"";
	if (isset($_GET['kat_id']) && $dat[1] == 1) echo " checked=\"checked\"";
	echo stwToolTip('Projektkategorie global f&uuml;r alle Projekte setzen!');
	echo " />&nbsp;global</td></tr>\n";

	echo "<tr><td><input type=\"submit\" name=\"kat_s\" value=\"Speichern\"";
	echo " /></td></tr>\n";

	echo "</form>\n";
	/* Ende Teiltabelle Maske Projektkategorien */
	echo "</table></td>\n";

	/* Ende Rahmentabelle Projektkategorien */
	echo "</tr></table>\n";
	/* ---------------------------------------------------------------------- */

	new stwLine(1);
}

new stwEnd($seite);
?>