<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");

$projekt = new stwProjekt($rvar_proj_id);
$projekt->InfoZeile();
new stwLine(1);

echo "<table><tr>\n";
echo "<th style=\"padding-right: 20px\">Projektberichtszeitraum</th>\n";
echo "</tr></table>\n";
new stwLine(2);

echo "<form method=\"post\" action=\"pro_konf.php?konf=1&proj_id={$_GET['proj_id']}\">\n";
if (isset($_GET['zr_id'])){
	$zr = abfrage_assoc("select date_format(von, '%d.%m.%Y') as von,
					date_format(bis, '%d.%m.%Y') as bis, frist
					from tb_pb_zr where zr_id = '{$_GET['zr_id']}';");
	echo "<input type=\"hidden\" name=\"zr_id\" value=\"{$_GET['zr_id']}\">\n";
}

echo "<input type=\"hidden\" name=\"proj_id\" value=\"{$_GET['proj_id']}\">\n";

$ti = 1;

echo "<table>\n";

echo "<tr><th style=\"padding-right:10px\">von:</th>\n";
echo "<td><input type=\"text\" name=\"von\" size=\"11\" maxlength=\"10\" tabindex=\"$ti\"";
echo (isset($_GET['zr_id'])) ? " value=\"{$zr['von']}\"" : "value=\"" . date('d.m.Y') . "\"";
echo " style=\"text-align:right\">&nbsp;TT.MM.JJJJ</td></tr>\n";
$ti++;

echo "<tr><th style=\"padding-right:10px\">bis:</th>\n";
echo "<td><input type=\"text\" name=\"bis\" size=\"11\" maxlength=\"10\" tabindex=\"$ti\"";
echo (isset($_GET['zr_id'])) ? " value=\"{$zr['bis']}\"" : '';
echo " style=\"text-align:right\">&nbsp;TT.MM.JJJJ</td></tr>\n";
$ti++;

new stwTabLine(2,30);

echo "<tr><th style=\"padding-right:10px\">Frist:</th>\n";
echo "<td><input type=\"radio\" name=\"frist\" value=\"1\" tabindex=\"$ti\"";
echo ($zr['frist'] == 1) ? 'checked' : '';
echo ">&nbsp;&nbsp;w&ouml;chentlich</td></tr>";
$ti++;

echo "<tr><td></td>\n";
echo "<td><input type=\"radio\" name=\"frist\" value=\"2\" tabindex=\"$ti\"";
echo ($zr['frist'] == 2) ? 'checked' : '';
echo ">&nbsp;&nbsp;14t&auml;gig</td></tr>";
$ti++;

echo "<tr><td></td>\n";
echo "<td><input type=\"radio\" name=\"frist\" value=\"3\" tabindex=\"$ti\"";
echo ($zr['frist'] == 3) ? 'checked' : '';
echo ">&nbsp;&nbsp;monatlich</td></tr>";
$ti++;

echo "<tr><td></td>\n";
echo "<td><input type=\"radio\" name=\"frist\" value=\"4\" tabindex=\"$ti\"";
echo ($zr['frist'] == 4) ? 'checked' : '';
echo ">&nbsp;&nbsp;quartalsweise</td></tr>";
$ti++;

echo "<tr><td></td>\n";
echo "<td><input type=\"radio\" name=\"frist\" value=\"5\" tabindex=\"$ti\"";
echo ($zr['frist'] == 5) ? 'checked' : '';
echo ">&nbsp;&nbsp;halbj&auml;hrlich</td></tr>";
$ti++;

echo "<tr><td></td>\n";
echo "<td><input type=\"radio\" name=\"frist\" value=\"6\" tabindex=\"$ti\"";
echo ($zr['frist'] == 6) ? 'checked' : '';
echo ">&nbsp;&nbsp;j&auml;hrlich</td></tr>";
$ti++;

new stwTabLine(2,30);

echo "<tr><td colspan=\"2\">";
echo "<input type=\"submit\" name=\"pb_zr_send\" value=\"Speichern\" tabindex=\"$ti\"></td></tr>\n";

echo "</table>\n";
echo "</form>\n";

new stwEnd($seite);
?>