<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");

set_session_url();

if  (isset($rvar_proj_id)) {
  $projekt = &new stwProjekt($rvar_proj_id);

	echo "<table width=\"750\">\n";
	echo "<tr><th style=\"padding-right:10px\">Projekt-Nr.:&nbsp;</th>\n";
	echo "<td style=\"padding-right:40px\"><a href=\"pro_daten.php?proj_id=$projekt->id\">";
	echo $projekt->nummer() . "</a></td>\n";
	echo "<th style=\"padding-right:5px\">Klient:</th>\n";
	echo "<td style=\"padding-right:15px\">" .  $projekt->name() . "</td>\n";

	// Jugendamt und Sachbearbeiter ermitteln
	$ja = abfrage("select t3.name2, t3.kont_id from tb_kontakte_ap t2
	               left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
	               where t2.ap_id = $projekt->sb;");

	echo "<th style=\"padding-right:5px\">Jugendamt:</th>";
	echo "<td style=\"padding-right:15px\">$ja[0]</td>\n";

	echo "<td style=\"padding-right:5px\">\n";
  echo "<input type=\"button\" value=\"Einzahlung\" ";
  echo "onClick=\"self.location.href='pro_einz.php?proj_id=$projekt->id&tg=kt'\"></td>\n";

	echo "<td><a href=\"pro_pr_kto.php?proj_id=$projekt->id&ts=" . time() . "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" border=\"0\" ";
	echo "title=\"Klientenkonto drucken\"></td>\n";

	echo "</tr></table>\n";
	new stwLine(1);
}

// Liste der Kontobewegungen
$handgeld = getConf('klientenkonto');
if($handgeld) {
	$von = date("Y-01-01");
	$spesen_eig = 'spesen_betr';
} else {
	$von = '2005-10-01';
	$spesen_eig = 'spesen_eig';
}

$konto = array();

// 1. Einzahlungen
$eins = abfrage1("select e.einz_id,
				unix_timestamp(e.datum),
				date_format(e.datum, '%d.%m.%Y'),
				e.text,
				e.betrag,
				e.pers_id,
				'e' as art,
				e.nachw_id,
				e.person_id
				from tb_pro_einz e
				where e.proj_id = $projekt->id
				and to_days(datum) >= to_days('$von')
				order by unix_timestamp(datum) asc;");
$i = 0;
while ($ein = mysql_fetch_row($eins)) {
	foreach ($ein as $val){
		$konto[$i][] = $val;
	}
	$i++;
}

// 2. Zeitkarten
$zks = abfrage1("select zk_id,
				unix_timestamp(t.von),
				date_format(t.von, '%d.%m.%Y'),
				z.spesen_text,
				z.$spesen_eig,
				z.pers_id,
				'z' as art,
				z.nachw_id
				from tb_ab_zk z
				left join tb_termine t using (termin_id)
				where z.proj_id = $projekt->id and z.$spesen_eig > 0
				and z.ab = 'j'
				and to_days(t.von) >= to_days('$von')
				order by unix_timestamp(t.von) asc;");

while ($zk = mysql_fetch_row($zks)) {
	foreach ($zk as $iterator => $val){
		$konto[$i][] = $val;
	}
	$i++;
	if(!$handgeld && $zk[1] >= 1448924400 /*1.12.2015*/) {
		foreach ($zk as $iterator => $val){
			$konto[$i][] = $iterator==4 ? -$val : $val;
		}
		$i++;
	}
}


if($handgeld == 0) {
	// 3. Gruppenarbeit
	$ids = abfrage1("select person_id from tbh_proj_personen
					where proj_id = $projekt->id GROUP BY person_id;");

	while ($id = mysql_fetch_row($ids)){
		$gas = abfrage1("select g.ga_id,
						unix_timestamp(t.von),
						date_format(t.von, '%d.%m.%Y'),
						g.thema,
						g.eb,
						h.pers_id,
						'g'
						from tbh_ga_pp h
						left join tb_ga g using (ga_id)
						left join tb_termine t using (termin_id)
						where h.person_id = $id[0] and g.eb > 0
						and to_days(t.von) >= to_days('$von')
						and unix_timestamp(t.bis) < unix_timestamp(now())
						order by unix_timestamp(t.von) asc;");

		while ($ga = mysql_fetch_row($gas)) {
			foreach ($ga as $val){
				$konto[$i][] = $val;
			}
			$i++;
		}
	}


	// 4. PAM
	$keys=abfrage1("SELECT a.key_id,
					unix_timestamp( a.von ),
					date_format( a.von, '%d.%m.%Y' ),
					a.notizen_a,
					k.betrag,
					a.pers_a,
					'k'
					FROM tb_keys_aus a
					LEFT JOIN tb_keys k USING ( key_id )
					WHERE a.proj_id = '$projekt->id'
					AND TO_DAYS(a.von) >= TO_DAYS('$von')
					AND a.bis IS NULL
					AND k.betrag > 0.00 AND k.art_id = '101'
					ORDER BY UNIX_TIMESTAMP(a.von) ASC;");

	while ($key = mysql_fetch_row($keys)) {
		foreach ($key as $val){
			$konto[$i][] = $val;
		}
		$i++;
	}

	//5. Essen (Gruppenprojekte)
	$iPGr = $projekt->inProjektgruppe();
	if($iPGr) {
		$essen = abfrage1("select unix_timestamp(datum),datum from tbh_proj_anwesenheit where proj_id='$projekt->id' and essen='j' order by datum asc");
		$letztermonat = $datum = $text = '';
		$cnt = $ts = 0;
		while($ess = mysql_fetch_row($essen)) {
			$iPGr = $projekt->inProjektgruppe($ess[1]);
			$monat = strftime('%B %Y',$ess[0]);
			if($cnt>0 && $monat != $letztermonat) {
				$satz_essen = abfrage("select hilfe_bisher from tb_projekte where proj_id='$iPGr'");
				$konto[$i] = array($iPGr,$ts,date('d.m.Y',$ts),$letztermonat,$cnt*$satz_essen[0],$text,'m');
				$i++;
				$cnt = 0;
				$text = '';
			}
			if($text != '') $text .= ',';
			$text .= date('j.',$ess[0]);
			$ts = $ess[0];
			$letztermonat = $monat;
			$cnt++;
		}
		if($cnt>0) {
			$satz_essen = abfrage("select hilfe_bisher from tb_projekte where proj_id='$iPGr'");
			$konto[$i] = array($iPGr,$ts,date('d.m.Y',$ts),$letztermonat,$cnt*$satz_essen[0],$text,'m');
			$i++;
		}
	}
}

// Array konto nach Timestamp sortieren
function cmp ($a, $b) {
   if ($a[1] == $b[1]) return 0;
   return ($a[1] < $b[1]) ? -1 : 1;
}

usort($konto, "cmp");

// Tabelle aufbauen
echo "<table border=\"0\">\n";
echo "<tr>\n";
echo "<th style=\"padding-right:10px;text-align:center\">Datum</th>\n";
echo "<th style=\"padding-right:10px;text-align:center\">Art</th>\n";
echo "<th style=\"padding-right:10px;text-align:center\">Text</th>\n";
echo "<th style=\"padding-right:10px;text-align:center\">Betrag</th>\n";
echo "<th style=\"padding-right:10px;text-align:center\">Mitarbeiter</th>\n";
echo "<th style=\"padding-right:10px;text-align:center\">Einzahler</th>\n";
echo "<th>AB-Monat</th>\n";
echo "</tr>\n";
new stwTabLine(2,30);

reset($konto);

foreach ($konto as $row){
	switch ($row[6]){
		case 'e':
			$art = 'Einzahlung';
			$link = "pro_einz.php?proj_id=$projekt->id&einz_id=$row[0]";
			$betrag = geld_form_web($row[4]);
			$betrag_color = '#00FF00';
			$ma = pers_kname($row[5]);
			break;
		case 'z':
			$art = 'Zeitkarte';
			$link = "pro_ab_zk.php?proj_id=$projekt->id&zk_id=$row[0]";
			$betrag = geld_form_web(-$row[4]);
			$betrag_color = $row[4] > 0 ? '#FF0000' : '#00FF00';
			$ma = pers_kname($row[5]);
			break;
		case 'g':
			$art = 'Gruppenarbeit';
			$link = "ga_and.php?ga_id=$row[0]";
			$betrag = geld_form_web(-$row[4]);
			$betrag_color = '#FF0000';
			$ma = pers_kname($row[5]);
			break;
		case 'k':
			$art = 'PAM';
			$link = "keys_and.php?key_id=$row[0]&pam=1";
			$betrag = geld_form_web(-$row[4]);
			$betrag_color = '#FF0000';
			$ma = pers_kname($row[5]);
			break;
		case 'm':
			$art = 'Mittagessen';
			$link = "pro_gruppe_and.php?anz=t&proj_id=$row[0]&page=2&tag=".date('Y-m-d',$row[1])."&ma=all";
			$betrag = geld_form_web(-$row[4]);
			$betrag_color = '#FF0000';
			$ma = $row[5];
			break;
	}

	echo "<tr>\n";
	echo "<td style=\"padding-right:10px\"><a href=\"$link\">$row[2]</a></td>\n";
	echo "<td style=\"padding-right:10px\">$art</td>\n";
	echo "<td style=\"padding-right:10px\"";
	echo stwToolTip($row[3]);
	echo ">" . strCut($row[3], 40) . "</td>\n";
	echo "<td style=\"padding-right:10px;text-align:right;color:$betrag_color;font-weight:bold\">$betrag</td>\n";
	if ($row[6] == 'e'){
		echo "<td style=\"padding-right:10px\">$ma</td>\n";
		if ($row[8] == 0){
			$einzahler = getConf('trname');
			$color = "color:#FF0000";
		} else {
			$einzahler = person_kname($row[8]);
			$color = '';
		}
		echo "<td style=\"padding-right:10px;$color\">$einzahler</td>\n";
	} else {
		echo "<td colspan=\"2\">$ma</td>\n";
	}

	if ($row[7] > 0){
		$nw_dat = abfrage("select unix_timestamp(datum)
							from tb_ab_nachw
							where nachw_id= $row[7];");
		echo "<td>" . strftime('%B %Y', $nw_dat[0]) . "</td>\n";
	} else {
		echo "<td></td>\n";
	}

	echo "</tr>\n";
}

new stwTabLine(2,30);
echo "<tr>\n<td></td>\n";
echo "<th colspan=\"2\">Kontostand :</th>\n";
$stand = $projekt->kontostand();
$stand_color = ($stand < 0) ? '#FF0000' : '#00FF00';
echo "<th style=\"text-align:right;padding-right:10px;color:$stand_color;\">";
echo geld_form_web($stand) . "</th>\n";
echo "</tr>\n";
new stwTabLine(1,30);

echo "</table>\n";

new stwEnd($seite);
?>