<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");
$pers_order = getPersOrder(6);

if  (isset($rvar_proj_id)) {
	if(!check_projekt_berechtigung($rvar_proj_id)) {
		echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
		new stwEnd($seite);
		exit(0);
	}
    $projekt = &new stwProjekt($rvar_proj_id);

    $sql = "select * from tb_projekte where proj_id = $projekt->id";
    $res = mysql_query($sql) or die (mysql_error());
    $pro = mysql_fetch_row($res);
}

echo "<table width=\"750\">\n";
echo "<tr><th style=\"padding-right:5px\">Projekt-Nr.:</th>\n";
echo "<td style=\"padding-right:15px\"><a href=\"pro_daten.php?proj_id=$projekt->id\">";
echo $projekt->nummer() . "</a></td>\n";
echo "<th style=\"padding-right:5px\">Klient:&nbsp;</th>\n";
echo "<td style=\"padding-right:15px\">" .  $projekt->name() . "</td>\n";

// Jugendamt und Sachbearbeiter ermitteln
$ja = abfrage("select t3.name2, t3.kont_id from tb_kontakte_ap t2
               left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
               where t2.ap_id = $projekt->sb;");

echo "<th style=\"padding-right:5px\">Jugendamt:</th>";
echo "<td>$ja[0]</td>\n";
echo "</tr></table>\n";
new stwLine(1);


$kwg = abfrage("select hp_id, # 0
				pers_id, #1
				ap_id,   #2
				date_format(datum, '%d.%m.%Y'), #3
				date_format(and_datum, '%d.%m.%Y'), #4
				unix_timestamp(and_datum), #5
				st_grund, #6
				ziele, #7
				and_datum, #8
				datum, #9
				teilnehmer, #10
				ressourcen, #11
				selbsthilfe, #12
				kontakt, #13
				fb_ok, #14
				fb_ok_ts, #15
				fallbegl_antrag, #16
				hpv_form #17
				from tb_hp where hp_id = $rvar_hp_id;");

echo "<form action=\"pro_kwg_sql.php\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\">\n";

echo "<table width=\"750\">\n";
echo "<tr><th style=\"padding-right:25px;color:hotpink\">Kindeswohlgef&auml;hrdung</th>\n";
echo "<th style=\"padding-right:10px\">Beginn&nbsp;:</th>";
echo "<td style=\"padding-right:25px\">";
if($_SESSION[$AppCode]["ULV"] < 97) {
	echo $kwg[3];
	echo "<input type=\"hidden\" name=\"datum\" value=\"$kwg[3]\" />";
} else echo "<input type=\"text\" size=\"10\" name=\"datum\" value=\"$kwg[3]\" />";
echo "</td>\n";
echo "<th style=\"padding-right:10px\">durch&nbsp;:</th><td class=\"cl11\">" . pers_name($kwg[1]) ."</td>\n";
echo "<td><input type=\"button\" value=\"KWG Zwischenbericht\" ";
echo stwToolTip("erstellt einen Zwischenbericht<br>zur Kindeswohlgef&auml;hrdung vom $kwg[3]");
echo "onclick=\"self.location.href='pro_kwg_zw.php?hp_id=$rvar_hp_id&proj_id=$rvar_proj_id'\"/></td>\n";
echo "<td style=\"text-align:right\" width=\"100%\">";
 /* Dateiklammersymbol einbinden */
 if (!empty($rvar_hp_id) && !empty($rvar_proj_id))
 {
   $daten = new stwDaten("25");
   $link  = $daten->get_klammer_link($_SESSION["webdir"],
                                     $_SESSION[$AppCode]["UID"],
                                     $_SESSION[$AppCode]["ULV"],
                                     $rvar_proj_id, $rvar_hp_id);
   printf(" %s", $link);
 }
echo " <a href=\"pro_kwg_pr.php?hp_id=$rvar_hp_id&amp;proj_id=$rvar_proj_id&ts=" . time() . "\" target=\"_pdf\">";
echo "<img src=\"img/drucker.png\"" . stwToolTip('KWG drucken');
echo "></a></td></tr></table>\n";

new stwLine(1);

echo "<script type=\"text/javascript\"><!--\n";
echo "function einbez_show() {\n";
echo "var check = document.getElementById('fb_ja').checked;\n";
echo "document.getElementById('einbezrow').style.display = 'table-row';\n";
echo "var ntd = document.getElementsByName('einbezogen');\n";
echo "for (var i = 0; i < ntd.length; i++) ntd[i].style.display = (check ? 'none' : 'table-cell');\n";
echo "ntd = document.getElementsByName('nicht_einbezogen');\n";
echo "for (var i = 0; i < ntd.length; i++) ntd[i].style.display = (check ? 'none' : 'inline');\n";
echo "}\n--></script>\n";

echo "<table>\n";
echo "<tr><th>Anlass:</th>";
echo "<td><textarea name=\"ressourcen\" rows=\"2\" cols=\"80\" tabindex=\"1\" >$kwg[11]</textarea></td></tr>\n";
echo "<tr><th>Kurz-<br>beschreibung:</th>";
echo "<td><textarea name=\"ziele\" rows=\"2\" cols=\"80\" tabindex=\"2\">$kwg[7]</textarea></td></tr>\n";
echo "<tr><th>Notizen :</th>";
echo "<td style=\"padding-right:15px\"><textarea name=\"selbsthilfe\" rows=\"2\" cols=\"80\" tabindex=\"3\" >";
echo "$kwg[12]</textarea></td></tr>\n";
echo "<tr><th>Kinderschutzfachkraft:</th>";
echo "<td><select name=\"ksf\">";
echo "<option value=\"0\">- bitte w&auml;hlen -</option>";
$name = $pers_order == 2 ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
$porder = $pers_order == 2 ? "p.name asc, p.vorname asc;" : "p.vorname asc, p.name asc;";
$sql = "select p.pers_id, concat($name) from tb_benutzerrechte r
		left join tb_personal p using(pers_id)
		where r.obj_id='18' order by $porder";
$mas = abfrage1($sql);
while($ma = mysql_fetch_row($mas)) {
	$selected = $kwg[17]==$ma[0] ? 'selected' : '';
	echo "<option $selected value=\"$ma[0]\">$ma[1]</option>";
}
$sql = "SELECT p.pers_id, concat($name) FROM tb_projekte pr 
		left join tb_personal p on pr.fb_id = p.pers_id
		WHERE pr.fb_id > 0  AND pr.projektnr < 900
		AND (pr.ende IS NULL OR pr.ende = '0000-00-00' OR TO_DAYS(pr.ende) >= TO_DAYS(CURDATE()))
		group by pr.fb_id order by $porder";
$mas = abfrage1($sql);
if(mysql_num_rows($mas) > 0) echo "<option style=\"background-color:white\" value=\"0\">- Fachberater -</option>";
while($ma = mysql_fetch_row($mas)) {
	$selected = $kwg[17]==$ma[0] ? 'selected' : '';
	echo "<option $selected value=\"$ma[0]\">$ma[1]</option>";
}
echo "</select></td></tr>\n";
new stwTabLine(2,20);
$style = $kwg[13] == 'n' ? '' : "style=\"display:none\"";
echo "<input type=\"hidden\" name=\"einbezogen\" value=\"$kwg[13]\" />\n";
echo "<tr><th rowspan=\"2\">Einbeziehung<br />Erziehungsberechtigte,<br />Kind/Jugendlicher:</th>";
echo "<td><input type=\"radio\" name=\"kontakt\" id=\"fb_ja\" value=\"j\"";
if($kwg[13] == 'j') echo " checked ";
echo " onchange=\"einbez_show()\" />";
echo " Ja &nbsp; <input type=\"radio\" name=\"kontakt\" value=\"n\"";
if($kwg[13] == 'n') echo " checked ";
echo " onchange=\"einbez_show()\" /> Nein";
if(!empty($kwg[14])) echo " &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <b>".pers_name($kwg[14])."</b> ".date('d.m.Y H:i', $kwg[15]);
echo "</td></tr>\n<tr id=\"einbezrow\"";
if(empty($kwg[13])) echo " style=\"display:none\"";
echo "><td>Die Erziehungsberechtigten sowie das Kind / der Jugendliche wurden in die Gef&auml;hrdungseinsch&auml;tzung<br /><b $style name=\"nicht_einbezogen\">nicht</b> einbezogen<span $style name=\"nicht_einbezogen\">, weil hierdurch der wirksame Schutz des Kindes oder Jugendlichen in Frage steht</span>.</td></tr>\n";
echo "<tr><th $style name=\"einbezogen\">Begr&uuml;ndung:</th>";
echo "<td $style name=\"einbezogen\"><textarea name=\"fallbegl_antrag\" rows=\"2\" cols=\"80\" tabindex=\"2\">$kwg[16]</textarea></td></tr>\n";
new stwTabLine(2,20);

echo "<tr><td colspan=\"3\"><table>\n";
echo "<tr><th colspan=\"2\">Im Hinblick auf das Alter des Kindes halte ich es f&uuml;r :</th></tr>\n";

echo "<tr><td style=\"padding-right:10px;padding-left:10px\">";
echo "<input type=\"radio\" name=\"teilnehmer\" value=\"1\" ";
echo ($kwg[10] == 1) ? 'checked' : '';
echo "></td><th>nicht gef&auml;hrdet und sehe auch keinen Handlungsbedarf.</td></tr>\n";

echo "<tr><td style=\"padding-right:10px;padding-left:10px\">";
echo "<input type=\"radio\" name=\"teilnehmer\" value=\"2\" ";
echo ($kwg[10] == 2) ? 'checked' : '';
echo "></td><th>nicht gef&auml;hrdet, sehe aber weiteren Unterst&uuml;tzungsbedarf.</td></tr>\n";

echo "<tr><td style=\"padding-right:10px;padding-left:10px\">";
echo "<input type=\"radio\" name=\"teilnehmer\" value=\"3\" ";
echo ($kwg[10] == 3) ? 'checked' : '';
echo "></td><th>gef&auml;hrdet, wenn nicht ber Hilfen Ver&auml;nderungen erzielt werden.</td></tr>\n";
echo "<tr><td style=\"padding-right:10px;padding-left:10px\">";
echo "<input type=\"radio\" name=\"teilnehmer\" value=\"4\" ";
echo ($kwg[10] == 4) ? 'checked' : '';
echo "></td><th>akut gef&auml;hrdet und halte eine Herausnahme derzeit f&uuml;r die einzige ";
echo "M&ouml;glichkeit der Gefahrenabwendung.</td></tr>\n";
echo "</table></td></tr>\n";
new stwTabLine(2,20);
echo "<tr><th>Beendigung :</th>\n<td>";
if (empty($kwg[5])){
	echo "<input type=\"checkbox\" name=\"ap_id\" onchange=\"var ntd = document.getElementsByName('beendigungsgrund'); for (var i = 0; i < ntd.length; i++) ntd[i].style.display = (this.checked ? 'table-cell' : 'none');\" tabindex=\"5\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";
	echo "<input type=\"hidden\" name=\"and_datum\" value=\"". date_my2gr(date('Y-m-d')) . "\">\n";
} else {
	echo "<input type=\"hidden\" name=\"ap_id\" value=\"$kwg[2]\">\n";
	if ($_SESSION[$AppCode]['ULV'] < 96){
		echo $kwg[4] . '&nbsp;durch&nbsp;' . pers_name($kwg[2]);
		echo "<input type=\"hidden\" name=\"and_datum\" value=\"$kwg[4]\">\n";
	} else {
		echo "<input type=\"text\" name=\"and_datum\" tabindex=\"5\" value=\"$kwg[4]\">\n";
		echo '&nbsp;durch&nbsp;' . pers_name($kwg[2]);
		echo "&nbsp;<input type=\"checkbox\" name=\"ap_id\" ";
		echo "value=\"{$_SESSION[$AppCode]['UID']}\">&nbsp;mich\n";
	}
}
echo "</td>\n</tr>\n";
echo "<tr><th name=\"beendigungsgrund\"";
if(empty($kwg[5])) echo " style=\"display:none\"";
echo ">Grund der<br>Beendigung :</th><td name=\"beendigungsgrund\"";
if(empty($kwg[5])) echo " style=\"display:none\"";
echo "><textarea name=\"st_grund\" rows=\"2\" cols=\"80\" tabindex=\"6\">$kwg[6]</textarea></td>\n";
echo "</tr>\n";

new stwTabLine(2,20);
echo "<tr><td><input type=\"submit\" tabindex=\"7\" value=\"Speichern!\"></td></tr>\n";
echo "</form>\n";
echo "</table>\n";
new stwLine(1);

// Zeitkarten mit Kindeswohlgefhrdung!

$sql = "select date_format(t.von,'%d.%m.%Y'),
		time_format(t.von,'%k:%i'),
		time_format(t.bis,'%k:%i'),
		time_format(a.fls,'%k:%i'),
		time_format(sec_to_time(unix_timestamp(t.bis) - unix_timestamp(t.von) -
			time_to_sec(a.fls)),'%k:%i'),
		a.pers_id,
		a.code,
		a.inhalte2,
		a.zk_id,
		a.proj_id,
		(concat(left(b.vorname,1), '. ', b.name)),
		a.ab,
		a.ab_monat,
		a.nachw_id,
		t.termin_id,
		unix_timestamp(t.bis) - unix_timestamp(t.von) - time_to_sec(a.fls),
		a.kwg,
		unix_timestamp(t.von) as ts_von
		from tb_ab_zk a
		left join tb_termine t using (termin_id)
		left join tb_personal b on a.pers_id = b.pers_id
		where a.proj_id = $rvar_proj_id
		and kwg > 0
		and to_days(t.von) >= to_days('$kwg[9]') ";

if (!empty($kwg[5])){
	$sql .= "and to_days(t.bis) <= to_days('$kwg[8]') ";
}
$sql .= "order by unix_timestamp(t.von) asc;";
$res = abfrage1($sql);

echo "<table>\n";
echo "<tr><th colspan=\"99\" style=\"color:hotpink\">Zeitkarten:</th></tr>\n";
echo "<tr><th style=\"padding-right:5px\">Datum</th>\n";
echo "<th></th>\n";
echo "<th style=\"padding-right:5px\">von</th>\n";
echo "<th style=\"padding-right:5px\">bis</th>\n";
echo "<th style=\"padding-right:5px\">FLS</th>\n";
echo "<th style=\"padding-right:5px\">Fahrt</th>\n";
echo "<th style=\"padding-right:5px\">Betreuer</th>\n";
echo "<th style=\"padding-right:5px\">Code</th>\n";
echo "<th>Inhalte intern</th>\n</tr>\n";
$lastWd = -1;
while ($row = mysql_fetch_array($res)) {
	$wd = date('N', $row['ts_von']);
	if($wd > $lastWd) new stwTabLine(2,30);
	elseif($wd < $lastWd) new stwTabLine(1,30);
	else new stwTabLine('#555555',30);
	$lastWd	= $wd;
	echo "<tr>";

	if ($row[11] == 'j' || $row[11] == 'u'){
		$co = $zk_ab_ja;
		$ti = "abrechnungsrelevant";
		if (!empty($row[12])){
			$co = $zk_abgerechnet;
			$ti = "abgerechnet";
			if (!empty($row[13])){
				$co = $zk_abgelegt;
				$ti = "abgelegt";
			}
		}
	} else {
		$co = $zk_ab_nein;
		$ti = "Termin";
	}
	$st = "style=\"color:$co\"";
	$ti = "title=\"$ti\"";
	echo "  <td style=\"padding-right:5px\">";
	echo "<a href=\"pro_ab_zk.php?zk_id=$row[8]&proj_id=$row[9]\" $st $ti>";
	echo $row[0] . "</a></td>\n";
	echo "<td class=\"cl1\"><img style=\"padding-top:3px\" src=\"img/icon_kwg.png\"";
	echo stwToolTip("<b>Kindeswohlgef&auml;hrdung!</b>           <br>" . $kwg[11]) . '>';
	echo "  <td style=\"padding-right:5px;text-align:right\">$row[1]</td>";
	echo "  <td  style=\"padding-right:5px;text-align:right\">$row[2]</td>";
	echo "  <td  style=\"padding-right:5px;text-align:right\">$row[3]</td>";

	if ($row[15] < 0){
		$style = "style=\"color:red;text-decoration:blink;padding-right:5px\"";
	} else {
		$style = "style=\"padding-right:5px\"";
	}
	echo "  <td $style>";
	if(!empty($row[15])){
		echo $row[4];
	}
	echo "  </td>";
	echo "  <td style=\"padding-right:5px\">$row[10]</td>";
	echo "  <td style=\"padding-right:5px;text-align:center\">$row[6]</td>";
	echo "  <td class=\"ww\">". nl2br($row[7]) . "</td>";
	echo "</tr>\n";
}

echo "</table>\n";
new stwLine(1);


// Reflexionen

$sql = "select h.hp_id,
		date_format(h.datum, '%d.%m.%Y'),
		date_format(h.and_datum, '%d.%m.%Y'),
		r.frage,
		r.ergebnis
		from tb_hp h
		left join tb_hp_re r using (hp_id)
		where h.proj_id = $rvar_proj_id
		and r.kwg = 1
		and to_days(h.and_datum) >= to_days('$kwg[9]') ";
if (!empty($kwg[5])){
	$sql .= "and to_days(h.and_datum) <= to_days('$kwg[8]') ";
}
$sql .= "order by and_datum desc";
$res = abfrage1($sql);

echo "<table>\n";
echo "<tr><th colspan=\"99\" style=\"color:hotpink\">Reflexionen :</th></tr>\n";
echo "<tr><th style=\"padding-right:8px\">Datum</th>\n";
echo "<th style=\"padding-right:8px\"></th>\n";
echo "<th style=\"padding-right:15px\">Fragestellung</th>\n";
echo "<th style=\"padding-right:15px\">Ergebnis</th>\n</tr>\n";

new stwTabLine(2,99);

while ($row = mysql_fetch_row($res)){
	echo "<tr>\n";
	echo "<td style=\"padding-right:8px\">";
	echo "<a href=\"pro_re.php?hp_id=$row[0]&proj_id=$rvar_proj_id\">$row[2]</a></td>\n";
	echo "<td class=\"cl1\"><img style=\"padding-top:3px\" src=\"img/icon_kwg.png\"";
	echo stwToolTip("<b>Kindeswohlgef&auml;hrdung!</b>           <br>" . $kwg[11]) . '>';
	$inh = wordwrap($row[3], 50, '<br>', 1);
	echo "<td style=\"padding-right:15px\">$inh</td>\n";
	$inh = wordwrap($row[4], 50, '<br>', 1);
	echo "<td style=\"padding-right:15px\">$inh</td>\n";
	echo "</tr>\n";
}
echo "</table>\n";
new stwLine(1);
new stwEnd($seite);
?>
