<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_qssql.php 2267 2014-05-05 13:33:16Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad."inc/func.inc.php");
 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

 /* unterhalb von Level 40 darf nur der Haken fuer HB gesetzt werden */
 if ($_SESSION[$AppCode]["ULV"] < 40)
 {
   if (empty($_POST['hp_id']))
   {
     printf("Fehler: IQS kann nicht gespeichert werden weil HP ID fehlt.");
     exit(-1);
   }

   /* Zustand von vorher ermitteln um nicht dauernd das Datum neu zu setzen */
   $sql = "SELECT gepr_hb FROM tb_hp_qs WHERE hp_id = '".$rvar_hp_id."'";
   $erg = abfrage($sql);

   /* pruefen ob Hauptbetreuerhaken gesetzt wurde und dies in DB vermerken */
   if ($rvar_gepr_hb == "j")
   {
     if ($erg[0] != "j")
     {
       $sql  = "UPDATE tb_hp_qs SET gepr_hb ='j', gepr_hb_datum='".time()."', ";
       $sql .= "gepr_hb_pers_id = '".$_SESSION[$AppCode]["UID"]."' ";

       $sql .= "WHERE hp_id='".$rvar_hp_id."'";
       abfrage2($sql);
     }
   }
   else
   {
     if ($erg[0] == "j")
     {
       $sql  = "UPDATE tb_hp_qs SET gepr_hb = 'n', gepr_hb_datum = '0', ";
       $sql .= "gepr_hb_pers_id = '0' WHERE hp_id = '".$rvar_hp_id."'";
       abfrage2($sql);
     }
   }

   /*
    * Hauptbetreuer vielleicht letzte Person die Haken gesetzt hat. Dann muss
    * das erledigt Datum gesetzt werden.
    */
   if ($rvar_gepr_hb == "j" && $rvar_gepr_qss == "j" && $rvar_gepr_iqs == "j")
   {
     $sql  = "UPDATE tb_hp SET and_datum = '".date("Y-m-d")."' ";
     $sql .= "WHERE hp_id = '".$rvar_hp_id."'";

     abfrage2($sql);
   }
   else
   {
     $sql  = "UPDATE tb_hp SET and_datum = NULL WHERE hp_id = '";
     $sql .= $rvar_hp_id."'";

     abfrage2($sql);
   }
 }
 elseif(isset($_POST['pers_id']))
 {
$dat = date_gr2my($rvar_datum);

if (isset($rvar_chg)){
    $sql = "update ";
} else {
    $sql = "insert into ";
    $ersteller = $rvar_pers_id;
}

if ($rvar_gepr_hb == 'j' && $rvar_gepr_qss == 'j' && $rvar_gepr_iqs == 'j' && $rvar_datum > 0){
		$andat = date("Y-m-d");
	} else {
		$andat = "";
}

$sql .= "tb_hp set proj_id = '$rvar_proj_id',
                   hp_art = '$rvar_hp_art',
                   datum = '$dat',
                   and_datum = '$andat'";

if (isset($rvar_chg)) {
		$sql .= " where hp_id = $rvar_hp_id;";
	} else {
		$sql .= ", pers_id = '$ersteller';";
        }
mysql_query($sql) or die(mysql_error());

if (!isset($rvar_chg)) $newID = mysql_insert_id($dblink);

if (isset($rvar_chg)){
    $sql = "update ";
} else {
    $sql = "insert into ";
    $rvar_hp_id = $newID;
}

$sql .= "tb_hp_qs set hp_id = '$rvar_hp_id',
                      adresse = '$rvar_adresse',
                      ja_sb = '$rvar_ja_sb',
                      kostenzus = '$rvar_kostenzus',
                      hp_ende = '$rvar_hp_ende',
                      hp_hist = '$rvar_hp_hist',
                      hp_st = '$rvar_hp_st',
                      vertretung = '$rvar_vertretung',
                      weit_betreuer = '$rvar_weit_betreuer',
                      a_ab = '$rvar_a_ab',
                      a_hp = '$rvar_a_hp',
                      a_hp_sign = '$rvar_a_hp_sign',
                      a_hp_vor = '$rvar_a_hp_vor',
                      a_sign = '$rvar_a_sign',
                      a_daten = '$rvar_a_daten',
                      pb_vorhanden = '$rvar_pb_vorhanden', 
                      a_schweigepflicht = '$rvar_a_schweigepflicht', 
                      a_mitfahrg = '$rvar_a_mitfahrg', 
					  a_hp_vor_sign = '$rvar_a_hp_vor_sign', 
					  a_eve_ja = '$rvar_a_eve_ja',
					  a_ag = '$rvar_a_ag', ";

 /*
  * Pruefen ob Haken schon gesetzt war und ob sich Zustand geaendert hat. Ist
  * dies der Fall kann neu gesetzt werden sonst alten Zustand lassen, weil
  * sonst immer nur von der letzten Person die einen Haken setzt die Daten
  * gespeichert werden. Es sind aber bis zu drei verschiedene Personen moeglich.
  */
 if (isset($rvar_chg))
 {
   /* wie waren die Haken vorher gesetzt? */
   $txt  = "SELECT gepr_hb, gepr_qss, gepr_iqs FROM tb_hp_qs WHERE hp_id='";
   $txt .= $rvar_hp_id."'";

   $erg = abfrage($txt);

   /* HB Bereich */
   if ($erg[0] == "j")
   {
     /* HB Haken gesetzt - jetzt loeschen */
     if (!isset($rvar_gepr_hb))
     {
       $sql .= "gepr_hb_datum='0', gepr_hb_pers_id='0', ";
     }
   }
   else
   {
     /* HB Haken nicht gesetzt */
     if (isset($rvar_gepr_hb))
     {
       $sql .= "gepr_hb_datum='".time()."', ";
       $sql .= "gepr_hb_pers_id='".$_SESSION[$AppCode]["UID"]."', ";
     }
   }

   /* QSS Bereich */
   if ($erg[1] == "j")
   {
     /* QSS Haken gesetzt - jetzt loeschen */
     if (!isset($rvar_gepr_qss))
     {
       $sql .= "gepr_qss_datum='0', gepr_qss_pers_id='0', ";
     }
   }
   else
   {
     /* QSS Haken nicht gesetzt */
     if (isset($rvar_gepr_qss))
     {
       $sql .= "gepr_qss_datum='".time()."', ";
       $sql .= "gepr_qss_pers_id='".$_SESSION[$AppCode]["UID"]."', ";
     }
   }

   /* IQS Bereich */
   if ($erg[2] == "j")
   {
     /* IQS Haken gesetzt - jetzt loeschen */
     if (!isset($rvar_gepr_iqs))
     {
       $sql .= "gepr_iqs_datum='0', gepr_iqs_pers_id='0', ";
     }
   }
   else
   {
     /* IQS Haken nicht gesetzt */
     if (isset($rvar_gepr_iqs))
     {
       $sql .= "gepr_iqs_datum='".time()."', ";
       $sql .= "gepr_iqs_pers_id='".$_SESSION[$AppCode]["UID"]."', ";
     }
   }
 }
 else
 {
   /* neu anlegen -> alles reinbringen */
   if (!empty($rvar_gepr_hb))
   {
     $sql .= "gepr_hb_datum='".time()."', ";
     $sql .= "gepr_hb_pers_id='".$_SESSION[$AppCode]["UID"]."', ";
   }

   if (!empty($rvar_gepr_qss))
   {
     $sql .= "gepr_qss_datum='".time()."', ";
     $sql .= "gepr_qss_pers_id='".$_SESSION[$AppCode]["UID"]."', ";
   }

   if (!empty($rvar_gepr_iqs))
   {
     $sql .= "gepr_iqs_datum='".time()."', ";
     $sql .= "gepr_iqs_pers_id='".$_SESSION[$AppCode]["UID"]."', ";
   }
 }

$sql .= "             gepr_hb = '$rvar_gepr_hb',
                      gepr_qss = '$rvar_gepr_qss',
					  gepr_iqs = '$rvar_gepr_iqs',
					  re_mon = '$rvar_re_mon',
					  re_wunsch = '$rvar_re_wunsch',
					  bericht = '$rvar_analyse',
            bericht2 = '$rvar_bericht'";

if (isset($rvar_chg)) {
		$sql .= " where hp_id = $rvar_hp_id;";
	} else {
		$sql .= ";";
        }
mysql_query($sql) or die(mysql_error());
 }

 /* kommend von der Startseite wieder zureckspringen */
 if ($rvar_jump == 1)
 {
   header("Location: index.php");
   exit(0);
 }

 /* kommend von der IQS Datenseite zur IQS Seite zurueckspringen */
 if ($rvar_sprung_iqs == 1)
 {
   $link = "Location: qs.php";

   /* vorhandene Einschraenkungen uebergeben */
   if (isset($_POST["eig"]) && isset($_POST["all"]) &&
       isset($_POST["pr_gruppe"]))
   {
     $link .= "?eig=".$_POST["eig"]."&all=".$_POST["all"];
     $link .= "&pr_gruppe=".$_POST["pr_gruppe"];
   }

   header($link);
 }
 else
 {
   header("Location: pro_daten.php?proj_id=$rvar_proj_id");
 }
?>
