<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_resql.php 2819 2017-12-08 21:18:17Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

require("inc/func.inc.php");

if(!isset($_POST['pers_id'])) {
	$url = $_SESSION[$AppCode]['url'];
	header("Location: $url");
	exit(-1);
}

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

$dat = date_gr2my(check_date($rvar_datum));
$andat = date_gr2my(check_date($rvar_and_datum, 1));

if(empty($rvar_ergebnis) && empty($rvar_fok_h) && 
	empty($rvar_fok_s) && empty($rvar_fok_g) && 
	empty($rvar_prozess) && $_SESSION[$AppCode]['ULV'] < 96) $andat = '';
// $next = date_gr2my($rvar_datum_n);

if (isset($rvar_chg)){
    $sql = "update ";
} else {
    $sql = "insert into ";
    $ersteller = $rvar_pers_id;
}

$sql .= "tb_hp set proj_id = '$rvar_proj_id', hp_art = '$rvar_hp_art', ";
$sql .= "datum = '$dat', and_datum = '$andat'";

if(strlen($rvar_ergebnis)>0 || strlen($rvar_fok_h)>0 || strlen($rvar_fok_s)>0 || strlen($rvar_fok_g)>0 || strlen($rvar_prozess)>0) {
	if (isset($rvar_chg)){
		$ndat = abfrage("select datum_n from tb_hp where hp_id = $rvar_hp_id");
		if(empty($ndat[0])) $sql .= ", datum_n = curdate()";
	} else $sql .= ", datum_n = curdate()";
} else $sql .= ", datum_n = NULL";

$intext = $rvar_intext == 'ext' ? 'j' : 'n';
$sql .= ", prognose='$intext'";
$mod = $rvar_intext == 'ext' ? $rvar_mod_e : $rvar_mod_i;
$sql .= ", teilnehmer='$mod', hpv_form='$rvar_ksf'";

if (isset($rvar_chg)) {
	$sql .= " where hp_id = $rvar_hp_id;";
} else {
	$sql .= ", pers_id = '$ersteller';";
}

abfrage2($sql);


if (isset($rvar_chg)) {
} else {
	$newID = mysql_insert_id();
}

if (isset($rvar_chg)){
    $sql = "update ";
} else {
    $sql = "insert into ";
    $rvar_hp_id = $newID;
}

$sql .= "tb_hp_re set hp_id = '$rvar_hp_id', prio = '$rvar_prio', ";
$sql .= "frage = '$rvar_frage', besond = '$rvar_besond', ";
$sql .= "strukt1 = '$rvar_strukt1', strukt2 = '$rvar_strukt2', ";
$sql .= "strukt3 = '$rvar_strukt3', method1 = '$rvar_method1', ";
$sql .= "method2 = '$rvar_method2', method3 = '$rvar_method3', ";
$sql .= "mod1 = '$rvar_mod1', mod2 = '$rvar_mod2', mod3 = '$rvar_mod3', ";
$sql .= "tn1 = '$rvar_tn1', tn2 = '$rvar_tn2', tn3 = '$rvar_tn3', ";
$sql .= "mod_ext = '$rvar_mod_ext', fokus1 = '$rvar_fokus1', ";
$sql .= "fokus2 = '$rvar_fokus2', fokus3 = '$rvar_fokus3', ";
$sql .= "prozess = '$rvar_prozess', fok_g = '$rvar_fok_g', ";
$sql .= "fok_s = '$rvar_fok_s', fok_h = '$rvar_fok_h', ";
$sql .= "ergebnis = '$rvar_ergebnis', kwg = '$rvar_kwg'";
$sql .= (isset($rvar_chg)) ? " where hp_id = $rvar_hp_id;": ";";

abfrage2($sql);

$url = $_SESSION[$AppCode]['url'];

header("Location: $url");
?>