<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$level=25;

$pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);
require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function SdItemSpeichern($sd_id, $hp_id, $res_risk, $text) {
	$id = $res_risk . '_' . $sd_id;
	$sql = "INSERT INTO tb_hp_sd set $res_risk = '$text', hp_id='$hp_id', sd_id='$sd_id' ON DUPLICATE KEY UPDATE $res_risk = '$text';";
	abfrage2($sql);
	$userResp = new xajaxResponse();
	$userResp->assign($id, 'innerHTML', empty($text) ? '' : 'X');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('SdItemSpeichern');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");

if  (isset($rvar_proj_id)) {
    $projekt = &new stwProjekt($rvar_proj_id);
    $sql = "select * from tb_projekte where proj_id = $projekt->id";
    $res = mysql_query($sql) or die (mysql_error());
    $pro = mysql_fetch_row($res);
}

if  (isset($rvar_hp_id)) {
    $sql = "select * from tb_hp where hp_id = $rvar_hp_id";
    $res = mysql_query($sql) or die (mysql_error());
    $hp = mysql_fetch_row($res);
}
?>
<table width="750" border="0">
<input type="hidden" name="hp_art" value="h">
<tr><th>Projekt-Nr.:&nbsp;</th>
<td><a href="pro_daten.php?proj_id=<?php echo $rvar_proj_id; ?>"><?php echo $projekt->nummer(); ?></a></td>
<th>Klient:&nbsp;</th>
<td><?php echo $projekt->name(); ?></td>
<?php // Jugendamt und Sachbearbeiter ermitteln
$sql = "select t3.name2, t3.kont_id from tb_kontakte_ap t2
               left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
               where t2.ap_id = $projekt->sb;";
$res = mysql_query($sql) or die(mysql_error());
$ja = mysql_fetch_row($res);
?>
<th>Jugendamt:&nbsp;</th>
<td><?php echo $ja[0]; ?></td>
</table>
<?php new stwLine(1); ?>
<form action="pro_sd_sql.php" method="post">
<input type="hidden" name="proj_id" value="<?php echo $rvar_proj_id; ?>">
<input type="hidden" name="pers_id" value="<?php echo $_SESSION[$AppCode]["UID"]; ?>">
<input type="hidden" name="hp_art" value="d">
<?php if (isset($rvar_hp_id)){ ?>
<input type="hidden" name="hp_id" value="<?php echo $rvar_hp_id; ?>">
<?php } ?>
<table>
<tr>
<?php
if (isset($rvar_hp_id)){
	$name = pers_name($hp[12]);
?>

<th>Mitarbeiter:&nbsp;</th>
<td><?php echo $name; ?></td>
<td width="20"></td>
<?php } ?>
<th>Datum:&nbsp;</th>
<td><input type=text name=datum size=11 maxlength=11 tabindex=3
    <?php if ((isset($rvar_hp_id))){
			echo "value=\"" . date_my2gr($hp[4]) . "\"";
		} else {
			echo "value=\"" . date('d.m.Y') . "\"";
		} ?>
	>&nbsp;&nbsp;TT.MM.JJJJ</td>
<td width="20"></td>
<td>
<?php
if (isset($rvar_hp_id)){
	$text = "ndern";
} else {
	$text = "neue Sozialpd. Diagnose anlegen";
}
echo "<input type=\"submit\" value=\"$text\">";
if (isset($rvar_hp_id)){ ?>
&nbsp;&nbsp;<a href="pro_sd_pr.php?proj_id=<?php echo $rvar_proj_id; ?>&
	hp_id=<?php echo $rvar_hp_id; ?>" target="_pdf">
	<img src="img/drucker.png" alt="SD ausdrucken" title="SD ausdrucken"></a>
<?php }
echo "</td></tr>\n";
echo "</table>\n";
new stwLine(1);
if (isset($rvar_hp_id)){
?>
<table>
<tr>
<th style="text-align:center;width:200px">Entwicklungspotential</th>
<td></td>
<td></td>
<td></td>
<th style="text-align:center;width:200px">Ressourcen</th>
</tr>
<?php

$sql = "select nr, text, sd_id
		from tb_sd_items
		where top is null
		order by nr asc;";
$res = mysql_query($sql) or die(mysql_error());

while ($row = mysql_fetch_row($res)){
	new stwTabline(1, 5);
	echo "<tr><th id=\"risk_$row[2]\" style=\"text-align:center\">";
	$risk = abfrage("select risk from tb_hp_sd
					where hp_id = $rvar_hp_id
					and sd_id = $row[2];");
	if (!empty($risk[0])){
		echo "X";
	}
	echo "</th>";
	echo "<th style=\"color:red\">$row[0].</th>";
	echo "<td width=\"5\"></td>";
	echo "<th><a href=\"pro_sd_det.php?proj_id=$rvar_proj_id&hp_id=$rvar_hp_id&sd_id=$row[2]\" style=\"color:red\" ";
	echo "onclick=\"document.getElementById('edit_$row[2]').style.display='table-row';return false;\"";
	echo ">$row[1]</a></th>";
	echo "<th id=\"res_$row[2]\" style=\"text-align:center\">";
	$ress = abfrage("select res from tb_hp_sd
					where hp_id = $rvar_hp_id
					and sd_id = $row[2];");
	if (!empty($ress[0])){
		echo "X";
	}
	echo "</th></tr>\n";
	echo "<tr id=\"edit_$row[2]\" style=\"display:none\"><td colspan=\"30\">";
	echo "<textarea onblur=\"xajax_SdItemSpeichern($row[2],$rvar_hp_id,'risk',this.value)\" style=\"width:350px\" name=\"risk[".$row[2]."]\" rows=\"2\">$risk[0]</textarea>&nbsp;";
	echo "<textarea onblur=\"xajax_SdItemSpeichern($row[2],$rvar_hp_id,'res',this.value)\" style=\"width:350px\" name=\"res[".$row[2]."]\" rows=\"2\">$ress[0]</textarea>&nbsp;";
	echo "<img src=\"img/senden.png\" style=\"cursor:pointer\" onclick=\"document.getElementById('edit_$row[2]').style.display='none'\"/></td></tr>\n";
	
	$sql = "select nr, text, sd_id
			from tb_sd_items
			where top = $row[2]
			order by nr asc;";
	$res1 = mysql_query($sql) or die(mysql_error());
	
	while ($row1 = mysql_fetch_row($res1)){
		new stwTabline(3, 5);
		echo "<tr><th id=\"risk_$row1[2]\" style=\"text-align:center\">";
		$risk = abfrage("select risk from tb_hp_sd
						where hp_id = $rvar_hp_id
						and sd_id = $row1[2];");
		if (!empty($risk[0])){
			echo "X";
		}
		echo "</th>";
		echo "<th style=\"color:lightgreen\">$row[0].$row1[0].</th>";
		echo "<td width=\"5\"></td>";
		echo "<th><a href=\"pro_sd_det.php?proj_id=$rvar_proj_id&hp_id=$rvar_hp_id&sd_id=$row1[2]\" style=\"color:lightgreen\" ";
		echo "onclick=\"document.getElementById('edit_$row1[2]').style.display='table-row';return false;\"";
		echo ">$row1[1]</a></th>";
		echo "<th id=\"res_$row1[2]\" style=\"text-align:center\">";
		$ress = abfrage("select res from tb_hp_sd
						where hp_id = $rvar_hp_id
						and sd_id = $row1[2];");
		if (!empty($ress[0])){
			echo "X";
		}
		echo "</th></tr>\n";
		echo "<tr id=\"edit_$row1[2]\" style=\"display:none\"><td colspan=\"30\">";
		echo "<textarea onblur=\"xajax_SdItemSpeichern($row1[2],$rvar_hp_id,'risk',this.value)\" style=\"width:350px\" name=\"risk[".$row1[2]."]\" rows=\"2\">$risk[0]</textarea>&nbsp;";
		echo "<textarea onblur=\"xajax_SdItemSpeichern($row1[2],$rvar_hp_id,'res',this.value)\" style=\"width:350px\" name=\"res[".$row1[2]."]\" rows=\"2\">$ress[0]</textarea>&nbsp;";
		echo "<img src=\"img/senden.png\" style=\"cursor:pointer\" onclick=\"document.getElementById('edit_$row1[2]').style.display='none'\"/></td></tr>\n";
		$sql = "select nr,text,sd_id
				from tb_sd_items
				where top = $row1[2]
				order by nr asc;";
		$res2 = mysql_query($sql) or die(mysql_error());
		
		while($row2 = mysql_fetch_row($res2)){
			new stwTabline(2, 5);
			echo "<tr><th id=\"risk_$row2[2]\" style=\"text-align:center\">";
			$risk = abfrage("select risk from tb_hp_sd
							where hp_id = $rvar_hp_id
							and sd_id = $row2[2];");
			if (!empty($risk[0])){
				echo "X";
			}
			echo "</th>";
			echo "<th>$row[0].$row1[0].$row2[0]</th>";
			echo "<td width=\"5\"></td>";
			echo "<td><a href=\"pro_sd_det.php?proj_id=$rvar_proj_id&hp_id=$rvar_hp_id&sd_id=$row2[2]\" ";
			echo "onclick=\"document.getElementById('edit_$row2[2]').style.display='table-row';return false;\"";
			echo ">$row2[1]</a></td>";
			echo "<th id=\"res_$row2[2]\" style=\"text-align:center\">";
			$ress = abfrage("select res from tb_hp_sd
							where hp_id = $rvar_hp_id
							and sd_id = $row2[2];");
			if (!empty($ress[0])){
				echo "X";
			}
			echo "</th></tr>\n";
			echo "<tr id=\"edit_$row2[2]\" style=\"display:none\"><td colspan=\"30\">";
			echo "<textarea onblur=\"xajax_SdItemSpeichern($row2[2],$rvar_hp_id,'risk',this.value)\" style=\"width:350px\" name=\"risk[".$row2[2]."]\" rows=\"2\">$risk[0]</textarea>&nbsp;";
			echo "<textarea onblur=\"xajax_SdItemSpeichern($row2[2],$rvar_hp_id,'res',this.value)\" style=\"width:350px\" name=\"res[".$row2[2]."]\" rows=\"2\">$ress[0]</textarea>&nbsp;";
			echo "<img src=\"img/senden.png\" style=\"cursor:pointer\" onclick=\"document.getElementById('edit_$row2[2]').style.display='none'\"/></td></tr>\n";
		}
	}
}
new stwTabline(1, 5);
?>
</table>
<?php
}
new stwEnd($seite); ?>
