<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_wpers.php 2884 2018-09-05 10:50:22Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");

$projekt = &new stwProjekt($rvar_proj_id);
$pro = abfrage("select * from tb_projekte where proj_id = $projekt->id");
$ti = 1;
if(isset($rvar_del)) {
	abfrage2("delete from tbh_proj_personen where proj_id=$projekt->id and person_id=$rvar_person_id and perstyp_id=$rvar_del");
}
if(isset($rvar_person_id)){
    $pers = abfrage("select * from tb_personen where person_id = $rvar_person_id");
    $bez  = abfrage1("select p.*, t.perstyp from tbh_proj_personen p left join tb_perstyp t using (perstyp_id) 
						where proj_id = $projekt->id and person_id = $rvar_person_id and perstyp_id>0;");
    $adr  = abfrage("select * from tb_p_adressen where adress_id = $pers[8]");
}

echo "<form method=\"post\" action=\"pro_wperssql.php\">\n";
echo "<table width=\"750\">\n";

echo "<tr><th class=\"cl1\">Projekt-Nr.:</th><th>" . $projekt->nummer();
echo "</th>\n";
echo "<th>Klient:</th>\n";
echo "<td>" . $projekt->name() . "</td>\n";

// Jugendamt und Sachbearbeiter ermitteln
$sql = "select t3.name2, t3.kont_id from tb_kontakte_ap t2
               left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
               where t2.ap_id = $projekt->sb;";
$ja = abfrage($sql);

echo "<th>Jugendamt:</th>\n";
echo "<td>$ja[0]</td>\n";
echo "</tr></table>\n";

new stwLine(1);

echo "<table width=\"500\">\n";
echo "<tr><th width=\"120\">Zuordnung:</th>\n<td>";
echo "<select name=\"perstyp_id\" size=\"1\" tabindex=\"$ti\" onchange=\"this.form.submit()\">\n";
$ti++;
echo "<option value=\"\">Personentyp&nbsp;hinzuf&uuml;gen!</option>\n";
$sql = "select * from tb_perstyp where perstyp_id > 1 
		and perstyp_id not in (select perstyp_id from tbh_proj_personen where proj_id = '$rvar_proj_id' and person_id = '$rvar_person_id' )
		order by perstyp_id asc";
$res = mysql_query($sql) or die(mysql_error());
$perstyp = array();
while ($zeile = mysql_fetch_row($res)) {
	echo "  <option ";
    echo "value=" . $zeile[0] . ">";
    echo $zeile[1];
    echo "</option>\n";
	$perstyp[$zeile[0]] = $zeile[1];
}
echo "</select></td>\n";
echo "<td rowspan=\"7\"><table cellpadding=\"0\" cellspacing=\"1\">\n";
$sorgerecht = 'n';
$sql = "select s.sb_id from tb_sachbericht_proj p
		left join tb_sachbericht s using(sb_id)
		where p.proj_id='$rvar_proj_id' and s.einverst_pers_id > 0";
$DSSachbericht = abfrage($sql);
$sb_eltern = false;
$sb_geschwister = false;
if(isset($rvar_person_id)){
  while ($be = mysql_fetch_assoc($bez)) {
    echo "<tr><td class=\"cl1\">";
	echo $be['perstyp'];
	echo "</td><td><a href=\"pro_wpers.php?person_id=$rvar_person_id&proj_id=$rvar_proj_id&del=";
	echo $be['perstyp_id'] . "\" style=\"color:red\">X</a></td></tr>";
	$sorgerecht = $be['sorgerecht'];
	if($be['perstyp_id'] == 6 && $DSSachbericht[0]) $sb_eltern = true;
	if($be['perstyp_id'] == 7 && $DSSachbericht[0]) $sb_geschwister = true;
  }
}
echo "</table></td>\n</tr>\n";
echo "<tr><th>Funktion:</th>\n";
echo "<td><input type=\"text\" name=\"beschreibung\" size=\"30\" maxlength=\"50\" ";
if (isset($rvar_person_id)) { echo "value=\"$pers[9]\" ";}
echo "tabindex=\"$ti\"></td></tr>\n"; $ti++;

echo "<tr><th>Sorgerecht?&nbsp;</th>\n";
echo "<td><input type=\"radio\" name=\"sorgerecht\" value=\"j\" tabindex=\"$ti\"";
if (isset($rvar_person_id) && $sorgerecht == "j") echo "checked";
echo ">&nbsp;<b>ja</b>&nbsp;";
echo "<input type=\"radio\" name=\"sorgerecht\" value=\"n\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_person_id)) {
		if ($sorgerecht == "n") echo "checked";
	} else echo "checked";
echo ">&nbsp;<b>nein</b>&nbsp;";
echo "<input type=\"radio\" name=\"sorgerecht\" value=\"x\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_person_id) && $sorgerecht == "x") echo "checked";
echo ">&nbsp;<b>ja, aber nicht f&uuml;r Hilfeempf&auml;nger</b>";
echo "</td></tr>\n";
?>

<tr>
<th class="cl1">aktiv?</th>
<td><input type="radio" name="aktiv" value="1" tabindex="5"
    <?php if (isset($rvar_person_id)) {
        if ($pers[10] == 1) echo ' checked';
        } else {
        	echo ' checked';
        }
    ?>
     >&nbsp;<b>ja</b>&nbsp;
    <input type=radio name="aktiv" value="0" tabindex="6"
    <?php if (isset($rvar_person_id) && empty($pers[10])) echo ' checked'; ?>
     >&nbsp;<b>nein</b>
     </td>
</tr>
<?php
echo "<tr>";
if($sb_eltern) {
	echo "<th>Famili&auml;rer&nbsp;Kontext:</th>\n";
	echo "<td><select name=\"kontext\" size=\"1\" tabindex=\"$ti\">\n";
	$ti++;
	echo "<option>keine Angabe!</option>\n";
	$res = abfrage1("SELECT * FROM tb_fam_kontext_person");
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if (isset($rvar_proj_id) && $pers[13] == $zeile[0]) echo ' selected';
		echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
	}
	echo "</select>\n";
	echo "</td>\n";
}
echo "</tr>\n";
if($sb_geschwister) {
	if(empty($datum)) $y = $m = $d = 0;
	else list($y, $m, $d) = explode("-", $pers[3]);
	$geburt = mktime(0,0,0,$m,$d,$y);
	$jetzt = mktime(0,0,0,date("m"),date("d"),date("Y"));
	$age = intval(($jetzt - $geburt) / (3600 * 24 * 365));
} else $age=0;
echo "<tr>";
if($sb_eltern || $age >= 18) {
	echo "<th>Bildungsstand:</th>\n";
	echo "<td><select name=\"bildung\" size=\"1\" tabindex=\"$ti\">\n";
	$ti++;
	echo "<option>keine Angabe!</option>\n";
	$res = abfrage1("SELECT * FROM tb_bildung_person");
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if (isset($rvar_proj_id) && $pers[11] == $zeile[0]) echo ' selected';
		echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
	}
	echo "</select>\n";
	echo "</td>\n";
}
echo "</tr>\n";
echo "<tr>";
if($sb_eltern || $age >= 18) {
	echo "<th>Art der Bez&uuml;ge:</th>\n";
	echo "<td><select name=\"bez_art\" size=\"1\" tabindex=\"$ti\">\n";
	$ti++;
	echo "<option>keine Angabe!</option>\n";
	$res = abfrage1("SELECT * FROM tb_bezuege_person");
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option";
		if (isset($rvar_proj_id) && $pers[12] == $zeile[0]) echo ' selected';
		echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
	}
	echo "</select>\n";
	echo "</td>\n";
}
echo "</tr>\n";
?>
<tr heigth="3"><td colspan ="3" bgcolor="green"></td></tr>

<tr>
<th class="cl1" width="120">Name:</th>
<td colspan="2"><input type="text" name="name" size="30" maxlength="50" tabindex="7"
           <?php if (isset($rvar_person_id)) { echo "value=\"$pers[1]\"";} ?>></td>
</tr>

<tr>
<th class="cl1">Vorname:</th>
<td colspan="2"><input type="text" name="vorname" size="30" maxlength="50" tabindex="8"
           <?php if (isset($rvar_person_id)) { echo "value=\"$pers[2]\"";} ?>></td>
</tr>

<tr>
<th class="cl1">geboren:</th>
<td colspan="2"><input type="text" name="geboren" beginn size="11" maxlength="11" tabindex="9"
    <?php if (isset($rvar_person_id)) { echo "value=\"" . date_my2gr($pers[3]) . "\"";} ?>>&nbsp;&nbsp;TT.MM.JJJJ</td>
</tr>

<tr>
<th class="cl1">Geschlecht:</th>
<td colspan="2"><input type="radio" name="geschlecht" value="w" tabindex="10"
    <?php if (isset($rvar_person_id)) {
        if ($pers[4] == "w") {
            echo "checked";}
        }
    ?>
     >&nbsp;<b>weiblich</b>&nbsp;
    <input type="radio" name="geschlecht" value="m"
    <?php if (isset($rvar_person_id)) {
        if ($pers[4] == "m") {
            echo "checked";}
        }
    ?>
     >&nbsp;<b>m&auml;nnlich</b></td>
</tr>
<tr>
<th class="cl1">Staatsb&uuml;rgerschaft:</th>
<td colspan="2">
<script type="text/javascript"><!--
function Show(id) {
 var ntd = document.getElementsByName('ntd');
 if(id == 'j') for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'none';
 else {
	document.getElementById('staatsb').focus();
	document.getElementById('staatsb').select();
	for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'table-cell';
 }
}
--></script>
<table cellpadding="0" cellspacing="0"><tr>
<?php
$ntd = '';
echo "<td class=\"cl1\"><input type=\"radio\" name=\"deutsch\" tabindex=\"11\" value=\"j\"";
if(!isset($rvar_person_id) || $pers[14] == 'deutsch') {
	echo " checked";
	$ntd = "style=\"display:none\"";
}
echo " onchange=\"Show(this.value)\" /></td><td class=\"cl11\">deutsch</td>\n";
echo "<td class=\"cl1\"><input type=\"radio\" name=\"deutsch\" value=\"n\"";
if(isset($rvar_person_id) && $pers[14] != 'deutsch') echo " checked";
echo " onchange=\"Show(this.value)\" /></td>";
echo "<td class=\"cl11\"><input type=\"text\" size=\"20\" id=\"staatsb\" name=\"staatsb\" maxlength=\"30\" value=\"";
echo $pers[14]=='deutsch' ? ' bitte eintragen ' : $pers[14];
echo "\" /></td>\n";
echo "<th $ntd name=\"ntd\" class=\"cl1\">Aufenthaltsstatus:</th>";
echo "<td $ntd name=\"ntd\"><input type=\"text\" name=\"aufenth\" size=\"30\" maxlength=\"100\" value=\"$pers[15]\" /></td>\n";
?>
</tr></table></td>
<tr>
<th class="cl1">Telefon mobil:</th>
<td colspan="2"><input type="text" name="telmobil" size="15" maxlength="15" tabindex="12"
           <?php if (isset($rvar_person_id)) { echo "value=\"$pers[5]\"";} ?>></td>
</tr>

<tr>
<th class="cl1">E-Mail:</th>
<td colspan="2"><input type="text" name="email" size="30" maxlength="50" tabindex="13"
           <?php if (isset($rvar_person_id)) { echo "value=\"$pers[6]\"";} ?>></td>
</tr>

<tr>
<th class="cl1">Notizen:<br>(Person)</th>
<td colspan="2">
<textarea cols="30" rows="3" name="pers_notizen" tabindex="14">
<?php if (isset($rvar_person_id)) { echo $pers[7]; } ?>
</textarea>
</td></tr>

<tr heigth="3"><td colspan="3" bgcolor="green"></td></tr>
<tr>
<th class="cl1">Anschrift&nbsp;wie&nbsp;:</th>
<td colspan="2">
<select name="adress_id" size="1" tabindex="15">
<option value="adrNeu">neue Anschrift</option>
<?php
$sql = "select t2.vorname,t2.name,t2.adress_id, t3.strasse, t3. ort
        from tbh_proj_personen t1
        left join tb_personen t2 using(person_id)
        left join tb_p_adressen t3 using (adress_id)
        where t1.proj_id = $projekt->id
		group by t1.person_id
        order by t2.name asc";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    if (isset($rvar_person_id)) {
        if ($pers[8] == $zeile[2]) {
            echo "selected ";
        }
    }
    echo "value=" . $zeile[2] . ">";
    echo $zeile[0] . "&nbsp;" . $zeile[1] . ",&nbsp;" . $zeile[3] . ",&nbsp;" . $zeile[4];
    echo "</option>\n";
    }
?>
</select>
</td>
</tr>
<tr heigth="3"><td colspan="3" bgcolor="green"></td></tr>

<tr>
<th class="cl1">Stra&szlig;e:</th>
<td colspan="2"><input type="text" name="strasse" size="30" maxlength="30" tabindex="16"
           <?php if (isset($rvar_person_id)) { echo "value=\"$adr[1]\"";} ?>></td>
</tr>

<tr>
<th class="cl1">PLZ:</th>
<td colspan="2"><input type="text" name="plz" size="5" maxlength="5" tabindex="17"
           <?php if (isset($rvar_person_id)) { 
				echo "value=\"$adr[2]\"";
				$srs = abfrage1("select id, kreis from tb_sozialraum group by id order by id asc");
				if(mysql_num_rows($srs) > 0) {
				  echo ">&nbsp; Sozialraum: ";
				  $sozr = empty($adr[7]) ? getSozialraum($adr[2],$adr[3]) : $adr[7];
				  echo "<select name=\"sozialraum\" size=\"1\" tabindex=\"17\">\n";
				  echo "<option value=\"0\">w&auml;hlen!</option>\n";
				  while ($sr = mysql_fetch_row($srs)) {
					echo "<option";
					$orte = abfrage1("select ort from tb_sozialraum where id='$sr[0]'");
					$title = "";
					while ($or = mysql_fetch_row($orte)) {
					  $title .= "$or[0], ";
					}
					if($title != "") $title = " title=\"".substr($title,0,-2)."\""; 
					if ($sozr == "$sr[1]$sr[0]") echo ' selected';
					echo "$title value=\"$sr[1]$sr[0]\">$sr[1] $sr[0]</option>\n";
				  }
				  echo "</select";
				}
			}
?>></td>
</tr>

<tr>
<th class="cl1">Ort:</th>
<td colspan="2"><input type="text" name="ort" size=30 maxlength="30" tabindex="18"
           <?php if (isset($rvar_person_id)) { echo "value=\"$adr[3]\"";} ?>></td>
</tr>

<tr>
<th class="cl1">Telefon:</th>
<td colspan="2"><input type="text" name="telefon" size="15" maxlength="15" tabindex="19"
           <?php if (isset($rvar_person_id)) { echo "value=\"$adr[4]\"";} ?>></td>
</tr>

<tr>
<th class="cl1">Fax:</th>
<td colspan="2"><input type="text" name="fax" size="15" maxlength="15" tabindex="20"
           <?php if (isset($rvar_person_id)) { echo "value=\"$adr[8]\"";} ?>></td>
</tr>

<tr>
<th class="cl1">Notizen:<br>(Wohnung)</th>
<td colspan="2">
<textarea cols="30" rows="3" name="adr_notizen" tabindex="21">
<?php if (isset($rvar_person_id)) { echo $adr[5]; } ?>
</textarea>
</td></tr>
</table>

<?php
new stwLine(2);
if (isset($rvar_person_id)) {
?>
  <input type="hidden" name="proj_id" value="<?php echo $rvar_proj_id; ?>">
  <input type="hidden" name="person_id" value="<?php echo $rvar_person_id; ?>">
  <input type="submit" name="save" value="&Auml;ndern!" tabindex="99">
<?php
} else {
?>
  <input type="hidden" name="proj_id" value="<?php echo $rvar_proj_id; ?>">
  <input type="submit" name="save" value="Speichern" tabindex="99">
<?php
}
?>
</form>
<?php new stwEnd($seite); ?>
