<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_wperssql.php 2884 2018-09-05 10:50:22Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

require("inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

if(!isset($_POST['proj_id'])) {
	header("Location: pro.php");
	exit(-1);
}

$gebdat = date_gr2my($rvar_geboren);

// Adressdaten einfgen / ndern

if($rvar_adress_id == "adrNeu"){
    $sql = "insert into tb_p_adressen set strasse = '$rvar_strasse',
					 plz = '$rvar_plz',
					 ort = '$rvar_ort',
					 telefon = '$rvar_telefon',
					 notizen = '$rvar_adr_notizen',
					 sozialraum = '$rvar_sozialraum',
					 fax = '$rvar_fax';";
    mysql_query($sql) or die(mysql_error());
} else {
	$adid = abfrage("select adress_id from tb_personen where person_id = '$rvar_person_id'");
	if($adid[0] == $rvar_adress_id) {
      $sr = getSozialraum($rvar_plz, $rvar_ort);
      if($sr !== false) $rvar_sozialraum = $sr;
      $sql = "update tb_p_adressen set strasse = '$rvar_strasse',
					 plz = '$rvar_plz',
					 ort = '$rvar_ort',
					 telefon = '$rvar_telefon',
					 notizen = '$rvar_adr_notizen',
					 sozialraum = '$rvar_sozialraum',
					 fax = '$rvar_fax'
					 where adress_id = '$rvar_adress_id';";
      mysql_query($sql) or die(mysql_error());
	}
}


// adress_id ermitteln
if($rvar_adress_id != "adrNeu"){
    $adrID = $rvar_adress_id;
} else {
    $adrID = mysql_insert_id();
}

$pro_verbund = abfrage("select verbund_id from tb_pro_verbund where proj_id='$rvar_proj_id' and datetime_bis is NULL");

// Personendaten einfgen / ndern
$update = isset($rvar_person_id) ? "update " : "insert into ";
$where = isset($rvar_person_id) ? " where person_id = $rvar_person_id;" : ";";

if($rvar_deutsch == 'j') $rvar_staatsb = 'deutsch';

$perssql = "tb_personen set name = '$rvar_name',
			vorname = '$rvar_vorname',
			geboren = '$gebdat',
			geschlecht = '$rvar_geschlecht',
			telmobil = '$rvar_telmobil',
			email = '$rvar_email',
			notizen = '$rvar_pers_notizen',
			adress_id = '$adrID',
			beschreibung = '$rvar_beschreibung',
			aktiv = '$rvar_aktiv',
			bildung = '$rvar_bildung',
			bez_art = '$rvar_bez_art',
			kontext = '$rvar_kontext',
			staatsb = '$rvar_staatsb',
			aufenth = '$rvar_aufenth'";

abfrage2($update . $perssql . $where);

// person_id ermitteln
if(empty($rvar_person_id)){
    $rvar_person_id = mysql_insert_id();
}

// Beziehung festlegen bzw. aktualisieren
$sql = "replace into tbh_proj_personen set proj_id = '$rvar_proj_id',
										   person_id = '$rvar_person_id',
										   perstyp_id = '$rvar_perstyp_id',
										   sorgerecht = '$rvar_sorgerecht';";
abfrage2($sql);
if(isset($rvar_save)){
    $sql = "update tbh_proj_personen set sorgerecht = '$rvar_sorgerecht'
                                         where proj_id = '$rvar_proj_id'
                                         and person_id = '$rvar_person_id';";
	abfrage2($sql);
}

if(!empty($pro_verbund[0])) {
	$verbund_pro = abfrage("select proj_id from tb_pro_verbund where proj_id!='$rvar_proj_id' and verbund_id='$pro_verbund[0]'");
	if(projektnr($_POST['proj_id']) >= 900 || projektnr($pro[0]) >= 900) $pro_verbund[0] = NULL;
	else {
		$verbund_person = abfrage("select v_person_id from tbh_person_verbund where person_id='$rvar_person_id' and verbund_id='$pro_verbund[0]'");
		$update = empty($verbund_person[0]) ? "insert into " : "update ";
		$where = empty($verbund_person[0]) ? ";" : " where person_id='$verbund_person[0]';";
		abfrage2($update . $perssql . $where);
		$v_person_id = empty($verbund_person[0]) ? mysql_insert_id() : $verbund_person[0];
		$sql = "replace into tbh_proj_personen set proj_id = '$verbund_pro[0]',
				person_id = '$v_person_id',
				perstyp_id = '$rvar_perstyp_id',
				sorgerecht = '$rvar_sorgerecht';";
		abfrage2($sql);
		if(isset($rvar_save)){
			$sql = "update tbh_proj_personen set sorgerecht = '$rvar_sorgerecht'
												 where proj_id = '$verbund_pro[0]'
												 and person_id = '$v_person_id';";
			abfrage2($sql);
		}
		abfrage2("replace into tbh_person_verbund set person_id = '$rvar_person_id', v_person_id = '$v_person_id', verbund_id='$pro_verbund[0]'");
		abfrage2("replace into tbh_person_verbund set person_id = '$v_person_id', v_person_id = '$rvar_person_id', verbund_id='$pro_verbund[0]'");
	}
}

if(isset($rvar_save)) header("Location: pro_daten.php?proj_id=$rvar_proj_id");
else header("Location: pro_wpers.php?person_id=$rvar_person_id&proj_id=$rvar_proj_id");
?>
