<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: stellen.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */
session_start();
$seite = 4;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

$erlaubteTabellen = array('tb_dienstort', 'tb_kostenstellen', 'tb_stellenbeschr');
if (!in_array($rvar_table, $erlaubteTabellen)){
	echo "<h2>Fehler! unerwartete Parameter... <a href=\"javascript:history.back()\">zur&uuml;ck</a></h2>";
	new stwEnd($seite);
	exit(-1);
}

if($_POST['save'] == 'Neu anlegen') {
	$sql = "INSERT INTO $rvar_table SET name='$rvar_name'";
	if($rvar_text) $sql .= ", text='$rvar_txt'";
	$chk = $rvar_chk == 1 ? 1 : 0;
	if($rvar_check) $sql .= ", chk='$chk'";
	abfrage2($sql);
}
if($_POST['save'] == 'Speichern') {
	$sql = "UPDATE $rvar_table SET name='$rvar_name'";
	if($rvar_text) $sql .= ", text='$rvar_txt'";
	$chk = $rvar_chk == 1 ? 1 : 0;
	if($rvar_check) $sql .= ", chk='$chk'";
	$sql .= " WHERE id='$rvar_key'";
	abfrage2($sql);
}

echo "<form action=\"stellen.php\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"table\" value=\"$rvar_table\">\n";
if(!empty($rvar_pers_id)) echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
if(!empty($rvar_text)) echo "<input type=\"hidden\" name=\"text\" value=\"1\">\n";
if(!empty($rvar_check)) echo "<input type=\"hidden\" name=\"check\" value=\"$rvar_check\">\n";
if(!empty($rvar_id)) {
	echo "<input type=\"hidden\" name=\"key\" value=\"$rvar_id\">\n";
	$res = abfrage("SELECT * FROM $rvar_table WHERE id = '$rvar_id'");
}
if(empty($rvar_title)) {
	$rvar_title = strtoupper(substr($rvar_table,3,1)) . substr($rvar_table,4);
}
echo "<table style=\"width:750px\">\n<tr><th>$rvar_title:";
if(!empty($rvar_pers_id)) echo "<br /><br /><input type=\"button\" onClick=\"self.location.href='pers_and.php?pers_id=$rvar_pers_id'\" value=\"zur&uuml;ck\">";
echo "</th><td>\n";
echo "<input name=\"name\" style=\"width:300px\" maxlength=\"".(isset($rvar_maxlength) ? $rvar_maxlength : 50)."\" tabindex=\"1\" ";
if(!empty($rvar_id)) echo "value=\"$res[1]\"";
echo ">";
if($rvar_text) {
	echo "<br /><textarea name=\"txt\" style=\"width:300px;margin-top:2px\" rows=\"1\" tabindex=\"2\">$res[2]</textarea>\n";
}
echo "</td>\n<td width=\"500\"><input type=\"submit\" name=\"save\" value=\"".(empty($rvar_id) ? 'Neu anlegen' : 'Speichern')."\">";
if($rvar_check) {
	$checked = $res[3] ? 'checked' : '';
	echo "<br /><br /><input type=\"checkbox\" $checked name=\"chk\" value=\"1\" /> $rvar_check";
}
echo "</td>\n";
echo "<td style=\"text-align:right\"><table>";
$link = "stellen.php?table=$rvar_table";
if($rvar_text) $link .= "&text=1";
if($rvar_check) $link .= "&check=$rvar_check";
if(!empty($rvar_pers_id)) $link .= "&pers_id=$rvar_pers_id";
if(!empty($rvar_title)) $link .= "&title=$rvar_title";
if(!empty($rvar_maxlength)) $link .= "&maxlength=$rvar_maxlength";
$res = abfrage1("select * from $rvar_table order by name asc");
while ($row = mysql_fetch_row($res)) {
	echo "<tr><td style=\"text-align:left\"><a href=\"".$link.'&id='.$row[0]."\">".(empty($row[1]) ? "<span style=\"color:red\">LEER</span>" : $row[1])."</a></td></tr>\n";
}
echo "</table></td></tr></table></form>\n";
new stwEnd($seite);
?>