<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: team_art.php 2758 2017-06-16 11:10:15Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

$seite = 35;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

echo "<table><tr>\n";
if (check_nutzer_rechte(62)) {
	echo "<td class=\"cl1\"><input type=\"button\" value=\"neu\"";
	echo stwToolTip('neue Sitzungsart');
	echo " onClick=\"self.location.href='team_art_and.php'\"></td>\n";
}

$self = $_SERVER['PHP_SELF'];
$pers_order = getPersOrder($seite);

if(isset($_POST['all1'])) $rvar_all = 0;
if(isset($_POST['all0'])) $rvar_all = 1;
if(isset($_POST['ext1'])) $rvar_ext = 0;
if(isset($_POST['ext0'])) $rvar_ext = 1;

$ma = isset($rvar_ma) ? $rvar_ma : $uid;
$ext = $all = 0;
if (!empty($_POST['suche'])){
	$ma = $tr = 'all';
	$where = "where t.kurzname like '%{$_POST['suche']}%' or t.name like '%{$_POST['suche']}%'";
	$and = '';
} else {
	if($ma != 'all') {
		$where = "where (p.pers_id='$ma' or pa.pers_id='$ma') ";
	}
	if ($rvar_ext == 1){
		$ext = 1;
		$where .= $where=='' ? 'where' : 'and';
		$where .= ' extern = 1 ';
	}
	if ($rvar_all == 1) $all = 1;
	else {
		$where .= $where=='' ? 'where' : 'and';
		$where .= ' t.aktiv = 1 ';
	}
	if(isset($rvar_tr)) {
		$tr = $rvar_tr;
		if($tr != 'all') {
			$where .= $where=='' ? 'where' : 'and';
			$where .= " (t.traeger_art_id IS NULL or t.traeger_art_id='0' or t.traeger_art_id='$tr') ";
		}
	} else $tr = 'all';
}

echo "<form action=\"$self\" method=\"post\">\n";
echo "<th" . stwToolTip('Tr&auml;ger') . ">Tr.:</th>\n";
echo "<td class=\"cl1\">\n";

echo "<input type=\"hidden\" name=\"ext\" value=\"$ext\">\n";
echo "<input type=\"hidden\" name=\"all\" value=\"$all\">\n";
echo "<select name=\"tr\" size=\"1\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"all\"" .stwToolTip('alle Tr&auml;ger');
if ($tr == 'all') echo ' selected';
echo ">alle</option>\n";
$sql  = "select traeger_art_id, kurzname, traeger_art from tb_traeger_art ";
$sql .= "order by traeger_art_id asc;";
$res = abfrage1($sql);
while ($row = mysql_fetch_row($res)) {
	echo "<option value=\"$row[0]\"" . stwToolTip($row[2]);
	if ($tr == $row[0]) echo ' selected';
	echo ">$row[1]</option>\n";
}
echo "</select></td>\n";

echo "<td class=\"cl1\"><input type=\"submit\" value=\"";
echo $ext==1 ? 'alle (auch interne)' : 'nur externe';
echo "\" name=\"ext$ext\"></td>\n";

echo "<th" . stwToolTip('Mitarbeiter') . ">MA:</th>\n";
echo "<td class=\"cl1\"><select style=\"width:150px\" name=\"ma\" onchange=\"this.form.submit()\">\n";
$order = ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
$name = ($pers_order == 2) ? "concat(p.name, ' ', p.vorname)" : "concat(p.vorname, ' ', p.name)";
$sql = "select p.pers_id, $name from tb_team_art_pers t 
		left join tb_personal p using(pers_id) 
		where t.fokus > 0 and t.pers_id > 0
		group by p.pers_id order by $order";
$pers = abfrage1($sql);
echo "<option value=\"all\">ALLE</option>\n";
while($per = mysql_fetch_row($pers)) {
	$selected = $per[0]==$ma ? 'selected' : '';
	echo "<option $selected value=\"$per[0]\">$per[1]</option>\n";
}
echo "</select></td>\n";

echo "<td class=\"cl1\"><input type=\"submit\" value=\"";
echo $all==1 ? 'nur aktive' : 'auch nicht aktive';
echo "\" name=\"all$all\"></td>\n";
echo "</form>\n";

echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
echo "<td class=\"cl1\"><input type=\"text\" name=\"suche\" size=\"20\" maxlength=\"20\"";
if (!empty($_POST['suche'])){ echo " value=\"{$_POST['suche']}\""; }
echo " tabindex=\"1\"></td>\n";
echo "<td><input type=\"submit\" value=\"Suchen\" tabindex=\"2\"></td>\n";
echo "</form>\n";
echo "</tr></table>\n";
new stwLine(1);

$sql  = "select distinct t.team_art_id, t.kurzname, t.name, t.farbe, ";
$sql .= "t.lesegruppe, t.extern, t.montags_sitzung, t.aktiv, ";
$sql .= "tr.kurzname as tr_kurzname, tr.traeger_art, t.art, t.kuerzel, ";
$sql .= "IF(t.nummer IS NULL, LPAD(RIGHT(t.team_art_id,3),3,'0'), t.nummer) as nr, ";
$sql .= "t.fb_id from tb_team_art t ";
$sql .= "left join tb_team_art_pers p on t.team_art_id = p.team_art_id ";
$sql .= "left join tb_team_art_abt a on t.team_art_id = a.team_art_id ";
$sql .= "left join tbh_pers_abt pa on a.abt_id = pa.abt_id ";
$sql .= "left join tb_traeger_art tr on t.traeger_art_id = tr.traeger_art_id ";
$sql .= $where;
$sql .= ' group by t.team_art_id order by nr asc, t.kurzname asc;';
$tas = abfrage1($sql);

if (mysql_num_rows($tas) > 0){
	echo "<table>\n<tr>\n";
	echo "<th class=\"cl1\">Nummer</th>\n";
	echo "<th class=\"cl1\">Kurzname</th>\n";
	echo "<th class=\"cl1\">Name</th>\n";
	echo "<th class=\"cl1\">Tr&auml;ger</th>\n";
	echo "<th class=\"cl1\"".stwToolTip("Fachberatung").">FB</th>\n";
	echo "<th class=\"cl1\"".stwToolTip("Sachbearbeiter Verwaltung<br />(Hauptbetreuer)").">SBVerw</th>\n";
	echo "<th class=\"cl1\"".stwToolTip("fachlicher Sachbearbeiter<br />(Tandem)").">SBFachl</th>\n";

	echo "<th class=\"cl1\"";
	echo stwToolTip('potentielle Teilnehmer') . ">pot.Tn.</th>\n";

	echo "<th class=\"cl1\"" . stwToolTip('Lesegruppe') . ">LG</th>\n";
	echo "<th class=\"cl1\">ext.</th>\n";
	echo "<th class=\"cl1\"" . stwToolTip('Montagssitzung') . ">Mo</th>\n";
	echo "</tr>\n";

	new stwTabLine(2,20);

	while ($ta = mysql_fetch_array($tas)){
		echo "<tr>\n";
		$link_color = ($ta[7] == 0) ? "#ccc" : '';
		$link_title = ($ta[7] == 0) ? stwToolTip("nicht aktiv") : '';
		$art = $ta['art'] . ($ta['extern'] ? 'e' : 'i') . ' ' . $ta['nr'] . ' ' . $ta['kuerzel'];
		echo "<td class=\"cl1\"><a href=\"team_art_and.php?team_art_id=$ta[0]\"";
		echo " style=\"color:$link_color\" $link_title>".team_nummer($ta[0])."</a></td>\n";
		echo "<td class=\"cl1\"><a href=\"team_art_and.php?team_art_id=$ta[0]\"";
		echo " style=\"color:$ta[3]\">$ta[1]</a></td>\n";

		echo "<td class=\"cl1\"";
		if (strlen($ta[2]) > 30) echo stwToolTip($ta[2]);
		echo '>' . strCut($ta[2], 30) . "</td>\n";

		echo "<td class=\"cl1\" style=\"text-align: center;\"";
		if (empty($ta['traeger_art'])){
			echo '>alle';
		} else {
			echo stwToolTip($ta['traeger_art']). '>' . $ta['tr_kurzname'];
		}
		echo "</td>\n";

		echo "<td class=\"cl1\">" . pers_kname($ta['fb_id']) . "</td>\n";

		$tns = abfrage1("select t.pers_id, t.fokus, p.personaltyp
						from tb_team_art_pers t
						left join tb_personaltyp p on (t.fokus = p.personaltyp_id)
						where t.team_art_id = $ta[0]
						and t.fokus > 0 order by p.sort asc;");
		$tt = '';
		while($tn = mysql_fetch_row($tns)) {
			$tt .= "<b>".pers_name($tn[0])."</b> $tn[2]<br />";
		}

		$tn1 = abfrage("select pers_id from tb_team_art_pers
						where team_art_id = $ta[0]
						and fokus = 1;");
		echo "<td class=\"cl1\"" . stwToolTip($tt);
		echo '>' . pers_kname($tn1[0]) . "</td>\n";

		$tn8 = abfrage("select pers_id from tb_team_art_pers
						where team_art_id = $ta[0]
						and fokus = 8;");
		echo "<td class=\"cl1\"" . stwToolTip($tt);
		echo '>' . pers_kname($tn8[0]) . "</td>\n";

		$tn2 = abfrage("select count(pers_id) from tb_team_art_pers
						where team_art_id = $ta[0]
						and nur_protokoll='n';");
		echo "<td class=\"cl1\" style=\"text-align:center\">$tn2[0]</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">";
		if ($ta[4] == 1){
			echo "X";
		}
		echo "</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">";
		if ($ta[5] == 1){
			echo "X";
		}
		echo "</td>\n";

		/* Merkmal Montagssitzung */
		echo "<td class=\"cl1\" style=\"text-align:center\">";
		if ($ta[6] == 1) echo 'X';
		echo "</td>\n";


		if (check_nutzer_rechte(62)) {
			$sql = "select count(team_id) from tb_team where team_art_id='".$ta[0]."'";
			$erg = abfrage($sql);

			echo "<td class=\"cl1\" style=\"text-align:center\">";
			if ($erg[0] <= 0){
				echo "<a href=\"team_art_del.php?team_art_id=$ta[0]\" ";
				echo "style=\"color:#FF0000\"";
				echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a>";
			}
			echo "</td>\n";
		}
		echo "</tr>\n";
	}
}

new stwLine(1);
new stwEnd($seite);
?>
