<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: term_and.php 2885 2018-09-11 16:32:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 10;
require("inc/auth.inc.php");
require("inc/stw.inc.php");
$pers_order = getPersOrder($seite);

if (isset($rvar_termin_id)){
	$zkid = abfrage("select zk_id from tb_ab_zk
					where termin_id = $rvar_termin_id;");
	
	$zk = abfrage("select t.termin_id,
					date_format(t.von, '%d.%m.%Y'),
	                date_format(t.von, '%H:%i'),
					date_format(t.bis, '%H:%i'),
					z.inhalte, t.terminart, spesen_text, 
					z.pers_id, z.ts_pers, z.sperre_id
					from tb_ab_zk z
					left join tb_termine t using (termin_id)
					where z.zk_id = $zkid[0];");
}
?>

<form action="term_sql.php" method="post">
<table>
<tr>
<th>Terminart:&nbsp;</th>
<td>
<select name="terminart" size="1" tabindex="1">
<option value="0">Terminart w&auml;hlen!</option>
<?php
$sql = "select terminart, name from tb_terminart
		where neu = 'j'
		order by name asc";
$res = mysql_query($sql) or die(mysql_error());

while ($row = mysql_fetch_row($res)){
    echo "  <option ";
    if (isset($rvar_termin_id)) {
        if ($zk[5] == $row[0]) {
            echo "selected ";
        }
    } else {
		$privat = abfrage("select terminart from tb_terminart where neu = 'j' and name like '%privat%'");
		if($privat[0] == $row[0]) echo "selected ";
	}
    echo "value=\"$row[0]\">$row[1]</option>\n";
    }
?>
</select>
</td>
<?php
if ($_SESSION[$AppCode]['ULV'] >= 96){
?>
<td width="5"></td>
<td>
<input type="button" value="Terminarten" onClick="self.location.href='term_art.php'" tabindex="2">
</td>
<?php
}
?>
</tr>

<tr>
<th>Datum:&nbsp;</th>
<td colspan="3"><input type="text" id="datum" name="datum" size="11" maxlength="11" tabindex="3"
    <?php if(isset($_GET['tag'])) echo "value=\"".date_my2gr($_GET['tag'])."\"";
	elseif (isset($rvar_termin_id)) { echo "value=\"$zk[1]\"";} ?>>&nbsp;&nbsp;TT.MM.JJJJ
	<?php if((isset($rvar_termin_id))) {
		/* Klammer */
		$daten = new stwDaten(49);
		$klammer = $daten->get_klammer_link($_SESSION['webdir'],$_SESSION[$AppCode]['UID'],$_SESSION[$AppCode]['ULV'],$rvar_termin_id,'0');
		echo "&nbsp; &nbsp; $klammer";
	} ?>
</td>
</tr>

<tr>
<th>Beginn:&nbsp;</th>
<td colspan="3"><input type="text" name="beginn" size="6" maxlength="5" tabindex="4"
    <?php if (isset($rvar_termin_id)) { echo "value=\"$zk[2]\"";} ?>>&nbsp;&nbsp;HH:MM</td>
</tr>

<tr>
<th>Ende:&nbsp;</th>
<td colspan="3"><input type="text" name="ende" size="6" maxlength="5" tabindex="5"
    <?php if (isset($rvar_termin_id)) { echo "value=\"$zk[3]\"";} ?>>&nbsp;&nbsp;HH:MM</td>
</tr>

<tr>
<th>Ort:&nbsp;</th>
<td colspan="3"><input type="text" name="ort" size="50" maxlength="50" tabindex="6"
    <?php if (isset($rvar_termin_id)) { echo "value=\"$zk[6]\"";} ?>></td>
</tr>

<tr>
<th>Inhalte:</th>
<td colspan="3">
<textarea cols="50" rows="4" name="inhalte" tabindex="7">
<?php if (isset($rvar_termin_id)) { echo $zk[4]; } ?>
</textarea>
</td></tr>
</table>

<?php
if (isset($rvar_termin_id)) {
// Teilnehmerliste
	$sql = "select p.pers_id, CONCAT(";
	$sql .= ($pers_order == 2) ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
	$sql .= "), t.termin_id from tb_personal p 
			left join tbh_termin_pers t on (t.pers_id = p.pers_id and t.termin_id = '$rvar_termin_id')
			where t.termin_id = '$rvar_termin_id' or p.pers_id='$zk[7]'
			order by ";
	$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
	$tn = abfrage1($sql);
	new stwLine(2);
	echo "<table>\n";
	echo "<tr><th>Teilnehmer</th></tr>\n";
	new stwTabLine(2,10);
	while ($row = mysql_fetch_row($tn)) {
		if($zk[9]==$row[0] && empty($row[2])) continue;
		echo "<tr><td>$row[1]</td>";
		echo "<td width=\"5\"></td>\n";
		echo "<td><a href=\"term_tn_del_sql.php?termin_id=$rvar_termin_id&pers_id=$row[0]\" ";
		echo "style=\"color:red\" title=\"VORSICHT! Lschen\">";
		echo "X</td></tr>\n";
		$tln[] = $row[0];
	}
	echo "</table>\n";
	new stwLine(2);
	?>
	<table>
	<tr>
	<th style="text-align:left">hinzuf&uuml;gen :</th>
	<td>
	<select id="ma" name=ma size=1 tabindex=1>
	<option value="0">Teilnehmer w&auml;hlen!</option>
	<?php
	$sql = "select pers_id, vorname, name from tb_personal
        	where status_id=2
			order by vorname asc, name asc";
	$erg = mysql_query($sql) or die(mysql_error());

	while ($zeile = mysql_fetch_row($erg)) {
		if (!in_array($zeile[0], $tln)){
			echo "  <option value=\"$zeile[0]\"";
		    echo " onClick=\"self.location.href='term_tn_add_sql.php?termin_id=$rvar_termin_id&pers_id=$zeile[0]'\">";
		    echo $zeile[1] . "&nbsp;" . $zeile[2];
		    echo "</option>\n";
		}
	}
	echo "<option value=\"0\">--- alle Mitglieder einer Abteilung ---</option>\n";
	$erg = abfrage1("select abt_id, name from tb_personal_abt order by name asc");
	while ($zeile = mysql_fetch_row($erg)) {
		echo "  <option value=\"a$zeile[0]\"";
		echo " onClick=\"self.location.href='term_tn_add_sql.php?termin_id=$rvar_termin_id&abt_id=$zeile[0]'\">";
		echo "$zeile[1]</option>\n";
	}

	echo "</select></td>\n";
	echo "<td><image src=\"img/senden.png\" style=\"cursor:pointer\" ";
	echo "onClick=\"self.location.href='term_tn_add_sql.php?termin_id=$rvar_termin_id&pers_id=' + document.getElementById('ma').value\" /></td></tr>";
	echo "</table>\n";
} else {
	echo "<table><tr><th>Fr Teilnehmerliste Termin erst speichern!</th></tr></table>\n";
}
// Dateifu :-)
new stwLine(1);
if (isset($rvar_termin_id)) {
	echo "<table width=\"750\"><tr><td>";
	echo "<input type=\"hidden\" name=\"termin_id\" value=\"$rvar_termin_id\">\n";
	echo "<input type=\"hidden\" name=\"zk_id\" value=\"$zkid[0]\">\n";
	echo "<input type=\"submit\" value=\"&Auml;ndern!\">\n";
	echo "</td><td style=\"text-align:right\">Angelegt von ".pers_kname($zk[7]);
	if($zk[8]>0) echo " am ".date_ts2grdt($zk[8])." Uhr";
	echo "</td></tr></table>\n";
} else {
	echo "<input type=\"submit\" value=\"Speichern\">\n";
}
echo "</form>\n";
new stwEnd($seite,isset($rvar_termin_id) ? date_gr2ts($zk[1]) : -1);
?>
