<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: term_art.php 2292 2014-07-02 10:52:57Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 10;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

 /* eine Terminart soll geloescht werden */
 if ($_SESSION[$AppCode]["ULV"] > 96 && isset($_GET["kill"]))
 {
   $sql = "DELETE FROM tb_terminart WHERE terminart='".$_GET["kill"]."';";
   mysql_query($sql);

   printf("<table><tr><th style=\"color:#00FF00\">");
   printf("%s Terminart wurde erfolgreich gel&ouml;scht.</th>", $_GET["kill"]);

   printf("</tr></table>\n");
   new stwLine(1);
 }

if (!empty($rvar_terminart)){
	$ta = abfrage("select terminart, name, farbe
					from tb_terminart
					where terminart = '$rvar_terminart';");
}
?>
<table>
<tr>
<td style="vertical-align:top">

<table>

<form action="term_art_sql.php" method="post">

<tr>
<th>K&uuml;rzel&nbsp;:</th>
<td><input name="terminart" size="4" maxlength="4" tabindex="1"
	<?php if(!empty($rvar_terminart)){ echo " value=\"$ta[0]\""; } ?>></td>
</tr>

<tr>
<th>Terminart&nbsp;:</th>
<td><input name="name" size="20" maxlength="20" tabindex="2"
	<?php if(!empty($rvar_terminart)){ echo " value=\"$ta[1]\""; } ?>></td>
</tr>

<?php
echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
echo "<tr>\n<th>Farbcode&nbsp;:</th>\n";
echo "<td><input name=\"farbe\" size=\"20\" maxlength=\"20\" tabindex=\"3\"";
if(!empty($rvar_terminart)){ 
	echo " value=\"$ta[2]\""; 
	if(!empty($ta[2])) {
		$rgb = transformColor($ta[2]);
		$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
		echo "style=\"background-color:$ta[2];color:$co;\" ";
	}
}
echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\" ";	
echo "></td></tr><tr><td></td>\n";
echo "<td style=\"font-weight:bold\">HTML- bzw. CSS-Syntax einhalten<br>oder leer lassen!</td></tr>\n";

new stwTabLine(1,30); ?>

<tr>
<td><input type="submit" value="Speichern" tabindex="4"></td>
</tr>
</form>

</table>
</td>
<td width="30"></td>

<td style="vertical-align:top">
<table>
<tr><th colspan="3">vorhandene Terminarten</th></tr>
<?php new stwTabLine(1,30); ?>
<tr>
<th>K&uuml;rzel</th>
<td width="5"></td>
<th>Terminart</th>
<td width="5"></td>
<th>Farbe</th>
</tr>
<?php

 /* rote Zwischentrennlinie einfuegen */
 new stwTabLine(2,30);

 /* vorhandene Terminarten heraussuchen - nur die das Merkmal neu haben */
 $sql  = "SELECT terminart, name, farbe, neu FROM tb_terminart ";
 $sql .= "WHERE neu = 'j' ORDER BY name ASC";

 $best = abfrage1($sql);

while ($zl = mysql_fetch_row($best)){
	echo "<tr>\n";
	if ($zl[3] == 'j'){
		echo "<td><a href=\"term_art.php?terminart=$zl[0]\">$zl[0]</td>\n";
	} else {
		echo "<th>$zl[0]</th>\n";
	}
	echo "<td width=\"5\">\n";
	echo "<td style=\"color:$zl[2]\">$zl[1]</td>\n";
	echo "<td width=\"5\">\n";
	echo "<td>$zl[2]</td>\n";

  /* 
   * Loeschmoeglichkeit anbieten wenn Terminart noch nicht benutzt wurde.
   * Bisher werden die Terminarten nur in der Tabelle tb_termine genutzt.
   * Ausserdem ist es nicht moeglich statisch vorgegebene Terminarten zu
   * loeschen. Erkennbar in der Spalte neu mit 'n'.
   */
  if ($_SESSION[$AppCode]["ULV"] > 96)
  {
    /* pruefen ob schon verwendet */
    $sql = "SELECT COUNT(*) FROM tb_termine WHERE terminart='".$zl[0]."';";
    $erg = abfrage($sql);

    if ($erg[0] <= 0 && $zl[3] == 'j')
    {
      printf("<td><a href=\"term_art.php?kill=%s\" ", $zl[0]);
      printf("style=\"color:#FF0000\">X</a></td>\n");
    }
  }

	echo "</tr>\n";
}

 printf("</table>\n</td>\n</tr>\n</table>\n");

 new stwLine(2);
 new stwEnd($seite);
?>
