<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: sql_diff.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */
 require_once("../conf/conf.inc.php");

 require_once("../inc/mysql_diff.php");
 require_once("../inc/svn.inc.php");

 /* Datei auslesen */
 $datei = file_get_contents("../mysql/stellware.sql");
 if (!$datei)
 {
   printf("stellware.sql auslesen gescheitert\n");
   exit(1);
 }

 /* Vergleich mit der Datenbank */
 $erg = sql_get_diff($conf_dbu, $conf_dbp, $conf_srv, $conf_dbn, $datei, $sql);
 if ($erg != 0)
 {
   printf("Diff holen gescheitert.\n");
   exit(1);
 }

 /* Ausgabe der notwendigen Aenderungen */
 if (!empty($sql))
 {
   foreach ($sql as $anweisung)
   {
     printf("%s\n", $anweisung);
   }
 }
?>
