<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: wtb.php 2557 2016-04-07 10:33:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = ($_GET['pers_and'] == 1) ? 4 : 18;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");
$pers_order = getPersOrder($seite);

if($ulv>=97 && isset($_GET['del'])) {
	$fehlz = abfrage("select fehlz_id from tb_awb where awb_id='$rvar_del';");
	if(!empty($fehlz[0])) abfrage2("delete from tbh_za where fehlz_id='$fehlz[0]'");
	abfrage2("delete from tb_awb where awb_id='$rvar_del'");
}

set_session_url();

$kat = empty($rvar_kat) ? "all" : $rvar_kat;
if($ulv >= 60) $ma = empty($rvar_ma) ? 'all' : $rvar_ma;
elseif($ulv >= 45) $ma = empty($rvar_ma) ? $uid : $rvar_ma;
else $ma = $uid;
$sort = empty($rvar_sort) ? "von0" : $rvar_sort;

if ($rvar_pers_and==1){
	echo "<table>\n<tr>\n";
	$link  = "<td class=\"menuinactive\"><a href=\"pers_and.php?pers_id=$ma&bereich=";
	$submenu['1'] = 'Daten';
	$submenu['2'] = 'Schl&uuml;ssel';
	$submenu['3'] = 'Mitglied';
	$submenu['4'] = 'Rechte';
	$submenu['5'] = 'Ausgabe';
	$submenu['6'] = 'Akte';
	foreach ($submenu as $k => $v){
		if($k == 6) echo "<td class=\"menuactive\"><a href=\"wtb.php?ma=$rvar_pers_id&pers_and=1\">AWB</a></td>\n";
		echo $link . "$k\">$v</a></td>\n";
	}

	echo "<th class=\"cl11\" style=\"padding-left:10px; color:#00FF00;\">";
	echo pers_name($ma) ."</th>\n";
	echo "</tr></table>\n";
	new stwLine(1);
}

echo "<table>\n<tr>\n";
if (($ulv > 5 && $ma==$uid) || $ulv >= 60) {
	echo "<td class=\"cl1\"><input type=button value=\"Neu\" ";
	echo stwToolTip("Neue Aus- oder Weiterbildung anlegen");
	echo "onClick=\"self.location.href='wtb_and.php";
	if($ma != 'all') echo "?ma=$ma";
	echo "'\"></td>\n";
	echo "<td class=\"cl11\"><input type=button value=\"Kenntn.\" ";
	echo stwToolTip("Neue Kenntnis anlegen");
	echo "onClick=\"self.location.href='wtb_and.php?kat=k";
	if($ma != 'all') echo "&ma=$ma";
	echo "'\"></td>\n";
}
echo "<form action=\"$self\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
if ($ulv >= 45 && empty($rvar_pers_and)) {
	echo "<th class=\"cl1\" style=\"vertical-align: middle;\"";
	echo stwToolTip('Mitarbeiter') . ">MA:</th>\n";
	echo "<td class=\"cl11\">";
	echo "<select name=\"ma\" size=\"1\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"all\" title=\"alle anzeigen\"";
	if ($ma == 'all')	echo ' selected';
	echo ">ALLE</option>\n";
	$sql  = "select pers_id from tb_personal where status_id = '2' and betreuer = 'j'";
	if($pers_order == 2) $sql .= "order by name asc, vorname asc;";
	else $sql .= "order by vorname asc, name asc;";
	$erg = abfrage1($sql);
	while ($zeile = mysql_fetch_row($erg)) {
	echo "<option value=\"$zeile[0]\" title=\"". pers_name($zeile[0]) . "\"";
	if ($ma == $zeile[0]){
	  echo ' selected';
	}
	  echo '>' . ($pers_order==2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
	}
	echo "</select>\n</td>\n";
}
echo "<th class=\"cl1\">Kategorie:</th>\n";
echo "<td class=\"cl11\">";
echo "<select name=\"kat\" size=\"1\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"all\" title=\"alle anzeigen\"";
if ($kat == 'all')	echo ' selected';
echo ">ALLE</option>\n";
$res = abfrage1("select * from tb_awb_kat where aktiv='j' order by name asc");
while ($zeile = mysql_fetch_row($res)) {
	echo "<option";
	if ($kat == $zeile[0]) echo ' selected';
	echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
}
echo "</select>\n</td>\n";
echo "<td class=\"cl11\"><input type=\"image\" src=\"img/senden.png\"></td>\n";
echo "</form>\n</tr></table>\n";
new stwLine(1);

$leftjoin = '';
$svon = 'von0';
$sbis = 'bis0';
$sma  = 'ma0';
$skat = 'kat0';
switch ($sort) {
	case 'kat1':
		$order = "name desc, (IF(ISNULL(von), beginn, von)) asc";
		break;
	case 'kat0':
		$skat = 'kat1';
		$order = "name asc, (IF(ISNULL(von), beginn, von)) asc";
		break;
	case 'ma1':
		$order = "persname desc, (IF(ISNULL(von), beginn, von)) asc";
		break;
	case 'ma0':
		$sma  = 'ma1';
		$order = "persname asc, (IF(ISNULL(von), beginn, von)) asc";
		break;
	case 'bis1':
		$order = "(IF(ISNULL(bis), ende, bis)) desc, (IF(ISNULL(von), beginn, von)) desc";
		break;
	case 'bis0':
		$sbis = 'bis1';
		$order = "(IF(ISNULL(bis), ende, bis)) asc, (IF(ISNULL(von), beginn, von)) asc";
		break;
	case 'von1':
		$order = "(IF(ISNULL(von), beginn, von)) desc";
		break;
	default:
		$svon = 'von1';
		$order = "(IF(ISNULL(von), beginn, von)) asc";
		break;
}

echo "<table><tr>\n";
$wtb = empty($rvar_pers_and) ? '' : "&pers_and=1";
echo "<th class=\"cl1\" style=\"text-align:center\"><a href=\"wtb.php?ma=$ma&kat=$kat&sort=$svon2".$wtb."\">von</a></th>\n";
echo "<th class=\"cl1\" style=\"text-align:center\"><a href=\"wtb.php?ma=$ma&kat=$kat&sort=$sbis".$wtb."\">bis</a></th>\n";
echo "<td></td>";
if($ma == 'all') echo "<th class=\"cl1\" style=\"text-align:center\"><a href=\"wtb.php?ma=$ma&kat=$kat&sort=$sma\">Mitarbeiter</a></th>\n";
echo "<th class=\"cl1\" style=\"text-align:center\">Ort / Institut</th>\n";
echo "<th class=\"cl1\" style=\"text-align:center\"><a href=\"wtb.php?ma=$ma&kat=$kat&sort=$skat".$wtb."\">Kategorie</a></th>\n";
echo "<th class=\"cl1\" style=\"text-align:center\">Abschluss / Zertifikat</th>\n</tr>\n";
new stwTabLine(2,30);

$where = '';
if($ma != 'all') $where .= "and (a.pers_id='$ma' or f.pers_id='$ma') ";
if($kat != 'all') $where .= "and a.awb_kat_id='$kat' ";

$persname = $pers_order==2 ? "concat(p.name, ', ', p.vorname)" : "concat(p.vorname, ' ', p.name)";

$sql = "select a.*, f.pers_id as f_pers_id, f.fehlz_id as f_fehlz_id, 
		k.name, f.titel as f_titel, t.von, t.bis, $persname as persname, k.kat
		from tb_awb a 
		left join tb_fehlz f using (fehlz_id)
		$leftjoin
		left join tb_awb_kat k using (awb_kat_id)
		left join tb_termine t using (termin_id)
		left join tb_personal p on p.pers_id = a.pers_id
		where p.betreuer = 'j' and p.status_id = 2
		$where
		union
		select a.*, f.pers_id as f_pers_id, f.fehlz_id as f_fehlz_id, 
		k.name, f.titel as f_titel, t.von, t.bis, $persname as persname, k.kat
		from tb_awb a
		right join tb_fehlz f using (fehlz_id)
		$leftjoin
		left join tb_awb_kat k using (awb_kat_id)
		left join tb_termine t using (termin_id)
		left join tb_personal p on p.pers_id = f.pers_id
		where p.betreuer = 'j' and p.status_id = 2
		$where and t.terminart in ('w','wbu','wbf')
		order by $order";

$res = abfrage1($sql);
$st = array(0,5,21,22,23,25);
while ($row = mysql_fetch_array($res)) {
	$pers_id = empty($row['pers_id']) ? $row['f_pers_id'] : $row['pers_id'];
	echo "<tr class=\"mo\">\n<td class=\"cl1\" style=\"text-align:right\">";
	$von = date_my2gr(empty($row['von']) ? $row['beginn'] : $row['von']);
	if(substr($von,0,6) == '01.01.') $von = substr($von,-4);
	if(empty($von)) $von = "<span style=\"color:red\">LEER!</span>";
	$style = ($row['za'] == 1) ? ("style=\"color:#FF6600\"".stwToolTip("(Zusatz-)Ausbildung")) : '';
	if($row['kat'] == 'k') echo "<a style=\"color:white\" href=\"wtb_and.php?kat=k&awb_id=".$row['awb_id']."\">Kenntnis</a>";
	elseif(empty($row['awb_id'])) echo "<a $style href=\"wtb_and.php?fehlz_id=".$row['f_fehlz_id']."\">$von</a>";
	else echo "<a $style href=\"wtb_and.php?awb_id=".$row['awb_id']."\">$von</a>";
	echo "</td>\n<td class=\"cl1\" style=\"text-align:right\">";
	$bis = date_my2gr(empty($row['bis']) ? $row['ende'] : $row['bis']);
	if(substr($bis,0,6) == '01.01.') $bis = substr($bis,-4);
	if(!empty($row['fehlz_id']) && !empty($row['f_pers_id'])) $bis = "<a href=\"fehlz_and.php?fehlz_id=".$row['fehlz_id']."\"".stwToolTip('zur Fehlzeit').">$bis</a>";
	echo "$bis</td>\n<td class=\"cl1\">";
	if (!empty($row['awb_id'])) {
		$daten = new stwDaten("35");
		$link  = $daten->get_klammer_link($_SESSION["webdir"],$uid,$ulv,$row['awb_id'], "0");
		echo $link;
	}
	echo "</td><td class=\"cl1\">";
	if($ma == 'all') {
		echo pers_kname($pers_id);
		echo "</td>\n<td class=\"cl1\">";
	}
	$print_kont = true;
	if(is_numeric($row['kont_id'])) {
		$kont = abfrage("select kont_id, kont_art_id, name, name2 from tb_kontakte where kont_id='".$row['kont_id']."' and kh_id='0'");
		if(!empty($kont[0])) {
			$print_kont = false;
			echo "<a href=\"kont_and.php?kont_id=$kont[0]&ka=$kont[1]&st=".$st[$kont[1]]."\"";
			if(!empty($kont[3])) echo stwToolTip($kont[3]);
			echo ">".strCut($kont[2],30)."</a>";
		}
	}
	if($print_kont) echo strCut($row['kont_id'],30);
	if(empty($row['f_titel'])) {
		$titel = empty($row['titel']) ? '' : stwToolTip($row['titel']);
	} else $titel = stwToolTip($row['f_titel']);
	echo "</td>\n<td class=\"cl1\" $titel>" . $row['name'];
	echo "</td>\n<td class=\"cl1\">" . $row['abschluss'] . "</td><td>";
	if($ulv >= 97 && empty($row['f_fehlz_id'])) {
		$fzs = abfrage1("select fehlz_id from tbh_za where awb_id='".$row['awb_id']."'");
		if(mysql_num_rows($fzs)==0) {
			echo "<a href=\"wtb.php?ma=$ma&kat=$kat&sort=$sort&del=".$row['awb_id'].$wtb;
			$tt = stwToolTip("<b>Vorsicht</b> Ausbildung l&ouml;schen");
			echo "\" $tt style=\"color:red\">X</a>";
		}
	}
	echo "</td></tr>\n";
}
new stwTabLine(2,30);
echo "</table>\n";
new stwEnd($seite);
?>