<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: wtb_and.php 2889 2018-09-29 09:39:32Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 18;

if(isset($_POST['wtb'])){
  if(isset($_POST['save']) || isset($_POST['del']) || !empty($_POST['fehlz_add'])) {
	require_once($pfad . 'inc/func.inc.php');
	if(isset($_POST['fehlz_id'])) {
		abfrage2("update tb_fehlz set titel='{$_POST['titel']}' where fehlz_id='{$_POST['fehlz_id']}'");
	}
	$sql  = isset($_POST['awb_id']) ? "update " : "insert into ";
	$sql .= "tb_awb set awb_kat_id = '".$_POST['awb_kat_id']."', ";
	$sql .= "pers_id = '".$_POST['pers_id']."', ";
	$sql .= "kont_id = '".$_POST['kont_id'.$_POST['ort']]."', ";
	if(empty($_POST['fehlz_id'])) {
		$von = $_POST['beginn'];
		if(strlen($von) == 4) $von = "$von-01-01";
		else {
			$von = check_date($von);
			$von = date_gr2my($von);
		}
		$bis = $_POST['ende'];
		if(strlen($bis) == 4) $bis = "$bis-01-01";
		else {
			$bis = check_date($bis);
			$bis = date_gr2my($bis);
		}
		$query = "insert into tb_termine set von = '$von', bis = '$bis', terminart='w'";
		abfrage2($query);
		$query = "insert into tb_fehlz set termin_id = '".mysql_insert_id()."', titel = '{$_POST['titel']}'";
		abfrage2($query);
		$fehlz_id = mysql_insert_id();
	} else {
		if(isset($_POST['termin_id'])) {
			$von = $_POST['beginn'];
			if(strlen($von) == 4) $von = "$von-01-01";
			else {
				$von = check_date($von);
				$von = date_gr2my($von);
			}
			$bis = $_POST['ende'];
			if(strlen($bis) == 4) $bis = "$bis-01-01";
			else {
				$bis = check_date($bis);
				$bis = date_gr2my($bis);
			}
			$query = "update tb_termine set von = '$von', bis = '$bis' where termin_id = '{$_POST['termin_id']}'";
			abfrage2($query);
		}
		$fehlz_id = $_POST['fehlz_id'];
	}
	$sql .= "fehlz_id = '$fehlz_id', ";
	$sql .= "abschluss = '".$_POST['abschluss']."', za = '".$_POST['za']."'";
	if(isset($_POST['awb_id'])) $sql .= " where awb_id = '{$_POST['awb_id']}'";
	abfrage2($sql);
	$awb_id = isset($_POST['awb_id']) ? $_POST['awb_id'] : mysql_insert_id();

	if($_POST['za'] > 0) abfrage2("REPLACE INTO tbh_za SET awb_id='{$_POST['za']}', fehlz_id='$fehlz_id'");
	else abfrage2("DELETE FROM tbh_za WHERE awb_id='{$_POST['za']}' AND fehlz_id='$fehlz_id'");
	if(isset($_POST['save'])) {
		$url = (isset($_SESSION[$AppCode]['url'])) ? $_SESSION[$AppCode]['url'] : 'wtb.php';
		header("Location: $url");
	}
	if(isset($_POST['del'])) {
		abfrage2("DELETE FROM tbh_za WHERE awb_id='{$_POST['awb_id']}' AND fehlz_id='{$_POST['del']}'");
	}
	if(!empty($_POST['fehlz_add'])) {
		abfrage2("INSERT INTO tbh_za SET awb_id = '{$_POST['awb_id']}', fehlz_id = '{$_POST['fehlz_add']}'");
	}
  }
}

if(isset($_POST['kenntn'])){
	require_once($pfad . 'inc/func.inc.php');
	$sql = isset($_POST['awb_id']) ? "update " : "insert into ";
	$sql .= "tb_awb set awb_kat_id = '".$_POST['awb_kat_id']."',
			pers_id = '".$_POST['pers_id']."', kont_id = '', za = '0',
			fehlz_id = '0', abschluss = '".$_POST['abschluss']."',
			beginn = '0000-00-00', ende = '0000-00-00'";
	if(isset($_POST['awb_id'])) $sql .= " where awb_id = '{$_POST['awb_id']}'";
	abfrage2($sql);

	$url = (isset($_SESSION[$AppCode]['url'])) ? $_SESSION[$AppCode]['url'] : 'wtb.php';
	header("Location: $url");
}

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");
$pers_order = getPersOrder($seite);

$ken = (isset($_GET['kat']) && $_GET['kat']=='k');

echo "<form action=\"wtb_and.php\" method=\"post\">\n";
if($ken) echo "<input type=\"hidden\" name=\"kenntn\" value=\"1\">\n";
else echo "<input type=\"hidden\" name=\"wtb\" value=\"1\">\n";
echo "<table><tr><td>";
echo "<table width=\"550\">\n";

$ti = 1;
$awb = isset($rvar_awb_id) ? abfrage_array("select * from tb_awb where awb_id='$rvar_awb_id'") : array();
if(!$ken) {
	$von = isset($rvar_beginn) ? $rvar_beginn : date_my2gr($awb['beginn']);
	$bis = isset($rvar_ende) ? $rvar_ende : date_my2gr($awb['ende']);
	$titel = $awb['titel'];
	if(isset($rvar_fehlz_id)) $awb['fehlz_id'] = $rvar_fehlz_id;
	$zurFehlzeit = false;
	if($awb['fehlz_id'] > 0) {
		$fz = abfrage("SELECT DATE_FORMAT(t.von, '%d.%m.%Y'), DATE_FORMAT(t.bis, '%d.%m.%Y'), f.titel, t.termin_id, f.pers_id
					   FROM tb_fehlz f LEFT JOIN tb_termine t USING(termin_id) WHERE f.fehlz_id = '{$awb['fehlz_id']}'");
		$von = $fz[0];
		$bis = $fz[1];
		$titel = $fz[2];
		if($fz[4] > 0) {
			$awb['pers_id'] = $fz[4];
			$zurFehlzeit = true;
		}
		echo "<input type=\"hidden\" name=\"fehlz_id\" value=\"".$awb['fehlz_id']."\">\n";
		echo "<input type=\"hidden\" name=\"termin_id\" value=\"$fz[3]\">\n";
	}
	if(substr($von,0,6) == '01.01.') $von = substr($von,-4);
	if(substr($bis,0,6) == '01.01.') $bis = substr($bis,-4);
}
if($ulv >= 60) {
	echo "<tr><th class=\"cl1\" width=\"75\">Mitarbeiter:</th>\n<td>\n";
	echo "<select name=\"pers_id\" size=\"1\" tabindex=\"$ti\" style=\"width:100%\">\n"; $ti++;
	echo "<option>Mitarbeiter w&auml;hlen!</option>\n";
	$order = ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
	$sql  = "SELECT pers_id FROM tb_personal WHERE (status_id = '2' and betreuer = 'j') or pers_id='{$awb['pers_id']}' ORDER BY $order";
	$res  = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)){
		echo "<option value=\"$zeile[0]\"";
		if($rvar_pers_id == $zeile[0] || empty($rvar_pers_id) && ((empty($awb['pers_id']) && $rvar_ma == $zeile[0]) || $awb['pers_id'] == $zeile[0])) echo ' selected';
		echo '>' . ($pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
	}
	echo "</select></td></tr>\n";
} else {
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"$uid\">\n";
}
$readonly = $zurFehlzeit ? "readonly" : '';
if(!$ken) {
	echo "<tr><th class=\"cl1\">Beginn:</th>\n<td>\n";
	echo "<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\"><tr><td style=\"width:80%\">";
	echo "<input $readonly type=\"text\" name=\"beginn\" size=\"10\" maxlength=\"10\" tabindex=\"$ti\" ";
	echo "style=\"text-align:right\" value=\"$von\"> TT.MM.JJJJ / JJJJ</td>\n"; $ti++;
	if (!empty($rvar_awb_id)) {
	   $daten = new stwDaten("35");
	   $link  = $daten->get_klammer_link($_SESSION["webdir"],$uid,$ulv,$rvar_awb_id, "0");
	} else $link='';
	echo "<td style=\"width:20%; text-align:right\">$link</td></tr></table></td></tr>\n";

	echo "<tr><th class=\"cl1\">Ende:</th>\n<td>\n";
	echo "<input $readonly type=\"text\" name=\"ende\" size=\"10\" maxlength=\"10\" tabindex=\"$ti\" ";
	echo "style=\"text-align:right\" value=\"$bis\"> TT.MM.JJJJ / JJJJ</td></tr>\n"; $ti++;

	echo "<tr><th class=\"cl1\">Zusatzausbildung:</th>\n<td>";
	echo "<select name=\"za\" size=\"1\" style=\"width:100%\"";
	if(empty($awb['za'])) {
		echo ">\n";
		$res = abfrage1("select a.awb_id, date_format(a.beginn, '%d.%m.%Y'), 
						 date_format(a.ende, '%d.%m.%Y'), k.name, a.titel from tb_awb a
						 left join tb_awb_kat k using(awb_kat_id)
						 where a.za='1' and a.pers_id='".(empty($rvar_ma) ? $awb['pers_id'] : $rvar_ma)."'");
		echo "<option value=\"0\">nicht Bestandteil einer Zusatzausbildung</option>\n";
		if(isset($rvar_za)) $za = $rvar_za;
		else {
			$zuau = abfrage("select awb_id from tbh_za where fehlz_id='$rvar_fehlz_id'");
			$za = $zuau[0];
		}
		while ($zeile = mysql_fetch_row($res)) {
			echo "<option value=\"$zeile[0]\" title=\"$zeile[4]\"";
			if($zeile[0]==$za) echo " selected";
			if(substr($zeile[1],0,6) == '01.01.') $zeile[1] = substr($zeile[1],-4);
			if(substr($zeile[2],0,6) == '01.01.') $zeile[2] = substr($zeile[2],-4);
			echo ">$zeile[1] - $zeile[2] $zeile[3]</option>\n";
		}
	} else {
		echo " disabled>\n";
		echo "<option>gew&auml;hlte Weiterbildung ist selbst Zusatzausbildung</option>\n";
	}
	echo "</select>\n</td></tr>";
}
echo "<tr><th class=\"cl1\">";
if (check_nutzer_rechte(79)){
	echo " <a href=\"awb_kat.php\"" . stwToolTip('Kategorien bearbeiten') . '>';
	echo "<img border=\"0\" src=\"img/edit.png\"></a>";
}
echo "Kategorie:</th>\n<td>";
echo "<select name=\"awb_kat_id\" size=\"1\" tabindex=\"$ti\" style=\"width:100%\">\n"; $ti++;
echo "<option value=\"0\">Bitte Kategorie w&auml;hlen!</option>\n";
$w = $ken ? 'k' : 'w';
$res = abfrage1("select * from tb_awb_kat where aktiv='j' and kat='$w' or awb_kat_id='".$awb['awb_kat_id']."' order by name asc");
while ($zeile = mysql_fetch_row($res)) {
	echo "<option";
	if ($rvar_awb_kat_id == $zeile[0] || empty($rvar_awb_kat_id) && $awb['awb_kat_id'] == $zeile[0]) echo ' selected';
	echo " value=\"$zeile[0]\">$zeile[1]</option>\n";
}
echo "</select>\n</td>";
if(check_nutzer_rechte(79)) echo "<td><input type=\"button\" value=\"zu ".($ken ? 'Weiterbildungen' : 'Kenntnissen')." wechseln\" onclick=\"self.location.href='wtb_and.php?kat=".($ken ? 'w' : 'k')."&awb_id=$awb[0]'\" /></td>\n";
echo "</tr>\n";
if(!$ken) {
	echo "<tr><th class=\"cl1\">Titel:</th>\n";
	echo "<td><input type=\"text\" name=\"titel\" style=\"width:100%;\" maxlength=\"100\" ";
	echo "tabindex=\"$ti\" value=\"".(empty($rvar_titel) ? $titel : $rvar_titel)."\"></td></tr>\n"; $ti++;

	if(empty($awb['kont_id']) || is_numeric($awb['kont_id'])) {
		$display_edit = "display:none;";
		$display_drop = "";
		$oval = 1;
	} else {
		$display_drop = "display:none;";
		$display_edit = "";
		$oval = 2;
	}

	echo "<input type=\"hidden\" name=\"ort\" id=\"ort\" value=\"$oval\">\n";
	echo "<tr><th class=\"cl1\">Ort / Institut:</th>\n<td>\n";
	echo "<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\"><tr><td class=\"cl1\" width=\"60%\">\n";
	echo "<select id=\"ort_drop\" style=\"width:100%;$display_drop\" name=\"kont_id1\" size=\"1\" tabindex=\"$ti\" >\n"; $ti++;
	echo "<option value=\"\">Ort / Institut w&auml;hlen!</option>\n";
	$sql = "select kont_id, kurzname, name from tb_kontakte where kont_art_id = '4' and kh_id='0' ";
	if(strlen($rvar_suche)>0) $sql .= "and(kurzname like '%$rvar_suche%' or name like '%$rvar_suche%' or ort like '%$rvar_suche%') ";
	$sql .="order by kurzname asc;";
	$res  = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)){
		echo "<option value=\"$zeile[0]\"";
		if ($awb['kont_id'] == $zeile[0]) echo ' selected';
		echo ">$zeile[1] - $zeile[2]</option>\n";
	}
	echo "</select>\n";
	echo "<input type=\"text\" name=\"kont_id2\" maxlength=\"100\" style=\"width:100%;$display_edit\"";
	echo "tabindex=\"$ti\" id=\"ort_edit\" value=\"".$awb['kont_id']."\">\n"; $ti++;
	echo "</td>";
	echo "<td class=\"cl1\"><img src=\"img/lupe.png\" alt=\"suche:\" /></td>\n";
	$tt = stwToolTip('ausw&auml;hlbare Kontakte auf Suchbegriff reduzieren');
	echo "<td class=\"cl1\"><input type=\"text\" name=\"suche\" tabindex=\"$ti\""; $ti++;
	echo " style=\"width:100%\" value=\"$rvar_suche\" $tt></td>\n";
	echo "<td><input type=\"image\" src=\"img/senden.png\" $tt></td>\n";
	echo "</tr></table></td>";

	if($ulv >= 97) {
		echo "<td>";
		$tt = stwToolTip("Eingabefeld anzeigen");
		echo "<a href=\"#\" id=\"ort_r\" $tt style=\"$display_drop\" onclick=\"";
		echo "document.getElementById('ort').value='2';";
		echo "document.getElementById('ort_l').style.display='inline';";
		echo "document.getElementById('ort_r').style.display='none';";
		echo "document.getElementById('ort_edit').style.display='inline';";
		echo "document.getElementById('ort_drop').style.display='none'\">";
		echo "<img src=\"img/hoch.png\"></a>";
		$tt = stwToolTip("Dropdown anzeigen");
		echo "<a href=\"#\" $tt id=\"ort_l\" style=\"$display_edit\" onclick=\"";
		echo "document.getElementById('ort').value='1';";
		echo "document.getElementById('ort_l').style.display='none';";
		echo "document.getElementById('ort_r').style.display='inline';";
		echo "document.getElementById('ort_edit').style.display='none';";
		echo "document.getElementById('ort_drop').style.display='inline'\">";
		echo "<img src=\"img/runter.png\"></a>";
		echo "</td>";
	}
	echo "</tr>\n";
	echo "<tr><th class=\"cl1\"".stwToolTip("Abschluss / Zertifikat").">Abschluss:</th>\n";
} else echo "<tr><th class=\"cl1\"".stwToolTip("wird in der Liste unter Abschluss / Zertifikat angezeigt").">Bemerkung:</th>\n";
echo "<td><input type=\"text\" name=\"abschluss\" style=\"width:100%;\" maxlength=\"100\" ";
echo "tabindex=\"$ti\" value=\"".(isset($rvar_abschluss) ? $rvar_abschluss : $awb['abschluss'])."\"></td></tr>\n"; $ti++;

if(!$ken && (!$zurFehlzeit || !empty($awb['za']))) {
	echo "<tr><th class=\"cl1\"".stwToolTip("(Zusatz-) Ausbildung").">Ausbildung:</th>\n";
	if(empty($awb['za'])) {
		$checked = '';
		if(!empty($awb['fehlz_id'])) {
			/* Fehlzeiten gehoert zu einer ZA? Checkbox disablen! */
			$fzs = abfrage1("select awb_id from tbh_za where fehlz_id='".$awb['fehlz_id']."'");
			if(mysql_num_rows($fzs)>0) {
				$checked.=' disabled';
				echo "<input type=\"hidden\" name=\"za\" value=\"0\">\n";
			}
		}
	} else {
		$checked = 'checked';
		/* ZA hat schon Fehlzeiten? Checkbox disablen! */
		$fzs = abfrage1("select fehlz_id from tbh_za where awb_id='$rvar_awb_id'");
		if(mysql_num_rows($fzs)>0) {
			$checked.=' disabled';
			echo "<input type=\"hidden\" name=\"za\" value=\"1\">\n";
		}
	}
	if(!empty($rvar_za)) $checked = 'checked';
	echo "<td><input type=\"checkbox\" name=\"za\" tabindex=\"$ti\" value=\"1\" $checked> (der eingegebene Zeitraum beschreibt eine (Zusatz-)Ausbildung)</td></tr>\n"; $ti++;
}
new stwTabLine(2,3);

if ($ulv >= 60 || $awb['pers_id']==$uid || empty($awb['pers_id'])) {
	if (isset($rvar_awb_id)) {
		echo "<input type=\"hidden\" name=\"awb_id\" value=\"$rvar_awb_id\">\n";
	}
	echo "<tr><td><input type=\"submit\" name=\"save\" tabindex=\"$ti\" value=\"Speichern\"></td>";
	if($zurFehlzeit) echo "<td style=\"text-align:right\"><a href=\"fehlz_and.php?fehlz_id=".$awb['fehlz_id']."\">zur Fehlzeit</a></td>";
	echo "</tr>\n";
}

echo "</table>\n";

echo "</td><td>\n";
if(isset($rvar_awb_id) && $awb['za']==1) {
	echo "<table>";
	if ($ulv >= 60 || $awb['pers_id']==$uid) {
		echo "<tr><td colspan=\"4\">";
		echo "<select name=\"fehlz_add\" size=\"1\" style=\"width:200px\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">Weiterbildung hinzuf&uuml;gen</option>\n";
		$dat1 = (strlen($von)==4) ? "$von-01-01" : date_gr2my($von);
		$dat2 = (strlen($bis)==4) ? "$bis-12-31" : date_gr2my($bis);
		$sql = "SELECT f.fehlz_id, k.name, f.titel,
				DATE_FORMAT(t.von, '%d.%m.%Y'),
				DATE_FORMAT(t.bis, '%d.%m.%Y')
				FROM tb_fehlz f
				LEFT JOIN tb_termine t using(termin_id)
				LEFT JOIN tb_awb a on a.fehlz_id = f.fehlz_id
				LEFT JOIN tb_awb_kat k on k.awb_kat_id = a.awb_kat_id
				WHERE f.pers_id='{$awb['pers_id']}'
				AND t.von>='$dat1' AND t.bis<='$dat2'
				AND t.terminart in ('w','wbu','wbf')";
		$res = abfrage1($sql);
		while ($zeile = mysql_fetch_row($res)) {
			$fz = abfrage1("select * from tbh_za where fehlz_id='$zeile[0]' and awb_id='$rvar_awb_id'");
			if(mysql_num_rows($fz) == 0) {
				echo "<option value=\"$zeile[0]\" title=\"$zeile[2]\">$zeile[3] - $zeile[4]";
				if(!empty($zeile[1])) echo " ($zeile[1])";
				echo "</option>\n";
			}
		}
		echo "</select>\n</td><td class=\"cl11\">";
		echo "<input type=\"image\" src=\"img/senden.png\"></td>\n</tr>\n";
	}
	$sql = "select z.fehlz_id, DATE_FORMAT(t.von, '%d.%m.%Y'), 
			DATE_FORMAT(t.bis, '%d.%m.%Y'), f.titel from tbh_za z
			left join tb_fehlz f using(fehlz_id)
			left join tb_termine t using(termin_id)
			where z.awb_id = '$rvar_awb_id'";
	$res = abfrage1($sql);
	while ($row = mysql_fetch_row($res)){
		$kat = abfrage("select a.awb_id, k.name from tb_awb a left join tb_awb_kat k using(awb_kat_id) where a.fehlz_id='$row[0]'");
		$tt = stwToolTip("Zur Fehlzeit...");
		echo "<tr class=\"mo\"><td><a $tt href=\"fehlz_and.php?fehlz_id=$row[0]\">$row[1]</td>\n";
		$tt = stwToolTip("Zur Weiterbildung...");
		echo "<th>-</th>\n";
		$awb_link = empty($kat[0]) ? "fehlz_id=$row[0]" : "awb_id=$kat[0]";
		echo "<td class=\"cl1\"><a $tt href=\"wtb_and.php?$awb_link\">$row[2]</td>\n";
		$tt = empty($row[3]) ? '' : stwToolTip($row[3]);
		echo "<td $tt class=\"cl1\">$kat[1]</td><td>";
		if ($ulv >= 60 || $awb['pers_id']==$uid) {
			echo "<input type=\"submit\" name=\"del\" value=\"$row[0]\"";
			echo stwToolTip("Zuordnung l&ouml;schen");
			echo "style=\"background-color:#333;border:0;color:transparent;width:15px;";
			echo "background-image:url(img/del_kal.png);background-repeat:no-repeat\">\n";
		}
		echo "</td></tr>\n";
	}
	echo "</table>";
}
echo "</td></tr></table>\n</form>\n";
new stwEnd($seite);
?>
