<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: zielkat.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 5;
$level = 60;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);
require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function Speichern($zielkategorie_id, $zielkategorie) {
	$sql = "update tb_zielkategorie set zielkategorie='$zielkategorie' where zielkategorie_id='$zielkategorie_id'";
	abfrage2($sql);
}

function JASpeichern($kont_id, $zielkategorie_id, $farbe, $aktiv) {
	$akt = $aktiv ? 'j' : 'n';
	$sql = "replace into tbh_kont_zielkategorie set kont_id='$kont_id', zielkategorie_id='$zielkategorie_id', aktiv='$akt', farbe='$farbe'";
	abfrage2($sql);
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('Speichern');
$xajax->registerFunction('JASpeichern');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/level.inc.php');
require_once($pfad . 'inc/stw.inc.php');
require_once($pfad . 'inc/stwDaten.inc.php');

$ti = 1;
if(isset($rvar_kont_id)) $ja[0] = $rvar_kont_id;
else {
	if(isset($rvar_hp_id)) $proj = abfrage("select proj_id from tb_hp where hp_id='$rvar_hp_id'");
	elseif(isset($rvar_proj_id)) $proj[0] = $rvar_proj_id;
	$ja = abfrage( "select k.kont_id, k.name, k.name2 from tb_projekte p 
					left join tb_kontakte_ap a using(ap_id)
					left join tb_kontakte k using(kont_id)
					where p.proj_id='$proj[0]'");
}

if(isset($_POST['new'])) {
	abfrage2("insert into tb_zielkategorie set zielkategorie='$rvar_name'");
	$id = mysql_insert_id();
	$akt = isset($rvar_check) ? 'j' : 'n';
	abfrage2("insert into tbh_kont_zielkategorie set kont_id='$ja[0]', zielkategorie_id='$id', aktiv='$akt', farbe='$rvar_farbe'");
}

if(isset($_POST['import'])) {
	$orginal = abfrage1("select * from tbh_kont_zielkategorie where kont_id='$rvar_import'");
	while($org = mysql_fetch_array($orginal)) {
		$sql = "replace into tbh_kont_zielkategorie set kont_id='$ja[0]', 
				zielkategorie_id='{$org['zielkategorie_id']}', 
				aktiv='{$org['aktiv']}', farbe='{$org['farbe']}'";
		abfrage2($sql);
	}
}

echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";

echo "<h2>Zielkategorien $ja[1] $ja[2]</h2>\n";
new stwLine(1);
if(isset($rvar_kont_id)) $urlext = "kont_id=$rvar_kont_id";
elseif(isset($rvar_proj_id)) $urlext = "proj_id=$rvar_proj_id";
elseif(isset($rvar_hp_id)) $urlext = "hp_id=$rvar_hp_id";
echo "<form name=\"importform\" method=\"post\" action=\"zielkat.php?$urlext\">\n";
echo "<table><tr><th>Einstellungen von JA &uuml;bernehmen:</th>\n";
echo "<td><select onchange=\"if(confirm('Aktuelle Einstellungen wirklich &uuml;berschreiben?') == true) {";
echo "this.form.submit();}\" name=\"import\">\n";
echo "<option value=\"0\">Standardeinstellungen</option>\n";
$res = abfrage1("select k.kont_id, k.name, k.name2 from tbh_kont_zielkategorie z
				left join tb_kontakte k using(kont_id)
				where z.kont_id>0 group by kont_id order by k.name asc, k.name2 asc");
while($row = mysql_fetch_row($res)) {
	echo "<option value=\"$row[0]\">$row[1] $row[2]</option>\n";
}
echo "</select></td><td><image src=\"img/senden.png\" ";
echo "onclick=\"if(confirm('Aktuelle Einstellungen wirklich &uuml;berschreiben?') == true) {";
echo "document.importform.submit();}\" /></td></tr></table></form>\n";
new stwLine(2);
echo "<table>\n";
echo "<tr><th>Zielkategorie</th><th colspan=\"3\">F&auml;rbung</th><th>aktiv</th></tr>\n";
new stwTabLine(2,5);
$kats=abfrage1("SELECT * FROM tb_zielkategorie order by zielkategorie_id asc");
while($kat = mysql_fetch_row($kats)) {
	$kzk = abfrage("select * from tbh_kont_zielkategorie where zielkategorie_id='$kat[0]' and kont_id='$ja[0]'");
	echo "<tr class=\"mo\"><td><input type=\"text\" name=\"name\" value=\"$kat[1]\" ";
	echo "onKeyUp=\"xajax_Speichern($kat[0],this.value)\" ";
	echo "size=\"75\" maxlength=\"100\" tabindex=\"$ti\" />"; $ti++;
	echo "</td>\n<td><img width=\"16\" height=\"16\" src=\"".image('1',1,1,0,102,0)."\" ";
	echo stwToolTip("Feld 'Farbe' mit gr&uuml;n vorbelegen");
	echo "onclick=\"e=document.getElementById('farbe$kat[0]');e.style.color='white';e.style.backgroundColor='#006600';e.value='#006600';";
	echo "xajax_JASpeichern($ja[0],$kat[0],e.value,document.getElementById('check$kat[0]').checked)\" />";
	echo "</td>\n<td><img width=\"16\" height=\"16\" src=\"".image('1',1,1,102,102,102)."\" ";
	echo stwToolTip("Feld 'Farbe' mit grau vorbelegen");
	echo "onclick=\"e=document.getElementById('farbe$kat[0]');e.style.color='white';e.style.backgroundColor='#666666';e.value='#666666';";
	echo "xajax_JASpeichern($ja[0],$kat[0],e.value,document.getElementById('check$kat[0]').checked)\" />";
	echo "</td>\n<td><input type=\"text\" size=\"7\" name=\"farbe\" id=\"farbe$kat[0]\" value=\"$kzk[3]\" tabindex=\"$ti\" "; $ti++;
	if(strlen($kzk[3]) > 0) {
		$rgb = transformColor($kzk[3]);
		$co = ($rgb[0] < 111 && $rgb[1] < 111) ? 'white' : 'black';
		echo "style=\"color:$co;background-color:$kzk[3];\" ";
	}
	echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,-180,0,0,'',this.value||'#CCCCCC');";
	echo "xajax_JASpeichern($ja[0],$kat[0],this.value,document.getElementById('check$kat[0]').checked)\"";
	echo "onKeyUp=\"xajax_JASpeichern($ja[0],$kat[0],this.value,document.getElementById('check$kat[0]').checked)\" /></td>\n";
	echo "<td style=\"text-align:center\"><input type=\"checkbox\" id=\"check$kat[0]\" tabindex=\"$ti\" "; $ti++;
	if($kzk[2] == 'j') echo "checked ";
	echo "onchange=\"xajax_JASpeichern($ja[0],$kat[0],document.getElementById('farbe$kat[0]').value,this.checked)\" /></td></tr>\n";
}
new stwTabLine(2,5);
echo "<tr><th colspan=\"5\">Neue Zielkategorie hinzuf&uuml;gen</th></tr>\n";
new stwTabLine(2,5);
echo "<form method=\"post\" action=\"zielkat.php?$urlext\">\n";
echo "<input type=\"hidden\" name=\"new\" value=\"1\" />\n";
echo "<tr><td><input type=\"text\" name=\"name\" size=\"75\" maxlength=\"100\" tabindex=\"$ti\" /></td>\n"; $ti++;
echo "<td><img width=\"16\" height=\"16\" src=\"".image('1',1,1,0,102,0)."\" ";
echo stwToolTip("Feld 'Farbe' mit gr&uuml;n vorbelegen");
echo "onclick=\"e=document.getElementById('farbe0');e.style.color='white';e.style.backgroundColor='#006600';e.value='#006600';\" />";
echo "</td>\n<td><img width=\"16\" height=\"16\" src=\"".image('1',1,1,102,102,102)."\" ";
echo stwToolTip("Feld 'Farbe' mit grau vorbelegen");
echo "onclick=\"e=document.getElementById('farbe0');e.style.color='white';e.style.backgroundColor='#666666';e.value='#666666';\" />";
echo "</td>\n<td><input type=\"text\" size=\"7\" name=\"farbe\" id=\"farbe0\" tabindex=\"$ti\" ";
echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,-180,0,0,'',this.value||'#CCCCCC');\"/></td>\n"; $ti++;
echo "<td style=\"text-align:center\"><input type=\"checkbox\" name=\"check\" tabindex=\"$ti\" />&nbsp;";
echo "<input type=\"image\" src=\"img/senden.png\" /></td></tr>\n"; $ti++;
echo "</form>\n";
echo "</table>\n";
new stwEnd($seite);
?>
