<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: zust_ber.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

session_start();
$seite = 31;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

/* Bereiche loeschen */
if ($_GET['delRes'] && $_SESSION[$AppCode]['ULV'] >= 60){
	/* zuerst Beziehung zu zustaendigem Mitarbeiter loeschen */
	$sql = "delete from tbh_pers_res where res_id = '{$_GET['delRes']}';";
	abfrage2($sql);

	/* nun Ressource selbst loeschen */
	$sql = "delete from tb_ressourcen where res_id = '{$_GET['delRes']}';";
	abfrage2($sql);
}

/* Bereiche umbenennen */
if (isset($_GET["um_ok"]) && !empty($_GET["um_name"]) &&
    !empty($_GET["um_id"]) && ($_SESSION[$AppCode]['ULV'] >= 60)){
	$sql  = "UPDATE tb_ressourcen SET name='".$_GET["um_name"];
	$sql .= "' WHERE res_id='".$_GET["um_id"]."'";
	abfrage2($sql);
}

$self = $_SERVER['PHP_SELF'];

$ti = 1;

echo "<table><tr>\n";
echo "<form action=\"$self\" method=\"GET\">\n";
echo "<th class=\"cl11\">Bereichsart:</th>\n";
echo "<td class=\"cl20\"><select name=\"res_typ\" size=\"1\" tabindex=\"$ti\" ";
echo "onchange=\"this.form.submit()\">\n"; $ti++;
echo "<option><b>Bereichsart w&auml;hlen!</b></option>\n";

$sql  = "select res_typ, name from tb_res_typ ";
$sql .= "where name != 'PKW' order by name asc;";
$res = abfrage1($sql);

while ($zeile = mysql_fetch_row($res)) {
	echo "<option value=\"$zeile[0]\"";
	if ($_REQUEST['res_typ'] == $zeile[0]) echo ' selected';
	echo ">$zeile[1]</option>\n";
}
echo "</select></td>\n";
echo "</form>\n";

/* Formular fuer neuen Bereich */
if ($_REQUEST['res_typ'] > 0){
	echo "<form action=\"zust_ber_sql.php\" method=\"POST\">\n";
	echo "<input type=\"hidden\" name=\"res_typ\" ";
	echo "value=\"{$_REQUEST['res_typ']}\">\n";
	echo "<th class=\"cl11\">neu:</th>\n";
	echo "<td class=\"cl1\"><input type=\"text\" name=\"name\" size=\"30\" ";
	echo "maxlength=\"50\"></td>\n";
	echo "<td><input type=\"submit\" value=\"neuen Bereich speichern\"></td></form>\n";
}

echo "</tr></table>\n";

new stwLine(1);

if ($_REQUEST['res_typ'] > 0){
	$sql  = "select res_id, name, farbe from tb_ressourcen ";
	$sql .= "where res_typ = '{$_REQUEST['res_typ']}' ";
	$sql .= "order by name asc;";
	$res = abfrage1($sql);

	echo "<table>\n";
	echo "<tr><th>Name</th>";
	if($_REQUEST['res_typ'] == 2) echo "<th>Farbe</th>";
	echo "</tr>\n";
	new stwTabLine(2,5);

	while ($row = mysql_fetch_assoc($res)){
	  echo "<tr>";
	  /* Formular zum Umbenennen eines Bereiches */
	  if($_GET['renRes'] == $row['res_id']){
		echo "<td colspan=\"2\" class=\"cl11\"><form action=\"$self\" method=\"GET\" name=\"umbenennen\">";
		echo "<input type=\"text\" name=\"um_name\" ";
		echo "size=\"" . strlen($row['name']) . "\" ";
		echo "value=\"" . $row['name'] . "\">&nbsp;";
		echo "<input type=\"hidden\" name=\"res_typ\" ";
		echo "value=\"{$_REQUEST['res_typ']}\">\n";
		echo "<input type=\"submit\" value=\"Ok\" ";
		echo "name=\"um_ok\"><input type=\"hidden\" name=\"um_id\" ";
		echo "value=\"" . $row['res_id'] . "\"></form></td>";
	  }
	  else {
		echo "<td class=\"cl11\"><a href=\"zust_and.php?";
		echo "res_id={$row['res_id']}\">{$row['name']}</a></td>\n";
		if($_REQUEST['res_typ'] == 2)
			echo "<td class=\"cl11\" style=\"color:{$row['farbe']}\">{$row['farbe']}</td>\n";

		/* Bereiche umbenennen ab Level 60 moeglich */
		if ($_SESSION[$AppCode]['ULV'] >= 60){
			echo "<td><a href=\"$self?res_typ=" . $_REQUEST['res_typ'];
			echo "&renRes=" . $row['res_id'] . "\" style=\"color: #f00;\"";
			echo stwToolTip('Umbenennen!');
			echo "><img src=\"img/stift.png\"></a></td>\n";
		}
	  }

	  /* Bereiche loeschen ab Level 60 moeglich */
	  if ($_SESSION[$AppCode]['ULV'] >= 60){
		echo "<td class=\"cl11\"><a href=\"$self?res_typ=" . $_REQUEST['res_typ'];
		echo "&delRes=" . $row['res_id'] . "\" style=\"color: #f00;\"";
		echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!');
		echo ">X</a>\n";
	  }
	  echo "</td></tr>\n";
	}

	new stwTabLine(2,5);
	echo "</table>\n";
}







//echo "<tr><th class=\"cl1\">Bezeichnung:</th>\n";
//echo "<td><input name=\"name\" size=\"50\" maxlength=\"50\" tabindex=\"$ti\">";
//echo "</td></tr>\n"; $ti++;
//
//new stwTabLine(2,10);
//echo "<tr><td><input type=\"submit\" value=\"Speichern\" tabindex=\"$ti\">";
//echo "</td></tr></table>\n";
//echo "</form>\n";

new stwEnd($seite);
?>
