<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ab_ueber.php 2812 2017-11-16 10:07:50Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 38;
$level = 65;
require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

set_session_url();

echo "<table>\n";

$ALG = abfrage("select hilfeart_id from tb_hilfeart where hilfeart = 'ALG'");
$CZT = abfrage("select hilfeart_id from tb_hilfeart where hilfeart = 'CZT'");

$mas = abfrage1("select z.pers_id from tb_ab_zk z
				left join tb_personal p using (pers_id)
				where z.ab = 'j' and z.pers_id > 0
				and z.nachw_id is null
				group by z.pers_id
				order by p.personalnr asc;");

while ($ma = mysql_fetch_row($mas)){
	$von = $bis = $pro = $zk = 0;
	$tms = abfrage1("select
					unix_timestamp(t.von),
					unix_timestamp(t.bis),
					z.proj_id, z.zk_id
					from tb_termine t
					left join tb_ab_zk z on t.termin_id = z.termin_id
					left join tb_projekte p on z.proj_id = p.proj_id
					left join tb_hilfeart h on h.hilfeart_id = p.hilfeart_id
					left join tb_ab_code c on z.code = c.code
					where z.ab = 'j'
					and z.nachw_id is NULL
					and z.ab_monat is not NULL
					and h.fls_azk = 1
					and z.pers_id = $ma[0]
					and p.hilfeart_id != '$ALG[0]' and p.hilfeart_id != '$CZT[0]'
					and (c.over = 0 or c.over is NULL)
					and z.code!='S'
					order by unix_timestamp(t.von) asc;");

	while ($tm = mysql_fetch_row($tms)){
		if ($tm[0] < $bis && $tm[1] > $von){

			echo "<tr><th>" . pers_kname($ma[0]) . "</th>";
			echo "<td width=\"5\"></td>";
			echo "<td><a href=\"pro_ab_zk.php?zk_id=$zk&proj_id=$pro\" ";
			echo "title=\"Zeitkarte &auml;ndern\">";
			echo date('d.m.Y', $von) . "</a></td>";
			echo "<td width=\"5\"></td>";
			echo "<td>" . date('H:i', $von) . "</td>";
			echo "<td>-</td>";
			echo "<td>" . date('H:i', $bis) . "</td>";
			echo "<td width=\"5\"></td>";
			$proj1 = new stwProjekt($pro);
			echo "<td><a href=\"pro_ab.php?proj_id=$tm[2]\" title=\"Abrechnungs&uuml;bersicht\">";
			echo $proj1->nummer() . "</a></td></tr>\n";

			echo "<tr><td></td>\n";
			echo "<td width=\"5\"></td>";
			echo "<td><a href=\"pro_ab_zk.php?zk_id=$tm[3]&proj_id=$tm[2]\" ";
			echo "title=\"Zeitkarte &auml;ndern\">";
			echo date('d.m.Y', $tm[0]) . "</a></td>";
			echo "<td width=\"5\"></td>";
			echo "<td>" . date('H:i', $tm[0]) . "</td>";
			echo "<td>-</td>";
			echo "<td>" . date('H:i', $tm[1]) . "</td>";
			echo "<td width=\"5\"></td>";
			$proj2 = new stwProjekt($tm[2]);
			echo "<td><a href=\"pro_ab.php?proj_id=$tm[2]\" title=\"Abrechnungs&uuml;bersicht\">";
			echo $proj2->nummer() . "</a></td></tr>\n";

			new stwTabLine(2,20);
		}
		$von = $tm[0];
		$bis = $tm[1];
		$pro = $tm[2];
		$zk  = $tm[3];
	}
}



echo "</table>\n";




new stwLine(1);
new stwEnd($seite);
?>
