<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: azv_pr.php 2552 2016-03-23 13:27:41Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

$footer = "AZV-Liste";

$pdf->AddPage();
$titel = "AZV-Liste";

$y_axis = 35;
$rh = 5;
$pdf->SetDrawColor(0,0,0);
$pdf->SetFillColor(232,232,232);

$sql = "select t1.pers_id, if(t2.kurzname IS NULL, t2.personalart, t2.kurzname),
		t1.personalnr, left(t1.vorname,1), left(t1.name,1), name 
		from tb_personal t1 left join tb_personalart t2 using (p_art_id)
        where t1.status_id = 2 and (t1.besch_id = 1 or t1.besch_id = 4)
        order by t1.personalnr asc;";
$res = mysql_query($sql) or die (mysql_error());
while ($row = mysql_fetch_row($res)) {
  if($y_axis == 35) {
    $pdf->SetFont('stw','',14);
    $pdf->Text(15,30,$titel);
    // berschriften
    $pdf->SetFont('arialb','',8);
	$pdf->SetLineWidth('0.3');
    $pdf->SetY($y_axis);
    $pdf->SetX(15);
    $pdf->Cell(20,$rh,'Personal-Nr.',1,0,'C',0);
    $pdf->Cell(25,$rh,'Name',1,0,'C',0);
    $pdf->Cell(15,$rh,'FLS Soll',1,0,'C',0);
    $pdf->Cell(20,$rh,'Anstellung',1,0,'C',0);
    $pdf->Cell(15,$rh,'LAS',1,0,'C',0);
    $pdf->Cell(15,$rh,'VG',1,0,'C',0);
    $pdf->Cell(15,$rh,'Kinder',1,0,'C',0);
    $pdf->Cell(10,$rh,'PK',1,0,'C',0);
    $pdf->Cell(15,$rh,'Urlaub',1,0,'C',0);
    $pdf->Cell(15,$rh,'gen.',1,0,'C',0);
    $pdf->Cell(15,$rh,'Rest',1,0,'C',0);
    $pdf->SetLineWidth('0.1');
    $y_axis += $rh;
  }
  $pdf->SetFont('arial','',8);
  $pnr = $row[1] . $row[2] . $row[3] . $row[4];
  $pdf->SetY($y_axis);
  $pdf->SetX(15);
  $pdf->Cell(20,$rh,$pnr,1,0,'L',0);
  $name = $row[3] . ". " . $row[5];
  $pdf->Cell(25,$rh,$name,1,0,'L',0);
  $von = abfrage("select max(von) from tb_paz
					where pers_id = '$row[0]'	group by pers_id;");
  // Anstellung aus aktueller AZV ermitteln
	$paz = abfrage("select paz_id, anst, las, vg, urlaub, urlaub_vj, sonderurlaub
					from tb_paz where pers_id = $row[0]
					and von = '$von[0]';");
	if ($paz) {
		$fls = fls_woche($paz[0]);
	    $fls1 = fls_form(fls_woche($paz[0]));
	    $pdf->Cell(15,$rh,$fls1,1,0,'R',0);
	    $anst = number_format($paz[1], 2, ',', '.') . " %";
	    $pdf->Cell(20,$rh,$anst,1,0,'R',0);
	    $pdf->Cell(15,$rh,$paz[2],1,0,'C',0);
	    $pdf->Cell(15,$rh,$paz[3],1,0,'C',0);
  	} else {
	    $pdf->Cell(15,$rh,'',1,0,'L',0);
	    $pdf->Cell(20,$rh,'',1,0,'L',0);
	    $pdf->Cell(15,$rh,'',1,0,'L',0);
	    $pdf->Cell(15,$rh,'',1,0,'L',0);    
  	}
  $kinder = abfrage("select count(kind_id) from tb_kinder
                      where pers_id = $row[0] and kigeld = 'j' and kigeld_empf = 'M';");
  if ($kinder[0] > 0) {
    $kind = $kinder[0];
  } else {
    $kind = '';
  }
  $pdf->Cell(15,$rh,"$kind",1,0,'C',0);
  $pens = pers_pension($row[0]);
  if ($pens) {
    $pension = $pens[0];
  } else {
    $pension = '';
  }
  if ($pens[1] == "red") {
    $pdf->SetFont('arialb','',9);
  }
  $pdf->Cell(10,$rh,"$pension",1,0,'R',0);
  
	if ($paz){
		$anspr = ($paz[4] + $paz[5] + $paz[6]);
		if ($anspr == 0){
			$anspr1 = '';
		} else {
			$anspr1 = $anspr . " T.";
		}
		$pdf->Cell(15,$rh,$anspr1,1,0,'C',0);
		$gen = urlaub_genommen($row[0]);
		if ($gen == 0){
			$gen1 = '';
		} else {
			$gen1 = $gen .  " T.";
		}
		$pdf->Cell(15,$rh,$gen1,1,0,'C',0);
		
		$rest = $anspr - $gen;
		$rest1 = $rest . " T.";
		$pdf->Cell(15,$rh,$rest1,1,0,'C',0);
		
	} else {
		$pdf->Cell(15,$rh,'',1,0,'L',0);
		$pdf->Cell(15,$rh,'',1,0,'L',0);
		$pdf->Cell(15,$rh,'',1,0,'L',0);
	}
  
  if($y_axis >= 270) {
	$pdf->AddPage();
	$y_axis = 35;
  } else $y_axis = $y_axis + $rh;
}

$pdf->Output();
exit;
?>
