<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: azv_pr2.php 2255 2014-03-25 10:01:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

$footer = "Arbeitszeitvereinbarungen    " . pers_name($rvar_pers_id);

$pdf->AddPage();

$pdf->SetFont('stw','',14);
$pdf->Text(15,30,$footer);

$y_axis = 35;
$rh = 6;

$pdf->SetXY(15,$y_axis);
$pdf->SetFont('arialb','',12);
$pdf->Cell(25,$rh, 'Kinder:',0,0,'L',0);

$kinder = abfrage("select count(kind_id) from tb_kinder
                      where pers_id = $rvar_pers_id;");
  if ($kinder[0] > 0) {
    $kind = $kinder[0];
  } else {
    $kind = '';
  }
$pdf->Cell(25,$rh, $kind,0,0,'L',0);

$y_axis = $y_axis + $rh;
$pdf->SetXY(15,$y_axis);
$pdf->Cell(25,$rh, 'PK:',0,0,'L',0);
$pens = pers_pension($rvar_pers_id);
  if ($pens) {
    $pension = $pens[0] . " EUR";
  } else {
    $pension = '';
  }
$pdf->Cell(25,$rh, $pension,0,0,'L',0);

$y_axis = $y_axis + 10;
$rh = 6;

$pdf->SetDrawColor(0,0,0);
$pdf->SetLineWidth('0.3');

// berschriften
$pdf->SetFont('arialb','',9);
$pdf->SetFillColor(150,150,150);
$pdf->SetLineWidth('0.1');
$pdf->SetY($y_axis);
$pdf->SetX(15);
$pdf->Cell(20,$rh,'von',1,0,'C',0);
$pdf->Cell(20,$rh,'bis',1,0,'C',0);
$pdf->Cell(20,$rh,'FLS Soll',1,0,'C',0);
$pdf->Cell(20,$rh,'Anstellung',1,0,'C',0);
$pdf->Cell(15,$rh,'LAS',1,0,'C',0);
$pdf->Cell(15,$rh,'VG',1,0,'C',0);
$pdf->Cell(20,$rh,'Urlaub',1,0,'C',0);
$pdf->Cell(20,$rh,'Resturl.',1,0,'C',0);
$pdf->Cell(20,$rh,'Sonderurl.',1,0,'C',0);

$sql = "select paz_id, date_format(von, '%d.%m.%Y'), date_format(bis, '%d.%m.%Y'),
		anst, las, vg, urlaub, urlaub_vj, sonderurlaub
		from tb_paz where pers_id= $rvar_pers_id order by von desc";
$res = mysql_query($sql) or die(mysql_error());
$y_axis = $y_axis + $rh;
$pdf->SetFont('arial','',9);

while ($row = mysql_fetch_row($res)) {
  $pdf->SetY($y_axis);
  $pdf->SetX(15);
  $pdf->Cell(20,$rh,$row[1],1,0,'R',0);
  if ($row[2] > 0){
  	$bis = $row[2];
  } else {
  	$bis = "";
  }
  $pdf->Cell(20,$rh,$bis,1,0,'R',0);

    $fls = fls_form(fls_woche($row[0]));
    $pdf->Cell(20,$rh,$fls,1,0,'R',0);
    $anst = number_format($row[3], 2, ',', '.') . " %";
    $pdf->Cell(20,$rh,$anst,1,0,'R',0);
    $pdf->Cell(15,$rh,$row[4],1,0,'C',0);
    $pdf->Cell(15,$rh,$row[5],1,0,'C',0);
	$pdf->Cell(20,$rh,$row[6],1,0,'C',0);
	$pdf->Cell(20,$rh,$row[7],1,0,'C',0);
	$pdf->Cell(20,$rh,$row[8],1,0,'C',0);
	$y_axis = $y_axis + $rh;
}

$pdf->Output();
exit;


?>
