<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: bereit_pr.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_cache_limiter("private");
session_start();


/* Sicherheitslevel der notwendig ist */
$level = 45;
$level_altern = 25;
$seite = 14;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 
 require_once("inc/auth.inc.php");
 require_once("inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

// Setzen von $jahr (+optional $monat) bzw. $von + $bis
// und daraus $datumanfang/$datumende
require('bereit_reqdat.inc.php');

$pers_order = getPersOrder($seite);

// Kein Hinweis auf Datenschutz
$no_ds=true;

$pdf=new PDF('L','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');

//$pdf->SetAutoPageBreak(true);
$pdf->SetAutoPageBreak(true);
$pdf->AliasNbPages();
$pdf->SetLineWidth('0.1');
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);

$footer = "Bereitschaftsplanung fr Zeitraum ".date('d.m.Y', $datumanfang).' - '.date('d.m.Y', $datumende);


$pdf->AddPage();

$rh_caption=6;
$rh = 10;

$pdf->SetFont('Arial','B',12);
$pdf->Cell(96,6,'Bereitschaftsplan','B');

$pdf->Cell(150,6,'Zeitraum '.date('d.m.Y', $datumanfang).' - '.date('d.m.Y', $datumende),'B');

$pdf->Ln();

$pdf->SetFont('Arial','B',10);

$pdf->Cell(12,$rh_caption,'KW',1,0,'C');
$pdf->Cell(36,$rh_caption,'Zeitraum',1,0,'C');
$pdf->Cell(54,$rh_caption,'Bereitschaft',1,0,'C');
$pdf->Cell(54,$rh_caption,'Hintergrundbereitschaft',1,0,'C');
$pdf->Cell(54,$rh_caption,'Fahrbereitschaft1',1,0,'C');
$pdf->Cell(54,$rh_caption,'Fahrbereitschaft2',1,1,'C');


$pdf->SetFont('Arial','',10);

/* hufig gebrauchte Results und Zwischenwerte holen */
/* Mitarbeiter mit Bereitschaft/Hintergrundbereitschaft sowie Anzahl derselben */

$sql  = "select pers_id from tb_personal ";
$sql .= "where status_id = '2' and ";
$sql .= "bereitschaft In ('j','h')";
if ($pers_order == 2) {
	$sql .= "order by name asc, vorname asc;";
} else {
	$sql .= "order by vorname asc, name asc;";
}
$res_ma = abfrage1($sql);
$anz_ma = mysql_num_rows($res_ma);
 
/* Bereitschaft (inkl. Hintergrund- und Fahrbereitbereitschaft) fuer das Jahr auslesen */
$sql  = "SELECT UNIX_TIMESTAMP(datum), bereit_id, pers_id, pers_id_h,".
		"pers_id_d, pers_id_f1, pers_id_f2, pers_id_dh ".
		"FROM tb_bereit ".
		"WHERE datum BETWEEN FROM_UNIXTIME(".$datumw.")".
		" AND FROM_UNIXTIME(".$datumende.") ".
		"ORDER BY datum ASC";
$res_bereit = abfrage1($sql);
$bereit_zeile = mysql_fetch_row($res_bereit);
if (!$bereit_zeile) {
	$bereit_zeile = array ($datumende, "0", "0", "0", "0", "0", "0", "0");
}

$t = 7; // Tag der Woche --> 8 = neue KW
$tagesbereit = true;
$zeilen_frei = 15;

while ($datumw <= $datumende) {

	
	if ($t==7) {
		/* Bereitschaft fr die KW */
		$tagesbereit = false;
		$t = 0;
		$kw++;
	} else {
		/* Tagesbereitschaft */
		$tagesbereit = true;
		if ($datumw < $datumanfang) {
			$datumw = $datumanfang;
			$t = date('w', $datumw);
			if ($t == 0) {
				$t = 7;
			}
		} else {
			$t++;
		}
	}
	
	$mydat = date('Y-m-d', $datumw);
	
	$val_bereitschaft='';
	$val_hintergrund='';
	$val_fahrbereit1='';
	$val_fahrbereit2='';
	
	if ($anz_ma > 0) {

		/* ----- BEREITSCHAFT ----- */

		while ($datumw > $bereit_zeile[0]) {
			$bereit_zeile = mysql_fetch_row($res_bereit);
			if (!$bereit_zeile) {
				$bereit_zeile = array ($datumende, "0", "0", "0", "0", "0", "0", "0");
			}
		}
		if ($datumw < $bereit_zeile[0]) {
			$bereit['bereit_id'] = NULL;
			$bereit['pers_id'] = $bereit['pers_id_h'] =
			$bereit['pers_id_d'] = $bereit['pers_id_f1'] =
			$bereit['pers_id_f2'] = $bereit['pers_id_dh'] = '0';
		} elseif ($datumw == $bereit_zeile[0]) {
			$bereit['bereit_id'] = $bereit_zeile[1];
			$bereit['pers_id'] = $bereit_zeile[2];
			$bereit['pers_id_h'] = $bereit_zeile[3];
			$bereit['pers_id_d'] = $bereit_zeile[4];
			$bereit['pers_id_f1'] = $bereit_zeile[5];
			$bereit['pers_id_f2'] = $bereit_zeile[6];
			$bereit['pers_id_dh'] = $bereit_zeile[7];
		}
		
		if (!$tagesbereit) {
			$suchid = $bereit['pers_id'];
		} else {
			$suchid = $bereit['pers_id_d'];
		}
		
		if ($suchid) {
			mysql_data_seek($res_ma, 0);
			while ($row = mysql_fetch_row($res_ma)){
				if ($suchid == $row[0]) {
					if ($pers_order == 2) {
						$val_bereitschaft=pers_name2($row[0]);
					} else {
						$val_bereitschaft=pers_name ($row[0]);
					}
				}
			}
		}

		/* ----- HINTERGRUNDBEREITSCHAFT ----- */

		if ((!$tagesbereit && $bereit['pers_id_h']) ||
			($tagesbereit  && $bereit['pers_id_dh'])) {
			
			if (!$tagesbereit) {
				$suchid = $bereit['pers_id_h'];
			} else {
				$suchid = $bereit['pers_id_dh'];
			}
			
			mysql_data_seek($res_ma, 0);
			while ($row = mysql_fetch_row($res_ma)) {
				if ($suchid == $row[0]) {
					if ($pers_order == 2) {
						$val_hintergrund=pers_name2($row[0]);
					} else {
						$val_hintergrund=pers_name($row[0]);
					}
					break;
				}
			}
		}

		/* ----- Fahrbereitschaften ----- */

		if ($tagesbereit) {
		
			$suchid = $bereit['pers_id_f1'];
			if ($suchid) {
				mysql_data_seek($res_ma, 0);
				while ($row = mysql_fetch_row($res_ma)) {
					if ($suchid == $row[0]) {
						if ($pers_order == 2) {
							$val_fahrbereit1=pers_name2($row[0]);
						} else {
							$val_fahrbereit1=pers_name($row[0]);
						}
						break;
					}
				}
			}
			$suchid = $bereit['pers_id_f2'];
			if ($suchid) {
				mysql_data_seek($res_ma, 0);
				while ($row = mysql_fetch_row($res_ma)) {
					if ($suchid == $row[0]) {
						if ($pers_order == 2) {
							$val_fahrbereit2=pers_name2($row[0]);
						} else {
							$val_fahrbereit2=pers_name($row[0]);
						}
					}
				}
			}
		}
	}

	if (!$tagesbereit || $alle || $val_bereitschaft || $val_hintergrund || $val_fahrbereit1 || $val_fahrbereit2) {
		if ($tagesbereit) {
			if ($zeilen_frei == 0) {
				$zeilen_frei = 17;
				$pdf->AddPage();
			}
			$pdf->Cell(12,$rh,'',1);
			$pdf->Cell(36,$rh,date("d.m.y", $datumw),1,0,'C');
		} else {
			if ($zeilen_frei < 2) {
				$zeilen_frei = 17;
				$pdf->AddPage();
			}
			$pdf->Cell(12,$rh,"KW ".date('W',$datumw),1);
			$pdf->Cell(36,$rh,date("d.m.y", $datumw)." - ".
						date('d.m.y', mktime(0,0,0,date('m', $datumw),date('d', $datumw) + 6, date('Y', $datumw))),
						1,0,'C');
		}
	
		$pdf->Cell(54,$rh,$val_bereitschaft,1);
		$pdf->Cell(54,$rh,$val_hintergrund,1);
		$pdf->Cell(54,$rh,$val_fahrbereit1,1);
		$pdf->Cell(54,$rh,$val_fahrbereit2,1,1);
		
		$zeilen_frei--;
	}
	
	if ($tagesbereit) {
		$datumw =  mktime(0,0,0,date('m', $datumw),date('d', $datumw) + 1, date('Y', $datumw));
	}
}

$pdf->Output();

?>
