<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: bibo.php 2848 2018-04-19 09:06:58Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 34;
 $level = 6;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 8);

/* --- Abschnitt (X)AJAX --- */
require_once($pfad . 'inc/func.inc.php');
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');
function EinstellungenSpeichern($pers_id, $id, $wert) {
	$userResp = new xajaxResponse();
	abfrage2("replace into tb_pers_einst_neu set pers_id='$pers_id', pers_einst_id='55', wert='$wert'");
	$img = $wert == 'datum_desc' ? 'sort_down' : 'sort_up';
	$userResp->assign('OrderIcon'.$id, 'src', image($img,16,16,0,255,0));
	return $userResp;
}
$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('check');
$xajax->registerFunction('ressort_check');
$xajax->registerFunction('ressort_activate');
$xajax->registerFunction('EinstellungenSpeichern');
$xajax->registerFunction('save_note');
/* --- Ende Abschnitt (X)AJAX --- */

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");
 require_once($pfad."inc/level.inc.php");

if($_GET['sort']=='inventur_desc' || $_GET['sort']=='inventur_asc' || $_GET['inventur']==1) {
	$pers_einst = abfrage1("select pers_id from tb_pers_einst where pers_id='$uid'");
	$sql  = (mysql_num_rows($pers_einst) > 0) ? "update" : "insert into";
	$sql .= " tb_pers_einst set biboinventur=";
	$sql .= $_GET['inventur']==1 ? 0 : 1;
	$sql .= (mysql_num_rows($pers_einst) > 0) ? " where" : ",";
	$sql .= " pers_id='$uid'";
	abfrage2($sql);
}

set_session_url();
if(!isset($_SESSION[$AppCode]['bibo_alle'])) $_SESSION[$AppCode]['bibo_alle']=false;
if(isset($_GET['alle'])) $_SESSION[$AppCode]['bibo_alle'] = $_GET['alle']=='alle' ? true : false;

if (isset($_POST["suche"])){
	$where = " where concat(t2.kuerzel,'/',t1.nr) like '%$rvar_suche%'
				or t1.titel like '%$rvar_suche%'
				or t1.utitel like '%$rvar_suche%'
				or t1.autor like '%$rvar_suche%'
				or t1.notizen like '%$rvar_suche%'
				or t2.name like '%$rvar_suche%' ";
} elseif(!$_SESSION[$AppCode]['bibo_alle']) {
	$where = " where t1.abgangsdatum IS NULL ";
} else {
	$where = "";
}
$persSort = getPersEinst($uid,55,'nr_asc');
$sortTT = stwToolTip("aktuelle Sortierung als pers&ouml;nliche Voreinstellung speichern");
$sort = isset($_GET["sort"]) ? $_GET["sort"] : $persSort;
switch ($sort) {
	case 'id_asc':
		$by = "t1.buch_id asc";
		break;
	case 'nr_asc':
		$by = "concat(t2.kuerzel,'/',t1.buch_id) asc";
		break;
	case 'titel_asc':
		$by = "t1.titel asc";
		break;
	case 'autor_asc':
		$by = "t1.autor asc";
		break;
	case 'kat_asc':
		$by = "t2.name asc, concat(t2.kuerzel,t1.nr) asc, t1.titel asc";
		break;
	case 'st_asc':
		$by = "t1.ausleihe asc, t3.bis asc";
		break;
	case 'inventur_asc':
		$by = "t1.inventur asc, concat(t2.kuerzel,'/',t1.nr) asc";
		break;
	case 'ort_asc':
		$by = "t1.standort asc";
		break;
	case 'id_desc':
		$by = "t1.buch_id desc";
		break;
	case 'nr_desc':
		$by = "concat(t2.kuerzel,'/',t1.buch_id) desc";
		break;
	case 'titel_desc':
		$by = "t1.titel desc";
		break;
	case 'autor_desc':
		$by = "t1.autor desc";
		break;
	case 'kat_desc':
		$by = "t2.name desc, concat(t2.kuerzel,t1.nr) asc, t1.titel asc";
		break;
	case 'st_desc':
		$by = "t1.ausleihe desc, t3.bis desc";
		break;
	case 'inventur_desc':
		$by = "t1.inventur desc, concat(t2.kuerzel,'/',t1.nr) asc";
		break;
	case 'ort_desc':
		$by = "t1.standort desc";
		break;
}

$order = " order by " . $by;

$sql = "select distinct t1.buch_id, concat(t2.kuerzel,'/<span style=\"color:grey\">',t1.nr,'</span>'), t1.titel, t1.autor,
		t2.name, t1.ausleihe, t1.utitel, DATE_FORMAT(t1.inventur,'%d.%m.%Y'), t1.standort, t1.abgang_pers_id, DATE_FORMAT(t1.abgangsdatum,'%d.%m.%Y')
		from tb_buch t1
		left join tb_buch_kat t2 using (kat_id)
		left join tb_buch_aus t3 using (buch_id)
		$where
		$order ;";

$res = mysql_query($sql) or die(mysql_error());

// Suchfunktion
echo "<form method=\"post\" action=\"" . $_SERVER["PHP_SELF"] . "\">\n";
echo "<table><tr>";
if ($_SESSION[$AppCode]["ULV"] >= 60 || check_nutzer_rechte(39)){
  echo "<td class=\"cl20\">";
  echo "<input type=\"button\" value=\"neues Buch\" ";
  echo "onClick=\"self.location.href='bibo_buch.php'\"></td>\n";
}

echo "<th>Suchen:&nbsp;</th>\n";

if (isset($_POST["suche"])) {
	$value = "value=\"{$_POST["suche"]}\"";
} else {
	$value = "";
}

echo "<td><input type=\"text\" name=\"suche\" $value size=\"50\" maxlength=\"100\"></td>";
echo "<td class=\"cl20\"><input type=\"submit\" value=\"Suche!\"></td>\n";
echo "</form>\n";

echo "<td class=\"cl1\"><input type=\"button\" value=\"";
echo $_SESSION[$AppCode]['bibo_alle'] ? 'aktive' : 'alle';
echo "\" onClick=\"self.location.href='bibo.php?alle=";
echo $_SESSION[$AppCode]['bibo_alle'] ? 'aktive' : 'alle';
echo "'\"".stwToolTip(($_SESSION[$AppCode]['bibo_alle'] ? 'nur aktive' : 'auch inaktive') . ' anzeigen')."/></td>";

echo "</tr></table>\n";
new stwLine(1);

$self =  $_SERVER['PHP_SELF'];

echo "<table>\n";
$nr_sort = $sort=='nr_asc' ? 'nr_desc' : 'nr_asc';
echo "<tr><th";
echo stwToolTip('Systematik');
echo "><a href=\"$self?sort=$nr_sort\">SYST</a> ";
if($sort=='nr_desc' || $sort=='nr_asc') {
	$img = $sort=='nr_desc' ? 'sort_down' : 'sort_up';
	echo "<img $sortTT id=\"OrderIcon0\" style=\"cursor:pointer;position:relative;top:3px\" src=\"";
	echo $sort==$persSort ? image($img,16,16,0,255,0) : image($img);
	echo "\" onclick=\"xajax_EinstellungenSpeichern($uid,0,'$sort')\" />";
}
echo "</th>\n";
$id_sort = $sort=='id_asc' ? 'id_desc' : 'id_asc';
echo "<th style=\"padding-right:10px\"><a href=\"$self?sort=$id_sort\">ID</a> ";
if($sort=='id_desc' || $sort=='id_asc') {
	$img = $sort=='id_desc' ? 'sort_down' : 'sort_up';
	echo "<img $sortTT id=\"OrderIcon7\" style=\"cursor:pointer;position:relative;top:3px\" src=\"";
	echo $sort==$persSort ? image($img,16,16,0,255,0) : image($img);
	echo "\" onclick=\"xajax_EinstellungenSpeichern($uid,7,'$sort')\" />";
}
echo "</th>\n";
$titel_sort = $sort=='titel_asc' ? 'titel_desc' : 'titel_asc';
echo "<th style=\"padding-right:10px\"><a href=\"$self?sort=$titel_sort\">Titel</a> ";
if($sort=='titel_desc' || $sort=='titel_asc') {
	$img = $sort=='titel_desc' ? 'sort_down' : 'sort_up';
	echo "<img $sortTT id=\"OrderIcon1\" style=\"cursor:pointer;position:relative;top:3px\" src=\"";
	echo $sort==$persSort ? image($img,16,16,0,255,0) : image($img);
	echo "\" onclick=\"xajax_EinstellungenSpeichern($uid,1,'$sort')\" />";
}
echo "</th>\n";
$autor_sort = $sort=='autor_asc' ? 'autor_desc' : 'autor_asc';
echo "<th style=\"padding-right:10px\"><a href=\"$self?sort=$autor_sort\">Autor</a> ";
if($sort=='autor_desc' || $sort=='autor_asc') {
	$img = $sort=='autor_desc' ? 'sort_down' : 'sort_up';
	echo "<img $sortTT id=\"OrderIcon2\" style=\"cursor:pointer;position:relative;top:3px\" src=\"";
	echo $sort==$persSort ? image($img,16,16,0,255,0) : image($img);
	echo "\" onclick=\"xajax_EinstellungenSpeichern($uid,2,'$sort')\" />";
}
echo "</th>\n";
$ort_sort = $sort=='ort_asc' ? 'ort_desc' : 'ort_asc';
echo "<th style=\"padding-right:10px\"><a href=\"$self?sort=$ort_sort\">Standort</a> ";
if($sort=='ort_desc' || $sort=='ort_asc') {
	$img = $sort=='ort_desc' ? 'sort_down' : 'sort_up';
	echo "<img $sortTT id=\"OrderIcon3\" style=\"cursor:pointer;position:relative;top:3px\" src=\"";
	echo $sort==$persSort ? image($img,16,16,0,255,0) : image($img);
	echo "\" onclick=\"xajax_EinstellungenSpeichern($uid,3,'$sort')\" />";
}
echo "</th>\n";
if(check_nutzer_rechte(91)) {
	$invsort = $sort=='inventur_asc' ? 'inventur_desc' : 'inventur_asc';
	$inventur_aktiv = getPersEinst($uid,'biboinventur',0);
	echo "<th class=\"cl1\" style=\"text-align:right\"><a href=\"$self?sort=$invsort\"";
	if($inventur_aktiv == 0) echo " style=\"color:#999999\"";
	echo ">Inventur</a><a style=\"font-size:small;position:relative;left:0;top:-4px;";
	if($inventur_aktiv == 0) echo "color:#999999\" href=\"$self?sort=$invsort\"";
	else echo "\" href=\"$self?sort=nr_asc&amp;inventur=1\"";
	echo ">+</a> ";
	if($sort=='inventur_desc' || $sort=='inventur_asc') {
		$img = $sort=='inventur_desc' ? 'sort_down' : 'sort_up';
		echo "<img $sortTT id=\"OrderIcon4\" style=\"cursor:pointer;position:relative;top:3px\" src=\"";
		echo $sort==$persSort ? image($img,16,16,0,255,0) : image($img);
		echo "\" onclick=\"xajax_EinstellungenSpeichern($uid,4,'$sort')\" />";
		}
	echo "</th>\n";
} else $inventur_aktiv = -1;
$kat_sort = $sort=='kat_asc' ? 'kat_desc' : 'kat_asc';
echo "<th style=\"padding-right:10px\"><a href=\"$self?sort=$kat_sort\">Kategorie</a> ";
if($sort=='kat_desc' || $sort=='kat_asc') {
	$img = $sort=='kat_desc' ? 'sort_down' : 'sort_up';
	echo "<img $sortTT id=\"OrderIcon5\" style=\"cursor:pointer;position:relative;top:3px\" src=\"";
	echo $sort==$persSort ? image($img,16,16,0,255,0) : image($img);
	echo "\" onclick=\"xajax_EinstellungenSpeichern($uid,5,'$sort')\" />";
}
echo "</th>\n";
$st_sort = $sort=='st_asc' ? 'st_desc' : 'st_asc';
echo "<th><a href=\"$self?sort=$st_sort\">Status</a> ";
if($sort=='st_desc' || $sort=='st_asc') {
	$img = $sort=='st_desc' ? 'sort_down' : 'sort_up';
	echo "<img $sortTT id=\"OrderIcon6\" style=\"cursor:pointer;position:relative;top:3px\" src=\"";
	echo $sort==$persSort ? image($img,16,16,0,255,0) : image($img);
	echo "\" onclick=\"xajax_EinstellungenSpeichern($uid,6,'$sort')\" />";
}
echo "</th>\n</tr>\n";

new stwTabLine(2,30);

while ($row = mysql_fetch_row($res)) {
	echo "<tr class=\"mo\">\n";
	$von = abfrage("select max(unix_timestamp(von)), to_days(curdate())
					from tb_buch_aus where buch_id = $row[0]");
	if (empty($von[0])){
		$style = "";
		$title = "";
		$leihe = 1;
	} else {
		$bis = abfrage("select unix_timestamp(bis), pers_id, to_days(von), date_format(von, '%d.%m.%Y') as seit
		                from tb_buch_aus
		                where buch_id = $row[0]
		                and unix_timestamp(von) = $von[0]");
		if(empty($bis[0])){
			$leihe = 0;
			$name = pers_name($bis[1]);
			if (($von[1] - $bis[2]) > 14){
				$style = "style=\"color:red\"";
				$title = stwToolTip("ausgeliehen ($name) seit $bis[3]<br>R&uuml;ckgabe &uuml;berf&auml;llig");
			} else {
				$style = "style=\"color:white\"";
				$title = stwToolTip("ausgeliehen ($name) seit $bis[3]");
			}
		} else {
			$style = "";
			$title = "";
			$leihe = 1;
		}
	}

	echo "<td style=\"padding-right:5px\">";
	echo "<a href=\"bibo_buch.php?buch_id=$row[0]\" $style $title>";
	if (empty($row[1])) printf("keine Nr."); else printf("%s", $row[1]);
	echo "</a></td>";

	echo "<td style=\"padding-right:10px\">";
	echo "<a href=\"bibo_buch.php?buch_id=$row[0]\" $style $title>";
	echo $row[0] + 1000;
	echo "</a></td>";

	if (strlen($row[6]) > 0){
		$title = $row[6];
	} else {
		$title = "";
	}
	$titel = strCut($row[2], 30);
	echo "<td style=\"padding-right:10px\">";
	$style = empty($row[9]) ? (empty($title)?'':stwToolTip($title)) : "style=\"color:grey\"".stwToolTip("<b>$title</b><br>Abgang am $row[10] durch ".pers_kname($row[9]));
	echo "<a $style href=\"bibo_buch.php?buch_id=$row[0]\">$titel</td>";
	$autor = strCut($row[3], 30);
	echo "<td style=\"padding-right:10px\">$autor</td>";
	$standort = strCut($row[8], 30);
	echo "<td style=\"padding-right:10px\"";
	if($inventur_aktiv == 0) echo " colspan=\"2\"";
	echo ">$standort</td>";
	if($inventur_aktiv == 1) echo "<td class=\"cl1\">$row[7]</td>";
	$cat = strCut($row[4], 20);
	echo "<td style=\"padding-right:10px\">$cat</td>";
	if ($leihe == 1){
		if ($row[5] == 'j'){
			echo "<td><a href=\"bibo_aus.php?buch_id=$row[0]\">ausleihen</td>\n";
		} else {
		  echo "<td>keine Ausleihe</td>\n";
		}
	}
  else
  {
    if ($_SESSION[$AppCode]["UID"] == $bis[1] || check_nutzer_rechte(39)) {
			echo "<td><a href=\"bibo_zur.php?buch_id=$row[0]&von=$von[0]\">zur&uuml;ckgeben</td>";
		} else {
		  echo "<td>ausgeliehen</td>\n";
		}
	}
	echo "</tr>\n";
}

new stwLine(1);
new stwEnd($seite);
?>
