<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 *
 */

session_start();
$seite = 67;

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function del($id) {
	abfrage2("DELETE FROM tb_bkto WHERE kto_id = '$id'");
	$userResp = new xajaxResponse();
	$userResp->assign("tr_$id", 'style.display', 'none');
	return $userResp;
}

function aktiv($id) {
	$userResp = new xajaxResponse();
	$aktiv = abfrage("select aktiv from tb_bkto where kto_id='$id'");
	$v = $aktiv[0]=='j' ? 'n' : 'j';
	$co = $aktiv[0]=='j' ? 'grey' : 'lime';
	abfrage2("UPDATE tb_bkto SET aktiv='$v' WHERE kto_id='$id'");
	$userResp->assign("X$id", 'style.color', $co);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('del');
$xajax->registerFunction('aktiv');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/stw.inc.php");
set_session_url();

if ($_SESSION[$AppCode]['ULV'] < 60) {
	new stwEnd($seite);
	exit(0);
}
$self = $_SERVER['PHP_SELF'];
$page = isset($_REQUEST['page']) ? $_REQUEST['page'] : 1;
$ma = (isset($_REQUEST['ma'])) ? $_REQUEST['ma'] : false;
$traeger = (isset($_REQUEST['traeger'])) ? $_REQUEST['traeger'] : false;
$anz = (isset($_REQUEST['anz'])) ? $_REQUEST['anz'] : false;
$tag = (isset($_REQUEST['tag'])) ? $_REQUEST['tag'] : false;
$art = (isset($_REQUEST['art'])) ? $_REQUEST['art'] : false;
$hp_id = (isset($_REQUEST['hp_id'])) ? $_REQUEST['hp_id'] : false;
$traegerart_id = (isset($_REQUEST['traegerart_id'])) ? $_REQUEST['traegerart_id'] : (($traeger == "all" || $traeger == false) ? 1 : $traeger);
$sort = (isset($_REQUEST['sort'])) ? $_REQUEST['sort'] : false;
$BKto = array();

echo "<form action=\"$self?page=$page\" method=\"post\">\n";
if($ma) echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
if($anz) echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
if($tag) echo "<input type=\"hidden\" name=\"tag\" value=\"$tag\">\n";
if($art) echo "<input type=\"hidden\" name=\"art\" value=\"$art\">\n";
if($hp_id) echo "<input type=\"hidden\" name=\"hp_id\" value=\"$hp_id\">\n";
if($sort) echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
echo "<table style=\"width:750px\"><tr>";
$class = ($page == 1) ? "menuactive" : "menuinactive";
echo "<td width=\"200\" class=\"$class\"><a href=\"$self?page=1&traeger=$traegerart_id\">Kontengruppen</a></th>\n";
$class = ($page == 2) ? "menuactive" : "menuinactive";
echo "<td width=\"200\" class=\"$class\"><a href=\"$self?page=2&traeger=$traegerart_id\">Konten</a></th>\n";
echo "<th style=\"width:300px;text-align:right\">Tr&auml;ger:</th>\n";
echo "<td class=\"cl1\">\n<select name=\"traeger\" size=\"1\" ";
if(!isset($_POST['neu']) && !isset($_POST['CSV-Import']))
	echo "onchange=\"this.form.submit()\"";
echo ">\n";
$sql  = "select traeger_art_id, traeger_art, kurzname from tb_traeger_art ";
$sql .= "order by kurzname asc;";
$trgs = abfrage1($sql);
$anzTraeger = mysql_num_rows($trgs);
while ($trg = mysql_fetch_array($trgs)){
	echo "<option value=\"{$trg['traeger_art_id']}\"";
	if ($traegerart_id == $trg['traeger_art_id']) echo ' selected';
	echo " title=\"{$trg['traeger_art']}\">{$trg['kurzname']}</option>\n";
}
echo "</select></td>\n";
echo "</tr></table>\n</form>\n";

new stwLine(1);

if(isset($_POST['erase']) && is_numeric($_POST['erase'])) {
	abfrage2("DELETE FROM tb_bkto WHERE kto_id = '{$_POST['erase']}'");
}
if(isset($_POST['delete']) && is_array($_POST['toDel'])) {
	foreach($_POST['toDel'] as $id) {
		abfrage2("DELETE FROM tb_bkto WHERE kto_id = '$id'");
	}
}

if(isset($_POST['editkto']) && is_numeric($_POST['editkto'])) {
	if(empty($_POST['kurzname'])) echo "<h2 style=\"color:red\">K&uuml;rzel darf nicht leer sein!</h2>";
	else {
		$kurznamen = $_POST['kurzname'];
		$kurzname = $kurznamen[$_POST['editkto']];
		$kto_beschrs = $_POST['beschreibung'];
		$kto_beschr = $kto_beschrs[$_POST['editkto']];
		$sql  = "UPDATE tb_bkto SET kurzname = '$kurzname', kto_beschr = '$kto_beschr' ";
		$sql .= "WHERE kto_id = '{$_POST['editkto']}'";
		abfrage2($sql);
	}
}

if(isset($_POST['save_new']) && !empty($_POST['kurzname'])) {
	$erg = abfrage1("select * from tb_bkto where traegerart_id='$traegerart_id' and kurzname = '{$_POST['kurzname']}'");
	if(mysql_num_rows($erg) > 0) {
		$sql = "UPDATE tb_bkto SET ";
		$sql .= "kto_beschr='".$_POST['kto_beschr']."' ";
		$sql .= "WHERE kurzname='".$_POST['kurzname']."' ";
		$sql .= "AND traegerart_id='$traegerart_id'";
	} else {
		$sql  = "INSERT INTO tb_bkto SET ";
		$sql .= "kurzname='".$_POST['kurzname']."', ";
		$sql .= "kto_beschr='".$_POST['kto_beschr']."'";
		$sql .= ", traegerart_id='$traegerart_id'";
	}
	abfrage2($sql);
}
$Kurzname = isset($_POST['kurzname']) ? $_POST['kurzname'] : '';
if(isset($_POST['bkto']) && $_POST['bkto'] != '0'){
	if(substr($_POST['bkto'],0,1) == 'c') {
		$sql  = "select k1.kto_id, k2.kurzname from tb_bkto k1 ";
		$sql .= "left join tbh_bkto k2 on k1.kto_id = k2.kto_id ";
		$sql .= "where k2.bkto_id = '";
		$sql .= substr($_POST['bkto'],1) . "'";
		$ktos = abfrage1($sql);
		while($kto = mysql_fetch_row($ktos)){
			if(isset($_POST['DoKurzname']) && $Kurzname == '') $Kurzname = $kto[1];
			if($hp_id) {
				$da = abfrage1("select hp_id from tbh_bkto where hp_id='$hp_id' and kto_id='$kto[0]'");
				if(mysql_num_rows($da) == 0) {
					abfrage2("INSERT INTO tbh_bkto SET hp_id='$hp_id', kto_id='$kto[0]'");
				}
			} elseif(!in_array($kto[0], $BKto)) array_push($BKto, $kto[0]);
		}
	} else {
		if($hp_id) {
			$da = abfrage1("select hp_id from tbh_bkto where hp_id='$hp_id' and kto_id='{$_POST['bkto']}'");
			if(mysql_num_rows($da) == 0) {
				abfrage2("INSERT INTO tbh_bkto SET hp_id='$hp_id', kto_id='{$_POST['bkto']}'");
			}
		} elseif(!in_array($_POST['bkto'], $BKto)) array_push($BKto, $_POST['bkto']);
	}
}

if(isset($_POST['del']) && $hp_id) {
	$sql = "delete from tbh_bkto where hp_id='$hp_id' and kto_id='{$_POST['del']}'";
	abfrage2($sql);
}

if($hp_id) {
	$sql = "select kto_id from tbh_bkto where hp_id = '$hp_id'";
	$ktos = abfrage1($sql);
	while($kto = mysql_fetch_row($ktos)){
		if(!in_array($kto[0], $BKto)) array_push($BKto, $kto[0]);
	}
} elseif(isset($_POST['kto'])) {
	$i = 0;
	while (isset($_POST['kto'][$i])) {
		if(!in_array($_POST['kto'][$i], $BKto)) {
			$kto_id = $_POST['kto'][$i];
			if(!(isset($_POST['del']) && $_POST['del'] == $kto_id))
				array_push($BKto, $kto_id);
		}
		$i++;
	}
}

if(isset($_POST['del_grp']) && !empty($_POST['kurzname'])) {
	echo "<form action=\"$self?page=$page\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"really_del_grp\" value=\"1\" />\n";
	new stwSicherheitsabfrage("Sind Sie sicher? \"{$_POST['kurzname']}\" wird gel&ouml;scht?!",'nein, lieber doch nicht!','ja, ich bin sicher!',$self);
	echo "<input type=\"hidden\" name=\"kurzname\" value=\"{$_POST['kurzname']}\" />\n";
	echo "</form>";
}

if(isset($_POST['really_del_grp']) && !empty($_POST['kurzname'])) {
	abfrage2("delete from tbh_bkto where kurzname='{$_POST['kurzname']}' and hp_id='0'");
}

if(isset($_POST['save_as']) && !empty($_POST['kurzname'])) {
	$bkto_id = 0;
	abfrage2("delete from tbh_bkto where kurzname='{$_POST['kurzname']}' and hp_id='0'");
	foreach($BKto as $kto_id) {
		if($bkto_id == 0) {
			$sql  = "SELECT k2.bkto_id from tb_bkto k1 ";
			$sql .= "LEFT JOIN tbh_bkto k2 on k1.kto_id = k2.kto_id ";
			$sql .= "WHERE k2.kurzname='" . $_POST['kurzname'] . "' ";
			$sql .= "AND k1.traegerart_id = '$traegerart_id'";
			$ids = abfrage1($sql);
			if(mysql_num_rows($ids) > 0) {
				$id = mysql_fetch_row($ids);
				$bkto_id = $id[0];
			}
		}
		$sql  = "INSERT INTO tbh_bkto SET ";
		$sql2 = "kto_id='$kto_id', kurzname='";
		$sql2 .= $_POST['kurzname'] . "'";
		if($bkto_id > 0) $sql2 .= ", bkto_id='$bkto_id'";
		abfrage2($sql.$sql2);
		if($bkto_id == 0) {
			$sql  = "SELECT bkto_id FROM tbh_bkto WHERE ";
			$sql .= str_replace(',', 'AND', $sql2);
			$sql .= " ORDER BY bkto_id DESC LIMIT 1";
			$id = abfrage($sql);
			$bkto_id = $id[0];
		}
	}
}

if(isset($_POST['import']) && !empty($_FILES["datei"]["name"])) {
	if(strtolower(substr($_FILES["datei"]["name"],-4)) != ".csv") {
		echo "<h2 style=\"color:red\">Es werden nur *.CSV-Dateien untersttzt</h2>\n";
	} elseif ($_FILES["datei"]["error"] == 0) {
		$handle = fopen ($_FILES["datei"]["tmp_name"],"r");
		echo "<table><tr><th class=\"cl1\">Konto-Nummer</th><th>Kontenbezeichnung</th><th></th></tr>\n";
		if($handle) while ( ($data = fgetcsv ($handle, 1000, "\t")) !== FALSE ) {
			if(is_null($data[1])) {
				echo "<tr><th colspan=\"30\"><h1 style=\"color:red\">Fehler: erste Zeile enthielt keinen Tabulator</h1></th></tr>\n";
				break;
			}
			$num = abfrage1("SELECT kto_id FROM tb_bkto WHERE kurzname='$data[0]' AND traegerart_id='$traegerart_id'");
			if(mysql_num_rows($num) > 0) {
				$kto_id = mysql_fetch_row($num);
				$sql = "UPDATE tb_bkto SET kto_beschr='$data[1]', aktiv='j' WHERE kto_id='$kto_id[0]'";
				$update = "updated";
			} else {
				$sql  = "INSERT INTO tb_bkto SET kurzname='$data[0]', aktiv='j', ";
				$sql .= "kto_beschr='$data[1]', traegerart_id='$traegerart_id'";
				$update = "inserted";
			}
			abfrage2($sql);
			echo "<tr><td>$data[0]</td><td>$data[1]</td><td>$update</td></tr>\n";
		}
		echo "</table>";
		fclose ($handle);
	}
	new stwLine(1);
}

if($hp_id) {
  $query  = "SELECT DATE_FORMAT(hp.datum,'%d.%m.%Y') AS dt_datum, ";
  $query .= "pe.hp_id, pe.betreff, pe.rg_betrag, pe.post_in_id, pe.ma_id, ";
  $query .= "t.kurzname t_kname, t.farbe, t.traeger_art, p.kurzname p_kname, ";
  $query .= "k.name as k_name, k.kont_id,	k.kont_art_id, p.post_art, ";
  $query .= "apk.name apk_name, apk.vorname, apk.ap_id, apk.teldienst, ";
  $query .= "pr.projektnr, pr.proj_id, personal.name as personal_nn, ";
  $query .= "personal.vorname as personal_vn, personal2.name as personal2_nn, ";
  $query .= "personal2.vorname as personal2_vn, pe.kont_id as kont_id2, pe.skonto, ";
  $query .= "DATE_FORMAT(hp.and_datum,'%d.%m.%Y') AS rdat, pe.ernr, pe.traegerart_id, ";
  $query .= "pe.ok, hp.st_grund AS rnr, pe.postart_id ";
  $query .= "FROM tb_post_eingang pe ";
  $query .= "LEFT JOIN tb_kontakte k ON k.kont_id = pe.kont_id and k.kh_id='0'";
  $query .= "LEFT JOIN tb_kontakte_ap apk ON apk.ap_id = pe.ap_id ";
  $query .= "LEFT JOIN tb_traeger_art t ON t.traeger_art_id = pe.traegerart_id ";
  $query .= "LEFT JOIN tb_post_art p ON p.post_art_id = pe.postart_id ";
  $query .= "LEFT JOIN tb_hp hp ON hp.hp_id = pe.hp_id ";
  $query .= "LEFT JOIN tb_projekte pr ON pr.proj_id = hp.proj_id ";
  $query .= "LEFT JOIN tb_personal personal ON personal.pers_id = pe.ma_id ";
  $query .= "LEFT JOIN tb_personal personal2 ON personal2.pers_id = pe.ok ";
  $query .= "WHERE pe.hp_id = ".$hp_id;
  $row = abfrage_assoc($query);
  echo "<table><tr>\n";
  $style = ($row['skonto'] == 1) ? "style=\"color:#00FF00\"" : "";
  echo "<th class=\"cl1\" $style>" . $row['dt_datum'] . "</th>\n";
  echo "<th class=\"cl1\" $style>" . $row['rdat'] . "</th>\n";
  $sh_firma = true;
  if (empty($row['kont_id2'])) {
    $sh_firma = false;
    $name = $row['vorname'] . " " . $row['apk_name'];
  }
  if (!empty($row['ma_id'])) {
    $sh_firma = false;
    $name = pers_name($row['ma_id']);
  }
  if($sh_firma)
    $name = $row['k_name'];
  echo "<td class=\"cl1\">$name</td>";
  echo "<td class=\"cl1\">" . $row['betreff'] . "</td>";
  echo "<td class=\"cl1\">" . geld_form_web($row['rg_betrag']) . "</td>\n";
  echo "</tr></table>";
  new stwLine(1);
}

echo "<table width=\"750\">\n<tr>\n";
echo "<form action=\"$self?page=$page\" ";
if(isset($_POST['CSV-Import'])) echo "enctype=\"multipart/form-data\" ";
echo "method=\"post\">\n";
if($hp_id) {
	$i = 0;
	foreach($BKto as $kto_id) {
		echo "<input type=\"hidden\" name=\"kto[$i]\" value=\"$kto_id\">\n";
		$i++;
	}
}
if($ma) echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
if($traeger) echo "<input type=\"hidden\" name=\"traeger\" value=\"$traeger\">\n";
if($anz) echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
if($tag) echo "<input type=\"hidden\" name=\"tag\" value=\"$tag\">\n";
if($art) echo "<input type=\"hidden\" name=\"art\" value=\"$art\">\n";
if($hp_id) echo "<input type=\"hidden\" name=\"hp_id\" value=\"$hp_id\">\n";
if($sort) echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";

if($page == 2) {
	if($hp_id == false) {
		echo "<td class=\"cl1\">\n";
		$name = isset($_POST['neu']) ? "back" : "neu";
		echo "<input type=\"submit\" name=\"$name\" value=\"neu\"";
		echo stwToolTip('neues Konto erstellen').">\n";
		echo "</td>\n";
		echo "<td class=\"cl1\">\n";
		echo "</td>\n";
		if ($_SESSION[$AppCode]['ULV'] >= 96) {
			echo "<td class=\"cl1\">\n";
			$name = isset($_POST['CSV-Import']) ? "back" : "CSV-Import";
			echo "<input type=\"submit\" name=\"$name\" value=\"CSV-Import\"";
			echo stwToolTip('CSV-Datei mit Konten-Daten importieren').">\n";
			echo "</td>\n";
		}
	}

	if(isset($_POST['CSV-Import'])) {
		echo "<th>Datei:</th>\n";
		echo "<td class=\"cl1\"><input name=\"datei\" type=\"file\" size=\"30\" accept=\"text/comma-separated-values\"></td>\n";
		echo "<td class=\"cl1\" style=\"vertical-align:bottom\"><input type=\"submit\" value=\"importieren\" name=\"import\"></td>\n";
	} elseif(isset($_POST['neu'])) {
		echo "<th>K&uuml;rzel:</th>\n";
		echo "<td class=\"cl1\"><input type=\"text\" name=\"kurzname\" size=\"6\"";
		if(isset($_POST['save_new']) && empty($_POST['kurzname'])) {
			echo " style=\"border:2px solid #FF0000;\"";
			echo stwToolTip("Um Konto zu speichern muss ein Kurzname angegeben sein");
		}
		echo "></td>\n";
		echo "<td class=\"cl1\"><textarea name=\"kto_beschr\" cols=\"40\" rows=\"2\">Beschreibung</textarea></td>\n";
		echo "<td class=\"cl1\" style=\"vertical-align:bottom\"><input type=\"submit\" value=\"speichern\" name=\"save_new\"></td>\n";
	}
} else {
	echo "<th>Kontengruppe bearbeiten:</th>\n";
	echo "<input type=\"hidden\" name=\"DoKurzname\" value=\"1\">";
	echo "<td><select style=\"width:200px\" name=\"bkto\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">Kontengruppe w&auml;hlen</option>";
	$sql  = "select distinct k2.bkto_id, k2.kurzname from  tbh_bkto k2 ";
	$sql .= "left join tb_bkto k1 on k1.kto_id = k2.kto_id ";
	$sql .= "where k2.hp_id = 0 and k1.traegerart_id = '$traegerart_id' ";
	$sql .= "order by k2.kurzname asc";
	$kto_collabs = abfrage1($sql);
	while($kto_collab = mysql_fetch_array($kto_collabs)){
		echo "<option value=\"c{$kto_collab['bkto_id']}\">";
		echo $kto_collab['kurzname'] . " (";
		$sql  = "select k1.kurzname from tb_bkto k1 ";
		$sql .= "left join tbh_bkto k2 on k1.kto_id = k2.kto_id ";
		$sql .= "where k2.bkto_id = '{$kto_collab['bkto_id']}'";
		$ktos = abfrage1($sql);
		$j = mysql_num_rows($ktos);
		$i = 0;
		while($kto = mysql_fetch_row($ktos)){
			echo "$kto[0]";
			if(++$i < $j) echo ", ";
		}
		echo ")</option>\n";
	}
	echo "</select></td>\n";
}
echo "<td style=\"text-align:right;width:100%\">";
if($page==2) {
	if(isset($_POST['passiv'])) echo "<input type=\"submit\" value=\"nur aktive anzeigen\" />";
	else echo "<input type=\"submit\" name=\"passiv\" value=\"alle anzeigen\" />";
}
echo "</td>\n</form>\n";
echo "</tr>\n</table>\n";

if($page == 1) {
	new stwLine(1);
	echo "<form action=\"$self?page=$page\" method=\"post\">\n";
	echo "<table><tr>\n";
	echo "<input type=\"hidden\" name=\"traegerart_id\" value=\"$traegerart_id\">\n";
	echo "<input type=\"hidden\" name=\"kurzname\" value=\"$Kurzname\">\n";
	if($ma) echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
	if($traeger) echo "<input type=\"hidden\" name=\"traeger\" value=\"$traeger\">\n";
	if($anz) echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
	if($tag) echo "<input type=\"hidden\" name=\"tag\" value=\"$tag\">\n";
	if($art) echo "<input type=\"hidden\" name=\"art\" value=\"$art\">\n";
	if($hp_id) echo "<input type=\"hidden\" name=\"hp_id\" value=\"$hp_id\">\n";
	if($sort) echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
	$sql  = "select distinct k2.bkto_id, k2.kurzname from  tbh_bkto k2 ";
	$sql .= "left join tb_bkto k1 on k1.kto_id = k2.kto_id ";
	$sql .= "where k2.hp_id = 0 and k1.traegerart_id = '$traegerart_id' ";
	$sql .= "order by k2.kurzname asc";
	echo "<td class=\"cl1\">\n<select style=\"width:200px\" name=\"bkto\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">Konto hinzuf&uuml;gen</option>";
	$kto_collabs = abfrage1($sql);
	while($kto_collab = mysql_fetch_array($kto_collabs)){
		echo "<option value=\"c{$kto_collab['bkto_id']}\">";
		echo $kto_collab['kurzname'] . " (";
		$sql  = "select k1.kurzname from tb_bkto k1 ";
		$sql .= "left join tbh_bkto k2 on k1.kto_id = k2.kto_id ";
		$sql .= "where k2.bkto_id = '{$kto_collab['bkto_id']}'";
		$ktos = abfrage1($sql);
		$j = mysql_num_rows($ktos);
		$i = 0;
		while($kto = mysql_fetch_row($ktos)){
			echo "$kto[0]";
			if(++$i < $j) echo ", ";
		}
		echo ")</option>\n";
	}
	echo "<option value=\"0\">----------------</option>\n";
	$sql  = "select kto_id, kurzname, kto_beschr from tb_bkto ";
	$sql .= "where traegerart_id = '$traegerart_id' ";
	$sql .= "order by kurzname asc";
	$ktos = abfrage1($sql);
	while($kto = mysql_fetch_row($ktos)){
		echo "<option value=\"$kto[0]\">$kto[1] -  $kto[2]</option>\n";
	}
	echo "</select>\n";
	if(!$hp_id) {
		$i = 0;
		foreach($BKto as $kto_id) {
			echo "<input type=\"hidden\" name=\"kto[$i]\" value=\"$kto_id\">\n";
			$i++;
		}
	}
	echo "<td class=\"cl1\" style=\"text-align:right;width:350px\">";
	echo "<input type=\"text\" name=\"kurzname\" size=\"6\" value=\"$Kurzname\"";
	if(isset($_POST['save_as']) && empty($_POST['kurzname'])) {
		echo " style=\"border:2px solid #FF0000;\"";
		echo stwToolTip("Um Kontengruppe zu speichern muss ein Name angegeben sein");
	}
	echo "></td>\n";
	echo "<td><input type=\"submit\" value=\"Kontengruppe speichern\" name=\"save_as\"></td>\n";
	echo "</tr></table></form>\n";
	new stwLine(2);
	echo "<form action=\"$self?page=$page\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"kurzname\" value=\"$Kurzname\">\n";
	echo "<table style=\"width:750px\">\n<tr>\n<td width=\"375\">\n<table>\n";
	echo "<input type=\"hidden\" name=\"traegerart_id\" value=\"$traegerart_id\">\n";
	if($ma) echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
	if($traeger) echo "<input type=\"hidden\" name=\"traeger\" value=\"$traeger\">\n";
	if($anz) echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
	if($tag) echo "<input type=\"hidden\" name=\"tag\" value=\"$tag\">\n";
	if($art) echo "<input type=\"hidden\" name=\"art\" value=\"$art\">\n";
	if($hp_id) echo "<input type=\"hidden\" name=\"hp_id\" value=\"$hp_id\">\n";
	if($sort) echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
	$i = 0;
	foreach($BKto as $kto_id) {
		$sql = "select kurzname from tb_bkto where kto_id = $kto_id";
		$bkto = abfrage($sql);
		echo "<tr>\n<th class=\"cl1\">$bkto[0]</th>\n";
		echo "<input type=\"hidden\" name=\"kto[$i]\" value=\"$kto_id\">\n";
		echo "<th><input type=\"submit\" name=\"del\" value=\"$kto_id\"";
		echo stwToolTip("Konto aus Auswahl entfernen");
		echo "style=\"background-color:#333;color:transparent;width:5px;";
		echo "background-image:url(img/del_kal.png);background-repeat:no-repeat\"></th>\n";
		$i++;
	}
	echo "</table>\n</td><td style=\"width:375px;height:100%\">\n<table style=\"width:100%;height:100%\">\n<tr>\n";
	echo "<td style=\"vertical-align:bottom;text-align:right\">";
	if(!empty($Kurzname)) echo "<input type=\"submit\" name=\"del_grp\" style=\"background-color:red\" value=\"Kontengruppe l&ouml;schen\" />";
	echo "</td></tr></table>\n</td>\n</tr>\n</table>";
	echo "</form>\n";
}
new stwLine(1);

if(isset($_POST['CSV-Import'])) {
	echo "<h3>Import einer CSV-Datei</h3>\n";
	echo "<div>Dieses Modul erlaubt das Erstellen sehr vieler Konten durch eine CSV-Datei.</div>\n";
	echo "<div>Diese Datei sollte folgendes Format besitzen:</div>\n";
	echo "<ul>";
	echo "<li>ein Datensatz pro Zeile</li>\n";
	echo "<li>keine Kopfzeile (&Uuml;berschriften)</li>\n";
	echo "<li><b style=\"color:yellow\">zwei Spalten</b>, durch einen <b style=\"color:yellow\">Tabulator</b> getrennt</li>\n";
	echo "<li>erste Spalte: Kurzname, zweite Spalte: Beschreibung</li>\n";
	echo "</ul>\n";
	if($hp_id == false) echo "<div>Unter <b>Tr&auml;ger</b> sollte der Tr&auml;ger ausgew&auml;hlt werden, dem die Konten zugeordnet werden sollen.</div>\n";
	echo "<div>&Uuml;ber die Schaltfl&auml;che <b>Durchsuchen</b> l&auml;sst sich ein Dateiauswahldialog &ouml;ffnen, in welchem die entsprechende Datei ausw&auml;hlt wird..</div>\n";
	echo "<div>Die Schaltfl&auml;che <b>Importieren</b> l&ouml;st den Import-Vorgang aus.</div>\n";
	echo "<div></br></div>\n";
	echo "<div><b>Achtung:</b> Auf diese Weise k&ouml;nnen sehr viele Konten erzeugt werden.</div>\n";
	echo "<div>Bitte vor Auswahl der Schaltfl&auml;che <b>Importieren</b> noch einmal pr&uuml;fen, ob der aktuelle Tr&auml;ger dem der Konten entspricht! </div>\n";
	echo "<div></br></div>\n";
	echo "<div>Sollte sich ein Konto mit einem in der CSV-Datei vergebenen Namen bereits in der Datenbank befinden,</div>\n";
	echo "<div>so wird dessen Beschreibung mit der aus der CSV-Datei &uuml;berschrieben.</div>\n";
	echo "<div></br></div>\n";
	new stwLine(1);
}

if($page == 2) {
	$ktos = abfrage1("SELECT * FROM tb_bkto WHERE traegerart_id = '$traegerart_id' ORDER BY kurzname ASC");
	echo "<form action=\"$self?page=$page\" method=\"post\">\n";
	if($ma) echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
	if($traeger) echo "<input type=\"hidden\" name=\"traeger\" value=\"$traeger\">\n";
	if($anz) echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
	if($tag) echo "<input type=\"hidden\" name=\"tag\" value=\"$tag\">\n";
	if($art) echo "<input type=\"hidden\" name=\"art\" value=\"$art\">\n";
	if($hp_id) echo "<input type=\"hidden\" name=\"hp_id\" value=\"$hp_id\">\n";
	if($sort) echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
	echo "<table><tr><th class=\"cl1\">K&uuml;rzel</th><th class=\"cl1\" style=\"text-align:center\">Beschreibung</th><th colspan=\"2\"></th></tr>\n";
	while($kto = mysql_fetch_row($ktos)){
		if($kto[4] == 'n' && !isset($_POST['passiv'])) continue;
		$kurz = "<input type=\"text\" name=\"kurzname[$kto[0]]\" size=\"6\" maxlength=\"6\" value=\"$kto[1]\">";
		$besch = "<textarea name=\"beschreibung[$kto[0]]\" style=\"height:17px\" cols=\"50\">$kto[3]</textarea>";
		echo "<tr id=\"tr_$kto[0]\" class=\"mo\"><td class=\"cl1\">$kurz</td>\n<td class=\"cl1\">$besch</td>\n";
		echo "<td class=\"cl1\">";
		echo "<input type=\"submit\" name=\"editkto\" value=\"$kto[0]\"";
		echo stwToolTip("<b>Vorsicht!</b> L&ouml;schen!");
		echo "style=\"background-color:#333;color:transparent;width:16px;";
		echo "background-image:url(img/senden.png);background-repeat:no-repeat\">";
		echo "</td><td class=\"cl1\">";
		if($kto[4] == 'n') {
			echo "<b style=\"cursor:pointer;color:grey\" id=\"X$kto[0]\" onclick=\"xajax_aktiv($kto[0])\"";
			echo stwToolTip('Konto aktivieren / deaktivieren') . ">X</b>";
		} else {
			$exist = abfrage1("SELECT bkto_id FROM tbh_bkto WHERE kto_id = '$kto[0]'");
			if(mysql_num_rows($exist) == 0) {
				echo "<b style=\"cursor:pointer;color:red\" onclick=\"if(confirm('Soll Konto $kto[1] wirklich gel&ouml;scht werden?')) xajax_del($kto[0])\"";
				echo stwToolTip('<b>Vorsicht!</b> Konto endg&uuml;ltig l&ouml;schen') . ">X</b>";
			} else {
				echo "<b style=\"cursor:pointer;color:lime\" id=\"X$kto[0]\" onclick=\"xajax_aktiv($kto[0])\"";
				echo stwToolTip('Konto aktivieren / deaktivieren') . ">X</b>";
			}
		}
		echo "</td></tr>\n";
	}
	echo "</table>\n";
	echo "</form>\n";
	new stwLine(1);
}

echo "<form action=\"post.php\" method=\"get\">\n";
if($traeger) echo "<input type=\"hidden\" name=\"traeger\" value=\"$traeger\">\n";
if($ma) echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\">\n";
if($art) echo "<input type=\"hidden\" name=\"art\" value=\"$art\">\n";
if($anz) echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
if($tag) echo "<input type=\"hidden\" name=\"tag\" value=\"$tag\">\n";
if($sort) echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
echo "<input type=\"submit\" value=\"zur&uuml;ck\"";
echo stwToolTip('Zum Posteingang zur&uml;ckkehren') . ">\n";
echo "</form>\n";

new stwEnd($seite);
?>