<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: brief.php 2317 2014-07-23 08:57:56Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 45;
function move($params,$merkmal)
{		
	$start = $params[1];
	$i=0;
	foreach($_SESSION['txt_block'][$merkmal] as $key => $value)
	{
		$help[$i][$key] = $value;
		$i++;
	}
	$new = $help;
	
	switch($params[0])
	{
		case "up":
			if($start > 0)
			{
				$new[$start-1] = $help[$start];
				$new[$start] = $help[$start-1];
			}
		break;
		
		case "down":
			if($start < count($help)-1)
			{
				$new[$start+1] = $help[$start];
				$new[$start] = $help[$start+1];
			}
		break;
	}
	
	//Session-Array nach Tausch der Textbloecke neu aufbauen
	$_SESSION['txt_block'][$merkmal] = array();
	foreach($new as $key => $value)
	{
		foreach($value as $txt_id => $text)
		{
			$_SESSION['txt_block'][$merkmal][$txt_id] = $text;  
		}
	}
}

function createTexte($id,$merkmal,$gedrueckt,$name_status,$name_button)
{
	global $AppCode;
	$data['options_text'] = $data['options_id'] = "";
	$query = "SELECT brief_text_id,text_kurz,text_lang FROM tb_brief_text
			  WHERE pers_id = ".$_SESSION[$AppCode]['UID']." AND merkmal = '".$merkmal."'";
	if (isset($_POST['send']) && $_POST[$name_status] == "alle" && !$gedrueckt  || isset($_POST[$name_button])){
		$query = "SELECT brief_text_id,text_kurz,text_lang FROM tb_brief_text WHERE merkmal = '".$merkmal."'";
	}
									
	$res = abfrage1($query);
	$data['value_kurztext'] = "";
	while($row = mysql_fetch_array($res)){
		
		if (isset($_POST['send']) && !$gedrueckt && $id == $row['brief_text_id']){
		   	$selected = " selected";
			//$value_kurztext = $row['text_kurz'];
			$data['value_kurztext'] = $row['text_kurz'];
		}else{ 
			$selected = "";
		}
		$data['options_text'] .= "<option value=\"".$row['brief_text_id']."\"".$selected.">".$row['text_kurz']." | ".$row['brief_text_id']."</option>\n";
		$data['options_id'] .= "<option value=\"".$row['brief_text_id']."\">".$row['brief_text_id']."</option>\n";
	}
	return $data;
}
// Formular auswerten und Datenbank fuellen
if (isset($_POST['save']) || isset($_POST['save_copy']))
{	
	include("brief_sql.php");
}

require("inc/auth.inc.php");
require("inc/stw.inc.php");

$rvar_projekte = $rvar_proj_id;
if (!isset($_POST['send']) && isset($_SESSION['txt_block'])){
	unset($_SESSION['txt_block']);
}
if (isset($_GET['id'])){
	
	$query = "SELECT 
				t12.datum,t5.betreff,t5.rg_betrag,t5.notizen,
				IF(t5.ap_id > 0,t5.ap_id,t5.ma_id),
				IF(t5.kont_id > 0,t5.kont_id,IF(t5.ma_id > 0,'m','p')),
				t5.postart_id,t5.traegerart_id,t5.brief_id, 
				t6.schluss, 
				t7.anrede, 
				t8.name, 
				t9.name,
				t9.vorname,
				t9.anrede, 
				t10.traeger_art, 
				t11.post_art,
				t7.anrede_id,
				t6.schluss_id,
				t5.pers_id,
				t5.hp_id,
				t12.proj_id,
				t5.ma_id,
				t5.ap_id,
				t8.kont_id,
				t5.kont_id as p_kont_id		
			  FROM tb_post_ausgang t5
				LEFT JOIN tb_kontakte t8 ON t8.kont_id = t5.kont_id and t8.kh_id='0'
				LEFT JOIN tb_kontakte_ap t9 ON t9.ap_id = t5.ap_id
				LEFT JOIN tb_traeger_art t10 ON t10.traeger_art_id = t5.traegerart_id
				LEFT JOIN tb_post_art t11 ON t11.post_art_id = t5.postart_id
				INNER JOIN tb_brief t4 ON t4.brief_id = t5.brief_id
				INNER JOIN tb_hp t12 ON t12.hp_id = t5.hp_id
				INNER JOIN tb_brief_schluss t6 ON t6.schluss_id = t4.schluss_id
				INNER JOIN tb_brief_anrede t7 ON t7.anrede_id = t4.anrede_id
				WHERE t5.post_out_id = ".$_GET['id'];
	
	$daten = abfrage_array($query);
	if (isset($_SESSION['txt_block'])) unset($_SESSION['txt_block']);
}

// Daten sichern
if (isset($_POST['send'])){
	$id = ($rvar_kurztext_id == 0) ? $rvar_kurztext_txt : $rvar_kurztext_id;
	$fz_id = ($rvar_fz_id == 0) ? $rvar_fz_txt : $rvar_fz_id;
} else $id = $fz_id = 0;

// Uebernahme des Textblockes 
// nach Uebernahme des Textblockes textarea leeren sowie Kurztext-Liste
// Ablegen in der Datenbank
$save = false;
$where = "";
// Texte einfuegen, aendern
if (isset($_POST['addtxt']) && $_POST['brieftext'] != ""){
	$save = true;
	if ($id == 0){
	  	$action = "INSERT INTO";
	}else{
		$action = "UPDATE";
		$where = " WHERE brief_text_id = ".$_POST['kurztext_txt'];
	}
}

if (isset($_POST['addcopy']) && $_POST['brieftext'] != ""){
	$save = true;
	$action = "INSERT INTO";
}	
if ($save){	
	$query = $action." tb_brief_text SET
			  merkmal = 't',
			  text_kurz = '".$_POST['kurztext']."',
			  text_lang = '".$_POST['brieftext']."'";
	if ($action == "INSERT INTO") $query .= ",pers_id = ".$_SESSION[$AppCode]['UID'];
	$query .= $where;
	abfrage2($query);
	$last_id = ($action == "UPDATE") ?  $_POST['kurztext_txt'] : mysql_insert_id();
	$_SESSION['txt_block']['t'][$last_id] = $_POST['brieftext'];
	$id = 0;
}
$save = false;

// Fusszeilen einfuegen,aendern
if (isset($_POST['addfz']) && $_POST['text_fusszeile'] != ""){
	$save = true;
	if ($fz_id == 0){
	  	$action = "INSERT INTO";
	}else{
		$action = "UPDATE";
		$where = " WHERE brief_text_id = ".$_POST['fz_txt'];
	}
}

if (isset($_POST['addcopyfz']) && $_POST['text_fusszeile'] != ""){
	$save = true;
	$action = "INSERT INTO";
}	
if ($save){	
	$query = $action." tb_brief_text SET
			  merkmal = 'f',
			  text_kurz = '".$_POST['fz_kurztext']."',
			  text_lang = '".$_POST['text_fusszeile']."'";
	if ($action == "INSERT INTO") $query .= ",pers_id = ".$_SESSION[$AppCode]['UID'];
	$query .= $where;
	abfrage2($query);
	$last_id = ($action == "UPDATE") ?  $_POST['fz_txt'] : mysql_insert_id();
	$_SESSION['txt_block']['f'][$last_id] = $_POST['text_fusszeile'];
	$fz_id = 0;
}

// Textbloecke hoch bzw. runter bewegen
if(isset($_POST['move']))
{
	$params = explode(".",key($_POST['move']));
	move($params,"t");
}	

if(isset($_POST['move_fz']))
{
	$params = explode(".",key($_POST['move_fz']));
	move($params,"f");
}	

// Loeschen von Textblcken aus dem Brief
if (isset($_POST['del'])){
	unset($_SESSION['txt_block']['t'][key($_POST['del'])]);
}

if (isset($_POST['del_fz'])){
	unset($_SESSION['txt_block']['f'][key($_POST['del_fz'])]);
}

// nach Auswahl des Empfaengers (Firma) wird Seite neu geladen mit den 
//zugehrigen Ansprechpartnern in der Auswahlliste
$kont_id = $mquery = "";
$selected_m = $selected_p = "";
if (isset($_GET['id'])){
	$kont_id = $daten[5];
	$ap_id = $daten[4];
}
if (isset($_POST['send'])){
	$ap_id = $_POST['ap'];
	$kont_id = $_POST['kont_id'];
}
if(isset($_GET['ap_id']) && isset($_GET['kont_id'])) {
	$ap_id = $_GET['ap_id'];
	$kont_id = $_GET['kont_id'];
}
if($kont_id == "m" || $kont_id == "p")
{
	if ($kont_id == "m"){
		$selected_m = "selected";
		$mquery = "SELECT pers_id,name,vorname,'' 
				  FROM tb_personal ORDER BY vorname ASC";
	} elseif ($kont_id == "p") {
		$selected_p = "selected";
		$mquery = "SELECT ap_id,name,vorname,anrede FROM tb_kontakte_ap WHERE kont_id = 0 ORDER BY vorname ASC";
	}
	$kont_id = "";
}
?>
<form action="<?php $_SERVER['PHP_SELF']?>" name="post" method="POST">
<table border="0" width="750">
	<tr>
		<th width="80">Datum: </th>
		<td width="570"><input type="text" name="datum"
		<?php
		if (isset($_GET['id'])) echo "value=\"".date_my2gr($daten[0])."\"";
		elseif (isset($_POST['send'])) echo "value=\"".$_POST['datum']."\""; 
		else echo "value=\"".date("d.m.Y",time())."\"";
		?>/> TT.MM.JJJJ</td>
		<td width="100">&nbsp;</td>
	</tr>
	<tr>
		<th>Empf&auml;nger: </th>
		<td>
<?php include('post_ap.php'); ?>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<th>Betreff:</th>
		<td><input type="text" name="betreff" tabindex="3" 
		<?php
		if (isset($_GET['id'])) echo "value=\"".$daten[1]."\"";
		if (isset($_POST['send'])) echo "value=\"".$_POST['betreff']."\"";
		echo " />";
		if($_GET['id'] > 0) {
			$daten_dlg = new stwDaten("13");
			$klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"],
													$_SESSION[$AppCode]["UID"],
													$_SESSION[$AppCode]["ULV"],
													$_GET['id'], "0");
			echo "&nbsp; &nbsp;" . $klammer;
		}
		?>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<th>Projekt:&nbsp;</th>
		<td>
		<select name="proj_id" size="1" tabindex="4">
		<option value="0">Projekt w&auml;hlen!</option>
			<?php
			if ($_SESSION[$AppCode]['ULV'] >= 60){
				// Projekte des angemeldeten Benutzers
				$sql = "SELECT proj_id FROM tbh_pers_proj WHERE pers_id = ".$_SESSION[$AppCode]['UID'];
				$res = abfrage1($sql); 
				while($row = mysql_fetch_array($res))
				{
					$erg[$row['proj_id']] = true;
				}

				// alle aktiven Projekte
				$sql = "SELECT pr.proj_id FROM tb_projekte pr
						WHERE (pr.ende is null or pr.ende = '0000-00-00' OR
						pr.proj_id = '$rvar_proj_id' OR
						to_days(pr.ende) >= to_days(date_sub(curdate(), INTERVAL 28 DAY)))
						ORDER BY pr.projektnr ASC";
			}else{
				// alle aktiven Projekte
				$sql = "SELECT t1.proj_id 
						FROM tb_projekte t1
						LEFT JOIN tbh_pers_proj t2 ON t1.proj_id = t2.proj_id
						WHERE (t1.ende is null or t1.ende = '0000-00-00' OR
						t1.proj_id = '$rvar_proj_id' OR 
						to_days(t1.ende) >= to_days(date_sub(curdate(), INTERVAL 28 DAY)))
						AND t2.pers_id = ".$_SESSION[$AppCode]['UID']."
						ORDER BY t1.projektnr ASC";
			}
			$res = abfrage1($sql);
			$check = array();
			
			while($row = mysql_fetch_array($res))
			{
				$projekt = &new stwProjekt($row['proj_id']);
				$selected = (isset($rvar_send) && $rvar_proj_id == $row['proj_id'] || isset($_GET['id']) && $daten[21] == $row['proj_id'] || isset($rvar_proj_id) && $rvar_proj_id == $row['proj_id'])
							? " selected"
							: "";
				$highlight = (isset($erg[$row['proj_id']]) && $_SESSION[$AppCode]['ULV'] >= 60)
				 			 ? " style=\"background-color: #FFCC00;\""
			 				 : "";
				echo "<option value=".$row['proj_id'].$selected.$highlight.">".$projekt -> nummer()." ".$projekt -> name()."</option>\n";
			}
			?>
		</select>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<th>Betrag:</th>
		<td><input type="text" name="betrag" tabindex="5"
		<?php
		if (isset($_GET['id'])) echo "value=\"".$daten[2]."\"";
		if (isset($_POST['send'])) echo "value=\"".$_POST['betrag']."\"";
		?>/> EUR.Ct
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
	<th>Postart:&nbsp;</th>
		<td>
			<select name="postart" size="1" tabindex="8">
			<option value="0">Postart w&auml;hlen!</option>
			<?php
			$query = "SELECT post_art_id, post_art FROM tb_post_art";
			$res = abfrage1($query);
			while($row = mysql_fetch_array($res))
			{
				$selected = (isset($_POST['send']) && $_POST['postart'] == $row['post_art_id'] || isset($_GET['id']) && $daten[6] == $row['post_art_id'])
							? " selected"
							: "";
				echo "<option value=\"".$row['post_art_id']."\"".$selected.">".$row['post_art']."</option>\n";
			}
			?>
			</select>
		</td>
	</tr>
	<tr>
		<th>Absender:&nbsp;</th>
		<td>
			<select name="traeger" size="1" tabindex="6">
			<option value="0">Tr&auml;ger w&auml;hlen!</option>
			<?php
			$query = "SELECT t1.traeger_art_id, t1.traeger_art,t3.standard_traeger_art_id 
					  FROM tb_traeger_art t1
					  INNER JOIN tbh_pers_traegerart t2 ON t2.traeger_art_id = t1.traeger_art_id
					  INNER JOIN tb_personal t3 ON t3.pers_id = t2.pers_id
					  WHERE t3.pers_id = ".$_SESSION[$AppCode]['UID'];
			$res = abfrage1($query);
			while($row = mysql_fetch_array($res))
			{
				$selected = (isset($_POST['send']) && $_POST['traeger'] == $row['traeger_art_id'] 
							|| isset($_GET['id']) && $daten[7] == $row['traeger_art_id']
							|| isset($_GET['traeger']) && $_GET['traeger'] == $row['traeger_art_id']
							)
							? " selected"
							: "";
				if ($selected == "" && $row['traeger_art_id'] == $row['standard_traeger_art_id']) $selected = " selected";			
				echo "<option value=\"".$row['traeger_art_id']."\"".$selected.">".$row['traeger_art']."</option>\n";
			}
			?>
			</select>
			&nbsp;
			<select name="ma" size="1" tabindex="7">
			<option value="0">Mitarbeiter w&auml;hlen</option>
			<?php
			if(isset($rvar_proj_id)) {
				$sql  = "select pers_id from tbh_pers_proj ";
				$sql .= "where proj_id = '$rvar_proj_id' and personaltyp_id = 1;";
				$hb = abfrage($sql);
			}
			$query = "SELECT t1.pers_id,t1.vorname,t1.name
					  FROM tb_personal t1
					  WHERE (status_id=2 OR t1.pers_id='$daten[19]')AND level <> 99
					  ORDER BY vorname,name asc";
			$res = abfrage1($query);
			while($row = mysql_fetch_array($res))
			{
				$selected = (isset($_POST['send']) && $_POST['ma'] == $row['pers_id'] 
							|| isset($_GET['id']) && $daten[19] == $row['pers_id'] 
							|| isset($rvar_proj_id) && $hb[0] == $row['pers_id'])
							? "selected"
							: "";
				echo "<option value=\"".$row['pers_id']."\"".$selected.">".$row['vorname']." ".$row['name']."</option>\n";
			}
			?>
			</select>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<th>Anrede:</th>
		<td>
			<select name="anrede" size="1">
			<?php
			$query = "SELECT anrede_id,anrede
					  FROM tb_brief_anrede";

			if(!isset($_POST['send']) && !isset($_GET['id']) && isset($_GET['ap_id']) && $selected_m) {
				$geschlecht = abfrage("SELECT geschlecht from tb_personal where pers_id = $ap_id");
				if($geschlecht[0] == "m") $query .= " ORDER BY anrede_id=2 desc";
			} elseif(!isset($_POST['send']) && !isset($_GET['id']) && isset($_GET['ap_id'])) {
				$anrede = abfrage("SELECT anrede from tb_kontakte_ap where ap_id = $ap_id");
				if($anrede[0] == "Herr") $query .= " ORDER BY anrede_id=2 desc";
			}

			$res = abfrage1($query);

			while($row = mysql_fetch_array($res))
			{
				$selected = (isset($_POST['send']) && $_POST['anrede'] == $row['anrede_id'] || isset($_GET['id']) && $daten[17] == $row['anrede_id'])
							? "selected"
							: "";
				echo "<option value=\"".$row['anrede_id']."\"".$selected.">".$row['anrede']."</option>\n";
			}
			?>
			</select>
			&nbsp;
			<select name="ap" size="1" tabindex="3">
			<option value="0">Damen und Herren,</option>
			<?php
			if ($kont_id != ""){
				$mquery = "SELECT kap.ap_id,kap.name,kap.vorname,kap.anrede FROM tb_kontakte_ap kap
			  			  INNER JOIN tb_kontakte k ON k.kont_id = kap.kont_id and k.kh_id='0'
			  			  WHERE k.kont_id = ".$kont_id;
			}
			if ($mquery != ""){
				$res = abfrage1($mquery);  
				while($row = mysql_fetch_array($res))
				{
					$selected = ($ap_id == $row[0]) ? " selected" : "";
					echo "<option value=\"".$row[0]."\"".$selected.">".$row[3]." ".$row[2]." ".$row[1].",</option>";
				}
			}
			?>
			</select>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td>
			<?php
			// Anzeige des Buttons eigene / alle Texte
			$eigene_texte = "<input type=\"submit\" name=\"txt_own\" value=\"eigene Texte\" />\n";
			$eigene_texte .= "<input type=\"hidden\" name=\"status\" value=\"alle\">\n";
			
			$alle_texte = "<input type=\"submit\" name=\"txt_all\" value=\"alle Texte\" />\n";
			$alle_texte .= "<input type=\"hidden\" name=\"status\" value=\"eigene\">\n";
						
			$button = $alle_texte;
			$gedrueckt = false;
			if (isset($_POST['txt_all']))
			{
			 	$button = $eigene_texte;
				$gedrueckt = true;
			}
			if (isset($_POST['txt_own']))
			{
			 	$button = $alle_texte;
				$gedrueckt = true;
			}
			if(isset($_POST['send']) && !$gedrueckt){
				switch($_POST['status'])
				{
					case "alle":
						$button = $eigene_texte;
					break;
					
					case "eigene":
						$button = $alle_texte;
					break;
					
				}
			}
			
			$data = createTexte($id,"t",$gedrueckt,"status","txt_all");
			?>
			<select name="kurztext_txt" size="1" onChange="document.forms['post'].submit()">
			<option value="0">Kurztext</option>
			<?php $data['options_text']?>
			</select>
			<input type="text" name="kurztext" value="<?php $data['value_kurztext']?>" />
			<select name="kurztext_id" size="1" onChange="document.forms['post'].submit()">
			<option value="0">Kurztext-ID</option>
			<?php $data['options_id']?>
			</select>
			&nbsp;
			<?php
			echo $button;
			?>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>		
		<th>Textblock:</th>
		<td>
			<?php
			if (isset($rvar_send) && !$gedrueckt){
				$query = "SELECT text_lang FROM tb_brief_text WHERE brief_text_id = ".$id." AND merkmal = 't'";
				$text = abfrage($query);
				$value = $text[0];
			}
			else $value = "";
			?>
			<textarea name="brieftext" cols="70" rows="7"><?php $value?></textarea>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td>
		<input type="submit" name="addtxt" value="Text hinzuf&uuml;gen"/>
		<input type="submit" name="addcopy" value="Kopie hinzuf&uuml;gen" />
		</td>
		<td>&nbsp;</td>
	</tr>
	<?php 
	// Einlesen der Texte aus der Datenbank in die Session
	if (isset($_GET['id'])){
		if (isset($_SESSION['txt_block'])) {}
		$query = "SELECT t1.brief_text_id,t1.text_lang,t1.merkmal
				  FROM tb_brief_text t1
				  INNER JOIN tbh_briefe_texte t3 ON t3.brief_text_id = t1.brief_text_id
				  INNER JOIN tb_brief t4 ON t4.brief_id = t3.brief_id
				  WHERE t4.brief_id = ".$daten[8]."
				  ORDER BY sort ASC";
		$res = abfrage1($query);
		
		while($row = mysql_fetch_array($res)){
			$_SESSION['txt_block'][$row['merkmal']][$row['brief_text_id']] = $row['text_lang'];
		}
	
	}						
	
	//Ausgabe der Textblcke
	if (isset($_SESSION['txt_block']['t'])){
	
		$zaehler = 0;
		foreach($_SESSION['txt_block']['t'] as $id => $text){
			echo "<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>\n";
			echo "<tr>";
			echo "<td width=\"80\">&nbsp;</td>\n";
			echo "<td style=\"padding: 10px 0; white-space: normal;\" width=\"570\">".nl2br($text)."</td>\n";
			echo "<td style=\"padding: 10px 0; width:100px;\">\n";
			echo "<input type=\"image\" src=\"img/runter.png\" name=\"move[down.".$zaehler."]\" title=\"Textblock nach unten\">&nbsp;";
			echo "<input type=\"image\" src=\"img/hoch.png\" name=\"move[up.".$zaehler."]\" title=\"Textblock nach oben\">&nbsp;";
			echo "<input type=\"image\" src=\"img/loeschen.png\" name=\"del[".$id."]\" title=\"Textblock l&ouml;schen\">";
			echo "</td>\n";
			echo "</tr>\n";
			$zaehler++;
		}
	}	
	?>
	<tr>
		<th>Schluss:</th>
		<td>
			<select name="schluss" size="1">
			<?php
			$query = "SELECT schluss_id,schluss
					  FROM tb_brief_schluss";
					  
			$res = abfrage1($query);
			while($row = mysql_fetch_array($res))
			{
				$selected = (isset($_POST['send']) && $_POST['schluss'] == $row['schluss_id'] || isset($_GET['id']) && $daten[18] == $row['schluss_id'])
							? "selected"
							: "";
				echo "<option value=\"".$row['schluss_id']."\"".$selected.">".$row['schluss']."</option>\n";
			}
			?>
			</select>
		</td>
	</tr>
	<tr>
		<th>Fuzeile:</th>
		<?php
			// Anzeige des Buttons eigene / alle Texte
			$eigene_fz = "<input type=\"submit\" name=\"fz_own\" value=\"eigene Texte\" />\n";
			$eigene_fz .= "<input type=\"hidden\" name=\"fz_status\" value=\"alle\">\n";
			
			$alle_fz = "<input type=\"submit\" name=\"fz_all\" value=\"alle Texte\" />\n";
			$alle_fz .= "<input type=\"hidden\" name=\"fz_status\" value=\"eigene\">\n";
						
			$button = $alle_fz;
			$gedrueckt = false;
			if (isset($_POST['fz_all']))
			{
			 	$button = $eigene_fz;
				$gedrueckt = true;
			}
			if (isset($_POST['fz_own']))
			{
			 	$button = $alle_fz;
				$gedrueckt = true;
			}
			if(isset($_POST['send']) && !$gedrueckt){
				switch($_POST['fz_status'])
				{
					case "alle":
						$button = $eigene_fz;
					break;
					
					case "eigene":
						$button = $alle_fz;
					break;
					
				}
			}
		
		?>
		<td>
		<?php
		$data = createTexte($fz_id,"f",$gedrueckt,"fz_status","fz_all");
		?>
		<select name="fz_txt" size="1" onChange="document.forms['post'].submit()">
		<option value="0">Fuszeile</option>
		<?php $data['options_text']?>
		</select>
		<input type="text" name="fz_kurztext" value="<?php $data['value_kurztext']?>" />
		<select name="fz_id" size="1" onChange="document.forms['post'].submit()">
		<option value="0">Kurztext-ID</option>
		<?php $data['options_id']?>
		</select>
		&nbsp;
		<?php $button?>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>		
		<th>Fusszeile:</th>
		<td>
			<?php
			if (isset($rvar_send) && !$gedrueckt){
				$query = "SELECT text_lang FROM tb_brief_text WHERE brief_text_id = ".$fz_id." AND merkmal = 'f'";
				$text = abfrage($query);
				$value = $text[0];
			}
			else $value = "";
			?>
			<textarea name="text_fusszeile" cols="70" rows="7"><?php $value?></textarea>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td>
		<input type="submit" name="addfz" value="Fusszeile hinzuf&uuml;gen"/>
		<input type="submit" name="addcopyfz" value="Kopie hinzuf&uuml;gen" />
		</td>
		<td>&nbsp;</td>
	</tr>
	<?php
	//Ausgabe der Fusszeilen
	if (isset($_SESSION['txt_block']['f'])){
	
		$zaehler = 0;
		foreach($_SESSION['txt_block']['f'] as $id => $text){
			echo "<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>\n";
			echo "<tr>";
			echo "<td width=\"80\">&nbsp;</td>\n";
			echo "<td style=\"padding: 10px 0; white-space: normal;\" width=\"570\">".nl2br($text)."</td>\n";
			echo "<td style=\"padding: 10px 0; width:100px;\">\n";
			echo "<input type=\"image\" src=\"img/runter.png\" name=\"move_fz[down.".$zaehler."]\" title=\"nach unten\">&nbsp;";
			echo "<input type=\"image\" src=\"img/hoch.png\" name=\"move_fz[up.".$zaehler."]\" title=\" nach oben\">&nbsp;";
			echo "<input type=\"image\" src=\"img/loeschen.png\" name=\"del_fz[".$id."]\" title=\"l&ouml;schen\">";
			echo "</td>\n";
			echo "</tr>\n";
			$zaehler++;
		}
	}	
	?>
	<tr>
		<td>&nbsp;</td>
		<td>
			<input type="submit" name="save" value="Brief speichern" />
			<?php
			if (isset($rvar_id)){
				echo "<input type=\"submit\" name=\"save_copy\" value=\"Kopie speichern\" />";
			}
			?>
		</td>
	</tr>
<?php
if (isset($rvar_id)){
	if (isset($_GET['id'])){ 
		$brief_id = $daten[8];
		$hp_id = $daten[20];
	}else{
		$brief_id = $_POST['brief_id'];
		$hp_id = $_POST['hp_id'];
	}
	echo "<input type=\"hidden\" name=\"id\" value=\"".$rvar_id."\" />\n";
	echo "<input type=\"hidden\" name=\"brief_id\" value=\"".$brief_id."\" />\n";
	echo "<input type=\"hidden\" name=\"hp_id\" value=\"".$hp_id."\" />\n";
	
}
?>
<input type="hidden" name="send" value="true" />
</form>
</table>
<?php
new stwLine(2);
new stwEnd($seite);
?>
