<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: chart_line.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */
 
/* Benutzung: <img src="chart_line.php?(X/Y/Linienstaerke),Werte Graph 1,!,Werte Graph 2,!,...,!,Werte Graph 6">
 * (X,Y,Linienstaerke) ist dabei fakultativ und mit (75,50,1) vorinitialisiert
 */

$querystring = explode(",",$_SERVER['QUERY_STRING']);
$thickness = 1;
$maxKey = 1;
$maxData = max(1,max($querystring));
header("Content-type: image/png");
$c = 0;
$x = 0;
$y = $querystring[0];
$i = 0;
$X = 75;
$Y = 50;
$data = array();
foreach($querystring as $val) {
  if($val[0] == '(') {
	list($X, $Y, $thickness) = sscanf($val, "(%d/%d/%d)");
  } elseif($val == '!') {
	$maxKey = max($maxKey, max(array_keys($data[$c])));
	$c++;
	$i = 0;
  } else {
	$data[$c][$i++] = $val;
  }
}
$maxKey = max($maxKey, max(array_keys($data[$c])));

$image=imagecreate($X, $Y);

$colorWhite=imagecolorallocate($image, 255, 255, 255);
$colorBlack=imagecolorallocate($image, 0, 0, 0);
$colorRed=imagecolorallocate($image, 255, 0, 0);
$colorBlue=imagecolorallocate($image, 0, 0, 255);
$colorGreen=imagecolorallocate($image, 0, 128, 0);
$colorPink=imagecolorallocate($image, 255, 0, 255);
$colorPurple=imagecolorallocate($image, 128, 0, 128);
$color = array($colorBlack, $colorRed, $colorGreen, $colorBlue, $colorPurple, $colorPink);
imagesetthickness($image, $thickness);

foreach($data as $c=>$dat) {
	foreach($dat as $l=>$val) {
		imageline($image, $x/$maxKey*$X, $Y-$y/$maxData*$Y, $l/$maxKey*$X, $Y-$val/$maxData*$Y, $color[$c]);
		$x = $l;
		$y = $val;
	}
	$x = 0;
	$y = $data[$c+1][0];
}
imagepng($image);
imagedestroy($image);?>