<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: chart_pie.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */
$data = explode(",",$_SERVER['QUERY_STRING']);
$chartImage = ImageCreate(201,201);
$background_color = imagecolorallocate($chartImage,51,51,51);
$c[1] = ImageColorAllocate ($chartImage,255,255,255);
if(sizeof($data) == 5) {
	$c[2] = ImageColorAllocate ($chartImage,102,255,51);
	$c[3] = ImageColorAllocate ($chartImage,255,255,51);
	$c[4] = ImageColorAllocate ($chartImage,255,153,51);
	$c[5] = ImageColorAllocate ($chartImage,255,51,51);
} else {
	$c[2] = ImageColorAllocate ($chartImage,255,51,0);
	$c[3] = ImageColorAllocate ($chartImage,0,102,0);
	$c[4] = ImageColorAllocate ($chartImage,255,255,0);
	$c[5] = ImageColorAllocate ($chartImage,153,0,255);
	$c[6] = ImageColorAllocate ($chartImage,0,255,255);
	$c[7] = ImageColorAllocate ($chartImage,0,0,255);
	$c[8] = ImageColorAllocate ($chartImage,255,102,0);
	$c[9] = ImageColorAllocate ($chartImage,204,255,0);
	$c[10] = ImageColorAllocate ($chartImage,102,0,102);
	$c[11] = ImageColorAllocate ($chartImage,255,51,153);
	$c[12] = ImageColorAllocate ($chartImage,0,102,204);
	$c[13] = ImageColorAllocate ($chartImage,102,153,255);
	$c[14] = ImageColorAllocate ($chartImage,51,204,102);
	$c[15] = ImageColorAllocate ($chartImage,153,0,0);
	$c[16] = ImageColorAllocate ($chartImage,255,204,204);
	$c[17] = ImageColorAllocate ($chartImage,153,102,51);
	$c[18] = ImageColorAllocate ($chartImage,255,102,255);
	$c[19] = ImageColorAllocate ($chartImage,255,204,51);
	$c[20] = ImageColorAllocate ($chartImage,204,204,204);
}
$sum = array_sum($data);
$d = 270;
$i = 0;
foreach($data as $x) {
	$i++;
	if($x > 0) {
		$x *= (360 / $sum);
		$x += $d;
		ImageFilledArc($chartImage, 100, 100, 200, 200, $d, $x, $c[$i], IMG_ARC_PIE);
		$d = $x;
	}
}
header ("Content-type: image/png");
ImagePNG($chartImage);
ImageDestroy($chartImage);
?>