<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie k&ouml;nnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit f&uuml;r irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: control.php 2866 2018-06-06 10:44:18Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = $_GET['page'] == 2 ? 75 : 15;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

require_once($pfad."inc/func.inc.php");

/* CSV-Download */
if ($_GET['csv'] == 1){
	$sb_id = $_GET['sb_id'];
	$filename = "php://output";
	$fp = fopen($filename, "w");
	if ($fp) {
		header("Content-Type: application/octet-stream");
		$date = date('Ymj');
		$save_as_name = basename("$date.csv");
		header("Content-Disposition: attachment; filename=\"$save_as_name\"");
		$array = array();
		$to_show = array();
		$a = 0;
		$sps = abfrage1("select * from tb_sachbericht_proj where sb_id='$sb_id' order by proj_id asc");
		while($sp = mysql_fetch_array($sps)) {
			$parray = array();
			$pers = abfrage1("select * from tb_sachbericht_person where sb_id='$sb_id' and proj_id='".$sp['proj_id']."' order by kind asc");
			$perscount = max(1,mysql_num_rows($pers));
			$ziele = abfrage1("select * from tb_sachbericht_ziel where sb_id='$sb_id' and proj_id=".$sp['proj_id']);
			$zielcount = max(1,mysql_num_rows($ziele));
			$count = max($perscount, $zielcount);

			$parray[0][0] = $sp['proj_id'];
			$parray[0][1] = $sp['paragraph'];
			$parray[0][6] = $sp['dauer'];

			$i = 0;
			while($per = mysql_fetch_array($pers)) {
				$parray[$i][2] = (empty($per['geschlecht']) || $per['kind'] == 'n') ? '' : $per['geschlecht'];
				$parray[$i][3] = empty($per['bez_art']) ? '' : $per['bez_art'];
				$parray[$i][4] = empty($per['bildung']) ? '' : $per['bildung'];
				$parray[$i][5] = ($per['age'] == -99 || $per['kind'] == 'n') ? '' : $per['age'];
				$parray[$i][7] = (empty($per['kontext']) || $per['kind'] == 'j' || $per['kind'] == 'h') ? '' : $per['kontext'];
				$parray[$i][9] = (empty($per['sozialraum'])) ? '' : substr($per['sozialraum'],2);
				$i++;
			}
			$i = 0;
			while($ziel = mysql_fetch_array($ziele)) {
				$parray[$i][8] = empty($ziel['ziel_kategorie']) ? '' : $ziel['ziel_kategorie'];
				for($j=1; $j<5; $j++) {
					$parray[$i][$j+9] = ($ziel['erreicht_psb'] <= $j*3  && $ziel['erreicht_psb']  > ($j-1)*3) ? (empty($ziel['ziel_kategorie']) ? 'X' : $ziel['ziel_kategorie']) : ' ';
					$parray[$i+1][$j+9] = ($ziel['erreicht_kind'] <= $j*3 && $ziel['erreicht_kind'] > ($j-1)*3) ? (empty($ziel['ziel_kategorie']) ? 'X' : $ziel['ziel_kategorie']) : ' ';
				}
				$i+=2;
			}
			$i = 0;
			$parray[$i][14] = $sp['ende']==1 ? 'X' : '';
			$parray[$i][15] = $sp['ende']==2 ? 'X' : '';
			$parray[$i][16] = $sp['ende']==3 ? 'X' : '';
			$parray[$i][17] = $sp['grund'];
			foreach($parray as $p) {
				$to_show[$a] = false;
				for($i=0; $i<18; $i++) {
					$array[$a][$i] = isset($p[$i]) ? $p[$i] : " ";
					if(!empty($array[$a][$i]) && $array[$a][$i] != " ") $to_show[$a]=true;
				}
				$a++;
			}
		}
		foreach($array as $a => $value)
			if($to_show[$a]) fputcsv($fp, $value, ';');
		fclose($fp);
	}
	exit(0);
}

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function einv($uid, $sb_id, $check, $sub) {
	$userResp = new xajaxResponse();
	abfrage2("update tb_sachbericht set einverst_pers_id='$uid', einverst='".($check ? 'j' : 'n')."' where sb_id='$sb_id'");
	$userResp->assign("einv_out", 'style.color', 'lime');
	$userResp->assign("einv_out", 'innerHTML', 'zuletzt ge&auml;ndert von ' . pers_kname($uid));
	if($sub == 2) {
		$userResp->assign("pcheck", 'style.display', 'inline');
		$userResp->assign("imgcheck", 'style.display', 'none');
	} elseif($sub == 3) {
		$userResp->assign("check_2", 'style.display', 'inline');
		$userResp->assign("check_5", 'style.display', 'inline');
		$userResp->assign("imgcheck_2", 'style.display', 'none');
		$userResp->assign("imgcheck_5", 'style.display', 'none');
	}
	return $userResp;
}

function smile($sb_kat) {
	$userResp = new xajaxResponse();
	global $AppCode;
	abfrage2("replace into tb_pers_einst_neu set pers_id='{$_SESSION[$AppCode]['UID']}', pers_einst_id='32', wert='$sb_kat'");
	$userResp->assign('Smile', 'style.color', 'lime');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('einv');
$xajax->registerFunction('smile');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

$smstyle = "style=\"color: #ccc\"";
$page = isset($_GET['page']) ? $_GET['page'] : 1;
$pers_order = getPersOrder($seite);

if(isset($_GET['pref'])) {
	$sql = "select pers_id from tb_pers_einst where pers_id = '{$_SESSION[$AppCode]['UID']}';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set controling_tab = '$page'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '{$_SESSION[$AppCode]['UID']}';";
	abfrage2($sql);
	$smstyle = "style=\"color: lime\"";
}

if(isset($_GET['kconf'])) {
	if(isset($_GET['del'])) {
		abfrage2("delete from tb_sb_kat where sb_kat='$rvar_del'");
	}
	if(!empty($_POST['kategorie'])) {
		$sql = empty($_POST['sb_kat']) ? 'insert into' : 'update';
		$sql .= " tb_sb_kat set kategorie='$rvar_kategorie'";
		$sql .= empty($_POST['sb_kat']) ? ';' : " where sb_kat='$rvar_sb_kat';";
		abfrage2($sql);
	}
	echo "<input type=\"button\" value=\"zur&uuml;ck\" onclick=\"self.location.href='control.php?page=2&sb_id=$rvar_sb_id'\" />\n";
	new stwLine(1);
	echo "<table>\n";
	$kat = abfrage("select * from tb_sb_kat where sb_kat='$rvar_kat'");
	echo "<tr><th>\n";
	echo $kat[0] ? "Kategorie bearbeiten:" : "neue Kategorie anlegen:";
	echo "</th>\n";
	echo "<form method=\"post\" action=\"control.php?page=2&kconf=1\">\n";
	echo "<input type=\"hidden\" name=\"sb_id\" value=\"$rvar_sb_id\" />\n";
	echo "<input type=\"hidden\" name=\"kat\" value=\"$kat[0]\" />\n";
	echo "<td><input name=\"kategorie\" type=\"text\" size=\"40\" value=\"$kat[1]\" /></td>\n";
	echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
	echo "</form></tr>\n";
	$sql = "select * from tb_sb_kat order by kategorie asc";
	$kats = abfrage1($sql);
	while($kat = mysql_fetch_row($kats)) {
		echo "<tr class=\"mo\"><td />\n";
		echo "<th class=\"cl20\"><a href=\"control.php?page=2&kconf=1&kat=$kat[0]&sb_id=$rvar_sb_id\">$kat[1]</a></th><td>";
		$exist = abfrage1("select sb_id from tb_sachbericht where sb_kat='$kat[0]' limit 1");
		if(mysql_num_rows($exist) == 0) echo "<a style=\"color:red\" href=\"control.php?page=2&kconf=1&kat=0&del=$kat[0]&sb_id=$rvar_sb_id\">X</a>";
		echo "</td></tr>\n";
	}
	echo "</table>\n";
	new stwEnd($seite);
	exit(0);
}

if(isset($rvar_sb_id)) {
	echo "<table width=\"750\"><tr>\n";
	echo "<td style=\"text-align:right\"><a href=\"control.php?page=2&sb_id=$rvar_sb_id&sub=$rvar_sub&csv=1\">CSV</a></td>\n";
	echo "<form action=\"control.php?page=2\" method=\"post\" enctype=\"multipart/form-data\">\n";
	echo "<input type=\"hidden\" name=\"sb_id\" value=\"$rvar_sb_id\">\n";
	echo "<input type=\"hidden\" name=\"sub\" value=\"".(isset($rvar_speichern) ? $rvar_sub2 : $rvar_sub)."\">\n";
	echo "<td style=\"text-align:right;width:50%\">";
	echo "<input type=\"submit\" name=\"calculate\" value=\"Werte neu berechnen\"";
	echo stwToolTip("Berechnet die der Tabelle zugrunde liegenden Werte auf Basis des Standes der einzelnen Projekte und der unter [0] eingetragenen Daten") . ">\n";
	echo "</td></form>";
	echo "</tr></table>\n";
	new stwLine(1);
}

if($page != 2) {
  if(!empty($_GET['rm'])) {
 	$bis = mktime(0,0,0,date('n', $_GET['rm']),date('t', $_GET['rm']),date('Y', $_GET['rm']));
	$von = mktime(0,0,0,date('n', $_GET['rm'])+1,1,date('Y', $_GET['rm'])-1);
  } elseif(empty($_GET['tag'])){
	$von = mktime(0,0,0,date('n'),1,date('Y')-1);
	$bis = mktime(0,0,0,date('n'),date('t'),date('Y'));
  } elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$von = mktime(0,0,0,1,1,$_GET['tag']);
	$bis = mktime(0,0,0,12,31,$_GET['tag']);
  } elseif($_GET['tag'] == '0000-00-00'){
	$von = 0;
	$bis = mktime(0,0,0,date('n'),date('t'),date('Y'));
  } elseif($_GET['anz']=='j') {
	$tag = date_isodate_stamp($_GET['tag']);
	$von = mktime(0,0,0,1,1,date('Y', $tag));
	$bis = mktime(0,0,0,12,31,date('Y', $tag));
  } else {
	$tag = date_isodate_stamp($_GET['tag']);
	$bis = mktime(0,0,0,date('n', $tag),date('t', $tag),date('Y', $tag));
	$von = mktime(0,0,0,date('n', $tag)+1,1,date('Y', $tag)-1);
  }
  $res1 = abfrage1("select nachw_id, unix_timestamp(datum) from tb_ab_nachw
					where unix_timestamp(datum) >= '$von' and unix_timestamp(datum) <= '$bis'
					order by datum ".(empty($_GET['rm']) ? "desc;" : "asc;"));
  $count = mysql_num_rows($res1);
  $ext = array();
  while ($row = mysql_fetch_row($res1)){
	$ts[] = $row[1];
	$nachw_id[] = $row[0];
	$SWP = abfrage("select sum(x.gel)
					from tb_x_ab x
					left join tb_projekte p using(proj_id)
					left join tb_hilfeart h using(hilfeart_id)
					where nachw_id = $row[0]
					and (h.hilfeart = 'SWP' || h.hilfeart = 'SWK')
					group by x.nachw_id;");
	$swp[] = $SWP[0];
	$TTM = abfrage("select sum(x.gel)
					from tb_x_ab x
					left join tb_projekte p using(proj_id)
					left join tb_hilfeart h using(hilfeart_id)
					where nachw_id = $row[0]
					and (h.hilfeart = 'TTM'
					or h.hilfeart = 'TTH'
					or h.hilfeart = 'TTS'
					or h.hilfeart = 'TTP'
					or h.hilfeart = 'TTV')
					group by x.nachw_id;");
	$ttm[] = $TTM[0];
	$TTT = abfrage("select sum(x.gel)
					from tb_x_ab x
					left join tb_projekte p using(proj_id)
					left join tb_hilfeart h using(hilfeart_id)
					where nachw_id = $row[0]
					and h.hilfeart = 'TTT'
					group by x.nachw_id;");
	$ttt[] = $TTT[0];
	$MAE = abfrage("select sum(x.gel)
					from tb_x_ab x
					left join tb_projekte p using(proj_id)
					left join tb_hilfeart h using(hilfeart_id)
					where nachw_id = $row[0]
					and h.hilfeart = 'MAE'
					group by x.nachw_id;");
	$mae[] = $MAE[0];
	$EAA = abfrage("select sum(x.gel)
					from tb_x_ab x
					left join tb_projekte p using(proj_id)
					left join tb_hilfeart h using(hilfeart_id)
					where nachw_id = $row[0]
					and h.hilfeart = 'EAA'
					group by x.nachw_id;");
	$eaa[] = $EAA[0];
	$PRA = abfrage("select sum(x.gel)
					from tb_x_ab x
					left join tb_projekte p using(proj_id)
					left join tb_hilfeart h using(hilfeart_id)
					where nachw_id = $row[0]
					and h.hilfeart = 'PRA'
					group by x.nachw_id;");
	$pra[] = $PRA[0];
	$VWG = abfrage("select sum(x.gel)
					from tb_x_ab x
					left join tb_projekte p using(proj_id)
					left join tb_hilfeart h using(hilfeart_id)
					where nachw_id = $row[0]
					and h.hilfeart = 'VWG'
					group by x.nachw_id;");
	$vwg[] = $VWG[0];
	$LTG = abfrage("select sum(x.gel)
					from tb_x_ab x
					left join tb_projekte p using(proj_id)
					left join tb_hilfeart h using(hilfeart_id)
					where nachw_id = $row[0]
					and (h.hilfeart = 'LTG'
					or h.hilfeart = 'STM'
					or h.hilfeart = 'QSS')
					group by x.nachw_id;");
	$ltg[] = $LTG[0];
	$INT = abfrage("select sum(x.gel)
					from tb_x_ab x
					left join tb_projekte p using(proj_id)
					left join tb_hilfeart h using(hilfeart_id)
					where nachw_id = $row[0]
					and h.hilfeart = 'VER'
					group by x.nachw_id;");
	$int[] = $INT[0];
  }
}

/*
 * Entwickler sollen den Controllingbereich auch nicht sehen.
 */
if(isset($_GET['rm']) && check_nutzer_rechte(5)) {
	$von = $_GET['rm'];
	$bis = mktime(0,0,0,date('n', $von),date('t', $von),date('Y', $von));
	echo "<table><tr><th colspan=\"5\">Stellware Risikomanagement &Uuml;bersicht</th><th colspan=\"3\" style=\"text-align:center\">";
	echo strftime('%B %Y', $von) . "</th></tr>\n";
	new stwTabLine(1,30);
	echo "<tr><td colspan=\"8\"></td><th colspan=\"2\" style=\"text-align:center\">AZK ges PK</th></tr>\n";
	echo "<tr><th class=\"cl1\">Tr&auml;ger</th><th class=\"cl1\"".stwToolTip('krank').">kr.</th>";
	echo "<th class=\"cl1\"".stwToolTip('Kind krank').">Kk.</th>";
	echo "<th class=\"cl1\"".stwToolTip('Urlaub').">Ur.</th>";
	echo "<th class=\"cl1\"".stwToolTip('Weiterbildung').">Wtb.</th>";
	echo "<th class=\"cl1\">Anstellung</th><th class=\"cl1\">PK</th>";
	echo "<th class=\"cl1\">AZK Std.</th><th class=\"cl1\">Kosten</th><th class=\"cl1\">Summe Positiv</th></tr>";
	new stwTabLine(2,30);
	$nw_id = abfrage("select nachw_id from tb_ab_nachw where unix_timestamp(datum) = '$von';");
	$trgs = abfrage1("SELECT * FROM tb_traeger_art order by traeger_art_id asc");
	while ($tr = mysql_fetch_row($trgs)){
		$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%Y') as von_dt, ";
		$sql .= "date_format(t.bis, '%d.%m.%Y') as bis_dt, a.name, t.terminart, ";
		$sql .= "unix_timestamp(t.von) as von_ts, unix_timestamp(t.bis) as bis_ts ";
		$sql .= "from tb_fehlz f ";
		$sql .= "left join tb_termine t on f.termin_id = t.termin_id ";
		$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
		$sql .= "left join tb_personal p on p.pers_id = f.pers_id ";
		$sql .= "where p.standard_traeger_art_id = '$tr[0]' and unix_timestamp(t.von) <= '$bis' ";
		$sql .= "and unix_timestamp(t.bis) >= '$von' and f.genehmigt = '1' ";
		$sql .= "and (p.besch_id='1' or p.besch_id='4') ";
		$sql .= "order by t.von asc;";
		$sum_ur = 0;
		$sum_wb = 0;
		$sum_kr = 0;
		$sum_kk = 0;
		$res = abfrage1($sql);
		while ($fz = mysql_fetch_assoc($res)){
			$von_at = ($fz['von_ts'] < $von) ? $von : $fz['von_ts'];
			$bis_at = ($fz['bis_ts'] > $bis) ? $bis : $fz['bis_ts'];
			$tage = arbeitstage($von_at, $bis_at);
			if ($fz['terminart'] == 'u' || $fz['terminart'] == 'wbu') $sum_ur += $tage;
			if ($fz['terminart'] == 'w') $sum_wb += $tage;
			if ($fz['terminart'] == 'k') $sum_kr += $tage;
			if ($fz['terminart'] == 'kk') $sum_kk += $tage;
		}
		$sumAZK = 0;
		$durchschnPK = 0;
		$sumPK = 0;
		$sumPKpositiv = 0;
		$sumAnst = 0;
		$i = 0;
		$sql  = "select p.name, v.*, x.azk_std, p.vml, p.azk from tb_personal p ";
		$sql .= "left join tbh_pers_abt a on a.pers_id = p.pers_id ";
		$sql .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
		$sql .= "left join tb_agsv v on v.pers_id = p.pers_id ";
		$sql .= "left join tb_x_azk_pers x on (x.pers_id = p.pers_id and x.nachw_id = '$nw_id[0]') ";
		$sql .= "where unix_timestamp(v.ab_monat) = '$von' ";
		$sql .= "and p.standard_traeger_art_id = '$tr[0]' ";
		$sql .= "and if(p.anstellung is null or p.anstellung='0000-00-00' , ";
		$sql .= "(p.eintritt <= '".date('Y-m-t', $von)."' or p.eintritt is null or p.eintritt='0000-00-00'), ";
		$sql .= "(p.anstellung <= '".date('Y-m-t', $von)."' or p.anstellung is null or p.anstellung='0000-00-00')) ";
		$sql .= "and (unix_timestamp(p.austritt)>$von or p.austritt is null or p.austritt='0000-00-00') ";
		$sql .= "group by p.pers_id";
		$res = abfrage1($sql);
		while ($kk = mysql_fetch_array($res)){
			$i++;
			if($kk['azk']=='j') $sumAZK += $kk['azk_std'];
			$zwischensumme = $kk[4]+$kk[5]+$kk[6]+$kk[7]+$kk[8]+$kk[9]+$kk[10];
			$sql  = "select anst from tb_paz where pers_id ='$kk[1]' ";
			$sql .= "and unix_timestamp(von) <= '$von' order by von desc limit 1;";
			$anst = abfrage($sql);
			if(empty($anst[0])) $anst[0] = '0.0';
			$sumAnst += $anst[0];

			if(empty($zwischensumme)) $PKproST = 0;
			else {
				$sql  = "select sperre, grund, besitz, sonder_proz, sonder, umwand ";
				$sql .= ", kinder, urlaub, krank, eg, es, kiz, pk, brutto_vs, anst, ";
				$sql .= " brutto_as, brutto_st, sonder, vml ";
				$sql .= "from tb_gehalt ";
				$sql .= "where pers_id = '$kk[1]' and unix_timestamp(ab_monat) = '$von'";
				$gehalt = abfrage_assoc($sql);

				if(empty($gehalt['sperre'])) {
					$sql  = "select count(kind_id) from tb_kinder ";
					$sql .= "where pers_id = '$kk[1]' and kigeld = 'j' and kigeld_empf = 'M';";
					$ki = abfrage($sql);
					$gehalt['kinder'] = $ki[0];
				}

				$StSVBrVS = $gehalt['grund'];
				if ($gehalt['kinder'] > 0) $StSVBrVS += ($gehalt['kinder'] * kinderzuschlag($von));
				if($anst[0]!='0.0') $StSVBrVS += (100 * $gehalt['besitz'] / $anst[0]);
				if($kk['vml'] == 'j') $StSVBrVS += getConf('vml');
				$StSVBrVS += 80; //max mgl. PK

				$PKproST = $StSVBrVS + ($StSVBrVS/12);
				$PKproST += ($PKproST * $zwischensumme / 100);
				$PKproST = round($PKproST/143.33, 2);
			}
			$AZKgesPK = $kk['azk']=='j' ? round($PKproST * $kk['azk_std'], 2) : 0;
			$durchschnPK += $PKproST;
			$sumPK += $AZKgesPK;
			if($AZKgesPK > 0) $sumPKpositiv += $AZKgesPK;
		}
		echo "<tr><th class=\"cl1\">$tr[1]</th>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">$sum_kr</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">$sum_kk</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">$sum_ur</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:center\">$sum_wb</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:right\">$sumAnst %</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:right\">".number_format($durchschnPK/max($i,1),2,',','')."</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:right\">".number_format($sumAZK,2,',','')."</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:right\">".number_format($sumPK,2,',','')."</td>\n";
		echo "<td class=\"cl1\" style=\"text-align:right\">".number_format($sumPKpositiv,2,',','')."</td></tr>\n";
	}
	echo "</table>";
	new stwLine(1);
	echo "<br><table><tr><td></td>";
	for($i=0; $i<$count; $i++) echo "<th class=\"cl1\">".strftime('%b %Y', $ts[$i])."</th>";
	echo "</tr>\n";
	new stwTabLine(2,$count+1);
	echo "<tr><th class=\"cl1\">TTM</th>";
	for($i=0; $i<$count; $i++) echo "<td class=\"cl1\" style=\"text-align:right\">".fls_form($ttm[$i])."</td>";
	echo "</tr>\n<tr><th class=\"cl1\">TTT</th>";
	for($i=0; $i<$count; $i++) echo "<td class=\"cl1\" style=\"text-align:right\">".fls_form($ttt[$i])."</td>";
	echo "</tr><tr><td></td><td colspan=\"$count\" style=\"text-align:center\"><img src=\"chart_line.php?(750/50/3),";
	for($i=0; $i<$count; $i++) echo (0+$ttm[$i]).',';
	echo "!,";
	for($i=0; $i<$count; $i++) echo (0+$ttt[$i]).($count-1>$i ? ',' : '');
	echo "\"" . stwToolTip("<b>TTM</b><br><b style=\"color:red\">TTT</b>",false);
	echo "width=\"100%\" height=\"50\"></td></tr>\n<tr><th class=\"cl1\">MAE</th>";
	for($i=0; $i<$count; $i++) echo "<td class=\"cl1\" style=\"text-align:right\">".fls_form($mae[$i])."</td>";
	echo "</tr>\n<tr><th class=\"cl1\">EAA</th>";
	for($i=0; $i<$count; $i++) echo "<td class=\"cl1\" style=\"text-align:right\">".fls_form($eaa[$i])."</td>";
	echo "</tr>\n<tr><th class=\"cl1\">PRA</th>";
	for($i=0; $i<$count; $i++) echo "<td class=\"cl1\" style=\"text-align:right\">".fls_form($pra[$i])."</td>";
	echo "</tr><tr><td></td><td colspan=\"$count\" style=\"text-align:center\"><img src=\"chart_line.php?(750/50/3),";
	for($i=0; $i<$count; $i++) echo (0+$mae[$i]).',';
	echo "!,";
	for($i=0; $i<$count; $i++) echo (0+$eaa[$i]).',';
	echo "!,";
	for($i=0; $i<$count; $i++) echo (0+$pra[$i]).($count-1>$i ? ',' : '');
	echo "\"" . stwToolTip("<b>MAE</b><br><b style=\"color:red\">EAA</b><br><b style=\"color:#008000\">PRA</b>",false);
	echo "width=\"100%\" height=\"50\"></td></tr>\n<tr><th class=\"cl1\">VWG</th>";
	for($i=0; $i<$count; $i++) echo "<td class=\"cl1\" style=\"text-align:right\">".fls_form($vwg[$i])."</td>";
	echo "</tr>\n<tr><th class=\"cl1\">LTG</th>";
	for($i=0; $i<$count; $i++) echo "<td class=\"cl1\" style=\"text-align:right\">".fls_form($ltg[$i])."</td>";
	echo "</tr>\n<tr><th class=\"cl1\">SWP</th>";
	for($i=0; $i<$count; $i++) echo "<td class=\"cl1\" style=\"text-align:right\">".fls_form($swp[$i])."</td>";
	echo "</tr><tr><td></td><td colspan=\"$count\" style=\"text-align:center\"><img src=\"chart_line.php?(750/50/3),";
	for($i=0; $i<$count; $i++) echo (0+$vwg[$i]).',';
	echo "!,";
	for($i=0; $i<$count; $i++) echo (0+$ltg[$i]).',';
	echo "!,";
	for($i=0; $i<$count; $i++) echo (0+$swp[$i]).($count-1>$i ? ',' : '');
	echo "\"" . stwToolTip("<b>VWG</b><br><b style=\"color:red\">LTG</b><br><b style=\"color:#008000\">SWP</b>",false);
	echo "width=\"100%\" height=\"50\"></td></tr>\n<tr><th class=\"cl1\">VER</th>";
	for($i=0; $i<$count; $i++) {
		$sql = "select sum(z.fls) from tb_ab_zk z
				left join tb_projekte p using(proj_id)
				left join tb_hilfeart h using(hilfeart_id)
				where z.code='@' and z.nachw_id='".$nachw_id[$i]."' 
				and h.hilfeart = 'VER'";
		$korr = abfrage($sql);
		$int[$i] -= $korr[0];
		echo "<td class=\"cl1\" style=\"text-align:right\">".fls_form($int[$i])."</td>";
	}
	echo "</tr>\n<tr><th class=\"cl1\">extern</th>";
	for($i=0; $i<$count; $i++) {
		$ab_monat = strftime("%Y-%m-%d", $ts[$i]);
		$fls = abfrage("select fls from tb_x_umsatz where ab_monat='$ab_monat'");
		$ext[$i] = $fls[0];
		echo "<td class=\"cl1\" style=\"text-align:right\">".fls_form($ext[$i])."</td>";
	}
	echo "</tr><tr><td></td><td colspan=\"$count\" style=\"text-align:center\"><img src=\"chart_line.php?(750/50/3),";
	for($i=0; $i<$count; $i++) echo (0+$int[$i]).',';
	echo "!,";
	for($i=0; $i<$count; $i++) echo (0+$ext[$i]).($count-1>$i ? ',' : '');
	echo "\"" . stwToolTip("<b>intern</b><br><b style=\"color:red\">extern</b>",false);
	echo "width=\"100%\" height=\"50\"></td></tr>";
	echo "</table>\n";
} elseif($page == 1 && check_nutzer_rechte(5)) {
  if ($count > 0){
	
	echo "<table border=\"0\">\n";
	
	echo "<tr>\n";
	echo "<th colspan=\"3\">Abrechnungsmonat</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">SWP</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">TTM</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">TTT</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">MAE</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">EAA</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">PRA</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">VWG</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">LTG</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">VER</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">extern</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<th style=\"text-align:center\">Umsatz</th>\n";
	echo "<td width=\"5\"></td>\n";
//	echo "<th style=\"text-align:center\" title=\"Summe kleiner als -10.00 Projekte HzE\">Kapp+</th>\n";
	echo "</tr>\n";
	new stwTabLine(2,30);

	$sum_ums = $sum_kap = 0;
	for($i=0; $i<$count; $i++) {
		$ab_monat = strftime("%Y-%m-%d", $ts[$i]);
		$ums = abfrage("select umsatz, fls, days, ab_monat from tb_x_umsatz where ab_monat='$ab_monat'");
		echo "<tr class=\"mo\">\n";
		echo "<td><a href=\"rech.php?nw=".$nachw_id[$i]."\"";
		if(is_null($ums[3])) echo stwToolTip("Es konnten f&uuml;r diesen Monat noch keine Werte ermittelt werden.<br>Bitte Rechnungs-Seite aufrufen.") . "style=\"color:red\"";
		echo ">" . preg_replace("/M(.*)rz/", "M&auml;rz", strftime('%B %Y', $ts[$i])) ."</a></td>\n";
		echo "<td><a href=\"control.php?page=1&rm=".$ts[$i]."\">RM</a></td>";
		$daten = new stwDaten("27");
		$link  = $daten->get_klammer_link($_SESSION["webdir"],
										  $_SESSION[$AppCode]["UID"],
										  $_SESSION[$AppCode]["ULV"],
										  $nachw_id[$i], "0");
		echo "<td>$link</td>\n";
		echo "<td width=\"5\"></td>\n";

		/* 
		 * Alle Uebertraege die kleiner als -10.00 sind sollen aus der
		 * Tabelle geholt werden. Anschliessend werden 10 Stunden zu
		 * jeder Zeile addiert und so werden die gekappten Stunden
		 * aktuell berechnet.
		 */
		$query  = "SELECT SUM(t4.ueber), COUNT(t4.ueber) FROM ";
		$query .= "tb_projekte t1 LEFT JOIN tb_kontakte_ap t2 ON ";

		$query .= "t2.ap_id = t1.ap_id LEFT JOIN tb_kontakte t3 ";
		$query .= "ON t3.kont_id=t2.kont_id and t3.kh_id='0' ";
		
		$query .= "LEFT JOIN tb_x_ab t4 ON t1.proj_id=t4.proj_id ";
		$query .= "WHERE t3.pauschFLS='j' AND ";

		$query .= "t4.nachw_id='".$nachw_id[$i]."' AND t4.ueber<-10.00 ";
		$query .= "AND t1.projektnr <= 999"; // nur HzE Projekte
		
		$kap = abfrage($query);
		$conf_stsatz = getStundensatz($ab_monat);
		
		$sum_ums += $ums[0];

		echo "<td align=\"right\">" . fls_form($swp[$i]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<td align=\"right\">" . fls_form($ttm[$i]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<td align=\"right\">" . fls_form($ttt[$i]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<td align=\"right\">" . fls_form($mae[$i]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<td align=\"right\">" . fls_form($eaa[$i]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<td align=\"right\">" . fls_form($pra[$i]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<td align=\"right\">" . fls_form($vwg[$i]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<td align=\"right\">" . fls_form($ltg[$i]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<td align=\"right\">" . fls_form($int[$i]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";
		$tt = fls_form($ums[1]);
		if($ums[2] > 0) $tt .= " und $ums[2] Tage";
		$tt .= " in Rechnung gestellt";
		$ext[$i] = $ums[1];
		echo "<td ";
		if($ums[2] > 0) echo "style=\"color:#FFCC00\" ";
		echo "align=\"right\"".stwToolTip($tt).">" . fls_form($ums[1]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<td align=\"right\">" . geld_form_web($ums[0]) . "</td>\n";
		echo "<td width=\"5\"></td>\n";

/*
		echo "<td align=\"right\">in Arbeit</td>\n";
		echo "<td width=\"5\"></td>\n";
		echo "<td align=\"right\">in Arbeit</td>\n";
		echo "<td width=\"5\"></td>\n";
*/
                /*
		 * alle pauschalen Stunden die kleiner -10.00 sind; 10 addieren
		 * und dann mal Fachleistungsstunde
		 */
		$betrag = ($kap[0] + ($kap[1] * 10.00))*$conf_stsatz*-1;
		$sum_kap += $betrag;
//		echo "<td align=\"right\">" . geld_form_web($betrag) . "</td>\n";
		echo "</tr>\n";
	}
	new  stwTabLine(2,30);
	echo "<tr><th colspan=\"3\">Summen:</th>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".fls_form(array_sum($swp))."</td>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".fls_form(array_sum($ttm))."</td>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".fls_form(array_sum($ttt))."</td>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".fls_form(array_sum($mae))."</td>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".fls_form(array_sum($eaa))."</td>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".fls_form(array_sum($pra))."</td>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".fls_form(array_sum($vwg))."</td>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".fls_form(array_sum($ltg))."</td>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".fls_form(array_sum($int))."</td>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".fls_form(array_sum($ext))."</td>\n";
	echo "<td style=\"text-align:right\" colspan=\"2\">".geld_form_web($sum_ums)."</td>\n";
//	echo "<td style=\"text-align:right\" colspan=\"2\">".geld_form_web($sum_kap)."</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
  }
} elseif($page == 2 && check_nutzer_rechte(71)) {
	$kategorie = isset($rvar_kat) ? $rvar_kat : getPersEinst($_SESSION[$AppCode]['UID'],32,0);
	$sub = (isset($rvar_sub)) ? $rvar_sub : 0;
	if(isset($rvar_save)) {
		if(!empty($rvar_paragraph) && !empty($rvar_ha)) {
			$old_ha = abfrage("select hilfeart_id from tb_sachbericht where sb_id = '$rvar_sb_id'");
			if($old_ha[0] == $rvar_ha) $rvar_ha=0;
			else $rvar_paragraph=0;
		}
		$sql = "tb_sachbericht set von = '" . date_gr2my($rvar_von) . "', ";
		$sql .= "bis = '" . date_gr2my($rvar_bis) . "', ";
		$sql .= "hilfeart_id = '$rvar_ha', ";
		$sql .= "sb_kat = '$rvar_sb_kat', ";
		$sql .= "paragraph = '$rvar_paragraph', ";
		$sql .= "status = '$rvar_status', ";
		$sql .= "notizen = '$rvar_notizen', ";
		$j = ($rvar_einverst == '1') ? 'j' : 'n';
		$sql .= "einverst = '$j', ";
		$sql .= "ja_bezeichnung = '$rvar_ja_bezeichnung', ";
		$sql .= "misc_bezeichnung = '$rvar_misc_bezeichnung', ";
		$sql .= "misc = '$rvar_misc', ";
		$sql .= "titel = '$rvar_name', ";
		$sql .= "datenschutz = '".($rvar_ds==1 ? 'j' : 'n')."', ";
		$sql .= "jugendaemter = '".($rvar_jas==1 ? 'j' : 'n')."', ";
		$sql .= "hilfearten = '".($rvar_has==1 ? 'j' : 'n')."'";
		if(isset($rvar_sb_id)) {
			$sql = "update $sql where sb_id = '$rvar_sb_id'";
		} else {
			$sql = "insert into $sql ";
		}
		abfrage2($sql);
		if(empty($rvar_sb_id)) $rvar_sb_id = mysql_insert_id();
		if(!empty($rvar_ja)) {
			abfrage2("replace into tbh_sachbericht_ja set sb_id=$rvar_sb_id, kont_id=$rvar_ja");
		}
	}
	if(isset($rvar_save3)) {
	  for($i=1;$i<12;$i++) {
		if(empty($rvar_check[$i])) $rvar_prio[$i] = 0;
		elseif(empty($rvar_prio[$i])) {
			$max = abfrage("select max(prio) from tb_sachbericht_druck where sb_id = '$rvar_sb_id'");
			$rvar_prio[$i] = $max[0] + 1;
		}
		abfrage2("REPLACE INTO tb_sachbericht_druck SET sb_id = '$rvar_sb_id', 
					chart_id = '".$rvar_chart_id[$i]."', prio = '".$rvar_prio[$i]."', 
					titel = '".$rvar_titel[$i]."', text = '".$rvar_text[$i]."', 
					include1st = '".($rvar_include1st[$i]==1 ? 'j' : 'n')."',
					seitenumbruch = '".($rvar_seitenumbr[$i]==1 ? 'j' : 'n')."'");
		if (is_array($rvar_art_add[$i])) {
		  $sort = abfrage("select max(sort)+1 from tbh_sachbericht_charts where sb_id = '$rvar_sb_id' and chart_id = '".$rvar_chart_id[$i]."'");
		  if(sizeof($rvar_art_add[$i]) == 1) {
			abfrage2("REPLACE INTO tbh_sachbericht_charts SET sb_id = '$rvar_sb_id', chart_id = '".$rvar_chart_id[$i]."', hilfeart_id = '".$rvar_art_add[$i][0]."', sort='$sort[0]', text='".$rvar_subtext[$i][$rvar_art_add[$i][0]][0]."'");
		  } else {
			reset($rvar_art_add[$i]);
			$id = 0;
			foreach ($rvar_art_add[$i] as $art) {
				if(empty($id)) {
					abfrage2("insert into tbh_sachbericht_subcharts set sb_id = '$rvar_sb_id', hilfeart_id = '$art'");
					$id = mysql_insert_id();
				} else abfrage2("insert into tbh_sachbericht_subcharts set subchart_id = '$id', sb_id = '$rvar_sb_id', hilfeart_id = '$art'");
			}
			abfrage2("REPLACE INTO tbh_sachbericht_charts SET sb_id = '$rvar_sb_id', chart_id = '".$rvar_chart_id[$i]."', hilfeart_id = '0', subchart_id = '$id', sort='$sort[0]', text='".$rvar_subtext[$i][0][$id]."'");
		  }
		  $rvar_speichern = true;
		}
	  }
	  if(is_array($rvar_subtext)) foreach($rvar_subtext as $i => $subtext) {
		foreach($subtext as $hilfeart_id => $textarray) {
		  foreach($textarray as $subchart_id => $text) {
			$check = $rvar_grumbruch[$i][$hilfeart_id][$subchart_id];
			$sql = "UPDATE tbh_sachbericht_charts SET text='$text', seitenumbruch='$check'
					WHERE sb_id='$rvar_sb_id' AND chart_id = '".$rvar_chart_id[$i]."' 
					AND hilfeart_id = '$hilfeart_id' AND subchart_id = '$subchart_id'";
			abfrage2($sql);
		  }
		}
	  }
	}
	if(isset($rvar_save4)) {
		abfrage2("UPDATE tb_sachbericht SET tendenzen = '$rvar_tendenzen' WHERE sb_id = '$rvar_sb_id'");
	}
	if(isset($rvar_save5)) {
		if(isset($rvar_id) && is_array($rvar_id)) foreach($rvar_id as $i => $id) {
			$sort = empty($rvar_sort[$i]) ? 1 : $rvar_sort[$i];
			if($id == $sort) $konflikt[0] = false;
			else $konflikt = abfrage("SELECT sort FROM tbh_sachbericht_images WHERE sort = '$sort' AND sb_id='$rvar_sb_id' AND seite='$rvar_sub2'");
			if($konflikt[0]) abfrage2("UPDATE tbh_sachbericht_images SET sort='0' WHERE sort='$sort' AND sb_id='$rvar_sb_id' AND seite='$rvar_sub2'");
			$umbr = $rvar_seitenumbr[$i] == 1 ? 'j' : 'n';
/*			foreach($_FILES as $ID => $file) {
				echo "<b>$ID:</b><br>";
				foreach($file as $f => $ile) {
					echo "- $f: $ile<br>";
				}
			}*/
			$sql = "UPDATE tbh_sachbericht_images SET sort = '$sort', ";
			if(strlen($_FILES["image$i"]["name"]) > 0) {
				$img = abfrage("select datei from tbh_sachbericht_images where sb_id=$rvar_sb_id and seite=$rvar_sub2 and sort=$i");
				if(strlen($img[0]) > 0) {
					$multiple = abfrage1("select sb_id from tbh_sachbericht_images where datei='$img[0]'");
					if(mysql_num_rows($multiple) == 1) unlink($pfad."img/$img[0]");
				}
				$dateiname = time().$_FILES["image$i"]["name"];
				move_uploaded_file($_FILES["image$i"]["tmp_name"], "img/" . $dateiname);
				$sql.= "datei='$dateiname', ";
			}
			$sql.= "width = '" . intval($rvar_width[$i]) . "', 
					height = '" . intval($rvar_height[$i]) . "', 
					text = '" . $rvar_text[$i] . "', seitenumbruch = '$umbr'
					WHERE sb_id='$rvar_sb_id' AND seite='$rvar_sub2' AND sort='$id'";
			abfrage2($sql);
			if($konflikt[0]) {
				abfrage2("UPDATE tbh_sachbericht_images SET sort='$id' WHERE sort='0' AND sb_id='$rvar_sb_id' AND seite='$rvar_sub2'");
				$rvar_sort[$sort] = $rvar_id[$sort] = $id;
			}
		}
		if(!empty($rvar_text_neu)) {
			if(empty($rvar_sort_neu)) {
				$lastimg = abfrage("select sort from tbh_sachbericht_images where sb_id = '$rvar_sb_id' and seite = '$rvar_sub2' order by sort desc limit 1");
				$rvar_sort_neu = intval($lastimg[0]) + 1;
				$konflikt[0] = false;
			} else $konflikt = abfrage("SELECT sort FROM tbh_sachbericht_images WHERE sort = '$rvar_sort_neu' AND sb_id='$rvar_sb_id' AND seite='$rvar_sub2'");
			if($konflikt[0]) {
				$lastimg = abfrage("select sort from tbh_sachbericht_images where sb_id = '$rvar_sb_id' and seite = '$rvar_sub2' order by sort desc limit 1");
				abfrage2("UPDATE tbh_sachbericht_images SET sort='0' WHERE sort='$rvar_sort_neu' AND sb_id='$rvar_sb_id' AND seite='$rvar_sub2'");
			}
			$umbr = $rvar_seitenumbr_neu == 1 ? 'j' : 'n';
			abfrage2("INSERT INTO tbh_sachbericht_images SET sb_id = '$rvar_sb_id', seite = '$rvar_sub2', text='$rvar_text_neu', sort='$rvar_sort_neu', seitenumbruch = '$umbr'");
			if($konflikt[0]) abfrage2("UPDATE tbh_sachbericht_images SET sort='".(intval($lastimg[0]) + 1)."' WHERE sort='0' AND sb_id='$rvar_sb_id' AND seite='$rvar_sub2'");
		}
		if(strlen($_FILES["file"]["name"]) > 0) {
			if ($_FILES["file"]["error"] > 0) {
				echo "Error: " . $_FILES["file"]["error"] . "<br />";
			} else {
				$lastimg = abfrage("select sort from tbh_sachbericht_images where sb_id = '$rvar_sb_id' and seite = '$rvar_sub2' order by sort desc limit 1");
				$sort = intval($lastimg[0]) + 1;
				$dateiname = time().$_FILES["file"]["name"];
				move_uploaded_file($_FILES["file"]["tmp_name"], "img/" . $dateiname);
				abfrage2("INSERT INTO tbh_sachbericht_images SET datei='$dateiname', width='200', sb_id = '$rvar_sb_id', seite = '$rvar_sub2', sort='$sort'");
			}
		}
	}
	if(isset($rvar_speichern)) $sub=$rvar_sub2;
	if(isset($_GET['terminate'])) {
		abfrage2("delete from tb_sachbericht_druckuebersicht where sb_id=$rvar_sb_id and seite='{$_GET['terminate']}' limit 1");
	}
	if(isset($_GET['del'])) {
		abfrage2("delete from tbh_sachbericht_ja where sb_id=$rvar_sb_id and kont_id='{$_GET['del']}' limit 1");
	}
	if(isset($_GET['del_image'])) {
		if(is_numeric($rvar_sb_id) && is_numeric($rvar_sub) and is_numeric($rvar_del_image)) {
			$img = abfrage("select datei from tbh_sachbericht_images where sb_id=$rvar_sb_id and seite=$rvar_sub and sort=$rvar_del_image");
			if(strlen($img[0]) > 0) {
				$multiple = abfrage1("select sb_id from tbh_sachbericht_images where datei='$img[0]'");
				if(mysql_num_rows($multiple) == 1) unlink($pfad."img/$img[0]");
			}
			abfrage2("delete from tbh_sachbericht_images where sb_id=$rvar_sb_id and seite=$rvar_sub and sort=$rvar_del_image");
		}
	}
	if(isset($_GET['move'])) {
		$sort1 = abfrage("select sort from tbh_sachbericht_charts where sb_id=$rvar_sb_id and chart_id='$rvar_chart_id' and subchart_id='$rvar_subchart' and hilfeart_id='$rvar_move'");
		$sort2 = abfrage("select sort, subchart_id, hilfeart_id from tbh_sachbericht_charts where sb_id=$rvar_sb_id and chart_id='$rvar_chart_id' and sort < $sort1[0] order by sort desc");
		abfrage2("update tbh_sachbericht_charts set sort='$sort2[0]' where sb_id=$rvar_sb_id and chart_id='$rvar_chart_id' and subchart_id='$rvar_subchart' and hilfeart_id='$rvar_move'");
		abfrage2("update tbh_sachbericht_charts set sort='$sort1[0]' where sb_id=$rvar_sb_id and chart_id='$rvar_chart_id' and subchart_id='$sort2[1]' and hilfeart_id='$sort2[2]'");
	}
	if(isset($_GET['rem'])) {
		abfrage2("delete from tbh_sachbericht_charts where sb_id=$rvar_sb_id and chart_id='$rvar_chart_id' and hilfeart_id='$rvar_rem' limit 1");
	}
	if(isset($_GET['subrem'])) {
		abfrage2("delete from tbh_sachbericht_subcharts where sb_id='$rvar_sb_id' and subchart_id='$rvar_subrem'");
		abfrage2("delete from tbh_sachbericht_charts where sb_id='$rvar_sb_id' and subchart_id='$rvar_subrem'");
	}
	if(isset($rvar_sb_id)) {
		$sb = abfrage_assoc("SELECT unix_timestamp(von) AS von_ts, unix_timestamp(bis) AS bis_ts, s.* FROM tb_sachbericht s WHERE sb_id='$rvar_sb_id'");
	}
	if(isset($rvar_pprio)) {
		$prio = (empty($rvar_pcheck)) ? '-1' : $rvar_pprio;
		abfrage2("REPLACE INTO tb_sachbericht_druckuebersicht SET sb_id='$rvar_sb_id',
				  seite = '$rvar_sub2', prio = '$prio', titel = '$rvar_ptitel', text = '$rvar_ptext',
				  seitenumbruch = '".($rvar_seitenumbruch == 1 ? 'j' : 'n')."'");
		$pprios = abfrage1("select prio, seite from tb_sachbericht_druckuebersicht where sb_id='$rvar_sb_id' and seite != '$rvar_sub2' order by prio asc");
		$i = 1;
		while($pprio = mysql_fetch_row($pprios)){
			if($pprio[0] > 0) {
				if($i == $prio) $i++;
				if($i != $pprio[0])
					abfrage2("update tb_sachbericht_druckuebersicht set prio = '$i' where sb_id='$rvar_sb_id' and seite='$pprio[1]'");
				$i++;
			}
		}
	}
	if(isset($rvar_calculate)) {
		$sub = empty($rvar_sub) ? 0 : $rvar_sub;
		sb_update($rvar_sb_id);
	}
	if(isset($rvar_pa_speichern)) {
		foreach($rvar_p_art_id as $p_art_id) {
			$j = empty($rvar_im_sb[$p_art_id]) ? 'n' : 'j';
			abfrage2("UPDATE tb_personalart SET im_sachbericht = '$j' WHERE p_art_id = '$p_art_id'");
		}
	}
	echo "<form action=\"control.php?page=2\" method=\"post\" enctype=\"multipart/form-data\">\n";
	echo "<input type=\"submit\" name=\"speichern\" value=\"speichern\" style=\"height:1px;visibility:hidden\" />\n";
	echo "<table width=\"750\">\n";
	if(isset($rvar_editPA)) {
		echo "<input type=\"hidden\" name=\"sb_id\" value=\"$rvar_sb_id\">\n";
		echo "<input type=\"hidden\" name=\"sub\" value=\"1\">\n";
		$pas = abfrage1("select * from tb_personalart order by IF(kurzname IS NULL, personalart, kurzname) asc");
		echo "<tr><th class=\"cl1\">Personalart</th><th class=\"cl1\">Beschreibung</th><th class=\"cl1\">im Sachbericht</th></tr>\n";
		new stwTabLine(2,3);
		while($pa = mysql_fetch_array($pas)) {
			echo "<tr class=\"mo\"><th class=\"cl1\">" . (is_null($pa['kurzname']) ? $pa['personalart'] : $pa['kurzname']) . "</th>";
			echo "<td class=\"cl1\">" . $pa['beschreibung'] . "</td>";
			$checked = $pa['im_sachbericht']=='j' ? "checked" : '';
			echo "<td style=\"text-align:center\"><input type=\"checkbox\" name=\"im_sb[".$pa['p_art_id']."]\" value=\"1\" $checked></td></tr>\n";
			echo "<input type=\"hidden\" name=\"p_art_id[".$pa['p_art_id']."]\" value=\"".$pa['p_art_id']."\">\n";
		}
		new stwTabLine(2,3);
		echo "<tr><td colspan=\"3\"><input type=\"submit\" name=\"pa_speichern\" value=\"speichern\"></td></tr>\n";
		echo "</table>\n</form>\n";
		new stwLine(1);
		new stwEnd($seite);
		exit(0);
	}
	if(isset($rvar_new) || isset($rvar_sb_id)) {
	  if(isset($rvar_sb_id)) echo "<input type=\"hidden\" name=\"sb_id\" value=\"$rvar_sb_id\">\n";
	  $rounds = isset($rvar_sb_id) ? 2 : 1;
	  $parray = array();
	  for($i=0; $i < $rounds; $i++) {
		$id = $i==0 ? 0 : $rvar_sb_id;
		$drucks = abfrage1("select * from tb_sachbericht_druckuebersicht where sb_id='$id' order by seite asc");
		while($druck = mysql_fetch_array($drucks)) {
		  $parray[ $druck['seite'] ]['check'] = ($druck['prio'] >= 0);
		  $parray[ $druck['seite'] ]['prio'] = ($druck['prio'] < 1) ? '' : $druck['prio'];
		  $parray[ $druck['seite'] ]['titel'] = $druck['titel'];
		  $parray[ $druck['seite'] ]['text'] = $druck['text'];
		  $parray[ $druck['seite'] ]['seitenumbruch'] = $druck['seitenumbruch'];
		}
	  }

	  if(!empty($sub)) {
		$bDel = false;
		if($sub > 5) {
			$imgs = abfrage1("select sort from tbh_sachbericht_images where sb_id='$rvar_sb_id' and seite='$sub'");
			if(mysql_num_rows($imgs) == 0) $bDel = true;
		}
		echo "<tr><td style=\"text-align:center;vertical-align:middle;\">";
		if($sb['einverst'] != 'j' && $sub == 2) {
			echo "<img id=\"imgcheck\" src=\"img/unchecked.png\"" . stwToolTip("diese Rubrik kann nur mit Einverst&auml;ndniserkl&auml;rung gedruckt werden") . " />";
			$checked = "style=\"display:none\"";
		} else {
			$checked = $parray[$sub]['check'] ? "checked" : '';
		}
		$tt = stwToolTip("Ausw&auml;hlen, ob diese Rubrik im Druck angezeigt werden soll");
		echo "<input $tt type=\"checkbox\" id=\"pcheck\" name=\"pcheck\" value=\"1\" $checked>";
		echo "</td><td colspan=\"30\"><input type=\"text\" name=\"pprio\" value=\"".$parray[$sub]['prio']."\" size=\"2\" maxlength=\"1\">&nbsp;";
		echo "<input type=\"text\" name=\"ptitel\" value=\"".$parray[$sub]['titel']."\" style=\"width:".($bDel ? 600 : 660)."px\" maxlength=\"100\">";
		$tt = stwToolTip("Seitenumbruch vor dieser &Uuml;berschrift erzwingen");
		echo " <img $tt style=\"position:relative;top:3px\" src=\"".image('seitenumbruch',14,14)."\">";
		$checked = $parray[$sub]['seitenumbruch']=='j' ? "checked" : '';
		echo " <input $tt style=\"position:relative;top:3px\" type=\"checkbox\" $checked name=\"seitenumbruch\" value=\"1\">";
		if($bDel) {
			echo "<span style=\"position:relative;left:55px\"><a style=\"color:red;\"";
			echo stwToolTip("<b>VORSICHT!</b> Diese Seite l&ouml;schen");
			echo "onclick=\"return confirm('Seite wirklich entfernen?');\" ";
			echo "href=\"control.php?page=2&sb_id=$rvar_sb_id&terminate=$sub\">X</a></span>";
		}
		echo "</td></tr>\n";
	  }
	  $style = "style=\"width:20px; margin-top:5px; height:50px; font-family: Arial, Helvetica, sans-serif; color: #FFCC00; font-weight: bold; background-color: ";
	  echo "<tr><td>";
	  $color = ($sub == "0") ? "#1C1C1C\"" : "#666666\"";
	  $tt = stwToolTip("Auswahl JA, Zeitraum, Hilfeart...");
	  echo "<input type=\"submit\" name=\"sub\" value=\"0\" $tt $style $color><br>\n";
	  $color = ($sub == "1") ? "#1C1C1C\"" : "#666666\"";
	  $tt = stwToolTip("Anzahl, Qualifikation und Fortbildungen der Mitarbeiter...");
	  echo "<input type=\"submit\" name=\"sub\" value=\"1\" $tt $style $color><br>\n";
	  $color = ($sub == "2") ? "#1C1C1C\"" : "#666666\"";
	  $tt = stwToolTip("Tabelle");
	  echo "<input type=\"submit\" name=\"sub\" value=\"2\" $tt $style $color><br>\n";
	  $color = ($sub == "3") ? "#1C1C1C\"" : "#666666\"";
	  $tt = stwToolTip("Grafiken");
	  echo "<input type=\"submit\" name=\"sub\" value=\"3\" $tt $style $color><br>\n";
	  $color = ($sub == "4") ? "#1C1C1C\"" : "#666666\"";
	  $tt = stwToolTip("Entwicklungen und Tendenzen");
	  echo "<input type=\"submit\" name=\"sub\" value=\"4\" $tt $style $color><br>\n";
	  $color = ($sub == "5") ? "#1C1C1C\"" : "#666666\"";
	  $tt = stwToolTip("weitere Texte und Grafiken");
	  echo "<input type=\"submit\" name=\"sub\" value=\"5\" $tt $style $color><br>\n";
	  if(isset($rvar_sb_id)) {
		$adpgs = abfrage1("select seite from tb_sachbericht_druckuebersicht where sb_id='$rvar_sb_id' and seite>5 order by seite asc");
		while($adpg = mysql_fetch_row($adpgs)) {
		  $color = ($sub == $adpg[0]) ? "#1C1C1C\"" : "#666666\"";
		  echo "<input type=\"submit\" name=\"sub\" value=\"$adpg[0]\" $tt $style $color><br>\n";
		}
		echo "<input type=\"submit\" name=\"sub\" value=\"+\" $tt ";
		echo "style=\"width:20px; margin-top:5px; height:20px; font-family: Arial, Helvetica, sans-serif; color: #FFCC00; font-weight: bold; background-color: #666666\"><br>\n";
		echo "<br><a href=\"sachbericht_pr.php?sb_id=$rvar_sb_id&ts=" . time();
		echo "\" target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\" ";
		echo stwToolTip('Sachbericht drucken') . "></a>\n";
	  }
	  echo "</td><td>\n<table>\n";
	  if(empty($sub)) {
		echo "<input type=\"hidden\" name=\"sub2\" value=\"0\">\n";
		echo "<input type=\"hidden\" name=\"save\" value=\"1\">\n";
		echo "<tr><th class=\"cl20\">Datenschutz:</th><td >";
		$checked = $sb['datenschutz'] == 'n' ? '' : 'checked';
		echo "<input type=\"checkbox\" name=\"ds\" value=\"1\" $checked> ";
		echo "Hinweis &raquo;Aktenvernichter verwenden&laquo;</td>";
		echo "<th style=\"text-align:right\">";
		echo "Kategorie <a href=\"control.php?page=2&kconf=1&sb_id=$rvar_sb_id\">";
		echo "<img src=\"img/edit.png\"" . stwToolTip("Kategorien bearbeiten") . "/>";
		echo "</a>: <select name=\"sb_kat\" style=\"width:200px\">";
		echo "<option value=\"0\">- Bitte w&auml;hlen -</option>\n";
		$kats = abfrage1("select * from tb_sb_kat order by kategorie asc");
		while($kat = mysql_fetch_row($kats)) {
			$selected = $kat[0]==$sb['sb_kat'] ? 'selected' : '';
			echo "<option $selected value=\"$kat[0]\">$kat[1]</option>\n";
		}
		echo "</select>\n &nbsp; &nbsp; ";
		if(isset($rvar_sb_id)) {
			echo "<a href=\"pers_pr_liste.php?sb_id=$rvar_sb_id&ts=" . time() . "\" ";
			echo "target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"druck\"";
			echo stwToolTip('&Uuml;bersicht &uuml;ber Personal im Zeitraum drucken') . "></a>\n";
			echo "&nbsp;<a href=\"pro_pr_kontaktst.php?sb_id=$rvar_sb_id&ts=" . time() . "\" ";
			echo "target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"druck\"";
			echo stwToolTip('&Uuml;bersicht &uuml;ber Projekte und Stunden drucken') . "></a>";
		}
		echo "</th></tr>\n";
		echo "<tr><th class=\"cl20\">Bezeichnung:</th><td colspan=\"2\"><input type=\"text\" name=\"name\" ";
		echo "style=\"width:100%\" maxlength=\"100\" value=\"".$sb['titel']."\"></td></tr>";
		echo "<tr><th class=\"cl20\">Notizen:</th>\n";
		echo "<td colspan=\"2\"><textarea rows=\"1\" style=\"width:100%\" name=\"notizen\">";
		echo $sb['notizen'] . "</textarea></td></tr>\n";
		new stwTabLine(2,30);
		echo "<tr><th class=\"cl20\">Zeitraum:</th>\n";
		if(isset($rvar_sb_id))
			$von = date_my2gr($sb['von']);
		else {
			$temp = abfrage("select date_format(von, '%d.%m.%Y') from tb_sachbericht order by sb_id desc limit 1");
			$von = empty($temp[0]) ? date("01.01.Y") : $temp[0];
		}
		if(isset($rvar_sb_id))
			$bis = date_my2gr($sb['bis']);
		else {
			$temp = abfrage("select date_format(bis, '%d.%m.%Y') from tb_sachbericht order by sb_id desc limit 1");
			$bis = empty($temp[0]) ? date("31.12.Y") : $temp[0];
		}
		echo "<td class=\"cl11\"> von <input type=\"text\" name=\"von\" value=\"$von\" size=\"10\" maxlength=\"10\"> &nbsp;\n";
		echo "bis <input type=\"text\" name=\"bis\" value=\"$bis\" size=\"10\" maxlength=\"10\"></td></tr>\n";
		new stwTabLine(2,30);
		$sql = "select kont_id, kurzname, name from tb_kontakte
				where kont_art_id = '1' and aktiv = 'j' and kh_id='0'
				and kont_id not in (select kont_id from tbh_sachbericht_ja where sb_id = '$rvar_sb_id')
				order by kurzname asc;";
		$checked = ($sb['jugendaemter'] == 'n') ? '' : 'checked';
		$tt = stwToolTip('Bereich "Jugendamt" im Druck ausweisen');
		echo "<th class=\"cl11\"><input type=\"checkbox\" $tt name=\"jas\" value=\"1\" $checked> Jugend&auml;mter:</th>\n";
		echo "<td class=\"cl1\">\n<select style=\"width:200px\" name=\"ja\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">JA hinzuf&uuml;gen</option>";
		$jas = abfrage1($sql);
		while($ja = mysql_fetch_array($jas)){
			echo "<option value=\"{$ja['kont_id']}\">";
			echo $ja['kurzname'] . " - " . $ja['name'] . "</option>\n";
		}
		echo "</select>";
		echo "</td>\n<td rowspan=\"2\">";
		$sql = "select j.kont_id, k.kurzname, k.name from tbh_sachbericht_ja j
				left join tb_kontakte k on (k.kont_id = j.kont_id) and k.kh_id='0'
				where j.sb_id = '$rvar_sb_id'
				order by k.kurzname asc;";
		$jas = abfrage1($sql);
		if(mysql_num_rows($jas) > 0) {
			echo "<table>\n";
			while($ja = mysql_fetch_array($jas)){
				echo "<tr><td class=\"cl1\"><a href=\"kont_and.php?kont_id=" . $ja['kont_id'];
				echo "&ka=1&st=5\">" . $ja['kurzname'] . "</a></td>";
				echo "<th class=\"cl1\">" . $ja['name'] . "</th>";
				echo "<td><a href=\"control.php?page=2&sb_id=$rvar_sb_id&del=" . $ja['kont_id'];
				echo "\" style=\"color:red\"";
				echo stwToolTip("Jugendamt aus der Auswahl entfernen");
				echo ">X</a></td></tr>\n";
			}
			echo "</table>\n";
		}
		echo "</td></tr><tr><th>Bezeichnung:</th><td><input type=\"text\" name=\"ja_bezeichnung\" ";
		echo "style=\"width:200px\" maxlength=\"100\" value=\"".$sb['ja_bezeichnung']."\"></td></tr>";
		new stwTabLine(2,30);
		$has = abfrage1("select hilfeart_id, hilfeart, beschreibung from tb_hilfeart order by hilfeart asc");
		$checked = ($sb['hilfearten'] == 'n') ? '' : 'checked';
		$tt = stwToolTip('Bereich "Hilfeart" im Druck ausweisen');
		echo "<th class=\"cl11\"><input $tt type=\"checkbox\" name=\"has\" value=\"1\" $checked> Hilfeart:</th>\n";
		echo "<td class=\"cl1\">\n<select style=\"width:200px\" name=\"ha\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">alle</option>\n";
		while($ha = mysql_fetch_array($has)){
			$selected = ($ha[0] == $sb['hilfeart_id']) ? 'selected' : '';
			echo "<option value=\"$ha[0]\" $selected title=\"$ha[2]\">$ha[1]</option>\n";
		}
		echo "</select></td>";
		$has = abfrage1("select paragraph from tb_hilfeart group by paragraph order by paragraph asc");
		echo "<th class=\"cl1\">&sect;: \n<select style=\"width:100px\" name=\"paragraph\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">alle</option>\n";
		while($ha = mysql_fetch_array($has)){
			$selected = ($ha[0] == $sb['paragraph']) ? 'selected' : '';
			if($ha[0]>0) echo "<option value=\"$ha[0]\" $selected>$ha[0]</option>\n";
		}
		echo "</select></th></tr>";
		new stwTabLine(2,30);
		echo "<tr><th>Status:</th><td colspan=\"2\"><table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
		$checked = empty($sb['status']) ? 'checked' : '';
		echo "<td><input type=\"radio\" $checked name=\"status\" value=\"\"> alle F&auml;lle</td>";
		$checked = ($sb['status'] == 'l') ? 'checked' : '';
		echo "<td><input type=\"radio\" $checked name=\"status\" value=\"l\"> nur laufende F&auml;lle</td>";
		$checked = ($sb['status'] == 'a') ? 'checked' : '';
		echo "<td><input type=\"radio\" name=\"status\" $checked value=\"a\"> nur abgeschlossene F&auml;lle</td></tr></table></td></tr>\n";
		new stwTabLine(2,30);
		echo "<tr><th><input type=\"text\" name=\"misc_bezeichnung\" ";
		echo "style=\"width:100px\" maxlength=\"100\" value=\"".$sb['misc_bezeichnung']."\"></th>\n";
		echo "<td colspan=\"2\"><textarea rows=\"3\" style=\"width:100%\" name=\"misc\">";
		echo $sb['misc'] . "</textarea></td></tr>\n";
		new stwTabLine(1,30);
		echo "<tr><input type=\"hidden\" name=\"pcheck\" value=\"1\">";
		echo "<td colspan=\"30\"><input type=\"text\" name=\"pprio\" value=\"".$parray[$sub]['prio']."\" size=\"2\" maxlength=\"1\">&nbsp;";
		echo "<input type=\"text\" name=\"ptitel\" value=\"".$parray[$sub]['titel']."\" style=\"width:700px\" maxlength=\"100\"></td></tr>\n";
	  } elseif($sub == 1){
		echo "<input type=\"hidden\" name=\"sub2\" value=\"1\">\n";
		echo "<input type=\"hidden\" name=\"save1\" value=\"1\">\n";
		echo "<tr><th class=\"cl1\">Mitarbeiter<input type=\"submit\" name=\"editPA\" value=\" \" ";
		echo "style=\"background-color:#333;color:transparent;width:15px;height:18px;";
		echo "background-image:url(img/edit.png);background-repeat:no-repeat;\"></th>";
		echo "<th class=\"cl1\">Abschluss</th><th class=\"cl1\">(Zusatz-) Ausbildung</th></tr>\n";
		new stwTabLine(2,30);
		$sql = "select p.pers_id, p.name, p.vorname, p.abschluss from tb_personal p 
				left join tb_personalart a using (p_art_id)
				where p.betreuer = 'j' and a.im_sachbericht = 'j'
				and (to_days(p.eintritt) <= to_days('".$sb['bis']."')
				or to_days(p.eintritt) IS NULL)
				and (to_days(p.austritt) >= to_days('".$sb['von']."')
				or to_days(p.austritt) IS NULL)";
		if($pers_order == 2) $sql .= "order by p.name asc, p.vorname asc;";
		else $sql .= "order by p.vorname asc, p.name asc;";
		$mas = abfrage1($sql);
		while($ma = mysql_fetch_row($mas)){
			echo "<tr class=\"mo\"><td class=\"cl1\"><a href=\"pers_and.php?pers_id=$ma[0]\">";
			echo ($pers_order == 2) ? "$ma[1], $ma[2]" : "$ma[2] $ma[1]";
			echo "</a></td>\n<td class=\"ww\">";
			if(!empty($ma[3])) echo str_replace("\n", '<br>', $ma[3]);
			echo "</td><td class=\"ww\"><ul style=\"margin-bottom:0px;\">";
			for($i=0; $i<2; $i++) {
				$sql = "select a.*, k.name, f.titel as f_titel, t.von, t.bis
						from tb_awb a 
						left join tb_fehlz f using (fehlz_id)
						left join tb_awb_kat k using (awb_kat_id)
						left join tb_termine t using (termin_id)
						where (a.pers_id='$ma[0]' or f.pers_id='$ma[0]')
						and awb_kat_id > 0 ";
				if($i==0) $sql .= "and a.za = 1";
				else $sql .= "and (to_days(t.von) <= to_days('".$sb['bis']."')
						or to_days(a.beginn) <= to_days('".$sb['bis']."'))
						and (to_days(t.bis) >= to_days('".$sb['von']."')
						or to_days(a.ende) >= to_days('".$sb['von']."'))
						and a.za = 0";
				$sql.= " order by (IF(ISNULL(von), beginn, von)) asc";
				$wbs = abfrage1($sql);
				while($wb = mysql_fetch_array($wbs)){
					echo "<li style=\"margin-left:-20px;\"><a href=\"wtb_and.php?awb_id=".$wb['awb_id']."\"";
					echo stwToolTip($wb['name']) . ">";
					$von = empty($wb['von']) ? date_my2gr($wb['beginn']) : date_my2gr($wb['von']);
					$bis = empty($wb['bis']) ? date_my2gr($wb['ende']) : date_my2gr($wb['bis']);
					if(substr($von,0,6) == '01.01.') $von = substr($von,-4);
					if(substr($bis,0,6) == '01.01.') $bis = substr($bis,-4);
					echo "$von - $bis:</a> " . (empty($wb['f_titel']) ? $wb['titel'] : $wb['f_titel']) . " - " . $wb['abschluss'] . "</li>\n";
				}
			}
			echo "</ul></td></tr>\n";
		}
	  } elseif($sub == 2){
		echo "<input type=\"hidden\" name=\"sub2\" value=\"2\">\n";
		new stwTabLine(1,30);
		$style="style=\"vertical-align: middle; text-align: center;\"";
		$sps = abfrage1("select * from tb_sachbericht_proj where sb_id='$rvar_sb_id' order by proj_id asc");
		$linecount = mysql_num_rows($sps);
		$tt = array();
		$tt[] = stwToolTip("<b>Fortlaufende Z&auml;hlung</b>",false);
		$tt[] = stwToolTip("<b>Auflistung getrennt nach Hilfeformen</b>",false);
		$tt[] = stwToolTip("<b>Dauer der Hilfe in Monaten</b>",false);
		$tt[] = stwToolTip("<b>Geschlecht der Kinder/des jungen Vollj&auml;hrigen:</b><br>1 - weiblich<br>2 - m&auml;nnlich",false);
		$tt[] = stwToolTip("<b>Alter der Kinder/des jungen Menschen<br>bei Beginn in Jahren</b>",false);
		$tt[] = stwToolTip("<b>Bildungsstand der PSB/<br>des jungen Vollj&auml;hrigen:</b><br>1 F&ouml;rderschule<br>2 Hauptschule<br>3 Realschule<br>4 Abitur<br>5 ohne<br>6 Facharbeiter<br>7 Fachschule/Meister<br>8 Hochschule",false);
		$tt[] = stwToolTip("<b>Art der Bez&uuml;ge der Eltern/<br>des jungen Vollj&auml;hrigen bei Beginn der Hilfe:</b><br>1 ALG I<br>2 ALG II<br>3 Sozialhilfe<br>4 in Arbeit<br>5 Rente<br>6 Selbst&auml;ndig",false);
		$tt[] = stwToolTip("<b>Famili&auml;rer Kontext der PSB<br>(bei Hilfen nach &sect; 41 SGB VIII dann der Eltern)</b><br>1 Alleinerziehend<br>2 Pflegefamilie<br>3 Leibliche Eltern<br>4 Stiefeltern<br>5 Adoptiveltern",false);
		$tt[] = stwToolTip("<b>Zielkategorien:</b><br>1 Familienst&auml;rkung<br>2 Elternst&auml;rkung/Elternarbeit<br>3 Soziales Lernen<br>4 Schulische/berufliche F&ouml;rderung<br>5 Kl&auml;rung sozialrechtlicher Anspr&uuml;che<br>6 Abwendung delinquenten Verhaltens<br>7 Bearbeitung von Suchtproblematiken<br>8 R&uuml;ckf&uuml;hrung in die Familie <br>9 Verselbst&auml;ndigung<br>10 Integration in Pflegefamilie<br>11 Vermittlung von weiterf&uuml;hrenden Hilfen/Kooperation mit interdisziplin&auml;ren Fachkr&auml;ften<br>12 Hilfe zur Selbsthilfe<br>13 Erlernen von sozialen Kompetenzen/Sozialverhalten<br>14 Bearbeiten von Schuldnerproblematiken<br>15 Konfliktbew&auml;ltigung<br>16 Entwicklungsdefizite aufarbeiten<br>17 sinnvolles Freizeitverhalten<br>18 Verhinderung/Abbau/Eingliederung von seel. Beh.<br>19 Abwendung einer Kindeswohlgef&auml;hrdung",false);
		$tt[] = stwToolTip("<b>Grad der Zielerreichung:</b><br>erreicht",false);
		$tt[] = stwToolTip("<b>Grad der Zielerreichung:</b><br>&uuml;berwiegend erreicht",false);
		$tt[] = stwToolTip("<b>Grad der Zielerreichung:</b><br>teilweise erreicht",false);
		$tt[] = stwToolTip("<b>Grad der Zielerreichung:</b><br>nicht erreicht",false);
		$tt[] = stwToolTip("<b>Art der Hilfebeendigung:</b><br>Mit Erfolg beendet",false);
		$tt[] = stwToolTip("<b>Art der Hilfebeendigung:</b><br>Andere Hilfe",false);
		$tt[] = stwToolTip("<b>Art der Hilfebeendigung:</b><br>Abbruch der Hilfe",false);
		$tt[] = stwToolTip("<b>Grund des Abbruchs:</b><br>Bei Abbruch kurze Begr&uuml;ndung",false);
		$tt[] = stwToolTip("<b>Fortlaufende Z&auml;hlung</b><br>Einverst&auml;ndniserkl&auml;rung noch nicht unterzeichnet!",false);
		$tt[] = stwToolTip("<b>Sozialraum</b>",false);
		$tt[] = stwToolTip("<b>(Kontakt-)Wochenstunden (Fahrzeit)</b>",false);
		$tt[] = stwToolTip("<b>(Kontakt-)Wochenstunden (Fahrzeit)</b><br>FLS Soll: %s",false);

		echo "<tr><td><table cellpadding=\"1\" cellspacing=\"0\" border=\"1\">\n<thead>\n";
		echo "<tr><th $style rowspan=\"2\" $tt[0]>Fall</th>\n";
		echo "<th $style rowspan=\"2\" $tt[1]>HzE &sect;</th>\n";
		echo "<th $style rowspan=\"2\" $tt[2]>Dauer</th>\n";
		echo "<th $style rowspan=\"2\" $tt[19]>KLS(FZ)</th>\n";
		echo "<th $style rowspan=\"2\" $tt[3]>m/w</th>\n";
		echo "<th $style rowspan=\"2\" $tt[4]>Alter</th>\n";
		echo "<th $style rowspan=\"2\" $tt[18]>SR</th>\n";
		echo "<th $style rowspan=\"2\" $tt[5]>Bildg.</th>\n";
		echo "<th $style rowspan=\"2\" $tt[6]>Art</th>\n";
		echo "<th $style rowspan=\"2\" $tt[7]>Kontext</th>\n";
		echo "<th $style rowspan=\"2\" $tt[8]>Kat.</th>\n";
		echo "<th rowspan=\"2\" style=\"background-color:#006600\"></th>\n";
		echo "<th $style colspan=\"12\">Grad der Zielerrechung (Klient)</th>\n";
		if($sb['status'] == 'a') {
			echo "<th rowspan=\"2\" style=\"background-color:#006600\"></th>\n";
			echo "<th $style colspan=\"3\">Art der Hilfebeendigung</th>\n";	
			echo "<th rowspan=\"2\" style=\"background-color:#006600\"></th>\n";
			echo "<th $style rowspan=\"2\" $tt[16]>Grund des Abbruchs</th>\n";	
		} else echo "<th width=\"15\"></th>\n";
		echo "</tr><tr>\n<th $style width=\"50\" colspan=\"3\" $tt[9]>erreicht</th>\n";
		echo "<th $style width=\"50\" colspan=\"3\" $tt[10]>&uuml;.err.</th>\n";
		echo "<th $style width=\"50\" colspan=\"3\" $tt[11]>tw.err.</th>\n";
		echo "<th $style width=\"50\" colspan=\"3\" $tt[12]>nicht</th>\n";
		if($sb['status'] == 'a') {
			echo "<th $style $tt[13]>Erfolg</th>\n";	
			echo "<th $style $tt[14]>andere</th>\n";	
			echo "<th $style $tt[15]>Abbruch</th>\n";	
		}
		echo "</tr>\n</thead>\n<tbody style=\"height:500px;overflow-y:scroll;overflow-x:hidden\">";
		new stwTabLine(2,30);
		$co = array('#66FF33','#FFFF33','#FF9933','#FF3333');
		if($linecount == 0) echo "<tr><td $style colspan=\"30\"><h2><blink>Keine Daten!</blink><br>Wurden Werte bereits berechnet?</h2></td></tr>\n";
		else while($sp = mysql_fetch_array($sps)) {
			$pers = abfrage1("select * from tb_sachbericht_person where sb_id='$rvar_sb_id' and proj_id='".$sp['proj_id']."' order by kind asc");
			$perscount = mysql_num_rows($pers);
			$ziele = abfrage1("select * from tb_sachbericht_ziel where sb_id='$rvar_sb_id' and proj_id=".$sp['proj_id']);
			$zielcount = mysql_num_rows($ziele);
			$count = max($perscount, $zielcount);
			$geschlecht = array();
			$alter = array();
			$sr = array();
			$bildung = array();
			$art = array();
			$kontext = array();
			$teilziel = array();
			if($sb['einverst'] == 'j') {
				$done = abfrage("select einverst from tb_projekte where proj_id=".$sp['proj_id']);
				$st = (empty($done[0])) ? "style=\"color:red;\"" : '';
			} else $st = '';
			echo "<tr><td";
			echo $st == '' ? $tt[0] : $tt[17];
			echo "style=\"text-align:center\" rowspan=\"$count\"><a $st href=\"pro_daten.php?proj_id=" . $sp['proj_id'] . "\">" . $sp['proj_id'] . "</a></td>\n";
			echo "<td $tt[1] style=\"text-align:center\" rowspan=\"$count\">" . (empty($sp['paragraph']) ? '&nbsp;' : $sp['paragraph']) . "</td>\n";
			echo "<td $tt[2] style=\"text-align:center\" rowspan=\"$count\">" . $sp['dauer'] . "</td>\n";
			$fls = abfrage("select sum(kls),sum(fz),sum(fls_soll) from tbh_sachbericht_fls where sb_id='$rvar_sb_id' and proj_id=".$sp['proj_id']);
			$tooltip = sprintf($tt[20],$fls[2]);
			echo "<td $tooltip style=\"text-align:center\" rowspan=\"$count\">$fls[0]<br>($fls[1])</td>\n";
			$i = 0;
			$diff = $zielcount-$perscount + 1;
			if($diff < 1) $diff= 1;
			while($per = mysql_fetch_array($pers)) {
				$i++;
				$color = $per['kind'] == 'n' ? '' : 'background-color:#444444;';
				$rowspan = ($i == $perscount) ? "rowspan=\"$diff\"" : "";
				$geschlecht[$i] = "<td $tt[3] style=\"text-align:center;$color\" $rowspan>" . ((empty($per['geschlecht']) || $per['kind'] == 'n') ? '&nbsp;' : $per['geschlecht']) . "</td>\n";
				$alter[$i] = "<td $tt[4] style=\"text-align:center;$color\" $rowspan>" . (($per['age'] == -99 || $per['kind'] == 'n') ? '&nbsp;' : $per['age']) . "</td>\n";
				$sr[$i] = "<td $tt[18] style=\"text-align:center;$color\" $rowspan>" . (empty($per['sozialraum']) ? '&nbsp;' : $per['sozialraum']) . "</td>\n";
				$bildung[$i] = "<td $tt[5] style=\"text-align:center;$color\" $rowspan>" . (empty($per['bildung']) ? '&nbsp;' : $per['bildung']) . "</td>\n";
				$art[$i] = "<td $tt[6] style=\"text-align:center;$color\" $rowspan>" . (empty($per['bez_art']) ? '&nbsp;' : $per['bez_art']) . "</td>\n";
				$kontext[$i] = "<td $tt[7] style=\"text-align:center;$color\" $rowspan>" . ((empty($per['kontext']) || $per['kind'] == 'n') ? $per['kontext'] : '&nbsp;') . "</td>\n";
			}
			$i = 0;
			for($j=0;$j<13;$j++) {
				$c = ceil($j/3)-1;
				$c = ($j>0) ? $tt[$c+9] . " style=\"background-color:".$co[$c]."\"" : $tt[8];
				$teilziel[1][$j] = "<td $c>&nbsp;</td";
			}
			while($ziel = mysql_fetch_array($ziele)) {
				$i++;
				$teilziel[$i][0] = "<td $tt[8] style=\"text-align:center\">" . (empty($ziel['ziel_kategorie']) ? '&nbsp;' : $ziel['ziel_kategorie']) . "</td>\n";
				for($j=1; $j<13; $j++) {
					$c = ceil($j/3)-1;
					$teilziel[$i][$j]  = "<td ".$tt[$c+9]." style=\"text-align:center;color:black;background-color:".$co[$c]."\">";
					$teilziel[$i][$j] .= ($ziel['erreicht_psb'] == $j)  ? 'X' : '&nbsp;';
					$teilziel[$i][$j] .= ($ziel['erreicht_kind'] == $j) ? 'x' : '&nbsp;';
					$teilziel[$i][$j] .= "</td>\n";
				}
			}
			if($i < $count) {
				$diff = $perscount-$zielcount;
				for($k=$i+1;$k<=$count;$k++) {
				  for($j=0;$j<13;$j++) {
					if($k==$i+1) {
					  $c = ceil($j/3)-1;
					  $s = ($c>=0 && $c<4) ? "style=\"background-color:".$co[$c]."\"" : '';
					  $teilziel[$k][$j] = "<td ".$tt[$c+9]." $s rowspan=\"$diff\">&nbsp;</td>";
					} else $teilziel[$k][$j] = '';
				  }
				}
			}
			for($i=1;$i<=$count;$i++) {
				if($i>1) echo "<tr>";
				echo $geschlecht[$i];
				echo $alter[$i];
				echo $sr[$i];
				echo $bildung[$i];
				echo $art[$i];
				echo $kontext[$i];
				echo $teilziel[$i][0];
				echo "<th style=\"background-color:#006600\"></th>\n";
				for($j=1;$j<13;$j++) {
					echo $teilziel[$i][$j];
				}
				if($sb['status'] == 'a' && $i == 1) {
					echo "<th style=\"background-color:#006600\" rowspan=\"$count\"></th>\n";
					echo ($sp['ende']==1) ? "<td $tt[13] rowspan=\"$count\" style=\"text-align:center\">X</td>" : "<td $tt[13] rowspan=\"$count\">&nbsp;</td>";
					echo ($sp['ende']==2) ? "<td $tt[14] rowspan=\"$count\" style=\"text-align:center\">X</td>" : "<td $tt[14] rowspan=\"$count\">&nbsp;</td>";
					echo ($sp['ende']==3) ? "<td $tt[15] rowspan=\"$count\" style=\"text-align:center\">X</td>" : "<td $tt[15] rowspan=\"$count\">&nbsp;</td>\n";
					echo "<th style=\"background-color:#006600\" rowspan=\"$count\"></th>\n";
					echo "<td $tt[16] rowspan=\"$count\" class=\"ww\">".$sp['grund']."&nbsp;</td>";
				}
				if($i < $count) echo "</tr>\n";
			}
			echo "</tr>\n";
		}
		echo "<tr><td style=\"height:100%\" colspan=\"50\">&nbsp;</td></tr>\n";
		echo "</tbody></table></td></tr>";
	  } elseif($sub == 3){
		echo "<script type=\"text/javascript\"><!--\n";
		echo "function DoTT(a,b,c) {\n";
		echo "var anker = '['+a+']['+b+']['+c+']';\n";
		echo "var subtext = document.getElementById('subtext'+anker);\n";
		echo "var check = document.getElementById('grumbruch'+anker);\n";
		echo "var str = '<textarea style=\"width:300px;height:100px\" onkeyup=\"';\n";
		echo "str += 'var tmp = \'subtext' + anker + '\';';\n";
		echo "str += 'document.getElementById(tmp).value = this.value\">';\n";
		echo "str += subtext.value;\n";
		echo "str += '</textarea>';\n";
		echo "str += '<div>Seitenumbruch vor dieser Grafik: ';\n";
		echo "str += '<input type=\"checkbox\" ';\n";
		echo "if(check.value == 'j') str += 'checked';\n";
		echo "str += ' style=\"position:relative;top:2px\" onchange=\"';\n";
		echo "str += 'var tmp2 = \'grumbruch' + anker + '\';';\n";
		echo "str += 'document.getElementById(tmp2).value = this.checked ? \'j\' : \'n\'\"></div>';\n";
		
		echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Seitenumbruch/Untertext bearbeiten',TITLEBGCOLOR, '#006600', WIDTH, 300, HEIGHT, 120, FIX, ['stift'+anker,-20,-20], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
		echo "}\n";
		echo "--></script>\n";
		echo "<input type=\"hidden\" name=\"sub2\" value=\"3\">\n";
		for($i=0; $i <= $rvar_sb_id; $i += $rvar_sb_id) {
			$drucks = abfrage1("select * from tb_sachbericht_druck where sb_id='$i' order by chart_id asc");
			while($druck = mysql_fetch_array($drucks)) {
				$chart[ $druck['chart_id'] ]['prio'] = $druck['prio'];
				$chart[ $druck['chart_id'] ]['titel'] = $druck['titel'];
				$chart[ $druck['chart_id'] ]['text'] = $druck['text'];
				$chart[ $druck['chart_id'] ]['include1st'] = $druck['include1st'];
				$chart[ $druck['chart_id'] ]['seitenumbruch'] = $druck['seitenumbruch'];
			}
		}
		echo "<tr><th class=\"cl1\">Nr.</th><th class=\"cl1\" colspan=\"2\">Sort.</th><th class=\"cl1\">Titel</th><th class=\"cl1\">Text</th></tr>\n";
		echo "<input type=\"hidden\" name=\"save3\" value=\"1\">\n";
		for($i=1;$i<12;$i++) {
			if($i==7) $array = array(0,0,0,0,0);
			elseif($i > 8) $array = array('0' => 0);
			else $array = array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
			if($i==1) $sql = "select geschlecht from tb_sachbericht_person where sb_id='$rvar_sb_id' and (kind='j' or kind='h')";
			if($i==2) $sql = "select bez_art from tb_sachbericht_person where sb_id='$rvar_sb_id' and (kind='n' or age > 17)";
			if($i==3) $sql = "select age from tb_sachbericht_person where sb_id='$rvar_sb_id' and (kind='j' or kind='h')";
			if($i==4) $sql = "select dauer from tb_sachbericht_proj where sb_id='$rvar_sb_id'";
			if($i==5) $sql = "select kontext from tb_sachbericht_person where sb_id='$rvar_sb_id' and kind='n'";
			if($i==6) $sql = "select ziel_kategorie from tb_sachbericht_ziel where sb_id='$rvar_sb_id'";
			if($i==7) $sql = "select erreicht_kind, erreicht_psb from tb_sachbericht_ziel where sb_id='$rvar_sb_id'";
			if($i==8) $sql = "select ende from tb_sachbericht_proj where sb_id='$rvar_sb_id'";
			if($i==9) $sql = "SELECT sum(kls),sum(fz),sum(fls_soll) FROM tbh_sachbericht_fls WHERE sb_id='$rvar_sb_id' GROUP BY monat ORDER BY monat ASC";
			if($i==10) $sql = "select sozialraum from tb_sachbericht_person where sb_id='$rvar_sb_id' and kind='h' group by proj_id order by sozialraum asc";
			if($i==11) $sql = "select p.hilfeart_id from tb_sachbericht_proj s 
							   left join tb_projekte p using (proj_id) 
							   where s.sb_id='$rvar_sb_id' order by p.hilfeart_id asc";
			$sps = abfrage1($sql);
			if($i<9) {
				$key = 0;
				while($sp = mysql_fetch_row($sps)) {
					if($i==7) {
						$c = ceil($sp[0]/3);
						$array[$c] ++;
						$c = ceil($sp[1]/3);
						$array[$c] ++;
					} else {
						if($sp[0] > $key) $key = $sp[0];
						$array[$sp[0]] ++;
					}
				}
				for($j=0;$j<=$key;$j++) {
					if(empty($array[$j])) $array[$j] = 0;
				}
				ksort($array);
			} elseif($i==9) {
				while($sp = mysql_fetch_row($sps)) {
					$array[] = $sp[0]+$sp[1];
				}
			} elseif($i==10 || $i==11) {
				while($sp = mysql_fetch_row($sps)) {
					if(empty($sp[0])) $sp[0] = '0';
					$array[$sp[0]] ++;
				}
				/* array um 5 Nullen erweitern, da bei 5 Elementen andere Farben */
				for($j=0;$j<5;$j++) $array[] = 0;
			}
			if($i==3 || $i==4) $array[0] = 0;
			new stwTabLine($i==11?1:2,30);
			echo "<input type=\"hidden\" name=\"chart_id[$i]\" value=\"$i\">\n";
			echo "<tr><th rowspan=\"3\" class=\"cl1\" style=\"text-align:center\"><a name=\"a$i\">$i</a></th>\n";
			echo "<td class=\"cl1\">";
			if($i==2 || $i==5) {
				echo "<img id=\"imgcheck_$i\" src=\"img/unchecked.png\"" . stwToolTip("diese Grafik kann nur mit Einverst&auml;ndniserkl&auml;rung gedruckt werden") . " />";
				$checked = "style=\"display:none\"";
			} else $checked = $chart[$i]['prio'] > 0 ? 'checked' : '';
			echo "<input type=\"checkbox\" id=\"check_$i\" name=\"check[$i]\" value=\"1\" $checked></td>\n";
			echo "<td class=\"cl1\"><input type=\"text\" size=\"2\" name=\"prio[$i]\" value=\"".$chart[$i]['prio']."\"></td>\n";
			echo "<td class=\"cl1\"><input type=\"text\" size=\"63\" name=\"titel[$i]\" value=\"".$chart[$i]['titel']."\">";
			$tt = stwToolTip("Seitenumbruch vor diesem Diagramm erzwingen");
			echo " <img $tt style=\"position:relative;top:3px\" src=\"".image('seitenumbruch',14,14)."\">";
			$checked = $chart[$i]['seitenumbruch']=='j' ? "checked" : '';
			echo " <input $tt style=\"position:relative;top:3px\" type=\"checkbox\" $checked name=\"seitenumbr[$i]\" value=\"1\">";
			echo "</td>\n";
			echo "<td rowspan=\"2\" class=\"cl1\"><textarea cols=\"40\" rows=\"5\" name=\"text[$i]\">".$chart[$i]['text']."</textarea></td>\n";
			$diagram = ($i==3 || $i==4 || $i==9) ? 'chart_line' : 'chart_pie';
			$height = ($i==3 || $i==4 || $i==9) ? '50' : '75';
			echo "<td rowspan=\"2\"><img src=\"$diagram.php?".implode(",",$array)."\" width=\"75\" height=\"$height\">\n";
			if($i==3 || $i==4 || $i==9) echo "<br />";
			$checked = $chart[$i]['include1st'] == 'n' ? '' : 'checked';
			echo "<br /><input $checked type=\"checkbox\" name=\"include1st[$i]\" value=\"1\"";
			echo stwToolTip("<b>erste Grafik ausgeben</b><br />(alle gew&auml;hlten Hilfearten und Jugend&auml;mter)");
			echo ">\n</td>\n</tr>\n";
			if($i==11){
				$hilfeart = "Jugendamt";
				$sql = "select c.hilfeart_id, k.kurzname, c.subchart_id, c.text, c.seitenumbruch
						from tbh_sachbericht_charts c
						left join tb_kontakte k on c.hilfeart_id = k.kont_id and k.kh_id='0'
						where c.sb_id = '$rvar_sb_id' and c.chart_id = '$i'
						order by c.sort asc, c.subchart_id asc";
			} else {
				$sql = "select c.hilfeart_id, a.hilfeart, c.subchart_id, c.text, c.seitenumbruch
						from tbh_sachbericht_charts c
						left join tb_hilfeart a using(hilfeart_id)
						where c.sb_id = '$rvar_sb_id' and c.chart_id = '$i'
						order by c.sort asc, c.subchart_id asc";
				$hilfeart = "Hilfeart";
			}
			$has = abfrage1($sql);
			$out = '';
			$nosort = true;
			while($ha = mysql_fetch_row($has)){
				if($out != '') $out .= ", \n";
				if(empty($ha[0])) {
					$name = '';
					if($i==11) $ha2s = abfrage1("select k.kurzname, s.hilfeart_id from tbh_sachbericht_subcharts s left join tb_kontakte k on s.hilfeart_id = k.kont_id where s.subchart_id='$ha[2]' and sb_id = '$rvar_sb_id' group by k.kurzname");
					else $ha2s = abfrage1("select a.hilfeart, s.hilfeart_id from tbh_sachbericht_subcharts s left join tb_hilfeart a using(hilfeart_id) where s.subchart_id='$ha[2]' and sb_id = '$rvar_sb_id'");
					$color = ($i==11) ? '#00FFFF' : '#FF6600';
					while($ha2 = mysql_fetch_row($ha2s)){
						if($name != '') $name .= ', ';
						if($ha2[1]<0) {
							$color = '#00FFFF';
							$id = $ha2[1] * -1;
							$ha3 = abfrage("select kurzname from tb_kontakte where kont_id='$id' and kh_id='0'");
							$name .= $ha3[0];
						} else $name .= $ha2[0];
					}
					$link = "control.php?page=2&sb_id=$rvar_sb_id&sub=3&chart_id=$i&subrem=$ha[2]";
					$h_art = "Verbund";
					$j = 0;
					$k = $ha[2];
				} else {
					$color = ($i==11) ? '#0066FF' : '#FF0000';
					if($ha[0]<0) {
						$color = '#0066FF';
						$id = $ha[0] * -1;
						$ha3 = abfrage("select kurzname from tb_kontakte where kont_id='$id' and kh_id='0'");
						$ha[1] = $ha3[0];
						$h_art = "Jugendamt";
					} else $h_art = $hilfeart;
					$link = "control.php?page=2&sb_id=$rvar_sb_id&sub=3&chart_id=$i&rem=$ha[0]";
					$name = $ha[1];
					$j = $ha[0];
					$k = 0;
				}
				if($nosort) $nosort=false;
				else {
					$out .= "<a href=\"control.php?page=2&sb_id=$rvar_sb_id&sub=3&chart_id=$i&move=$j&subchart=$k#a$i\">";
					$out .= "<img src=\"img/zurueck.png\" height=\"15px\" alt=\"<<\"";
					$out .= stwToolTip("$h_art nach links verschieben") . " /></a>";
				}
				$out .= "<a href=\"$link\" style=\"color:$color\" ";
				$out .= "onclick=\"return(confirm('$name aus Auswahl entfernen?'))\" ";
				$out .= stwToolTip("$h_art aus Auswahl entfernen") . ">$name</a>";
				$out .= "<img src=\"img/stift.png\" id=\"stift[$i][$j][$k]\" onclick=\"DoTT($i,$j,$k)\" ";
				$out .= stwToolTip("Text und Seitenumbruch dieses Diagramms bearbeiten") . "/>";
				echo "<input type=\"hidden\" name=\"subtext[$i][$j][$k]\" id=\"subtext[$i][$j][$k]\" value=\"$ha[3]\" />\n";
				echo "<input type=\"hidden\" name=\"grumbruch[$i][$j][$k]\" id=\"grumbruch[$i][$j][$k]\" value=\"$ha[4]\" />\n";
			}
			if($i==11){
				$sql = "select k.kont_id, k.kurzname, concat(k.name,' ',k.name2)
						from tb_projekte 
						left join tb_kontakte_ap a using(ap_id)
						left join tb_kontakte k on k.kont_id = a.kont_id and k.kh_id='0'
						left join tb_sachbericht_proj s using(proj_id)
						left join tbh_sachbericht_ja j on (k.kont_id = j.kont_id)
						where s.sb_id = '$rvar_sb_id' or j.sb_id = '$rvar_sb_id'
						group by k.kurzname order by k.kurzname asc";
			} else {
				$sql = "select a.hilfeart_id, a.hilfeart, a.beschreibung 
						from tb_sachbericht_proj s
						left join tb_projekte using(proj_id)
						left join tb_hilfeart a using(hilfeart_id)
						where s.sb_id = '$rvar_sb_id'
						group by a.hilfeart order by a.hilfeart asc";
			}
			echo "<tr><td colspan=\"3\"><select multiple name=\"art_add[$i][]\" size=\"4\">";
			$has = abfrage1($sql);
			while($ha = mysql_fetch_array($has)){
				echo "<option value=\"$ha[0]\" title=\"$ha[2]\">$ha[1] - ".strcut($ha[2],25)."</option>\n";
			}
			echo "</select><input type=\"image\" style=\"margin-left:2px;height:48px;width:16px\" src=\"".image('enter',16,20,0,0,0)."\"";
			echo stwToolTip("Zus&auml;tzliches Diagramm f&uuml;r $hilfeart hinzuf&uuml;gen");
			if($i==11) echo ">";
			else {
				echo ">&nbsp;&nbsp;<select multiple name=\"art_add[$i][]\" size=\"4\">";
				$sql = "select k.kont_id, k.kurzname, concat(k.name,' ',k.name2)
						from tb_projekte 
						left join tb_kontakte_ap a using(ap_id)
						left join tb_kontakte k on k.kont_id = a.kont_id and k.kh_id='0'
						left join tb_sachbericht_proj s using(proj_id)
						left join tbh_sachbericht_ja j on (k.kont_id = j.kont_id)
						where s.sb_id = '$rvar_sb_id' or j.sb_id = '$rvar_sb_id'
						group by k.kurzname order by k.kurzname asc";
				$has = abfrage1($sql);
				while($ha = mysql_fetch_array($has)){
					$id = -1 * $ha[0];
					echo "<option value=\"$id\" title=\"$ha[2]\">$ha[1] - ".strcut($ha[2],25)."</option>\n";
				}
				echo "</select><input type=\"image\" style=\"margin-left:2px;height:48px;width:16px\" src=\"".image('enter',16,20,0,0,0)."\"";
				echo stwToolTip("Zus&auml;tzliches Diagramm f&uuml;r Jugendamt hinzuf&uuml;gen");
			}
			echo "</td></tr><tr><th colspan=\"5\" class=\"ww\">$out</th></tr>\n";
		}
	  } elseif($sub == 4){
		echo "<input type=\"hidden\" name=\"sub2\" value=\"4\">\n";
		echo "<input type=\"hidden\" name=\"save4\" value=\"1\">\n";
		echo "<tr><th style=\"text-align: center;\">Entwicklungen und Tendenzen</th></tr>\n";
		echo "<tr><td><textarea name=\"tendenzen\" style=\"width:715px\" rows=\"16\">";
		echo $sb['tendenzen'] . "</textarea></td></tr>\n";
	  } elseif($sub > 4 || $sub == '+'){
		if($sub == '+') {
			$max_sub = abfrage("select seite from tb_sachbericht_druckuebersicht where sb_id='$rvar_sb_id' order by seite desc limit 1");
			$sub = ($max_sub[0] <= 5) ? 6 : $max_sub[0]+1;
		}
		new stwTabLine(1,30);
		echo "<input type=\"hidden\" name=\"sub2\" value=\"$sub\">\n";
		echo "<input type=\"hidden\" name=\"save5\" value=\"1\">\n";

		echo "<tr><th>Textfeld hinzuf&uuml;gen:</th><td class=\"cl11\"><textarea name=\"text_neu\" style=\"width:100%; height:32px\">";
		echo "</textarea></td>\n";
		echo "<th>Reihenfolge: <input type=\"text\" size=\"2\" name=\"sort_neu\" value=\"{$file['sort']}\"><br />";
		$tt = stwToolTip("Seitenumbruch vor diesem Text erzwingen");
		echo " <img $tt style=\"position:relative;top:3px\" src=\"".image('seitenumbruch',14,14)."\">";
		$checked = $file['seitenumbruch']=='j' ? "checked" : '';
		echo " <input $tt style=\"position:relative;top:3px\" type=\"checkbox\" $checked name=\"seitenumbr_neu\" value=\"1\">";			
		echo "</th></tr>\n";
		new stwTabLine(2,30);

		echo "<tr><th>Grafik hinzuf&uuml;gen:</th><td><input type=\"file\" accept=\"image/*\" name=\"file\" />";
		echo "</td>\n";
		/* maximale Groesse bestimmen */
		$pms = ini_get("post_max_size");
		$umf = ini_get("upload_max_filesize");
		echo "<td style=\"text-align:right\">Max: ".($pms < $umf ? $pms : $umf)."Byte</td></tr>\n";
		new stwTabLine(1,30);

		$files = abfrage1("select * from tbh_sachbericht_images where sb_id='$rvar_sb_id' and seite='$sub'");
		while($file = mysql_fetch_array($files)) {
			echo "<input type=\"hidden\" name=\"id[{$file['sort']}]\" value=\"{$file['sort']}\" />\n";
			$tt = stwToolTip("gesamten Eintrag l&ouml;schen");
			echo "<tr><th><a $tt style=\"color:red\" onclick=\"return confirm('Eintrag wirklich l&ouml;schen?')\" ";
			echo "href=\"control.php?page=2&sb_id=$rvar_sb_id&sub=$sub&del_image={$file['sort']}\">X</a> &nbsp; ";
			echo "Reihenfolge: <input type=\"text\" size=\"2\" name=\"sort[{$file['sort']}]\" value=\"{$file['sort']}\"> &nbsp; ";
			$tt = stwToolTip("Seitenumbruch vor diese" . (empty($file['datei']) ? 'm Textfeld' : 'r Grafik') . " erzwingen");
			echo " <img $tt style=\"position:relative;top:3px\" src=\"".image('seitenumbruch',14,14)."\">";
			$checked = $file['seitenumbruch']=='j' ? "checked" : '';
			echo " <input $tt style=\"position:relative;top:3px\" type=\"checkbox\" $checked name=\"seitenumbr[{$file['sort']}]\" value=\"1\">";
			if(empty($file['datei'])) {
				echo "</td><td colspan=\"2\"><textarea name=\"text[{$file['sort']}]\" style=\"width:100%;height:32px\">" . $file['text'] . "</textarea>";
			} else {
				echo "<br />Bildtext:<br /><textarea name=\"text[{$file['sort']}]\" style=\"width:100%;height:32px;position:relative;top:-15px;left:60px\">";
				echo $file['text'] . "</textarea></th>\n";
				echo "<td style=\"text-align:right\"><img src=\"img/" . $file['datei'] . "\" width=\"200\"></td>";
				echo "<td style=\"text-align:right\"><b style=\"color:#FFCC00\">".substr($file['datei'],10)."</b><br /><br />";
				echo "Breite (im Druck): <input type=\"text\" style=\"text-align:right\" size=\"12\" name=\"width[{$file['sort']}]\" value=\"{$file['width']}\"> mm<br />";
				if(empty($file['height'])) $file['height']='proportional';
				echo "H&ouml;he (im Druck): <input type=\"text\" style=\"text-align:right\" size=\"12\" name=\"height[{$file['sort']}]\" value=\"{$file['height']}\"> mm<br />";
			}
			echo "</td></tr>\n";
			if(!empty($file['datei'])) {
				echo "<tr><th>vorhandene Grafik ersetzen:</th><td colspan=\"2\"><input type=\"file\" accept=\"image/*\" name=\"image{$file['sort']}\" /></td></tr>\n";
			}
			new stwTabLine(2,30);
		}
	  }
	  new stwTabLine(1,30);
	  echo "<tr><td colspan=\"30\"><textarea style=\"width:100%\" rows=\"5\" name=\"ptext\">";
	  echo $parray[$sub]['text'] . "</textarea></td></tr>\n";
	  echo "<tr><td colspan=\"30\"><table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
	  echo "<td><input type=\"submit\" name=\"speichern\" value=\"speichern\"></td>\n";
	  $printcheckbox = false;
	  if(isset($rvar_sb_id)) {
	  	$pros = abfrage1("select proj_id from tb_sachbericht_proj where sb_id = '$rvar_sb_id'");
	  	if(mysql_num_rows($pros) > 0) $printcheckbox = true;
	  }
	  if($printcheckbox) {
	  	$checked = ($sb['einverst'] == 'j') ? 'checked' : '';
		$tt = stwToolTip("Die Seite \"Auswertung, tabellarisch\", sowie die Grafiken<br>\"Art der Bez&uuml;ge\" und \"Famili&auml;rer Kontext\"sind nur bei<br>gesetztem Haken verf&uuml;gbar");
	  	$onclick = "onchange=\"if(confirm('Achtung! Ist dieser Haken gesetzt, sorgt dies daf&uuml;r,\\ndass in betroffenen Projekten eine Einverst&auml;ndniserkl&auml;rung eingefordert wird.\\nIm Sachbericht wird die Ausgabe besonders schutzw&uuml;rdiger Daten freigeschalten.')) xajax_einv({$_SESSION[$AppCode]['UID']},$rvar_sb_id,this.checked,$sub); else this.checked = !this.checked;\"";
		echo "<td style=\"text-align:right\"><input type=\"checkbox\" $tt $onclick name=\"einverst\" value=\"1\" $checked> ";
	  	echo "Ausgage besonders schutzw&uuml;rdiger Daten (Einverst&auml;ndniserkl&auml;rung erforderlich)<br><span id=\"einv_out\">";
		if($sb['einverst_pers_id']) echo "zuletzt ge&auml;ndert von " . pers_kname($sb['einverst_pers_id']);
		echo "</span></td>";
	  }

	  echo "</tr></table></td></tr></table></td></tr>\n";
	} else {
		if(isset($rvar_erase)) {
			echo "<tr><td style=\"text-align:center\" colspan=\"2\">";
			echo "<h1 style=\"color:red\">Warnung: Der Sachbericht und alle";
			echo "<br>zwischengespeicherten Daten werden gel&ouml;scht!";
			echo "<br>Wollen Sie wirklich fortfahren?</h1></td></tr>\n";
			echo "<form action=\"control.php?page=2\" method=\"post\"><tr><td>";
			echo "<input type=\"hidden\" name=\"sbid\" value=\"$rvar_erase\">\n";
			echo "<input type=\"submit\" name=\"really_erase\" value=\"Ja! wirklich l&ouml;schen!\"></td>";
			echo "<td style=\"text-align:right\"><input type=\"submit\" value=\"Nein! Lieber doch nicht!\"></td></tr></form>\n";
			echo "</table>\n";
			new stwLine(1);
			new stwEnd($seite);
			exit(0);
		}
		if(isset($rvar_really_erase)) {
			abfrage2("DELETE FROM tb_sachbericht_proj WHERE sb_id = '$rvar_sbid'");
			abfrage2("DELETE FROM tb_sachbericht_person WHERE sb_id = '$rvar_sbid'");
			abfrage2("DELETE FROM tb_sachbericht_ziel WHERE sb_id = '$rvar_sbid'");
			abfrage2("DELETE FROM tbh_sachbericht_ja WHERE sb_id = '$rvar_sbid'");
			abfrage2("DELETE FROM tb_sachbericht_druck WHERE sb_id = '$rvar_sbid'");
			abfrage2("DELETE FROM tb_sachbericht_druckuebersicht WHERE sb_id = '$rvar_sbid'");
			abfrage2("DELETE FROM tbh_sachbericht_fls WHERE sb_id = '$rvar_sbid'");
			abfrage2("DELETE FROM tbh_sachbericht_charts WHERE sb_id = '$rvar_sbid'");
			abfrage2("DELETE FROM tbh_sachbericht_subcharts WHERE sb_id = '$rvar_sbid'");
			abfrage2("DELETE FROM tb_sachbericht WHERE sb_id = '$rvar_sbid'");
			$imgs = abfrage1("select datei from tbh_sachbericht_images where sb_id='$rvar_sbid'");
			while($img = mysql_fetch_row($imgs)) if(strlen($img[0]) > 0) {
				$multiple = abfrage1("select sb_id from tbh_sachbericht_images where datei='$img[0]'");
				if(mysql_num_rows($multiple) == 1) unlink($pfad."img/$img[0]");
			}
			abfrage2("DELETE FROM tbh_sachbericht_images WHERE sb_id = '$rvar_sbid'");
		}
		if(isset($rvar_copy)) {
			$sb = abfrage_assoc("select * from tb_sachbericht where sb_id = '$rvar_copy'");
			abfrage2(  "INSERT INTO tb_sachbericht SET titel='Kopie: {$sb['titel']}',  
						notizen='{$sb['notizen']}', von='{$sb['von']}', bis='{$sb['bis']}', 
						hilfeart_id='{$sb['hilfeart_id']}', paragraph='{$sb['paragraph']}', 
						status='{$sb['status']}', tendenzen='{$sb['tendenzen']}', 
						einverst='{$sb['einverst']}', ja_bezeichnung='{$sb['ja_bezeichnung']}', 
						misc_bezeichnung='{$sb['misc_bezeichnung']}', misc='{$sb['misc']}',
						datenschutz='{$sb['datenschutz']}', jugendaemter='{$sb['jugendaemter']}',
						hilfearten='{$sb['hilfearten']}'"  );
			$id = mysql_insert_id();
			$sbs = abfrage1("select * from tb_sachbericht_druckuebersicht where sb_id = '$rvar_copy'");
			while($sb = mysql_fetch_array($sbs)){
				abfrage2("INSERT INTO tb_sachbericht_druckuebersicht SET sb_id='$id', 
						seite='{$sb['seite']}', prio='{$sb['prio']}', titel='{$sb['titel']}', text='{$sb['text']}'");
			}
			$sbs = abfrage1("select * from tb_sachbericht_druck where sb_id = '$rvar_copy'");
			while($sb = mysql_fetch_array($sbs)){
				abfrage2("INSERT INTO tb_sachbericht_druck SET sb_id='$id', chart_id='{$sb['chart_id']}', 
						prio='{$sb['prio']}', titel='{$sb['titel']}', text='{$sb['text']}'");
			}
			$sbs = abfrage1("select * from tbh_sachbericht_charts where sb_id = '$rvar_copy'");
			while($sb = mysql_fetch_array($sbs)){
				abfrage2("INSERT INTO tbh_sachbericht_charts SET sb_id='$id', chart_id='{$sb['chart_id']}', 
						hilfeart_id='{$sb['hilfeart_id']}', subchart_id='{$sb['subchart_id']}', sort='{$sb['sort']}'");
			}
			$sbs = abfrage1("select * from tbh_sachbericht_subcharts where sb_id = '$rvar_copy'");
			while($sb = mysql_fetch_array($sbs)){
				abfrage2("INSERT INTO tbh_sachbericht_subcharts SET subchart_id='{$sb['subchart_id']}', 
						sb_id='$id', hilfeart_id='{$sb['hilfeart_id']}'");
			}
			$sbs = abfrage1("select * from tbh_sachbericht_ja where sb_id = '$rvar_copy'");
			while($sb = mysql_fetch_array($sbs)){
				abfrage2("INSERT INTO tbh_sachbericht_ja SET sb_id='$id', kont_id='{$sb['kont_id']}'");
			}
			$sbs = abfrage1("select * from tbh_sachbericht_images where sb_id = '$rvar_copy'");
			while($sb = mysql_fetch_array($sbs)){
				abfrage2("INSERT INTO tbh_sachbericht_images SET sb_id='$id', seite='{$sb['seite']}', 
						datei='{$sb['datei']}', width='{$sb['width']}', height='{$sb['height']}', 
						sort='{$sb['sort']}', seitenumbruch='{$sb['seitenumbruch']}', text='{$sb['text']}'");
			}
		}
		echo "<tr><td colspan=\"2\"><input type=\"submit\" name=\"new\" value=\"Neuen Sachbericht anlegen\"></td>\n";
		echo "<td colspan=\"5\" style=\"text-align:right\"><select name=\"kat\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">- Alle Kategorien -</option>\n";
		$kats = abfrage1("select * from tb_sb_kat order by kategorie asc");
		while($kat = mysql_fetch_row($kats)) {
			$selected = ($kategorie == $kat[0]) ? 'selected' : '';
			echo "<option $selected value=\"$kat[0]\">$kat[1]</option>\n";
		}
		echo "</select></td>\n";
		echo "<td><a href=\"#\"".stwToolTip('aktuelle Kategorie als pers&ouml;nliche Voreinstellung speichern');
		echo "onclick=\"xajax_smile($kategorie);return false;\" style=\"color:#CCCCCC\" id=\"Smile\">:)</a></td>\n";
		echo "</tr>\n";
		$where = ($kategorie > 0) ? "where sb_kat='$kategorie'" : '';
		if($_GET['order'] == 'name') {
			$order = "&order=name";
			$orderby = "order by if(titel='',notizen,titel) asc, von asc, bis asc";
		} elseif($_GET['order'] == 'zeit') {
			$order = '&order=zeit';
			$orderby = "order by von asc, bis asc, if(titel='',notizen,titel) asc";
		} else {
			$order = '';
			$orderby = "order by kategorie asc, von asc, bis asc, if(titel='',notizen,titel) asc";
		}
		$sbs = abfrage1("select * from tb_sachbericht s left join tb_sb_kat k using(sb_kat) $where $orderby");
		if(mysql_num_rows($sbs) > 0) {
		  echo "<tr>";
		  echo "<th><a href=\"control.php?page=2&order=kat\">Kategorie</a></th>\n";
		  echo "<th><a href=\"control.php?page=2&order=zeit\">Zeitraum</a></th>\n";
		  echo "<th><a href=\"control.php?page=2&order=name\">Bezeichnung</a></th>\n";
		  echo "</tr>\n";
		  new stwTabLine(2,30);
		  while($sb = mysql_fetch_array($sbs)){
			echo "<tr class=\"mo\">";
			echo "<td class=\"cl1\">" . $sb['kategorie'] . "</td>\n";
			echo "<td class=\"cl1\"><a href=\"control.php?page=2&sb_id=" . $sb['sb_id'] . $order;
			echo "\">" . date_my2gr($sb['von']) . " - " . date_my2gr($sb['bis']) . "</a></td>";
			echo "<td width=\"100%\" class=\"cl1\"";
			echo stwToolTip($sb['notizen']);
			echo ">" . (empty($sb['titel']) ? strCut($sb['notizen'],80) : $sb['titel']) . "</td>";
			echo "<td class=\"cl20\"><a href=\"control.php?copy=" . $sb['sb_id'] . $order . "&page=2\" ";
			echo "style=\"color:#00FF00;font-size:150%;line-height:75%;\"";
			echo stwToolTip("Sachbericht kopieren!") . ">+</a></td>";
			echo "<td class=\"cl20\"><a href=\"sachbericht_pr.php?sb_id=".$sb['sb_id'] . "&ts=" . time();
			echo "\" target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"druck\"";
			echo stwToolTip('Sachbericht drucken') . "></a>";
			if($sb['einverst']=='j') {
				echo "&nbsp;<span" . stwToolTip("Einverst&auml;ndniserkl&auml;rung erforderlich") . ">x</span>";
			}
			echo "</td>\n";
			echo "<td class=\"cl20\"><a href=\"control.php?page=2&erase=" . $sb['sb_id'] . $order;
			echo "\" style=\"color:red\"";
			echo stwToolTip("<b>Vorsicht!</b> Sachbericht l&ouml;schen!") . ">X</a></td>";
			echo "<td style=\"text-align:right\"><a href=\"pers_pr_liste.php?sb_id=".$sb['sb_id'] . "&ts=" . time();
			echo "\" target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"druck\"";
			echo stwToolTip('&Uuml;bersicht &uuml;ber Personal im Zeitraum drucken') . "></a></td>\n";
			echo "<td style=\"text-align:right\"><a href=\"pro_pr_kontaktst.php?sb_id=".$sb['sb_id'] . "&ts=" . time();
			echo "\" target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"druck\"";
			echo stwToolTip('&Uuml;bersicht &uuml;ber Projekte und Stunden drucken') . "></a></td></tr>\n";
		  }
		}
	}
	echo "</table>\n</form>\n";
}

new stwLine(1);
new stwEnd($seite,$page==1 ? 1 : 0);
?>
