<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: daten_down.php 2297 2014-07-04 10:01:22Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

 require_once($pfad."inc/func.inc.php");
 require_once($pfad."inc/stwDaten.inc.php");

 /* wurde eine Datei angefordert -> ausliefern */
 if (isset($_GET["id"]))
 {
   /* Infos zu dieser Id holen */
   $sql  = "SELECT rname, sname, size, type, datum, rechte_id FROM tb_daten ";
   $sql .= "WHERE datei_id='".$_GET["id"]."'";

   $erg  = abfrage($sql);
   $daten = new stwDaten($erg[5]);

   if (!empty($erg[0]) &&
       $daten->check_recht_download($_SESSION[$AppCode]["UID"],
                                    $_SESSION[$AppCode]["ULV"]))
   {
     header("Content-Type: %s", $erg[3]);
	 if(strpos($erg[3],'image')!==false || strpos($erg[3],'pdf')!==false) $attachment = '';
	 else $attachment = "Content-Disposition: attachment;";
     header("$attachment filename=\"".$erg[0]."\"");
     header("Content-Length: ".$erg[2]);
     readfile($pfad."daten/".$erg[4]."_".$erg[1]);

     exit(0);
   }
 }

?>
