<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: fahrten_pr_mon.php 2467 2015-08-31 10:28:53Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 60;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, "de_DE@euro", "de_DE", "german", "deu_deu", "deu", "de", "de_AT", "de_DE.UTF-8", "de_AT.utf8");

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetLeftMargin(15);
$pdf->SetTopMargin(25);
$pdf->SetAutoPageBreak(auto,20);
$pdf->AliasNbPages();
$pdf->SetLineWidth('0.3');

$no_ds = true; // Kopfzeile zu Datenschutz ausschalten
$no_nr = true; // keine Seitenzahlen

list($jahr, $monat, $tag) = explode("-", $rvar_von);
$datum = mktime(0,0,0,$monat,$tag,$jahr);
$datum2 = date_tstime(date_my2ts($rvar_bis),'23:59');
if(isset($rvar_res_id)) $where = "res_id='$rvar_res_id'";
else $where = "res_typ = '1' and (aktiv = 'j' or (aktiv = 'n' and unix_timestamp(datum) > unix_timestamp('$rvar_von')))";
$autos = abfrage1("select name, res_id from tb_ressourcen where $where order by name asc;");
while($auto = mysql_fetch_row($autos)) {
	$page = 0;
	$titel = "Fahrtenbuch $auto[0] fr " . strftime('%B %Y', $datum);
	// Anfangs-km-Stand
	$anf = km_stand($auto[1], $datum);
	// End-km-Stand
	$end = km_stand($auto[1], $datum2);
	/* sicherstellen, dass gueltiger Wert im Anfangsstand vorhanden */
	if (empty($anf)) $anf_km = 0; else $anf_km = $anf;
	$diff = $end - $anf;
	$rh = 5;
	$eintrag = array();
	$kilometerstd = array();

	$juli2014 = mktime(0,0,0,7,1,2014);
	$zwei = 1;
	$sql = "select z.km_von, z.km_via1, z.km_via2, z.km_via3, z.km_via4, z.km_via5, z.km_nach, 
			t.terminart, z.km_dienst, f.fahrt, z.proj_id, z.pers_id as zpers_id,
			unix_timestamp(t.bis) as bis_ts, unix_timestamp(t.von) as von_ts,
			z.ab, unix_timestamp(h.zeit) as zeit_ts, z.fahrt_id, h.*
			from tb_fahrtenhistorie h
			left join tb_ab_zk z on h.zk_id = z.zk_id
			left join tb_termine t on z.termin_id = t.termin_id
			left join tb_fahrt f on z.fahrt_id = f.fahrt_id
			where (h.res_id = $auto[1] or (z.res_id = $auto[1] and h.res_id = 0))
			and (((z.ab = 'j' or z.fahrt_id IS NOT NULL)
			and to_days(t.von) >= to_days('$rvar_von')
			and to_days(t.von) <= to_days('$rvar_bis')) or 
			(h.zk_ts >= $datum and h.zk_ts <= $datum2 and z.zk_id IS NULL))
			order by unix_timestamp(t.von) asc";
	$res[0] = abfrage1($sql);
	if($datum2 < $juli2014) {
		$zwei = 2;
		$sql = "select z.km_von, z.km_via1, z.km_via2, z.km_via3, z.km_via4, z.km_via5, z.km_nach, 
				t.terminart, z.km_dienst, f.fahrt, z.proj_id, z.pers_id as zpers_id,
				unix_timestamp(t.bis) as bis_ts, unix_timestamp(t.von) as von_ts,
				z.ab, z.fahrt_id, z.zk_id from tb_ab_zk z
				left join tb_fahrtenhistorie h on h.zk_id = z.zk_id
				left join tb_termine t on z.termin_id = t.termin_id
				left join tb_fahrt f on z.fahrt_id = f.fahrt_id
				where h.fh_id IS NULL and z.res_id = $auto[1]
				and z.km_dienst > 0
				and (z.ab = 'j' or z.fahrt_id IS NOT NULL)
				and to_days(t.von) >= to_days('$rvar_von')
				and to_days(t.von) <= to_days('$rvar_bis')
				order by unix_timestamp(t.von) asc";
		$res[1] = abfrage1($sql);
	}

	$k = 0;
	for($R=0;$R<$zwei;$R++) while ($row = mysql_fetch_array($res[$R])){
		$data = array();
		$nextFHE = naechsterFahrtenHistorienEintrag($row['fh_id']);
		$data['storno'] = $nextFHE !== false;
		if($data['storno'] && $_GET['detail']!=1) continue; // Anzeige ohne Historie
		if(!$data['storno'] && empty($row['fahrt_id']) && (empty($row['ab']) || $row['ab']=='n')) continue; // Letzter Eintrag einer geloeschten oder nicht abrechnungsrelevanten ZK
		$data['ts'] = empty($row['zk_ts']) ? $row['von_ts'] : $row['zk_ts'];
		$data['datum'] = date("d.m.Y",$data['ts']);
		if($row['km_start'] > 0) $data['km_start'] = $row['km_start'];
		else {
			$km = km_stand_zk($row['zk_id']);
			$data['km_start'] = $km[0];
		}
		$data['km_ende'] = ($row['km_ende'] > 0) ? $row['km_ende'] : $data['km_start']+$row['km_dienst'];
		$data['strecke'] = $row[0];
		for($i=1;$i<=5;$i++) if(strlen($row[$i]) > 0) $data['strecke'] .= " - ".$row[$i];
		$data['strecke'] .= " - $row[6]";
		if(!$data['storno']) $data['grund'] = $row['terminart']=='a' ? $row['fahrt'] : projektnummer($row['proj_id']);
		$km = $data['km_ende'] - $data['km_start'];
		if($km == 0.00) continue; //Eintraege ohne Dienst-km sind sinnlos, bzw. Voreintrag vermutlich zurueckgesetzt
		$data['km']  = ($km <= 0) ? '' : km_form($km);
		$data['text'] = $nextFHE['text'];
		$data['zeit'] = $nextFHE['zeit'];
		$data['zeit_ts'] = $row['zeit_ts'];
		$data['ma'] = $nextFHE['pers_id'];
		$data['pers_id'] = empty($row['pers_id']) ? $row['zpers_id'] : $row['pers_id'];
		$eintrag[ $k ] = $data;
		$kilometerstd[ $k ] = $data['km_start'];
		if($data['storno']) $kilometerstd[ $k ] += "0.000{$row['zeit_ts']}"; // Sortierung nach Aenderungszeitpunkt
		else $kilometerstd[ $k ] += 0.001; // Stornierte Eintraege sollten vor anderen mit selben Start-km kommen...
		$k++;
	}
	asort($kilometerstd);
	$letzterKMStand = $anf;
	foreach($kilometerstd as $k => $km) {
		$y = $pdf->GetY();
		if($y > 265 || $page == 0) {
			$pdf->AddPage();
			$page++;
			$pdf->SetFont('stw','',16);
			$pdf->Text(15,23,($page > 1 ? "Seite $page von " : '') . $titel);
			$pdf->SetFont('arialb','',12);
			$pdf->SetXY(15,26);
			$pdf->Cell(50,6, 'km-Stand Monatsanfang:',0,0,'L',0);
			$pdf->SetFont('arial','',12);
			$pdf->Cell(32,6, km_form($anf_km),0,0,'R',0);
			$pdf->SetFont('arialb','',12);
			$pdf->SetXY(15,32);
			$pdf->Cell(50,6, 'km-Stand Monatsende:',0,0,'L',0);
			$pdf->SetFont('arial','',12);
			$pdf->Cell(32,6, km_form($end),0,0,'R',0);
			$pdf->SetFont('arialb','',12);
			$pdf->Cell(40,6, 'gefahren:',0,0,'R',0);
			$pdf->SetFont('arial','',12);
			$pdf->Cell(20,6, km_form($diff));
			$pdf->SetXY(15,40);
			$pdf->SetFont('arialb','',8);
			$pdf->Cell(15,$rh, 'Datum',1,0,'C',0);
			$pdf->Cell(15,$rh, 'km Anfang',1,0,'C',0);
			$pdf->Cell(15,$rh, 'km Ende',1,0,'C',0);
			$pdf->Cell(90,$rh, 'Strecke',1,0,'C',0);
			$pdf->Cell(20,$rh, 'Grund',1,0,'C',0);
			$pdf->Cell(12,$rh, 'km',1,0,'C',0);
			$pdf->Cell(22,$rh, 'Benutzer',1,1,'C',0);
			if($page > 1) {
				$pdf->Cell(30,$rh, "bertrag Seite ".($page-1) ,0,0,'L',0);
			}
			$pdf->SetFont('arial','',7);
			if($page > 1) {
				$pdf->Cell(15,$rh, km_form($letzterKMStand),0,1,'R',0);
				$pdf->Cell(189,0.1,'','B',1);
			}
		}
		$data = $eintrag[$k];
		if(!$data['storno']) {
			if($letzterKMStand > 0 && round($letzterKMStand) != round($data['km_start'])) {
				$pdf->SetFont('arialb','',7);
				$pdf->Cell(189,$rh,'Vorsicht! Anfangs-Kilometerstand stimmt nicht mit Endkilometerstand der letzten Fahrt berein','B',1);
				$pdf->SetFont('arial','',7);
			}
			$letzterKMStand = $data['km_ende'];
		}
		$y = $pdf->GetY();
		$pdf->Cell(15,$rh, $data['datum'] ,0,0,'L',0);
		$pdf->Cell(15,$rh, km_form($data['km_start']),0,0,'R',0);
		$pdf->Cell(15,$rh, km_form($data['km_ende']),0,0,'R',0);
		$pdf->MultiCell(90,$rh,$data['strecke'],0,'L');
		$Y = $pdf->GetY();
		$pdf->SetXY(150,$y);
		$pdf->Cell(20,$rh,$data['grund'],0,0,'L',0);
		$pdf->Cell(12,$rh,$data['km'],0,0,'R',0);
		$monatsende = mktime(23,59,59,date('n', $data['ts']), date('t', $data['ts']), date('Y', $data['ts']));
		if($data['zeit_ts']>$monatsende) $pdf->SetFont('arialb','',7);
		$pdf->Cell(22,$rh,pers_kname($data['pers_id']));
		if($data['zeit_ts']>$monatsende) $pdf->SetFont('arial','',7);
		if($data['storno']) {
			$pdf->SetLineWidth('0.1');
			while($y < $Y) {
				$pdf->Ln($rh/2);
				$pdf->Cell(188,$rh/2,'','T',1);
				$y += $rh;
			}
			$pdf->SetLineWidth('0.3');
			$pdf->Cell(30,4,$data['zeit']." Uhr");
			$pdf->Cell(137,4, "<storno> ".$data['text'],0,0,'L',0);
			$pdf->Cell(22,4,pers_kname($data['ma']));
			$Y += 4;
		}
		$pdf->SetXY(15,$Y);
		$pdf->Cell(189,0.1,'','B',1);
	}
}
$pdf->Output();
exit;
?>
