<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: feedb.php 1619 2010-11-24 10:22:06Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

require("inc/auth.inc.php");
$seite = 29;
require("inc/stw.inc.php");

// new stwWarnung();

if (!empty($_GET['ok'])){
	if ($_GET['ok'] == 1){
		$text = "Ihr Feedback wurde gespeichert!";
	} elseif ($_GET['ok'] == 2){
		$text = "Das Feedback wurde ge&auml;ndert!";
	}
	
	echo "<table>\n";
	echo "<tr><th style=\"color:lime\">$text</th></tr>\n";
	echo "</table>\n";
	
	new stwLine(1);
}

if (!empty($rvar_fb_id)){
	$fb = abfrage("select date_format(datum, '%d.%m.%Y'), pers_id, titel, text,
					erledigt, date_format(datum_erl, '%d.%m.%Y'), text_gf
					from tb_feedback where fb_id = $rvar_fb_id;");
}

echo "<table>\n";
echo "<form method=\"post\" action=\"feedb_sql.php\">\n";

echo "<tr><th colspan=\"3\">Feedback an Gesch&auml;ftsleitung eingeben</th></tr>\n";
new stwTabLine(2,3);

if (!empty($rvar_fb_id)){
	echo "<tr><th>eingegeben am :</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td>$fb[0]</td></tr>\n";

	echo "<tr><th>eingegeben von :</th>\n";
	echo "<td width=\"5\"></td>\n";
	
	if ($fb[1] == 0){
		$ma = "anonym";
	} else {
		$ma = pers_name($fb[1]);
	}
	echo "<td>$ma</td></tr>\n";
} 


echo "<tr><th>Titel :</th>\n";
echo "<td width=\"5\"></td>\n";
echo "<td><input type=\"text\" name=\"titel\" size=\"30\" maxlength=\"30\" tabindex=\"1\"";
if (!empty($rvar_fb_id)){
	echo " value=\"$fb[2]\" ";
	if ($_SESSION[$AppCode]['UID'] != $fb[1]){
		echo "readonly ";
	}
}
echo "></td></tr>\n";

echo "<tr><th>Text :</th>\n";
echo "<td width=\"5\"></td>\n";
echo "<td><textarea name=\"text\" cols=\"50\" rows=\"6\" tabindex=\"2\"";
if (!empty($rvar_fb_id) && $_SESSION[$AppCode]['UID'] != $fb[1]){
	echo " readonly";
}
echo ">\n";
if (!empty($rvar_fb_id)){
	echo nl2br($fb[3]);
}
echo "</textarea></td></tr>\n";

if (empty($rvar_fb_id)){
	echo "<tr><th>anonym :</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td><input type=\"checkbox\" name=\"anonym\" value=\"1\" tabindex=\"3\"></td></tr>\n";
}

new stwTabLine(2,3);

if (!empty($rvar_fb_id) && $_SESSION[$AppCode]['ULV'] >= 98){
	echo "<tr><th>Notizen GF :</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td><textarea name=\"text_gf\" cols=\"50\" rows=\"6\" tabindex=\"4\">";

	if (!empty($rvar_fb_id)){
		echo nl2br($fb[6]);
	}
	echo "</textarea></td></tr>\n";
	
	echo "<tr><th>erledigt :</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td><input type=\"checkbox\" name=\"erledigt\" value=\"j\" tabindex=\"5\"></td></tr>\n";
	
	new stwTabLine(2,30);
}


echo "<input type=\"hidden\" name=\"pers_id\" value=\"" . $_SESSION[$AppCode]['UID'] . "\">\n";
echo "<input type=\"hidden\" name=\"level\" value=\"" . $_SESSION[$AppCode]['ULV'] . "\">\n";
if (!empty($rvar_fb_id)){
	echo "<input type=\"hidden\" name=\"fb_id\" value=\"$rvar_fb_id\">\n";
}

echo "<td colspan=\"3\"><input type=\"submit\" value=\"Feedback speichern\" tabindex=\"6\"></td></tr>\n";
echo "</form>\n";
echo "</table>\n";

new stwLine(1);

if ($_SESSION[$AppCode]['ULV'] >= 98){

	echo "<table><tr><td>\n";
	if ($_GET['erl'] == 1){
		$text = "nur aktuelle Feedbacks";
		$link = "feedb.php";
		
		$sql = "select fb_id, titel, date_format(datum, '%d.%m.%Y'),
				text, pers_id, erledigt, date_format(datum_erl, '%d.%m.%Y'),
				text_gf
				from tb_feedback
				where erledigt = 'j'
				order by datum asc;";

	} else {
		$text = "nur erledigte Feedbacks";
		$link = "feedb.php?erl=1";
		
		$sql = "select fb_id, titel, date_format(datum, '%d.%m.%Y'),
				text, pers_id, erledigt, date_format(datum_erl, '%d.%m.%Y'),
				text_gf
				from tb_feedback
				where erledigt = 'n'
				order by datum asc;";
	}

	echo "<input type=\"button\" value=\"$text\" ";
	echo "onClick=\"self.location.href='$link'\">";
	
	echo "</td></tr></table>\n";
	
	
	$fbs = abfrage1($sql);
	
	if (mysql_num_rows($fbs) > 0){
		
		new stwLine(1);
		
		echo "<table width=\"750\" border=\"0\" cellpadding=\"5\" cellspacing=\"0\">\n";

		echo "<tr><th width=\"450\">Titel</th>\n";
		echo "<th width=\"100\">von</th>\n";
		echo "<th width=\"100\">eingeben</th>\n";
		echo "<th width=\"100\">erledigt</th></tr>\n";
		
		while ($fb = mysql_fetch_row($fbs)){
			echo "<tr>\n";
			
			echo "<td width=\"450\" style=\"background-color:#A0A0A0; color:#000000; font-size:13pt;
					font-weight:bold;vertical-align:middle;white-space:normal\">";
			if ($_SESSION[$AppCode]['ULV'] >= 98){
				$link = array("<a href=\"{$_SERVER['PHP_SELF']}?fb_id=$fb[0]\" style=\"color:#000000\">", "</a>");
			} else {
				$link = array("","");
			}

      /* wenn der Titel leer ist, Ersatztext zeigen */
      if (empty($fb[1])) $txt = "<span style=\"color:red\">LEER!</span>"; 
      else $txt = $fb[1];
      printf("%s%s%s</td>\n", $link[0], $txt, $link[1]);

			if ($fb[4] == 0){
				$ma = "anonym";
			} else {
				$ma = pers_kname($fb[4]);
			}
			
			echo "<td width=\"100\" style=\"background-color:#A0A0A0; color:#000000; font-weight:bold\">\n";
			echo "$ma</td>\n";
			
			echo "<td width=\"100\" style=\"background-color:#A0A0A0; color:#000000; font-weight:bold\">\n";
			echo "$fb[2]</td>\n";
			
			echo "<td width=\"100\" style=\"background-color:#A0A0A0; color:#000000; font-weight:bold\">\n";
			echo "$fb[6]</td>\n";
			
			
			echo "</tr>\n";
			
			echo "<tr bgcolor=\"#CCCCCC\"><td colspan=\"4\" ";
	   		echo "style=\"font-family:Courier New, Courier, mono; color:#000000;white-space:normal\">";
	    	echo nl2br($fb[3]);
	    	echo "</td></tr>\n";
			
	    	if (strlen($fb[7]) > 0){
				echo "<tr bgcolor=\"#66FF99\"><td colspan=\"4\" ";
		   		echo "style=\"font-family:Courier New, Courier, mono; text-style:italic; color:#000000;white-space:normal\">";
		    	echo nl2br($fb[7]);
		    	echo "</td></tr>\n";
	    	}
	    	
	    	echo "<tr><td height=\"1\"></td></tr>\n";
					
		}
		echo "</table>\n";
	}
	new stwLine(1);
}

new stwEnd($seite);
?>
