<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: feedback.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 29;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

$self = $_SERVER['PHP_SELF'];

if(isset($_GET['smile'])) {
	$sql = "select pers_id from tb_pers_einst where pers_id = '".$_SESSION[$AppCode]['UID']."';";
	$vorh = abfrage1($sql);
	$update = (mysql_num_rows($vorh) > 0) ? "UPDATE" : "INSERT INTO";
	$where = (mysql_num_rows($vorh) > 0) ? "WHERE" : ",";
	$sql  = "$update tb_pers_einst SET feedb_user='".$_GET['ma']."' $where pers_id = '".$_SESSION[$AppCode]['UID']."';";
	abfrage2($sql);
}

 /* nur unerledigte / alle Feedbacks */
 if (check_nutzer_rechte(1))
 {
   $all = (isset($_GET["all"])) ? $_GET["all"] : 0;
 }
 else
 {
   $all = 0;
 }

/* Sortierung */
$sort = (isset($_GET['sort'])) ? $_GET['sort'] : '1';

/* Ermittlung des Anzeigemodus und des anzuzeigenden Tages (nur bei all == 1) */
if ($all == 1) {
	$anz = (isset($_GET['anz'])) ? $_GET['anz'] : 'w1';

	if(empty($_GET['tag'])){
		$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
	} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
		$anz = 'j';
		$tag = mktime(0,0,0,1,1,$_GET['tag']);
	} elseif($_GET['tag'] == '0000-00-00'){
		$tag = 0;
	} else {
		$tag =  date_isodate_stamp($_GET['tag']);
	}

	$tg = date('Y-m-d', $tag);

	switch ($anz){
		case 'w1':
		case 'w2':
			$wtag = date('w', $tag);

			if ($wtag == 0){
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
			} else {
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
			}
			$sql_end = $sql_beg + (7 * 86400);
			break;

		case 'm':
			$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
			$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
			break;

		case 'j':
			$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
			$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
			break;

		case 't';
			$sql_beg = $tag;
			$sql_end = $tag;
			break;
	}
}

/* welcher Mitarbeiter? */
if(isset($_POST['suche'])) {
	$ma = 'all';
} elseif (isset($_GET['ma'])){
	$ma = $_GET['ma'];
} else {
	$dat1 = abfrage("select h.pers_id
					from tb_web_feedback w 
					left join tbh_pers_proj h on w.proj_id = h.proj_id
					left join tb_personal pe on h.pers_id = pe.pers_id
					where h.pers_id ='$uid' and personaltyp_id=1;");
	if ($dat1[0] ==  $uid){
		$ma = getPersEinst($_SESSION[$AppCode]["UID"], 'feedb_user', $uid);
	} else {
		$ma = getPersEinst($_SESSION[$AppCode]["UID"], 'feedb_user', 'all');
	}
}
/* welches Projekt */
$proj = isset($_GET['proj']) ? $_GET['proj'] : 'all';

/* kleiner Sicherheitscheck */
if (!check_nutzer_rechte(1) && $ulv != 25 && $ma != $uid) {
 stwFehler(4);
 new stwEnd($seite);
 exit(0);
}

$cal_url = ($all == 1) ? "&tag=$tg&anz=$anz" : '';

echo "<table width=\"750\"><tr>\n";


 if (check_nutzer_rechte(1))
 {

echo "<td class=\"cl1\">";
if ($all == '1') {
	echo "<input type=\"button\" value=\"nur unerledigte anzeigen\" ";
	echo "onClick=\"self.location.href='feedback.php?";
	echo "all=0&ma=$ma&proj=$proj&sort=$sort$cal_url'\">";
} else {
	echo "<input type=\"button\" value=\"auch erledigte anzeigen\" ";
	echo "onClick=\"self.location.href='feedback.php?";
	echo "all=1&ma=$ma&proj=$proj&sort=$sort$cal_url'\">";
}
echo "</td>\n";
 }

if (check_nutzer_rechte(1)){
	echo "<form action=\"$self\" method=\"get\">\n";
	echo "<input type=\"hidden\" name=\"proj\" value=\"all\">\n";
	echo "<input type=\"hidden\" name=\"all\" value=\"$all\">\n";
	echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
	if ($all == 1){
		echo "<input type=\"hidden\" name=\"tag\" value=\"$tg\">\n";
		echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
	}

	echo "<th class=\"cl1\">Mitarbeiter:</th>\n";
	echo "<td><select name=\"ma\" size=\"1\" onChange=\"this.form.submit()\">\n";
	echo "<option value=\"all\"";
	echo ($ma == 'all') ? ' selected' : '';
	echo ">ALLE anzeigen</option>\n";
	echo "<option value=\"new\"";
	echo ($ma == 'new') ? ' selected' : '';
	echo ">unzugeordnete</option>\n";

	$sql = "select h.pers_id from tb_web_feedback w 
			left join tbh_pers_proj h on w.proj_id = h.proj_id
			left join tb_personal pe on h.pers_id = pe.pers_id
			where h.pers_id > 0 and personaltyp_id = 1
			group by h.pers_id
			order by pe.vorname asc, pe.name asc;";
	$data1 = abfrage1($sql);

	while ($mit = mysql_fetch_row($data1)) {
		echo "<option value=\"$mit[0]\"";
		if ($mit[0] == $ma) echo ' selected';
		echo '>' . pers_name($mit[0]) . "</option>\n";
	}
	echo "</select>\n</td>\n";
	echo "<td class=\"cl1\"><input type=\"image\" src=\"img/senden.png\"></td>\n";
	$color = isset($_GET['smile']) ? 'lime' : '#CCCCCC';
	echo "<td class=\"cl20\"><a style=\"color:$color\" href=\"feedback.php?ma=$ma&proj=$proj&smile=1\"";
	echo stwToolTip("aktuellen Mitarbeiter als pers&ouml;nliche Voreinstellung speichern") . ">:)</a></td>\n";
	echo "</form>\n";

	echo "<form action=\"$self\" method=\"get\">\n";
	echo "<input type=\"hidden\" name=\"ma\" value=\"all\">\n";
	echo "<input type=\"hidden\" name=\"all\" value=\"$all\">\n";
	echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
	if ($all == 1){
		echo "<input type=\"hidden\" name=\"tag\" value=\"$tg\">\n";
		echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";
	}

	echo "<th class=\"cl1\">Projekt:</th>\n";
	echo "<td><select name=\"proj\" size=\"1\" onChange=\"this.form.submit()\">\n";
	echo "<option value=\"all\"";
	echo ($proj == 'all') ? ' selected' : '';
	echo ">ALLE anzeigen</option>\n";
	echo "<option value=\"0\"";
	echo ($proj == '0') ? ' selected' : '';
	echo ">unzugeordnete</option>\n";
	$sql = "select w.proj_id from tb_web_feedback w 
			left join tb_projekte p on w.proj_id = p.proj_id
			where w.proj_id > 0 ";
	if($all != 1) $sql .= "and w.erl_gf IS NULL ";
	$sql.= "group by p.proj_id
			order by p.projektnr asc;";
	$data2 = abfrage1($sql);
	while ($pr = mysql_fetch_row($data2)) {
		echo "<option value=\"$pr[0]\"";
		if ($pr[0] == $proj) echo ' selected';
		echo '>' . projektnummer($pr[0]) . "</option>\n";
	}
	echo "</select>\n";
	echo "</form>\n";
}

/* ab Level 65 Link zur Subversion-Seite sichtbar */
if ($ulv >= 65){
	echo "<td style=\"text-align:right;width:100%\">";
	echo "<a href=\"konf/svn.php\"";
	echo stwToolTip('zur Versionsverwaltung Subversion');
	echo ">svn</a></td>\n";
}

echo "</tr></table>\n";
if (check_nutzer_rechte(1)) new stwLine(1);



if (isset($_POST['suche'])){
	/* Suche: keine Zeitschaltung, keine MA-Einschraenkung */
	$where  =  "where (match(datei, feedback) against ('{$_POST['suche']}')) ";
	$where .= "OR t1.feedback_id LIKE '%".$_POST["suche"]."%'";
} else {
	if ($all == 1) {
		/* alle anzeigen (inkl. erledigte): Zeitschaltung UND MA-Einschraenkung */
		if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
			$where  = "where unix_timestamp(t1.datetime) < '$sql_end' ";
			$where .= "and ((t1.erl_gf = 1 and unix_timestamp(t1.erl_gf_time) > '$sql_beg') ";
		} else $where  = "where (t1.erl_gf = 1 ";
		$where .= "or t1.erl_gf is null)";
	} else $where = 'where t1.erl_gf is null';
	$where .= ($ma == 'all') ? ' and t1.proj_id > 0' : " and t1.proj_id > 0 and (h.pers_id = '$ma' and h.personaltyp_id = 1)";
	if($proj == '0') $where .= " and (t1.proj_id IS NULL or t1.proj_id = 0)";
	elseif($proj != 'all') $where .= " and t1.proj_id = '$proj'";
}

$linkadditionals = "&all=$all&ma=$ma&proj=$proj";
include "feedb.proj.inc.php";

// noch keinem Projekt zugeordnete Feedbacks
$sql = "select t1.datei,
		t1.feedback,
		date_format(datetime,'%d.%m.%Y'),
		t1.pers_id,
		t1.feedback_id,
		date_format(t1.datetime, '%H:%i'),
		t1.erl_pr,
		t1.erl_gf,
		t1.proj_id,
		t1.prio,
		if (t1.proj_id is null or t1.proj_id = 0, 99, prio) as sort1,
		t1.postval,
		t1.getval,
		c.wert as aufwand
		from tb_web_feedback t1
		left join tb_complexity c on t1.complexity = c.complexity
		where (t1.proj_id = 0 or t1.proj_id is null) and ";
if ($all == 1) $sql .= "unix_timestamp(t1.datetime) < '$sql_end' and ((t1.erl_gf = 1 and unix_timestamp(t1.erl_gf_time) > '$sql_beg') or t1.erl_gf is null) ";
else $sql .= "t1.erl_gf is null ";
$sql .= $order;
$res = abfrage1($sql);

/* wenn es noch nicht zugeordnete Feedbacks gibt und Level hoch genug */
$ank = mysql_num_rows($res);
if ($ank > 0 && check_nutzer_rechte(1)) {
	echo "<table>\n";
	echo "<tr><th colspan=\"30\">$ank noch keinem Projekt zugeordnete ";
	echo "Feedbacks:</th></tr>\n";
  new stwTabLine(1,30);

	echo "<tr>\n<th class=\"cl11\"></th><th class=\"cl11\">";
	echo "<a name=\"a$ank\" style=\"position:relative;left:0;top:-350px;\"></a>";
	echo "<a href=\"$self?all=$all&ma=$ma&proj=$proj&sort=1$cal_url\">Nr.</a></th>\n";

	echo "<th class=\"cl1\"><a href=\"$self?all=$all&ma=$ma&proj=$proj&sort=datei$cal_url\">";
	echo "Datei</a></th>\n";
	echo "<th class=\"cl1\" style=\"text-align:center\"><a href=\"$self?all=$all&ma=$ma&proj=$proj&sort=aufwand$cal_url\">";
	echo "Aufwand</a></th>\n";

	echo "<th class=\"cl1\">Feedback</th>\n";
	echo "<th class=\"cl1\">Datum</th>\n";
	echo "<th class=\"cl1\">Benutzer</th>\n";

	echo "<th class=\"cl1\"" . stwToolTip('Programmierer') . '>';
	echo "<a href=\"$self?all=$all&ma=$ma&proj=$proj&sort=prg$cal_url\">Pr.</a></th>\n";

	echo "<th class=\"cl1\"" . stwToolTip('Gesch&auml;ftsf&uuml;hrung');
	echo ">GF</th>\n</tr>\n";

	while ($row = mysql_fetch_array($res)) {
		$ank--;
		/* Farbselektion durchfuehren */
	  if ($row['erl_gf'] == 1) {
		$style = "style=\"color:#999999\"" . stwToolTip('erledigt');
	  } elseif ($row['prio'] > 2) {
		switch ($row['prio']) {
			case 3:
				$style  = "style=\"color: #FF0000;\"";
				$style .= stwToolTip('Priorit&auml;t hoch');
				break;
			case 4:
				$style  = "style=\"color: #FF8000;\"";
				if (!isset($_REQUEST['print'])) $style .= " name=\"blink\"";
				$style .= stwToolTip('Bug');
				break;
			case 5:
				$style  = "style=\"color: #FF0000;\"";
				if (!isset($_REQUEST['print'])) $style .= " name=\"blink\"";
				$style .= stwToolTip('dringend');
				break;
		}
	  } elseif ($row['prio'] < 2) {
		$style = "style=\"color:#CCCCCC\" " . stwToolTip('Priorit&auml;t niedrig');
	  } elseif ($row['bearb_id'] > 0) {
		$tt  = 'in Bearbeitung durch ' . pers_name($row['bearb_id']);
		$tt .= ' seit ' . $row['be_time'];
		$style = "style=\"color:#B7FF00\" " .stwToolTip($tt);
	  } else {
		$style = '';
	  }

    /* gruene Trennlinie */
    new stwTabLine(2,30);

	/* Klammer fuer Datei-Anhaenge */
	echo "<tr><td class=\"cl1\">";
	$daten = new stwDaten("24");
	echo $daten->get_klammer_link($_SESSION["webdir"], $_SESSION[$AppCode]["UID"],
								  $_SESSION[$AppCode]["ULV"], $row['feedback_id'], "0");
	echo "</td>\n";

    /* Feedback Nummer mit moeglichen Farben anzeigen */
    echo "<td><a name=\"a$ank\" style=\"position:relative;left:0;top:-350px;\"></a>";
	echo "<a href=\"feedback_and.php?feedback_id=".$row['feedback_id'];
    echo "&goto=1\" $style>" . $row['feedback_id'] . "</a></td>\n";

    /* Ausgabe Dateiinfo */
    $aus = get_file_link($row["datei"], $row["getval"], $row["postval"],
                         $style, $ulv);

    printf("%s", $aus);

	echo "<td style=\"text-align:center\">" . $row['aufwand'] . "</td>";
    echo "<td class=\"cl1\">" . wordwrap($row['feedback'], 45, '<br>');
    echo "</td>\n";

	  echo "<td class=\"cl1\">$row[2]<br>$row[5]&nbsp;Uhr</td>\n";
	  echo "<td class=\"cl1\">" . pers_kname($row['pers_id']) . "</td>\n";
		if ($row[6] > 0) {
			$col = 'green';
			$sql  = "select erl_pr_id, date_format(erl_pr_time, '%d.%m.%Y - %H:%i') ";
			$sql .= "from tb_web_feedback where feedback_id = $row[4];";
			$pr = abfrage($sql);
			$title = pers_kname($pr[0]) . ", $pr[1]";
		} else {
			$col = 'red';
			$title = "noch nicht vom Programmierer erledigt";
		}
	    echo "<td class=\"cl1\"" . stwToolTip($title) . '>';
	    echo "<img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";

		echo "<form action=\"$self?all=$all&ma=$ma&proj=$proj&proj=$proj&sort=$sort#a$ank\"";
		echo " method=\"POST\">\n";
		echo "<input type=\"hidden\" name=\"uid\" value=\"$uid\">\n";
		echo "<input type=\"hidden\" name=\"feedback_id\" value=\"$row[4]\">\n";
		if ($row[7] > 0){
			$gf = abfrage("select erl_gf_id, date_format(erl_gf_time, '%d.%m.%Y - %H:%i')
							from tb_web_feedback where feedback_id = $row[4];");
			$tt = pers_kname($gf[0]) . ", $gf[1]";
		    $col = 'green';
		    $val = 0;
		} else {
		    $tt = 'als erledigt markieren';
		    $col = 'red';
		    $val = 1;
		}
		echo "<input type=\"hidden\" name=\"erl_gf\" value=\"$val\">\n";
		echo "<td class=\"cl1\">\n";
		echo "<input type=\"image\" src=\"img/icon_$col.png\"";
		echo stwToolTip($tt) . ">\n";
		echo "</td></form>\n"; 
	}
	new stwTabLine(1,30);
	echo "</table>\n";
}

 /* bei Anzeige aller Feedbacks (inkl. erledigter -> Kalender anzeigen */
 new stwEnd($seite, $all);
?>
