<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: feedback_and.php 2626 2016-08-17 09:49:44Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 29;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

$fb = abfrage("select
				feedback_id, # 0
				datei, # 1
				pers_id, # 2
				date_format(datetime, '%d.%m.%Y, %H:%i Uhr'), # 3
				feedback, # 4
				proj_id,  # 5
				erl_pr,   # 6
				erl_gf,   # 7
				date_format(erl_pr_time, '%d.%m.%Y, %H:%i Uhr'), # 8
				erl_pr_id, # 9
				date_format(erl_gf_time, '%d.%m.%Y, %H:%i Uhr'), # 10
				erl_gf_id, # 11
				prio,      # 12
				postval,   # 13
				getval,    # 14
				complexity # 15
				from tb_web_feedback
				where feedback_id = $rvar_feedback_id;");

 /* nur Feedbackinfos zeigen wenn man beteiligt ist */
 if (!check_nutzer_rechte(1))
 {
   $pro = new stwProjekt($fb[5]);
   if (!$pro->beteiligt($_SESSION[$AppCode]["UID"]))
   {
     printf("Zugriff nicht erlaubt!");
     new stwEnd($seite);

     exit(0);
   }
 }

$onlyincludes = true;
include "feedb.proj.inc.php";

echo "<form action=\"feedback_sql.php\" method=\"POST\">\n";
if(isset($rvar_goto)) echo "<input type=\"hidden\" name=\"goto\" value=\"1\" />\n";
echo "<table>\n";

$ausgabe = get_file_link($fb[1], $fb[14], $fb[13], '', $_SESSION[$AppCode]["ULV"]);

/* wenn POST oder GET Variablen vorhanden waren - kenntlich machen 
if (!empty($fb[13])) $ausgabe .= " (P) ";
if (!empty($fb[14])) $ausgabe .= " (G) ";
*/
echo "<tr><th class=\"cl1\">Feedback-Nr.:</th><th>$fb[0]&nbsp;";
/* Klammer fuer Datei-Anhaenge */
$daten = new stwDaten("24");
echo $daten->get_klammer_link($_SESSION["webdir"], $_SESSION[$AppCode]["UID"],
							$_SESSION[$AppCode]["ULV"], $fb[0], "0");
echo "</th></tr>\n";
echo "<tr><th class=\"cl1\">Datei:</th>$ausgabe</tr>\n";
echo "<tr><th class=\"cl1\">Benutzer:</th><td>". pers_name($fb[2]) . "</td></tr>\n";
echo "<tr><th class=\"cl1\">Datum:</th><td>$fb[3]</td></tr>\n";
echo "<tr><th class=\"cl1\">Feedback:</th>";
echo "<td><textarea cols=\"72\" rows=\"8\" name=\"feedback\" id=\"text\" ";
if (!check_nutzer_rechte(1)){
	echo "readonly";
}
echo ">$fb[4]</textarea></td></tr>\n";

new stwTabLine(2,30);

echo "<tr><th class=\"cl1\">Projekt:</th>";

 /* Level > 96 darf aendern sonst nur Infos zeigen */
 if (check_nutzer_rechte(1))
 {

$dat = abfrage("select nr_von, nr_bis from tb_projektart where kname = 'EDV';");

echo "<td><select name=\"proj_id\" size=\"1\">\n";
echo "<option value=\"NULL\">keinem Projekt zugeordnet</option>\n";

if ($fb[5] > 0){
	$pro1 = new stwProjekt($fb[5]);
	echo "<option value=\"$fb[5]\" selected>" . $pro1->nummer() . ' - ' . $pro1->name(). "</option>\n";
	$sql_and = "and proj_id != $fb[5]";
} else {
	$sql_and = "";
}

$sql = "SELECT proj_id FROM tb_projekte
        WHERE projektnr >= $dat[0]
		and projektnr <= $dat[1]
		and (ende is null or ende = '0000-00-00' or
			 to_days(ende) >= to_days(curdate()))
		$sql_and
        order by projektnr asc";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
    echo "  <option ";
    echo "value=\"$zeile[0]\">";
    $pro = new stwProjekt($zeile[0]);
    echo $pro->nummer() . ' - ' . $pro->name();
    echo "</option>\n";
    }
   echo "</select></td>\n";
 }
 else
 {
   $pro1 = new stwProjekt($fb[5]);
   printf("<td>%s - %s</td>\n", $pro1->nummer(), $pro1->name());

   printf("<input type=\"hidden\" name=\"proj_id\" value=\"%s\">\n", $fb[5]);
 }
echo "</tr>\n";

echo "<tr><th class=\"cl1\">Priorit&auml;t:</th>";

 /* Prio fuer normale Entwickler nur zeigen sonst aenderbar */
 if (check_nutzer_rechte(1))
 {

echo "<td><select name=\"prio\" size=\"1\">\n";
$prios = abfrage1("select prio, prioritaet from tb_prio order by prio asc;");

while ($prio = mysql_fetch_row($prios)){
	echo "<option value=\"$prio[0]\"";
	if ($fb[12] == $prio[0]){
		echo " selected";
	}
	echo ">$prio[1]</option>\n";
}

echo "<option value=\"4\"";
if ($fb[12] == 4) echo ' selected';
echo ">Bug</option>\n";

echo "<option value=\"5\"";
if ($fb[12] == 5) echo ' selected';
echo ">dringend</option>\n";

echo "</select></td>\n";
 }
 else
 {
   $sql = "SELECT prioritaet FROM tb_prio WHERE prio = '".$fb[12]."';";
   $erg = abfrage($sql);

   printf("<td>%s</td>\n", $erg[0]);
   printf("<input type=\"hidden\" name=\"prio\" value=\"%s\">\n", $fb[12]);
 }

echo "</tr>\n";
echo "<tr><th class=\"cl1\">Komplexit&auml;t:</th>";
echo "<td><select name=\"complexity\" size=\"1\">\n";
echo "<option value=\"0\">noch nichts ausgew&auml;hlt</option>\n";
$kompls = abfrage1("select complexity, wert from tb_complexity order by complexity asc;");
while ($kompl = mysql_fetch_row($kompls)){
	echo "<option value=\"$kompl[0]\"";
	if ($fb[15] == $kompl[0]){
		echo " selected";
	}
	echo ">$kompl[1]</option>\n";
}
echo "</select></td>\n";
echo "</tr>\n";

new stwTabLine(2,30);

echo "<tr><th class=\"cl1\">erledigt<br>(Programmierer):</th>";
echo "<td>";
echo "<input type=\"checkbox\" name=\"erl_pr\" value=\"1\" ";
if (!empty($fb[6])){
	echo "checked ";
}

/*
 * Sperre das alle ausser Entwickler nicht aendern koennen. Ausserdem
 * duerfen Nutzer ab Level 96 auch bestaetigen.
 */
if ($_SESSION[$AppCode]['ULV'] != 25 && !check_nutzer_rechte(1)){
	echo "disabled";
}
echo "></td></tr>\n";

if ($_SESSION[$AppCode]['ULV'] != 25 && !check_nutzer_rechte(1)){
	echo "<input type=\"hidden\" name=\"erl_pr\" value=\"$fb[6]\">\n";
}


if (!empty($fb[6])){
	echo "<tr><th class=\"cl1\">Datum:</th><td>$fb[8]</td></tr>\n";
	echo "<tr><th class=\"cl1\">Programmierer:</th><td>". pers_name($fb[9]) . "</td></tr>\n";
}
new stwTabLine(2,30);

echo "<tr><th class=\"cl1\">erledigt<br>(Gesch&auml;ftsf&uuml;hrung):</th>";
echo "<td>";
echo "<input type=\"checkbox\" name=\"erl_gf\" value=\"1\" ";
if (!empty($fb[7])){
	echo "checked ";
}
if (!check_nutzer_rechte(1)){
	echo "disabled";
}
echo "></td></tr>\n";

if ($_SESSION[$AppCode]['ULV'] < 25){
	echo "<input type=\"hidden\" name=\"erl_gf\" value=\"$fb[7]\">\n";
}


if (!empty($fb[7])){
	echo "<tr><th class=\"cl1\">Datum:</th><td>$fb[10]</td></tr>\n";
	echo "<tr><th class=\"cl1\">Gesch&auml;ftsf&uuml;hrer:</th><td>". pers_name($fb[11]) . "</td></tr>\n";
}

echo "<input type=\"hidden\" name=\"feedback_id\" value=\"$rvar_feedback_id\">\n";
echo "<input type=\"hidden\" name=\"ulv\" value=\"{$_SESSION[$AppCode]['ULV']}\">\n";
echo "<input type=\"hidden\" name=\"uid\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";

echo "</table>\n";
new stwLine(1);
if ($_SESSION[$AppCode]['ULV'] == 25 || check_nutzer_rechte(1)){
	echo "<input type=\"submit\" value=\"Speichern!\">\n";
}
echo "</form>\n";

new stwEnd($seite);
?>
