<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 */

new stwLine(1);

$order = " group by f.fehlz_id order by to_days(t.von) asc";

if($_GET['anz'] == 'a') {
	$von_monat = empty($_GET['von_monat']) ? ($monat=='all' ? 1 : $monat) : $_GET['von_monat'];
	$bis_monat = empty($_GET['bis_monat']) ? $von_monat : $_GET['bis_monat'];
	$von_jahr = empty($_GET['von_jahr']) ? $jahr : $_GET['von_jahr'];
	$bis_jahr = empty($_GET['bis_jahr']) ? $von_jahr : $_GET['bis_jahr'];
	$von = date('Y-m-d', mktime(0,0,0,$von_monat,1,$von_jahr));
	$bis = date('Y-m-d', mktime(0,0,0,$bis_monat,31,$bis_jahr));
} elseif($monat == 'all') {
	$von = date('Y-m-d', mktime(0,0,0,1,1,$jahr));
	$bis = date('Y-m-d', mktime(0,0,0,12,31,$jahr));
} elseif(($_GET['anz'] == 't') && isset($_GET['tag'])) {
	$von = $_GET['tag'];
	$bis = $_GET['tag'];
} elseif((($_GET['anz']=='w1')||($_GET['anz']=='w2')) && isset($_GET['tag'])) {
	$tag =  date_isodate_stamp($_GET['tag']);
	$wtag = date('w', $tag);
	if ($wtag == 0){
		$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
	} else {
		$von_ts = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
	}
	$bis_ts = $von_ts + (7 * 86400);
	$von = date('Y-m-d', $von_ts);
	$bis = date('Y-m-d', $bis_ts);
} else {
	$von = $daten['von'];
	$bis = $daten['bis'];
}
$von_ts = date_isodate_stamp($von);
$bis_ts = date_isodate_stamp($bis);

$where  = "where to_days(t.von) <= to_days('$bis') ";
$where .= "and to_days(t.bis) >= to_days('$von') ";

if ($ma == 'all') {
	if(empty($ma_all)) $where .= "and false ";
	else {
		$mas = implode(",", $ma_all);
		$where .= "and f.pers_id in ($mas) ";
	}
} elseif($ma == 'f') {
	if(empty($ma_f)) $where .= "and false ";
	else {
		$mas = implode(",", $ma_f);
		$where .= "and f.pers_id in ($mas) ";
	}
} elseif($ma == 'm') {
	if(empty($ma_m)) $where .= "and false ";
	else {
		$mas = implode(",", $ma_m);
		$where .= "and f.pers_id in ($mas) ";
	}
} elseif($ma == 'k') {
	$where .= "and f.pers_id in (
		select distinct pers_id from tbh_pers_proj where proj_id in (
			select distinct tpp.proj_id from tbh_pers_proj tpp 
			left join tb_projekte tp using(proj_id) 
			left join tb_hilfeart tha using(hilfeart_id) 
			where tpp.pers_id='$uid' 
			and (tp.ende is NULL or tp.ende = '0000-00-00' or unix_timestamp(tp.ende) > '$bis_ts')
			and (tha.vertretung = 0 or tha.vertretung is NULL)
		)
	) ";
} else $where .= "and f.pers_id = '$ma' ";
if ($p_art != 'all') $where .= "and pa.p_art_id = '$p_art' ";
if (substr($tr,0,1) != 'a') $where .= "and p.standard_traeger_art_id = '$tr' ";
if (substr($tr,0,3) == 'abt') {
	$where .= "and (h.abt_id = " . substr($tr,3) . " ";
	$where .= "or l.abt_id = " . substr($tr,3) . ") ";
}
$sql  = "select f.fehlz_id, date_format(t.von, '%d.%m.%Y') as von_dt, ";
$sql .= "date_format(t.bis, '%d.%m.%Y') as bis_dt, ";
$sql .=	"concat(left(p.vorname, 1), '. ', p.name) as person, a.name, ";
$sql .= "unix_timestamp(t.von) as von_ts, unix_timestamp(t.bis) as bis_ts, ";
$sql .= "f.antrag, f.genehmigt, t.terminart, f.pers_id, year(t.von) as jahr, ";
$sql .= "p.besch_id, f.titel, a.farbe ";
$sql .= "from tb_fehlz f left join tb_termine t on f.termin_id = t.termin_id ";
$sql .= "left join tb_personal p on f.pers_id = p.pers_id ";
$sql .= "left join tb_personalart pa on p.p_art_id = pa.p_art_id ";
$sql .= "left join tb_terminart a on t.terminart = a.terminart ";
if (substr($tr,0,3) == 'abt') {
	$sql .= "left join tbh_pers_abt h on h.pers_id = p.pers_id ";
	$sql .= "left join tb_personal_abt_leit l ON l.pers_id = p.pers_id ";
}
$sql .= $where;
$sql .= $order;
$res = abfrage1($sql);
$rest1 = array();

if (mysql_num_rows($res) > 0){

	$sum_ur = 0;
	$sum_wb = 0;
	$sum_kr = 0;
	$sum_kk = 0;
	$sum_fz = 0;

  echo "<table><tr>\n";
  echo "<th class=\"cl11\">von</th>\n";
  echo "<th class=\"cl11\">bis</th>\n";
  echo "<th class=\"cl11\">Mitarbeiter</th>\n";
  echo "<th class=\"cl11\">Art</th>\n";
  echo "<th class=\"cl11\">Titel</th>\n";
  echo "<th class=\"cl11\">Tage</th>\n";

  echo "<th class=\"cl11\">Urlaub</th>\n";
  echo "<th class=\"cl11\"" . stwToolTip('Weiterbildung') . ">WB</th>\n";
  echo "<th class=\"cl11\">Krank</th>\n";
  echo "<th class=\"cl11\"" . stwToolTip('Kind krank') . ">KK</th>\n";
  echo "<th class=\"cl11\">FZA</th>\n";

  echo "<th class=\"cl11\" style=\"text-align:center;\"";
  echo stwToolTip('bereits im lfd. Jahr genommen') . ">gen.</th>\n";

  echo "<th class=\"cl11\" style=\"text-align:center;\">Rest</th>\n";
  echo "</tr>\n";

  new stwTabLine(2,30);
  $td = mktime(0,0,0,date('n'),date('j'),date('Y'));

  while ($row = mysql_fetch_array($res)){
  	echo "<tr class=\"mo\">";
	$tt = $st = '';

  	/* Datum von mit Link anzeigen */
  	if ($row['von_ts'] <= $td && $row['bis_ts'] >= $td){
  		$st = "style=\"color:#FF0000\"";
		$tt = 'Fehlzeit l&auml;uft gerade';
  	} elseif ($row['von_ts'] > $td && $row['genehmigt'] == 1){
  		$tt = 'genehmigt';
  	} elseif ($row['von_ts'] > $td && $row['genehmigt'] != 1){
  		$st = "style=\"color:#00FF00\"";
		$tt = 'geplant';
  	} elseif ($row['bis_ts'] < $td && $row['genehmigt'] == 1){
  		$st = "style=\"color:#969696\"";
		$tt = 'vergangen';
  	} elseif ($row['bis_ts'] < $td && $row['genehmigt'] != 1){
  		$st = "style=\"color:#FF00FF\"";
		$tt = 'vergangen, NICHT GENEHMIGT!';
  	}

  	/* Datum von als Link */
  	echo "<td class=\"cl11\">";
  	echo "<a href=\"fehlz_and.php?fehlz_id={$row['fehlz_id']}\" ";
	
	$jahresplan = abfrage("select ts from tb_jahresplan where jahr='{$row['jahr']}' and abt_id='0'");
	if(!empty($jahresplan)) {
		$chk = abfrage("select checked from tb_fehlz_planung where fehlz_id='{$row['fehlz_id']}' order by id desc limit 1");
		if($chk[0] == 'al') {
			echo "name=\"slowblink\" ";
			$tt = "<b>Fehlzeit von AL bef&uuml;rwortet, aber noch nicht in Jahresplanung</b><br>$tt";
		} elseif($chk[0] != 'j') {
			echo "name=\"blink\" ";
			$tt = "Fehlzeit noch nicht in Jahresplanung<br>$tt";
		}
	}
	
	if($tt != '') echo stwToolTip($tt,false);
	echo " $st>" . $row['von_dt'] . "</td>\n";

  	/* Datum bis anzeigen */
  	echo "<td class=\"cl11\">" . $row['bis_dt'] . "</td>\n";

  	/* Mitarbeiter anzeigen */
  	echo "<td class=\"cl11\">" . pers_kname($row['pers_id']) . "</td>\n";


    /* farbige Fehlzeitenarten - wenn nicht in Tabelle vorhanden Defaultwerte */
    if ($row['farbe'] == NULL){
    	switch ($row['terminart']){
    		case 'wbf':
    			$co = "#FFFF00";
    			break;

    		case 'w':
    			$co = "#FFFF00";
          break;

        case 'f':
        	$co = "#FF00FF";
        	break;

        case 'u':
        	$co = "#00FFFF";
          break;

        case 'k':
        	$co = "#FF0000";
          break;

        case 'kfa':
        	$co = "#FF0000";
          break;

        case 'kf':
        	$co = "#FF0000";
          break;

      }
    } else {
    	$co = $row['farbe'];
    }

    /* Fehlzeitart zeigen */
    echo "<th class=\"cl11\" style=\"color: $co;\"";
    if (strlen($row['name']) > 10) echo stwToolTip($row['name']);
    echo '>' . strCut($row['name'], 10) . "</th>\n";

    /* Titel anzeigen */
  	echo "<td class=\"cl11\"";
  	if (strlen($row['titel']) > 10) echo stwToolTip($row['titel']);
  	echo '>' . strCut($row['titel'], 10) . "</th>\n";

  	/* Anzahl der Fehltage ermitteln und anzeigen:
  	 * Anzahl der berechneten Tage ist auf den ANGEZEIGTEN Zeitraum
  	 * begrenzt!
  	*/
  	$von_at = ($row['von_ts'] < $von_ts) ? $von_ts : $row['von_ts'];
  	$bis_at = ($row['bis_ts'] > $bis_ts) ? $bis_ts : $row['bis_ts'];
  	$tage = arbeitstage($von_at, $bis_at);
  	echo "<td class=\"cl11\" style=\"text-align:center;\">$tage</td>";

		/* Terminart Urlaub summieren und anzeigen */
		echo "<td class=\"cl11\" style=\"text-align: center;\">";
		if ($row['terminart'] == 'u' || $row['terminart'] == 'wbu'){
			if($row['genehmigt'] == 1) $sum_ur += $tage;
			echo ($row['genehmigt'] == 1) ? $tage : "<span".stwToolTip('endg&uuml;ltige Genehmigung steht noch aus').">($tage)</span>";
		}
  	echo "</td>\n";

  	/* Terminart Weiterbildung summieren und anzeigen */
		echo "<td class=\"cl11\" style=\"text-align: center;\">";
		if ($row['terminart'] == 'w'){
			if($row['genehmigt'] == 1) $sum_wb += $tage;
			echo ($row['genehmigt'] == 1) ? $tage : "<span".stwToolTip('endg&uuml;ltige Genehmigung steht noch aus').">($tage)";
		}
  	echo "</td>\n";

  	/* Terminart Krank summieren und anzeigen */
		echo "<td class=\"cl11\" style=\"text-align: center;\">";
		if ($row['terminart'] == 'k'){
			if($row['genehmigt'] == 1) $sum_kr += $tage;
			echo ($row['genehmigt'] == 1) ? $tage : "<span".stwToolTip('endg&uuml;ltige Genehmigung steht noch aus').">($tage)";
		}
  	echo "</td>\n";

  	/* Terminart Kind Krank summieren und anzeigen */
		echo "<td class=\"cl11\" style=\"text-align: center;\">";
		if ($row['terminart'] == 'kk'){
			if($row['genehmigt'] == 1) $sum_kk += $tage;
			echo ($row['genehmigt'] == 1) ? $tage : "<span".stwToolTip('endg&uuml;ltige Genehmigung steht noch aus').">($tage)</span>";
		}
  	echo "</td>\n";


  	/* Terminart FZA summieren und anzeigen */
		echo "<td class=\"cl11\" style=\"text-align: center;\">";
		$sum_fz_arr = array('f', 'wbf', 'kf');
		if (in_array($row['terminart'], $sum_fz_arr)){
			if($row['genehmigt'] == 1) $sum_fz += $tage;
			echo ($row['genehmigt'] == 1) ? $tage : "<span".stwToolTip('endg&uuml;ltige Genehmigung steht noch aus').">($tage)</span>";
		}
  	echo "</td>\n";


    /*
     * folgende Terminarten sollen nicht summiert werden:
     * - entschuldigtes Fehlen
     * - unentschuldigtes Fehlen
     * - Kind krank
     */
  	if (($row['besch_id'] == 1 || $row['besch_id'] == 4) && $row['terminart'] != 'ef' &&
  			$row['terminart'] != 'uf' && $row['terminart'] != 'kk'){
  		/* bereits genommene Tage dieser Fehlzeit */
  		$sql  = "select unix_timestamp(t.von), unix_timestamp(t.bis) ";
  		$sql .= "from tb_fehlz f left join tb_termine t using (termin_id) ";
  		$sql .= "where pers_id = '{$row['pers_id']}' ";
  		$sql .= "and unix_timestamp(t.von) <= '{$row['von_ts']}' ";
  		if($row['terminart'] == 'u' || $row['terminart'] == 'wbu')
			$sql .= "and t.terminart in ('u', 'wbu') ";
		else $sql .= "and t.terminart = '{$row['terminart']}' ";
		$sql .= "and f.genehmigt = '1' and year(t.von) = '{$row['jahr']}';";

  		$gen = abfrage1($sql);
  		$s = 0;

  		while ($url = mysql_fetch_row($gen)){
  			$s += arbeitstage($url[0], $url[1]);
  		}

  		if ($row['terminart'] == 'u' || $row['terminart'] == 'wbu'){
  			$sql  = "select urlaub + urlaub_vj + sonderurlaub from tb_paz ";
  			$sql .= "where pers_id = '{$row['pers_id']}' ";
  			$sql .= "and year(von) <= '{$row['jahr']}' order by von desc limit 1;";
  			$azv = abfrage($sql);
  			$anspruch = $azv[0];

  			$style = ($s > $anspruch) ? 'color:red; font-weight:bold;' : '';

  		} elseif ($row['terminart'] == 'w'){
  			$style = ($s > 0) ? 'color:red; font-weight:bold;' : '';
  		} else {
  			$style = '';
  		}

  		if ($s > 0) {
  			echo "<td class=\"cl11\" style=\"text-align: center;\">$s</td>";
  		} else {
  			echo "<td class=\"cl11\"></td>";
  		}

  		if ($row['terminart'] == 'u' || $row['terminart'] == 'wbu'){
  			$rest = $anspruch - $s;
  			$style = ($rest < 0) ? 'color:red; font-weight:bold;' : '';
  			echo "<td class=\"cl11\" style=\"text-align:center; $style;";
  			echo "\">$rest";

  			/* bei geplantem Urlaub in Klammern Rest nach Abzug des geplanten anz.*/
  			if ($row['von_ts'] > $td && $row['genehmigt'] != 1 &&
  					($row['terminart'] == 'u' || $row['terminart'] == 'wbu')){
  				if (empty($rest1[$row['pers_id']])) $rest1[$row['pers_id']] = $rest;
	  			$rest1[$row['pers_id']] = $rest1[$row['pers_id']] - $tage;
	  			echo "&nbsp;<span".stwToolTip('Resturlaub nach Abzug des geplanten Urlaubs').">(".$rest1[$row['pers_id']].")</span>";
  			}

  			echo "</td>";
  		} else {
  			echo "<td class=\"cl11\"></td>";
  		}

  	} else {
  		echo "<td class=\"cl11\"></td>";
  		echo "<td class=\"cl11\"></td>";
  	}

	$vorgesetzter = false;
	if($fz['pers_id'] != $uid && empty($row['genehmigt'])) {
		/* Abteilungen des Benutzers abfragen */
		$sql  = "select h.abt_id from tbh_pers_abt h ";
		$sql .= "left join tb_personal_abt_leit l on h.abt_id = l.abt_id ";
		$sql .= "where h.pers_id = '{$row['pers_id']}' and l.pers_id = '$uid' and l.personal='j';";
		$abts = abfrage1($sql);
		if(mysql_num_rows($abts) > 0) $vorgesetzter = true;
	}

  	/* Loeschmoeglichkeit ab Level 97 */
  	if (($ulv >= 97 || $vorgesetzter) && $no_X_btn!==true){
  		echo "<td>";
		if(empty($row['genehmigt'])) {
			echo "<a href=\"fehlz_del_sql.php?fehlz_id={$row['fehlz_id']}&ma=$ma";
			echo "&p_art=$p_art&tr=$tr&abmonat=$monat&jahr=$jahr\" ";
			echo "style=\"color: #ff0000;\"";
			echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a>";
		} else {
			echo "<b" . stwToolTip("L&ouml;schen genehmigter Fehlzeiten nicht m&ouml;glich") . ">X</b>";
		}
		echo "</td>\n";
  	}

  	echo "</tr>\n";
  }

  /* Summenzeile, wenn eine Summe groesser 0 */
  if ($sum_ur > 0 || $sum_wb > 0 || $sum_kr > 0 || $sum_kk > 0 || $sum_fz > 0){
  	new stwTabLine(2,30);
  	echo "<tr><th colspan=\"6\">Summen</th>\n";

		echo "<th class=\"cl11\" style=\"text-align: center;\"";
		if ($sum_ur > 0) echo stwToolTip('Summe Urlaub');
		echo '>';
		if ($sum_ur > 0) echo $sum_ur;
		echo "</th>\n";

		echo "<th class=\"cl11\" style=\"text-align: center;\"";
		if ($sum_wb > 0) echo stwToolTip('Summe Weiterbildung');
		echo '>';
		if ($sum_wb > 0) echo $sum_wb;
		echo "</th>\n";

		echo "<th class=\"cl11\" style=\"text-align: center;\"";
		if ($sum_kr > 0) echo stwToolTip('Summe Krank');
		echo '>';
		if ($sum_kr > 0) echo $sum_kr;
		echo "</th>\n";

		echo "<th class=\"cl11\" style=\"text-align: center;\"";
		if ($sum_kk > 0) echo stwToolTip('Summe Kind Krank');
		echo '>';
		if ($sum_kk > 0) echo $sum_kk;
		echo "</th>\n";

		echo "<th class=\"cl11\" style=\"text-align: center;\"";
		if ($sum_fz > 0) echo stwToolTip('Summe FZA');
		echo '>';
		if ($sum_fz > 0) echo $sum_fz;
		echo "</th>\n";

  	echo "</tr>\n";
  }

  echo "</table>\n";
  new stwLine(1);
}
?>
