<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: fehlz_del_sql.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

require('inc/func.inc.php');
require_once('inc/azk.inc.php');

/* zuerst Termin ermitteln */
$sql  = "SELECT termin_id, pers_id FROM tb_fehlz ";
$sql .= "WHERE fehlz_id = '{$_REQUEST['fehlz_id']}';";
$tid = abfrage($sql);

if ($_SESSION[$AppCode]['ULV'] >= 97) $permission = true;
else {
	$permission = false;
	if($tid[1] != $_SESSION[$AppCode]['UID']) {
		/* Abteilungen des Benutzers abfragen */
		$sql  = "select h.abt_id from tbh_pers_abt h ";
		$sql .= "left join tb_personal_abt_leit l on h.abt_id = l.abt_id ";
		$sql .= "where h.pers_id = '$tid[1]' and l.pers_id = '{$_SESSION[$AppCode]['UID']}' and l.personal='j';";
		$abts = abfrage1($sql);
		if(mysql_num_rows($abts) > 0) $permission = true;
	}
}
if($permission) {
	/* Termin loeschen */
	abfrage2("delete from tb_termine where termin_id = '$tid[0]' limit 1;");

	/* nun Fehlzeit-Eintrag loeschen! */
	abfrage2("delete from tb_fehlz where termin_id = '$tid[0]' limit 1;");

	/* Projektcache fuer diese Person zuruecksetzen */
	azk_cache_pers_reset($tid[1]);
}

$url  = "fehlz.php?ma={$_REQUEST['ma']}&p_art={$_REQUEST['p_art']}";
$url .= "&abmonat={$_REQUEST['abmonat']}&abjahr={$_REQUEST['abjahr']}";
$url .= "&tr={$_REQUEST['tr']}";

header("Location: $url");
?>
