<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ga_pr.php 2255 2014-03-25 10:01:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 9);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(true);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);

$footer = "Liste Gruppenarbeiten";

$pdf->AddPage();

$pdf->SetFont('stw','',20);
$pdf->Text(15,30,$footer);

$y_axis = 35;
$rh = 5;

$pdf->SetXY(15,$y_axis);
$pdf->SetFont('arialb','',10);
$pdf->Cell(22,7, 'Termin',1,0,'C',0);
$pdf->Cell(20,7, 'pd. Ltg.',1,0,'C',0);
$pdf->Cell(20,7, 'inh. Ltg.',1,0,'C',0);
$pdf->Cell(30,7, 'Ort',1,0,'C',0);
$pdf->Cell(30,7, 'Veranstaltung',1,0,'C',0);
$pdf->Cell(63,7, 'Thema',1,1,'C',0);

$sql = "select t1.ga_id,
		date_format(t.von, '%d.%m.%y'),
		date_format(t.von, '%H:%i'),
		t1.pers_id,
		t3.ga_ort,
		t4.ga_art,
		t1.thema,
		week(t.von, 1),
		t1.inhalt
		from tb_ga t1
		left join tb_termine t on t1.termin_id = t.termin_id
		left join tb_ga_ort t3 on t1.ort_id = t3.ort_id
		left join tb_ga_art t4 on t1.art_id = t4.art_id
		where to_days(t.von) >= to_days(curdate())
		order by t.von asc;";
$res = mysql_query($sql) or die(mysql_error());
$pdf->SetFont('arial','',8);
$pdf->SetDrawColor(0,0,0);
while ($row = mysql_fetch_row($res)){
	if (bcmod($row[7], 2) == 0){
		$pdf->SetFillColor(200,200,200);
		$fill = 1;
	} else {
		$pdf->SetFillColor(255,255,255);
		$fill = 0;
	}
	$w1 = $w2;
	$termin = $row[1] . ', ' . $row[2];
	$pdf->Cell(22,$rh, $termin,'BT',0,'C',$fill);
	$pdf->Cell(20,$rh, pers_kname($row[3]),'BT',0,'L',$fill);
	$pdf->Cell(20,$rh, pers_kname($row[8]),'BT',0,'L',$fill);
	$pdf->Cell(30,$rh, strCut($row[4], 20),'BT',0,'L',$fill);
	$pdf->Cell(30,$rh, $row[5],'BT',0,'L',$fill);
	$pdf->Cell(63,$rh, strCut($row[6], 50),'BT',1,'L',$fill);
}

$pdf->Output();
exit;
?>
