<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ga_sql.php 2180 2013-10-28 16:28:52Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 10);
 require_once($pfad."inc/func.inc.php");
 $korrektur = 0;

 if(isset($_POST['save'])) {
	 /* Variablen in den globalen Fokus holen */
	extern();
	extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

	 /* das Startdatum und die Startzeit pruefen */
	 $date1 = check_date($rvar_datum_beginn);
	 $time1 = check_time($rvar_zeit_beginn);

	 /* das Enddatum und die Endzeit festlegen */
	 if (empty($rvar_datum_ende))
	 {
		 $date2 = $date1;
	 }
	 else
	 {
		 $date2 = check_date($rvar_datum_ende);
	 }

	 if (empty($rvar_zeit_ende))
	 {
	   $time2 = $time1;
	 }
	 else
	 {
	   $time2 = check_time($rvar_zeit_ende);
	 }

	 /* Mysql Zeichenkette erstellen */
	 $beginn = date_time_stamp($date1, $time1);
	 $ende = date_time_stamp($date2, $time2);

	 /* pruefen ob Endtermin nicht vor oder gleich Starttermin liegt */
	 if (date_isodatetime_stamp($beginn) >= date_isodatetime_stamp($ende))
	 {
	   $ende = date_ts2mydt(date_isodatetime_stamp($beginn) + 3600);
	   $korrektur = 1;
	 }

	//Daten fr tb_termine ZUERST!

	if (isset($rvar_ga_id)){
		$sql = "update ";
	} else {
		$sql = "insert into ";
	}

	if (empty($rvar_zeit_ende)){
	$sql .= "tb_termine set von = '$beginn',
						bis = date_add('$beginn', interval 2 hour),
						terminart = 'g' ";
	} else {
	$sql .= "tb_termine set von = '$beginn',
						bis = '$ende',
						terminart = 'g' ";
	}

	if (isset($rvar_ga_id)) {
			$sql .= " where termin_id = $rvar_termin_id;";
		} else {
			$sql .= ";";
		}
	mysql_query($sql) or die(mysql_error());

	// Insert-ID aus tb_termine ermitteln
	if (isset($rvar_ga_id)) {
		} else {
			$id = mysql_insert_id();
		}

	// Daten fr tb_ga

	if (isset($rvar_ga_id)){
		$sql = "update ";
	} else {
		$sql = "insert into ";
	}

	$sum_spesen = isset($rvar_ga_id) ? update_ga_spesen($rvar_ga_id, $rvar_ma, str_replace(',', '.', $rvar_spesen), $rvar_edit) : 0;

	$sql .= "tb_ga set	pers_id = '$rvar_pers_id',
						ort_id = '$rvar_ort_id',
						art_id = '$rvar_art_id',
						kat_id = '$rvar_kat_id',
						thema = '$rvar_thema',
						notizen = '$rvar_notizen',
						inhalt = '$rvar_inhalt',
						tn_max = '$rvar_tn_max',
						eb = '" . str_replace(',', '.', $rvar_eb) . "',
						spesen = '$sum_spesen',
						ap_id = '$rvar_ap_id',
						essen = '$rvar_essen'";

	if (isset($rvar_ga_id)) {
			$sql .= ", termin_id = '$rvar_termin_id'";
			$sql .= " where ga_id = $rvar_ga_id;";
		} else {
			$sql .= ", termin_id = '$id'";
			$sql .= ";";
		}
	mysql_query($sql) or die(mysql_error());
 }
 /* falls eine Zeitkorrektur durchgefuehrt wurde -> Anwender melden */
 $link = "Location: ga.php";
 if ($korrektur == 1) $link .= "?korr=1";

 header($link);
?>