<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ger.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 44;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 7);

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');

if(isset($_GET['alle'])) $_SESSION[$AppCode]['ger_alle'] = $_GET['alle']=='alle' ? true : false;
elseif(!isset($_SESSION[$AppCode]['ger_alle'])) $_SESSION[$AppCode]['ger_alle']=false;

if(isset($_POST['ep_save'])) {
	$_SESSION[$AppCode]["ger_ep_bis"]   = $_POST['bis'];
    $_SESSION[$AppCode]["ger_ep_von"]   = $_POST['von'];
    $_SESSION[$AppCode]["ger_ep_clean"] = intval($_POST['clean']);
}

if($_GET['sort']=='kat' || $_GET['kat']==1) {
	$pers_einst = abfrage1("select pers_id from tb_pers_einst where pers_id='$uid'");
	$sql  = (mysql_num_rows($pers_einst) > 0) ? "update" : "insert into";
	$sql .= " tb_pers_einst set gerkat=";
	$sql .= $_GET['kat']==1 ? 0 : 1;
	$sql .= (mysql_num_rows($pers_einst) > 0) ? " where" : ",";
	$sql .= " pers_id='$uid'";
	abfrage2($sql);
}

if($_GET['sort']=='typ' || $_GET['typ']==1) {
	$pers_einst = abfrage1("select pers_id from tb_pers_einst where pers_id='$uid'");
	$sql  = (mysql_num_rows($pers_einst) > 0) ? "update" : "insert into";
	$sql .= " tb_pers_einst set gertyp=";
	$sql .= $_GET['typ']==1 ? 0 : 1;
	$sql .= (mysql_num_rows($pers_einst) > 0) ? " where" : ",";
	$sql .= " pers_id='$uid'";
	abfrage2($sql);
}

if($_GET['sort']=='inventur' || $_GET['inventur']==1) {
	$pers_einst = abfrage1("select pers_id from tb_pers_einst where pers_id='$uid'");
	$sql  = (mysql_num_rows($pers_einst) > 0) ? "update" : "insert into";
	$sql .= " tb_pers_einst set inventur=";
	$sql .= $_GET['inventur']==1 ? 0 : 1;
	$sql .= (mysql_num_rows($pers_einst) > 0) ? " where" : ",";
	$sql .= " pers_id='$uid'";
	abfrage2($sql);
}

if($_GET['sort']=='ep' || $_GET['ep']==1) {
	$pers_einst = abfrage1("select pers_id from tb_pers_einst where pers_id='$uid'");
	$sql  = (mysql_num_rows($pers_einst) > 0) ? "update" : "insert into";
	$sql .= " tb_pers_einst set ep=";
	$sql .= $_GET['ep']==1 ? 0 : 1;
	$sql .= (mysql_num_rows($pers_einst) > 0) ? " where" : ",";
	$sql .= " pers_id='$uid'";
	abfrage2($sql);
}

if($_GET['sort']=='insp' || $_GET['insp']==1) {
	$pers_einst = abfrage1("select pers_id from tb_pers_einst where pers_id='$uid'");
	$sql  = (mysql_num_rows($pers_einst) > 0) ? "update" : "insert into";
	$sql .= " tb_pers_einst set insp=";
	$sql .= $_GET['insp']==1 ? 0 : 1;
	$sql .= (mysql_num_rows($pers_einst) > 0) ? " where" : ",";
	$sql .= " pers_id='$uid'";
	abfrage2($sql);
}

if(!empty($_REQUEST['bereich'])) $bereich = $_REQUEST['bereich'];
elseif(check_nutzer_rechte(61)) $bereich = 1;
elseif(check_nutzer_rechte(73)) $bereich = 2;
elseif(check_nutzer_rechte(74)) $bereich = 4;
else $bereich = 1;

$kat_bereich = array(1 => 'inv_kat', 2 => 'ger_kat', 4 => 'liz_kat');
if(!empty($_REQUEST['kategorie'])) $kategorie = $_REQUEST['kategorie'];
else $kategorie = getPersEinst($uid, $kat_bereich[$bereich], 'all');

$rights = array(1=>61, 2=>73, 4=>74);

if(isset($_POST['ep'])) {
	abfrage2("update tb_ger set epruef='$rvar_ep' where ger_id='$rvar_ger_id'");
}

if(isset($_GET['smile'])) {
	abfrage2("update tb_pers_einst set ".$kat_bereich[$bereich]."='$rvar_kategorie' where pers_id='$uid'");
}

if(!isset($_SESSION[$AppCode]['ger_standort'])) $_SESSION[$AppCode]['ger_standort'] = "0";
if(isset($_GET['ger_standort'])) {
	$_SESSION[$AppCode]['ger_standort'] = $_GET['ger_standort'];
}

if ($_REQUEST['saveger'] == 1){
	if (substr($rvar_kat_id, 0, 11) != "Kategorie w") {
		$epruef = $rvar_epruef=='j' ? 'j' : 'n';
		$inspektion = $rvar_inspektion=='j' ? 'j' : 'n';
		$ausleihe = empty($rvar_abgang) ? $rvar_ausleihe : 'n';
		$sql  = (isset($rvar_ger_id)) ? 'update ' : 'insert into ';
		$sql .= "tb_ger set nr = '$rvar_nr', name = '$rvar_name', ";
		$sql .= "standort = '$rvar_standort', kat_id = '$rvar_kat_id', ";
		$sql .= "notizen = '$rvar_notizen', ausleihe = '$ausleihe', ";
		$sql .= "inventnr = '$rvar_inventnr', traegerart_id = '$rvar_traegerart_id', ";
		$sql .= "rubrik = '".(empty($rvar_rubrik) ? 0 : array_sum($rvar_rubrik))."', ";
		$sql .= "typ = '$rvar_typ', epruef = '$epruef', inspektion = '$inspektion', ";
		$sql .= "inventurnotizen = '$rvar_inventurnotizen', ";
		$sql .= "frist = '$rvar_frist', ";
		$sql .= "turnus_e = '$rvar_turnus_e', ";
		$sql .= "turnus_i = '$rvar_turnus_i', ";
		$sql .= "serial = '$rvar_serial' ";
		if(isset($rvar_imei)) $sql .= ", imei = '$rvar_imei' ";
		if($rvar_inventur_check == 1 && empty($rvar_inventur_check2)) {
			$sql .= ", inventur = curdate(), inventur_pers_id = '$uid'";
		}
		if($rvar_inventur_check2 == 1 && empty($rvar_inventur_check)) {
			$sql .= ", inventur = NULL, inventur_pers_id = '$uid'";
		}
		$sql .= (isset($rvar_ger_id)) ? " where ger_id = '$rvar_ger_id';" : ';';

		abfrage2($sql);

		if(empty($rvar_ger_id)) $rvar_ger_id = mysql_insert_id();

		if(empty($rvar_pc_id)) abfrage2("delete from tbh_ger_verknupf where ger_id='$rvar_ger_id' and verknupf='p'");
		else {
			abfrage2("replace into tbh_ger_verknupf set ger_id='$rvar_ger_id', id2='$rvar_pc_id', verknupf='p'");
			abfrage2("update tb_pc set standort='$rvar_standort' where pc_id='$rvar_pc_id'");
		}
		if(empty($rvar_tel_id)) abfrage2("delete from tbh_ger_verknupf where ger_id='$rvar_ger_id' and verknupf='m'");
		else abfrage2("replace into tbh_ger_verknupf set ger_id='$rvar_ger_id', id2='$rvar_tel_id', verknupf='m'");
		if(empty($rvar_key_id)) abfrage2("delete from tbh_ger_verknupf where ger_id='$rvar_ger_id' and verknupf='k'");
		else abfrage2("replace into tbh_ger_verknupf set ger_id='$rvar_ger_id', id2='$rvar_key_id', verknupf='k'");
		if(empty($rvar_vm_id)) abfrage2("update tbh_vml_inventar set ger_id=0 where ger_id='$rvar_ger_id'");
		elseif($rvar_vm_id[0] == 'P') {
			abfrage2("update tbh_vml_inventar set ger_id=0 where ger_id='$rvar_ger_id'");
			$proj_id = substr($rvar_vm_id,1);
			$inventarisierung = abfrage("select id, typ from tb_inventarisierung where ger_id='$rvar_ger_id'");
			if(empty($inventarisierung[0])) abfrage2("insert into tb_inventarisierung set typ='p', id='$proj_id', ger_id='$rvar_ger_id'");
			else abfrage2("update tb_inventarisierung set typ='p', id='$proj_id' where ger_id='$rvar_ger_id'");
		} else abfrage2("update tbh_vml_inventar set ger_id='$rvar_ger_id' where vm_id='$rvar_vm_id'");

		$anschaffung = check_date($rvar_anschaffung, 1);
		$anschaffung = (empty($anschaffung)) ? 'NULL' : "'".date_gr2my( $anschaffung )."'";
		$garantie = check_date($rvar_garantie, 1);
		$garantie = (empty($garantie)) ? 'NULL' : "'".date_gr2my( $garantie )."'";
		$preis = str_replace(',', '.', $rvar_preis);
		if(empty($rvar_abgang)) {
			$abgangsdatum = 'NULL';
			$pers_id = 0;
		} else {
			$pers_id = ($rvar_abgangsdatum == $rvar_abgangsdatum_old) ? $rvar_abgang_pers_id : $uid;
			$abgangszeit = check_time_fls($rvar_abgangszeit, 1);
			$abgangsdatum = check_date($rvar_abgangsdatum);
			$abgangsdatum = "'" . date_gr2my( $abgangsdatum );
			if(empty($abgangszeit)) $abgangszeit = date('H:i');
			$abgangsdatum .= " $abgangszeit";
			$abgangsdatum .= "'";
		}
		abfrage2("replace into tbh_inventar set ger_id='$rvar_ger_id',
				  anschaffung=$anschaffung, garantie=$garantie, preis='$preis',
				  abgangsdatum=$abgangsdatum, abgangsgrund='$rvar_abgangsgrund',
				  abgang_pers_id='$pers_id'");
	}
}


/*
 * Beim letzten Aufruf kann ein loeschen eines Geraetes angefordert
 * worden sein. Hier die GET Variable pruefen.
 */
if ($_GET['ger_id'] > 0 && $_GET['del'] == 1 && check_nutzer_rechte($rights[$bereich])) {

	$sql = "delete from tb_ger_aus where ger_id = '{$_GET['ger_id']}';";
	abfrage2($sql);

	$sql = "delete from tb_ger where ger_id = '{$_GET['ger_id']}' limit 1;";
	abfrage2($sql);

	$sql = "delete from tbh_ger_verknupf where ger_id='{$_GET['ger_id']}' and verknupf='p' limit 1;";
	abfrage2($sql);
}

if(empty($rvar_global)) $where = " where (t1.rubrik & $bereich > 0 or t1.rubrik = 0)";
else $where = "";
if(is_numeric($kategorie)) {
	$and = (empty($where)) ? "where" : "and";
	$where .= " $and t1.kat_id = '$kategorie' ";
} elseif($kategorie == 'ep_ja') {
	$and = (empty($where)) ? "where" : "and";
	$where .= " $and t1.epruef = 'j' ";
}
if($_SESSION[$AppCode]['ger_standort'] !== "0") {
	$and = (empty($where)) ? "where" : "and";
	$where .= " $and t1.standort = '{$_SESSION[$AppCode]['ger_standort']}' ";
}
if(!$_SESSION[$AppCode]['ger_alle']) {
	$and = (empty($where)) ? "where" : "and";
	$where .= " $and t3.abgangsdatum IS NULL ";
}
if (isset($rvar_suche)){
	$and = (empty($where)) ? "where" : "and";
	$where .= " $and (concat(t2.kuerzel,'/',t1.nr) like '%$rvar_suche%'
				or t1.name like '%$rvar_suche%'
				or t1.standort like '%$rvar_suche%'
				or t1.notizen like '%$rvar_suche%'
				or t1.inventnr like '%$rvar_suche%'
				or t2.name like '%$rvar_suche%') ";
}

if (isset($_GET["sort"])){
	switch ($_GET["sort"]) {
		case 'ep':
			$by = "t1.epruef asc, t5.datum asc, t3.anschaffung asc";
			break;
		case 'ep2':
			$by = "t1.epruef desc, t5.datum desc, t3.anschaffung desc";
			break;
		case 'inr':
			$by = "t1.inventnr asc";
			break;
		case 'name':
			$by = "t1.name asc";
			break;
		case 'standort':
			$by = "t1.standort asc";
			break;
		case 'typ':
			$by = "t1.typ asc";
			break;
		case 'inventur':
			$by = "IF(t4.datum is null, t1.inventur, t4.datum) desc, concat(t2.kuerzel,'/',t1.nr) asc";
			break;
		case 'inventur2':
			$by = "IF(t4.datum is null, t1.inventur, t4.datum) asc, concat(t2.kuerzel,'/',t1.nr) asc";
			break;
		case 'kat':
			$by = "t2.name asc, concat(t2.kuerzel,t1.nr) asc";
			break;
		case 'insp':
			$by = "t1.inspektion asc, concat(t2.kuerzel,t1.nr) asc";
			break;
		case 'insp2':
			$by = "t1.inspektion desc, concat(t2.kuerzel,t1.nr) asc";
			break;
		default:
			$by = "concat(t2.kuerzel,'/',t1.nr) asc";
	}
} else {
	$rvar_sort = 'nr';
	$by = "concat(t2.kuerzel,'/',t1.nr) asc";
}

$order = " order by " . $by;

$anzahl = abfrage("select count(t1.ger_id) from tb_ger t1 left join tb_ger_kat t2 using (kat_id) left join tbh_inventar t3 using (ger_id) $where");

$sql = "select t1.ger_id, concat(t2.kuerzel,'/',t1.nr), t1.name, t1.standort,
		t2.name, t1.ausleihe, t1.inventnr, t1.rubrik, year(t3.abgangsdatum),
		DATE_FORMAT(t1.inventur,'%d.%m.%Y'), unix_timestamp(t1.inventur),
		DATE_FORMAT(t4.datum,'%d.%m.%Y'), unix_timestamp(t4.datum) as t4_ts, t1.epruef, 
		DATE_FORMAT(t5.datum,'%d.%m.%Y'), DATE_FORMAT(t3.anschaffung,'%d.%m.%Y'),
		t5.done, t1.inspektion, DATE_FORMAT(t6.datum,'%d.%m.%Y'), t6.done, 
		unix_timestamp(t5.datum_n), unix_timestamp(t5.datum) as t5_ts, t1.frist, t1.typ,
		unix_timestamp(t6.datum) as t6_ts
		from tb_ger t1 left join tb_ger_kat t2 using (kat_id)
		left join tbh_inventar t3 using (ger_id)
		left join (select i.ger_id, i.datum, i.done from tb_ger_inventur i left join tb_ger_ep e using(inv_id) left join tb_ger_inspektion k using(inv_id) where e.inv_id IS NULL and k.inv_id IS NULL order by i.datum desc) t4 using(ger_id)
		left join (select i.ger_id, i.datum, i.done, e.datum_n from tb_ger_inventur i left join tb_ger_ep e using(inv_id) where e.inv_id IS NOT NULL order by i.datum desc) t5 using(ger_id)
		left join (select i.ger_id, i.datum, i.done from tb_ger_inventur i left join tb_ger_inspektion e using(inv_id) where e.inv_id IS NOT NULL order by i.datum desc) t6 using(ger_id)
		$where
		$order ;";

$res = abfrage1($sql);
$rows = $ordered_rows = array();
$i = 0;
while ($row = mysql_fetch_array($res)) {
	if(empty($rows[ $row[0] ])) {
		$nepr = next_pruefung($row[0],'e');
		if($_GET["sort"] == 'ep') {
			$rows[ $row[0] ] = $row;
			$ordered_rows[ $row[0] ] = $nepr[0];
		} elseif($_GET["sort"] == 'ep2') {
			$rows[ $row[0] ] = $row;
			$ordered_rows[ $row[0] ] = -1 * $nepr[0];
		} elseif($_GET["sort"] == 'insp') {
			$npr = next_pruefung($row[0],'i');
			$rows[ $row[0] ] = $row;
			$ordered_rows[ $row[0] ] = $npr[0];
		} elseif($_GET["sort"] == 'insp2') {
			$npr = next_pruefung($row[0],'i');
			$rows[ $row[0] ] = $row;
			$ordered_rows[ $row[0] ] = -1 * $npr[0];
		} elseif($_GET["sort"] == 'inventur') {
			$inventur = abfrage("select unix_timestamp(i.datum), DATE_FORMAT(i.datum,'%d.%m.%Y') from tb_ger_inventur i left join tb_ger_ep e using(inv_id) left join tb_ger_inspektion k using(inv_id) where i.ger_id='$row[0]' and e.inv_id IS NULL and k.inv_id IS NULL order by i.datum desc limit 1");
			$row[11] = $inventur[1];
			$row[12] = $inventur[0];
			$rows[ $row[0] ] = $row;
			$ordered_rows[ $row[0] ] = $inventur[0];
		} elseif($_GET["sort"] == 'inventur2') {
			$inventur = abfrage("select unix_timestamp(i.datum), DATE_FORMAT(i.datum,'%d.%m.%Y') from tb_ger_inventur i left join tb_ger_ep e using(inv_id) left join tb_ger_inspektion k using(inv_id) where i.ger_id='$row[0]' and e.inv_id IS NULL and k.inv_id IS NULL order by i.datum desc limit 1");
			$row[11] = $inventur[1];
			$row[12] = $inventur[0];
			$rows[ $row[0] ] = $row;
			$ordered_rows[ $row[0] ] = -1 * $inventur[0];
		} else {
			$rows[ $row[0] ] = $row;
			$ordered_rows[ $row[0] ] = $i;
			$i++;
		}
	}
}
asort($ordered_rows);

$pruefturnus = getConf('pruefturnus');
$onemonthago = mktime(0,0,0,date('n')-1,date('j'),date('Y'));

// Menu & Suchfunktion
echo "<form method=\"post\" action=\"" . $_SERVER["PHP_SELF"] . "\">\n";
echo "<table><tr>";
$link  = "<a href=\"".$_SERVER["PHP_SELF"]."?bereich=";
$active   = "<td class=\"menuactive\">";
$inactive = "<td class=\"menuinactive\">";

$submenu['1'] = 'Inventar';
$submenu['2'] = 'Ger&auml;te';
if($ulv > 5) $submenu['4'] = 'Lizenzen';

foreach ($submenu as $k => $v){
	if ($bereich == $k){
		$datx = $active;
	} else {
		$datx = $inactive;
	}
	echo $datx . $link . "$k\">$v</a></td>\n";
}
echo "<th style=\"padding-left:10px;padding-right:2px;\">";
echo "<img src=\"img/lupe.png\"".stwToolTip('Suchen')."></th>\n";

if (isset($_POST["suche"])) {
	$value = "value=\"{$_POST["suche"]}\"";
} else {
	$value = '';
}

echo "<td><input type=\"text\" name=\"suche\" $value size=\"12\" maxlength=\"100\"></td>";
if($ulv > 5) {
	echo "<td><input type=\"checkbox\" name=\"global\" value=\"checked\" $rvar_global";
	echo stwToolTip("in allen Rubriken suchen") . "></td>\n";
}
echo "<td class=\"cl1\"><input type=\"image\" src=\"img/lupe_grau.png\" style=\"background-color:#333333\"><td>\n";
echo "<input type=\"hidden\" name=\"bereich\" value=\"$bereich\">\n";
echo "</form>\n";

if(isset($_SESSION[$AppCode]["ger_ep_von"])) {
	$ep_von = $_SESSION[$AppCode]["ger_ep_von"];
	$ep_bis = $_SESSION[$AppCode]["ger_ep_bis"];
	$ep_clean = $_SESSION[$AppCode]["ger_ep_clean"];
} else {
	$ger_ep_von = abfrage("select DATE_FORMAT(i.datum,'%d.%m.%Y') from tb_ger_ep e left join tb_ger_inventur i using(inv_id) where i.done='j' order by i.datum desc limit 1");
	$_SESSION[$AppCode]["ger_ep_bis"] = $ep_bis = date('d.m.Y');
	$_SESSION[$AppCode]["ger_ep_von"] = $ep_von = empty($ger_ep_von[0]) ? $ep_bis : $ger_ep_von[0];
	$_SESSION[$AppCode]["ger_ep_clean"] = $ep_clean = 1;
}
echo "<script type=\"text/javascript\"><!--\n";
echo "  function doTT() {\n";
echo "    var str = '<form method=\"post\" action=\"" . $_SERVER["PHP_SELF"] . "\">';\n";
echo "    str += '<br />von: <input type=\"text\" size=\"10\" name=\"von\" value=\"$ep_von\"> ';\n";
echo "    str += 'bis: <input type=\"text\" size=\"10\" name=\"bis\" value=\"$ep_bis\"><br /><br />';\n";
$checked = $_SESSION[$AppCode]["ger_ep_clean"] ? 'checked' : '';
echo "    str += '<input type=\"checkbox\" name=\"clean\" $checked value=\"1\" /> leere Protokolle f&uuml;r f&auml;llige EPs drucken<br />';\n";
echo "    str += '(bei gesetzter checkbox werden alle EPs<br>mit gr&uuml;nem oder rotem Datum gedruckt)<br /><br />';\n";
echo "    str += '<input type=\"submit\" name=\"ep_save\" value=\"&uuml;bernehmen\" />';\n";
echo "    str += '</form>';\n";
echo "    Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'EP Druck-Einstellungen',TITLEBGCOLOR, '#006600', WIDTH, 215, HEIGHT, 110, FIX, ['ger_ep_pr',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
echo "  }\n";
echo "--></script>\n";

echo "<form method=\"get\" action=\"" . $_SERVER["PHP_SELF"] . "\">\n";
echo "<td class=\"cl1\"><input type=\"submit\" value=\"";
echo $_SESSION[$AppCode]['ger_alle'] ? 'aktive' : 'alle';
echo "\"".stwToolTip(($_SESSION[$AppCode]['ger_alle'] ? 'nur aktive' : 'auch inaktive') . ' anzeigen')."name=\"alle\" /></td>";
echo "<td><select name=\"ger_standort\" style=\"width:80px\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"0\"";
if($_SESSION[$AppCode]['ger_standort'] === "0") echo " selected>Standort w&auml;hlen";
else echo ">alle Standorte";
echo "</option>\n";
$standorte = abfrage1("select standort from tb_ger group by standort order by standort asc");
while($standort=mysql_fetch_row($standorte)) {
	$selected = $_SESSION[$AppCode]['ger_standort'] == $standort[0] ? 'selected' : '';
	echo "<option $selected>$standort[0]</option>\n";
}
echo "</select></td>\n";
echo "<input type=\"hidden\" name=\"bereich\" value=\"$bereich\">\n";
echo "<td><select name=\"kategorie\" style=\"width:50px\" onchange=\"this.form.submit()\">\n";
echo "<option value=\"all\">Alle Kategorien</option>\n";
echo "<option value=\"all\"></option>\n";
echo "<option value=\"ep_ja\"";
if($kategorie == 'ep_ja') echo ' selected';
echo ">Elektropr&uuml;fung: JA</option>\n";
echo "<option value=\"all\"></</option>\n";
$sql  = "select kat_id, kuerzel, name from tb_ger_kat order by kuerzel asc;";
$kats = abfrage1($sql);
while ($kat = mysql_fetch_row($kats)) {
	echo "<option value=\"$kat[0]\"";
	if($kat[0] == $kategorie) echo ' selected';
	echo ">" . $kat[1] . "&nbsp;-&nbsp;" . $kat[2] . "</option>\n";
}
echo "</select></td>\n";
echo "<td class=\"cl1\"><input type=\"image\" src=\"img/senden.png\" /></td>\n</form>\n";
echo "<td class=\"cl11\"><a href=\"ger.php?bereich=$bereich&kategorie=$kategorie&sort=$rvar_sort&smile=1\"";
echo stwToolTip('Kategorie als pers&ouml;nliche Voreinstellung speichern') . " style=\"color:#999999\">:)</a></td>";

echo "<td><a href=\"ger_ep_pr.php\" target=\"_pdf\"";
echo stwToolTip("Protokolle Elektroprfung drucken");
echo "><img id=\"ger_ep_pr\" src=\"img/drucker.png\" /></a> <a href=\"#\" ";
echo "style=\"font-size:small;position:relative;top:-4px;\" onClick=\"doTT()\">+</a></td>\n";

if(check_nutzer_rechte(125)) echo $inactive . "<a href=\"inventarisierung.php\"".stwToolTip("zur Inventarisierung")."><small>Inventarisierung</small></a></td>\n";

if (check_nutzer_rechte($rights[$bereich])){
	echo "<td width=\"100%\" style=\"text-align:right\">\n";
	echo "<input type=button value=\"neu\" onClick=\"self.location.href='ger_and.php?bereich=$bereich'\">\n";
	echo "</td>\n";
}
echo "</tr></table>\n";
new stwLine(1);

$php_self = $_SERVER['PHP_SELF'] . "?bereich=$bereich&amp;kategorie=$kategorie&amp;sort";

echo "<table><tr>\n";
echo "<th class=\"cl1\"><a href=\"$php_self=nr\">Nummer</a></th>\n";
echo "<th class=\"cl1\" colspan=\"2\"><a href=\"$php_self=inr\">Inventar Nr.</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$php_self=name\">Name</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$php_self=typ\"";
$typ_aktiv = getPersEinst($uid,'gertyp',0);
if($typ_aktiv == 0) echo " style=\"color:#999999\"";
echo ">Typ<a style=\"font-size:small;position:relative;left:0;top:-4px;";
if($typ_aktiv == 0) echo "color:#999999\" href=\"$php_self=typ\"";
else echo "\" href=\"$php_self=nr&amp;typ=1\"";
echo ">+</a></a></th>\n";
echo "<th class=\"cl1\"><a href=\"$php_self=standort\">Standort</a></th>\n";
if(check_nutzer_rechte(91)) {
	$invsort = $_GET["sort"]=='inventur' ? 'inventur2' : 'inventur';
	$inventur_aktiv = getPersEinst($uid,'inventur',0);
	echo "<th class=\"cl1\" style=\"text-align:right\"><a href=\"$php_self=$invsort\"";
	if($inventur_aktiv == 0) echo " style=\"color:#999999\"";
	echo ">Inv.</a><a style=\"font-size:small;position:relative;left:0;top:-4px;";
	if($inventur_aktiv == 0) echo "color:#999999\" href=\"$php_self=$invsort\"";
	else echo "\" href=\"$php_self=nr&amp;inventur=1\"";
	echo ">+</a></th>\n";
} else $inventur_aktiv = -1;
if(check_nutzer_rechte(121) || check_nutzer_rechte(120)) {
	$epsort = $_GET["sort"]=='ep' ? 'ep2' : 'ep';
	$ep_aktiv = getPersEinst($uid,'ep',0);
	if($ep_aktiv && check_nutzer_rechte(121)) echo "<td></td>";
	echo "<th class=\"cl1\" style=\"text-align:center\"><a href=\"$php_self=$epsort\"";
	if($ep_aktiv == 0) echo " style=\"color:#999999\"";
	echo ">EP</a><a style=\"font-size:small;position:relative;left:0;top:-4px;";
	if($ep_aktiv == 0) echo "color:#999999\" href=\"$php_self=$epsort\"";
	else echo "\" href=\"$php_self=nr&amp;ep=1\"";
	echo ">+</a></th>\n";
} else $ep_aktiv = -1;
if(check_nutzer_rechte(121) || check_nutzer_rechte(124)) {
	$inspsort = $_GET["sort"]=='insp' ? 'insp2' : 'insp';
	$insp_aktiv = getPersEinst($uid,'insp',0);
	if($insp_aktiv && check_nutzer_rechte(121)) echo "<td></td>";
	echo "<th class=\"cl1\" style=\"text-align:center\"><a href=\"$php_self=$inspsort\"";
	if($insp_aktiv == 0) echo " style=\"color:#999999\"";
	echo ">Insp.</a><a style=\"font-size:small;position:relative;left:0;top:-4px;";
	if($insp_aktiv == 0) echo "color:#999999\" href=\"$php_self=$inspsort\"";
	else echo "\" href=\"$php_self=nr&amp;insp=1\"";
	echo ">+</a></th>\n";
} else $insp_aktiv = -1;
echo "<th class=\"cl1\"><a href=\"$php_self=kat\"";
echo stwToolTip("Kategorie");
$kat_aktiv = getPersEinst($uid,'gerkat',0);
if($kat_aktiv == 0) echo " style=\"color:#999999\"";
echo ">Kat.<a style=\"font-size:small;position:relative;left:0;top:-4px;";
if($kat_aktiv == 0) echo "color:#999999\" href=\"$php_self=kat\"";
else echo "\" href=\"$php_self=nr&amp;kat=1\"";
echo ">+</a></a></th>\n";
echo "<td style=\"text-align:right\">Anzahl:</td>\n";
echo "<td>$anzahl[0]</td></tr>\n";
new stwTabLine(2,30);
$_SESSION[$AppCode]["ger_ep"] = array();
foreach($ordered_rows as $index => $val) {
	$row = $rows[$index];
	echo "<tr class=\"mo\">";
	$von = abfrage("select max(unix_timestamp(von)), to_days(curdate())
					from tb_ger_aus where ger_id = $row[0]");
	$style = empty($row[7]) ? "name=\"blink\"" : '';
	$title = empty($row[7]) ? stwToolTip("Objekt ist keiner Rubrik zugeordnet!") : '';
	$leihe = $ulv > 5 ? 1 : 0;
	if(!empty($row[8])) {
		$style = "style=\"color:#999999\"";
		$title = stwToolTip('Ger&auml;t bereits abgegangen');
	}
	if (!empty($von[0])){
		$bis = abfrage("select unix_timestamp(bis), pers_id, to_days(von)
		                from tb_ger_aus
		                where ger_id = $row[0]
		                and unix_timestamp(von) = $von[0]");
		if(empty($bis[0])){
			if(empty($row[7])) {
				$blink = "name=\"blink\"";
				$warning = "<br>Objekt ist keiner Rubrik zugeordnet!";
			} else $blink = $warning = "";
			$leihe = 0;
			$name = pers_name($bis[1]);
			if ($row['frist'] > 0 && ($von[1] - $bis[2]) > $row['frist']){
				$style = "$blink style=\"color:red;\"";
				$title = stwToolTip("R&uuml;ckgabe &uuml;berf&auml;llig ($name)$warning",false);
			} else {
				$style = "$blink style=\"color:white;\"";
				$title = stwToolTip("entliehen ($name)$warning",false);
			}
		}
	}
	echo "<td class=\"cl1\">";
	echo "<a href=\"ger_and.php?bereich=$bereich&ger_id=$row[0]\" $style $title>";

	/* es gibt leere Eintraege in der DB, deshalb Alterntative anbieten */
	if (!empty($row[1])) {
		/* alles ok - normale Kategorie zeigen */
	  echo $row[1];
  }	else {
  	/* leeren Eintrag mit Notkombination anzeigen */
  	echo '<font color="red">LEER!</font>';
	}

	echo "</a></td>";
	echo "<td class=\"cl1\">$row[6]</td>\n";

	$daten = new stwDaten("21");
	$link  = $daten->get_klammer_link($_SESSION["webdir"],
									 $_SESSION[$AppCode]["UID"],
									 $_SESSION[$AppCode]["ULV"],
									 $row[0], "0");
	if($bereich == 4) {
		/* Lizenzen bekommen eine weitere Klammer */
		$daten = new stwDaten("28");
		$link2 = $daten->get_klammer_link($_SESSION["webdir"],
									 $_SESSION[$AppCode]["UID"],
									 $_SESSION[$AppCode]["ULV"],
									 $row[0], "1");
	} else $link2 = "";
	echo "<td>$link $link2</td>";

	echo "<td class=\"cl1\"";
	if($typ_aktiv == 0) echo " colspan=\"2\"";
	echo ">" . strCut($row[2], 30) . "</td>";

	if($typ_aktiv == 1) echo "<td class=\"cl1\">" . strCut($row['typ'], 30) . "</td>";

	echo "<td class=\"cl1\"";
	if($inventur_aktiv == 0 && $ep_aktiv == 0 && $insp_aktiv == 0) echo " colspan=\"4\"";
	elseif($inventur_aktiv == 0 && $ep_aktiv == 0 
			|| $inventur_aktiv == 0 && $ep_aktiv == -1 && $insp_aktiv == 0
			|| $inventur_aktiv == -1 && $ep_aktiv == 0 && $insp_aktiv == 0) echo " colspan=\"3\"";
	elseif($inventur_aktiv == 0 || $inventur_aktiv == -1 && $ep_aktiv == 0
			|| $inventur_aktiv == -1 && $ep_aktiv == -1 && $insp_aktiv == 0) echo " colspan=\"2\"";
	echo ">" . strCut($row[3], 30) . "</td>";
	if($inventur_aktiv == 1) {
		echo "<td ";
		if($ep_aktiv == 0 && $insp_aktiv == 0) echo "colspan=\"3\" ";
		elseif($ep_aktiv == 0) echo "colspan=\"2\" ";
		$datum = $row[10] < $row[12] ? $row[11] : $row[9];
		echo "class=\"cl1\">$datum</td>";
	}
	if($ep_aktiv == 1) {
		if(check_nutzer_rechte(121)) {
			echo "<td>";
			echo "<form method=\"post\" action=\"ger.php?bereich=$bereich&kategorie=$kategorie&sort=$rvar_sort\">\n";			
			echo "<input type=\"hidden\" name=\"ger_id\" value=\"$row[0]\" />\n";
			if($row[13]=='j') {
				echo "<input type=\"hidden\" name=\"ep\" value=\"n\" />\n";
				$tt = stwToolTip("Elektro-Pr&uuml;fung NEIN setzen");
				$checked = 'checked';
			} else {
				echo "<input type=\"hidden\" name=\"ep\" value=\"j\" />\n";
				$tt = stwToolTip("Elektro-Pr&uuml;fung JA setzen");
				$checked = '';
			}
			echo "<input type=\"checkbox\" $checked $tt onclick=\"this.form.submit()\">\n";
			echo "</form>\n</td>\n";
		}
		echo "<td class=\"cl1\"";
		if($insp_aktiv == 0) echo " colspan=\"2\"";
		echo ">";
		if($row[13]=='j' && check_nutzer_rechte(120)) {
			echo "<a href=\"ger_ep.php?bereich=$bereich&amp;ger_id=$row[0]\"";
			$next_ep = next_pruefung($row[0],'e');
			echo " style=\"color:$next_ep[2]\"";
			if($next_ep[3]) echo " name=\"blink\"";
			echo stwToolTip($next_ep[4] . 'neue Elektro-Pr&uuml;fung anlegen');
			echo ">$next_ep[1]</a>\n";
			if($next_ep[2]=='#00FF00' || $next_ep[2]=='#FF0000') $_SESSION[$AppCode]["ger_ep"][] = $index;
		} else echo $row[14];
		echo "</td>\n";
	}
	if($insp_aktiv == 1) {
		if(check_nutzer_rechte(121)) {
			echo "<td>";
			echo "<form method=\"post\" action=\"ger.php?bereich=$bereich&kategorie=$kategorie&sort=$rvar_sort\">\n";			
			echo "<input type=\"hidden\" name=\"ger_id\" value=\"$row[0]\" />\n";
			if($row[17]=='j') {
				echo "<input type=\"hidden\" name=\"insp\" value=\"n\" />\n";
				$tt = stwToolTip("Inspektion NEIN setzen");
				$checked = 'checked';
			} else {
				echo "<input type=\"hidden\" name=\"insp\" value=\"j\" />\n";
				$tt = stwToolTip("Inspektion JA setzen");
				$checked = '';
			}
			echo "<input type=\"checkbox\" $checked $tt onclick=\"this.form.submit()\">\n";
			echo "</form>\n</td>\n";
		}
		echo "<td class=\"cl1\">";
		if($row[17]=='j' && check_nutzer_rechte(124)) {
			echo "<a href=\"ger_and.php?bereich=$bereich&amp;ger_id=$row[0]&amp;new=insp\"";
			$next_insp = next_pruefung($row[0],'i');
			echo " style=\"color:$next_insp[2]\"";
			if($next_insp[3]) echo " name=\"blink\"";
			echo stwToolTip($next_insp[4] . 'neue Inspektion anlegen');
			echo ">$next_insp[1]</a>\n";
		} else echo $row[18];
		echo "</td>\n";
	}
	$style = "style=\"text-align:right\"";
	if($kat_aktiv) {
		echo "<td class=\"cl1\">" . strCut($row[4], 30) . "</td>";
	} else $style = "colspan=\"2\" style=\"text-align:right\"";
	if ($leihe == 1){
		if ($row[5] == 'j' && empty($row[8])){
			echo "<td $style class=\"cl1\"><a href=\"ger_aus.php?bereich=$bereich&ger_id=$row[0]\">ausleihen</td>";
		} else {
			echo "<td $style></td>\n";
		}
	} elseif($ulv > 5) {
		if ($uid == $bis[1] || $ulv >= 65 || check_nutzer_rechte($rights[$bereich])){
			echo "<td $style class=\"cl1\"><a href=\"ger_zur.php?bereich=$bereich&ger_id=$row[0]";
			echo "&von=$von[0]\">zur&uuml;ck</td>";
		} else {
			echo "<td $style></td>\n";
		}
	}

	/* ab Sicherheitslevel 96 darf auch geloescht werden */
	if (check_nutzer_rechte($rights[$bereich])) {
		$value = array(1=>"Gegenstand", 2=>"Ger&auml;t", 4=>"Lizenz");
		echo "<td><a style=\"color: #FF0000; \" href=\"ger.php?bereich=$bereich&ger_id=$row[0]";
		echo "&del=1\"";
		echo stwToolTip('<b>VORSICHT!</b> '.$value[$bereich].' l&ouml;schen!');
		echo ">X</a></td>\n";
	}

	echo "</tr>\n";
}

new stwLine(1);
new stwEnd($seite);
?>