<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ger_and.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 44;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

$kat_id = (isset($_GET['kat_id'])) ? $_GET['kat_id'] : 0;
$pc_id = (isset($_GET['pc_id'])) ? $_GET['pc_id'] : -1;
$tel_id = (isset($_GET['tel_id'])) ? $_GET['tel_id'] : -1;

if (isset($_GET['del']) && $ulv >= 97){
	echo "<form method=\"post\" action=\"ger_and.php?bereich=$rvar_bereich&ger_id=$rvar_ger_id\">\n";
	echo "<input type=\"hidden\" name=\"really_del\" value=\"{$_GET['del']}\" />\n";
	new stwSicherheitsAbfrage();
	echo "</form>\n";
}

if(isset($_POST['really_del'])) {
	if($_POST['really_del'] == 'O') {
		abfrage2("update tb_ger set inventur_pers_id='', inventur=NULL, inventurnotizen='' where ger_id='$rvar_ger_id'");
	} else {
		abfrage2("delete from tb_ger_inventur where inv_id='$rvar_really_del' limit 1");
		abfrage2("delete from tb_ger_ep where inv_id='$rvar_really_del' limit 1");
	}
}

if (isset($_POST['inv_id'])){
	if($rvar_inv_id == 'inv' || $rvar_inv_id == 'insp') {
		$inventur_date = isset($rvar_inventur_date) && !empty($rvar_inventur_date) ? "'".date_gr2my($rvar_inventur_date)."'" : "curdate()";
		$done = (isset($rvar_inventur_check) && $rvar_inventur_check==1) ? 'j' : 'n';
		abfrage2("insert into tb_ger_inventur set ger_id='$rvar_ger_id', pers_id='$uid', datum=$inventur_date, notizen='$rvar_inventurnotizen', done='$done'");
		if($rvar_inv_id == 'insp') {
			$inv_id = mysql_insert_id();
			abfrage2("insert into tb_ger_inspektion set inv_id='$inv_id'");
		}
	}elseif($rvar_inv_id == 'O') {
		$inventur_date = isset($rvar_inventur_date) && !empty($rvar_inventur_date) ? "inventur='".date_gr2my($rvar_inventur_date)."'," : "";
		abfrage2("update tb_ger set inventur_pers_id='$uid', $inventur_date inventurnotizen='$rvar_inventurnotizen' where ger_id='$rvar_ger_id'");
	} else {
		$inventur_date = isset($rvar_inventur_date) && !empty($rvar_inventur_date) ? "'".date_gr2my($rvar_inventur_date)."'" : "curdate()";
		$done = (isset($rvar_inventur_check) && $rvar_inventur_check==1) ? 'j' : 'n';
		abfrage2("update tb_ger_inventur set pers_id='$uid', datum=$inventur_date, notizen='$rvar_inventurnotizen', done='$done' where inv_id='$rvar_inv_id'");
	}
}

if (isset($rvar_ger_id)){
	$sql  = "select ger_id, nr, name, standort, kat_id, notizen, ausleihe, ";
	$sql .= "inventnr, rubrik, traegerart_id, typ, unix_timestamp(inventur), ";
	$sql .= "inventurnotizen, inventur_pers_id, epruef, inspektion, frist, ";
	$sql .= "turnus_e, turnus_i, imei, serial ";
	$sql .= "from tb_ger where ger_id = '$rvar_ger_id';";
	$ger = abfrage_array($sql);
} else $ger = array();

$checked1 = (($ger['rubrik'] & 1) > 0) ? "checked" : "";
$checked2 = (($ger['rubrik'] & 2) > 0) ? "checked" : "";
$checked3 = (($ger['rubrik'] & 4) > 0) ? "checked" : "";
$recht1 = check_nutzer_rechte(61);
$recht2 = check_nutzer_rechte(73);
$recht3 = check_nutzer_rechte(74);
$disabled1 = ($ulv >= 97 || ($recht1 && (($ger['rubrik'] & 1) > 0 || (($ger['rubrik'] & 2) > 0 && $recht2) || (($ger['rubrik'] & 4) && $recht3) || empty($ger['rubrik'])))) ? "" : "disabled";
$disabled2 = ($ulv >= 97 || ($recht2 && (($ger['rubrik'] & 2) > 0 || (($ger['rubrik'] & 1) > 0 && $recht1) || (($ger['rubrik'] & 4) && $recht3) || empty($ger['rubrik'])))) ? "" : "disabled";
$disabled3 = ($ulv >= 97 || ($recht3 && (($ger['rubrik'] & 4) > 0 || (($ger['rubrik'] & 1) > 0 && $recht1) || (($ger['rubrik'] & 2) && $recht2) || empty($ger['rubrik'])))) ? "" : "disabled";

$disabled = check_nutzer_rechte(91);
if(($recht1 || $recht2 || $recht3) && empty($ger['rubrik'])) $disabled = false;
elseif($checked1 == "checked" && $recht1) $disabled = false;
elseif($checked2 == "checked" && $recht2) $disabled = false;
elseif($checked3 == "checked" && $recht3) $disabled = false;
$readonly = $disabled ? 'readonly' : '';

echo "<table cellspacing=\"0\" cellpadding=\"0\" width=\"750\"><tr><td>\n";
echo "<form action=\"ger_and.php\" method=\"get\">\n";
if (isset($rvar_ger_id)) echo "<input type=\"hidden\" name=\"ger_id\" value=\"$rvar_ger_id\">\n";
if (isset($rvar_vm_id)) {
	echo "<input type=\"hidden\" name=\"vm_id\" value=\"$rvar_vm_id\">\n";
	$vm = abfrage_array("select * from tb_vormerkliste where vm_id='$rvar_vm_id'");
}
echo "<input type=\"hidden\" name=\"bereich\" value=\"$rvar_bereich\">\n";

$ti = 1;
$pc = $mobtel = $key = false;

echo "<table><tr><th class=\"cl11\">Kategorie:</th>\n";
echo "<td><table cellpadding=\"0\" cellspacing=\"0\"><tr><td>\n";
echo "<select name=\"kat_id\" size=\"1\" tabindex=\"$ti\" ";
if($disabled) echo "disabled ";
echo "onChange=\"this.form.submit()\">\n"; $ti++;
echo "<option value=\"0\">Kategorie w&auml;hlen!</option>\n";

$sql  = "select kat_id, kuerzel, name, verknupf from tb_ger_kat order by kuerzel asc;";
$res = abfrage1($sql);
while ($zeile = mysql_fetch_row($res)) {
	echo "<option value=\"$zeile[0]\"";
	if (($kat_id == $zeile[0]) || (($kat_id==0) && isset($rvar_ger_id) && $ger['kat_id'] == $zeile[0])) {
		if($zeile[3][0] == 'p') $pc = true;
		if(strpos($zeile[3],'m')!==false) $mobtel = true;
		if(substr($zeile[3],-1)=='k') $key = true;
		echo ' selected';
	}
	echo ">" . $zeile[1] . "&nbsp;-&nbsp;" . $zeile[2] . "</option>\n";
}
echo "</select></td>\n";

$kat = $kat_id ? $kat_id : $ger['kat_id'];
if ($ulv >= 65	|| ($recht1 && (($ger['rubrik'] & 1) > 0 || empty($ger['rubrik'])))
				|| ($recht2 && (($ger['rubrik'] & 2) > 0 || empty($ger['rubrik'])))
				|| ($recht3 && (($ger['rubrik'] & 4) > 0 || empty($ger['rubrik'])))) {
	if(($kat_id>0) || (!($kat_id)&&($ger['kat_id']>0))) {
		echo "<td>&nbsp;&nbsp;<a href=\"ger_kat.php?bereich=$rvar_bereich&todo=ren&kat_id=$kat";
		if (isset($rvar_ger_id)) echo "&ger_id=$rvar_ger_id";
		echo "\"><img src=\"img/stift.png\" ";
		echo stwToolTip("umbenennen") . "></a></td>\n";
		echo "<td>&nbsp;&nbsp;<a href=\"ger_kat.php?bereich=$rvar_bereich&todo=del&kat_id=$kat";
		if (isset($rvar_ger_id)) echo "&ger_id=$rvar_ger_id";
		echo "\" " . stwToolTip("l&ouml;schen") . " style=\"color:red\">X</a></td>\n";
	}
	echo "<td>&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"button\" value=\"neue Kategorie\" ";
	echo "onClick=\"self.location.href='ger_kat.php?bereich=$rvar_bereich&todo=new";
	if (isset($rvar_ger_id)) echo "&ger_id=$rvar_ger_id";
	echo "'\"></td>\n";
}
echo "</tr></table></td></tr>\n";
new stwTabLine(2,30);

$pc_name = '';
$pc_typ = '';
$standort = '';

if($pc) {
	$pcid = abfrage("select id2 from tbh_ger_verknupf where verknupf='p' and ger_id='$rvar_ger_id'");

	echo "<tr><th class=\"cl11\">vorh. PC:</th>\n<td>";
	echo "<select name=\"pc_id\" size=\"1\" tabindex=\"$ti\" ";
	echo "onChange=\"this.form.submit()\">\n"; $ti++;
	echo "<option value=\"0\">keinem Computer zugeordnet!</option>\n";

	$sql  = "select p.pc_id, p.name, p.standort, p.typ, p.kat_id from tb_pc p left join tb_pc_kat k using (kat_id) 
			left join tbh_ger_verknupf v on (p.pc_id = v.id2 and v.verknupf = 'p')
			where p.pc_id='$pcid[0]' or (k.verknupf='j' and v.id2 IS NULL) order by p.name asc;";
	$res = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option value=\"$zeile[0]\"";
		if ($pc_id == $zeile[0] || (($pc_id==-1) && isset($rvar_ger_id) && $pcid[0] == $zeile[0])) {
			$pc_name = $zeile[1];
			$standort = $zeile[2];
			$pc_typ = $zeile[3];
			echo ' selected';
		}
		echo ">" . $zeile[1] . "</option>\n";
	}
	echo "</select></td></tr>\n";

	echo "<tr><td><b style=\"color:#FFCC00\">Name</b><small> aus PC</small>:</td>";
	echo "<td><input type=\"text\" size=\"50\" disabled value=\"$pc_name\">";
	echo "</td></tr>\n";

	echo "<tr><td><b style=\"color:#FFCC00\">Typ</b><small> aus PC</small>:</td>";
	echo "<td><input type=\"text\" size=\"50\" disabled value=\"$pc_typ\">";
	echo "</td></tr>\n";
	new stwTabLine(2,2);
}

$mobtel_nr = '';
$mobtel_typ = '';
$mobtel_imei = '';
$mobtel_nutzer = '';

if($mobtel) {
	$telid = abfrage("select id2 from tbh_ger_verknupf where verknupf='m' and ger_id='$rvar_ger_id'");
	echo "<tr><th class=\"cl11\">mobil:</th>\n<td>";
	echo "<select name=\"tel_id\" size=\"1\" tabindex=\"$ti\" ";
	echo "onChange=\"this.form.submit()\">\n"; $ti++;
	echo "<option value=\"0\">keinem mobilen Endger&auml;t zugeordnet!</option>\n";

	$sql = "select t.tel_id, t.typ, t.imei, s.tel_nr, s.tarif, a.pers_id
			from tb_mob_tel t left join tb_mob_aus a on a.tel_id = t.tel_id
			left join tb_mob_sim s on a.sim_id = s.sim_id
			where (t.aktiv = 'j' or t.tel_id = '$telid[0]')
			and (a.bis IS NULL or a.bis = '0000-00-00 00:00:00')
			group by t.tel_id
			order by s.tel_nr desc, t.typ asc;";
	$res = abfrage1($sql);
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option value=\"$zeile[0]\"";
		if ($tel_id == $zeile[0] || (($tel_id==-1) && isset($rvar_ger_id) && $telid[0] == $zeile[0])) {
			$mobtel_typ = $zeile[1];
			$mobtel_imei = $zeile[2];
			$mobtel_nr = $zeile[3];
			$mobtel_nutzer = pers_kname($zeile[5]);
			echo ' selected';
		}
		echo ">" . $zeile[3] . ' ' . $zeile[1] . ' ' . $zeile[2] . ' ' . $zeile[4] . ' ' . "</option>\n";
	}
	echo "</select></td></tr>\n";
	echo "<tr><td><b style=\"color:#FFCC00\">Typ</b><small> aus mobil</small>:</td>";
	echo "<td><input type=\"text\" size=\"50\" disabled value=\"$mobtel_typ\">";
	echo "</td></tr>\n";

	echo "<tr><td><b style=\"color:#FFCC00\">Nr.</b><small> aus mobil</small>:</td>";
	echo "<td><input type=\"text\" size=\"50\" disabled value=\"$mobtel_nr\">";
	echo "</td></tr>\n";

	echo "<tr><td><b style=\"color:#FFCC00\">Nutzer</b><small> aus mobil</small>:</td>";
	echo "<td><input type=\"text\" size=\"50\" disabled value=\"$mobtel_nutzer\">";
	echo "</td></tr>\n";
}
echo"</form>";
echo "<form name=\"gerForm\" action=\"ger.php\" method=\"post\">\n";
if($mobtel) {
	echo "<tr><th class=\"cl11\">IMEI:</th>\n";
	echo "<td><input type=\"text\" name=\"imei\" size=\"50\" maxlength=\"50\" $readonly ";
	echo "tabindex=\"$ti\""; $ti++;
	if(empty($ger['imei'])) echo " value=\"$mobtel_imei\"";
	elseif (isset($rvar_ger_id)) echo " value=\"{$ger['imei']}\"";
	echo "></td></tr>\n";
	new stwTabLine(2,2);
}

$pc = $pc_id==-1 ? (empty($pcid[0]) ? 0 : $pcid[0]) : $pc_id;
$tel = $tel_id==-1 ? (empty($telid[0]) ? 0 : $telid[0]) : $tel_id;

$inv=abfrage_array("select date_format(anschaffung,'%d.%m.%Y') as anschaffung,
					preis, date_format(garantie,'%d.%m.%Y') as garantie, abgangsgrund,
					date_format(abgangsdatum, '%d.%m.%Y') as abgangsdatum,
					date_format(abgangsdatum, '%H:%i') as abgangszeit, abgang_pers_id
					from tbh_inventar where ger_id = '$ger[0]'");
echo "<input type=\"hidden\" name=\"kat_id\" value=\"$kat\">\n";
echo "<input type=\"hidden\" name=\"bereich\" value=\"$rvar_bereich\">\n";
echo "<input type=\"hidden\" name=\"pc_id\" value=\"$pc\">\n";
echo "<input type=\"hidden\" name=\"tel_id\" value=\"$tel\">\n";
if($disabled) {
	echo "<input type=\"hidden\" name=\"traegerart_id\" value=\"{$ger['traegerart_id']}\">\n";
	echo "<input type=\"hidden\" name=\"ausleihe\" value=\"{$ger['ausleihe']}\">\n";
	echo "<input type=\"hidden\" name=\"frist\" value=\"{$ger['frist']}\">\n";
	if(!empty($inv['abgangsdatum']) && $inv['abgangsdatum']!='00.00.0000')
		echo "<input type=\"hidden\" name=\"abgang\" value=\"1\">\n";
}

if($key) {
	$tt = stwToolTip("Inventareintrag mit folgendem Schl&uuml;ssel verkn&uuml;pfen");
	echo "<tr><th class=\"cl11\" $tt>Schl&uuml;ssel:</th>\n<td>";
	echo "<select name=\"key_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option value=\"0\">keinem Schl&uuml;ssel zugeordnet!</option>\n";
	$keyid = abfrage("select id2 from tbh_ger_verknupf where verknupf='k' and ger_id='$rvar_ger_id'");
	$keys = abfrage1("select key_id, name, nr from tb_keys where art_id = 3 order by name asc");
	while ($zeile = mysql_fetch_row($keys)) {
		echo "<option value=\"$zeile[0]\"";
		if ($keyid[0] == $zeile[0]) echo ' selected';
		echo ">$zeile[2] - $zeile[1]</option>\n";
	}
	echo "</select></td></tr>\n";
}

if (empty($rvar_ger_id)) $ger['rubrik'] = $rvar_bereich;
echo "<tr><th class=\"cl11\">Rubrik:</th>\n";
echo "<td><input type=\"checkbox\" name=\"rubrik[]\" value=\"1\" $disabled1 $checked1> Inventar \n";
if($checked1=="checked" && $disabled1=="disabled") echo "<input type=\"hidden\" name=\"rubrik[]\" value=\"1\">";
echo "&nbsp;<input type=\"checkbox\" name=\"rubrik[]\" value=\"2\" $disabled2 $checked2> Ger&auml;te \n";
if($checked2=="checked" && $disabled2=="disabled") echo "<input type=\"hidden\" name=\"rubrik[]\" value=\"2\">";
echo "&nbsp;<input type=\"checkbox\" name=\"rubrik[]\" value=\"4\" $disabled3 $checked3> Lizenzen</td></tr>\n";
if($checked3=="checked" && $disabled3=="disabled") echo "<input type=\"hidden\" name=\"rubrik[]\" value=\"4\">";

echo "<tr><th class=\"cl11\">Tr&auml;ger:</th>\n";
echo "<td>\n<select name=\"traegerart_id\" size=\"1\"";
if($disabled) echo " disabled";
$trgs = abfrage1("select traeger_art_id, traeger_art, kurzname from tb_traeger_art order by kurzname asc");
echo ">\n<option value=\"0\"> </option>\n";
while ($trg = mysql_fetch_array($trgs)){
	echo "<option value=\"{$trg['traeger_art_id']}\"";
	if ($ger['traegerart_id'] == $trg['traeger_art_id']) echo ' selected';
	if(!isset($rvar_ger_id) && isset($rvar_vm_id) && $trg['traeger_art_id'] == $vm['traeger_art_id']) echo ' selected';
	echo " title=\"{$trg['traeger_art']}\">{$trg['kurzname']}</option>\n";
}
echo "</select></td>\n";

$placeholder = abfrage("select turnus_e, turnus_i from tb_ger_kat where kat_id='$kat'");
echo "<td><table style=\"position:absolute;left:360px\">";
echo "<tr><td><input type=\"checkbox\" name=\"epruef\" value=\"j\"";
if($ger['epruef'] == 'j') echo " checked";
echo " /></td><td class=\"cl1\">E-Pr&uuml;fung</td>";
echo "<td>(aller</td><td><input type=\"text\" size=\"3\" placeholder=\"$placeholder[0]\" ";
if(!empty($ger['turnus_e'])) echo "value=\"{$ger['turnus_e']}\" ";
echo "name=\"turnus_e\" style=\"text-align:center\" /></td><td>Monate)</td>";
echo "</tr><tr>";
echo "<td><input type=\"checkbox\" name=\"inspektion\" value=\"j\"";
if($ger['inspektion'] == 'j') echo " checked";
echo " /></td><td class=\"cl1\">Inspektion</td>";
echo "<td>(aller</td><td><input type=\"text\" size=\"3\" placeholder=\"$placeholder[1]\" ";
if(!empty($ger['turnus_i'])) echo "value=\"{$ger['turnus_i']}\" ";
echo "name=\"turnus_i\" style=\"text-align:center\" /></td><td>Monate)</td>";
echo "</tr></table></td>\n";

echo "</tr>\n";

echo "<tr><th class=\"cl11\">Ger&auml;t Nr.:</th>\n";
echo "<td><input style=\"text-align: right;\" type=\"text\" name=\"nr\" $readonly ";
echo "size=\"3\" maxlength=\"3\" tabindex=\"$ti\" "; $ti++;
if (isset($rvar_ger_id) && ($kat_id==0 || $ger['kat_id']==$kat_id)) {
	$num = $ger['nr'];
} else {
	$sql = "select max(nr) + 1 from tb_ger where kat_id=$kat_id;";
	$nmb = abfrage($sql);
	$num = sprintf('%03u',$nmb[0]);
}
echo "value=\"$num\">";
echo "&nbsp; Inventar Nr.: &nbsp;";
echo "<input type=\"text\" name=\"inventnr\" size=\"10\" maxlength=\"10\" $readonly ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_ger_id)) echo " value=\"{$ger['inventnr']}\"";
echo " /> &nbsp; \n";

 /* Dateisymbol erscheint nur bei vorhandener Geraete ID */
 if (!empty($rvar_ger_id))
 {
   $daten = new stwDaten("21");
   $link  = $daten->get_klammer_link($_SESSION["webdir"],
                                     $_SESSION[$AppCode]["UID"],
                                     $_SESSION[$AppCode]["ULV"],
                                     $rvar_ger_id, "0");
   echo $link;
	if(($ger['rubrik'] & 4) > 0) {
		/* Lizenzen bekommen eine weitere Klammer */
		$daten = new stwDaten("28");
		$link  = $daten->get_klammer_link($_SESSION["webdir"],
									 $_SESSION[$AppCode]["UID"],
									 $_SESSION[$AppCode]["ULV"],
									 $rvar_ger_id, "1");
		echo " $link";
	}
 }
echo "</td></tr>\n";

$tt = $pc ? stwToolTip('Wird beim Speichern mit EDV abgeglichen') : '';
echo "<tr><th class=\"cl11\">Name:</th>\n";
echo "<td><input type=\"text\" name=\"name\" size=\"50\" maxlength=\"50\" $readonly ";
echo "tabindex=\"$ti\""; $ti++;
if(!isset($rvar_ger_id) && isset($rvar_vm_id)) echo " value=\"{$vm['name']}\"";
elseif(empty($ger['name'])) echo " value=\"$pc_name\"";
elseif (isset($rvar_ger_id)) echo " value=\"{$ger['name']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl11\">Seriennummer:</th>\n";
echo "<td><input type=\"text\" name=\"serial\" size=\"50\" maxlength=\"50\" $readonly ";
echo "tabindex=\"$ti\""; $ti++;
if(isset($rvar_ger_id)) echo " value=\"{$ger['serial']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl11\">Typ:</th>\n";
echo "<td><input type=\"text\" name=\"typ\" size=\"50\" maxlength=\"50\" $readonly ";
echo "tabindex=\"$ti\""; $ti++;
if(empty($ger['typ'])) echo " value=\"$pc_typ\"";
elseif (isset($rvar_ger_id)) echo " value=\"{$ger['typ']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl11\" style=\"color:#FFFF00\" $tt>Standort*:</th>\n";
echo "<td><input type=\"text\" name=\"standort\" size=\"50\" maxlength=\"50\" $readonly ";
echo "tabindex=\"$ti\""; $ti++;
if(empty($ger['standort'])) echo " value=\"$standort\"";
elseif (isset($rvar_ger_id)) echo " value=\"{$ger['standort']}\"";
echo "></td></tr>\n";


echo "<tr><th class=\"cl11\">Notizen:</th>\n";
echo "<td><textarea cols=\"50\" rows=\"3\" name=\"notizen\" $readonly tabindex=\"$ti\">";
if (isset($rvar_ger_id)) echo $ger['notizen'];
echo "</textarea></td></tr>\n";


echo "<tr><th class=\"cl11\">Ausleihe:</th>\n";
echo "<td><input type=\"radio\" name=\"ausleihe\" value=\"j\" ";
if($disabled) echo "disabled ";
else echo "onclick=\"document.getElementById('ausleihfrist').style.visibility = 'visible';\" ";
echo "tabindex=\"$ti\" style=\"vertical-align: middle;\""; $ti++;
if (isset($rvar_ger_id)) {
	if ($ger['ausleihe'] == 'j') echo ' checked';
}
echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;<input type=\"radio\" name=\"ausleihe\" ";
if($disabled) echo "disabled ";
else echo "onclick=\"document.getElementById('ausleihfrist').style.visibility = 'hidden';\" ";
echo "value=\"n\" tabindex=\"$ti\" style=\"vertical-align: middle;\""; $ti++;
if (!isset($rvar_ger_id) || $ger['ausleihe'] == 'n') echo ' checked';
echo ">&nbsp;<b>nein</b> &nbsp; ";
$visibility = ($ger['ausleihe'] == 'j') ? '' : 'visibility:hidden;';
echo "<b id=\"ausleihfrist\" style=\"color:#FFCC00;$visibility\">Frist: <input name=\"frist\" ";
if($disabled) echo "disabled ";
echo "type=\"text\" size=\"3\" style=\"text-align:right\" value=\"";
echo isset($rvar_ger_id) ? $ger['frist'] : 14;
echo "\"> Tage <span style=\"font-weight:normal;color:#CCCCCC\">(0 = keine Beschr&auml;nkung)</span></b>";
echo "</td></tr>\n";
echo "</table>\n";

new stwLine(2);

if(isset($rvar_ger_id)) $vmid = abfrage("select vm_id from tbh_vml_inventar where ger_id='$rvar_ger_id'");
elseif(isset($rvar_vm_id)) $vmid[0] = $rvar_vm_id;
else $vmid[0] = 0;
$vmls = abfrage1("SELECT vm_id FROM tbh_vml_inventar WHERE ts IS NULL OR vm_id = '$vmid[0]' ORDER BY ger_id ASC");
$inventarisierung = abfrage("select id, typ from tb_inventarisierung where ger_id='$rvar_ger_id'");
$sql = "SELECT proj_id FROM tb_projekte p 
		LEFT JOIN tb_inventarisierung i on(i.typ='p' and i.id=p.proj_id)
		WHERE (projektnr >= 10000 AND projektnr < 18000 
		AND i.pers_id IS NULL
		AND kostenzus_ende > DATE_SUB(CURDATE(), INTERVAL 2 YEAR)) ";
if($inventarisierung[1] == 'p') $sql .= "OR proj_id='$inventarisierung[0]' ";
$sql .= "group by proj_id ORDER BY projektnr ASC";
$einkaufprojs=abfrage1($sql);
echo "<table><tr><th class=\"cl11\">Vormerkposten /<br />Einkaufsprojekt:</th>\n<td>";
echo "<select name=\"vm_id\" style=\"margin-bottom:2px\" tabindex=\"$ti\">\n"; $ti++;
echo "<option value=\"0\">keinem Vormerkposten zugeordnet!</option>\n";
while($zeile = mysql_fetch_row($vmls)) {
	$vmp = abfrage("select vm_id, name from tb_vormerkliste where vm_id='$zeile[0]'");
	echo "<option value=\"$zeile[0]\"";
	if($zeile[0] == $vmid[0]) echo " selected";
	echo ">$vmp[0] $vmp[1]</option>\n";
}
echo "<option value=\"0\">--------------------------------</option>\n";
while($zeile = mysql_fetch_row($einkaufprojs)) {
	echo "<option value=\"P$zeile[0]\"";
	if(empty($vmid[0]) && $inventarisierung[1]=='p' && $zeile[0] == $inventarisierung[0]) echo " selected";
	echo ">" . projektnummer($zeile[0]) . "</option>\n";
}
echo "</select>";
if(!empty($vmid[0])) {
	$pro = abfrage("select proj_id from tb_vormerkliste where vm_id='$vmid[0]'");
	if(!empty($pro[0])) echo "<br /><a href=\"pro_daten.php?proj_id=$pro[0]\">" . projektnummer($pro[0]) . "</a>";
} elseif($inventarisierung[1]=='p') {
	echo "<br /><a href=\"pro_daten.php?proj_id=$inventarisierung[0]\">" . projektnummer($inventarisierung[0]) . "</a>";
}
echo "</td></tr><table>\n";

new stwLine(2);

echo "<input type=\"hidden\" name=\"inventar\" value=\"1\">\n";
echo "<table>";
echo "<tr><th class=\"cl11\">Anschaffungsdatum:</th>\n";
echo "<td width=\"80\"><input type=\"text\" name=\"anschaffung\" size=\"11\" maxlength=\"10\" $readonly ";
echo "tabindex=\"$ti\" value=\""; $ti++;
if(isset($rvar_ger_id)) echo $inv['anschaffung'];
elseif(isset($rvar_vm_id)) {
	$ansch=abfrage("select date_format(zeit, '%d.%m.%Y') from tbh_pers_vormerk 
					where vm_id='$rvar_vm_id' and abteilungsleiter in ('b','k','r','l')
					order by zeit desc limit 1");
	echo $ansch[0];
}
echo "\"></td><td>TT.MM.JJJJ</td></tr>\n";

echo "<tr><th class=\"cl11\">Anschaffungspreis:</th>\n";
echo "<td><input type=\"text\" name=\"preis\" size=\"11\" maxlength=\"8\" $readonly ";
echo "style=\"text-align:right\" tabindex=\"$ti\" value=\""; $ti++;
if(!empty($inv['preis'])) echo geld_form_formular($inv['preis']);
elseif(isset($rvar_vm_id)) echo geld_form_formular($vm['betrag']);
echo "\"></td><td>&euro;</td></tr>\n";

echo "<tr><th class=\"cl11\">Garantie bis:</th>\n";
echo "<td><input type=\"text\" name=\"garantie\" size=\"11\" maxlength=\"10\" $readonly ";
echo "tabindex=\"$ti\" "; $ti++;
echo "value=\"{$inv['garantie']}\"></td><td>TT.MM.JJJJ</td></tr>\n";

echo "<tr><th class=\"cl11\">Abgang:</th>\n";
echo "<td colspan=\"3\"><input type=\"checkbox\" name=\"abgang\" tabindex=\"$ti\""; $ti++;
if($disabled) echo " disabled";
if(!empty($inv['abgangsdatum']) && $inv['abgangsdatum']!='00.00.0000') {
	echo " checked> " . $inv['abgangsdatum'];
	if($inv['abgangszeit'] != '00:00') echo " " . $inv['abgangszeit'];
	if(!empty($inv['abgang_pers_id'])) echo " " . pers_kname($inv['abgang_pers_id']);
} else echo ">";
echo "</td></tr>\n";
if(empty($inv['abgangsdatum']) || $inv['abgangsdatum']=='00.00.0000') $inv['abgang_pers_id'] = $uid;
echo "<input type=\"hidden\" name=\"abgang_pers_id\" value=\"{$inv['abgang_pers_id']}\">\n";
if($ulv >= 97) {
	echo "<input type=\"hidden\" name=\"abgangsdatum_old\" value=\"{$inv['abgangsdatum']}\">\n";
	echo "<tr><th class=\"cl11\">Abgangsdatum:</th>\n";
	echo "<td><input type=\"text\" name=\"abgangsdatum\" size=\"11\" maxlength=\"10\" $readonly ";
	echo "tabindex=\"$ti\" "; $ti++;
	echo "value=\"{$inv['abgangsdatum']}\"></td><td class=\"cl1\">TT.MM.JJJJ</td>";
	echo "<td><input type=\"text\" name=\"abgangszeit\" size=\"6\" maxlength=\"5\" $readonly ";
	echo "tabindex=\"$ti\" "; $ti++;
	if($inv['abgangszeit'] != '00:00') echo "value=\"{$inv['abgangszeit']}\"";
	echo "></td><td style=\"width:100%\">hh:mm</td>";
} else {
	echo "<input type=\"hidden\" name=\"abgangsdatum\" value=\"{$inv['abgangsdatum']}\">\n";
	echo "<input type=\"hidden\" name=\"abgangszeit\" value=\"{$inv['abgangszeit']}\">\n";
}
echo "<tr><th class=\"cl11\">Abgangsgrund:</th>\n";
echo "<td colspan=\"30\"><textarea name=\"abgangsgrund\" $readonly ";
echo "rows=\"3\" cols=\"50\" tabindex=\"$ti\">"; $ti++;
echo $inv['abgangsgrund'] . "</textarea></td></tr>\n";

echo "</table><table width=\"100%\">";
new stwTabLine(2,1);
echo "</table>\n";

if ($ulv >= 97 || $disabled
	|| (check_nutzer_rechte(61) && (($ger['rubrik'] & 1) > 0 || empty($ger['rubrik'])))
	|| (check_nutzer_rechte(73) && (($ger['rubrik'] & 2) > 0 || empty($ger['rubrik'])))
	|| (check_nutzer_rechte(74) && (($ger['rubrik'] & 4) > 0 || empty($ger['rubrik'])))) {
	if (isset($rvar_ger_id)) {
		echo "<input type=\"hidden\" name=\"ger_id\" value=\"$rvar_ger_id\">\n";
	}

	echo "<table><tr><td>";
	echo "<input type=\"hidden\" name=\"saveger\" value=\"1\">\n";
	echo "<input type=\"submit\" tabindex=\"$ti\" value=\"Speichern\">";
	echo "</td></tr></table>\n";
}
echo "</form>\n</td>\n";

/* Historie Inventur */
echo "<script type=\"text/javascript\"><!--\n";
echo "function doTT() {\n";
echo "var str = '<form name=\"tempform\">'\n";
echo "        + '<textarea name=\"notiz\" style=\"width:300px;height:100px;margin:10px\" oninput=\"document.invForm.inventurnotizen.value=document.tempform.notiz.value\">'\n";
echo "        + document.invForm.inventurnotizen.value + '</textarea></form>';\n";
echo "Tip(str, BGCOLOR, '#333333', CLOSEBTN, 1, DELAY, 0, TITLE, 'Notizen:',TITLEBGCOLOR, '#006600', BORDERCOLOR, '#666666', WIDTH, 320, HEIGHT, 120, FIX, ['NotizIcon',-25,-25], STICKY, 1);\n}\n";
echo "--></script>\n";

echo "<td style=\"padding-left:20px\">";
if (isset($rvar_ger_id)) {
	echo "<table width=\"100%\">\n";
	new stwTabLine(2,7);
	echo "<tr><th colspan=\"7\" style=\"text-align:center\">Historie</th></tr>\n";
	new stwTabLine(2,7);
	echo "<tr><td colspan=\"7\" style=\"text-align:center\">\n";
	$style = "style=\"width:50px;\"";
	echo "<input type=\"button\" onclick=\"self.location.href='ger_and.php?bereich=$rvar_bereich&amp;ger_id=$rvar_ger_id&amp;new=inv'\" ";
	echo stwToolTip("Neuen Eintrag 'Inventur' erstellen");
	echo "$style value=\"Inv.\" />\n";
	if($ger['epruef'] == 'j' && check_nutzer_rechte(120)) {
		echo "<input type=\"button\" onclick=\"self.location.href='ger_ep.php?bereich=$rvar_bereich&amp;ger_id=$rvar_ger_id'\" ";
		echo stwToolTip("Neuen Eintrag 'Elektropr&uuml;fung' erstellen");
		echo "$style value=\"EP\" />\n";
	}
	if($ger['inspektion'] == 'j' && check_nutzer_rechte(124)) {
		echo "<input type=\"button\" onclick=\"self.location.href='ger_and.php?bereich=$rvar_bereich&amp;ger_id=$rvar_ger_id&amp;new=insp'\" ";
		echo stwToolTip("Neuen Eintrag 'Inspektion' erstellen");
		echo "$style value=\"Insp.\" />\n";
	}
	echo "</td></tr>\n";
	new stwTabLine(2,7);
	if(isset($rvar_new)) {
		echo "<form action=\"ger_and.php\" name=\"invForm\" method=\"post\">\n";
		echo "<input type=\"hidden\" name=\"inv_id\" value=\"$rvar_new\">\n";
		echo "<input type=\"hidden\" name=\"ger_id\" value=\"$rvar_ger_id\">\n";
		echo "<input type=\"hidden\" name=\"bereich\" value=\"$rvar_bereich\">\n";
		echo "<input type=\"hidden\" name=\"inventurnotizen\" value=\"\"/>";
		echo "<input type=\"hidden\" name=\"datum_n\" value=\"\"/>";
		echo "<tr><td>";
		echo "<input type=\"hidden\" name=\"inventur_check2\" value=\"0\">\n";
		echo "<input type=\"checkbox\" name=\"inventur_check\" value=\"1\"";
		echo stwToolTip($rvar_new=='insp' ? 'Inspektion bestanden' : "Pr&uuml;fung durchgef&uuml;hrt");
		echo "></td><th>".str_replace('i','I',$rvar_new).".</th>";
		echo "<td><a href=\"#\" onmousedown=\"doTT()\" oncontextmenu=\"return false;\">";
		echo "<img id=\"NotizIcon\" src=\"" . Image("daten") . "\"></a></td><th>";
		if($ulv >= 97) echo "<input type=\"text\" type=\"text\" name=\"inventur_date\" size=\"11\" maxlength=\"10\" value=\"\" />";
		echo "</th><td><input type=\"image\" src=\"img/senden.png\" /></td></tr></form>\n";
	}
	$inventur=abfrage1("select i.*, e.inv_id as ep, k.inv_id as insp, k.datum_n 
						from tb_ger_inventur i 
						left join tb_ger_ep e using(inv_id) 
						left join tb_ger_inspektion k using(inv_id)
						where i.ger_id='$rvar_ger_id' order by i.datum desc");
	while($inv = mysql_fetch_array($inventur)) {
		if($rvar_edit == $inv[0]) {
			echo "<form action=\"ger_and.php\" name=\"invForm\" method=\"post\">\n";
			echo "<input type=\"hidden\" name=\"inv_id\" value=\"$inv[0]\">\n";
			echo "<input type=\"hidden\" name=\"ger_id\" value=\"$rvar_ger_id\">\n";
			echo "<input type=\"hidden\" name=\"bereich\" value=\"$rvar_bereich\">\n";
			echo "<input type=\"hidden\" name=\"inventurnotizen\" value=\"{$inv['notizen']}\"/>";
			echo "<input type=\"hidden\" name=\"datum_n\" value=\"{$inv['datum_n']}\"/>";
			echo "<tr><td>";
			$ic2 = ($inv['done'] == 'j') ? 1 : 0;
			echo "<input type=\"hidden\" name=\"inventur_check2\" value=\"$ic2\">\n";
			echo "<input type=\"checkbox\" name=\"inventur_check\" value=\"1\"";
			echo stwToolTip($inv['insp'] ? 'Inspektion bestanden' : "Pr&uuml;fung durchgef&uuml;hrt");
			if($inv['done'] == 'j') {
				echo " checked";
				if($ulv < 97) echo " disabled";
			}
			echo "></td><th>".($inv['insp'] ? 'Insp.' : 'Inv.')."</th>";
			echo "<td><a href=\"#\" onmousedown=\"doTT()\" oncontextmenu=\"return false;\">";
			if(strlen($inv['notizen']) == 0) echo "<img id=\"NotizIcon\" src=\"" . Image("daten") . "\">";
			else echo "<img id=\"NotizIcon\" " . stwToolTip($inv['notizen']) . " src=\"" . Image("daten",16,16,0,255,0) . "\">";
			echo "</a></td><th";
			if($inv['pers_id'] > 0) echo stwToolTip("gepr&uuml;ft durch " . pers_name($inv['pers_id']));
			echo ">";
			if($ulv >= 97) echo "<input type=\"text\" type=\"text\" name=\"inventur_date\" size=\"11\" maxlength=\"10\" value=\"";
			if(!empty($inv['datum'])) echo date_my2gr($inv['datum']);
			if($ulv >= 97) echo "\" />";
			echo "</th><td><input type=\"image\" src=\"img/senden.png\" /></td></tr></form>\n";
		} else {
			if($inv['ep']) {
				$link = "ger_ep.php?bereich=$rvar_bereich&amp;ger_id=$rvar_ger_id&amp;inv_id=$inv[0]";
				$Inv = 'EP';
				$title = "Elektropr&uuml;fung";
			} elseif($inv['insp']) {
				$link = "ger_and.php?bereich=$rvar_bereich&amp;ger_id=$rvar_ger_id&amp;edit=$inv[0]";
				$Inv = 'Insp.';
				$title = "Inspektion";
			} else {
				$link = "ger_and.php?bereich=$rvar_bereich&amp;ger_id=$rvar_ger_id&amp;edit=$inv[0]";
				$Inv = 'Inv.';
				$title = "Inventur";
			} echo "<tr><td";
			if($inv['done'] == 'j') {
				echo stwToolTip($inv['ep'] ? 'Elektro-Pr&uuml;fung bestanden' : ($inv['insp'] ? 'Inspektion bestanden' : "Pr&uuml;fung durchgef&uuml;hrt"));
				echo "><a href=\"$link\"><img src=\"img/checked.png\" /></a>";
			} else {
				echo stwToolTip($inv['ep'] ? 'Elektro-Pr&uuml;fung nicht bestanden' : ($inv['insp'] ? 'Inspektion nicht bestanden' : "Pr&uuml;fung noch nicht durchgef&uuml;hrt"));
				echo "><a href=\"$link\"><img src=\"img/unchecked.png\" /></a>";
			}
			echo "</td><td><a href=\"$link\"".stwToolTip($title).">$Inv</a></td><td><a href=\"$link\">";
			if(strlen($inv['notizen']) == 0) echo "<img src=\"" . Image("daten") . "\">";
			else echo "<img " . stwToolTip($inv['notizen']) . " src=\"" . Image("daten",16,16,0,255,0) . "\">";
			echo "</td><td><a href=\"$link\">";
			if($inv['datum']) echo date_my2gr($inv['datum']);
			echo "</td>";
			$klammer = $daten->get_klammer_link($_SESSION["webdir"],
												$_SESSION[$AppCode]["UID"],
												$_SESSION[$AppCode]["ULV"],
												$rvar_ger_id, $inv[0]);
			echo "<td>$klammer</td>\n";
			echo "<td" . stwToolTip("gepr&uuml;ft durch " . pers_name($inv['pers_id']));
			echo ">" . pers_initialen($inv['pers_id']) . "</td>";
			if($ulv >= 97) {
				echo "<td><a href=\"ger_and.php?bereich=$rvar_bereich&amp;ger_id=$rvar_ger_id&amp;del=$inv[0]\" ";
				echo stwToolTip("<b>Vorsicht!</b> Eintrag l&ouml;schen") . " style=\"color:red\">X</a></td>\n";
			}
			echo "</tr>\n";
		}
	}
	if($ger[13] > 0 && $rvar_edit == 'O') {
		echo "<form action=\"ger_and.php\" name=\"invForm\" method=\"post\">\n";
		echo "<input type=\"hidden\" name=\"inv_id\" value=\"O\">\n";
		echo "<input type=\"hidden\" name=\"ger_id\" value=\"$rvar_ger_id\">\n";
		echo "<input type=\"hidden\" name=\"bereich\" value=\"$rvar_bereich\">\n";
		echo "<input type=\"hidden\" name=\"inventurnotizen\" value=\"$ger[12]\"/>";
		echo "<tr><td>";
		$ic2 = ($ger[11] > 0) ? 1 : 0;
		echo "<input type=\"hidden\" name=\"inventur_check2\" value=\"$ic2\">\n";
		echo "<input type=\"checkbox\" name=\"inventur_check\" value=\"1\"";
		echo stwToolTip("Pr&uuml;fung durchgef&uuml;hrt");
		if($ger[11] > 0) {
			echo " checked";
			if($ulv < 97) echo " disabled";
		}
		echo "></td><th>Inv.</th>";
		echo "<td><a href=\"#\" onmousedown=\"doTT()\" oncontextmenu=\"return false;\">";
		if(strlen($ger[12]) == 0) echo "<img id=\"NotizIcon\" src=\"" . Image("daten") . "\">";
		else echo "<img id=\"NotizIcon\" " . stwToolTip($ger[12]) . " src=\"" . Image("daten",16,16,0,255,0) . "\">";
		echo "</a></td><th";
		if($ger[13] > 0) echo stwToolTip("gepr&uuml;ft durch " . pers_name($ger[13]));
		echo ">";
		if($ulv >= 97) echo "<input type=\"text\" type=\"text\" name=\"inventur_date\" size=\"11\" maxlength=\"10\" value=\"";
		if($ger[11] > 0) echo date('d.m.Y',$ger[11]);
		if($ulv >= 97) echo "\" />";
		echo "</th><td><input type=\"image\" src=\"img/senden.png\" /></td></tr></form>\n";
	} elseif($ger[13] > 0) {
		$link = "ger_and.php?bereich=$rvar_bereich&amp;ger_id=$rvar_ger_id&amp;edit=O";
		echo "<tr><td";
		if($ger[11] > 0) {
			echo stwToolTip("Pr&uuml;fung durchgef&uuml;hrt");
			echo "><a href=\"$link\"><img src=\"img/checked.png\" /></a>";
		} else {
			echo stwToolTip("Pr&uuml;fung noch nicht durchgef&uuml;hrt");
			echo "><a href=\"$link\"><img src=\"img/unchecked.png\" /></a>";
		}
		echo "</td><td><a href=\"$link\"".stwToolTip("Inventur").">Inv.</a></td><td>";
		if(strlen($ger[12]) == 0) echo "<img src=\"" . Image("daten") . "\">";
		else echo "<img " . stwToolTip($ger[12]) . " src=\"" . Image("daten",16,16,0,255,0) . "\">";
		echo "</td><td><a href=\"$link\">";
		if($ger[11] > 0) echo date('d.m.Y',$ger[11]);
		echo "</td><td" . stwToolTip("gepr&uuml;ft durch " . pers_name($ger[13]));
		echo ">" . pers_initialen($ger[13]) . "</td>\n";
		if($ulv >= 97) {
			echo "<td><a href=\"ger_and.php?bereich=$rvar_bereich&amp;ger_id=$rvar_ger_id&amp;del=O\" ";
			echo stwToolTip("<b>Vorsicht!</b> Eintrag l&ouml;schen") . " style=\"color:red\">X</a></td>\n";
		}
		echo "</tr>\n";
	}
	echo "</table>\n";
}
echo "</td></tr></table>\n";
new stwEnd($seite);
?>