<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ger_kat.php 2892 2018-10-15 04:31:34Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues */
$seite = 44;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 11);

require_once($pfad."inc/func.inc.php");
if(isset($_POST['back']) || $_REQUEST['save'] == 'Kategorie speichern') {
	if(isset($_POST['kat_id'])) $kat_id = $_POST['kat_id'];
	if(isset($_POST['verknupf']) && is_array($_POST['verknupf'])) {
		$verknupf = "'";
		if(in_array('p',$_POST['verknupf'])) $verknupf .= 'p';
		if(in_array('m',$_POST['verknupf'])) $verknupf .= 'm';
		if(in_array('k',$_POST['verknupf'])) $verknupf .= 'k';
		$verknupf .= "'";
	} else $verknupf = 'NULL';
	$sql  = ($_POST['todo'] == "new") ? 'insert into ' : 'update ';
	$sql .= "tb_ger_kat set kuerzel = '{$_POST['kuerzel']}',
				name = '{$_POST['name']}', verknupf = $verknupf, 
				turnus_e = '{$_POST['turnus_e']}', 
				turnus_i = '{$_POST['turnus_i']}'";
	$sql .= (empty($kat_id)) ? ';' : " where kat_id = $kat_id;";
	abfrage2($sql);
}

if (($_POST['todo'] == "del") && ($ulv >= 65 
 || check_nutzer_rechte(61) || check_nutzer_rechte(73) || check_nutzer_rechte(74))) {
	if(isset($_POST['kat_id'])) {
		$kat_id = intval($_POST['kat_id']);
		$sql  = "DELETE FROM tb_ger_kat ";
		$sql .= "WHERE kat_id = '$kat_id' limit 1;";
		abfrage2($sql);
	}
}

if(isset($_POST['back'])) header("Location: ger_and.php?bereich={$_POST['bereich']}&ger_id={$_POST['ger_id']}");

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');


echo "<form action=\"ger_kat.php\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"bereich\" value=\"{$_REQUEST['bereich']}\">\n";
$todo = isset($_GET['todo']) ? $_GET['todo'] : "new";
if(isset($_GET['kat_id'])) {
	$kat_id = $_GET['kat_id'];
	echo "<input type=\"hidden\" name=\"kat_id\" value=\"$kat_id\">\n";
}
if ($_REQUEST['ger_id'] > 0){
	echo "<input type=\"hidden\" name=\"ger_id\" ";
	echo "value=\"{$_REQUEST['ger_id']}\">\n";
}

echo "<table>\n";

$ti = 1;
if(($todo != "new") && (isset($kat_id))) {
	$sql = "select kuerzel, name, verknupf, turnus_e, turnus_i from tb_ger_kat where kat_id=$kat_id;";
	$kat = abfrage($sql);
}
echo "<tr><th class=\"cl11\">K&uuml;rzel:</th>\n";
echo "<td><input type=\"text\" name=\"kuerzel\" size=\"4\" maxlength=\"3\" ";
if(isset($kat)) echo "value=\"$kat[0]\" ";
if($todo == "del") echo "readonly ";
echo "tabindex=\"$ti\">"; $ti++;
echo "</td><td width=\"50\">&nbsp;</td><td class=\"cl1\"><input type=\"checkbox\" name=\"verknupf[]\" value=\"p\"";
if(isset($kat) && $kat[2][0]=='p') echo " checked";
$pc = abfrage("select name from tb_web_seite where seite='53'");
echo stwToolTip("Eintr&auml;ge dieser Kategorie mit<br>$pc[0]-Eintr&auml;gen verkn&uuml;pfbar machen",false);
echo "></td><th>$pc[0]</th></tr>\n";

echo "<tr><th class=\"cl11\">Kategorie:</th>\n";
echo "<td><input type=\"text\" name=\"name\" size=\"50\" ";
if(isset($kat)) echo "value=\"$kat[1]\" ";
if($todo == "del") echo "readonly ";
echo "tabindex=\"$ti\"></td>";
echo "</td><td width=\"50\">&nbsp;</td><td class=\"cl1\"><input type=\"checkbox\" name=\"verknupf[]\" value=\"m\"";
if(isset($kat) && strpos($kat[2],'m')!==false) echo " checked";
echo stwToolTip("Eintr&auml;ge dieser Kategorie mit<br>Mobiltelefonen verkn&uuml;pfbar machen",false);
echo "></td><th>Mobil</th></tr>\n";

echo "<tr><th class=\"cl11\">Turnus:</th>\n";
echo "<td><table cellpadding=\"0\"><tr>";
echo "<td>Elektropr&uuml;fung aller</td>";
echo "<td><input type=\"text\" size=\"3\" name=\"turnus_e\" ";
if(isset($kat)) echo "value=\"$kat[3]\" ";
echo "style=\"text-align:center\" /></td>";
echo "<td class=\"cl11\">Monate</td>";
echo "<td>Inspektion aller</td>";
echo "<td><input type=\"text\" size=\"3\" name=\"turnus_i\" ";
if(isset($kat)) echo "value=\"$kat[4]\" ";
echo "style=\"text-align:center\" /></td>";
echo "<td class=\"cl11\">Monate</td>";
echo "</tr></table></td>\n";
echo "</td><td width=\"50\">&nbsp;</td><td class=\"cl1\"><input type=\"checkbox\" name=\"verknupf[]\" value=\"k\"";
if(isset($kat) && substr($kat[2],-1)=='k') echo " checked";
echo stwToolTip("Eintr&auml;ge dieser Kategorie mit<br>Schl&uuml;ssel verkn&uuml;pfbar machen",false);
echo "></td><th>Schl&uuml;ssel</th></tr>\n";

echo "</table>\n";
if($todo == "del") {
	$sql = "select ger_id, name from tb_ger where kat_id=$kat_id";
	$res = abfrage1($sql);
	if((mysql_num_rows($res)>0) || ($kat_id == 0)) {
		echo "<h1>L&ouml;schen nicht m&ouml;glich, es existieren noch Verweise!</h1>\n";
		echo "<ul>\n";
		while ($zeile = mysql_fetch_row($res)) {
			if(empty($zeile[1])) $zeile[1] = "<span style=\"color:red\">- LEER -</span>";
			echo "<li><a href=\"ger_and.php?ger_id=$zeile[0]\">$zeile[1]</a></li>\n";
		}
		echo "</ul>\n";
		$todo = "back";
	}
}
new stwLine(2);
if($todo == "del") $val = "Kategorie l&ouml;schen";
else if($todo == "back") $val = "zur&uuml;ck";
else $val = "Kategorie speichern";
echo "<input type=\"hidden\" name=\"todo\" value=\"$todo\">\n";
echo "<table style=\"width:750px\"><tr><td>";
if ($_REQUEST['ger_id'] > 0) echo "<input type=\"submit\" name=\"back\" tabindex=\"$ti\" value=\"Speichern &amp; zur&uuml;ck\">";
echo "</td><td style=\"text-align:right\"><input type=\"submit\" name=\"save\" tabindex=\"$ti\" value=\"$val\"></td></tr></table>\n";
echo "</form>\n";

new stwLine(1);

echo "<table style=\"width:750px\"><tr><td width=\"100%\">&nbsp;</td><td>";
echo "<table><tr><th colspan=\"2\">Kategorien:</th>";
echo "<td><input type=\"button\" value=\"neu\" ";
$link = "ger_kat.php?bereich=$rvar_bereich&todo=new";
if ($_REQUEST['ger_id'] > 0) $link .= "&ger_id=$rvar_ger_id";
echo "onClick=\"self.location.href='$link'\"></td>\n";
echo "</tr>";
new stwTabLine(2,3);
$sql = "select kat_id, kuerzel, name from tb_ger_kat order by kuerzel asc";
$kats = abfrage1($sql);
while($kat = mysql_fetch_row($kats)) {
	echo "<tr><th><a href=\"ger_kat.php?bereich=$rvar_bereich&todo=ren&kat_id=$kat[0]";
	if ($_REQUEST['ger_id'] > 0) echo "&ger_id=$rvar_ger_id";
	echo "\">$kat[1]</a></th><td>$kat[2]</td><td style=\"text-align:center\">";
	$res = abfrage1("select ger_id, name from tb_ger where kat_id=$kat[0]");
	echo "<a href=\"ger_kat.php?bereich=$rvar_bereich&todo=del&kat_id=$kat[0]";
	if ($_REQUEST['ger_id'] > 0) echo "&ger_id=$rvar_ger_id";
	$color = (mysql_num_rows($res) == 0) ? 'red' : 'grey';
	echo "\" style=\"color:$color\">X</a></td></tr>\n";
}
echo "</table></td></tr></table>\n";
new stwEnd($seite);
?>
