<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: auth.inc.php 1871 2011-12-16 20:23:23Z tfreudenberg $
 *
 */

 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);
 require_once($pfad."conf/conf.inc.php");

 /* Variable initialisieren die zeigt ob alles ok ist */
 $passed = true;

 /* Anmeldung vorhanden */
 if ($_SESSION[$AppCode]["OK"]) {
	if ($_SESSION[$AppCode]["IP"] != $_SERVER["REMOTE_ADDR"]) {
		$passed = false;
	}
 } else {
	$passed = false;
 }

 /* ohne Anmeldung oder Session abgelaufen */
 if (!$passed) {
	$dots = '';
	$letzter = strripos($_SERVER['PHP_SELF'], '/');
	$substr = substr($_SERVER['PHP_SELF'], 0, $letzter);
	$letzter = strripos($substr, '/');
	/* im konf-Verzeichnis? */
	if(substr($substr, $letzter) == '/konf') $dots = '../';
	else {
		$substr = substr($substr, 0, $letzter);
		$letzter = strripos($substr, '/');
		/* in einem Mandanten-Verzeichnis? */
		if(substr($substr, $letzter) == '/mandant') $dots = '../../';
	}
	/* zurueck zur Anmeldung */
	$_SESSION[$AppCode]["OLDSITE"]=$_SERVER['PHP_SELF'];
	header("Location: ".$dots."anmeldung.php?session=1");
 }
?>
