<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: html.php 881 2008-02-06 21:13:08Z dschniegler $
 *
 */

 /*
  * Gibt einen Standardkonformen HTML Header aus. Der Titel wird als
  * Funktionsparamter erwartet.
  */
 function send_html_header($html_title)
 {
   printf("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">");
   printf("\n<html>\n<head>\n");

   printf("<meta http-equiv=\"content-type\" content=\"text/html; ");
   printf("charset=iso-8859-1\">\n");

   printf("<title>%s</title>\n</head>\n", $html_title);
   printf("<body>\n");
 }

 /*
  * Schliesst eine HTML Seite ab.
  */
 function send_html_tail()
 {
   printf("</body>\n</html>\n");
 }

?>
