<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: info.php 2920 2018-12-03 17:25:30Z tfreudenberg $
 *
 */
session_start();
$seite = 11;

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 8);

if (isset($_POST['chg'])) {
	require_once($pfad."inc/func.inc.php");
	extern();
	extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

	if(isset($rvar_info_id)) {
		$info = abfrage_assoc("select * from tb_info where info_id = '$rvar_info_id'");
	} else $info = array();

	$sql  = (isset($rvar_info_id)) ?	'update ' : 'insert into ';
	$sql .= "tb_info SET info = '$rvar_info', text = '$rvar_text', ";
	$sql .= "stichworte = '$rvar_stichworte', notizen = '$rvar_notizen', ";
	$sql .= "stellware = '" . intval($rvar_stellware) . "'";
	$sql .= (isset($rvar_info_id)) ? " where info_id = $rvar_info_id;" : ";";
	abfrage2($sql);

	$id = isset($rvar_info_id) ? $rvar_info_id : mysql_insert_id();

	$weblinks = abfrage1("select weblink_id, link, link_name from tb_weblinks where seite='info' and id='$id'");
	while($weblink = mysql_fetch_row($weblinks)) {
		$link = $_POST['url' . $weblink[0]];
		$link_name = $_POST['url_name' . $weblink[0]];
		if($link != $weblink[1] || $link_name != $weblink[2]) {
			abfrage2("update tb_weblinks set link='$link', link_name='$link_name' where weblink_id='$weblink[0]'");
			$info = array();
		}
	}
	if(!empty($rvar_url_name0) || !empty($rvar_url0)) {
		abfrage2("insert into tb_weblinks set seite='info', id='$id', link='$rvar_url0', link_name='$rvar_url_name0'");
		$info = array();
	}
	if(!empty($rvar_del)) {
		abfrage2("delete from tb_weblinks where weblink_id='$rvar_del'");
		$info = array();
	}
	if($info['info'] != $rvar_info || $info['text'] != $rvar_text || $info['stichworte'] != $rvar_stichworte || $info['stellware'] != intval($rvar_stellware)) {
		$last = abfrage("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i'), verlauf_id from tb_info_verlauf where info_id='$rvar_info_id' order by verlauf_id desc limit 1");
		if($last[0] == $_SESSION[$AppCode]['UID']) abfrage2("update tb_info_verlauf set zeit=now() where verlauf_id='$last[2]'");
		else abfrage2("insert into tb_info_verlauf set info_id='$id', pers_id='{$_SESSION[$AppCode]['UID']}'");
	}
	if($rvar_chg == 2) {
		header("Location: info_and.php?info_id=$id");
		exit(0);
	}
}

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');
require_once($pfad . 'inc/stwDaten.inc.php');

$rechte_id = 19;

$self = $_SERVER['PHP_SELF'];

if($ulv >= 96 && isset($_GET['del'])) {
	abfrage2("delete from tb_weblinks where seite='info' and id='{$_GET['del']}'");
	abfrage2("delete from tb_info where info_id='{$_GET['del']}'");
}

// Suchfunktion
echo "<table><tr><form method=\"post\" action=\"$self\">\n";
echo "<th class=\"cl11\">Suchen:</th>\n<td><input type=\"text\" ";
echo "name=\"suche\" size=\"50\" maxlength=\"100\"></td>";
echo "<td class=\"cl20\"><input type=\"submit\" value=\"Suche!\"><td>\n";

if ($ulv >= 30) {
	echo "<td><input type=\"button\" value=\"Neu\" ";
	echo "onClick=\"self.location.href='info_and.php'\"></td>\n";
}

echo "</form>\n";
echo "</tr></table>\n";

new stwLine(2);

if (isset($rvar_suche)){
    $sql  = "select * from tb_info where info like '%$rvar_suche%' ";
    $sql .= "or text like '%$rvar_suche%' or notizen like '%$rvar_suche%' ";
    $sql .= "or stichworte like '%$rvar_suche%' order by info asc;";
} else {
    // gesamte Liste ausgeben
    $sql = "select * from tb_info order by info asc;";
}
$res = abfrage1($sql);

echo "<table>\n";

while ($zeile = mysql_fetch_row($res)) {
	if ($zeile[3] == 1) {
		$style = "style=\"color:#FFFF00;\"" . stwToolTip('betrifft Stellware');
	} else {
		$style = '';
	}
	if(empty($zeile[1])) {
		$style = "style=\"color:#FF0000;\"" . stwToolTip('kein Kurzname!');
		$zeile[1] = "LEER!";
	}
	echo "<tr>\n<td class=\"cl11\" $style>";
	if ($ulv >= 30) {
		echo "<a href=\"info_and.php?info_id=$zeile[0]\" $style>$zeile[1]</a>";
	} else {
		echo $zeile[1];
	}
	echo "</td>\n";

	echo "<td class=\"cl1\">";
	$daten = new stwDaten($rechte_id);
	$link  = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $zeile[0], 0);
	echo $link . "</td>\n";

	$weblinks = abfrage1("select weblink_id, link_name, link from tb_weblinks where seite='info' and id='$zeile[0]'");
	if(mysql_num_rows($weblinks) == 0) $weblink = '';
	elseif(mysql_num_rows($weblinks) == 1) {
		$wl = mysql_fetch_row($weblinks);
		$weblink = "<a href=\"";
		if(substr($wl[2],0,4) != 'http') $weblink .= "http://";
		$weblink .= $wl[2];
		$weblink .= "\"" . stwToolTip((empty($wl[1]) ? '' : '<b>'.$wl[1].'</b><br>' ) . $wl[2]);
		$weblink .= " target=\"_blank\">";
		$weblink .= "<img src=\"".image('welt')."\" alt=\"www\" /></a>\n";
	} else {
		$wl = mysql_fetch_row($weblinks);
		$weblink = "<a href=\"";
		if(substr($wl[2],0,4) != 'http') $weblink .= "http://";
		$weblink .= $wl[2];
		$tt = '';
		do {
			$tt .= "<a href=\"";
			if(substr($wl[2],0,4) != 'http') $tt .= "http://";
			$tt .= $wl[2];
			$tt .= "\" target=\"_blank\">";
			$tt .= "<img src=\"".image('welt')."\" alt=\"www\" />";
			$tt .= "<b style=\"position:relative;top:-4px;margin:2px;color:#FFCC00\">$wl[1]</b></a><br>";
		} while($wl = mysql_fetch_row($weblinks));
		$weblink .= "\"" . stwToolTipFixed($tt,'Weblinks');
		$weblink .= " target=\"_blank\">";
		$weblink .= "<img src=\"".image('welt')."\" alt=\"www\" /></a>\n";		
	}
	echo "<td class=\"cl1\">$weblink</td>\n";
	echo "<td>$zeile[2]</td>";
	if($ulv >= 96 && $zeile[1] == "LEER!") {
		echo "<td><a href=\"info.php?del=$zeile[0]\" style=\"color:red\"";
		echo stwToolTip("<b>Vorsicht!</b> Info l&ouml;schen");
		echo "onclick=\"return confirm('Info wirklich endg&uuml;ltig l&ouml;schen?')\"";
		echo ">X</a></td>";
	}
	echo "</tr>\n";
}
echo "<table>\n";
new stwLine(1);
new stwEnd($seite);
?>
