<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kasse.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
session_start();
$level = 96;
$seite = 66;

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

if($_SESSION[$AppCode]['ULV'] >= 96 && isset($_GET['del'])) {
	echo "<center><table><tr><td class=\"frage\">";
	echo "Wollen Sie die Kassenpr&uuml;fung wirklich l&ouml;schen?</td></tr>\n";
	new stwTabLine(2,10);
	echo "<tr><td class=\"buttonzeile\">";
	echo "<input class=\"button\" type=\"submit\" ";
	echo "onClick=\"self.location.href='kasse.php?really_del=".$_GET['del']."'\" ";
	echo "value=\"Ja, bitte l&ouml;schen!\">";
	echo "&nbsp;&nbsp;&nbsp;<input class=\"button\" type=\"reset\" ";
	echo "onClick=\"javascript:history.back()\" ";
	echo "value=\"Nein, zur&uuml;ck!\">";
	echo "</td></tr></table></center>\n";
	new stwEnd($seite);
	exit(0);
}
if($_SESSION[$AppCode]['ULV'] >= 96 && isset($_GET['really_del'])) {
	abfrage2("delete from tb_kassenpruefung where kp_id = '{$_GET['really_del']}'");
}

echo "<table><tr>\n";
echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
echo "<input type=\"button\" value=\"neu\"";
echo stwToolTip('neue Kassenpr&uuml;fung erstellen');
echo "onClick=\"self.location.href='kasse_and.php'\">\n";
echo "</td>\n";

$erl = (isset($_GET['erl'])) ? $_GET['erl'] : 0;
$traeger = (isset($_GET['traeger'])) ? $_GET['traeger'] : 0;
$anz = (isset($_GET['anz'])) ? $_GET['anz'] : 'w1';

echo "<form style=\"margin: 0;\" action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
if(isset($_GET['erl'])) echo "<input type=\"hidden\" name=\"erl\" value=\"{$_GET['erl']}\" />\n";
if(isset($_GET['tag'])) echo "<input type=\"hidden\" name=\"tag\" value=\"{$_GET['tag']}\" />\n";
if(isset($_GET['anz'])) echo "<input type=\"hidden\" name=\"anz\" value=\"{$_GET['anz']}\" />\n";
echo "<th class=\"cl1\" style=\"vertical-align:middle\">Tr&auml;ger:</th>\n";
echo "<td class=\"cl1\" style=\"vertical-align:middle\">\n";
echo "<select name=\"traeger\" size=\"1\" onchange=\"this.form.submit()\">";
echo "<option value=\"all\">ALLE</option>\n";
$sql = "SELECT traeger_art_id, kurzname FROM tb_traeger_art";
$res = abfrage1($sql);
while($zeile = mysql_fetch_array($res))
{
	$selected = ($zeile['traeger_art_id'] == $traeger) ? ' selected' : '';
	echo "<option value=".$zeile['traeger_art_id'].$selected.">".$zeile['kurzname']."</option>\n";
}

echo "</select></td></form>\n";

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

if ($erl == 1){
	$erl_txt = 'nur vom GF ungepr&uuml;fte';
	$erl_url = 0;
} else {
	$erl_txt = 'auch gepr&uuml;fte / ausgef&uuml;hrte';
	$erl_url = 1;
}

echo "<td class=\"cl1\"><input type=\"button\" ";
echo "value=\"$erl_txt\" onClick=\"self.location.href='{$_SERVER['PHP_SELF']}?";
if($traeger > 0) echo "traeger=$traeger&";
echo "erl=$erl_url'\"></td>\n";

if($_SESSION[$AppCode]['ULV'] >= 96) {
	echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
	echo "<input type=\"button\" value=\"Kassen verwalten\"";
	echo "onClick=\"self.location.href='kasse_and.php?kassenverwaltung=1'\">\n";
	echo "</td>\n";
}

echo "</tr></table>";

new stwLine(1);

echo "<table>\n<tr>\n<td></td>";
$orgTT = stwToolTip("<b>OrganDarlehen</b><br />Verbindlichkeit: negativ - Forderung: positiv");
echo "<th class=\"cl1\"".stwToolTip("Datum der Kassenpr&uuml;fung").">Datum</th>";
echo "<th class=\"cl1\"".stwToolTip("Kalenderwoche").">KW</th>";
echo "<th class=\"cl1\">Kasse</th>\n";
echo "<th class=\"cl1\">Tr&auml;ger</th>\n";
echo "<th class=\"cl1\"".stwToolTip("Kassenbestand").">KBestand</th>\n";
echo "<th class=\"cl1\">Bedarf</th>\n";
echo "<th class=\"cl1\"".stwToolTip("Bankbestand + Kto und BLZ Referenzbank").">BBestand</th>\n";
echo "<th class=\"cl1\"".stwToolTip("Bankbestand Festgeldkonto + Kto und BLZ Referenzbank").">Festgeld</th>\n";
echo "<th class=\"cl1\" $orgTT>Org. Darlehen</th>\n";
echo "<th class=\"cl1\"".stwToolTip("gew&uuml;nschter Auszahlungs-Betrag").">Transfer</th>\n";
echo "<th class=\"cl1\"".stwToolTip("Kassenbestand nach Transfer").">KBestNeu</th>\n";
echo "<th class=\"cl1\"".stwToolTip("Kassenwart").">KWart</th>\n";
echo "<th class=\"cl1\"".stwToolTip("Kassenpr&uuml;fer").">KPr&uuml;fer</th>\n";
echo "<th class=\"cl1\"".stwToolTip("gepr&uuml;ft/ausgefhrt Gesch&auml;ftsf&uuml;hrer").">GF</th>\n";
echo "</tr>\n";
if($erl == 1) {
	if($anz == 'j') $where = "WHERE year(datum) = '".date('Y', $tag)."'";
	elseif($anz == 'm') $where = "WHERE year(datum) = '".date('Y', $tag)."' AND month(datum) = '".date('m', $tag)."'";
	elseif($anz == 't') $where = "WHERE datum = '".date('Y-m-d', $tag)."'";
	else {
		$wtag = date('w', $tag);
		if ($wtag == 0) $sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		else $sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		$sql_end = $sql_beg + (7 * 86400);
		$where = "WHERE unix_timestamp(datum) >= '$sql_beg' and unix_timestamp(datum) < '$sql_end'";
	}
} else $where = "WHERE (gf_pers_id IS NULL or gf_pers_id <= 0)";
if($traeger > 0) $where .= " AND k.traeger_art_id = '$traeger'";
$kps = abfrage1("select kp.*, k.*, a.*, r.*, f.name as f_name, f.blz as f_blz, 
				f.ktonr as f_ktonr, unix_timestamp(kp.datum) as ts
				from tb_kassenpruefung kp
				left join tb_kasse k using(kasse_id)
				left join tb_traeger_art a using(traeger_art_id)
				left join tb_referenzkonto r using(konto_id)
				left join tb_referenzkonto f on(k.festgeldkonto = f.konto_id)
				$where order by kp.datum asc, k.kasse_id asc");
$lastKW = 0;
while($kp = mysql_fetch_array($kps)) {
	$kw = date('W', $kp['ts']);
	if($lastKW != $kw) {
		new stwTabLine(2,30);
		$lastKW = $kw;
	}
	echo "<tr class=\"mo\">\n";
	echo "<td class=\"cl1\">".strftime('%a', $kp['ts'])."</td>";
	echo "<td class=\"cl1\"><a href=\"kasse_and.php?kp_id=" . $kp['kp_id'] . "\">" . date_my2gr($kp['datum']) . "</a></td>\n";
	echo "<td style=\"text-align:center\">$kw</td>";
	echo "<td class=\"cl1\">" . $kp['bezeichnung'] . "</td>\n";
	echo "<td class=\"cl1\" style=\"text-align:center;color:".$kp['farbe']."\"".stwToolTip($kp['traeger_art']).">" . $kp['kurzname'] . "</td>\n";
	$wostr = "H&ouml;chstbetrag Woche: " . $kp['wo_max'];
	$westr = "H&ouml;chstbetrag Wochenende: " . $kp['we_max'];
	if($kp['bestand'] >= $kp['wo_max']) $co_tt = "style=\"color:red;text-align:right;\"" . stwToolTip("<b>$wostr</b><br>$westr", false);
	elseif($kp['bestand'] > $kp['we_max']) $co_tt = "style=\"color:#FF9900;text-align:right;\"" . stwToolTip("$wostr<br><b>$westr</b>", false);
	else $co_tt = "style=\"color:#00FF00;text-align:right;\"" . stwToolTip("$wostr<br>$westr", false);
	echo "<td class=\"cl1\" $co_tt>" . geld_form_web($kp['bestand']) . "</td>\n";
	echo "<td style=\"text-align:right;\" class=\"cl1\"".(empty($kp['notizen']) ? '' : stwToolTip($kp['notizen'])).">" . geld_form_web($kp['bedarf']) . "</td>\n";
	$tt = stwToolTip("<b>".$kp['name']."</b><br>BLZ: ".$kp['blz']."<br>Kto: ".$kp['ktonr'], false);
	echo "<td style=\"text-align:right;\" class=\"cl1\" $tt>" . geld_form_web($kp['bankbestand']) . "</td>\n";
	$tt = stwToolTip("<b>".$kp['f_name']."</b><br>BLZ: ".$kp['f_blz']."<br>Kto: ".$kp['f_ktonr'], false);
	echo "<td style=\"text-align:right;\" class=\"cl1\" $tt>" . geld_form_web($kp['festgeld']) . "</td>\n";
	$co = ($kp['orgdarlehen'] < 0) ? 'color:red;' : '';
	echo "<td style=\"text-align:right;$co\" class=\"cl1\" $orgTT>" . geld_form_web($kp['orgdarlehen']) . "</td>\n";
	echo "<td style=\"text-align:right;\" class=\"cl1\">" . geld_form_web($kp['transfer']) . "</td>\n";
	$bestand_neu = $kp['bestand'] + $kp['transfer'];
	if($bestand_neu >= $kp['wo_max']) $co_tt = "style=\"color:red;text-align:right;\"" . stwToolTip("<b>$wostr</b><br>$westr", false);
	elseif($bestand_neu > $kp['we_max']) $co_tt = "style=\"color:#FF9900;text-align:right;\"" . stwToolTip("$wostr<br><b>$westr</b>", false);
	else $co_tt = "style=\"color:#00FF00;text-align:right;\"" . stwToolTip("$wostr<br>$westr", false);
	echo "<td class=\"cl1\" $co_tt>".geld_form_web($bestand_neu)."</td>\n";
	if(empty($kp['kassenwart_pers_id'])) echo "<td></td>\n";
	else {
		$tt = stwToolTip(date('d.m.Y H:i', $kp['kassenwart_ts']));
		echo "<td class=\"cl1\" $tt>".pers_kname($kp['kassenwart_pers_id'])."</td>\n";
	}
	if(empty($kp['kassenpruefer_pers_id'])) echo "<td></td>\n";
	else {
		$tt = stwToolTip(date('d.m.Y H:i', $kp['kassenpruefer_ts']));
		echo "<td class=\"cl1\" $tt>".pers_kname($kp['kassenpruefer_pers_id'])."</td>\n";
	}
	if(empty($kp['gf_pers_id'])) echo "<td></td>\n";
	else {
		$tt = stwToolTip(date('d.m.Y H:i', $kp['gf_ts']));
		echo "<td class=\"cl1\" $tt>".pers_kname($kp['gf_pers_id'])."</td>\n";
	}
	$daten = new stwDaten("29");
	$link= $daten->get_klammer_link($_SESSION["webdir"],
									$_SESSION[$AppCode]["UID"],
									$_SESSION[$AppCode]["ULV"],
									$kp['kp_id'], "0");
	echo "<td style=\"text-align:right\">$link <a href=\"kasse_pr.php?kp_id=".$kp['kp_id']."&ts=" . time() . "\" target=\"_pdf\">";
	$tt = stwToolTip(($kp['transfer'] < 0) ? "Ausgabebeleg drucken" : "Einnahmebeleg drucken");
	echo "<img src=\"img/drucker.png\" $tt></a></td>\n";
	if($_SESSION[$AppCode]['ULV'] >= 96) {
		echo "<td><a href=\"kasse.php?del=".$kp['kp_id']."\" style=\"color:red\">X</a></td>\n";
	}
	echo "</tr>\n";
}

echo "</table>\n";
new stwLine(1);
new stwEnd($seite, $erl); 
?>