	<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kasse_and.php 2861 2018-05-24 06:33:23Z tfreudenberg $
 *
 */
session_start();
$level = 96;
$seite = 66;

/* Kassenpruefung speichern */
if(isset($_POST['save'])) {
	require("inc/func.inc.php");
	$bestand = $_POST['bestand'];
	if(substr($bestand,-3,1)=='.') $bestand=substr($bestand,0,-3).','.substr($bestand,-2);
	$bestand = str_replace(".","",$bestand);
	$bedarf = $_POST['bedarf'];
	if(substr($bedarf,-3,1)=='.') $bedarf=substr($bedarf,0,-3).','.substr($bedarf,-2);
	$bedarf = str_replace(".","",$bedarf);
	$bankbestand = $_POST['bankbestand'];
	if(substr($bankbestand,-3,1)=='.') $bankbestand=substr($bankbestand,0,-3).','.substr($bankbestand,-2);
	$bankbestand = str_replace(".","",$bankbestand);
	$festgeld = $_POST['festgeld'];
	if(substr($festgeld,-3,1)=='.') $festgeld=substr($festgeld,0,-3).','.substr($festgeld,-2);
	$festgeld = str_replace(".","",$festgeld);
	$orgdarlehen = $_POST['orgdarlehen'];
	if(substr($orgdarlehen,-3,1)=='.') $orgdarlehen=substr($orgdarlehen,0,-3).','.substr($orgdarlehen,-2);
	$orgdarlehen = str_replace(".","",$orgdarlehen);
	$transfer = $_POST['transfer'];
	if(substr($transfer,-3,1)=='.') $transfer=substr($transfer,0,-3).','.substr($transfer,-2);
	$transfer = str_replace(".","",$transfer);
	$sql  = empty($_POST['kp_id']) ? "insert into " : "update ";
	$sql .= "tb_kassenpruefung set datum = '".date_gr2my($_POST['datum'])."', ";
	$sql .= "kasse_id = '".$_POST['kasse_id']."', ";
	$sql .= "bestand = '".str_replace(",",".",$bestand)."', ";
	$sql .= "bedarf = '".str_replace(",",".",$bedarf)."', ";
	$sql .= "notizen = '".$_POST['notizen']."', ";
	$sql .= "bankbestand = '".str_replace(",",".",$bankbestand)."', ";
	$sql .= "festgeld = '".str_replace(",",".",$festgeld)."', ";
	$sql .= "orgdarlehen = '".str_replace(",",".",$orgdarlehen)."', ";
	$sql .= "transfer = '".str_replace(",",".",$transfer)."'";
	$kw = abfrage("select kassenwart_pers_id, kassenpruefer_pers_id, gf_pers_id, kassenwart_ts, kassenpruefer_ts, gf_ts from tb_kassenpruefung where kp_id='".$_POST['kp_id']."'");
	if(empty($_POST['kassenwart']) && $kw[0]>0 && $kw[1]<=0 && $kw[2]<=0) {
		$sql .= ", kassenwart_pers_id = '".($_SESSION[$AppCode]['UID'] * -1)."', kassenwart_ts = unix_timestamp(now())";
	} elseif(!empty($_POST['kassenwart']) && $kw[0]<=0 && $kw[1]<=0 && $kw[2]<=0) {
		$sql .= ", kassenwart_pers_id = '" . $_SESSION[$AppCode]['UID'] . "', kassenwart_ts = unix_timestamp(now())";
	} else $sql .= ", kassenwart_pers_id = '$kw[0]', kassenwart_ts = '$kw[3]'";
	if(empty($_POST['kassenpruefer']) && $kw[1]>0 && $kw[2]<=0) {
		$sql .= ", kassenpruefer_pers_id = '".($_SESSION[$AppCode]['UID'] * -1)."', kassenpruefer_ts = unix_timestamp(now())";
	} elseif(!empty($_POST['kassenpruefer']) && $kw[1]<=0 && $kw[2]<=0) {
		$sql .= ", kassenpruefer_pers_id = '" . $_SESSION[$AppCode]['UID'] . "', kassenpruefer_ts = unix_timestamp(now())";
	} else $sql .= ", kassenpruefer_pers_id = '$kw[1]', kassenpruefer_ts = '$kw[4]'";
	if(empty($_POST['gf']) && $kw[2]>0) {
		$sql .= ", gf_pers_id = '".($_SESSION[$AppCode]['UID'] * -1)."', gf_ts = unix_timestamp(now())";
	} elseif(!empty($_POST['gf']) && $kw[2]<=0) {
		$sql .= ", gf_pers_id = '" . $_SESSION[$AppCode]['UID'] . "', gf_ts = unix_timestamp(now())";
	} else $sql .= ", gf_pers_id = '$kw[2]', gf_ts = '$kw[5]'";
	if(!empty($_POST['kp_id'])) $sql .= " where kp_id = '".$_POST['kp_id']."'";
	abfrage2($sql);
	header("Location: kasse.php");
}
require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pers_order = getPersOrder($seite);

/* Kassenverwaltung */
if($rvar_kassenverwaltung == 1 && $_SESSION[$AppCode]['ULV'] >= 96) {
	if(isset($_POST['kvsave'])) {
		$sql  = (empty($rvar_kasse)) ? "INSERT INTO" : "UPDATE";
		$sql .= " tb_kasse SET nr = '$rvar_nr', ";
		$sql .= "bezeichnung = '$rvar_bezeichnung', ";
		$sql .= "traeger_art_id = '$rvar_traeger', ";
		$sql .= "konto_id = '$rvar_konto_id', ";
		$sql .= "festgeldkonto = '$rvar_festgeldkonto', ";
		$sql .= "wo_max = '$rvar_wo_max', ";
		$sql .= "we_max = '$rvar_we_max'";
		if(!empty($rvar_kasse)) $sql .= " WHERE kasse_id = '$rvar_kasse'";
		abfrage2($sql);
	}
	echo "<table width=\"750\" cellspacing=\"0\" cellpadding=\"0\"><tr><td width=\"374\">";
	echo "<table width=\"100%\"><tr><th colspan=\"7\">";
	echo "<input type=\"button\" value=\"neu\"";
	echo stwToolTip('neue Kasse erstellen');
	echo "onClick=\"self.location.href='kasse_and.php?kassenverwaltung=1&neu=1'\">\n";
	echo "&nbsp; Kassenverwaltung</th></tr>\n";
	new stwTabLine(1,30);
	if(empty($rvar_kasse_id) && $rvar_neu != 1) {
		$kassen = abfrage1("select * from tb_kasse k left join tb_traeger_art a using(traeger_art_id)");
		if(mysql_num_rows($kassen) == 0) $rvar_neu == 1;
		else {
			echo "<tr>\n<th class=\"cl1\">Nr.</th>\n";
			echo "<th class=\"cl1\">Bezeichnung</th>\n";
			echo "<th class=\"cl1\"".stwToolTip("Tr&auml;ger").">Tr.</th>\n";
			echo "<th class=\"cl1\">Kto</th>\n";
			echo "<th class=\"cl1\"".stwToolTip("Maximal-Bestand Woche").">Max Wo</th>\n";
			echo "<th class=\"cl1\"".stwToolTip("Maximal-Bestand Wochenende").">Max WE</th>\n</tr>\n";
			new stwTabLine(2,30);
			while ($kasse = mysql_fetch_array($kassen)){
				echo "<tr class=\"mo\">\n";
				echo "<td class=\"cl1\"><a href=\"kasse_and.php?kassenverwaltung=1&kasse_id=" . $kasse['kasse_id'];
				if(empty($kasse['nr'])) echo "\"" . stwToolTip('keine Nr. eingegeben') . "style=\"color:red\">LEER!</a></td>\n";
				else echo "\">" . $kasse['nr'] . "</a></td>\n";
				echo "<td class=\"cl1\"" . (empty($kasse['bezeichnung']) ? '' : stwToolTip($kasse['bezeichnung'])) . ">";
				echo strCut($kasse['bezeichnung'], 20) . "</td>\n";
				echo "<td class=\"cl1\" style=\"text-align:center;color:".$kasse['farbe']."\"".stwToolTip($kasse['traeger_art']).">" . $kasse['kurzname'] . "</td>\n";
				echo "<th class=\"cl1\" style=\"text-align:center;\">" . $kasse['konto_id'] . "</th>\n";
				echo "<td class=\"cl1\">" . geld_form_web($kasse['wo_max']) . "</td>\n";
				echo "<td class=\"cl1\">" . geld_form_web($kasse['we_max']) . "</td>\n";
				echo "</tr>";
			}
		}
	}
	if(!empty($rvar_kasse_id) || $rvar_neu == 1) {
		if(!empty($rvar_kasse_id)) {
			$kasse = abfrage_assoc("select * from tb_kasse where kasse_id='$rvar_kasse_id'");
		} else $kasse=array();
		echo "<form action=\"kasse_and.php?kassenverwaltung=1\" method=\"post\">\n<table>\n";
		if(!empty($rvar_kasse_id)) echo "<input type=\"hidden\" name=\"kasse\" value=\"$rvar_kasse_id\">\n";
		echo "<tr><th class=\"cl1\">Nr.:</th>\n";
		echo "<td><input type=\"text\" name=\"nr\" size=\"5\" maxlength=\"10\" value=\"".$kasse['nr']."\"></td></tr>\n";
		echo "<tr><th class=\"cl1\">Bezeichnung:</th>\n";
		echo "<td><input type=\"text\" name=\"bezeichnung\" size=\"20\" maxlength=\"30\" value=\"".$kasse['bezeichnung']."\"></td></tr>\n";
		echo "<tr><th class=\"cl1\">Tr&auml;ger:</th>\n";
		echo "<td><select name=\"traeger\" size=\"1\">\n";
		echo "<option value=\"0\">Tr&auml;ger w&auml;hlen!</option>\n";
		$trs = abfrage1("SELECT traeger_art_id, traeger_art FROM tb_traeger_art");
		while($tr = mysql_fetch_array($trs)) {
			$selected = $tr[0]==$kasse['traeger_art_id'] ? 'selected' : '';
			echo "<option value=\"$tr[0]\" $selected>$tr[1]</option>\n";
		}
		echo "</select></td></tr>\n";
		echo "<tr><th class=\"cl1\">Referenzkonto:</th>\n";
		echo "<td><select name=\"konto_id\" size=\"1\">\n";
		echo "<option value=\"0\">Konto w&auml;hlen!</option>\n";
		$ktos = abfrage1("SELECT konto_id, name FROM tb_referenzkonto");
		while($kto = mysql_fetch_array($ktos)) {
			$selected = $kto[0]==$kasse['konto_id'] ? 'selected' : '';
			echo "<option value=\"$kto[0]\" $selected>".strCut($kto[1],30)."</option>\n";
		}
		echo "</select></td></tr>\n";
		echo "<tr><th class=\"cl1\">Festgeldkonto:</th>\n";
		echo "<td><select name=\"festgeldkonto\" size=\"1\">\n";
		echo "<option value=\"0\">Konto w&auml;hlen!</option>\n";
		mysql_data_seek($ktos,0);
		while($kto = mysql_fetch_row($ktos)) {
			$selected = $kto[0]==$kasse['festgeldkonto'] ? 'selected' : '';
			echo "<option value=\"$kto[0]\" $selected>".strCut($kto[1],30)."</option>\n";
		}
		echo "</select></td></tr>\n";
		echo "<tr><th class=\"cl1\"".stwToolTip("Maximal-Bestand Woche").">Max Wo</th>\n";
		echo "<td><input type=\"text\" name=\"wo_max\" style=\"text-align:right;\" size=\"10\" maxlength=\"8\" value=\"".$kasse['wo_max']."\"></td></tr>\n";
		echo "<tr><th class=\"cl1\"".stwToolTip("Maximal-Bestand Wochenende").">Max WE</th>\n";
		echo "<td><input type=\"text\" name=\"we_max\" style=\"text-align:right;\" size=\"10\" maxlength=\"8\" value=\"".$kasse['we_max']."\"></td></tr>\n";
		new stwTabLine(2,30);
		echo "<tr><td><input name=\"kvsave\" type=\"submit\" value=\"Speichern!\"></td></tr>\n";
		echo "</form>\n";
		if(!empty($rvar_kasse_id)) {
			if(!empty($rvar_kwart_add))
				abfrage2("REPLACE INTO tbh_kassenwart SET pers_id='$rvar_kwart_add', kasse_id='$rvar_kasse_id'");
			if(!empty($rvar_kpruefer_add))
				abfrage2("REPLACE INTO tbh_kassenpruefer SET pers_id='$rvar_kpruefer_add', kasse_id='$rvar_kasse_id'");
			if(!empty($rvar_kwdel))
				abfrage2("DELETE FROM tbh_kassenwart WHERE pers_id='$rvar_kwdel' AND kasse_id='$rvar_kasse_id'");
			if(!empty($rvar_kpdel))
				abfrage2("DELETE FROM tbh_kassenpruefer WHERE pers_id='$rvar_kpdel' AND kasse_id='$rvar_kasse_id'");
			$leftjoin = "left join tb_personal p using(pers_id)";
			$order = $pers_order==2 ? "order by p.name asc, p.vorname asc" : "order by p.vorname asc, p.name asc";
			$warts = abfrage1("select pers_id from tbh_kassenwart k $leftjoin where k.kasse_id='$rvar_kasse_id' $order");
			$kassenwart_array = array();
			while ($zeile = mysql_fetch_row($warts)) {
				$kassenwart_array[] = $zeile[0];
			}
			$pruefer = abfrage1("select pers_id from tbh_kassenpruefer k $leftjoin where k.kasse_id='$rvar_kasse_id' $order");
			$kassenpruefer_array = array();
			while ($zeile = mysql_fetch_row($pruefer)) {
				$kassenpruefer_array[] = $zeile[0];
			}
			new stwTabLine(1,30);
			$sql = "select pers_id from tb_benutzerrechte r $leftjoin where r.obj_id = '77' $order";
			echo "<form action=\"kasse_and.php?kassenverwaltung=1\" method=\"POST\">\n";
			echo "<input type=\"hidden\" name=\"kasse_id\" value=\"$rvar_kasse_id\">\n";
			echo "<tr><td colspan=\"7\"><table cellspacing=\"0\" cellpadding=\"0\"><tr><td>";
			echo "<table><tr><td colspan=\"2\">";
			echo "<select name=\"kwart_add\" size=\"1\" onchange=\"this.form.submit()\">\n";
			echo "<option value=\"0\">Kassenwart hinzuf&uuml;gen</option>\n";
			$warts = abfrage1($sql);
			while ($zeile = mysql_fetch_row($warts)) {
				if (!in_array($zeile[0], $kassenwart_array)){
					echo "<option value=\"$zeile[0]\">";
					echo ($pers_order==2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
				}
			}
			echo "</select></td></tr>\n";
			foreach($kassenwart_array as $id) {
				echo "<tr><td>".($pers_order==2 ? pers_name2($id) : pers_name($id))."</td>\n";
				echo "<td><a href=\"kasse_and.php?kassenverwaltung=1&kasse_id=$rvar_kasse_id&kwdel=$id\"";
				echo stwToolTip("<b>Vorsicht!</b> Kassenwart l&ouml;schen");
				echo "style=\"color:red\">X</a></td></tr>\n";
			}
			echo "</table></td><td><table><tr><td colspan=\"2\">\n";
			echo "<select name=\"kpruefer_add\" size=\"1\" onchange=\"this.form.submit()\">\n";
			echo "<option value=\"0\">Kassenpr&uuml;fer hinzuf&uuml;gen</option>\n";
			$pruefer = abfrage1($sql);
			while ($zeile = mysql_fetch_row($pruefer)) {
				if (!in_array($zeile[0], $kassenpruefer_array)){
					echo "<option value=\"$zeile[0]\">";
					echo ($pers_order==2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
				}
			}
			echo "</select></td></tr>\n";
			foreach($kassenpruefer_array as $id) {
				echo "<tr><td>".($pers_order==2 ? pers_name2($id) : pers_name($id))."</td>\n";
				echo "<td><a href=\"kasse_and.php?kassenverwaltung=1&kasse_id=$rvar_kasse_id&kpdel=$id\"";
				echo stwToolTip("<b>Vorsicht!</b> Kassenpr&uuml;fer l&ouml;schen");
				echo "style=\"color:red\">X</a></td></tr>\n";
			}
			echo "</table></td></tr></table></td></tr>\n</form>\n";
		}
	}
	echo "</table>\n";
	echo "</td><td width=\"2\" style=\"background-color:#006400\">";
	echo "<img src=\"img/clearpixel.png\" width=\"2\" height=\"1\" border=\"0\" alt=\"\">";
	echo "</td><td style=\"text-align:right\" width=\"374\">";
	/* Referenzkonten */
	if(isset($_POST['safe_ref'])) {
		if($rvar_konto_id == 'neu') {
			abfrage2("insert into tb_referenzkonto set name='$rvar_name', blz='$rvar_blz', ktonr='$rvar_ktonr';");
		} else {
			abfrage2("update tb_referenzkonto set name='$rvar_name', blz='$rvar_blz', ktonr='$rvar_ktonr' where konto_id='$rvar_konto_id';");
		}
	}
	if(isset($_POST['del_ref'])) {
		abfrage2("delete from tb_referenzkonto where konto_id='$rvar_konto_id';");
	}
	$refs = abfrage1("SELECT * FROM tb_referenzkonto order by konto_id desc");
	$new = mysql_num_rows($refs) + 1;
	echo "<table><tr><th colspan=\"7\">Verwaltung Referenzkonten:</th></tr>\n";
	new stwTabLine(1,30);
	echo "<tr><th class=\"cl1\">ID</th><th class=\"cl1\">Name</th><th class=\"cl1\">Kontonr.</th><th class=\"cl1\">BLZ</th></tr>\n";
	new stwTabLine(2,30);
	$ref = array('neu','','','');
	$urlext = "kassenverwaltung=1";
	if($rvar_neu == 1) $urlext .= "&neu=1";
	if(!empty($rvar_kasse_id)) $urlext .= "&kasse_id=$rvar_kasse_id";
	do {
		echo "<form method=\"POST\" action=\"kasse_and.php?$urlext\">";
		echo "<input type=\"hidden\" name=\"konto_id\" value=\"$ref[0]\">\n";
		echo "<tr><th class=\"cl1\" style=\"text-align:center\">$ref[0]</th>\n";
		echo "<td class=\"cl1\"><input type=\"text\" size=\"20\" name=\"name\" value=\"$ref[1]\"></td>\n";
		echo "<td class=\"cl1\"><input type=\"text\" size=\"10\" name=\"ktonr\" value=\"$ref[3]\"></td>\n";
		echo "<td class=\"cl1\"><input type=\"text\" size=\"10\" name=\"blz\" value=\"$ref[2]\"></td>\n";
		echo "<td class=\"cl1\"><input type=\"submit\" name=\"safe_ref\" value=\" $ref[0] \"";
		echo stwToolTip("Speichern");
		echo "style=\"background-color:#333;color:transparent;width:15px;";
		echo "background-image:url(img/enter.png);background-repeat:no-repeat\"></td>\n";
		$ti++;
		if($ref[0] != 'neu') { 
			echo "<td class=\"cl1\"><input type=\"submit\" name=\"del_ref\" value=\"X\"";
			echo stwToolTip("<b>Vorsicht!</b> Lschen!");
			echo "style=\"background-color:#333;color:transparent;width:10px;";
			echo "background-image:url(img/del_kal.png);background-repeat:no-repeat\"></td>\n";
		} 
		echo "</tr>\n</form>\n";
	} while ($ref = mysql_fetch_row($refs));
	echo "</table></td></tr></table>\n";
	
	new stwEnd($seite);
	exit(0);
}

/* Kassenpruefung */
if(!empty($rvar_kp_id)) {
	$daten = abfrage_assoc("select k.*, to_days(k.datum) as days from tb_kassenpruefung k where k.kp_id = '$rvar_kp_id'");
} else $daten = array();
echo "<table width=\"750\" cellpadding=\"0\" cellspacing=\"0\"><tr><td><table>\n";
echo "<tr><th colspan=\"2\">Kassenpr&uuml;fung</th>\n";
echo "<td style=\"text-align:right\">";
if(!empty($rvar_kp_id)) {
	  $stwdaten = new stwDaten("29");
	  $link  = $stwdaten->get_klammer_link($_SESSION["webdir"],
										$_SESSION[$AppCode]["UID"],
										$_SESSION[$AppCode]["ULV"],
										$rvar_kp_id, "0");
	  echo "$link <a href=\"kasse_pr.php?kp_id=".$daten['kp_id']."&ts=" . time() . "\" target=\"_pdf\">";
	$tt = stwToolTip(($daten['transfer'] < 0) ? "Ausgabebeleg drucken" : "Einnahmebeleg drucken");
	echo "<img src=\"img/drucker.png\" $tt></a>";
}
echo "</td></tr>\n";
new stwTabLine(2,30);

echo "<form action=\"kasse_and.php\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"sent\" value=\"1\">\n";
if(!empty($rvar_kp_id)) {
	echo "<input type=\"hidden\" name=\"kp_id\" value=\"$rvar_kp_id\">\n";
}

$kasse_id = empty($rvar_kasse_id) ? (empty($rvar_kp_id) ? 0 : $daten['kasse_id']) : $rvar_kasse_id;
$disabled = false;
if($_SESSION[$AppCode]['ULV'] < 96) {
	$sql = "select * from tbh_kassenwart 
			where pers_id = '".$_SESSION[$AppCode]['UID']."'
			and kasse_id = '$kasse_id'";
	$kws = abfrage1($sql);
	if(mysql_num_rows($kws) == 0) $disabled = true;
}

if(empty($rvar_sent) && !empty($rvar_kp_id)) $kassenwart = ($daten['kassenwart_pers_id'] > 0);
elseif(!empty($rvar_sent)) $kassenwart = (!empty($rvar_kassenwart));
else $kassenwart = false;

if(empty($rvar_sent) && !empty($rvar_kp_id)) $kassenpruefer = ($daten['kassenpruefer_pers_id'] > 0);
elseif(!empty($rvar_sent)) $kassenpruefer = (!empty($rvar_kassenpruefer));
else $kassenpruefer = false;

if(empty($rvar_sent) && !empty($rvar_kp_id)) $gf = ($daten['gf_pers_id'] > 0);
elseif(!empty($rvar_sent)) $gf = (!empty($rvar_gf));
else $gf = false;

$readonly = $kassenwart || $disabled ? "readonly" : '';

echo "<tr><th class=\"cl1\">Datum:</th>\n";
echo "<td><input $readonly type=\"text\" name=\"datum\" size=\"11\" maxlength=\"11\" ";
$dat = empty($rvar_datum) ? (empty($rvar_kp_id) ? date("d.m.Y", time()) : date_my2gr($daten['datum'])) : $rvar_datum;
echo "value=\"$dat\">&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";
echo "<tr><th class=\"cl1\">Kasse:</th>\n";
if($kassenwart) echo "<input type=\"hidden\" name=\"kasse_id\" value=\"$kasse_id\">\n";
echo "<td><select name=\"kasse_id\" size=\"1\" onchange=\"this.form.submit()\"";
if($kassenwart) echo "disabled";
echo ">\n";
$konto_id = 0;
$festgeldkonto = 0;
$traeger = 0;
$maxW = 0;
$maxWE = 0;
$kassen = abfrage1("select * from tb_kasse order by nr asc;");
while ($kasse = mysql_fetch_array($kassen)){
	if($kasse_id == $kasse['kasse_id']) {
		$traeger = $kasse['traeger_art_id'];
		$konto_id = $kasse['konto_id'];
		$festgeldkonto = $kasse['festgeldkonto'];
		$maxW = $kasse['wo_max'];
		$maxWE = $kasse['we_max'];
		$checked = "selected";
	} else $checked = '';
	echo "<option $checked value=\"".$kasse['kasse_id']."\">".$kasse['nr']." - ".$kasse['bezeichnung']."</option>\n";
}
echo "</select>\n";
if($traeger > 0) {
	$tr = abfrage("select traeger_art, farbe from tb_traeger_art where traeger_art_id = '$traeger'");
	echo "<span style=\"padding-left:5px;color:$tr[1]\">$tr[0]</span>\n";
}
echo "</td></tr>\n";

echo "<tr><th class=\"cl1\">Kassenbestand:</th>\n";
$bestand_max = $maxW > 0 ? "max. Woche: $maxW" : ''; 
if($maxWE > 0 && $maxW > 0) $bestand_max .= " / ";
if($maxWE > 0) $bestand_max .= "max. WE: $maxWE";
echo "<td><input $readonly type=\"text\" name=\"bestand\" style=\"text-align:right;\" size=\"10\" maxlength=\"8\" ";
$dat = empty($rvar_bestand) ? geld_form_formular($daten['bestand']) : $rvar_bestand;
echo "value=\"$dat\">&nbsp;&euro;&nbsp;&nbsp;$bestand_max</td></tr>\n";

echo "<tr><th class=\"cl1\">Bedarf:</th>\n";
echo "<td><input $readonly type=\"text\" name=\"bedarf\" style=\"text-align:right;\" size=\"10\" maxlength=\"8\" ";
$dat = empty($rvar_bedarf) ? geld_form_formular($daten['bedarf']) : $rvar_bedarf;
echo "value=\"$dat\">&nbsp;&euro;</td></tr>\n";

echo "<tr><th class=\"cl1\">Notizen:</th>\n<td><textarea ";
if(strlen($readonly) > 0) {
	if($gf) echo "readonly ";
	elseif($_SESSION[$AppCode]['ULV'] < 96) {
		if($kassenpruefer) echo "readonly ";
		elseif($kassenwart) {
			$sql = "select * from tbh_kassenpruefer 
					where pers_id = '".$_SESSION[$AppCode]['UID']."'
					and kasse_id = '".$daten['kasse_id']."'";
			$kws = abfrage1($sql);
			if(mysql_num_rows($kws) == 0) echo "readonly ";
		} elseif($disabled) echo "readonly ";
	}
}
echo "cols=\"50\" rows=\"3\" name=\"notizen\">\n";
echo empty($rvar_notizen) ? $daten['notizen'] : $rvar_notizen;
echo "</textarea>\n</td></tr>\n";

echo "<tr><th class=\"cl1\">Bankbestand:</th>\n";
echo "<td><input $readonly type=\"text\" name=\"bankbestand\" style=\"text-align:right;\" size=\"10\" maxlength=\"9\" ";
$dat = empty($rvar_bankbestand) ? geld_form_formular($daten['bankbestand']) : $rvar_bankbestand;
if($konto_id > 0) {
	$ref_kto = abfrage("select name, ktonr from tb_referenzkonto where konto_id='$konto_id'");
	$bank = "$ref_kto[0] ($ref_kto[1])";
} else $bank = '';
echo "value=\"$dat\">&nbsp;&euro;&nbsp;&nbsp;$bank</td></tr>\n";

echo "<tr><th class=\"cl1\">Festgeld:</th>\n";
echo "<td><input $readonly type=\"text\" name=\"festgeld\" style=\"text-align:right;\" size=\"10\" maxlength=\"9\" ";
$dat = empty($rvar_festgeld) ? geld_form_formular($daten['festgeld']) : $rvar_festgeld;
if($festgeldkonto > 0) {
	$ref_kto = abfrage("select name, ktonr from tb_referenzkonto where konto_id='$festgeldkonto'");
	$bank = "$ref_kto[0] ($ref_kto[1])";
} else $bank = '';
echo "value=\"$dat\">&nbsp;&euro;&nbsp;&nbsp;$bank</td></tr>\n";

echo "<tr><th class=\"cl1\">OrganDarlehen:</th>\n";
echo "<td><input $readonly type=\"text\" name=\"orgdarlehen\" style=\"text-align:right;\" size=\"10\" maxlength=\"9\" ";
$dat = empty($rvar_orgdarlehen) ? geld_form_formular($daten['orgdarlehen']) : $rvar_orgdarlehen;
echo "value=\"$dat\">&nbsp;&euro;&nbsp;(Verbindlichkeit: negativ - Forderung: positiv)</td></tr>\n";

echo "<tr><th class=\"cl1\"".stwToolTip('Gew&uuml;nschter Auszahlungsbetrag').">Transfer:</th>\n";
echo "<td><input $readonly type=\"text\" name=\"transfer\" style=\"text-align:right;\" size=\"10\" maxlength=\"8\" ";
$dat = empty($rvar_transfer) ? geld_form_formular($daten['transfer']) : $rvar_transfer;
echo "value=\"$dat\">&nbsp;&euro;</td></tr>\n";

echo "<tr><th class=\"cl1\">Kassenwart:</th>\n";
echo "<td><input type=\"checkbox\" name=\"kassenwart\" value=\"1\" ";
$kwset = ($daten['kassenwart_pers_id'] > 0);
$set = true;
if(empty($rvar_sent) && (empty($rvar_kp_id) || empty($daten['kassenwart_pers_id']))) {
	$dat = '';
	$set = false;
} else {
	if((empty($rvar_sent) && $daten['kassenwart_pers_id']>0) || (!empty($rvar_sent) && $rvar_kassenwart>0)) echo 'checked';
	else $set = false;
	if($rvar_kassenwart_old=='n' && $set || $rvar_kassenwart_old=='y' && !$set) $dat = pers_name($_SESSION[$AppCode]['UID']) . ' ' . date('d.m.Y H:i');
	else {
		$pers_id = ($daten['kassenwart_pers_id'] < 0) ? ($daten['kassenwart_pers_id'] * -1) : $daten['kassenwart_pers_id'];
		$dat = pers_name($pers_id);
		if($daten['kassenwart_ts'] > 0) $dat.= ' ' . date('d.m.Y H:i', $daten['kassenwart_ts']);
	}
}
if($kassenpruefer || $disabled) echo " disabled";
echo " onchange=\"document.getElementById('senden').style.display='none';this.form.submit()\">&nbsp;&nbsp;$dat</td></tr>\n";
echo "<input type=\"hidden\" name=\"kassenwart_old\" value=\"".($kwset ? 'y' : 'n')."\">\n";
if($kassenpruefer || $disabled) echo "<input type=\"hidden\" name=\"kassenwart\" value=\"".($set ? 1 : 0)."\">\n";

echo "<tr><th class=\"cl1\">Kassenpr&uuml;fer:</th>\n";
echo "<td><input type=\"checkbox\" name=\"kassenpruefer\" value=\"1\" ";
$kpset = ($daten['kassenpruefer_pers_id'] > 0);
$set = true;
if(empty($rvar_sent) && (empty($rvar_kp_id) || empty($daten['kassenpruefer_pers_id']))) {
	$dat = '';
	$set = false;
} else {
	if((empty($rvar_sent) && $daten['kassenpruefer_pers_id']>0) || (!empty($rvar_sent) && $rvar_kassenpruefer>0)) echo 'checked';
	else $set = false;
	if($rvar_kassenpruefer_old=='n' && $set || $rvar_kassenpruefer_old=='y' && !$set) $dat = pers_name($_SESSION[$AppCode]['UID']) . ' ' . date('d.m.Y H:i');
	else {
		$pers_id = ($daten['kassenpruefer_pers_id'] < 0) ? ($daten['kassenpruefer_pers_id'] * -1) : $daten['kassenpruefer_pers_id'];
		$dat = pers_name($pers_id);
		if($daten['kassenpruefer_ts'] > 0) $dat.= ' ' . date('d.m.Y H:i', $daten['kassenpruefer_ts']);
	}
}

$disabled2 = false;
if($_SESSION[$AppCode]['ULV'] < 96 && !empty($rvar_kp_id)) {
	$sql = "select * from tbh_kassenpruefer 
			where pers_id = '".$_SESSION[$AppCode]['UID']."'
			and kasse_id = '".$daten['kasse_id']."'";
	$kws = abfrage1($sql);
	if(mysql_num_rows($kws) == 0) $disabled2 = true;
}

if($gf || !$kassenwart || $disabled2) echo " disabled";
echo " onchange=\"document.getElementById('senden').style.display='none';this.form.submit()\">&nbsp;&nbsp;$dat</td></tr>\n";
echo "<input type=\"hidden\" name=\"kassenpruefer_old\" value=\"".($kpset ? 'y' : 'n')."\">\n";
if($gf) echo "<input type=\"hidden\" name=\"kassenpruefer\" value=\"".($set ? 1 : 0)."\">\n";

echo "<tr><th class=\"cl1\">GF:</th>\n";
echo "<td><input type=\"checkbox\" name=\"gf\" value=\"1\" ";
$gfset = ($daten['gf_pers_id'] > 0);
$set = true;
if(empty($rvar_sent) && (empty($rvar_kp_id) || empty($daten['gf_pers_id']))) {
	$dat = '';
	$set = false;
} else {
	if((empty($rvar_sent) && $daten['gf_pers_id']>0) || (!empty($rvar_sent) && $rvar_gf>0)) echo 'checked';
	else $set = false;
	if($rvar_gf_old=='n' && $set || $rvar_gf_old=='y' && !$set) $dat = pers_name($_SESSION[$AppCode]['UID']) . ' ' . date('d.m.Y H:i');
	else {
		$pers_id = ($daten['gf_pers_id'] < 0) ? ($daten['gf_pers_id'] * -1) : $daten['gf_pers_id'];
		$dat = pers_name($pers_id);
		if($daten['gf_ts'] > 0) $dat.= ' ' . date('d.m.Y H:i', $daten['gf_ts']);
	}
}

$disabled3 = ($_SESSION[$AppCode]['ULV'] < 96 && !empty($rvar_kp_id));

if(!$kassenpruefer || $disabled3) echo " disabled";
echo " onchange=\"document.getElementById('senden').style.display='none';this.form.submit()\">&nbsp;&nbsp;$dat</td></tr>\n";
echo "<input type=\"hidden\" name=\"gf_old\" value=\"".($gfset ? 'y' : 'n')."\">\n";

new stwTabLine(2,30);

echo "<tr><td><input name=\"save\" type=\"submit\" id=\"senden\" value=\"Speichern!\"></td></tr>\n";
echo "</form>\n";
echo "</table></td><td><table>\n";
echo "<tr><td style=\"height:30px\">&nbsp;</td></tr>\n";
$last = abfrage("select to_days(datum) from tb_kassenpruefung where kasse_id='{$daten['kasse_id']}' and datum < '{$daten['datum']}' order by datum desc limit 1");
if($daten['days'] - $last[0] >= 14) {
	echo "<tr><td style=\"width:100%;background-color:#006600;font-weight:bold\">&nbsp; Elektronischer Verwaltungsleiter &nbsp;</td></tr>\n";
	echo "<tr><td style=\"background-color:#CCCCCC;color:black;padding:12px\" class=\"ww\">";
	echo "letzte Kassenpr&uuml;fung<br>liegt <b style=\"color:red\">" . ($daten['days'] - $last[0]) . " Tage</b> zur&uuml;ck.<br><br>";
	echo "Kassenpr&uuml;fungen sind w&ouml;chentlich durchzuf&uuml;hren.";
	echo "</td></tr>\n";
}
echo "</table></td></tr></table>\n";
new stwLine(1);
new stwEnd($seite);
?>
