<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: ewald.php 2910 2018-11-14 11:42:01Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 80;
 $level = 96;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 require_once($pfad."inc/stw.inc.php");
 require_once($pfad."inc/azk.inc.php");

$prios = abfrage1("select * from tb_prio order by prio asc");

echo "<form name=\"ewform\" action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
echo "<input type=\"submit\" name=\"send_konf\" style=\"display:none\" value=\"Speichern\">\n";
echo "<table cellspacing=\"0\">\n";
if (isset ($_POST['send_konf']) && $_POST['send_konf'] == 'Speichern') {
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_ueberall']) . "' where name = 'ewald_ueberall';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['kontrolle_hb_zwang']) . "' where name = 'kontrolle_hb_zwang';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_pers']) . "' where name = 'ewald_pers';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_ab']) . "' where name = 'ewald_ab';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_azk']) . "' where name = 'ewald_azk';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['kwg_zk']) . "' where name = 'kwg_zk';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_sitzungen']) . "' where name = 'ewald_sitzungen';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_sitzungentc']) . "' where name = 'ewald_sitzungentc';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_wochenplan']) . "' where name = 'ewald_wochenplan';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_hb_fb_fehlz']) . "' where name = 'ewald_hb_fb_fehlz';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_fehlzeitenvertretung']) . "' where name = 'ewald_fehlzeitenvertretung';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_befristung']) . "' where name = 'ewald_befristung';");
//	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_anstehendes']) . "' where name = 'ewald_anstehendes';");
	$ewald_aufgaben_ueberfaellig = '';
	if(isset($_POST['aufgaben']) && is_array($_POST['aufgaben'])) {
		foreach($_POST['aufgaben'] as $prio => $val) {
			if($ewald_aufgaben_ueberfaellig != '') $ewald_aufgaben_ueberfaellig .= ';';
			$ewald_aufgaben_ueberfaellig .= "$prio:$val";
		}
	}
	abfrage2("update tb_konf set wert = '$ewald_aufgaben_ueberfaellig' where name = 'ewald_aufgaben_ueberfaellig';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_ressort']) . "' where name = 'ewald_ressort';");
	abfrage2("update tb_konf set wert = '" . intval($_POST['ewald_post']) . "' where name = 'ewald_post';");

	/* Werte fuer Meldung "Tage nach Aufgaben-Termin" werden replaced, falls irgendwann einmal weitere Prios hinzukommen */
	while($prio = mysql_fetch_row($prios)) {
		abfrage2("replace into tb_konf set name = 'ewald_aufgab_pr_$prio[0]', wert = '" . intval($_POST["ewald_aufgab_pr_$prio[0]"]) . "';");
	}
	mysql_data_seek($prios,0);
}

if(isset($_POST['add']) && is_array($_POST['add'])) {
	foreach($_POST['add'] as $kat => $plus) {
		$next = abfrage_assoc("select * from tb_ewald_stufen where ewaldkategorie_id='$kat' order by stufe desc limit 1");
		$sql = "insert into tb_ewald_stufen set stufe='".($next['stufe'] + 1)."'";
		foreach($next as $name => $val) {
			if($name == 'stufe') continue;
			$sql .= ", $name = '$val'";
		}
		abfrage2($sql);
	}
}

if(isset($_GET['del'])) {
	$sql = "delete from tb_ewald_stufen where ewaldkategorie_id='$rvar_kat' and stufe='$rvar_del' limit 1";
	abfrage2($sql);
}

if(isset($_POST['ewald'])) {
	$ekats = abfrage1("select * from tb_ewaldkategorie order by ewaldkategorie_id asc");
	while($ekat = mysql_fetch_row($ekats)) {
		$stufen = abfrage1("select * from tb_ewald_stufen where ewaldkategorie_id='$ekat[0]' order by stufe asc");
		while($stufe = mysql_fetch_assoc($stufen)) {
			$sql = "update tb_ewald_stufen set ";
			foreach($stufe as $st => $val) {
				if($st == 'ewaldkategorie_id' || $st == 'stufe') continue;
				$sql .= "$st = '".$_POST[$st.'_'.$ekat[0].'_'.$stufe['stufe']]."',";
			}
			$sql = substr($sql,0,-1) . " where ewaldkategorie_id='$ekat[0]' and stufe='{$stufe['stufe']}';";
			abfrage2($sql);
		}
	}
}
echo "<input type=\"hidden\" name=\"ewald\" value=\"1\" />\n";

echo "<tr class=\"mo\">";
$ewald_ueberall = intval( getConf('ewald_ueberall') );
echo "<td class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"ewald_ueberall\" value=\"1\" tabindex=\"$ti\"";
if($ewald_ueberall == 1) echo ' checked';
echo "></td><th class=\"cl11\">EWALD immer beim Klick auf das Stellware-Logo &ouml;ffnen</th>\n";
echo "<td colspan=\"20\">ansonsten ist EWALD nur auf der Startseite verf&uuml;gbar</td></tr>\n";
$ti++;
new stwTabLine(1,30);

echo "<tr class=\"mo\">";
$kontrolle_hb_zwang = intval( getConf('kontrolle_hb_zwang') );
echo "<td class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"kontrolle_hb_zwang\" value=\"1\" tabindex=\"$ti\"";
if($kontrolle_hb_zwang == 1) echo ' checked';
echo "></td><th class=\"cl11\">EWALD ploppt beim Anmelden automatisch auf</th>\n";
echo "<td colspan=\"20\">falls Anzuzeigendes vorliegt, startet EWALD nach dem Login</td></tr>\n";
$ti++;
new stwTabLine(2,30);

echo "<tr class=\"mo\">";
$ewald_pers = intval( getConf('ewald_pers') );
echo "<td class=\"cl11\">";
echo "<input type=\"checkbox\" name=\"ewald_pers\" value=\"1\" tabindex=\"$ti\"";
if($ewald_pers == 1) echo ' checked';
echo "></td><th class=\"cl11\">EWALD aller Mitarbeiter in Personalliste</th>\n";
echo "<td colspan=\"20\">f&uuml;r Gesch&auml;ftsf&uuml;hrer und Abteilungsleiter</td></tr>\n";
$ti++;

$schwelle6 = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='6' and stufe='0'");
$schwelle90 = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='9' and stufe='0'");
$schwelle91 = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='9' and stufe='1'");
$schwelle110 = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='11' and stufe='0'");
$schwelle111 = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='11' and stufe='1'");
$schwelle12[0] = abfrage_assoc("select * from tb_ewald_stufen where ewaldkategorie_id='12' and stufe='0'");
$schwelle12[1] = abfrage_assoc("select * from tb_ewald_stufen where ewaldkategorie_id='12' and stufe='1'");
$eChks = array( 1=>'ewald_ab', 2=>'ewald_azk', 3=>'kwg_zk', 4=>'ewald_sitzungen', 5=>'ewald_sitzungentc', 6=>'ewald_wochenplan',
				7=>'ewald_hb_fb_fehlz', 9=>'ewald_fehlzeitenvertretung', 11=>'ewald_befristung', 13=>'ewald_ressort', 14=>'ewald_post');
$eAddX = array( 4 => "elektron. Signatur:JA (unter <a href=\"../team_art.php\">Sitzungsart</a>) anzeigen",
				5 => "(im <b style=\"color:#FFCC00\">Betreuer</b> unter <a href=\"../team_art.php\">Sitzungsart</a> einstellbar)",
				6 => "Meldung beim MA $schwelle6[0] Tage nach OK GF",
				9 => "Vertretungskl&auml;rung wird <span style=\"color:yellow\">".($schwelle90[0] * -1)." Tage</span> vor Antritt der Fehlzeit erinnert<br>und muss sp&auml;testens <span style=\"color:yellow\">".($schwelle91[0] * -1)." Tage</span> vor Antritt der Fehlzeit gekl&auml;rt sein",
				11 => "Erste Meldung <span style=\"color:yellow\">".($schwelle110[0] * -1)." Tage</span> vor eingetragenem Projektende<br>Aufschieben bis <span style=\"color:yellow\">".($schwelle111[0] * -1)." Tage</span> vor Projektende m&ouml;glich");

echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
$ekats = abfrage1("select * from tb_ewaldkategorie where aktiv='j' order by ewaldkategorie_id asc");
while($ekat = mysql_fetch_row($ekats)) {
	new stwTabLine(2,30);
	if($ekat[0] == 3) {
		$schwelle = abfrage("select schwelle from tb_ewald_stufen where ewaldkategorie_id='3' and stufe='0'");
		$ekat[1] = str_replace('[10]',$schwelle[0],$ekat[1]);
	}
	echo "<tr";
	if($ekat[0]!=12) echo " class=\"mo\"";
	echo ">\n<td";
	if($ekat[0]==12) {
		$eau = getConf('ewald_aufgaben_ueberfaellig');
		$eaus = explode(";",$eau);
		$chks = array();
		foreach($eaus as $pair) {
			list($prio,$val) = explode(":",$pair);
			$chks[ $prio ] = $val;
		}
		$prios = abfrage1("select * from tb_prio order by prio asc");
		$span = mysql_num_rows($prios);
		$prioritaeten = array();
		$farben = array();

		while($prio = mysql_fetch_row($prios)) { // sind Schwellwrete fr alle Prioritten vorhanden?!
			$prioritaeten[ $prio[0] ] = $prio[1];
			$farben[ $prio[0] ] = $prio[2];
			$schwellen = abfrage1("select schwelle from tb_ewald_stufen where ewaldkategorie_id='12' and stufe='".$prio[0]."0'");
			if(mysql_num_rows($schwellen) == 0) {
				for($i = 0; $i < 2; $i++) {
					$sql = "insert into tb_ewald_stufen set ";
					$komma = false;
					foreach($schwelle12[$i] as $name => $value) {
						if($name == 'stufe') $value = $prio[0] . $value;
						if($komma) $sql .= ',';
						else $komma = true;
						$sql .= "$name = '" . str_replace("'", "\'", $value) . "'";
					}
					abfrage2($sql);
				}
			}
		}
		echo " rowspan=\"$span\"";
	} else $span = 1;
	echo ">";
	if($eChks[ $ekat[0] ]) {
		$ewald_chk = intval( getConf( $eChks[ $ekat[0] ] ) );
		echo "<input type=\"checkbox\" name=\"".$eChks[ $ekat[0] ]."\" value=\"1\" tabindex=\"$ti\"";
		$ti++;
		if($ewald_chk == 1) echo ' checked';
		echo ">";
	}
	echo "</td>";
	echo "<td rowspan=\"$span\" style=\"width:400px;vertical-align:middle\" class=\"ww\"><small";
	if($ekat[0]==12) {
		echo " style=\"display:block;width:200px\"";
		$letzte = 1;
	}
	echo ">$ekat[1]</small>".$eAddX[ $ekat[0] ]."</td>\n";
	if($ekat[0]!=12) echo "<td rowspan=\"$span\" class=\"cl11\" />";
	$sql = "select * from tb_ewald_stufen where ewaldkategorie_id='$ekat[0]' order by stufe asc";
	$stufen = abfrage1($sql);
	if($ekat[0]==12) echo "<td style=\"position:absolute;\"><b style=\"position:relative;left:-60px;color:".$farben[1]."\">" . $prioritaeten[1] . "</b></td>";
	while($stufe = mysql_fetch_array($stufen)) {
		if($ekat[0]==12) {
			$zehnt = intval(floor($stufe['stufe'] / 10));
			if($zehnt == 0) continue;
			if($letzte!=$zehnt) {
				$letzte=$zehnt;
				echo "<td colspan=\"30\"><input name=\"add[".$ekat[0]."]\" type=\"submit\" style=\"width:30px;height:30px;font-size:20px;font-weight:bold\" value=\"+\"></td>";
				echo "</tr>\n<tr>";
				echo "<td style=\"position:absolute;\"><b style=\"position:relative;left:-60px;color:".$farben[$zehnt]."\">" . $prioritaeten[$zehnt] . "</b></td>";
			}
		}
		echo "<td><table style=\"border: 1px solid grey\" cellpadding=\"2\" cellspacing=\"0\">";
		echo "<tr><td><input type=\"text\" name=\"schwelle_".$ekat[0].'_'.$stufe['stufe']."\" style=\"";
		if($ekat[0] == 5 && $stufe['stufe'] == 0) echo "visibility:hidden;";
		echo "width:30px;\" value=\"".$stufe['schwelle']."\" />";
		echo "<td colspan=\"4\"><input type=\"text\" name=\"ermahnung_".$ekat[0].'_'.$stufe['stufe']."\" ";
		echo "size=\"20\" value=\"".$stufe['ermahnung']."\" /></td>\n";
		echo "</tr>\n<tr>";
		echo "<td><select name=\"typ_".$ekat[0].'_'.$stufe['stufe']."\" style=\"";
		if($ekat[0] == 5 && $stufe['stufe'] == 0) echo "visibility:hidden;";
		echo "width:29px;\">";
		if($stufe['stufe'] > 0 && !(($ekat[0] == 9 || $ekat[0] == 11) && $stufe['stufe'] == 1)) {
			echo "<option value=\"i\"";
			if($stufe['typ'] == 'i') echo " selected";
			echo ">ignorierte Ewald-Meldungen</option>\n";
		}
		echo "<option value=\"t\"";
		if($stufe['typ'] == 't') echo " selected";
		echo ">Tage seit dem Eintreten des Ereignisses</option>\n";
		echo "</select></td>\n";
		echo "<td><input type=\"text\" name=\"farbe_".$ekat[0].'_'.$stufe['stufe']."\" ";
		if(!empty($stufe['farbe'])) {
			$rgb = transformColor($stufe['farbe']);
			$co = ($rgb[0] < 105 && $rgb[1] < 105) ? 'white' : 'black';
			echo "style=\"background-color:".$stufe['farbe'].";color:$co;\" ";
		}
		echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\"";
		echo "size=\"10\" value=\"".$stufe['farbe']."\" /></td>";
		echo "<td><img style=\"border-top:1px solid #CCCCCC;border-left:1px solid #CCCCCC;border-right:1px solid #666666;border-bottom:1px solid #666666;background-color:#006600;cursor:pointer;width:15px\" src=\"../img/clearpixel.png\" alt=\"\" ";
		echo "onclick=\"document.ewform.farbe_".$ekat[0].'_'.$stufe['stufe'].".value='#006600';";
		echo "document.ewform.farbe_".$ekat[0].'_'.$stufe['stufe'].".style.backgroundColor='#006600';";
		echo "document.ewform.farbe_".$ekat[0].'_'.$stufe['stufe'].".style.color='white';\" /></td>";
		echo "<td><img style=\"border-top:1px solid #CCCCCC;border-left:1px solid #CCCCCC;border-right:1px solid #666666;border-bottom:1px solid #666666;background-color:#FF6600;cursor:pointer;width:15px\" src=\"../img/clearpixel.png\" alt=\"\" ";
		echo "onclick=\"document.ewform.farbe_".$ekat[0].'_'.$stufe['stufe'].".value='#FF6600';";
		echo "document.ewform.farbe_".$ekat[0].'_'.$stufe['stufe'].".style.backgroundColor='#FF6600';";
		echo "document.ewform.farbe_".$ekat[0].'_'.$stufe['stufe'].".style.color='black';\" /></td>";
		echo "<td><img style=\"border-top:1px solid #CCCCCC;border-left:1px solid #CCCCCC;border-right:1px solid #666666;border-bottom:1px solid #666666;background-color:#FF0033;cursor:pointer;width:16px\" src=\"../img/clearpixel.png\" alt=\"\" ";
		echo "onclick=\"document.ewform.farbe_".$ekat[0].'_'.$stufe['stufe'].".value='#FF0033';";
		echo "document.ewform.farbe_".$ekat[0].'_'.$stufe['stufe'].".style.backgroundColor='#FF0033';";
		echo "document.ewform.farbe_".$ekat[0].'_'.$stufe['stufe'].".style.color='white';\" /></td>";
		echo "</tr>\n";
		echo "</table></td>\n";
		echo "<td class=\"cl20\">";
		if($stufe['stufe'] > 0) {
			echo "<a href=\"ewald.php?kat=$ekat[0]&del=".$stufe['stufe']."\" style=\"";
			if(($ekat[0] == 9 || $ekat[0] == 11) && $stufe['stufe'] == 1) echo "visibility:hidden;";
			echo "color:red\"";
			echo stwToolTip("<b>Vorsicht</b> Diese Stufe l&ouml;schen");
			echo ">X</a>\n";
		}
		echo "</td>\n";
	}
	echo "<td colspan=\"30\"><input name=\"add[".$ekat[0]."]\" type=\"submit\" style=\"width:30px;height:30px;font-size:20px;font-weight:bold\" value=\"+\"></td>";
	echo "</tr>\n";
}
echo "</table>\n";
new stwLine(1);
echo "<input type=\"submit\" name=\"send_konf\" value=\"Speichern\" tabindex=\"99\">\n";
echo "</form>\n";
new stwEnd($seite);
?>