<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: muell.php 2669 2016-12-13 20:50:52Z tfreudenberg $
 *
 */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 57;
 $level = 65;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 require_once("../inc/auth.inc.php");
 require_once("../inc/level.inc.php");
 
 require_once("../inc/stw.inc.php");
 require_once("../inc/azk.inc.php");

 /* Warnungen werden selbst behandelt */
 error_reporting(E_ERROR);
 $self = $_SERVER['PHP_SELF'];
 $page = isset($_GET['page']) ? $_GET['page'] : 0;
 set_session_url();

 if($page != 3) unset($_SESSION[$AppCode]['verwaistetermine']);
 
echo "<table style=\"width:750px\"><tr>\n";
$class = $page == 0 ? "menuactive" : "menuinactive";
echo "<td class=\"$class\"><a href=\"$self?page=0\">Ladezeiten</a></td>\n";
$class = $page == 6 ? "menuactive" : "menuinactive";
echo "<td class=\"$class\"><a href=\"$self?page=6\">Proj. (Ende < Beginn)</a></td>\n";
$class = $page == 1 ? "menuactive" : "menuinactive";
echo "<td class=\"$class\"><a href=\"$self?page=1\">Praxisziele</a></td>\n";
$class = $page == 2 ? "menuactive" : "menuinactive";
echo "<td class=\"$class\"><a href=\"$self?page=2\">Terminarten</a></td>\n";
$class = $page == 3 ? "menuactive" : "menuinactive";
echo "<td class=\"$class\"><a href=\"$self?page=3\">verwaiste Termine</a></td>\n";
$class = $page == 4 ? "menuactive" : "menuinactive";
echo "<td class=\"$class\"><a href=\"$self?page=4\">Briefe</a></td>\n";
$class = $page == 5 ? "menuactive" : "menuinactive";
echo "<td class=\"$class\"><a href=\"$self?page=5\">kein Beginn</a></td>\n";
echo "</tr></table>";
new stwLine(1);
if($page == 1) {
 /*****************************************************************************
  *                          tb_hp_praxisziele                                *
  *****************************************************************************
  */

 /* ist der OK Button von der Tabelle tb_hp_praxisziele gedrueckt worden */
 if (isset($_POST['tb_hp_praxisziele']) && $_SESSION[$AppCode]['ULV'] >= 65)
 {
   /* Anzahl der vorhandenen Zeilen ermitteln */
   $sql = "SELECT id FROM tb_hp_praxisziele WHERE hp_id=0";
   $res = mysql_query($sql);

   /* nur etwas machen wenn auch ein erfolgreiches Ergebnis */
   if ($res && mysql_num_rows($res) > 0)
   {
     /* alle Felder durchgehn und testen ob Inhalt gesetzt */
     for ($i = 0; $i < mysql_num_rows($res); $i++)
     {
       /* ID aus den Zeilen holen */
       $row = mysql_fetch_row($res);

       $var = "hp_id_".$row[0];
       if (isset($_POST[$var]) && is_numeric($_POST[$var]))
       {
         /* SQL Statement - Aenderung zu dem Nutzerwert zusammenstellen */
         $sql  = "UPDATE tb_hp_praxisziele SET hp_id=".$_POST[$var];
	 $sql .= " WHERE id=".$row[0];

         /* wird ausgefuehrt und im Fehlerfall unten wieder angezeigt */
         mysql_query($sql);
       }
     }
   }
 }

 /* 
  * Eine Zeile kann beim letzten Mal markiert worden sein zum Loeschen.
  * Erst ab Level 65 ueberhaupt drueber nachdenken ;o)
  */
 if (isset($_GET['tb_hp_praxisziele']) && 
     is_numeric($_GET['tb_hp_praxisziele']) &&
     $_SESSION[$AppCode]['ULV'] >= 65)
 {
   /* SQL Anweisung um diese Zeile vollstaendig zu entfernen */
   $sql = "DELETE FROM tb_hp_praxisziele WHERE id=".$_GET['tb_hp_praxisziele'];
   mysql_query($sql);
 }

 /* Anfrage an den MYSQL Server nach diesen Bedingungen */
 $sql = "SELECT id, ziel, termin, hp_id FROM tb_hp_praxisziele WHERE hp_id=0";
 $res = mysql_query($sql);

 /* Anfrage erfolgreich und mindestens einen Eintrag und Spalten vorhanden */
 if ($res && mysql_num_rows($res) > 0)
 {
   /* Tabellennamen tb_hp_praxisziele anzeigen */
   printf("<center>\n<table>\n<tr>\n<th>Tabelle: tb_hp_praxisziele ");
   printf("(hp_id = 0)</th>\n</tr>\n</table>\n</center>\n");

   /* Anfang des Formulars mit der Tabelle  schon mal ausgeben */
   printf("<center>\n<form method=\"post\" action=\"muell.php?page=1\" name=\"muell");
   printf("\">\n<table>\n<tr>\n");

   /* Spaltenkoepfe ausgeben */
   printf("<th>Id</th>\n<th>Ziel</th>\n<th>Termin</th>\n<th>hp_id</th>\n");
   $ckd = ($_POST['checkall']) ? "checked" : "";
   echo "<th><input type=\"checkbox\" name=\"checkall\" style=\"margin-top:2px\"";
   echo stwToolTip("alle ausw&auml;hlen");
   echo " onChange=\"this.form.submit()\" $ckd>\n";
   echo "</th><th>";
   echo "<input name=\"del\" type=\"submit\" style=\"color:#FF0000;font-weight:bold;\" ";
   echo stwToolTip("ausgew&auml;hlte l&ouml;schen") . " value=\"X\" ></th>\n";

   /* Abschluss der Spaltenausgabe */
   printf("</tr>\n");

   /* jede Zeile ausgeben */
   for ($i = 0; $i < mysql_num_rows($res); $i++) {
     /* Zeile rausholen */
     $row = mysql_fetch_row($res);

     /* Eintrag aus tb_hp_praxisziele entfernen ?! */
     if(isset($_POST["del"]) && isset($_POST["h$row[0]"])) {
       abfrage2("DELETE FROM tb_hp_praxisziele WHERE id=$row[0]");
	   continue;
     }

     /* Ausgabe jeder Spalte */
     printf("<tr>\n");

     /* ID ausgeben */
     printf("<th>%s</th>\n", $row[0]);

     /* Ziel ausgeben */
     printf("<th>%s</th>\n", wordwrap($row[1], 70, "<br>"));

     /* Termin ausgeben */
     printf("<th>%s</th>\n", date_my2gr($row[2]));

     /* Inputbox fuer neue hp_id */
     printf("<th><input type=\"text\" name=\"hp_id_%s\"></th>\n", $row[0]);

     /* OK Button und Loeschbutton anbieten ab Level 65 */
     if ($_SESSION[$AppCode]['ULV'] >= 65)
     {
	   echo "</td><td><input type=\"checkbox\" name=\"h$row[0]\" $ckd></td>";
       printf("<th><a href=\"muell.php?page=1&tb_hp_praxisziele=%s\" tit", $row[0]);
       printf("le=\"Zeile lschen\" style=\"color:red\">X</a>\n</th>\n");
     }

     printf("</tr>\n");
   }

   /* Ende der Tabelle */
   printf("</table>\n");
   printf("<input type=\"submit\" value=\"OK\" name=\"tb_hp_praxisziele\">\n");
   printf("</form>\n</center>\n");

   new stwLine(1);
 }
}
if($page == 2) {
 /*****************************************************************************
  *                          tb_termine + tb_ab_zk                            *
  *****************************************************************************
  */

 /*
  * Diese Datei kann schon einmal aufgerufen worden sein und jetzt soll nur
  * noch die selektierte Terminart eingetragen werden. Dazu wird jetzt die
  * Anzahl der moeglichen Zeilen benoetigt.
  */
 $sql = "SELECT termin_id FROM tb_termine WHERE terminart='0'";
 $erg = mysql_query($sql);

 /* ein gueltige Ergebnis erhalten und mindestens ein Datensatz enthalten */
 if ($erg && mysql_num_rows($erg) > 0 && $_SESSION[$AppCode]['ULV'] >= 65)
 {
   /* die einzelnen select Namen durchlaufen */
   for ($i = 0; $i < mysql_num_rows($erg); $i++)
   {
     $name = "select_".$i;
     if (isset($_POST[$name]) && substr($_POST[$name], 0, 4) != "Alle")
     {
       /* 
        * In der Variable gibt es vorne (max 3 Zeichen eine Terminart) und
        * danach durch Unterstrich getrennt die zu aendernde TerminID
        */
       $k = 0;
       while (substr($_POST[$name], $k, 1) != "_" && $k < 3) $k++;

       /* in $k steht drin wo der Unterstrich ist */
       $terminart = substr($_POST[$name], 0, $k);
       $terminid  = substr($_POST[$name], $k + 1);

       /* diesen Termin die Terminart nachtragen */
       $sql  = "UPDATE tb_termine SET terminart='".$terminart."' WHERE ";
       $sql .= "termin_id=".$terminid;

       /* 
        * keine Fehlerauswertung weil unten dann gleich wieder als nicht
        * geaendert angezeigt wird
        */
       mysql_query($sql);
     }
   }
 }

 /* 
  * Eine Zeile kann beim letzten Mal markiert worden sein zum Loeschen.
  * Erst ab Level 65 ueberhaupt drueber nachdenken ;o)
  */
 if (isset($_GET['tb_ter_ab_zk']) && 
     is_numeric($_GET['tb_ter_ab_zk']) &&
     $_SESSION[$AppCode]['ULV'] >= 65)
 {
   /* vor dem loeschen die notwendigen Infos zu holen */
   $sql  = "SELECT t1.proj_id, t2.von FROM tb_ab_zk t1 ";
   $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";

   $sql .= "WHERE t1.termin_id='".$_GET['tb_ter_ab_zk']."';";
   $daten = abfrage($sql);

   /* SQL Anweisung um diese Zeile vollstaendig aus tb_termine zu entfernen */
   $sql = "DELETE FROM tb_termine WHERE termin_id=".$_GET['tb_ter_ab_zk'];
   mysql_query($sql);

   /* diese termin_id auch noch aus tb_ab_zk entfernen */
   $sql = "DELETE FROM tb_ab_zk WHERE termin_id=".$_GET['tb_ter_ab_zk'];
   mysql_query($sql);

   /* ZK Aenderung - Cachetabelle updaten */
   if ($daten[0] > 0)
   {
     azk_update_cache($daten[0], $daten[1]);
   }
 }

 /* Anfrage an den MYSQL Server nach diesen Bedingungen */
 $sql  = "SELECT t1.termin_id, t1.terminart, t1.von, t1.bis, t2.inhalte,";
 $sql .= "t3.vorname, t3.name FROM tb_termine t1 ";

 $sql .= "LEFT JOIN tb_ab_zk t2 USING(termin_id) ";
 $sql .= "LEFT JOIN tb_personal t3 USING(pers_id) WHERE t1.terminart='0'";
 $res = mysql_query($sql);

 /* verschiedenen Terminarten holen um sie als Dropdownliste anzubieten */
 $sql = "SELECT name, terminart FROM tb_terminart ORDER BY name ASC";
 $art = mysql_query($sql);

 /* Anfrage erfolgreich und mindestens einen Eintrag und Spalten vorhanden */
 if ($res && mysql_num_rows($res) > 0 && $art)
 {
   /* Tabellennamen tb_termine und tb_ab_zk anzeigen */
   printf("<center>\n<table>\n<tr>\n<th>");
   printf("Tabellen: tb_termine + tb_ab_zk (terminart = 0)");

   printf("</th>\n</tr>\n</table>\n</center>\n");

   /* Anfang des Formulars mit der Tabelle schon mal ausgeben */
   printf("<center>\n<form method=\"post\" action=\"muell.php?page=2\" name=\"muell");
   printf("\">\n<table>\n<tr>\n");

   /* Spaltennamen ausgeben */
   printf("<th>Terminart</th>\n");
   printf("<th>von</th>\n");

   printf("<th>bis</th>\n");
   printf("<th>Inhalt</th>\n");

   printf("<th>Vorname</th>\n");
   printf("<th>Nachname</th>\n");

   /* Abschluss der Spaltenausgabe */
   printf("</tr>\n");

   /* Arten in einem Array sammeln */
   for ($i = 0; $i < mysql_num_rows($art); $i++)
   {
     $row = mysql_fetch_row($art);
     $arten[] = $row[0];
     $kurz[] = $row[1];
   }

   /* jede Zeile ausgeben */
   for ($i = 0; $i < mysql_num_rows($res); $i++)
   {
     /* Zeile rausholen */
     $row = mysql_fetch_row($res);

     /* Ausgabe jeder Spalte */
     printf("<tr class=\"mo\">\n<td>\n");

     /* Auswahlbox fuer eine Terminart anbieten */
     printf("<select name=\"select_%d\" onChange=\"this.form.submit()", $i);
     printf("\" size=\"1\" tabindex=\"1\">\n");

     printf("<option value=\"Alle\">Terminart whlen!</option>\n");

     /* alle Terminarten ausgeben */
     for ($j = 0; $j < count($arten); $j++)
     {
       printf("<option value=\"%s_%d\">%s</option>\n", $kurz[$j], $row[0],
                                                       $arten[$j]);
     }

     printf("</select>\n</td>\n");

     /* alle Felder ausgeben */
     for ($j = 2; $j < mysql_num_fields($res); $j++) 
     {
       if ($j == 2 || $j == 3)
       {
         /* Zeiten in deutscher Schreibweise ausgeben */
         list($datum, $zeit) = explode(" ", $row[$j]);
         printf("<th>%s %s</th>\n", date_my2gr($datum), $zeit);
       }
       else
       {
         printf("<th>%s</th>\n", wordwrap($row[$j], 70, "<br>"));
       }
     }

     /* OK Button und Loeschbutton anbieten ab Level 65 */
     if ($_SESSION[$AppCode]['ULV'] >= 65)
     {
       printf("<th><a href=\"muell.php?page=2&tb_ter_ab_zk=%s\" tit", $row[0]);
       printf("le=\"Termin lschen\" style=\"color:red\">X</a>\n</th>\n");
     }

     printf("</tr>\n");
   }

   /* Ende der Tabelle */
   printf("</table>\n</form>\n</center>\n");

   new stwLine(1);
 }
}
if($page == 3) {
 /*****************************************************************************
  *                              tb_sachberichte                              *
  *****************************************************************************
  */

  /*  Sachberichts-Eintraege, deren zugehoeriger Sachbericht geloescht wurde */
  $sbs = abfrage1("select sb_id from tb_sachbericht");
  $print_header = true;
  $array = "(";
  while($sb = mysql_fetch_row($sbs)){
	$array .= "$sb[0],";
  } $array .= "0)";
  $sb[0][0] = "tbh_sachbericht_charts";
  $sb[0][1] = "tbh_sachbericht_fls";
  $sb[0][2] = "tbh_sachbericht_ja";
  $sb[0][3] = "tbh_sachbericht_subcharts";
  $sb[0][4] = "tb_sachbericht_druck";
  $sb[0][5] = "tb_sachbericht_druckuebersicht";
  $sb[0][6] = "tb_sachbericht_person";
  $sb[0][7] = "tb_sachbericht_proj";
  $sb[0][8] = "tb_sachbericht_ziel";

  if($_GET['sbdel'] > 0) {
	abfrage2("delete from ".$sb[0][$_GET['sbtb']]." where sb_id not in $array and sb_id = '".$_GET['sbdel']."'");
  }

  $sb[1][0] = abfrage1("select sb_id from tbh_sachbericht_charts where sb_id not in $array group by sb_id");
  $sb[1][1] = abfrage1("select sb_id from tbh_sachbericht_fls where sb_id not in $array group by sb_id");
  $sb[1][2] = abfrage1("select sb_id from tbh_sachbericht_ja where sb_id not in $array group by sb_id");
  $sb[1][3] = abfrage1("select sb_id from tbh_sachbericht_subcharts where sb_id not in $array group by sb_id");
  $sb[1][4] = abfrage1("select sb_id from tb_sachbericht_druck where sb_id not in $array group by sb_id");
  $sb[1][5] = abfrage1("select sb_id from tb_sachbericht_druckuebersicht where sb_id not in $array group by sb_id");
  $sb[1][6] = abfrage1("select sb_id from tb_sachbericht_person where sb_id not in $array group by sb_id");
  $sb[1][7] = abfrage1("select sb_id from tb_sachbericht_proj where sb_id not in $array group by sb_id");
  $sb[1][8] = abfrage1("select sb_id from tb_sachbericht_ziel where sb_id not in $array group by sb_id");
  $ttdel = stwToolTip("unzugeordnete Eintr&auml;ge dieser ID l&ouml;schen");
  for($i=0;$i<9;$i++) {
	while($s = mysql_fetch_row($sb[1][$i])){
	  if($print_header) {
		$print_header = false;
		echo "<table><tr><th colspan=\"2\">Sachberichts-Eintr&auml;ge, deren Sachbericht gel&ouml;scht wurde</th></tr>\n";
	  }
	  echo "<tr class=\"mo\"><td class=\"cl1\">Eintrag in ".$sb[0][$i].": sb_id $s[0] vergeben!</td><td><a href=\"muell.php?page=3&sbtb=$i&sbdel=$s[0]\" $ttdel style=\"color:red\">X</a></td></tr>\n";
	}
  }
  if($print_header == false) {
	echo "</table>";
    new stwLine(1);
 }


 /*****************************************************************************
  *                                tb_termine                                 *
  *****************************************************************************
  */

 /* Verwaiste Eintraege in der tb_termine (Kein Eintrag in anderter Tabelle) */
 if(isset($_GET['all'])) $_SESSION[$AppCode]['verwaistetermine'] = $_GET['all'];
 $max_t = abfrage("select max(termin_id) from tb_termine");
 if(isset($_SESSION[$AppCode]['verwaistetermine'])) $termin_id = 0;
 else $termin_id = $max_t[0] < 10000 ? 0 : $max_t[0] - 10000;
 if(!isset($_SESSION[$AppCode]['verwaistetermine'])) {
	echo "<input type=\"button\" value=\"Alle anzeigen\" onclick=\"self.location.href='muell.php?page=3&all=1'\" />";
 }
 $sql  = "SELECT t.termin_id, date_format(t.von,'%d.%m.%Y'), ";
 $sql .= "date_format(t.von,'%k:%i'), date_format(t.bis,'%k:%i'), ";
 $sql .= "a.name, t.terminart FROM tb_termine t ";
 $sql .= "LEFT JOIN tbh_termin_pers t1 ON t.termin_id = t1.termin_id ";
 $sql .= "LEFT JOIN tb_ab_zk t2 ON t.termin_id = t2.termin_id ";
 $sql .= "LEFT JOIN tb_fehlz t3 ON t.termin_id = t3.termin_id ";
 $sql .= "LEFT JOIN tb_ga t4 ON t.termin_id = t4.termin_id ";
 $sql .= "LEFT JOIN tb_lom t5 ON t.termin_id = t5.termin_id ";
 $sql .= "LEFT JOIN tb_team t6 ON t.termin_id = t6.termin_id ";
 $sql .= "LEFT JOIN tb_terminart a ON a.terminart = t.terminart ";
 $sql .= "WHERE t.termin_id >= $termin_id ";
 $sql .= "AND t1.termin_id IS NULL ";
 $sql .= "AND t2.termin_id IS NULL ";
 $sql .= "AND t3.termin_id IS NULL ";
 $sql .= "AND t4.termin_id IS NULL ";
 $sql .= "AND t5.termin_id IS NULL ";
 $sql .= "AND t6.termin_id IS NULL ";
 $sql .= "ORDER BY t.termin_id DESC;";
 $erg = abfrage1($sql);
 if(mysql_num_rows($erg) > 0 && $_SESSION[$AppCode]['ULV'] >= 65) {
   $ckd = ($_POST['checkall']) ? "checked" : "";
   echo "<center><table><tr><th>verwaiste Eintr&auml;ge Tabelle: tb_termine";
   echo "</th></tr></table></center>\n";
   echo "<form method=\"post\" action=\"muell.php?page=3\" name=\"tb_termine\">\n";
   echo "<center><table cellspacing=\"4\"><tr><th>Termin-ID</th>";
   echo "<th>Datum</th><th>von</th><th>bis</th><th>Terminart</th>\n<th>";
   echo "<input type=\"checkbox\" name=\"checkall\" style=\"margin-top:2px\"";
   echo stwToolTip("alle ausw&auml;hlen");
   echo " onChange=\"this.form.submit()\" $ckd>\n";
   echo "</th><th>";
   echo "<input type=\"submit\" style=\"color:#FF0000;font-weight:bold;\" ";
   echo stwToolTip("ausgew&auml;hlte l&ouml;schen") . " value=\"X\" ></th>\n";
   while ($row = mysql_fetch_row($erg)) {
     if($_POST["c$row[0]"]) {
       abfrage2("DELETE FROM tb_termine WHERE termin_id = $row[0]");
     }
     else {
       echo "<tr class=\"mo\"><th>$row[0]</th><td>$row[1]</td><td>$row[2]</td>";
	   echo "<td>$row[3]</td><td style=\"text-align:center\">";
       echo empty($row[4]) ? "<b style=\"color:red\">$row[5]</b>" : $row[4];
       if(!empty($row[4]) || empty($row[5])) {
		   echo "</td><td><input type=\"checkbox\" name=\"c$row[0]\" $ckd></td>";
		   echo "<td style=\"text-align:center\">";
		   echo "<a href=\"muell.php?page=3&tb_ter_ab_zk=$row[0]\" style=\"color:red\" ";
		   echo stwToolTip("Termin l&ouml;schen").">X</a>";
	   }
	   echo "</td></tr>\n";
     }
   }
   echo "</table></center></form>\n";
   new stwLine(1);
 }
}
if($page == 6) {
 $pids=abfrage1("select p.proj_id from tb_projekte p left join tb_hp h using(proj_id)
				where p.ende is not NULL and p.ende != '0000-00-00' and p.ende < h.datum
				group by p.proj_id");
 $toShow=true;
 while($pid = mysql_fetch_row($pids)) {
	$projekt = new stwProjekt($pid[0]);
	if($projekt->ende_ts() != 0 && ($projekt->beginn_ts() > $projekt->ende_ts())) {
		if($toShow) {
			$toShow = false;
			echo "<center><table><tr><th>Projekte deren Ende vor dem Beginn liegt</th></tr></table></center>\n";
			echo "<center><table><tr><th class=\"cl11\">Projekt</th><th class=\"cl11\">Beginn Historie</th><th class=\"cl11\">Ende</th></tr>\n";
			new stwTabLine(2,3);
		}
		echo "<tr class=\"mo\"><td>" . $projekt->link() . "</td>";
		echo "<td class=\"cl11\" style=\"text-align:right\">" . $projekt->beginn() . "</td>";
		echo "<td class=\"cl11\">" . $projekt->ende() . "</td></tr>\n";
	}
 }
 if($toShow == false) {
	echo "</table></center>\n";
	new stwLine(1);
 }
}
if($page == 4) {
 /*****************************************************************************
  *                                  BRIEFE                                   *
  *****************************************************************************
  */

/* brief_id's ohne zugehoerige Postausgaenge */
 if(isset($_GET['brief_to_del']) && is_numeric($_GET['brief_to_del']) && $_SESSION[$AppCode]['ULV'] >= 65) {
	abfrage2("DELETE FROM tb_hp WHERE hp_id = '{$_GET['brief_to_del']}';");
 }
 $hps=abfrage1("select h.hp_id, h.proj_id, date_format(h.datum, '%d.%m.%Y') from tb_hp h 
				left join tb_post_ausgang a using(hp_id)
				where h.hp_art = 'y' and a.hp_id IS NULL");
 if(mysql_num_rows($hps) > 0) {
	$ckd = ($_POST['checkall']) ? "checked" : "";
	$bids = array();
	echo "<center><table><tr><th>Fehlerhafte Brief-Eintr&auml;ge im Postausgang";
	echo "</th></tr></table>\n";
	echo "<form method=\"post\" action=\"muell.php?page=4\" name=\"brief\">\n";
	echo "<table><tr><th>Projekt</th><th>Datum</th><th>";
	echo "<input type=\"checkbox\" name=\"checkall\" style=\"margin-top:2px\"";
	echo stwToolTip("alle ausw&auml;hlen");
	echo " onChange=\"this.form.submit()\" $ckd>\n";
	echo "</th><th>";
	echo "<input type=\"submit\" style=\"color:#FF0000;font-weight:bold;\" ";
	echo stwToolTip("ausgew&auml;hlte l&ouml;schen") . " value=\"X\" ></th></tr>\n";
	new stwTabLine(2,30);
	while($hp = mysql_fetch_row($hps)) {
		if($_POST["b$hp[0]"]) {
			abfrage2("DELETE FROM tb_hp WHERE hp_id = '$hp[0]'");
		} else {
			echo "<tr><td class=\"cl1\"><a href=\"pro_daten.php?proj_id=$hp[1]\">";
			echo projektnummer($hp[1]);
			echo "</a></td><td class=\"cl1\">$hp[2]</td>";
			echo "<td class=\"cl1\"><input type=\"checkbox\" name=\"b$hp[0]\" $ckd></td>";
			echo "<td style=\"text-align:center\">";
			echo "<a href=\"muell.php?page=4&brief_to_del=$hp[0]\" style=\"color:red\" ";
			echo stwToolTip("Termin l&ouml;schen").">X</a></td></tr>\n";
		}
	}
	echo "</table></form>\n</center>\n";
 }
}
if($page == 5) {
 /*****************************************************************************
  *                     Termine mit leerem Anfangsdatum                       *
  *****************************************************************************
  */
 if (isset($_GET['del']) && is_numeric($_GET['del']) && $_SESSION[$AppCode]['ULV'] >= 65){
   abfrage2("DELETE FROM tb_termine WHERE termin_id='{$_GET['del']}';");
 }
 if(isset($_POST['save'])) {
	if(isset($_POST['termin_id']) && is_array($_POST['termin_id'])){
		foreach($_POST['termin_id'] as $termin_id) {
			$dvon = check_date($_POST['dvon'][$termin_id]);
			$dbis = check_date($_POST['dbis'][$termin_id]);
			$tvon = check_time($_POST['tvon'][$termin_id]);
			$rbis = check_time($_POST['tbis'][$termin_id]);
			if($dvon == NULL || $dvon == false || date_gr2ts($dvon)==0) continue;
			$beginn = date_time_stamp($dvon, $tvon);
			$ende = date_time_stamp($dbis, $tbis);
			abfrage2("update tb_termine set von = '$beginn', bis = '$ende' where termin_id='$termin_id';");

		}
	}
 }
 $terminarten = abfrage1("select terminart, name from tb_terminart");
 $terminart = array();
 $fehlzeiten = array('u','k','w','f','wbf','ef','uf','kk','kf','ez','wbu','kol','ms','wol');
 while($ta = mysql_fetch_row($terminarten)) {
	$terminart[ $ta[0] ] = $ta[1];
 }
 $termine=abfrage1("select termin_id, terminart, 
					date_format(von, '%d.%m.%Y') as dvon, date_format(von, '%H:%i') as tvon,
					date_format(bis, '%d.%m.%Y') as dbis, date_format(bis, '%H:%i') as tbis
					from tb_termine where unix_timestamp(von) = 0");
 if(mysql_num_rows($termine) > 0) {
	echo "<form method=\"post\" action=\"muell.php?page=5\" name=\"anfangsdatum\">\n";
	echo "<center><table><tr><th>Termine mit leerem Anfangsdatum</th></tr></table>\n";
	echo "<table><tr><th>Typ</th><th>von</th><th>bis</th>\n";
	$ckd = ($_POST['checkall']) ? "checked" : "";
	echo "<th><input type=\"checkbox\" name=\"checkall\" style=\"margin-top:2px\"";
	echo stwToolTip("alle ausw&auml;hlen");
	echo " onChange=\"this.form.submit()\" $ckd>\n";
	echo "</th><th>";
	echo "<input name=\"del\" type=\"submit\" style=\"color:#FF0000;font-weight:bold;\" ";
	echo stwToolTip("ausgew&auml;hlte l&ouml;schen") . " value=\"X\" ></th></tr>\n";
	new stwTabLine(2,30);
	$ti = 1;
	while($t = mysql_fetch_array($termine)){
		if(isset($_POST["del"]) && isset($_POST["t$t[0]"])) {
			abfrage2("DELETE FROM tb_termine WHERE termin_id=$t[0]");
			continue;
		}
		$zk = abfrage("select zk_id, proj_id from tb_ab_zk where termin_id='$t[0]'");
		if(empty($zk[0])) $del = "$self?page=5&del=$t[0]";
		else $del = "../kal_del_sql.php?ktyp=".$t['terminart']."&zk_id=$zk[0]&termin_id=$t[0]";
		echo "<input type=\"hidden\" name=\"termin_id[$t[0]]\" value=\"$t[0]\" />\n";
		echo "<tr><td>";
		if($t['terminart'] == 'a') {
			echo "<a href=\"../fahrten_and.php?zk_id=$zk[0]\">".$terminart[ $t['terminart'] ]."</a>";
		} elseif(in_array($t['terminart'],$fehlzeiten)) {
			$fz = abfrage("select fehlz_id from tb_fehlz where termin_id='$t[0]'");
			echo "<a href=\"../fehlz_and.php?fehlz_id=$fz[0]\">".$terminart[ $t['terminart'] ]."</a>";
		} elseif($t['terminart'] == 'l') {
			$lom = abfrage("select lom_id from tb_lom where termin_id='$t[0]'");
			echo "<a href=\"../lom_and.php?lom_id=$lom[0]\">".$terminart[ $t['terminart'] ]."</a>";
			$del = "../kal_del_sql.php?ktyp=".$t['terminart']."&lom_id=$lom[0]&termin_id=$t[0]";
		} elseif($t['terminart'] == 't') {
			$team = abfrage("select team_id from tb_team where termin_id='$t[0]'");
			echo "<a href=\"../team_and.php?team_id=$team[0]\">".$terminart[ $t['terminart'] ]."</a>";
		} elseif($t['terminart'] == 'z') {
			echo "<a href=\"../pro_ab_zk.php?zk_id=$zk[0]\">".projektnummer($zk[1])."</a>";
		} else echo "<a href=\"../term_and.php?termin_id=$t[0]\">".$terminart[ $t['terminart'] ]."</a>";
		echo "</td>\n<td>";
		echo "<input type=\"text\" size=\"10\" name=\"dvon[$t[0]]\" value=\"".$t['dvon']."\" tabindex=\"$ti\" />"; $ti++;
		echo "<input style=\"margin-left:1px\" type=\"text\" size=\"5\" name=\"tvon[$t[0]]\" value=\"".$t['tvon']."\" tabindex=\"$ti\" />"; $ti++;
		echo "</td>\n<td class=\"cl20\">";
		echo "<input type=\"text\" size=\"10\" name=\"dbis[$t[0]]\" value=\"".$t['dbis']."\" tabindex=\"$ti\" />"; $ti++;
		echo "<input style=\"margin-left:1px\" type=\"text\" size=\"5\" name=\"tbis[$t[0]]\" value=\"".$t['tbis']."\" tabindex=\"$ti\" />"; $ti++;
		echo "</td><td><input type=\"checkbox\" name=\"t$t[0]\" $ckd></td>";
		echo "<td><a href=\"$del\" style=\"color:red\">X</a>";
		echo "</td></tr>\n";
	}
	new stwTabLine(2,30);
	echo "<tr><td colspan=\"30\">";
	echo "<input type=\"submit\" name=\"save\" value=\"Speichern\" tabindex=\"$ti\" />"; $ti++;
	echo "</td></tr>\n";
	echo "</table></center></form>\n";
 }
}
if($page == 0) {
	if(isset($_GET['drop'])) abfrage2("delete from tb_laufzeit where ts1 < $rvar_drop");
	if(!isset($rvar_order)) $rvar_order = 'axz';
	$anz = isset($_GET['anz']) ? $_GET['anz'] : 'm';
	/* Ermittlung des anzuzeigenden Tages */
	if(empty($_GET['tag'])){
		$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
	} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
		$anz = 'j';
		$tag = mktime(0,0,0,1,1,$_GET['tag']);
	} elseif($_GET['tag'] == '0000-00-00'){
		$tag = 0;
	} else {
		$tag =  date_isodate_stamp($_GET['tag']);
	}

	switch ($anz){
		case 'w1':
		case 'w2':
			$wtag = date('w', $tag);

			if ($wtag == 0){
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
			} else {
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
			}
			$sql_end = mktime(23,59,59,date('n', $sql_beg), date('j', $sql_beg)+7, date('Y', $sql_beg));
			$dat = date('d.m.Y', $sql_beg).' - '.date('d.m.Y', $sql_end);
			break;
		case 'm':
			$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
			$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
			$dat = strftime('%B %Y',$sql_beg);
			break;
		case 'j':
			$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
			$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
			$dat = "ganzes Jahr ".date('Y', $sql_beg);
			break;
		case 't':
			$von = isset($_GET['von']) ? $rvar_von : '00:00';
			$bis = isset($_GET['bis']) ? $rvar_bis : '23:59';
			$sql_beg = date_tstime($tag,$von);
			$sql_end = date_tstime($tag,$bis);
			$dat = date('d.m.Y', $sql_beg);
			break;
		case 'a':
			$von_monat = empty($_GET['von_monat']) ? date('m') : $_GET['von_monat'];
			$bis_monat = empty($_GET['bis_monat']) ? $von_monat : $_GET['bis_monat'];
			$von_jahr = empty($_GET['von_jahr']) ? date('Y') : $_GET['von_jahr'];
			$bis_jahr = empty($_GET['bis_jahr']) ? $von_jahr : $_GET['bis_jahr'];
			$sql_beg = mktime(0,0,0,$von_monat,1,$von_jahr);
			$sql_end = mktime(23,59,59,$bis_monat,date('t',mktime(0,0,0,$bis_monat,1,$bis_jahr)),$bis_jahr);
			$dat = date('d.m.Y', $sql_beg).' - '.date('d.m.Y', $sql_end);
			break;
	}

	echo "<table><tr>";
	echo "<td><input type=\"button\" style=\"color:white;background-color:red\"";
	echo stwToolTip("<b>Vorsicht!</b> Alle Ladezeiten vor dem ".date('d.m.Y', $sql_beg)." l&ouml;schen");
	$url = $_SERVER["REQUEST_URI"];
	$url .= strpos($_SERVER["REQUEST_URI"],'?')===false ? '?' : '&';
	$url .= "drop=$sql_beg";
	echo "onclick=\"if(confirm('Sollen wirklich alle Ladezeiten vor dem ".date('d.m.Y', $sql_beg)." entfernt werden?')) ";
	echo "self.location='$url'; else return false;\" value=\"Entf\" /></td>";
	if(isset($_GET['site'])) {
		$url = str_replace("site=","temp=",$_SERVER["REQUEST_URI"]);
		echo "<td><a href=\"$url\">zur&uuml;ck</a></td>";
	}
	echo "<th colspan=\"10\" class=\"cl11\">Seiten-Ladezeitenkontrolle ";
	if(isset($_GET['site'])) echo "$rvar_site ";
	echo "$dat</th>";
	if($anz == 't') {
		echo "<form method=\"get\" action=\"muell.php\">\n";
		echo "<input type=\"hidden\" name=\"anz\" value=\"t\" />\n";
		echo "<input type=\"hidden\" name=\"tag\" value=\"".date('Y-m-d',$tag)."\" />\n";
		if (isset($_GET['order'])) echo "<input type=\"hidden\" name=\"order\" value=\"$rvar_order\" />\n";
		if (isset($_GET['site'])) echo "<input type=\"hidden\" name=\"site\" value=\"$rvar_site\" />\n";
		echo "<th>von:</th><td><input type=\"text\" size=\"5\" name=\"von\" value=\"$von\" /></td>\n";
		echo "<th>bis:</th><td><input type=\"text\" size=\"5\" name=\"bis\" value=\"$bis\" /></td>\n";
		echo "<td><input type=\"image\" src=\"../img/senden.png\" /></form>\n";
	}
	echo "</tr>\n";
	new stwTabLine(2,30);
	if(isset($_GET['site'])) {
		echo "<tr><th class=\"cl1\">Zeitpunkt</th>";
		echo "<th class=\"cl1\">Mitarbeiter</th>";
		echo "<th class=\"cl1\" style=\"width:30px;text-align:right\">Ladezeit</th>";
		echo "<th colspan=\"30\" class=\"cl1\">Parameter</th>";
		echo "</tr>\n";
		new stwTabLine(2,30);
		$res = abfrage1("select * from tb_laufzeit where seite='$rvar_site' and ts1 <= $sql_end and ts1 >= $sql_beg order by ts1 desc");
		while($row = mysql_fetch_array($res)) {
			echo "<tr><th class=\"cl11\">" . date($anz=='t'?'H:i:s':'d.m.Y H:i:s' , $row['ts1']) . "</th>";
			echo "<td class=\"cl11\">".pers_kname($row['pers_id'])."</td>";
			echo "<td class=\"cl11\" style=\"text-align:right\">".(empty($row['ts2']) ? 'unvollst&auml;ndig' : ($row['ts2']-$row['ts1']).' s')."</td>";
			echo "<td colspan=\"30\" class=\"cl11\">".$row['urlext']."</td>";
			echo "<tr>\n";
		}
	} else {
		echo "<tr><th class=\"cl1\"><a href=\"muell.php?order=seite\">Seite</a></th>";
		echo "<th class=\"cl1\"><a href=\"muell.php?order=aufrufe\">Aufrufe</a></th>";
		echo "<th class=\"cl1\"><a href=\"muell.php?order=zeit\">&empty; Ladezeit</a></th>";
		echo "<th class=\"cl1\"><a href=\"muell.php?order=axz\">Aufruf * Ladezeit</a></th>";
		$tt = stwToolTip("<b>Eine Seite ist unvollst&auml;ndig geladen, wenn:</b><br />- ein SQL-Fehler oder ein Fehler im PHP-Skript auftritt (und ausgegeben wird)<br />- die Seite auf Grund zu langer Ladezeiten ins Timeout l&auml;uft<br />- das Laden der Seite durch den Nutzer abgebrochen wurde, beispielsweise durch Folgen eines Links",false);
		echo "<th $tt class=\"cl1\"><a href=\"muell.php?order=unv\">unvollst&auml;ndig</a></th></tr>\n";
		new stwTabLine(2,30);
		$where = "where ts1 <= $sql_end and ts1 >= $sql_beg";
		$res = abfrage1("select seite, count(id) from tb_laufzeit $where group by seite order by seite asc");
		$order = array();
		while($row = mysql_fetch_row($res)) {
			if(empty($row[0])) $row[0] = 'index.php';
			$phpsite[ $row[0] ][0] = $row[1];
			$ts = abfrage("select count(id), sum(ts2 - ts1), LPAD(sum(ts2 - ts1),32,'0') from tb_laufzeit $where and seite='$row[0]' and ts2 > 0");
			$phpsite[ $row[0] ][1] = ($ts[0] > 0 ? round($ts[1]/$ts[0],2) : '-');
			$phpsite[ $row[0] ][2] = $ts[1];
			$unv = abfrage("select count(id), LPAD(count(id),5,'0') from tb_laufzeit $where and seite='$row[0]' and ts2 = 0");
			$phpsite[ $row[0] ][3] = $unv[0];
			if($rvar_order == 'aufrufe') $order[ $row[0] ] = $row[1];
			elseif($rvar_order == 'zeit') $order[ $row[0] ] = ($ts[0] > 0 ? round($ts[1]/$ts[0],2) : -1);
			elseif($rvar_order == 'axz') $order[ $row[0] ] = $ts[1];
			elseif($rvar_order == 'unv') $order[ $row[0] ] = "$unv[1]-$ts[2]";
			else $order[ $row[0] ] = $row[0];
		}
		if($rvar_order != 'seite') arsort($order);
		foreach($order as $site => $sort) {
			$url = $_SERVER["REQUEST_URI"];
			$url .= strpos($_SERVER["REQUEST_URI"],'?')===false ? '?' : '&';
			$url .= "site=$site";
			echo "<tr class=\"mo\"><th><a href=\"$url\">$site</a></th>";
			foreach($phpsite[ $site ] as $row) {
				echo "<td class=\"cl20\" style=\"text-align:right\">$row</td>";
			}
			echo "</tr>\n";
		}
	}
	echo "</table>";
}
new stwEnd($seite, $page==0, NULL, NULL, 0, 0, 0, $anz); 
?>