<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: projekte.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */
session_start();

$seite = 58;
$level = 96;

require_once($_SESSION['basedir'] . '/inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($_SESSION['basedir'] . '/inc/xajax_core/xajax.inc.php');

function Speichern($hilfeart_id, $farbe) {
	$sql = "update tb_hilfeart set farbe = '$farbe' where hilfeart_id='$hilfeart_id'";
	abfrage2($sql);
}

$xajax = new xajax();
$xajax->configure('javascript URI', '../inc/');
$xajax->registerFunction('Speichern');
/* --- Ende Abschnitt (X)AJAX --- */

require("{$_SESSION['basedir']}/inc/auth.inc.php");
require("{$_SESSION['basedir']}/inc/level.inc.php");
require("{$_SESSION['basedir']}/inc/stw.inc.php");

if ($_POST['send'] == 1){
	$hilfeart = (empty($_POST['hilfeart'])) ? 'aaa' : $_POST['hilfeart'];
	$sql  = (isset($_POST['hilfeart_id'])) ? 'update ' : 'insert into ';
	$sql .= "tb_hilfeart set
				hilfeart = '$hilfeart',
				beschreibung = '{$_POST['beschreibung']}',
				kurzname = '{$_POST['kurzname']}',
				paragraph = '{$_POST['paragraph']}',
				pra_id = '{$_POST['pra_id']}',
				traeger_art_id = '{$_POST['traeger_art_id']}',
				abt_id = '{$_POST['abt_id']}'";

	$sql .= (isset($_POST['farbe'])) ? ", farbe = '{$_POST['farbe']}'" : '';
	$sql .= (isset($_POST['doku'])) ? ", doku = '{$_POST['doku']}'" : '';
	$sql .= (isset($_POST['fls_fz'])) ? ", fls_fz = '{$_POST['fls_fz']}'" : '';
	$sql .= (isset($_POST['fls_azk'])) ? ", fls_azk = '{$_POST['fls_azk']}'" : '';
	$sql .= (isset($_POST['h_kapp_neg'])) ? ", h_kapp_neg = '{$_POST['h_kapp_neg']}'" : '';
	$sql .= (isset($_POST['h_kapp_neg_wert'])) ? ", h_kapp_neg_wert = '{$_POST['h_kapp_neg_wert']}'" : '';
	$sql .= (isset($_POST['h_kapp_pos'])) ? ", h_kapp_pos = '{$_POST['h_kapp_pos']}'" : '';
	$sql .= (isset($_POST['h_kapp_pos_wert'])) ? ", h_kapp_pos_wert = '{$_POST['h_kapp_pos_wert']}'" : '';
	$sql .= (isset($_POST['hilfeart_id'])) ? " where hilfeart_id = {$_POST['hilfeart_id']};" : ';';
	abfrage2($sql);
}

if (isset($_GET['id']) && $_GET['del'] == 1){
	abfrage2("update tb_hilfeart set aktiv='n' where hilfeart_id = '{$_GET['id']}' limit 1;");
} elseif (isset($_GET['del']) && is_numeric($_GET['del'])){
	abfrage2("update tb_hilfeart set aktiv='n' where hilfeart_id = '{$_GET['del']}' limit 1;");
}

if (isset($_GET['activate']) && is_numeric($_GET['activate'])){
	abfrage2("update tb_hilfeart set aktiv='j' where hilfeart_id = '{$_GET['activate']}' limit 1;");
}

if (getConf('fls_doku') != 1){
	$tt  = "Zuschlag&nbsp;Falldokumentation&nbsp;in<br>";
	$tt .= "konf&nbsp;->&nbsp;tr&auml;ger&nbsp;deaktiviert!";
	$doku_tt =  stwToolTip($tt);
	$doku_th_style = 'color:#999999';
	$doku_radio = 'disabled';
}

$pg = (isset($_GET['pg'])) ? $_GET['pg'] : 'all';
$tr = (isset($_GET['tr'])) ? $_GET['tr'] : 'all';
$sort = (isset($_GET['sort'])) ? $_GET['sort'] : 'ha';
$all = empty($_GET['all']) ? 0 : 1;

$self = $_SERVER['PHP_SELF'] . "?all=$all";

echo "<table><tr><td class=\"cl20\"><input type=\"button\" ";
echo "onClick=\"self.location.href='{$_SESSION['webdir']}/konf/ha_and.php?pg=$pg&tr=$tr&sort=$sort&all=$all'\" ";
echo "value=\"neue Hilfeart anlegen\"></td>";
echo "<td class=\"cl20\"><input type=\"button\" onClick=\"self.location.href=";
echo "'projekte.php?pg=$pg&tr=$tr&sort=$sort";
if($all) echo "'\" value=\"nur aktive\"></td>";
else echo "&all=1'\" value=\"alle\"></td>";

echo "<form action=\"$self\" method=\"GET\">\n";
echo "<th class=\"cl1\">Projektgruppe:</th>\n";
echo "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n";
echo "<input type=\"hidden\" name=\"all\" value=\"$all\">\n";
echo "<td class=\"cl20\">";
echo "<select size=\"1\" name=\"pg\" onChange=\"this.form.submit()\">\n";
echo "<option value=\"all\"";
if ($pg == 'all') echo ' selected';
echo ">ALLE</option>\n";

$prs = abfrage1("select pra_id, kname, titel from tb_projektart
								 order by kname asc;");
while ($pra = mysql_fetch_row($prs)){
	echo "<option value=\"$pra[0]\" title=\"$pra[2]\"";
	if ($pra[0] == $pg) echo ' selected';
	echo ">$pra[1]</option>\n";
}
echo "</select>\n</td>\n";


echo "<th class=\"cl1\">Standardtr&auml;ger:</th>\n";
echo "<td class=\"cl20\">";
echo "<select size=\"1\" name=\"tr\" onChange=\"this.form.submit()\">\n";
echo "<option value=\"all\"";
if ($tr == 'all') echo ' selected';
echo ">ALLE</option>\n";

$trs = abfrage1("select traeger_art_id, kurzname, traeger_art
								 from tb_traeger_art
								 order by kurzname asc;");
while ($tra = mysql_fetch_row($trs)){
	echo "<option value=\"$tra[0]\" title=\"$tra[2]\"";
	if ($tra[0] == $tr) echo ' selected';
	echo ">$tra[1]</option>\n";
}
echo "</select>\n</td>\n</form>\n";

echo "</tr></table>\n";

new stwLine(1);

$tt_fls = "K&uuml;rzung&nbsp;Projekt-Sollstunden<br>";
$tt_fls .= "bei&nbsp;Fehlzeiten&nbsp;Hauptbetreuer";
$fls_tt = stwToolTip($tt_fls);

$lx = "&pg=$pg&tr=$tr";

echo "<table>\n";
echo "<tr><th style=\"padding-right:5px\">";
echo "<a href=\"$self&sort=ha$lx\">Hilfeart</a></th>\n";
echo "<th style=\"padding-right:5px\">";
echo "<a href=\"$self&sort=ku$lx\">Kurzname</a></th>\n";
echo "<th style=\"padding-right:5px\">";
echo "<a href=\"$self&sort=pa$lx\"";
echo stwToolTip("Paragraph");
echo ">&sect;&sect;&sect;</a></th>\n";
echo "<th style=\"padding-right:5px\">";
echo "<a href=\"$self&sort=be$lx\">Beschreibung</a></th>\n";
echo "<th style=\"padding-right:5px\">Farbe</th>\n";
echo "<th style=\"padding-right:5px\">";
echo "<a href=\"$self&sort=pg$lx\">Projektgruppe</th>\n";
echo "<th style=\"padding-right:5px;text-align:center\">";
echo "<a href=\"$self&sort=tr$lx\">Standard-</th>\n";
echo "<th style=\"padding-right:5px;text-align:center\">";
echo "<a href=\"$self&sort=tr$lx\">Standard-</th>\n";
echo "<th colspan=\"2\" style=\"padding-right:5px;text-align:center;";
echo "$doku_th_style\" $doku_tt><a href=\"$self&sort=dp$lx\">Doku-</th>\n";
echo "<th colspan=\"2\" style=\"padding-right:5px;text-align:center\" $fls_tt>";
echo "<a href=\"$self&sort=fz$lx\">Soll FLS</th>\n";
echo "<th colspan=\"4\" style=\"padding-right:5px;text-align:center\">";
echo "<a href=\"$self&sort=hn$lx\">Kappung</th>\n";
echo "<th colspan=\"4\" style=\"padding-right:5px;text-align:center\">";
echo "<a href=\"$self&sort=kp$lx\">Kappung</th>\n";
echo "<th colspan=\"2\" style=\"padding-right:5px;text-align:center\">";
echo "<a href=\"$self&sort=az$lx\">FLS in</th>\n";

echo "</tr>\n";
echo "<tr><td colspan=\"6\"></td>\n";
echo "<th style=\"padding-right:5px;text-align:center\">";
echo "<a href=\"$self&sort=tr$lx\">tr&auml;ger</th>\n";
echo "<th style=\"padding-right:5px;text-align:center\">";
echo "<a href=\"$self&sort=tr$lx\">abteilung</th>\n";
echo "<th colspan=\"2\" style=\"padding-right:5px;text-align:center;";
echo "$doku_th_style\" $doku_tt><a href=\"$self&sort=dp$lx\">Pauschale</th>\n";
echo "<th colspan=\"2\" style=\"padding-right:5px;text-align:center\" $fls_tt>";
echo "<a href=\"$self&sort=fz$lx\">nach Fehlzeit</th>\n";
echo "<th colspan=\"4\" style=\"padding-right:5px;text-align:center\">";
echo "<a href=\"$self&sort=kn$lx\">negativ</th>\n";
echo "<th colspan=\"4\" style=\"padding-right:5px;text-align:center\">";
echo "<a href=\"$self&sort=kp$lx\">positiv</th>\n";
echo "<th colspan=\"2\" style=\"padding-right:5px;text-align:center\">";
echo "<a href=\"$self&sort=az$lx\">AZK</th>\n";
echo "</tr>\n";

echo "<tr><td colspan=\"8\"></td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">ja</td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">nein</td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">ja</td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">nein</td>\n";

echo "<td style=\"padding-right:5px;text-align:center\"";
echo stwToolTip('wie Standardeinstellung in konf / tr&auml;ger') . ">Std.</td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">ja</td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">nein</td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">Wert</td>\n";

echo "<td style=\"padding-right:5px;text-align:center\"";
echo stwToolTip('wie Standardeinstellung in konf / tr&auml;ger') . ">Std.</td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">ja</td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">nein</td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">Wert</td>\n";

echo "<td style=\"padding-right:5px;text-align:center\">ja</td>\n";
echo "<td style=\"padding-right:5px;text-align:center\">nein</td>\n";

echo "</tr>\n";

new stwTabLine(2,30);

if (isset($rvar_sort)){
  switch ($rvar_sort){
    case 'ha':
      $order = 'ha.hilfeart asc';
      break;
    case 'pg':
      $order = 'pa.kname asc, ha.hilfeart asc';
      break;
    case 'tr':
      $order = 'tr.kurzname asc, ha.hilfeart asc';
      break;
    case 'dp':
      $order = 'ha.doku asc, ha.hilfeart asc';
      break;
    case 'fz':
      $order = 'ha.fls_fz asc, ha.hilfeart asc';
      break;
    case 'kn':
      $order = 'ha.h_kapp_neg asc, ha.hilfeart asc';
      break;
    case 'kp':
      $order = 'ha.h_kapp_pos asc, ha.hilfeart asc';
      break;
    case 'az':
      $order = 'ha.fls_azk asc, ha.hilfeart asc';
      break;
    case 'ku':
      $order = 'ha.kurzname asc, ha.hilfeart asc';
      break;
    case 'be':
      $order = 'ha.beschreibung asc, ha.hilfeart asc';
      break;
    case 'pa':
      $order = 'ha.paragraph asc, ha.hilfeart asc';
      break;
  }
} else {
  $order = 'ha.hilfeart asc';
}

$sql = "select ha.hilfeart_id,
		ha.hilfeart,
		ha.kurzname,
		ha.beschreibung,
		ha.pra_id,
		ha.traeger_art_id,
		ha.doku,
		ha.fls_fz,
		ha.fls_azk,
		ha.h_kapp_neg,
		ha.h_kapp_neg_wert,
		ha.h_kapp_pos,
		ha.h_kapp_pos_wert,
		ha.paragraph,
		ha.aktiv,
		ha.abt_id,
		ha.farbe
		from tb_hilfeart ha
		left join tb_projektart pa on ha.pra_id = pa.pra_id
		left join tb_traeger_art tr on ha.traeger_art_id = tr.traeger_art_id";
if ($pg != 'all') $sql .= " where ha.pra_id = '$pg'";
if ($tr != 'all'){
	$sql .= ($pg != 'all') ? ' and ' : ' where ';
	$sql .= "ha.traeger_art_id = '$tr'";
}
if ($all == 0){
	$sql .= ($pg != 'all' || $tr != 'all') ? ' and ' : ' where ';
	$sql .= "ha.aktiv = 'j'";
}

$sql .= "	order by $order;";
$has = abfrage1($sql);

echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";

while ($ha = mysql_fetch_assoc($has)){
	echo "<form action=\"$self&pg=$pg&tr=$tr&sort=$sort\" method=\"POST\">\n";
	echo "<input type=\"hidden\" name=\"hilfeart_id\" value=\"{$ha['hilfeart_id']}\">\n";
	echo "<input type=\"hidden\" name=\"hilfeart\" value=\"{$ha['hilfeart']}\">\n";
	echo "<input type=\"hidden\" name=\"send\" value=\"1\">\n";
	if (isset($rvar_sort)){
	  echo "<input type=\"hidden\" name=\"sort\" value=\"$rvar_sort\">\n";
	}
	echo "<tr class=\"mo\">\n";

	echo "<td style=\"padding-right:5px\">";
	echo "<a href=\"{$_SESSION['webdir']}/konf/ha_and.php?pg=$pg&tr=$tr&sort=$sort&all=$all&id={$ha['hilfeart_id']}\"";
	$ha_tt  = (strlen($ha['beschreibung']) > 0) ? str_replace(' ', '&nbsp;', '<b>' . $ha['beschreibung'] . '</b>') : '';
	$ha_tt .= (strlen($ha['kurzname']) > 0 && strlen($ha['beschreibung']) > 0) ? '<hr>' : '';
	$ha_tt .= (strlen($ha['kurzname']) > 0) ? str_replace(' ', '&nbsp;', $ha['kurzname']) : '';
	echo (strlen($ha_tt) > 0) ? stwToolTip($ha_tt) : '';
	if($ha['aktiv'] == 'n') echo " style=\"color:#999999\"";
	echo ">{$ha['hilfeart']}</a></td>\n";

	echo "<td style=\"padding-right:5px\">";
	echo "<input type=\"text\" name=\"kurzname\" value=\"{$ha['kurzname']}\" size=\"12\"";
	if(strlen($ha['kurzname']) > 0) echo  stwToolTip(str_replace(' ', '&nbsp;', $ha['kurzname']));
	echo "></td>\n";

	echo "<td style=\"padding-right:5px\">";
	echo "<input type=\"text\" name=\"paragraph\" size=\"3\"";
	if($ha['paragraph'] > 0) echo " value=\"{$ha['paragraph']}\"";
	echo "></td>\n";

	echo "<td style=\"padding-right:5px\">";
	echo "<input type=\"text\" name=\"beschreibung\" value=\"{$ha['beschreibung']}\" size=\"24\"";
	if(strlen($ha['beschreibung']) > 0) echo  stwToolTip(str_replace(' ', '&nbsp;', $ha['beschreibung']));
	echo "></td>\n";

	echo "<td style=\"padding-right:5px\">";
	echo "<input type=\"text\" name=\"farbe\" value=\"{$ha['farbe']}\" size=\"7\" ";
	if(!empty($ha['farbe'])) {
		$rgb = transformColor($ha['farbe']);
		$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
		echo "style=\"background-color:{$ha['farbe']};color:$co;\" ";
	}
	echo "onClick=\"xajax_Speichern({$ha['hilfeart_id']}, this.value); ";
	echo "colorPicker(event,'H',3,0,1,0,1,1,60,-20,0,0,'',this.value||'#FFFFFF')\"></td>\n";

	echo "<td><select name=\"pra_id\" size=\"1\" onChange=\"this.form.submit()\">\n";
	$pras = abfrage1("select pra_id, kname, titel
					from tb_projektart
					where aktiv = 1
					order by kname asc;");
	while ($pra = mysql_fetch_array($pras)) {
		echo "<option value=\"{$pra['pra_id']}\"";
		echo (strlen($pra['titel']) > 0) ? " titel=\"{$pra['titel']}\"" : '';
		echo ($ha['pra_id'] == $pra['pra_id']) ? ' selected' : '';
		echo ">{$pra['kname']}</option>\n";
	}
	if($ha['pra_id'] == 69 || projektgruppe()) {
		echo "<option value=\"69\"";
		if ($ha['pra_id'] == 69) echo ' selected';
		echo " style=\"color:#990000\">Projektgruppe</option>\n";
	}
	echo "</select></td>\n";

	echo "<td style=\"text-align:center\">";
	echo "<select name=\"traeger_art_id\" size=\"1\" onChange=\"this.form.submit()\">\n";
	$tras = abfrage1("select traeger_art_id, kurzname, traeger_art
					from tb_traeger_art
					order by kurzname asc;");
	while ($tra = mysql_fetch_array($tras)) {
		echo "<option value=\"{$tra['traeger_art_id']}\"";
		echo (strlen($tra['traeger_art']) > 0) ? " titel=\"{$tra['traeger_art']}\"" : '';
		echo ($ha['traeger_art_id'] == $tra['traeger_art_id']) ? ' selected' : '';
		echo ">{$tra['kurzname']}</option>\n";

	}
	echo "</select></td>\n";

	echo "<td style=\"text-align:center\">";
	echo "<select name=\"abt_id\" size=\"1\" onChange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">- keine -</option>\n";
	$abts = abfrage1("select abt_id, name from tb_personal_abt order by name asc;");
	while ($abt = mysql_fetch_row($abts)) {
		echo "<option value=\"$abt[0]\"";
		echo ($ha['abt_id'] == $abt[0]) ? ' selected' : '';
		echo ">$abt[1]</option>\n";

	}
	echo "</select></td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"doku\" value=\"1\" ";
	echo "onChange=\"this.form.submit()\" $doku_radio";
	echo stwToolTip('Doku-Pauschale: ja');
	echo ($ha['doku'] == 1) ? ' checked' : '';
	echo "></td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"doku\" value=\"0\" ";
	echo "onChange=\"this.form.submit()\" $doku_radio";
	echo stwToolTip('Doku-Pauschale: nein');
	echo (empty($ha['doku'])) ? ' checked' : '';
	echo "></td>\n";


	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"fls_fz\" value=\"1\" onChange=\"this.form.submit()\"";
	echo stwToolTip('Soll FLS nach Fehlzeit: ja');
	echo ($ha['fls_fz'] == 1) ? ' checked' : '';
	echo "></td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"fls_fz\" value=\"0\" onChange=\"this.form.submit()\"";
	echo stwToolTip('Soll FLS nach Fehlzeit: nein');
	echo (empty($ha['fls_fz'])) ? ' checked' : '';
	echo "></td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"h_kapp_neg\" value=\"0\" ";
	echo "onChange=\"this.form.submit()\"";
	echo stwToolTip('Kappung negativ: wie Standard');
	echo ($ha['h_kapp_neg'] == 0) ? ' checked' : '';
	echo "></td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"h_kapp_neg\" value=\"1\" ";
	echo "onChange=\"this.form.submit()\"";
	echo stwToolTip('Kappung negativ: ja');
	echo ($ha['h_kapp_neg'] == 1) ? ' checked' : '';
	echo "></td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"h_kapp_neg\" value=\"2\" ";
	echo "onChange=\"this.form.submit()\"";
	echo stwToolTip('Kappung negativ: nein');
	echo ($ha['h_kapp_neg'] == 2) ? ' checked' : '';
	echo "></td>\n";

	echo "<td style=\"padding-right:20px;text-align:center\">";
	echo "<input type=\"text\" name=\"h_kapp_neg_wert\" ";
	echo "style=\"text-align:right;\" size=\"4\" maxlength=\"4\" ";
	echo stwToolTip('Kappung negativ: Wert<br><b>(negativen Wert eingeben!)</b>');
	echo "value=\"{$ha['h_kapp_neg_wert']}\">&nbsp;h</td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"h_kapp_pos\" value=\"0\" ";
	echo "onChange=\"this.form.submit()\"";
	echo stwToolTip('Kappung positiv: wie Standard');
	echo ($ha['h_kapp_pos'] == 0) ? ' checked' : '';
	echo "></td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"h_kapp_pos\" value=\"1\" ";
	echo "onChange=\"this.form.submit()\"";
	echo stwToolTip('Kappung positiv: ja');
	echo ($ha['h_kapp_pos'] == 1) ? ' checked' : '';
	echo "></td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"h_kapp_pos\" value=\"2\" ";
	echo "onChange=\"this.form.submit()\"";
	echo stwToolTip('Kappung positiv: nein');
	echo ($ha['h_kapp_pos'] == 2) ? ' checked' : '';
	echo "></td>\n";

	echo "<td style=\"padding-right:20px;text-align:center\">";
	echo "<input type=\"text\" name=\"h_kapp_pos_wert\" ";
	echo "style=\"text-align:right;\" size=\"4\" maxlength=\"4\" ";
	echo stwToolTip('Kappung positiv: Wert');
	echo "value=\"{$ha['h_kapp_pos_wert']}\">&nbsp;h</td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"fls_azk\" value=\"1\" onChange=\"this.form.submit()\"";
	echo stwToolTip('FLS in AZK: ja');
	echo ($ha['fls_azk'] == 1) ? ' checked' : '';
	echo "></td>\n";

	echo "<td style=\"padding-right:5px;text-align:center\">";
	echo "<input type=\"radio\" name=\"fls_azk\" value=\"0\" onChange=\"this.form.submit()\"";
	echo stwToolTip('FLS in AZK: nein');
	echo (empty($ha['fls_azk'])) ? ' checked' : '';
	echo "></td>\n";

	echo "<td><input type=\"image\" src=\"{$_SESSION['webdir']}/img/senden.png\"";
	echo stwToolTip("Zeile ({$ha['hilfeart']}) absenden");
	echo "></td>\n";

	echo "<td><a href=\"$self&sort=".$sort.$lx;
	echo ($ha['aktiv'] == 'j' ? '&del=' : '&activate=') . $ha['hilfeart_id'];
	echo "\" style=\"color:#".($ha['aktiv'] == 'j' ? "00FF00" : "999999")."\"";
	echo stwToolTip('Hilfeart '.($ha['aktiv'] == 'j' ? "de" : "wieder ").'aktivieren!');
	echo ">X</a></td>\n";

	echo "</tr>\n";
	echo "</form>\n";
}

echo "</table>\n";
new stwLine(1);
new stwEnd($seite);
?>