<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: skin.php 2914 2018-11-24 18:38:25Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 83;
$level = 96;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/level.inc.php");

/* geaenderte Farbwerte wieder eintragen */
if (isset($_POST["speichern"])) {
	foreach($_POST['farbe'] as $id => $farbe) {
		abfrage2("update tb_skin set farbe='$farbe' where id='$id'");
	}
}

$skins = abfrage1("SELECT * FROM tb_skin ORDER BY id ASC");

echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
echo "<form method=\"post\" action=\"skin.php\">\n";
echo "<table>\n";
$zkcolors = array();
while ($skin = mysql_fetch_row($skins)) {
	if($skin[0] == 1) {
		echo "<tr><th colspan=\"2\">Zeitkarten</th></tr>\n";
		new stwTabLine(2,2);
	}
	echo "<tr>";
	if($skin[0] == 5) {
		new stwTabLine(1,2);
		echo "<tr><th colspan=\"2\">Hintergrundfarben</th></tr>\n";
		new stwTabLine(2,2);
		echo "<th class=\"cl20\" style=\"background-color:$skin[2]\">";
		echo "<span style=\"color:".$zkcolors[1]."\">Hinter</span>";
		echo "<span style=\"color:".$zkcolors[2]."\">grund</span>";
		echo "<span style=\"color:".$zkcolors[3]."\">farbe</span> ";
		echo "<span style=\"color:".$zkcolors[4]."\">Kontrolle</span>";
		echo "</th>\n";
	}
	else echo "<th class=\"cl20\" style=\"color:$skin[2]\">$skin[1]</th>";
	if($skin[0] < 5) $zkcolors[ $skin[0] ] = $skin[2];
	echo "<td><input type=\"text\" size=\"7\" name=\"farbe[" . $skin[0] . "]\" ";
	$rgb = transformColor($skin[2]);
	$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
	echo "style=\"background-color:$skin[2];color:$co;\" ";
	echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,200,-20,0,0,'',this.value||'#FFFFFF')\"";
	echo "value=\"$skin[2]\"></td></tr>\n";
}

new stwTabLine(2, 2);

echo "<tr><td colspan=\"2\" style=\"text-align:right\">\n";
echo "<input type=\"submit\" name=\"speichern\" value=\"Speichern\">";
echo "</td></tr></table>\n</form>\n";

new stwEnd($seite);
?>