<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: traeger.php 2783 2017-08-16 08:49:23Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 55;
$level = 96;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/azk.inc.php");

/*
* Der aktuelle Nutzer ist vielleicht berechtigt die Seite zu sehen obwohl
* der Level nicht hoch genug ist.
*/
if (!check_nutzer_rechte(21)) {
	require_once($pfad . "inc/level.inc.php");
}

echo "<table style=\"width:750px\">\n";
if(isset($_POST['save_tr'])) {
	if(empty($_POST['traeger_art']) || empty($_POST['kurzname']) || empty($_POST['farbe'])) {
		echo "<tr><td colspan=\"30\"><h1>vor dem Speichern m&uuml;ssen die Felder Name, K&uuml;rzel und Farbe ausgef&uuml;llt sein!</h1></td></tr>\n";
	} else {
		$sql  = ($_POST['id'] == 'neu') ? "INSERT INTO" : "UPDATE";
		$sql .= " tb_traeger_art SET traeger_art = '" . $_POST['traeger_art'] . "', ";
		$sql .= " farbe = '" . $_POST['farbe'] . "', ";
		$sql .= " kurzname = '" . $_POST['kurzname'] . "', ";
		$sql .= " bank = '" . $_POST['bank'] . "', ";
		$sql .= " iban = '" . $_POST['iban'] . "', ";
		$sql .= " bic = '" . $_POST['bic'] . "', ";
		$sql .= " strasse = '" . $_POST['strasse'] . "', ";
		$sql .= " plz = '" . $_POST['plz'] . "', ";
		$sql .= " ort = '" . $_POST['ort'] . "', ";
		$sql .= " adresszusatz = '" . $_POST['adresszusatz'] . "', ";
		$sql .= " erw_benutzer = '" . $_POST['erw_benutzer'] . "'";
		if($_POST['id'] != 'neu') $sql .= " WHERE traeger_art_id = '" . $_POST['id'] . "';";
		abfrage2($sql);
	}
}
if(isset($_POST['del_tr'])) {
	new stwTabLine(1,30);
	echo "<form method=\"POST\" action=\"{$_SERVER['PHP_SELF']}#intern\">";
	echo "<input type=\"hidden\" name=\"id\" value=\"{$_POST['del_tr']}\">\n";
	echo "<tr><td colspan=\"30\"><h1>Tr&auml;ger Wirklich l&ouml;schen? Alle Zuordnungen werden ung&uuml;ltig!</h1></td></tr>\n";
	echo "<tr><td align=\"left\"><input type=\"submit\" name=\"really_del_tr\" value=\"Ja! wirklich l&ouml;schen!\">";
	echo "<td align=\"right\"><input type=\"submit\" value=\"Nein! Lieber doch nicht!\"></td></tr>\n</form>\n";
	new stwTabLine(1,30);
}
if(isset($_POST['really_del_tr'])) {
	$sql = "DELETE FROM tb_traeger_art WHERE traeger_art_id = '{$_POST['id']}'";
	abfrage2($sql);
}
$width = array('90%','90%','45%','30%','22%');
$trs = abfrage1("SELECT traeger_art_id, kurzname FROM tb_traeger_art ORDER BY traeger_art_id asc");
$cnt = mysql_num_rows($trs);
$w = empty($width[$cnt]) ? '18%' : $width[$cnt];
echo "<tr><td><input type=\"button\" value=\"neu\" ";
echo stwToolTip('neuen Tr&auml;ger anlegen');
echo "onClick=\"self.location.href='traeger_and.php'\"></td>\n";
while($tr = mysql_fetch_row($trs)) {
	$kurz = empty($tr[1]) ? "<b color=\"red\">leer</b>" : $tr[1];
	echo "<td width=\"$w\"><a href=\"traeger_and.php?traeger_art_id=$tr[0]\">$kurz</a>";
	$projekte = abfrage1("select proj_id from tb_projekte where traeger_art_id=$tr[0] limit 1");
	if(mysql_num_rows($projekte) == 0) {
		$personal = abfrage1("select pers_id from tbh_pers_traegerart where traeger_art_id=$tr[0] limit 1");
		if(mysql_num_rows($personal) == 0) {
			$konten = abfrage1("select kto_id from tb_bkto where traegerart_id=$tr[0] limit 1");
			if(mysql_num_rows($konten) == 0) {
				$kassen = abfrage1("select kasse_id from tb_kasse where traeger_art_id=$tr[0] limit 1");
				if(mysql_num_rows($kassen) == 0) {
					$vormerkungen = abfrage1("select vm_id from tb_vormerkliste where traeger_art_id=$tr[0] limit 1");
					if(mysql_num_rows($vormerkungen) == 0) {
						$geraete = abfrage1("select ger_id from tb_ger where traegerart_id=$tr[0] limit 1");
						if(mysql_num_rows($geraete) == 0) {
							$postaus = abfrage1("select post_out_id from tb_post_ausgang where traegerart_id=$tr[0] limit 1");
							if(mysql_num_rows($postaus) == 0) {
								$postein = abfrage1("select post_in_id from tb_post_eingang where traegerart_id=$tr[0] limit 1");
								if(mysql_num_rows($postein) == 0) {
									echo "&nbsp; &nbsp; &nbsp;";
									echo "<form style=\"display:inline;\" method=\"post\" action=\"traeger.php\">\n";
									echo "<input type=\"hidden\" name=\"del_tr\" value=\"$tr[0]\" />\n";
									echo "<input style=\"background-color:#333333\" type=\"image\" src=\"".image('X_rechts',16,11,255,0,0)."\"";
									echo stwToolTip("<b>Vorsicht!</b> Tr&auml;ger l&ouml;schen");
									echo "/>\n</form>";
								}
							}
						}
					}
				}
			}
		}
	} echo "</td>\n";
}
$trs = abfrage1("SELECT farbe, traeger_art FROM tb_traeger_art ORDER BY traeger_art_id asc");
echo "</tr>\n";
new stwTabLine(2,30);
echo "<tr><th>Name:</th>\n";
while($tr = mysql_fetch_row($trs)) {
	echo "<td class=\"cl1\" style=\"color:$tr[0]\">$tr[1]</td>\n";
}
echo "</tr>\n";
new stwTabLine(2,30);
$trs = abfrage1("SELECT bank FROM tb_traeger_art ORDER BY traeger_art_id asc");
echo "<tr><th>Bank:</th>\n";
while($tr = mysql_fetch_row($trs)) {
	echo "<td class=\"cl1\">$tr[0]</td>\n";
}
$trs = abfrage1("SELECT iban FROM tb_traeger_art ORDER BY traeger_art_id asc");
echo "</tr>\n<tr><th>IBAN:</th>\n";
while($tr = mysql_fetch_row($trs)) {
	echo "<td class=\"cl1\">$tr[0]</td>\n";
}
$trs = abfrage1("SELECT bic FROM tb_traeger_art ORDER BY traeger_art_id asc");
echo "</tr>\n<tr><th>BIC:</th>\n";
while($tr = mysql_fetch_row($trs)) {
	echo "<td class=\"cl1\">$tr[0]</td>\n";
}
echo "</tr>\n";
new stwTabLine(2,30);
echo "<tr><th colspan=\"30\">Abweichende Lieferadresse (Einkaufsprojekte)</th></tr>\n";
new stwTabLine(2,30);
$trs = abfrage1("SELECT strasse FROM tb_traeger_art ORDER BY traeger_art_id asc");
echo "<tr><th>Stra&szlig;e:</th>\n";
while($tr = mysql_fetch_row($trs)) {
	echo "<td class=\"cl1\">$tr[0]</td>\n";
}
$trs = abfrage1("SELECT plz, ort FROM tb_traeger_art ORDER BY traeger_art_id asc");
echo "</tr>\n<tr><th>PLZ Ort:</th>\n";
while($tr = mysql_fetch_row($trs)) {
	echo "<td class=\"cl1\">$tr[0] $tr[1]</td>\n";
}
$trs = abfrage1("SELECT adresszusatz FROM tb_traeger_art ORDER BY traeger_art_id asc");
echo "</tr>\n<tr><th>Adr.zusatz:</th>\n";
while($tr = mysql_fetch_row($trs)) {
	echo "<td class=\"cl1\">$tr[0]</td>\n";
}
echo "</tr></table>\n";
new stwEnd($seite);

?>