<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: kont_and.php 2909 2018-11-14 10:37:41Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = $_REQUEST['st'];

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

require_once($pfad . 'inc/func.inc.php');

if($_SESSION[$AppCode]['ULV'] >= 96 && $_GET['sozialraum'] == 1) {
	$seite = 5;
	$onload_form = "sozialraum";
	$onload_focus = "plz";
	require_once('inc/auth.inc.php');
	require_once('inc/stw.inc.php');
	require_once('inc/stwDaten.inc.php');
	if(isset($_POST['import']) && !empty($_FILES["datei"]["name"])) {
		if(strtolower(substr($_FILES["datei"]["name"],-4)) != ".csv") {
			echo "<h2 style=\"color:red\">Es werden nur *.CSV-Dateien unterst&uuml;tzt</h2>\n";
		} elseif ($_FILES["datei"]["error"] == 0) {
			$handle = fopen ($_FILES["datei"]["tmp_name"],"r");
			if($handle) while ( ($data = fgetcsv ($handle, 1000, "\t")) !== FALSE ) {
				abfrage2("REPLACE INTO tb_sozialraum SET id='$data[1]', plz='$data[2]', ort='$data[3]', kreis='$data[0]'");
			}
			fclose ($handle);
		}
	}
	if(isset($_POST['ssafe'])) {
		abfrage2("replace into tb_sozialraum set id='{$_POST['id']}', plz='{$_POST['plz']}', ort='{$_POST['ort']}', kreis='{$_POST['kreis']}';");
	}
	if(isset($_GET['sdel'])) {
		$plz = intval($_GET['plz']);
		abfrage2("delete from tb_sozialraum where id='{$_GET['id']}' and CAST(plz AS SIGNED)='$plz' and ort='{$_GET['ort']}'");
	}
	echo "<table><tr><td>\n";
	$srs = abfrage1("SELECT * FROM tb_sozialraum order by kreis desc, id desc, plz desc");
	echo "<table><tr><th style=\"vertical-align:bottom\" colspan=\"4\">Verwaltung Sozialr&auml;ume:</th></tr>\n";
	new stwTabLine(1,4);
	$tt = stwTooltip("Landkreis");
	echo "<tr><th class=\"cl1\" $tt>Kreis</th>";
	$tt = stwTooltip("Sozialraum");
	echo "<th class=\"cl1\" $tt>SR</th>";
	$tt = stwTooltip("Postleitzahl");
	echo "<th class=\"cl1\" $tt>PLZ</th>";
	echo "<th class=\"cl1\">Ort</th></tr>\n";
	new stwTabLine(2,4);
	$ref = array((isset($_POST['id']) ? $_POST['id'] : 0), '');
	echo "<form method=\"POST\" action=\"kont_and.php?sozialraum=1\" name=\"sozialraum\">";
	echo "<tr><td class=\"cl1\"><input type=\"text\" size=\"4\" name=\"kreis\" tabindex=\"4\" value=\"".$_POST['kreis']."\"></td>\n";
	echo "<td class=\"cl1\"><input type=\"text\" size=\"2\" name=\"id\" tabindex=\"3\" value=\"".$_POST['id']."\"></td>\n";
	echo "<td class=\"cl1\"><input type=\"text\" size=\"5\" name=\"plz\" tabindex=\"1\" value=\"$ref[2]\"></td>\n";
	echo "<td class=\"cl1\"><input type=\"text\" size=\"30\" name=\"ort\" tabindex=\"2\" value=\"$ref[2]\"></td>\n";
	echo "<td class=\"cl1\"><input type=\"submit\" name=\"ssafe\" value=\"speichern\"";
	echo stwToolTip("<b>Speichern</b>");
	echo "style=\"background-color:#333;color:transparent;width:15px;";
	echo "background-image:url(img/enter.png);background-repeat:no-repeat\"></td>";
	echo "</tr>\n</form>\n";
	while($sr = mysql_fetch_row($srs)) {
		echo "<tr><th class=\"cl1\">$sr[3]</th>\n";
		echo "<th class=\"cl1\">$sr[0]</th>\n";
		echo "<td class=\"cl1\">$sr[1]</td>\n";
		echo "<td class=\"cl1\">$sr[2]</td>\n";
		echo "<td><a href=\"kont_and.php?sozialraum=1&sdel=1&id=$sr[0]&plz=$sr[1]&ort=$sr[2]\" ";
		echo "style=\"color:red\">X</a></td></tr>\n";
	}
	echo "</table></td><td><table>\n";
	echo "<tr><form method=\"POST\" enctype=\"multipart/form-data\" action=\"kont_and.php?sozialraum=1\">";
	echo "<th>CSV-Datei:</th>\n";
	echo "<td class=\"cl1\"><input name=\"datei\" type=\"file\" size=\"30\" accept=\"text/comma-separated-values\"></td>\n";
	echo "<td class=\"cl1\" style=\"vertical-align:bottom\"><input type=\"submit\" value=\"Import\" name=\"import\"></td\n";
	echo "</form></tr>\n";
	echo "<tr><td colspan=\"3\"><h3>Import einer CSV-Datei</h3>\n";
	echo "<div>Dieses Modul erlaubt das Erstellen sehr vieler Sozialraum-Eintr&auml;ge<br>durch eine CSV-Datei.</div>\n";
	echo "<div><br></div>\n";
	echo "<div>Diese Datei sollte folgendes Format besitzen:</div>\n";
	echo "<ul>";
	echo "<li>ein Datensatz pro Zeile</li>\n";
	echo "<li>keine Kopfzeile (&Uuml;berschriften)</li>\n";
	echo "<li>vier Spalten, durch einen Tabulator getrennt</li>\n";
	echo "<ul><li>erste Spalte: Landkreis</li><li>zweite Spalte: Sozialraum</li><li>dritte Spalte: Postleitzahl</li><li>vierte Spalte: Ort</li></ul>\n";
	echo "</ul>\n";
	echo "<div>&Uuml;ber die Schaltfl&auml;che <b>Durchsuchen</b> l&auml;sst sich<br>ein Dateiauswahldialog &ouml;ffnen,<br>in welchem die entsprechende Datei ausw&auml;hlt wird.</div>\n";
	echo "<div>Die Schaltfl&auml;che <b>Import</b> l&ouml;st den Import-Vorgang aus.</div>\n";
	echo "<div></br></div>\n";
	echo "<div><b>Achtung:</b> Auf diese Weise k&ouml;nnen viele Zuordnungen erzeugt werden.</div>\n";
	echo "<div></br></div>\n";
	echo "<div>Sollte bereits ein Datensatz mit identischen Daten in der Datenbank<br>existieren, so wird kein zweiter mit den gleichen Daten angelegt.</div>\n";
	echo "</td></tr></table></td></tr></table>\n";
	new stwEnd($seite);
	exit(0);
}

function kmsatzliste($id, $kh_id) {
	$sql  = "select datum, date_format(datum, '%d.%m.%Y'), kmsatz, kont_id, kmg ";
	$sql .= "from tb_kont_kmsatz where kont_id = '$id' and kh_id = '$kh_id' order by datum asc;";

	$erg = abfrage1($sql);
	$kmsz = abfrage("select '', '', kmg_ja_satz, 0, kmg from tb_kontakte where kont_id = '$id' and kh_id = '$kh_id'");
	$szhtml = (mysql_num_rows($erg) > 0) ? "<tr><td colspan=\"5\" style=\"background-color:#006400\"></td></tr>\n" : '';
	do {
		$szhtml .= "<tr><td class=\"cl11\" style=\"text-align: right;\">";
		if($kmsz[3] > 0) {
			$szhtml .= "<a href=\"#\" ";
			if($kh_id == 'new') $szhtml .= "onClick=\"alert('Laden von km-S&auml;tzen erst nach Speichern der Hilfeart m&ouml;glich!')\"";
			else $szhtml .= "onClick=\"xajax_kmLaden('$kmsz[3]', '$kh_id', '$kmsz[0]')\"";
			$szhtml .= stwToolTip('km-Satz &auml;ndern!');
			$szhtml .= ">" . ( empty($kmsz[1]) ? "generell" : "ab $kmsz[1]" ) . "</a>";
		}
		$szhtml .= "</td>\n<td>Erstattung km-Geld:</td><th class=\"cl11\">";
		if($kmsz[4]=='o') $szhtml .= "ja, eingetr. km";
		elseif($kmsz[4]=='j') $szhtml .= "ja, abw. km JA";
		else $szhtml .= "nein";
		$szhtml .= "</th><td class=\"cl11\" style=\"text-align: right;\">";
		$number = number_format($kmsz[2], 2, ',', '.');
		if(substr($number, -3) == ',00') $number = number_format($kmsz[2], 0, ',', '.');
		$szhtml .= "$number &cent; / km</td>\n<td>";
		if($kmsz[3] > 0) {
			$szhtml .= "<a href=\"#\" style=\"color: #FF0000;\" ";
			if($kh_id == 'new') $szhtml .= "onClick=\"alert('L&ouml;schen von km-S&auml;tzen erst nach Speichern der Hilfeart m&ouml;glich!')\"";
			else $szhtml .= "onClick=\"xajax_kmLoeschen('$kmsz[3]', '$kh_id', '$kmsz[0]')\"";
			$szhtml .= stwToolTip('<b>VORSICHT!</b> km-Satz l&ouml;schen!');
			$szhtml .= ">X</a>";
		}
		$szhtml .= "</td></tr>\n";
	} while ($kmsz = mysql_fetch_row($erg));

	return $szhtml;
}

function stundensatzliste($id, $kh_id) {
	/* Stundensatztabelle neu aufbauen und ausgeben */
	$divisor = array('h' => 'Stundensatz', 'd' => 'Tagessatz', 'm' => 'Monatssatz');
	$szhtml  = "<tr><th class=\"cl11\">ab&nbsp;Datum</th>\n";
	$szhtml .= "<td /><th>Satz</th></tr>\n";
	$szhtml .= "<tr><td bgcolor=\"#006400\" colspan=\"3\"></td></tr>\n";

	$sql  = "select datum, date_format(datum, '%d.%m.%Y'), stsatz, kont_id, divisor ";
	$sql .= "from tb_kont_stundensatz where kont_id = '$id' and kh_id = '$kh_id' order by datum asc;";

	$erg = abfrage1($sql);

	while ($stsz = mysql_fetch_row($erg)) {
		$szhtml .= "<tr><td class=\"cl11\" style=\"text-align: right;\"><a href=\"#stsatz\" ";
		if($kh_id == 'new') $szhtml .= "onClick=\"alert('Laden von Stundens&auml;tzen erst nach Speichern der Hilfeart m&ouml;glich!')\"";
		else $szhtml .= "onClick=\"xajax_SzLaden('$stsz[3]', '$kh_id', '$stsz[0]')\"";
		$szhtml .= stwToolTip('Stundensatz &auml;ndern!');
		$szhtml .= ">$stsz[1]</a></td>\n";
		$szhtml .= "<td class=\"cl11\" style=\"text-align: center;\">" . $divisor[ $stsz[4] ] . "</td>\n";
		$szhtml .= "<td class=\"cl11\" style=\"text-align: right;\">";
		$szhtml .= geld_form_web($stsz[2]) . " / $stsz[4]</td>\n";

		$szhtml .= "<td><a href=\"#stsatz\" style=\"color: #FF0000;\" ";
		if($kh_id == 'new') $szhtml .= "onClick=\"alert('L&ouml;schen von Stundens&auml;tzen erst nach Speichern der Hilfeart m&ouml;glich!')\"";
		else $szhtml .= "onClick=\"xajax_SzLoeschen('$stsz[3]', '$kh_id', '$stsz[0]')\"";
		$szhtml .= stwToolTip('<b>VORSICHT!</b> Stundensatz l&ouml;schen!');
		$szhtml .= ">X</a></td></tr>\n";
	}

	return $szhtml;
}


/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function SzLaden($id, $kh_id, $datum){
	$sql  = "select datum, date_format(datum, '%d.%m.%Y'), stsatz, divisor ";
	$sql .= "from tb_kont_stundensatz where kont_id = '$id' ";
	$sql .= "and datum = '$datum' and kh_id = '$kh_id';";
	$dat = abfrage($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('SzDatum', 'value', $dat[1]);
	$userResp->assign("SzSatz_$dat[3]", 'value', geld_form_formular($dat[2]));
	$userResp->assign("divisor_$dat[3]", 'checked', 'checked');
	return $userResp;
}


function SzSpeichern($id, $kh_id, $st_datum, $st_satz_h, $st_satz_d, $st_satz_m, $divisor){

	/* Stundensatz? Tagessatz? Monatssatz? */
	if($divisor == 'h') { $st_satz = $st_satz_h; }
	elseif($divisor == 'd') { $st_satz = $st_satz_d; }
	elseif($divisor == 'm') { $st_satz = $st_satz_m; }
	elseif(!empty($st_satz_h)) { $st_satz = $st_satz_h; $divisor = 'h'; }
	elseif(!empty($st_satz_d)) { $st_satz = $st_satz_d; $divisor = 'd'; }
	elseif(!empty($st_satz_m)) { $st_satz = $st_satz_m; $divisor = 'm'; }
	else { $st_satz = 0; $divisor = 'h'; }

	/* Datum von TT.MM.JJJJ in JJJJ-MM-TT umwandeln */
	$datum =  date_gr2my(check_date($st_datum));

	/* Stundensatzwert: evtl. Komma in Punkt umwandeln fuer Datenbank */
	$satz = str_replace(',', '.', $st_satz);

	/* pruefen, ob unter diesem Datum schon ein Stundensatz vorhanden ist */
	$sql  = "select datum from tb_kont_stundensatz where kont_id = '$id' ";
	$sql .= "and datum ='$datum' and kh_id='$kh_id';";
	$res = abfrage1($sql);

	$sql  = (mysql_num_rows($res) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_kont_stundensatz set ";
	$sql .= (mysql_num_rows($res) > 0) ? '' : "kont_id = '$id', datum = '$datum', ";
	$sql .= "stsatz = '$satz', kh_id = '$kh_id', divisor = '$divisor'";
	$sql .= (mysql_num_rows($res) > 0) ? " where datum = '$datum' and kh_id = '$kh_id';" : ';';

	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('SzDatum', 'value', '');
	$userResp->assign("SzSatz_h", 'value', '');
	$userResp->assign("SzSatz_d", 'value', '');
	$userResp->assign("SzSatz_m", 'value', '');
	$userResp->assign("divisor_h", 'checked', '');
	$userResp->assign("divisor_d", 'checked', '');
	$userResp->assign("divisor_m", 'checked', '');


	$szhtml = stundensatzliste($id, $kh_id);
	$userResp->assign('Stundensatztabelle', 'innerHTML', $szhtml);

	return $userResp;
}


function SzLoeschen($id, $kh_id, $datum){
	$sql  = "delete from tb_kont_stundensatz where kont_id = '$id' ";
	$sql .= "and datum ='$datum' and kh_id = '$kh_id' limit 1;";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$szhtml = stundensatzliste($id, $kh_id);
	$userResp->assign('Stundensatztabelle', 'innerHTML', $szhtml);

	return $userResp;
}


function kmLaden($id, $kh_id, $datum){
	$sql  = "select datum, date_format(datum, '%d.%m.%Y'), kmsatz, kmg ";
	$sql .= "from tb_kont_kmsatz where kont_id = '$id' ";
	$sql .= "and datum = '$datum' and kh_id = '$kh_id';";
	$dat = abfrage($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('kmDatum', 'value', $dat[1]);
	$userResp->assign('kmSatz', 'value', geld_form_formular($dat[2]));
	if($dat[3] == 'j') $userResp->assign('kmg_j', 'checked', 'checked');
	elseif($dat[3] == 'o') $userResp->assign('kmg_o', 'checked', 'checked');
	else $userResp->assign('kmg_n', 'checked', 'checked');
	return $userResp;
}


function kmSpeichern($id, $kh_id, $km_datum, $km_satz, $kmg_j, $kmg_o, $kmg_n){
	$kmg = !empty($kmg_j) ? 'j' : (!empty($kmg_o) ? 'o' : 'n');
	/* Datum von TT.MM.JJJJ in JJJJ-MM-TT umwandeln */
	$datum =  date_gr2my(check_date($km_datum));
	/* kmsatzwert: evtl. Komma in Punkt umwandeln fuer Datenbank */
	$satz = str_replace(',', '.', $km_satz);
	/* pruefen, ob unter diesem Datum schon ein kmsatz vorhanden ist */
	$sql  = "select datum from tb_kont_kmsatz where kont_id = '$id' ";
	$sql .= "and datum ='$datum' and kh_id='$kh_id';";
	$res = abfrage1($sql);

	$sql  = (mysql_num_rows($res) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_kont_kmsatz set ";
	$sql .= (mysql_num_rows($res) > 0) ? '' : "kont_id = '$id', datum = '$datum', ";
	$sql .= "kmsatz = '$satz', kmg = '$kmg', kh_id = '$kh_id'";
	$sql .= (mysql_num_rows($res) > 0) ? " where datum = '$datum' and kh_id = '$kh_id';" : ';';

	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('kmDatum', 'value', '');
	$userResp->assign('kmSatz', 'value', '');

	$szhtml = kmsatzliste($id, $kh_id);
	$userResp->assign('kmsatztabelle', 'innerHTML', $szhtml);

	return $userResp;
}


function kmLoeschen($id, $kh_id, $datum){
	$sql  = "delete from tb_kont_kmsatz where kont_id = '$id' ";
	$sql .= "and datum ='$datum' and kh_id = '$kh_id' limit 1;";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$szhtml = kmsatzliste($id, $kh_id);
	$userResp->assign('kmsatztabelle', 'innerHTML', $szhtml);

	return $userResp;
}

function kgpSpeichern($kont_id, $betrag) {
	$sql = "insert into tb_km_geld_pauschale set kont_id='$kont_id', betrag='$betrag'";
	abfrage2($sql);
	$userResp = new xajaxResponse();
	$userResp->call("location.reload()");
	return $userResp;
}


function kgpLoeschen($id){
	$sql = "delete from tb_km_geld_pauschale where id = '$id' limit 1";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign("kgp_$id", 'style.display', 'none');
	return $userResp;
}

function CSVSpeichern($ap_id, $kont_id, $check) {
	if($ap_id) {
		$sql = "update tb_kontakte_ap set csv='";
		$sql .= $check ? 'j' : 'n';
		$sql .= "' where ap_id='$ap_id'";
	} else {
		$sql = "update tb_kontakte set csv='";
		$sql .= $check ? 'j' : 'n';
		$sql .= "' where kont_id='$kont_id'";
	}
	abfrage2($sql);
}


$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('SzLaden');
$xajax->registerFunction('SzSpeichern');
$xajax->registerFunction('SzLoeschen');
$xajax->registerFunction('kmLaden');
$xajax->registerFunction('kmSpeichern');
$xajax->registerFunction('kmLoeschen');
$xajax->registerFunction('kgpSpeichern');
$xajax->registerFunction('kgpLoeschen');
$xajax->registerFunction('CSVSpeichern');
/* --- Ende Abschnitt (X)AJAX --- */

require_once($pfad . 'inc/auth.inc.php');
require_once($pfad . 'inc/stw.inc.php');
require_once($pfad . 'inc/stwDaten.inc.php');

$k_art = $_REQUEST['ka'];
$fr = $_REQUEST['fr'];

require($pfad . 'inc/kont_rechte.inc.php');

if(isset($rvar_kont_id)) $ka = abfrage("select kont_art_id from tb_kontakte where kont_id = '$rvar_kont_id'");
else $ka[0] = $k_art;
$recht = array(1 => 53, 2 => 54, 3 => 55, 4 => 56, 5 => 58);
$permission = check_nutzer_rechte($recht[$ka[0]]);

if (isset($rvar_chg)){
  if (isset($rvar_ap_id)){
    $sql1 = 'update ';
    $sql3 = " where ap_id = '$rvar_ap_id';";
	if($rvar_lom=='j') {
	  $lomdatum = date_gr2my(check_date($rvar_lom_datum, 1));
	  abfrage2("replace into tb_lom_ap set datum='$lomdatum', notizen='$rvar_lom_text', ap_id = '$rvar_ap_id';");
	}
  } else {
    $sql1 = 'insert into ';
    $sql3 = ", kont_id = '$rvar_kont_id';";
  }

  $sql2  = "tb_kontakte_ap set anrede = '$rvar_anrede', ";
  $sql2 .= "name = '$rvar_name', vorname = '$rvar_vorname', ";
  $sql2 .= "abt = '$rvar_abt', pos = '$rvar_pos', ";
  $sql2 .= "teldienst = '$rvar_teldienst', telmobil = '$rvar_telmobil', ";
  $sql2 .= "fax = '$rvar_fax', email = '$rvar_email', ";
  $sql2 .= "notizen = '$rvar_notizen', aktiv = '$rvar_aktiv', ";
  $sql2 .= "lom = '$rvar_lom', referent = '$rvar_referent', ";
  $sql2 .= "fr_id = '$rvar_fr_id', plz = '$rvar_plz', ";
  $sql2 .= "ort = '$rvar_ort', strasse = '$rvar_strasse', ";
  $sql2 .= "bsd = '$rvar_bsd' ";

  $sql = $sql1 . $sql2 . $sql3;

  abfrage2($sql);
}

if  (isset($rvar_kont_id)) {
  $kontname = abfrage("select concat(name,' (',kurzname,')') from tb_kontakte where kont_id = '$rvar_kont_id' and kh_id = '0'");
  $kont = abfrage_assoc("select * from tb_kontakte where kont_id = '$rvar_kont_id' 
						 and kh_id = '" . (empty($rvar_kh_id) ? 0 : $rvar_kh_id) . "';");
  if($rvar_kh_id > 0) {
	$kont_hilfeart = abfrage_assoc("select * from tb_kont_hilfeart where kh_id = '$rvar_kh_id'");
  }
}

$ti = 1;
echo "<form method=\"post\" action=\"kont.php\">\n";
echo "<input type=\"hidden\" name=\"kh_id\" value=\"" . (empty($rvar_kh_id) ? 0 : $rvar_kh_id) . "\">\n";

if($_GET['konf'] == 1) {
	$self = $_SERVER['PHP_SELF'] . "?kont_id=$rvar_kont_id&ka=$k_art&st=$seite&konf=1";

	echo "<script type=\"text/javascript\"><!--\n";
	echo "function abschlag_show() {\n";
	echo "var check = document.getElementById('ab_h').checked;\n";
	echo "if(check) document.getElementById('ab_modus').style.display = 'table-row';\n";
	echo "else document.getElementById('ab_modus').style.display = 'none';\n";
	echo "}\n--></script>\n";

	echo "<table><tr>\n";
	echo "<td style=\"padding-left:20px;padding-right:20px;\" class=\"";
	echo empty($rvar_kh_id) ? "menuactive" : "menuinactive";
	echo "\"><a href=\"$self&kh_id=0\">$kontname[0]</a></th>\n";
	$khs = abfrage1("select kh.*, ha.hilfeart from tb_kont_hilfeart kh left join tb_hilfeart ha using(hilfeart_id)
					where kh.kont_id='$rvar_kont_id' order by ha.hilfeart asc, kh.von asc");
	while ($kh = mysql_fetch_assoc($khs)) {
		echo "<td width=\"50\" class=\"";
		echo $rvar_kh_id==$kh['kh_id'] ? "menuactive" : "menuinactive";
		echo "\"><a href=\"$self&kh_id=";
		echo $kh['kh_id'] . "\">" . $kh['hilfeart'] . "</a></th>\n";
	}
	echo "<td width=\"20\" class=\"";
	echo $rvar_kh_id=='new' ? "menuactive" : "menuinactive";
	echo "\"><a href=\"$self&kh_id=new\" style=\"font-size:150%;line-height:75%;\"";
	echo stwToolTip("Hilfeart hinzuf&uuml;gen") . ">+</a></th>\n";
	echo "</tr></table>";
	new stwLine(1,30);
	if(!empty($rvar_kh_id)) {
		echo "<table><tr>\n";
		echo "<th class=\"cl1\">Hilfeart:</th><td class=\"cl11\">";
		echo "<select name=\"hilfeart_id\" tabindex=\"$ti\">"; $ti++;
		$has = abfrage1("select hilfeart_id, hilfeart, beschreibung from tb_hilfeart where aktiv='j' order by hilfeart asc");
		while($ha = mysql_fetch_row($has)){
			$selected = ($ha[0] == $kont_hilfeart['hilfeart_id']) ? 'selected' : '';
			echo "<option value=\"$ha[0]\" $selected title=\"$ha[2]\">$ha[1]</option>\n";
		}
		echo "</select></td>";

		echo "<th class=\"cl1\">g&uuml;tig ab:</th><td class=\"cl11\">";
		echo "<input type=\"text\" size=\"11\" maxlength=\"11\" name=\"khvon\"";
		echo "tabindex=\"$ti\" value=\""; $ti++;
		echo date_my2gr($kont_hilfeart['von']) . "\"></td>";
		echo "<th class=\"cl1\">g&uuml;tig bis:</th><td class=\"cl11\">";
		echo "<input type=\"text\" size=\"11\" maxlength=\"11\" name=\"khbis\"";
		echo "tabindex=\"$ti\" value=\""; $ti++;
		echo date_my2gr($kont_hilfeart['bis']) . "\"></td>";

		echo "<th class=\"cl11\">Umsatzsteuer:</th>\n";
		echo "<td><select name=\"ust\" tabindex=\"$ti\">";
		echo "<option " . ($kont_hilfeart['ust'] == 0 ? "selected " : '') . "value=\"0\">keine</option>\n";
		echo "<option " . ($kont_hilfeart['ust'] == 7 ? "selected " : '') . "value=\"7\">erm&auml;&szlig;igt (7%)</option>\n";
		echo "<option " . ($kont_hilfeart['ust'] == 19 ? "selected " : '') . "value=\"19\">Regelsteuersatz (19%)</option>\n";
		echo "</select></td>\n"; $ti++;

		echo "</tr></table>";
		new stwLine(2,30);

		echo "<table>";
		echo "<tr><th class=\"cl1\">Rechnung erstellen:</th>";
		echo "<td><input type=\"radio\" name=\"ab_mod\" onchange=\"abschlag_show()\" value=\"x\" tabindex=\"$ti\"";
		echo ($kont_hilfeart['ab_mod'] != "j" && $kont_hilfeart['ab_mod'] != "h" && $kont_hilfeart['ab_mod'] != "n") ? ' checked' : '';
		echo ">&nbsp;<b>wie Standard</b>&nbsp;&nbsp;"; $ti++;
		echo "<input type=\"radio\" name=\"ab_mod\" onchange=\"abschlag_show()\" value=\"j\" tabindex=\"$ti\"";
		echo ($kont_hilfeart['ab_mod'] == "j") ? ' checked' : '';
		echo ">&nbsp;<b>ja, monatlich</b>&nbsp;&nbsp;"; $ti++;
		echo "<input type=\"radio\" name=\"ab_mod\" onchange=\"abschlag_show()\" id=\"ab_h\" value=\"h\" tabindex=\"$ti\"";
		echo ($kont_hilfeart['ab_mod'] == "h") ? ' checked' : '';
		echo ">&nbsp;<b>ja, " . (getConf('abschlagsturnus') == 3 ? 'viertel' : 'halb');
		echo "j&auml;hrlich</b>&nbsp;&nbsp;"; $ti++;
		echo "<input type=\"radio\" name=\"ab_mod\" onchange=\"abschlag_show()\" value=\"n\" tabindex=\"$ti\"";
		echo ($kont_hilfeart['ab_mod'] == "n") ? ' checked' : '';
		echo ">&nbsp;<b>nein</b></td></tr>\n"; $ti++;
	}
}
echo "<table width=\"750\">\n";
echo "<tr><td><table width=\"350\">\n";

if (isset($rvar_kont_id) && $_GET['konf'] == 1 && $k_art == 1 && $permission) {

	echo "<input type=\"hidden\" name=\"konf\" value=\"1\">\n";
	echo "<input type=\"hidden\" name=\"kurzname\" value=\"{$kont['kurzname']}\">\n";

	if(empty($rvar_kh_id)) {
		echo "<tr><th class=\"cl1\">Pauschale-FLS:</th>";
		echo "<td><input type=\"radio\" name=\"pauschFLS\" value=\"j\" tabindex=\"$ti\"";
		echo ($kont['pauschFLS'] == "j") ? ' checked' : '';
		echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;"; $ti++;

		echo "<input type=\"radio\" name=\"pauschFLS\" value=\"n\" tabindex=\"$ti\"";
		if (isset($rvar_kont_id)) {
			echo ($kont['pauschFLS'] == 'n') ? ' checked' : '';
		} else {
			echo ' checked';
		}
		echo ">&nbsp;<b>nein</b>&nbsp;&nbsp;"; $ti++;

		echo "<input type=\"radio\" name=\"pauschFLS\" value=\"g\" tabindex=\"$ti\"";
		if (isset($rvar_kont_id)) {
			echo ($kont['pauschFLS'] == 'g') ? ' checked' : '';
		} else {
			echo ' checked';
		}
		$tt  = "bei Gutscheinen wird mit dem JA ein fester Betrag in einer oder ";
		$tt .= "mehreren Teilzahlungen f&uuml;r ein Projekt vereinbart.<br>";
		$tt .= "Es wird keine Rechnung gestellt, Zahlungseing&auml;nge werden ";
		$tt .= "&auml;hnlich Abschlagszahlungen erfasst.";
		echo ">&nbsp;<b".stwToolTip($tt).">Gutschein</b>&nbsp;&nbsp;"; $ti++;
		
		echo "</td></tr>\n";
	}

	if(getConf('vor_nach_b') == 1 || $kont['pauschVuN'] == "j") {
		echo "<tr><th class=\"cl1\">Pauschale VuN:</th>";
		echo "<td><input type=\"radio\" name=\"pauschVuN\" value=\"j\" tabindex=\"$ti\"";
		echo ($kont['pauschVuN'] == "j") ? ' checked' : '';
		echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;"; $ti++;

		echo "<input type=\"radio\" name=\"pauschVuN\" value=\"n\" tabindex=\"$ti\"";
		if (isset($rvar_kont_id)) {
			echo ($kont['pauschVuN'] == 'n') ? ' checked' : '';
		} else {
			echo ' checked';
		}
		echo ">&nbsp;<b>nein</b>&nbsp;&nbsp;(Zuschlag Vor-Nachbereitung (1/3) in Abrechnung, volle Ber&uuml;cksichtigung in AZK)</td></tr>\n"; $ti++;
		new stwTabLine(2,2);
	}

	if(empty($rvar_kh_id)) {

		echo "<tr><th class=\"cl1\">Rechnung erstellen:</th>";
		echo "<td><input type=\"radio\" name=\"ab\" onchange=\"abschlag_show()\" value=\"j\" tabindex=\"$ti\"";
		echo ($kont['ab'] == "j") ? ' checked' : '';
		echo ">&nbsp;<b>ja, monatlich</b>&nbsp;&nbsp;"; $ti++;
		echo "<input type=\"radio\" id=\"ab_h\" name=\"ab\" onchange=\"abschlag_show()\" value=\"h\" tabindex=\"$ti\"";
		echo ($kont['ab'] == "h") ? ' checked' : '';
		echo ">&nbsp;<b>ja, " . (getConf('abschlagsturnus') == 3 ? 'viertel' : 'halb');
		echo "j&auml;hrlich</b>&nbsp;&nbsp;"; $ti++;
		echo "<input type=\"radio\" name=\"ab\" onchange=\"abschlag_show()\" value=\"n\" tabindex=\"$ti\"";
		if (isset($rvar_kont_id)) {
			echo ($kont['ab'] == "n") ? ' checked' : '';
		} else {
			echo "checked";
		}
		echo ">&nbsp;<b>nein</b></td></tr>\n"; $ti++;
	}
	echo "<tr id=\"ab_modus\"";
	if((empty($rvar_kh_id) && $kont['ab'] != "h") || (!empty($rvar_kh_id) && $kont_hilfeart['ab_mod'] != "h")) echo " style=\"display:none\"";
	echo "><th style=\"text-align:right\">Abschlags-Modus:</th>";
	echo "<td>&nbsp; &nbsp; &nbsp; <input type=\"radio\" name=\"ab_modus\" value=\"at\" ";
	if((empty($rvar_kh_id) && $kont['ab_modus'] == "at") || (!empty($rvar_kh_id) && $kont_hilfeart['ab_modus'] == "at")) echo ' checked';
	echo ">&nbsp;<b>arbeitstagsgenau</b>&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"ab_modus\" value=\"433\"";
	if((empty($rvar_kh_id) && $kont['ab_modus'] == "433") || (!empty($rvar_kh_id) && $kont_hilfeart['ab_modus'] == "433") || $rvar_kh_id == 'new') echo ' checked';
	echo ">&nbsp;<b>WStd.SOLL X 4,33</b>&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"ab_modus\" id=\"abProz\" ";
	$value='';
	if((empty($rvar_kh_id) && is_numeric($kont['ab_modus']) && $kont['ab_modus'] != "433") || (!empty($rvar_kh_id) && is_numeric($kont_hilfeart['ab_modus']) && $kont_hilfeart['ab_modus'] != "433")) {
		$value=(empty($rvar_kh_id) && is_numeric($kont['ab_modus']) && $kont['ab_modus'] != "433") ? $kont['ab_modus'] : $kont_hilfeart['ab_modus'];
		echo "checked value=\"$value\"";
	} else echo "value=\"100\"";
	echo ">&nbsp;<b>Kalendertage <input size=\"3\" value=\"$value\" style=\"text-align:right\" onKeyUp=\"document.getElementById('abProz').value=this.value\" /> %</b></td></tr>\n";

	new stwTabLine(2,30);

	echo "<tr><td class=\"cl1\"><b style=\"color:#FFCC00\">Erstattung km-Geld:</b><br>Historie:</td>\n<td>";
	echo "<input type=\"radio\" id=\"kmg_j\" name=\"kmg\" value=\"j\" tabindex=\"$ti\">";
	echo "&nbsp;<b>ja, abw. km JA</b>&nbsp;&nbsp;"; $ti++;
	echo "<input type=\"radio\" id=\"kmg_o\" name=\"kmg\" value=\"o\" tabindex=\"$ti\">";
	echo "&nbsp;<b>ja, eingetr. km</b>&nbsp;&nbsp;"; $ti++;
	echo "<input type=\"radio\" id=\"kmg_n\" name=\"kmg\" value=\"n\" tabindex=\"$ti\">";
	echo "&nbsp;<b>nein</b> &nbsp;&nbsp;";
	echo "<b>km Satz:</b>&nbsp;";
	echo "<input type=\"text\" size=\"3\" maxlength=\"4\" id=\"kmSatz\" tabindex=\"$ti\">"; $ti++;
	echo "&nbsp;&cent; / km&nbsp;&nbsp;";
	echo "<b style=\"color:#FFCC00\">g&uuml;ltig ab:</b>&nbsp;";
	echo "<input type=\"text\" id=\"kmDatum\" size=\"10\" maxlength=\"11\" ";
	echo "style=\"text-align: right;\" tabindex=\"$ti\" value=\"\">"; $ti++;
	echo "&nbsp;<input type=\"button\" id=\"kmButton\" ";
	echo "style=\"background-image:url(img/senden.png);background-repeat:no-repeat\" ";
	if($rvar_kh_id == 'new') echo "onClick=\"alert('Eingabe von Daten f&uuml;r Erstattung km-Geld erst nach Abspeichern der Hilfeart m&ouml;glich')\">";
	else echo "onClick=\"xajax_kmSpeichern($rvar_kont_id, '$rvar_kh_id', kmDatum.value, kmSatz.value, kmg_j.checked, kmg_o.checked, kmg_n.checked)\">";
	echo "<table id=\"kmsatztabelle\">\n";
	echo kmsatzliste($rvar_kont_id, $rvar_kh_id);
	echo "</table>\n";
	echo "</td></tr>\n";

	if(empty($rvar_kh_id)) {
		echo "<tr><th class=\"cl1\">km-Pauschale:</th>";
		echo "<td><input type=\"radio\" name=\"kmp\" value=\"j\" tabindex=\"$ti\"";
		echo ($kont['kmp'] == "j") ? ' checked' : '';
		echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;"; $ti++;
		echo "<input type=\"radio\" name=\"kmp\" value=\"n\" tabindex=\"$ti\"";
		if (isset($rvar_kont_id)) {
			if ($kont['kmp'] == "n") echo ' checked';
		} else {
			echo "checked";
		}
		echo ">&nbsp;<b>nein</b></td></tr>\n";
		$ti++;

		echo "<tr><th class=\"cl1\">km-Pauschale ab:</th>";
		echo "<td><input type=\"text\" name=\"kmp_datum\" size=\"11\" ";
		echo "maxlength=\"11\" tabindex=\"$ti\""; $ti++;
		if (isset($rvar_kont_id)) {
			echo " value=\"" . date_my2gr($kont['kmp_datum']) . "\"";
		}
		echo ">&nbsp;&nbsp;TT.MM.JJJJ (1. eines Monats!)</td></tr>\n";

		echo "<tr><td class=\"cl1\"><b style=\"color:#FFCC00\">km-Geld-Pauschale:</b><br />";
		echo "(Eingabefelder pro Zeitkarte)</td>";
		echo "<td><table cellspacing=\"0\" cellpadding=\"0\"><tr>";
		echo "<td class=\"cl20\"><input style=\"position:relative;top:4px;\" type=\"checkbox\" name=\"kmgeldpauschale\" value=\"j\"";
		if($kont['kmgpauschale'] == 'j') echo " checked";
		echo stwToolTip('km-Geld-Pauschale in Zeitkarten f&uuml;r Projekte<br>dieses Jugendamts aktivieren');
		echo " /></td><td><table>";
		$kgps = abfrage1("select * from tb_km_geld_pauschale where kont_id='$rvar_kont_id' order by betrag asc");
		while($kgp = mysql_fetch_row($kgps)) {
			echo "<tr id=\"kgp_$kgp[0]\"><td class=\"cl11\" style=\"text-align:right\">" . geld_form_web($kgp[2]) . "</td>";
			echo "<th style=\"color:red;cursor:pointer\"".stwToolTip('<b>Vorsicht</b> Betrag l&ouml;schen')."onclick=\"xajax_kgpLoeschen($kgp[0])\">X</th></tr>\n";
		}
		if(isset($_GET['addkgp'])) {
			echo "<tr><td><input style=\"text-align:right;padding:1px\" size=\"5\" type=\"text\" name=\"kgp0\" id=\"kgp0\" /> &euro;</td>";
			echo "<td><img src=\"img/senden.png\" style=\"cursor:pointer\" onclick=\"xajax_kgpSpeichern($rvar_kont_id,document.getElementById('kgp0').value)\" /></td></tr>\n";
		} else {
			echo "<tr><td><a href=\"kont_and.php?kont_id=$rvar_kont_id&ka=1&st=5&konf=1&addkgp=1\" style=\"font-size:150%;line-height:75%\"";
			echo stwToolTip('weiteren vordeffinierten Pauschalbetrag hinzuf&uuml;gen') . ">+</a></td></tr>\n";
		}
		echo "</table></td></tr></table></td></tr>\n";

		echo "<tr><th class=\"cl1\">Unterschrift<br>Leistungsempf&auml;nger:</th>";
		echo "<td><input type=\"radio\" name=\"sig\" value=\"j\" tabindex=\"$ti\"";
		echo ($kont['sig'] == "j")  ? ' checked' : '';
		echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
		$ti++;
		echo "<input type=\"radio\" name=\"sig\" value=\"n\" tabindex=\"$ti\"";
		if (isset($rvar_kont_id)) {
			echo ($kont['sig'] == "n") ? " checked" : '';
		} else {
			echo "checked";
		}
		echo ">&nbsp;<b>nein</b></td></tr>\n";
		$ti++;

		echo "<tr><th class=\"cl1\">Zahlungsziel:</th>";
		echo "<td><input type=\"text\" name=\"zahlung\" size=\"3\" maxlength=\"3\" ";
		echo "tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
		echo (isset($rvar_kont_id)) ? " value=\"{$kont['zahlung']}\"" : '';
		echo ">&nbsp;&nbsp;Tage</td></tr>\n";

		echo "<tr><th class=\"cl1\">Untertitel RE:</th>";
		echo "<td><input type=\"text\" name=\"utitel\" size=\"40\" maxlength=\"100\" ";
		echo "tabindex=\"$ti\""; $ti++;
		echo (isset($rvar_kont_id)) ? "value=\"{$kont['utitel']}\"" : '';
		echo "></td></tr>\n";

		echo "<tr><th class=\"cl1\">Kunden-Nr.:</th>";
		echo "<td><input type=\"text\" name=\"kdnr\" size=\"6\" maxlength=\"6\" ";
		echo "tabindex=\"$ti\""; $ti++;
		echo (isset($rvar_kont_id)) ? "value=\"{$kont['kdnr']}\"" : '';
		echo "></td></tr>\n";

		echo "<tr><th class=\"cl1\">Nummernkreis RE:</th>";
		echo "<td><input type=\"text\" name=\"nrkreis\" size=\"4\" maxlength=\"4\" ";
		echo "tabindex=\"$ti\" style=\"text-align:right\""; $ti++;
		echo (isset($rvar_kont_id)) ? "value=\"{$kont['nrkreis']}\"" : '';
		echo ">0000</td></tr>\n";

		new stwTabLine(2,30);

		echo "<tr><th class=\"cl1\">Sollstundenberechnung:</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"k_fls_soll\" value=\"0\" tabindex=\"$ti\"";
		echo (isset($rvar_kont_id) && $kont['k_fls_soll'] == 0) ? ' checked' : '';
		echo ">&nbsp;&nbsp;wie Standard (in konf/mandant)</td></tr>\n";
		$ti++;

		echo "<tr><td></td><td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"k_fls_soll\" value=\"1\" tabindex=\"$ti\"";
		echo (isset($rvar_kont_id) && $kont['k_fls_soll'] == 1) ? ' checked' : '';
		echo ">&nbsp;&nbsp;arbeitstaggenau</td></tr>\n";
		$ti++;

		echo "<tr><td></td><td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"k_fls_soll\" value=\"2\" tabindex=\"$ti\"";
		echo (isset($rvar_kont_id) && $kont['k_fls_soll'] == 2) ? ' checked' : '';
		echo ">&nbsp;&nbsp;kalendertaggenau</td></tr>\n";
		$ti++;

		echo "<tr><td></td><td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"k_fls_soll\" value=\"3\" tabindex=\"$ti\"";
		echo (isset($rvar_kont_id) && $kont['k_fls_soll'] == 3) ? ' checked' : '';
		echo ">&nbsp;&nbsp;Monatspauschale (wst x 13 / 3), bei &Auml;nderung im Monat wie Standard</td></tr>\n";
		$ti++;

		new stwTabLine(2,30);

		echo "<tr><th class=\"cl1\">Abrechnung Fahrzeiten:</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"fls_fz\" value=\"0\" tabindex=\"$ti\"";
		echo (isset($rvar_kont_id) && $kont['fls_fz'] == 0) ? ' checked' : '';
		echo ">&nbsp;&nbsp;wie Standard (in konf/mandant)</td></tr>\n";
		$ti++;

		echo "<tr><td></td><td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"fls_fz\" value=\"1\" tabindex=\"$ti\"";
		echo (isset($rvar_kont_id) && $kont['fls_fz'] == 1) ? ' checked' : '';
		echo ">&nbsp;&nbsp;nicht in Abrechnung</td></tr>\n";
		$ti++;

		echo "<tr><td></td><td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"fls_fz\" value=\"2\" tabindex=\"$ti\"";
		echo (isset($rvar_kont_id) && $kont['fls_fz'] == 2) ? ' checked' : '';
		echo ">&nbsp;&nbsp;max. 15 % von FLS in Abrechnung</td></tr>\n";
		$ti++;

		echo "<tr><td></td><td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"fls_fz\" value=\"3\" tabindex=\"$ti\"";
		echo (isset($rvar_kont_id) && $kont['fls_fz'] == 3) ? ' checked' : '';
		echo ">&nbsp;&nbsp;voll in Abrechnung</td></tr>\n";
		$ti++;

		new stwTabLine(2,30);

		echo "<tr><th class=\"cl1\">Rundung Fahrzeit</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"fz_kapp_modus\" value=\"0\" tabindex=\"$ti\"";
		if (empty($kont['fz_kapp_modus'])) echo ' checked';
		echo ">&nbsp;&nbsp;auf zwei Nachkommstellen gerundet</td></tr>\n"; $ti++;

		echo "<tr><th class=\"cl1\">(nur bei 15%-Kappung):</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"fz_kapp_modus\" value=\"1\" tabindex=\"$ti\"";
		if (isset($rvar_kont_id) && $kont['fz_kapp_modus'] == 1) echo ' checked';
		echo ">&nbsp;&nbsp;viertelstundengenau</td></tr>\n"; $ti++;

		echo "<tr><td style=\"padding-right:5px; text-align:right\">ab Datum:</th>\n";
		echo "<td><input type=\"text\" name=\"fz_kapp_datum\" size=\"11\" ";
		echo "maxlength=\"11\" tabindex=\"$ti\"";
		if (isset($rvar_kont_id)) echo " value=\"" . date_my2gr($kont['fz_kapp_datum']) . "\"";
		echo ">&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n"; $ti++;

		new stwTabLine(2,30);

		echo "<tr><th style=\"padding-right: 15px\" rowspan=\"2\">Kontaktstunden:</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"kontaktstunden\" value=\"0\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['kontaktstunden'] == 0) ? ' checked' : '';
		echo ">&nbsp;&nbsp;wie Standard (in konf / mandant)</td></tr>\n";
		$ti++;

		echo "<tr><td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"kontaktstunden\" value=\"1\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['kontaktstunden'] == 1) ? ' checked' : '';
		echo ">&nbsp;&nbsp;ja&nbsp;&nbsp;&nbsp;&nbsp;";
		$ti++;

		echo "<input type=\"radio\" name=\"kontaktstunden\" value=\"2\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['kontaktstunden'] == 2) ? ' checked' : '';
		echo ">&nbsp;&nbsp;nein</td></tr>\n";
		$ti++;

		new stwTabLine(2,30);

		echo "<tr><th style=\"padding-right: 15px\">Code-Palette: A erweitern</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"code_a\" value=\"j\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['code_a'] == 'j') ? ' checked' : '';
		echo ">&nbsp;&nbsp;ja&nbsp;&nbsp;&nbsp;&nbsp;";
		$ti++;

		echo "<input type=\"radio\" name=\"code_a\" value=\"n\" tabindex=\"$ti\"";
		if($kont['code_a'] != 'j') echo ' checked';
		echo ">&nbsp;&nbsp;nein</td></tr>\n";
		$ti++;

		new stwTabLine(2,30);

		echo "<tr><th style=\"padding-right: 15px\"><input type=\"text\" value=\"";
		echo isset($_GET['kont_id']) ? $kont['prozVuN'] : 25;
		echo "\" size=\"6\" name=\"prozVuN\" style=\"text-align:right\" /> % pauschale VuN</th>\n";
		echo "<td>bei folgenden Codes: ";
		if(getConf('alt_codes')) {
			$sql = "select * from tb_ab_code4 order by code2 asc";
		} else {
			$sql = "SELECT c1.name as nam1, c2.code, c2.name, c1.code as code2 FROM tb_ab_code2 c2 
					left join tb_ab_code c1 on (c1.code = c2.code)
					ORDER BY code ASC";
		}
		$res = abfrage1($sql);
		while($row = mysql_fetch_array($res)) {
			$tt = $row['name'];
			if(strlen($row['nam1']) > 0) $tt .= ": " . $row['nam1'];
			echo "<b".stwToolTip($tt).">";
			echo "<input type=\"checkbox\" name=\"codeVuN[]\" value=\"".$row['code']."\" tabindex=\"$ti\"";
			echo (isset($_GET['kont_id']) && strpos($kont['codeVuN'],$row['code']) !== false) ? ' checked' : '';
			echo ">&nbsp;".$row['code2']."</b>&nbsp;&nbsp;&nbsp;&nbsp;";
			$ti++;
		}
		echo "</td></tr>\n";
		echo "<tr><th style=\"padding-right: 15px\">Rundung:</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"rund_prozVuN\" value=\"n\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['rund_prozVuN'] == 'n') ? ' checked' : '';
		echo ">&nbsp;&nbsp;nein&nbsp;&nbsp;&nbsp;&nbsp;";
		$ti++;
		echo "<input type=\"radio\" name=\"rund_prozVuN\" value=\"5\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['rund_prozVuN'] == '5' || !isset($_GET['kont_id'])) ? ' checked' : '';
		echo ">&nbsp;&nbsp;VuN jeder ZK auf 5min aufrunden&nbsp;&nbsp;&nbsp;&nbsp;";
		$ti++;
		echo "<input type=\"radio\" name=\"rund_prozVuN\" value=\"j\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['rund_prozVuN'] == 'j') ? ' checked' : '';
		echo ">&nbsp;&nbsp;Summe VuN auf 5min aufrunden";
		$ti++;
		echo "</td></tr>\n";
		new stwTabLine(2,30);

		echo "<tr><th style=\"padding-right: 15px\">Kappung FLS</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"k_kapp_neg\" value=\"0\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['k_kapp_neg'] == 0) ? ' checked' : '';
		echo ">&nbsp;&nbsp;wie Standard (in konf / mandant)</td></tr>\n";
		$ti++;

		echo "<tr><th style=\"padding-right: 15px\">Folgemonat negativ</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"k_kapp_neg\" value=\"1\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['k_kapp_neg'] == 1) ? ' checked' : '';
		echo ">&nbsp;&nbsp;ja&nbsp;&nbsp;&nbsp;&nbsp;";
		$ti++;

		echo "<input type=\"radio\" name=\"k_kapp_neg\" value=\"2\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['k_kapp_neg'] == 2) ? ' checked' : '';
		echo ">&nbsp;&nbsp;nein&nbsp;&nbsp;&nbsp;&nbsp;";
		$ti++;

		echo "Wert:&nbsp;&nbsp;<input type=\"text\" name=\"k_kapp_neg_wert\" ";
		echo "style=\"text-align:right;font-weight:normal\" size=\"4\" maxlength=\"4\" ";
		echo "value=\"{$kont['k_kapp_neg_wert']}\" tabindex=\"$ti\">&nbsp;</td></tr>\n";
		$ti++;
	}
	new stwTabLine(2,30);

	echo "<tr><th class=\"cl11\">Stundensatz (FLS)<a name=\"stsatz\">:</a></th>\n";
	echo "<td><table cellpadding=\"0\" cellspacing=\"0\">\n";
	echo "<tr><td class=\"cl20\"><table id=\"Stundensatztabelle\">\n";
	echo stundensatzliste($rvar_kont_id, $rvar_kh_id);
	echo "</table></td>\n";

	echo "<td><table>\n";

	/* Zeile Datum */
	echo "<tr><td /><th class=\"cl11\">Datum:</th>\n";
	echo "<td><input type=\"text\" id=\"SzDatum\" size=\"11\" maxlength=\"11\" ";
	echo "style=\"text-align: right;\" tabindex=\"$ti\" value=\"\"></td></tr>\n";
	$ti++;

	/* Zeile Stundensatz */
	echo "<tr><td><input type=\"radio\" id=\"divisor_h\" name=\"divisor\" value=\"h\" /></td><th class=\"cl11\">Stundensatz:</th>\n";
	echo "<td><input type=\"text\" id=\"SzSatz_h\" size=\"8\" maxlength=\"8\" ";
	echo "style=\"text-align: right;\" tabindex=\"$ti\" value=\"\">";
	echo "&nbsp;&euro; / h</td></tr>\n"; $ti++;

	/* Zeile Tagessatz */
	echo "<tr><td><input type=\"radio\" id=\"divisor_d\" name=\"divisor\" value=\"d\" /></td><th class=\"cl11\">Tagessatz:</th>\n";
	echo "<td><input type=\"text\" id=\"SzSatz_d\" size=\"8\" maxlength=\"8\" ";
	echo "style=\"text-align: right;\" tabindex=\"$ti\" value=\"\">";
	echo "&nbsp;&euro; / d</td></tr>\n"; $ti++;

	/* Zeile Monatssatz */
	echo "<tr><td><input type=\"radio\" id=\"divisor_m\" name=\"divisor\" value=\"m\" /></td><th class=\"cl11\">Monatssatz:</th>\n";
	echo "<td><input type=\"text\" id=\"SzSatz_m\" size=\"8\" maxlength=\"8\" ";
	echo "style=\"text-align: right;\" tabindex=\"$ti\" value=\"\">";
	echo "&nbsp;&euro; / m</td></tr>\n"; $ti++;

	/* Zeile Button */
	echo "<tr><td colspan=\"10\">";
	echo "<input type=\"button\" id=\"SzButton\" ";
	echo "value=\"Kostensatz speichern\" ";
	if($rvar_kh_id == 'new') echo "onClick=\"alert('Speichern von Stundens&auml;tzen erst nach Abspeichern der Hilfeart m&ouml;glich')\">";
	else echo "onClick=\"xajax_SzSpeichern($rvar_kont_id, '$rvar_kh_id', SzDatum.value, SzSatz_h.value, SzSatz_d.value, SzSatz_m.value, divisor.value)\">";
	echo "</td></tr>\n";

	echo "</table></td>\n";
	echo "</tr></table></td></tr>\n";

	if(empty($rvar_kh_id)) {
		new stwTabLine(2,30);

		echo "<tr><th style=\"padding-right: 15px\">Kappung FLS</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"k_kapp_pos\" value=\"0\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['k_kapp_pos'] == 0) ? ' checked' : '';
		echo ">&nbsp;&nbsp;wie Standard (in konf / mandant)</td></tr>\n";
		$ti++;

		echo "<tr><th style=\"padding-right: 15px\">Folgemonat positiv</th>\n";
		echo "<td style=\"font-weight:bold\">";
		echo "<input type=\"radio\" name=\"k_kapp_pos\" value=\"1\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['k_kapp_pos'] == 1) ? ' checked' : '';
		echo ">&nbsp;&nbsp;ja&nbsp;&nbsp;&nbsp;&nbsp;";
		$ti++;

		echo "<input type=\"radio\" name=\"k_kapp_pos\" value=\"2\" tabindex=\"$ti\"";
		echo (isset($_GET['kont_id']) && $kont['k_kapp_pos'] == 2) ? ' checked' : '';
		echo ">&nbsp;&nbsp;nein&nbsp;&nbsp;&nbsp;&nbsp;";
		$ti++;

		echo "Wert:&nbsp;&nbsp;<input type=\"text\" name=\"k_kapp_pos_wert\" ";
		echo "style=\"text-align:right;font-weight:normal\" size=\"4\" maxlength=\"4\" ";
		echo "value=\"{$kont['k_kapp_pos_wert']}\" tabindex=\"$ti\">&nbsp;h</td></tr>\n";
		$ti++;

		new stwTabLine(2,30);
		$sql = "select hpv_form from tb_hpv_form where erweitert IS NULL order by hpv_form asc";
		$hpv_forms = abfrage1($sql);
		echo "<tr><th class=\"cl1\">Formular Hilfeplan<br />vorbereitung:</th>\n";
		echo "<td><table>";
		while($hpv_form = mysql_fetch_row($hpv_forms)) {
			$style = '';
			$subs = abfrage1("select hpv_form, name, agtext from tb_hpv_form where erweitert='$hpv_form[0]' or hpv_form='$hpv_form[0]' order by hpv_form desc");
			while($sub = mysql_fetch_row($subs)) {
				echo "<tr $style><td><input type=\"radio\" name=\"hpv_form\" value=\"$sub[0]\"";
				echo (isset($rvar_kont_id) && $kont['hpv_form'] == $sub[0]) ? ' checked' : '';
				echo " tabindex=\"$ti\"></td><td style=\"font-weight:bold\">$sub[1]</td>";
				$ti++;
				if($ulv >= 97 && $sub[0]!=2 && $sub[0]!=5 && $sub[0]!=7 && $sub[0]!=9 && $sub[0]!=10) {
					echo "<th".stwToolTip('Erklrende Beschreibung beim Anlegen eines Abschlussgespr&auml;ches').">Erkl. AG:</th>\n";
					echo "<td width=\"100%\"><textarea tabindex=\"$ti\" name=\"AGText[$sub[0]]\" ";
					echo "style=\"width:3" . ($style=='' ? 9 : 4) . "0px;height:16px\"";
					echo ">$sub[2]</textarea></td>\n";
					$ti++;
				} else echo "<td colspan=\"30\" width=\"100%\"></td>";
				echo "</tr>\n";
				$style = "style=\"position:relative;left:50px\"";
			}
		}
		echo "</table></td></tr>\n";
	}
	new stwTabLine(2,30);
}


if (empty($_GET['konf'])){

	echo "<tr><th class=\"cl1\">Kategorie:</th>";
	echo "<td><table cellpadding=\"0\" cellspacing=\"0\"><tr>";
	echo "<td><select name=\"kont_art_id\" size=\"1\" tabindex=\"$ti\">"; $ti++;

	$sql = "select kont_art_id, kont_art from tb_kontakte_art order by kont_art asc;";
	$ka = abfrage1($sql);

	while ($zeile = mysql_fetch_row($ka)) {
		echo "<option value=\"$zeile[0]\"";
		if  (isset($rvar_kont_id)) {
			if ($kont['kont_art_id'] == $zeile[0]) echo ' selected';
		} elseif (isset($rvar_ka)){
			if ($rvar_ka == $zeile[0]) echo ' selected';
		}
		echo ">$zeile[1]</option>\n";
	}
	echo "</select></td>";
	if(isset($rvar_kont_id) && $permission) {
		echo "<td>&nbsp;<input type=\"button\" value=\"PostEin\" ";
		echo "style=\"color:#00A600; font-weight:bold;\" ".stwToolTip("Posteingang");
		echo "onclick=\"location='post_in.php?kont_id=$rvar_kont_id'\"></td>";
		echo "<td>&nbsp;<input type=\"button\" value=\"PostAus\" ";
		echo "style=\"color:#FF0000; font-weight:bold;\" ".stwToolTip("Postausgang");
		echo  "onclick=\"location='post_out.php?kont_id=$rvar_kont_id'\"></td>";
		echo "<td>&nbsp;<input type=\"button\"" . stwToolTip('Brief schreiben');
		echo "onClick=\"self.location.href='brief.php?kont_id=$rvar_kont_id'\" ";
		echo "style=\"height:20px;width:24px;background:url(img/brief_grau.png) no-repeat\"></td>\n";
	}
	echo "</tr></table></td></tr>\n";


	if ($fr == 6 || $kont['kont_art_id'] == 6){
	  echo "<tr><th class=\"cl1\"";
	  echo stwToolTip('Fundraising-Kategorie') . ">FR-Kategorie:</th>\n";
	  echo "<td><select name=\"fr_id\" size=\"1\" tabindex=\"$ti\">"; $ti++;

	  $frs = abfrage1("select id, name from tb_kontakte_fr order by sort;");
	  while ($row = mysql_fetch_row($frs)){
	    echo "<option ";
	    if ($kont['fr_id'] == $row[0]) echo 'selected ';
	    echo "value=\"$row[0]\">$row[1]</option>\n";
	  }



	  echo "</select>\n";
	  echo "</tr>\n";
	}

	echo "<tr><th class=\"cl1\">Kurzname:</th>\n";
	echo "<td><input type=\"text\" name=\"kurzname\" size=\"11\" maxlength=\"10\" tabindex=\"$ti\" ";
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['kurzname']}\"" : '';
	echo "> ";

	/* Dateiupload (Objekt 1) hinter Namen von der Person */
	if (isset($rvar_kont_id)) {
		$daten = new stwDaten(15);
		/* Klammersymbol ausgeben */
		$link = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv,
																			$rvar_kont_id, 0);

		echo '&nbsp;' . $link . '&nbsp;&nbsp;';

		if($k_art == 1) {
			echo "<input type=\"button\" value=\"Konfiguration\" ";
			echo "onClick=\"self.location.href='{$_SERVER['PHP_SELF']}?";
			echo "kont_id=$rvar_kont_id&ka=$k_art&st=$seite&konf=1'\">";
		}
	}

	echo "</td></tr>\n";
	$ti++;

	echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";

	echo "<tr><th class=\"cl1\">Farbe:</th>\n";
	echo "<td><input type=\"text\" name=\"farbe\" size=\"8\" ";
	echo "tabindex=\"$ti\" "; $ti++;
	if(!empty($kont['farbe'])) {
		$rgb = transformColor($kont['farbe']);
		$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
		echo "style=\"background-color:{$kont['farbe']};color:$co;\" ";
	}
	echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\"";
	echo (isset($rvar_kont_id)) ? " value=\"{$kont['farbe']}\"" : '';
	echo "></td></tr>\n";

	$KundenNr = (getConf('traeger') == 'nwg' && $k_art == 1) ? 'UID-Nummer' : 'KundenNr.';
	echo "<tr><th class=\"cl1\">$KundenNr:</th>\n";
	echo "<td><input type=\"text\" name=\"kdnr\" size=\"11\" maxlength=\"11\" ";
	echo "tabindex=\"$ti\" "; $ti++;
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['kdnr']}\"" : '';
	echo ">";
	if (isset($rvar_kont_id)) {
		echo "<span style=\"position:relative;left:100px\">";
		echo "<b style=\"color:#FFCC00\">intern:</b> &nbsp; <b>2";
		echo sprintf("%04d",$rvar_kont_id) . "</b></span></td></tr>\n";
	}
	echo "</td></tr>\n";

	echo "<tr><th class=\"cl1\">Kreditor:</th>\n";
	echo "<td><input type=\"text\" name=\"kreditor\" size=\"11\" maxlength=\"10\" ";
	echo "tabindex=\"$ti\" "; $ti++;
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['kreditor']}\"" : '';
	echo "></td></tr>\n";

	echo "<tr><th class=\"cl1\">Name:</th>\n";
	echo "<td><input type=\"text\" name=\"name\" size=\"40\" maxlength=\"100\" ";
	echo "tabindex=\"$ti\" "; $ti++;
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['name']}\"" : '';
	echo "></td></tr>\n";

	echo "<tr><th class=\"cl1\">Name 2:</th>\n";
	echo "<td><input type=\"text\" name=\"name2\" size=\"40\" maxlength=\"100\" ";
	echo "tabindex=\"$ti\" "; $ti++;
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['name2']}\"" : '';
	echo "></td></tr>\n";

	if ($k_art == 1) {
		echo "<tr><th class=\"cl1\">ASD:</th>\n";
		echo "<td><input type=\"text\" name=\"asd\" size=\"20\" maxlength=\"50\" ";
		echo "tabindex=\"$ti\" "; $ti++;
		echo (isset($rvar_kont_id)) ? "value=\"{$kont['asd']}\"" : '';
		echo "></td></tr>\n";
	}

	echo "<tr><th class=\"cl1\">Stra&szlig;e:</th>\n";
	echo "<td><input type=\"text\" name=\"strasse\" size=\"40\" tabindex=\"$ti\" ";
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['strasse']}\"" : '';
	echo "></td></tr>\n";
	$ti++;

	echo "<tr><th class=\"cl1\">PLZ:</th>\n";
	echo "<td><input type=\"text\" name=\"plz\" size=\"5\" tabindex=\"$ti\" ";
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['plz']}\"" : '';
	echo "></td></tr>\n";
	$ti++;

	echo "<tr><th class=\"cl1\">Ort:</th>\n";
	echo "<td><input type=\"text\" name=\"ort\" size=\"40\" tabindex=\"$ti\" ";
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['ort']}\"" : '';
	echo "></td></tr>\n";
	$ti++;

	echo "<tr><th class=\"cl1\">Tel. Zentrale:</th>\n";
	echo "<td><input type=\"text\" name=\"telzentral\" size=\"20\" tabindex=\"$ti\" ";
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['telzentral']}\"" : '';
	echo "></td></tr>\n";
	$ti++;

	echo "<tr><th class=\"cl1\">Fax Zentrale:</th>\n";
	echo "<td><input type=\"text\" name=\"faxzentral\" size=\"20\" tabindex=\"$ti\" ";
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['faxzentral']}\"" : '';
	echo "></td></tr>\n";
	$ti++;

	echo "<tr><th class=\"cl1\">E-Mail Zentrale:</th>\n";
	echo "<td><input type=\"text\" name=\"email\" size=\"40\" tabindex=\"$ti\" ";
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['email']}\"" : '';
	echo ">&nbsp;";
	if(isset($rvar_kont_id) && !empty($kont['email'])) {
		$tt = stwToolTip($kont['email']);
		echo "<a href=\"mailto:".$kont['email']."\" $tt>@</a>\n";
	}
	echo "</td></tr>\n";
	$ti++;

	echo "<tr><th class=\"cl1\">WWW Zentrale:</th>\n";
	echo "<td><input type=\"text\" name=\"www\" size=\"40\" tabindex=\"$ti\" ";
	echo (isset($rvar_kont_id)) ? "value=\"{$kont['www']}\"" : '';
	echo ">&nbsp;";
	if(isset($rvar_kont_id) && !empty($kont['www'])) {
		$tt = stwToolTip($kont['www']);
		$www = (substr($kont['www'],0,4) == 'http') ? $kont['www'] : "http://" . $kont['www'];
		echo "<a href=\"$www\" $tt><img src=\"img/weltkugel.png\"></a>\n";
	}
	echo "</td></tr>\n";
	$ti++;

	echo "<tr><th class=\"cl1\">Notizen:</th>";
	echo "<td><textarea cols=\"40\" rows=\"3\" name=\"notizen\" tabindex=\"$ti\">";
	echo (isset($rvar_kont_id)) ? $kont['notizen'] : '';
	echo "</textarea></td></tr>\n";
	$ti++;

	if($k_art == 5) {
		echo "<tr><th class=\"cl1\">Lieferbedingungen:</th>";
		echo "<td><textarea cols=\"40\" rows=\"3\" name=\"lieferbedingungen\" tabindex=\"$ti\">";
		echo (isset($rvar_kont_id)) ? $kont['lieferbedingungen'] : '';
		echo "</textarea></td></tr>\n";
		$ti++;
	}

	/* Nur fuer den Bereich der Auftraggeber und ab Level 65. */
	if ($permission) {

		echo "<tr><th class=\"cl1\">aktiv:</th>";
		echo "<td><input type=\"radio\" name=\"aktiv\" value=\"j\" tabindex=\"$ti\"";
		if (isset($rvar_kont_id)) {
			if ($kont['aktiv'] == "j") echo " checked";
		} else {
			echo " checked";
		}
		$ti++;
		echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
		echo "<input type=\"radio\" name=\"aktiv\" value=\"n\" tabindex=\"$ti\"";
		echo ($kont['aktiv'] == "n") ? " checked" : '';
		echo ">&nbsp;<b>nein</b></td></tr>\n";
		$ti++;

		new stwTabLine(2,2);
	}
}

echo "<tr><td>";
echo "<input type=\"hidden\" name=\"ka\" value=\"$k_art\">\n";
echo "<input type=\"hidden\" name=\"st\" value=\"$seite\">\n";
if (isset($rvar_kont_id)) {
	echo "<input type=\"hidden\" name=\"kont_id\" value=\"$rvar_kont_id\">\n";
}

if ($permission) {
	echo "<input type=\"hidden\" name=\"and\" value=\"1\">\n";
	echo "<input type=\"submit\" value=\"Speichern\" tabindex=\"$ti\">\n";
}


echo "</td></tr></table>\n";
echo "</form>\n";
echo "</td>\n";

echo "<td>\n";


if (isset($rvar_kont_id) && empty($_GET['konf'])) {
	if(isset($_POST['chk_ok'])) {
		$sql = "select ap_id from tb_kontakte_ap
				where kont_id='$rvar_kont_id'";
		if (!isset($_GET["all"]) || $_GET["all"] != 1){
			$sql .= " and aktiv = 'j'";
		}
		$aps = abfrage1($sql);
		while($ap = mysql_fetch_row($aps)) {
			$sql = "update tb_kontakte_ap set csv='";
			$sql .= isset($_POST['csv_export']) && is_array($_POST['csv_export']) && in_array($ap[0],$_POST['csv_export']) ? 'j' : 'n';
			$sql .= "' where ap_id='$ap[0]'";
			abfrage2($sql);
		}
		$sql = "update tb_kontakte set csv='";
		$sql .= isset($_POST['csv_kont']) ? 'j' : 'n';
		$sql .= "' where kont_id='$rvar_kont_id'";
		abfrage2($sql);
	}
	if($permission) {
		echo "<script language=\"JavaScript\">\n";
		echo "var chkArray = new Array();\n";
		echo "function chk_on() {\n";
		echo " document.getElementById('kont_tr').style.display='table-row';\n";
		echo " document.getElementById('kont_line').style.display='table-row';\n";
		echo " document.getElementById('csv_static').style.display='none';\n";
		echo " document.getElementById('csv_chk').style.display='inline';\n";
		echo " document.getElementById('csv_ok').style.display='inline';\n";
		echo " var checkboxes = document.getElementsByName('csv_export[]');\n";
		echo " for(i=0; i<checkboxes.length; i++) checkboxes[i].style.display='inline';\n";
		echo " var handies = document.getElementsByName('csv_static');\n";
		echo " for(j=0; j<handies.length; j++) handies[j].style.display='none';\n";
		echo "}\n";
		echo "function chk_toggle() {\n";
		echo "var doIt = 0;\n";
		echo "if(document.getElementById('csv_chk').checked) {";
		echo "if(confirm('wirklich alle Haken setzen?') == true) doIt = 1;\n";
		echo "else document.getElementById('csv_chk').checked = false;\n";
		echo "} else doIt = 2;\n";
		echo "if(doIt > 0) {\n";
		echo "var checkboxes = document.getElementsByName('csv_export[]');\n";
		echo "for(i=0; i<checkboxes.length; i++)\n";
		echo "if(doIt == 1) checkboxes[i].checked = true;\n";
		echo "else if(chkArray[i] != 1) checkboxes[i].checked = false;}\n}\n";
		echo "</script>\n";
	}
	$Sachbearbeiter = ($k_art == 1) ? 'Sachbearbeiter' : 'Mitarbeiter';
	echo "<form method=\"post\" action=\"kont_and.php?kont_id=$rvar_kont_id&ka=$k_art&st=$seite";
	if ($_GET["all"] == 1) echo "&all=1";
	echo "\">\n<table width=\"400\">\n";
	echo "<tr><td>";
	echo "<image id=\"csv_static\" style=\"cursor:pointer\"".stwToolTip("$Sachbearbeiter in Liste per CSV zu exportierender Kontakte aufnehmen")."onclick=\"chk_on()\" src=\"";
	$csvs = abfrage1("select ap_id from tb_kontakte_ap where kont_id='$rvar_kont_id' and csv='j'");
	if(mysql_num_rows($csvs)==0) $csvs = abfrage1("select kont_id from tb_kontakte where kont_id='$rvar_kont_id' and csv='j'");
	echo mysql_num_rows($csvs)==0 ? image('handy') : image('handy',16,16,0,255,0);
	echo "\" />\n";
	echo "<input type=\"checkbox\" id=\"csv_chk\"".stwToolTip("Checkboxen aller $Sachbearbeiter abhaken")."onchange=\"chk_toggle()\" style=\"display:none\" />\n";
	echo "<input type=\"submit\" name=\"chk_ok\" id=\"csv_ok\" value=\"\" ";
	echo stwToolTip("alle abgehakten $Sachbearbeiter in die Liste<br>per CSV zu exportierender Kontakte aufnehmen",false);
	echo "style=\"display:none;background-color:#333333;background-image:url(img/senden2.png);background-repeat:no-repeat;height:11px;width:10px;border:0\" />\n";
	echo "</td>\n";
	echo "<th colspan=\"10\" style=\"text-align:center\">$Sachbearbeiter</th></tr>\n";

	new stwTabLine(2,10);

	$csv = abfrage("select csv from tb_kontakte where kont_id='$rvar_kont_id'");
	echo "<tr class=\"mo\" id=\"kont_tr\" style=\"display:none\">\n";
	echo "<td".stwToolTip("Kundeninformationen des Jugendamtes f&uuml;r CSV-Export vormerken").">";
	$checked = ($csv[0] == 'j') ? 'checked' : '';
	echo "<input type=\"checkbox\" onclick=\"xajax_CSVSpeichern(0,$rvar_kont_id,this.checked)\" $checked name=\"csv_kont\" value=\"$rvar_kont_id\" />\n";
	echo "</td>";
	echo "<th class=\"cl1\">{$kont['kurzname']}</th>\n";
	echo "<td colspan=\"3\"".stwToolTip($kont['name'] . '<br>' . $kont['name2'])."class=\"cl1\">{$kont['name2']}</td>\n";
	echo "<td class=\"cl1\">{$kont['telzentral']}</td>\n";
	echo "<td class=\"cl1\">{$kont['faxzentral']}</td>\n";
	echo "<td colspan=\"2\" class=\"cl1\">";
	if (!empty($kont['email'])) echo "<a href=\"mailto:{$kont['email']}\">@</a>";
	echo "</td>\n";
	echo "<tr style=\"display:none\" id=\"kont_line\"><td colspan=\"30\" style=\"background-color:#006600\"></td></tr>\n";
	echo "</tr>\n";

	if ($_GET["all"] == 1){
		$aktiv = '';
	} else {
		$aktiv = "and aktiv = 'j'";
	}

	$cnt = 0;

	$sql = "select name, vorname, abt, pos, teldienst, telmobil, 
			email, ap_id, strasse, plz, ort, csv
			from tb_kontakte_ap
			where kont_id=$rvar_kont_id $aktiv
			order by name asc";
	$res = mysql_query($sql) or die(mysql_error());

	while ($zeile = mysql_fetch_row($res)) {
	    echo "<tr class=\"mo\">\n";
		echo "<td>";
		if($zeile[11] == 'j') {
			$checked = 'checked';
			echo "<script language=\"JavaScript\">\n";
			echo "chkArray[$cnt] = 1;";
			echo "</script>\n";
			echo "<image name=\"csv_static\" src=\"".image('handy')."\" />";
		} else $checked = '';
		echo "<input type=\"checkbox\" onclick=\"xajax_CSVSpeichern($zeile[7],$rvar_kont_id,this.checked)\" $checked name=\"csv_export[]\" value=\"$zeile[7]\" style=\"display:none\" />\n";
		echo "</td>";
	    echo "<td class=\"cl1\"><a href=\"kont_ap_and.php?ap_id=$zeile[7]&";
	    echo "kont_id=$rvar_kont_id&ka=$k_art&st=$seite\"";
		if(empty($zeile[0])) echo "style=\"color:red\">LEER</a></td>\n";
		else echo ">$zeile[0]</a></td>\n";
	    echo "<td class=\"cl1\">$zeile[1]</td>\n";
	    echo "<td class=\"cl1\">$zeile[2]</td>\n";
	    echo "<td class=\"cl1\">$zeile[3]</td>\n";
	    echo "<td class=\"cl1\">$zeile[4]</td>\n";
	    echo "<td class=\"cl1\">$zeile[5]</td>\n";
	    echo "<td class=\"cl1\">";
	    if (!empty($zeile[6])) echo "<a href=\"mailto:$zeile[6]\">@</a>";
	    echo "</td>\n";

	    /* Ansprechpartner loeschen, wenn Berechtigung vorliegt */
			if ($permission){
				echo "<td><a href=\"kont_del.php?ap_id=$zeile[7]&";
				echo "ka=$k_art&st=$seite\" style=\"color: #F00;\"";
				echo stwToolTip('Anprechpartner l&ouml;schen');
				echo ">X</a></td>\n";
			}
	    echo "</tr>\n";
		$cnt++;
	}

	new stwTabLine(2,30);

	if ($permission){
		echo "<tr><td colspan=6>\n";
		echo "<input type=button value=\"Neu\"";
		echo " onClick=\"self.location.href='kont_ap_and.php?";
		echo "kont_id=$rvar_kont_id&ka=$k_art&st=$seite'\">\n";
		echo "&nbsp;&nbsp;";

		if ($_GET["all"] == 1){
		    echo "<input type=button value=\"nur aktive AP anzeigen\"";
		    echo " onClick=\"self.location.href='kont_and.php?";
		    echo "kont_id=$rvar_kont_id&ka=$k_art&st=$seite'\">\n";
		    echo "</td>\n";
		} else {
		    echo "<input type=button value=\"auch passive AP anzeigen\"";
		    echo " onClick=\"self.location.href='kont_and.php?";
		    echo "kont_id=$rvar_kont_id&ka=$k_art&st=$seite&all=1'\">\n";
		}
	 	echo "</td></tr>\n";
	}
	echo "</table>\n</from>\n";
}

echo "</td>\n";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";

new stwLine(1);
new stwEnd($seite);
?>