<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: kont_ap_and.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

session_start();
$level=20;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = $_REQUEST['st'];
$k_art = $_REQUEST['ka'];
$fr = $_REQUEST['fr'];
require("inc/stw.inc.php");
if(isset($rvar_kont_id)) $ka = abfrage("select kont_art_id from tb_kontakte where kont_id = '$rvar_kont_id'");
else $ka[0] = $k_art;
$recht = array(1 => 53, 2 => 54, 3 => 55, 4 => 56, 5 => 58);
$permission = check_nutzer_rechte($recht[$ka[0]]);
if (isset($rvar_kont_id)) {
    $ja = abfrage("select name, name2
                  from tb_kontakte
                  where kont_id = '$rvar_kont_id' and kh_id = '0';");
    echo "<table width=\"750\" border=\"0\"><tr><td width=\"100%\">\n";
    echo "<a href=\"kont_and.php?kont_id=$rvar_kont_id&ka=$k_art&st=$seite\">";
    if (strlen($ja[0]) > 0) echo $ja[0];
    if (strlen($ja[0]) > 0 && strlen($ja[1]) > 0) echo ',&nbsp;';
    if (strlen($ja[1]) > 0) echo $ja[1];
    echo "</a></td>";
    if(isset($rvar_ap_id)) {
		echo "<td>&nbsp;<input type=\"button\" value=\"PostEin\" ";
		echo "style=\"color:#00A600; font-weight:bold;\" ".stwToolTip("Posteingang");
		echo "onclick=\"location='post_in.php?kont_id=$rvar_kont_id&ap=$rvar_ap_id'\"></td>";
		echo "<td>&nbsp;<input type=\"button\" value=\"PostAus\" ";
		echo "style=\"color:#FF0000; font-weight:bold;\" ".stwToolTip("Postausgang");
		echo  "onclick=\"location='post_out.php?kont_id=$rvar_kont_id&ap=$rvar_ap_id'\"></td>";
		echo "<td>&nbsp;<input type=\"button\"";
		echo stwToolTip('Brief schreiben');
		echo "onClick=\"self.location.href='brief.php?";
		echo "ap_id=$rvar_ap_id&kont_id=$rvar_kont_id'\" ";
		echo "style=\"height:18px; width:20px; ";
		echo "background:url(img/brief_grau.png) no-repeat\"></td>\n";
    }
    echo "</tr></table>\n";
    new stwLine(1);
}

echo "<form name=\"kontform\" method=\"post\" action=\"kont_and.php\">\n";
echo "<table>\n";

if  (isset($rvar_ap_id)) {
    $ap = abfrage_assoc("select * from
                         tb_kontakte_ap
                         where ap_id = $rvar_ap_id;");
}

$ti = 1;

echo "<tr><th class=\"cl1\">Anrede:</th>";
echo "<td><input type=\"text\" name=\"anrede\" size=\"15\" maxlength=\"15\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['anrede']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Name:</th>";
echo "<td><input type=\"text\" name=\"name\" size=\"30\" maxlength=\"30\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['name']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Vorname:</th>";
echo "<td><input type=\"text\" name=\"vorname\" size=\"30\" maxlength=\"30\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['vorname']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Abteilung:</th>";
echo "<td class=\"cl11\"><input type=\"text\" name=\"abt\" size=\"30\" maxlength=\"30\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['abt']}\"";
echo "></td><td rowspan=\"6\" class=\"cl1\">Datens&auml;tze mit dem Abteilungs-Eintrag <a href=\"#\" ";
echo "onclick=\"if(confirm('Abteilung WiHi zuordnen?') == true) {document.kontform.abt.value='WiHi'}\">WiHi</a> ";
echo "stehen im Datenblatt<br>nur im Auswahlfeld <b>'Sachb. WiHi'</b> zur Verf&uuml;gung<br>";
echo "Das Eintragen der Kennung <a href=\"#\" onclick=\"if(confirm('Abteilung ASD zuordnen?') == true) {document.kontform.abt.value='ASD'}\">ASD</a>, ";
echo "<a href=\"#\" onclick=\"if(confirm('Abteilung FM zuordnen?') == true) {document.kontform.abt.value='FM'}\">FM</a> oder ";
echo "<a href=\"#\" onclick=\"if(confirm('Abteilung SSD zuordnen?') == true) {document.kontform.abt.value='SSD'}\">SSD</a> ";
echo "bewirkt,<br>dass der Ansprechpartner nur unter <b>'Sachb. ASD'</b> ausw&auml;hlbar ist.</td>";

echo "</tr>\n<tr><th class=\"cl1\">Position:</th>";
echo "<td><input type=\"text\" name=\"pos\" size=\"30\" maxlength=\"30\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['pos']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Tel. dienstlich:</th>";
echo "<td><input type=\"text\" name=\"teldienst\" size=\"25\" maxlength=\"25\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['teldienst']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Tel. mobil:</th>";
echo "<td><input type=\"text\" name=\"telmobil\" size=\"25\" maxlength=\"25\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['telmobil']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Telefax:</th>";
echo "<td><input type=\"text\" name=\"fax\" size=\"25\" maxlength=\"25\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['fax']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">E-Mail:</th>";
echo "<td><input type=\"text\" name=\"email\" size=\"30\" maxlength=\"50\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['email']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Notizen:</th>";
echo "<td colspan=\"2\"><textarea name=\"notizen\" style=\"width:100%\" rows=\"3\" tabindex=\"$ti\">";
$ti++;
if (isset($rvar_ap_id)) echo $ap['notizen'];
echo "</textarea></td></tr>\n";

echo "<tr><th class=\"cl1\">aktiv:</th>";
echo "<td class=\"fett\">";
echo "<input type=\"radio\" name=\"aktiv\" value=\"j\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) {
  if ($ap['aktiv'] == 'j') echo ' checked';
} else {
  echo ' checked';
}
echo ">&nbsp;ja&nbsp;&nbsp;";
echo "<input type=\"radio\" name=\"aktiv\" value=\"n\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id) && $ap['aktiv'] == 'n') echo ' checked';
echo ">&nbsp;nein";
if(isset($rvar_ap_id) && $ap['lom'] == 'j') {
	$lom = abfrage("select unix_timestamp(datum), date_format(datum, '%d.%m.%Y'), notizen from tb_lom_ap where ap_id='$rvar_ap_id'");
	echo "<span style=\"padding-left:90px;color:#FFCC00;\">Besuch:</span>";
	echo "</td>\n<td rowspan=\"4\"><textarea style=\"width:100%\" name=\"lom_text\" rows=\"6\" tabindex=\"$ti\">$lom[2]</textarea>\n"; $ti++;
}
echo "</td></tr>\n";


echo "<tr><th class=\"cl1\">LOM-<br>Ansprechpartner:</th>\n";
echo "<td style=\"vertical-align:middle;\"><b>";
echo "<input type=\"radio\" name=\"lom\" value=\"j\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id) && $ap['lom'] == 'j') echo ' checked';
echo ">&nbsp;ja&nbsp;&nbsp;<input type=\"radio\" name=\"lom\" value=\"n\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id) && $ap['lom'] == 'n') echo ' checked';
if (!isset($rvar_ap_id)) echo ' checked';
echo ">&nbsp;nein</b>";
if(isset($rvar_ap_id) && $ap['lom'] == 'j') {
	echo "&nbsp;&nbsp;&nbsp;<b style=\"color:#FFCC00\">Datum: <input type=\"text\" tabindex=\"$ti\""; $ti++;
	if($lom[0] > 0) echo " value=\"$lom[1]\"";
	echo " name=\"lom_datum\" size=\"11\" maxlength=\"11\"></b>";
}
echo "</td></tr>\n";

echo "<tr><th class=\"cl1\">Referent:</th>\n";
echo "<td class=\"fett\" style=\"vertical-align:middle;\">";
echo "<input type=\"radio\" name=\"referent\" value=\"j\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id) && $ap['referent'] == 'j') echo ' checked';
echo ">&nbsp;ja&nbsp;&nbsp;<input type=\"radio\" name=\"referent\" value=\"n\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id) && $ap['referent'] == 'n') echo ' checked';
if (!isset($rvar_ap_id)) echo ' checked';
echo ">&nbsp;nein</td></tr>\n";

echo "<tr><th class=\"cl1\"" . stwToolTip('Fundraising-Kategorie');
echo ">FR-Kategorie:</th>";
echo "<td><select name=\"fr_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
echo "<option value=\"0\"";
if (empty($ap['fr_id'])) echo ' selected';
echo ">kein Fundraising-Kontakt</option>\n";
$frs = abfrage1("select id, name from tb_kontakte_fr order by sort;");
while ($row = mysql_fetch_row($frs)) {
  echo "<option value=\"$row[0]\"";
  if ($ap['fr_id'] == $row[0]) echo ' selected';
  echo ">$row[1]</option>\n";
}
echo "</select></td></tr>\n";

new stwTabLine(2,3);

echo "<tr><th colspan=\"2\">abweichende Rechnungsadresse (optional)</th>";
echo "<td rowspan=\"3\">wird dieser Kontakt als WiHi im Projekt ausgew&auml;hlt,<br>so wird diese Adresse, falls ausgef&uuml;llt,<br>als Rechnungsadresse verwendet.</td>";
echo "</tr>\n";

echo "<tr><th class=\"cl1\">BSD:</th>";
echo "<td><input type=\"text\" name=\"bsd\" size=\"5\" maxlength=\"5\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['bsd']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Stra&szlig;e:</th>";
echo "<td><input type=\"text\" name=\"strasse\" size=\"30\" maxlength=\"50\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['strasse']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">PLZ:</th>";
echo "<td><input type=\"text\" name=\"plz\" size=\"5\" maxlength=\"5\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['plz']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Ort:</th>";
echo "<td><input type=\"text\" name=\"ort\" size=\"30\" maxlength=\"50\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['ort']}\"";
echo "></td></tr>\n";

echo "</table>\n";

echo "<input type=\"hidden\" name=\"ka\" value=\"$k_art\">\n";
echo "<input type=\"hidden\" name=\"st\" value=\"$seite\">\n";
echo "<input type=\"hidden\" name=\"fr\" value=\"$fr\">\n";
echo "<input type=\"hidden\" name=\"kont_id\" value=\"$rvar_kont_id\">\n";

new stwLine(2);

if ($permission) {
  if (isset($rvar_ap_id)) {
    echo "<input type=\"hidden\" name=\"ap_id\" value=\"$rvar_ap_id\">\n";
  }
  echo "<input type=\"hidden\" name=\"chg\" value=\"1\">\n";
  echo "<input type=\"submit\" value=\"Speichern\" tabindex=\"$ti\">\n";
}

echo "</form>\n";
new stwEnd($seite);
?>
