<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: kont_grp.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

session_start();

$seite = 61;

require("inc/auth.inc.php");
require("inc/stw.inc.php");

/* Kontaktgruppe anlegen bzw. aendern */
if ($_POST['chg'] == 1 && strlen($_POST['name']) > 0 ){
  $sql  = (isset($_POST['grp_id'])) ? 'update ' : 'insert into ';
  $sql .= "tb_kontakte_grp set name = '{$_POST['name']}' ";
  $sql .= (isset($_POST['grp_id'])) ? "where grp_id = '{$_POST['grp_id']}';" : ';';
  abfrage2($sql);
}

/* ggf. Kontaktgruppe loeschen */
if ($_GET['do'] == 'del' && isset($_GET['grp_id'])){
  abfrage2("delete from tb_kontakte_grp
           where grp_id = '{$_GET['grp_id']}' limit 1;");
}

/* Kontaktgruppe abfragen, wenn ID uebergeben (und nicht zuvor geloescht) */
if (isset($_GET['grp_id']) && $_GET['do'] != 'del') {
  $grp = abfrage("select name from tb_kontakte_grp
                  where grp_id = '{$_GET['grp_id']}';");
}

echo "<table><tr>\n";
echo "<th class=\"cl1\">Kontaktgruppe:</th>\n";

if (check_nutzer_rechte(59)) {

  echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
  echo "<input type=\"hidden\" name=\"chg\" value=\"1\">\n";
  if (isset($_GET['grp_id'])){
    echo "<input type=\"hidden\" name=\"grp_id\" value=\"{$_GET['grp_id']}\">\n";
  }

  echo "<td><input type=\"text\" name=\"name\" size=\"30\" maxlength=\"50\" tabindex=\"1\"";
  if (isset($_GET['grp_id'])) echo " value=\"$grp[0]\"";
  echo "</td>\n";

  echo "<td><input type=\"submit\" tabindex=\"2\" value=\"";
  echo (isset($_GET['grp_id'])) ? 'Speichern' : 'Hinzuf&uuml;gen';
  echo "\"></td>";
}

echo "</form>\n";
echo "</tr>\n";
echo "</table>\n";

new stwLine(2);

$grs = abfrage1("select grp_id, name from tb_kontakte_grp order by name asc;");

if (mysql_num_rows($grs)){
  echo "<table>\n";
  while ($gr = mysql_fetch_row($grs)){
    echo "<tr><td style=\"padding-right:20px\">";

    if (check_nutzer_rechte(59)) {
      echo "<a href=\"{$_SERVER['PHP_SELF']}?grp_id=$gr[0]\"";
      echo stwToolTip('Kontaktgruppenname &auml;ndern');
      echo ">$gr[1]</a></td>\n";
      echo "<td class=\"cl1\">";
      echo "<a href=\"kont_grp_mit.php?grp_id=$gr[0]\">Mitglieder</a>";
    } else {
      echo "$gr[1]";
    }
    echo "</td>\n";

    $verw = abfrage1("select ap_id from tbh_ap_grp where grp_id = '$gr[0]';");

    if (mysql_num_rows($verw) == 0 && check_nutzer_rechte(59)){
      echo "<td><a href=\"$self?do=del&grp_id=$gr[0]\"";
      echo "style=\"color:#FF0000;\"";
      $tip  = "<b>VORSICHT!</b><br>Kontaktgruppe wird gel&ouml;scht!";
      echo stwToolTip($tip);
      echo ">X</a></td>\n";
    }
    echo "</tr>\n";
  }

  echo "</table>\n";
  new stwLine(1);
}

new stwEnd($seite);
?>
