<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: lom_prsep.php 2255 2014-03-25 10:01:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);
 require_once($pfad."inc/auth.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

setlocale(LC_TIME, 'de_DE@euro');

//anzahl der mglichen aktionen als konstante festlegen
$action_anz = 5;

 /* Aktionsfilter setzen */
 if (isset($_POST["action"]))
 {
   $actfilter = $_POST["action"];
 }
 else if (isset($_GET["action"]))
 {
   $actfilter = $_GET["action"];
 }
 else
 {
   $actfilter = 0;
 }

 /* Tenderbenutzer sehen nur ihren Bereich */
 if ($_SESSION[$AppCode]["ULV"] == 5) $actfilter = 5;

 /* Mitarbeiterfilter setzen */
 if (isset($_GET["ma"]))
 {
   $userfilter = $_GET["ma"];
 }
 else
 {
   /*
    * Abfrage, ob angemeldeter Nutzer in der Mitarbeiterlite angezeigt wird
    * Wenn ja, dann Nuter als Standard eintragen
    */
	 $data = abfrage1("select pers_id, vorname, name from tb_personal
        			where status_id=2 and pers_id=" . $_SESSION[$AppCode]["UID"] .
				" order by vorname asc, name asc;");

	 if (mysql_num_rows($data) == 1)
   {
		 //Nutzer ist in Mitarbeiterliste und wird als Standard eingetragen
		 $userfilter = $_SESSION[$AppCode]["UID"];

	 } 
   else 
   {
		 $userfilter = "all";
   }
 }

 /*
  * im Parameter anz ist die Einschraenkung auf Tag, Woche,
  * Monat oder Jahr vorhanden
  */
 if ($_GET["anz"] == "w1" || $_GET["anz"] == "w2")
 {
   $where  = " WHERE t7.von >= '".$_GET["tag"]."' AND TO_DAYS(t7.von) <= (TO_DAYS('".$_GET["tag"]."') + 6) ";
 }
 else if ($_GET["anz"] == "t")
 {
   $where  = " WHERE TO_DAYS(t7.von) = TO_DAYS('".$_GET["tag"]."') ";
 }
 else if ($_GET["anz"] == "m")
 {
   $where  = " WHERE YEAR(t7.von) = YEAR('".$_GET["tag"]."') AND MONTH(t7.von) = MONTH('".$_GET["tag"]."') ";
 }
 else if ($_GET["anz"] == "j")
 {
   $where  = " WHERE YEAR(t7.von) = YEAR('".$_GET["tag"]."') ";
 }
 else
 {
   $where  = " WHERE YEARWEEK(t7.von, 1) >= YEARWEEK(CURDATE()) - 1 ";
   $where .= "AND TO_DAYS(t7.von) <= (TO_DAYS(CURDATE()) + 56) ";
 }

 $where .= "AND t1.action = ";

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

$footer = "LOM-Liste";

//Schleife, um jeden Aktionstyp durchlaufen zu lassen
$empty_p = 0;
for ($i = 1; $i <=$action_anz; $i++) {
	
	//sql anweisung aufbauen und datenstze abrufen
	$sql = "select t1.lom_id, date_format(t7.von, '%d.%m.%Y'),
			date_format(t7.von, '%H:%i'),
			concat(left(t2.vorname, 1), '. ', t2.name),
			t1.action, t4.ga_art, t6.name, t1.thema, week(t7.von),
			unix_timestamp(t7.von)
			from tb_lom t1
			left join tb_personal t2 on t1.pers_id = t2.pers_id
			left join tb_ga_art t4 on t1.art_id = t4.art_id
			left join tb_kontakte_ap t5 on t1.ap_id = t5.ap_id
			left join tb_kontakte t6 on t5.kont_id = t6.kont_id and t6.kh_id='0'
			left join tb_termine t7 on t1.termin_id = t7.termin_id ";

  $sql .= $where . $i ." order by to_days(t7.von) asc;";
	$res = mysql_query($sql) or die(mysql_error());
	
	//nur neue Seite, wenn datenstze zurckgeliefert wurden oder wenn
	//letzte gewhlte aktion ist und bis jetzt keine datenstze angezeigt wurden
	if ((mysql_num_rows($res) > 0) or ($empty_p == $action_anz - 1)) {
	
		$pdf->AddPage();

		$pdf->SetFont('stw','',18);
		$titel = "Liste LOM-Einstze";
		$pdf->Text(15,30,$titel);

		$y_axis = 35;
		$rh = 6;
		$pdf->SetXY(15,$y_axis);
		$pdf->SetFont('arialb','',10);
	
		$pdf->Cell(30,$rh, 'Termin',1,0,'C',0);
		$pdf->Cell(55,$rh, 'Thema',1,0,'C',0);
		$pdf->Cell(15,$rh, 'Leitung',1,0,'C',0);
		$pdf->Cell(15,$rh, 'Art',1,0,'C',0);
		$pdf->Cell(20,$rh, 'Einsatzart',1,0,'C',0);
		$pdf->Cell(40,$rh, 'Veranstalter',1,0,'C',0);
	
		$y_axis = $y_axis + $rh;
		$pdf->SetXY(15,$y_axis);
	
		$pdf->SetFont('arial','',8);
	
		while ($row = mysql_fetch_row($res)){
			if (bcmod($row[8], 2) == 0){
				$pdf->SetFillColor(200,200,200);
				$fill = 1;
			} else {
				$pdf->SetFillColor(255,255,255);
				$fill = 0;
			}
			$termin = strftime('%a, %d.%m.%y, %H:%M', $row[9]);
			$tag = strftime('%a', $row[9]);
			$datum = strftime('%d.%m.%y', $row[9]);
			$zeit = strftime('%H:%M', $row[9]);
			// $termin = $row[1] . ", " . $row[2];
			$pdf->Cell(6,$rh, "$tag",'BT',0,'L',$fill);
			$pdf->Cell(14,$rh, "$datum",'BT',0,'L',$fill);
			$pdf->Cell(10,$rh, "$zeit",'BT',0,'L',$fill);
			$th = strCut($row[7], 35);
			$pdf->Cell(55,$rh, "$th",'BT',0,'L',$fill);
			$pdf->Cell(15,$rh, "$row[3]",'BT',0,'L',$fill);
			$lom_art = lom_art($row[4]);
			$pdf->Cell(15,$rh, "$lom_art",'BT',0,'L',$fill);
      $pdf->Cell(20,$rh, "$row[5]",'BT',0,'L',$fill);

			$va = strCut($row[6], 30);
			$pdf->Cell(40,$rh, "$va",'BT',0,'L',$fill);
		
			$y_axis = $y_axis + $rh;
			$pdf->SetXY(15,$y_axis);
		
			if ($pdf->GetY() > 265){
				$pdf->AddPage();
				$y_axis = 41;
				$pdf->SetXY(15,$y_axis);
			}
		}
	} else {
		$empty_p = $empty_p + 1;
	}
}

$pdf->Output();
exit;
?>
