<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$seite = 47;
$level = 80;
require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");


if (!empty($rvar_sim_id)){
	$sim = abfrage_assoc("select sim_id, sim_nr,
	                      tel_nr, haupt, aktiv, notizen, tarif
              					from tb_mob_sim
              					where sim_id = $rvar_sim_id;");
}

$ti = 1;

// Tabelle Eingabemaske
echo "<table>\n";
echo "<form action=\"mobtel_sim_sql.php\" method=\"post\">\n";
if (!empty($rvar_sim_id)){
	echo "<input type=\"hidden\" name=\"sim_id\" value=\"{$sim['sim_id']}\">\n";
}

echo "<tr><th class=\"cl1\">SIM-Nr.:</th>";
echo "<td><input type=\"text\" name=\"sim_nr\" size=\"30\" maxlength=\"30\" tabindex=\"$ti\"";
$ti++;
if (!empty($rvar_sim_id)) echo "value=\"{$sim['sim_nr']}\"";

if (!empty($rvar_sim_id)) {
	$daten = new stwDaten("26");
	$link  = $daten->get_klammer_link($_SESSION["webdir"],
									 $_SESSION[$AppCode]["UID"],
									 $_SESSION[$AppCode]["ULV"],
									 $rvar_sim_id, "0");
} else $link = '';
echo ">&nbsp;$link</td></tr>\n";

echo "<tr><th class=\"cl1\">Telefon-Nr.:</th>";
echo "<td><input type=\"text\" name=\"tel_nr\" size=\"15\" maxlength=\"15\" tabindex=\"$ti\"";
$ti++;
if (!empty($rvar_sim_id)) echo "value=\"{$sim['tel_nr']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Tarif:</th>";
echo "<td><input type=\"text\" name=\"tarif\" size=\"20\" maxlength=\"20\" tabindex=\"$ti\"";
$ti++;
if (!empty($rvar_sim_id)) echo "value=\"{$sim['tarif']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Hauptkarte?</th>\n";
echo "<td><input type=\"radio\" name=\"haupt\" value=\"j\" tabindex=\"$ti\" ";
$ti++;
if (!empty($rvar_sim_id)){
	if ($sim['haupt'] == 'j')	echo "checked";
} else {
	echo "checked";
}
echo ">&nbsp;<b>ja</b>&nbsp;";
echo "<input type=\"radio\" name=\"haupt\" value=\"n\" tabindex=\"$ti\" ";
$ti++;
if (!empty($rvar_sim_id) && $sim['haupt'] == 'n') echo "checked";
echo ">&nbsp;<b>nein</b></td></tr>\n";

echo "<tr><th class=\"cl1\">aktiv?</th>\n";
echo "<td><input type=\"radio\" name=\"aktiv\" value=\"j\" tabindex=\"$ti\" ";
$ti++;
if (!empty($rvar_sim_id)){
	if ($sim['aktiv'] == 'j') echo "checked";
} else {
	echo "checked";
}
echo ">&nbsp;<b>ja</b>&nbsp;";
echo "<input type=\"radio\" name=\"aktiv\" value=\"n\" tabindex=\"$ti\" ";
$ti++;
if (!empty($rvar_sim_id)){
	if ($sim['aktiv'] == 'n') echo "checked";
}
echo ">&nbsp;<b>nein</b></td></tr>\n";

echo "<tr><th class=\"cl1\">Notizen:</th>\n";
echo "<td><textarea cols=\"50\" rows=\"3\" name=\"notizen\" tabindex=\"$ti\">\n";
$ti++;
if (!empty($rvar_sim_id)) echo $sim['notizen'];
echo "</textarea></td></tr>\n";

new stwTabLine(2,2);

echo "<tr><td><input type=\"submit\" value=\"Speichern!\" tabindex=\"$ti\"></td></tr>\n";
echo "</form>\n";
echo "</table>\n";

new stwLine(1);
new stwEnd($seite);
?>
