<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: mobtel_tel_and.php 2924 2018-12-13 12:56:08Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Rechtelevel*/
 $seite = 47;
 $level = 80;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 require_once($pfad."inc/stw.inc.php");

if (!empty($rvar_tel_id)){
	$tel = abfrage("select tel_id, typ, imei, date_format(kauf, '%d.%m.%Y'),
					aktiv, notizen
					from tb_mob_tel
					where tel_id = $rvar_tel_id;");
}


// Tabelle Eingabemaske
echo "<table>\n";
echo "<form action=\"mobtel_tel_sql.php\" method=\"post\">\n";
if (!empty($rvar_tel_id)){
	echo "<input type=\"hidden\" name=\"tel_id\" value=\"$tel[0]\">\n";
}

echo "<tr>\n";
echo "<th>Typ :</th>";
echo "<td><input type=\"text\" name=\"typ\" size=\"30\" maxlength=\"30\" tabindex=\"1\"";
if (!empty($rvar_tel_id)){
	echo "value=\"$tel[1]\"";
}
echo "></td>\n";
echo "</tr>\n";

$ger_name = $ger_serial = $ger_typ  = $standort = $ger_imei = '';

if(isset($rvar_tel_id)) $gerid = abfrage("select ger_id from tbh_ger_verknupf where verknupf = 'm' and id2='$rvar_tel_id'");
else $gerid[0] = -1;
if($gerid[0] > 0) new stwTabLine(2,30);
echo "<input type=\"hidden\" name=\"ger_id_old\" value=\"$gerid[0]\" />\n";
echo "<tr><th class=\"cl11\">";
if($gerid[0] > 0) echo "<a href=\"ger_and.php?ger_id=$gerid[0]\">";
echo "Inventar:";
if($gerid[0] > 0) echo "</a>";
echo "</th>\n<td>";
echo "<select onchange=\"document.getElementById('ger_id').value=this.value; document.getElementById('imei').readOnly=true\"  style=\"width:65px\" id=\"ger_nr\" name=\"ger_nr\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
echo "<option value=\"0\">- - -</option>\n";
$sql  = "select g.ger_id, k.kuerzel, g.nr, g.imei
		from tb_ger g left join tb_ger_kat k using (kat_id) 
		left join tbh_ger_verknupf v on (g.ger_id = v.ger_id and v.verknupf = 'm')
		where k.verknupf in ('m','mk','pm','pmk') and (g.ger_id='$gerid[0]' or v.id2 IS NULL) 
		order by k.kuerzel asc, g.nr asc;";
$res = abfrage1($sql);
while ($zeile = mysql_fetch_row($res)) {
	echo "<option onclick=\"document.getElementById('imei').value='$zeile[3]'\" ";
	if ($gerid[0] == $zeile[0]) echo "selected ";
	echo "value=\"$zeile[0]\">" . $zeile[1] . $zeile[2] . "</option>\n";
}
echo "</select>";

echo "&nbsp;";

echo "<select onchange=\"document.getElementById('ger_nr').value=this.value; document.getElementById('imei').readOnly=true\" style=\"width:300px\" id=\"ger_id\" name=\"ger_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
echo "<option value=\"0\">keinem Inventar-Eintrag zugeordnet!</option>\n";

$sql  = "select g.ger_id, g.serial, g.imei
		from tb_ger g left join tb_ger_kat k using (kat_id) 
		left join tbh_ger_verknupf v on (g.ger_id = v.ger_id and v.verknupf = 'm')
		where g.serial!='' and k.verknupf in ('m','mk','pm','pmk') and (g.ger_id='$gerid[0]' or v.id2 IS NULL) 
		order by g.serial asc;";
$res = abfrage1($sql);
if(mysql_num_rows($res) > 0) {
	while ($zeile = mysql_fetch_row($res)) {
		echo "<option onclick=\"document.getElementById('imei').value='$zeile[2]'\" value=\"$zeile[0]\">" . $zeile[1] . "</option>\n";
		if ($gerid[0] == $zeile[0]) $ger_serial = $zeile[1];
	}
	echo "<option value=\"0\">- - - - - - - - - - - - - - - - - - - -</option>\n";
}
$sql  = "select g.ger_id, g.name, g.typ, g.standort, g.inventnr, g.imei
		from tb_ger g left join tb_ger_kat k using (kat_id) 
		left join tbh_ger_verknupf v on (g.ger_id = v.ger_id and v.verknupf = 'm')
		where k.verknupf in ('m','mk','pm','pmk') and (g.ger_id='$gerid[0]' or v.id2 IS NULL) 
		order by g.name asc;";
$res = abfrage1($sql);
while ($zeile = mysql_fetch_row($res)) {
	echo "<option onclick=\"document.getElementById('imei').value='$zeile[5]'\" value=\"$zeile[0]\"";
	if ($gerid[0] == $zeile[0]) {
		echo ' selected';
		$ger_name = $zeile[1];
		$ger_typ  = $zeile[2];
		$standort = $zeile[3];
		$ger_imei = $zeile[5];
	}
	echo ">" . $zeile[1] . ' - ' . $zeile[2] . ' - ' . $zeile[4] . ' - ' . $zeile[5] . "</option>\n";
}
echo "</select>";

echo "</td></tr>\n";

if($gerid[0] > 0) {
	echo "<tr><td><b style=\"color:#FFCC00\">Name</b><small> aus Inventar</small>:</td>";
	echo "<td><input type=\"text\" size=\"50\" disabled value=\"$ger_name\">";
	echo "</td></tr>\n";
	echo "<tr><td><b style=\"color:#FFCC00\">Seriennr.</b><small> aus Inventar</small>:</td>";
	echo "<td><input type=\"text\" size=\"50\" disabled value=\"$ger_serial\">";
	echo "</td></tr>\n";
	echo "<tr><td><b style=\"color:#FFCC00\">Typ</b><small> aus Inventar</small>:</td>";
	echo "<td><input type=\"text\" size=\"50\" disabled value=\"$ger_typ\">";
	echo "</td></tr>\n";
	echo "<tr><td><b style=\"color:#FFCC00\">Standort</b><small> aus Inventar</small>:</td>";
	echo "<td><input type=\"text\" size=\"50\" disabled value=\"$standort\">";
	echo "</td></tr>\n";
	new stwTabLine(2,30);
	$pcid = abfrage("select id2 from tbh_ger_verknupf where verknupf='p' and ger_id='$gerid[0]'");
	if($pcid[0]) {
		$pc = abfrage("select name, typ, kat_id from tb_pc where pc_id = '$pcid[0]'");
		echo "<tr><td><b style=\"color:#FFCC00\">Name</b><small> aus PC</small>:</td>";
		echo "<td><input type=\"text\" size=\"50\" disabled value=\"$pc[0]\">";
		echo "</td></tr>\n";
		echo "<tr><td><b style=\"color:#FFCC00\">Typ</b><small> aus PC</small>:</td>";
		echo "<td><input type=\"text\" size=\"50\" disabled value=\"$pc[1]\">";
		echo "</td></tr>\n";
		$mms = abfrage1("select h.mm_id,
						m.name,
						m.notizen,
						h.spalte,
						if (h.spalte > 0, h.spalte, 9999) as sort
						from tbh_kat_mm h
						left join tb_pc_mm m using (mm_id)
						where kat_id = '$pc[2]' and h.mm_id > 0
						order by sort asc, m.name asc;");
		while ($mm = mysql_fetch_row($mms)){
			$val = abfrage("select wert from tbh_pc_mm where pc_id = '$pcid[0]' and mm_id = '$mm[0]';");
			echo "<tr><td><b style=\"color:#FFCC00\">$mm[1]</b><small> aus PC</small>:</td>";
			echo "<td><input type=\"text\" size=\"50\" disabled value=\"$val[0]\">";
			echo "</td></tr>\n";
		}
		new stwTabLine(2,30);
	}
}
echo "<tr>\n";
echo "<td><b style=\"color:#FFCC00\">IMEI:</b>";
if($gerid[0] > 0 && !empty($ger_imei)) {
	echo " <small>aus Inventar</small>";
}
echo "</td><td><input type=\"text\" id=\"imei\" name=\"imei\" size=\"21\" maxlength=\"20\" tabindex=\"2\"";
if($gerid[0] > 0){
	echo " readonly value=\"";
	echo empty($ger_imei) ? $tel[2] : $ger_imei;
	echo "\"";
} elseif (!empty($rvar_tel_id)){
	echo "value=\"$tel[2]\"";
}
echo ">";

 /* Dateisymbol erscheint nur bei vorhandener Telefon ID */
 if (!empty($_GET["tel_id"]))
 {
   $daten = new stwDaten("22");
   $link  = $daten->get_klammer_link($_SESSION["webdir"],
                                     $_SESSION[$AppCode]["UID"],
                                     $_SESSION[$AppCode]["ULV"],
                                     $_GET["tel_id"], "0");
   printf(" %s", $link);
 }

echo "</td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<th>Kaufdatum :</th>";
echo "<td><input type=\"text\" name=\"kauf\" size=\"11\" maxlength=\"11\" tabindex=\"3\"";
if (!empty($rvar_tel_id)){
	echo "value=\"$tel[3]\"";
}
echo ">&nbsp;TT.MM.JJJJ</td>\n";
echo "</tr>\n";


echo "<tr>\n";
echo "<th>aktiv? </th>\n";
echo "<td><input type=\"radio\" name=\"aktiv\" value=\"j\" tabindex=\"4\" ";
if (!empty($rvar_tel_id)){
	if ($tel[4] == "j") {
		echo "checked";
	}
} else {
	echo "checked";
}
echo ">&nbsp;<b>ja</b>&nbsp;";
echo "<input type=\"radio\" name=\"aktiv\" value=\"n\" tabindex=\"5\" ";
if (!empty($rvar_tel_id)){
	if ($tel[4] == "n") {
		echo "checked";
	}
}
echo ">&nbsp;<b>nein</b></td></tr>\n";

echo "<tr><th>Notizen&nbsp;:</th>\n";
echo "<td><textarea cols=\"50\" rows=\"3\" name=\"notizen\" tabindex=\"6\">\n";
if (!empty($rvar_tel_id)) {
	echo $tel[5]; 
}
echo "</textarea></td></tr>\n";

new stwTabLine(2,2);

echo "<tr><td><input type=\"submit\" value=\"Speichern!\" tabindex=\"5\"></td></tr>\n";
echo "</form>\n";
echo "</table>\n";

new stwLine(1);
new stwEnd($seite);
?>
