<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: nachw_reset_sql.php 2586 2016-05-25 08:46:15Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 19);

 require_once($pfad."inc/func.inc.php");
 require_once($pfad."inc/azk.inc.php");

 if($_SESSION[$AppCode]["ULV"] < 65) {
	header("Location: nachw.php");
	exit(-1);
 }

 $nachw = $_GET["nachw_id"];

 /*
  * AZK Cache aktuell halten - dazu werden vor dem ruecksetzen der nachw_id
  * alle Infos geholt.
  */
 $sql  = "SELECT proj_id FROM tb_ab_zk WHERE nachw_id='".$nachw."' GROUP BY proj_id";

 $erg = abfrage1($sql);
 $daten = array();
 while ($zeile = mysql_fetch_row($erg)) {
   $daten[] = $zeile[0]; /* ProjektId */
 }

 /* nachw_id aus zugeordneten Zeitkarten loeschen */
 $sql = "UPDATE tb_ab_zk SET nachw_id = NULL WHERE nachw_id='".$nachw."'";
 abfrage2($sql);

 /* fuer alle Projekte den Cache zuruecksetzen */
 foreach($daten as $proj_id) {
	azk_cache_proj_reset($proj_id);
 }

 /* nachw_id aus zugeordneten Klienteneinzahlungen loeschen */
 $sql = "UPDATE tb_pro_einz SET nachw_id = NULL WHERE nachw_id = '".$nachw."'";
 abfrage2($sql);

 /* Ewald-Daten loeschen */
 $sql = "DELETE FROM tb_ewald WHERE ewaldkategorie_id='1' and id2 = '".$nachw."'";
 abfrage2($sql);

 /* Nachweismappe selbst loeschen */
 $sql = "DELETE FROM tb_ab_nachw WHERE nachw_id = '".$nachw."'";
 abfrage2($sql);

 /* zugehoerige Dateien mitloeschen */
 $daten = new stwDaten("2");
 $daten->delete_dateien($nachw, "0");

 header("Location: nachw.php");

?>
