<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: nachw_zkdel_sql.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();
 require("inc/func.inc.php");

 if($_SESSION[$AppCode]["ULV"] < 65) {
	header("Location: nachw.php");
	exit(-1);
 }

 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

 /* vor dem loeschen die notwendigen Infos zu holen */
 $sql  = "SELECT t1.proj_id, t2.von, t1.termin_id FROM tb_ab_zk t1 ";
 $sql .= "LEFT JOIN tb_termine t2 ON t1.termin_id = t2.termin_id ";

 $sql .= "WHERE t1.zk_id='".$rvar_zk_id."';";
 $daten = abfrage($sql);

 abfrage2("delete from tb_ab_zk where zk_id = '$rvar_zk_id';");
 abfrage2("delete from tb_termine where termin_id = '$daten[2]';");

 /* ZK Aenderung - Cachetabelle updaten */
 azk_update_cache($daten[0], $daten[1]);

 if ($_GET['tg'] == 'kont')
 {
   header("Location: pro_ab_k.php?proj_id=$rvar_proj_id&abmonat=$rvar_abmonat&abjahr=$rvar_abjahr");
 }
 else
 {
   header("Location: nachw.php?page=$rvar_page");
 }
?>
