<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: news.php 2905 2018-11-08 10:00:59Z tfreudenberg $
 *
 */

session_start();
$seite = 3;
require($_SESSION['basedir'] . "/inc/stw.inc.php");
set_session_url();


// Ermittlung der Kalenderanicht (Tag oder Woche)
$anz = (isset($_GET['anz'])) ? $_GET['anz'] : 'w1';

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

$wst = mktime(0,0,0,date('n', $tag), date('j', $tag), date('Y', $tag));
while (date('w', $wst) != 1){
	$wst = mktime(0,0,0,date('n', $wst), date('j', $wst) - 1, date('Y', $wst));
}

$mon = mktime(0,0,0,date('n', $tag),1,date('Y', $tag));
$kst = mktime(0,0,0,date('n', $mon), date('j', $mon) - 7,date('Y', $mon));
while (date('w', $kst) != 1){
	$kst = mktime(0,0,0,date('n', $kst), date('j', $kst) - 1, date('Y', $kst));
}

$tg = date('Y-m-d', $tag);

$monat = date('n', $tag);
$jahr = date('Y', $tag);

$cal = ab_cal($monat, $jahr);

switch ($anz){
	case 'w1':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (7 * 86400);
		break;

	case 'w2':
		$wtag = date('w', $tag);
		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (14 * 86400);
		break;
	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;
	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;
	case 't';
		$sql_beg = $tag;
		$sql_end = $tag + (7 * 86400);
		break;
}


echo "<table><tr>\n";

if ($ulv > 5)
{
echo "<td style=\"padding-right:5px\"><input type=\"button\" value=\"neuer Beitrag\" ";
echo "onClick=\"self.location.href='news_and.php'\"></td>\n";
}
echo "<th>Suche :</th>\n";
echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"POST\">\n";
echo "<td><input type=\"text\" name=\"suche\" size=\"25\" maxlength=\"50\"";
echo (isset($_POST['suche'])) ? "value=\"{$_POST['suche']}\"" : '';
echo "></td>\n";
echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
echo "</form>\n";
echo "</tr></table>\n";

$headcolor = "#AAAAAA";

$sql  = "select distinct b.beitrag_id, b.titel, b.beitrag, ";
$sql .= "date_format(b.zeit, '%d.%m.%Y') as bt_datum, ";
$sql .= "date_format(b.zeit, '%H:%i') as bt_zeit, ";
$sql .= "b.pers_id, b.team_art_id, a.farbe, a.name ";
$sql .= "from tb_beitrag b ";
$sql .= "left join tb_team_art a on b.team_art_id = a.team_art_id ";
$sql .= "left join tb_team_art_pers p on b.team_art_id = p.team_art_id ";

if ($_SESSION[$AppCode]['OK']){
	if ($ulv >= 97){
	} else {
		if ($ulv > 5) {
			$sql .= "where (b.team_art_id = 0 or b.team_art_id is null ";
			$sql .= "or b.team_art_id = 999 or b.pers_id = '$uid' ";
			$sql .= "or p.pers_id = '$uid' ";
			$ba = abfrage("select besch_id from tb_personal where pers_id = '$uid'");
			if($ba[0] == 1 || $ba[0] == 4) $sql .= " or b.team_art_id = 998";
			$sql .= ") ";
		} else {
			$sql .= "where (b.team_art_id = 0 or b.team_art_id is null) ";
	  }
	}
} else {
	$sql .= "where (b.team_art_id = 0 or b.team_art_id is null) ";
}

if (isset($_POST['suche'])){
	$sql .= ($ulv >= 97) ? 'where ' : 'and ';
	$sql .= "(titel like '%{$_POST['suche']}%' or beitrag like '%{$_POST['suche']}%') ";
} elseif($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
	$sql .= ($ulv >= 97) ? 'where ' : 'and ';
	$sql .= "unix_timestamp(b.zeit) <= '$sql_end' and unix_timestamp(b.zeit) >= '$sql_beg' ";
}
$sql .= "order by b.zeit desc;";

$res = abfrage1($sql);

new stwLine(1);
echo "<table width=\"750\" border=\"0\" cellpadding=\"5\" cellspacing=\"0\">\n";

while ($zeile = mysql_fetch_array($res)) {
	if (($zeile[7] > 0) && ($zle[0] > $ulv)) {
  } else {
  	echo "<tr>";

  	$row1 = abfrage_array("select p.vorname, p.name	from tb_personal p
								    			where p.pers_id = '{$zeile['pers_id']}';");

  	$farbe = pers_farbe($zeile['pers_id']);

		if (!empty($zeile[6])) {
			if (empty($zeile[7])){
				$balken = "rgb(100,100,100)";
			} else {
		   	$balken = $zeile[7];
		  }
		  echo "<td width=\"10\" style=\"background-color:$balken\"";
		  echo stwToolTip($zeile[8]) . ">\n";
			echo "<td width=\"540\" style=\"background-color:$headcolor; ";
			echo "color:$farbe; font-size:13pt; font-weight:bold; ";
			echo "vertical-align:middle;white-space:normal\">\n";
		} else {
			echo "<td colspan=\"2\" width=\"550\" ";
			echo "style=\"background-color:$headcolor; color:$farbe; ";
			echo "font-size:13pt; font-weight:bold; vertical-align:middle; ";
			echo "white-space:normal\">\n";
		}

		if ($_SESSION[$AppCode]['OK'] && $uid == $zeile[5]){
			echo "<a href=\"news_and.php?beitrag_id=$zeile[0]\" ";
			echo "style=\"color: $farbe;\">";
		}
		echo $zeile[1];
		if ($_SESSION[$AppCode]['OK'] && $uid == $zeile[5]){
			echo "</a>";
		}
		echo "</td>\n";
		echo "<td width=\"100\" style=\"background-color:$headcolor; ";
		echo "color:#000000; font-weight:bold\">\n";
		echo $row1['vorname'] . "<br>" . $row1['name'] . "</td>\n";

		echo "<td width=\"100\" style=\"background-color:$headcolor; ";
		echo "color:#000000; font-weight:bold\">\n";
		echo "$zeile[3]<br>$zeile[4]&nbsp;Uhr</td>\n";

		/* Dateilink zu dieser Eintragung anbieten */
		$daten = new stwDaten("8");
		$link  = $daten->get_klammer_link($_SESSION["webdir"],
										  $uid,
										  $ulv,
										  $zeile[0], "0");
	
		echo "<td style=\"background-color: $headcolor;\">$link</td>\n";

		if ($_SESSION[$AppCode]['OK'] && ($uid == $zeile[5] || $ulv >= 96)){
			echo "<td style=\"background-color:$headcolor; color:#000000; ";
			echo "font-weight:bold\"><a href=\"news_del_sql.php?";
			echo "beitrag_id=$zeile[0]\" style=\"color:#FF0000\"";
			echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!');
			echo "onclick=\"return confirm('Soll der Beitrag wirklich entfernt werden?')\" ";
			echo ">X</a></td>\n";
		} else {
			echo "<td style=\"background-color:$headcolor\"></td>\n";
		}

		echo "</tr>\n";

		if ($zle[0] >= 20) {
			$colspan = 6;
		} else {
			$colspan = 7;
		}

		echo "<tr bgcolor=\"#CCCCCC\"><td colspan=\"$colspan\" ";
		echo "style=\"font-family:Courier New, Courier, mono; ";
		echo "color:#000000;white-space:normal\">" . nl2br($zeile[2]);
		echo "</td></tr><tr><td><img src=\"img/clearpixel.png\"></td></tr>\n";
  }
}
echo "</table>\n";
if (mysql_num_rows($res) > 0){
	new stwLine(1);
}
new stwEnd($seite, 1);
?>
