<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: news_and.php 2871 2018-06-27 10:34:07Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues */
 $seite = 3;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

 require_once($pfad."inc/stwDaten.inc.php");

if (!empty($rvar_beitrag_id)){
	$beitrag = abfrage("select titel, beitrag, pers_id, lvlgrp_id, team_art_id
						from tb_beitrag
						where beitrag_id = $rvar_beitrag_id;");
}
?>
<form method="post" action="news_sql.php">
<table>
<tr>
<th><label for="titel">Titel</label> :</label></th>
<td width="10"></td>
<td><input type="text" name="titel" size="70" maxlength="70" tabindex="1" id="titel"
	<?php if (!empty($rvar_beitrag_id)){ echo " value=\"$beitrag[0]\"";}

 printf(">");

 /* wenn ID vorhanden Klammersymbol zeigen */
 if (!empty($rvar_beitrag_id))
 {
   $daten = new stwDaten("8");
   $link  = $daten->get_klammer_link($_SESSION["webdir"],
                                     $_SESSION[$AppCode]["UID"],
                                     $_SESSION[$AppCode]["ULV"],
                                     $rvar_beitrag_id, "0");
   printf(" %s", $link);
 }

 printf("</td></tr>\n");
?>

<tr>
<th><label for="text">Text</label> :</th>
<td width="10"></td><td>
<?php
	$pers_format = getPersEinst($_SESSION[$AppCode]["UID"], 'nachr_format', '');
	echo "<script type=\"text/javascript\">\n var pers_id = {$_SESSION[$AppCode]["UID"]};\n pers_format = '$pers_format';\n</script>\n";
	echo "<script type=\"text/javascript\" src=\"inc/wysiwyg/scripts/wysiwyg.js\"></script>\n";
	echo "<script type=\"text/javascript\" src=\"inc/wysiwyg/scripts/wysiwyg-settings.js\"></script>\n";
	echo "<script type=\"text/javascript\">\n WYSIWYG.attach('editor', full, 2);\n</script>\n";
	echo "<textarea id=\"editor\" name=\"beitrag\" rows=\"10\" cols=\"70\" tabindex=\"2\">";
	if (!empty($rvar_beitrag_id)) echo $beitrag[1];
?>
</textarea>
</td>
</tr>

<tr>
<th><label for="gruppe">Lesergruppe</label> :</th>
<td width="10"></td>
<td>
<table width="100%" cellpadding="0" cellspacing="0"><tr>
<td class="cl20"><select name="team_art_id" size="1" tabindex="4" id="gruppe">
<?php
echo "<option value=\"0\" ";
if (!empty($rvar_beitrag_id) && empty($beitrag[4])){
	echo " selected";
}
echo " onclick=\"document.getElementById('tn_out').innerHTML='';\"";
echo ">alle (auch ohne Anmeldung)</option>\n";

echo "<option value=\"999\" ";
if (!empty($rvar_beitrag_id) && $beitrag[4] == 999){
	echo " selected";
}
echo " onclick=\"document.getElementById('tn_out').innerHTML='';\"";
echo ">nur angemeldete Benutzer</option>\n";
echo "<option value=\"998\" ";
if (!empty($rvar_beitrag_id) && $beitrag[4] == 998){
	echo " selected";
}
echo " onclick=\"document.getElementById('tn_out').innerHTML='';\"";
echo ">nur Angestellte</option>\n";
echo "<option value=\"0\" onclick=\"document.getElementById('tn_out').innerHTML='';\">--------Abteilungen--------</option>\n";
$ebene = array('g'=>'Gebiet','b'=>'Bereich','a'=>'Abteilung','t'=>'Team');
$res = abfrage1("select abt_id, name, team
				from tb_personal_abt
				order by team asc, name asc;");
$tn_out = '';
while ($zeile = mysql_fetch_row($res)) {
	$sql = "select concat(left(p.vorname,1), '. ', p.name) from tb_personal_abt_leit l 
			left join tb_personal p using(pers_id)
			where l.abt_id='$zeile[0]' and p.status_id = 2 GROUP BY p.pers_id";
	$als = abfrage($sql);
	$sql = "select concat(left(p.vorname,1), '. ', p.name) from tbh_pers_abt a 
			left join tb_personal p using(pers_id)
			where a.abt_id='$zeile[0]' and p.status_id = 2 GROUP BY p.pers_id
			order by a.sub_abt_id asc";
	$tns = abfrage1($sql);
	$teilnehmer = $ebene[ $zeile[2] ] . " $zeile[1]\r\n";;
	while($al = mysql_fetch_row($als)) {
		$teilnehmer .= '- ' . $al[0] . "\r\n";
	}
	while($tn = mysql_fetch_row($tns)) {
		$teilnehmer .= '- ' . $tn[0] . "\r\n";
	}
	echo "    <option title=\"$teilnehmer\"";
	echo "value=\"-" . $zeile[0] . "\"";
	if (!empty($rvar_beitrag_id) && $beitrag[4] == "-$zeile[0]"){
		echo " selected";
		$tn_out = $teilnehmer;
	}
	echo " onclick=\"document.getElementById('tn_out').innerHTML='".str_replace("\r\n", '<br />', $teilnehmer)."';\"";
	echo ">$zeile[1]</option>\n";
}

echo "<option value=\"0\" onclick=\"document.getElementById('tn_out').innerHTML='';\">--------Lesegruppen--------</option>\n";
$res = abfrage1("select team_art_id,
				if(length(lesegruppe_name)>0, lesegruppe_name, kurzname) as erg,
				name
				from tb_team_art
				where lesegruppe = 1 and aktiv = 1
				order by erg asc;");
while ($zeile = mysql_fetch_row($res)) {
	$tns = abfrage1("select pers_id from tb_team_art_pers where team_art_id='$zeile[0]'");
	$teilnehmer = "$zeile[1] - $zeile[2]\r\n";;
	while($tn = mysql_fetch_row($tns)) {
		$teilnehmer .= '- ' . pers_kname($tn[0]) . "\r\n";
	}
	echo "    <option title=\"$teilnehmer\"";
	echo "value=\"" . $zeile[0] . "\"";
	if (!empty($rvar_beitrag_id) && $beitrag[4] == $zeile[0]){
		echo " selected";
		$tn_out = $teilnehmer;
	}
	echo " onclick=\"document.getElementById('tn_out').innerHTML='".str_replace("\r\n", '<br />', $teilnehmer)."';\"";
	echo ">$zeile[1]</option>\n";
}
?>
</select>
</td>
<td width="100%" id="tn_out"><?php echo str_replace("\r\n", '<br />', $tn_out); ?></td>
</tr>
</table>
</td>
</tr>
</table>
<?php
new stwLine(1);
if (!empty($rvar_beitrag_id)){
	echo "<input type=\"hidden\" name=\"beitrag_id\" value=\"$rvar_beitrag_id\">\n";
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"$beitrag[2]\">\n";
} else {
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"" . $_SESSION[$AppCode]['UID'] . "\">\n";
}
?>
<input type="submit" value="Speichern" tabindex="5">
</form>
<?php

 if (!empty($rvar_beitrag_id))
 {
   new stwEnd($seite, NULL, NULL, NULL, $rvar_beitrag_id, "0");
 }
 else
 {
   new stwEnd($seite);
 }

?>
