<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pc.php 1879 2012-01-11 19:45:10Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 function pc_list($kat_id, $sort) {
	global $AppCode;
	global $suchstr;
	
	/* keine Kategorie vorhanden - Sortierung nach uebergebener Spalte */
	if (($kat_id == 0) && isset ($sort)) {
		echo "<table>\n";
		echo "<tr><th style=\"padding-right:10px\">Ger&auml;tename</th>\n";
		switch ($sort) {
		case -1:
			$head = array('Standort',0);
			break;
		case -2:
			$head = array('Typ',0);
			break;
		default:
			$sql = "SELECT name,notizen FROM tb_pc_mm WHERE mm_id = '".$sort."'";
			$head = abfrage($sql);
			break;
		}
		echo "<th style=\"padding-right:10px\"";
		if($head[1]) echo stwToolTip($head[1]);
		echo ">$head[0]</th></tr>\n";
		new stwTabLine(2,3);
		/* alle Werte holen die vorhanden sind */
		switch ($sort) {
		case -1:
			$vals = abfrage1("SELECT standort from tb_pc order by standort asc");
			break;
		case -2:
			$vals = abfrage1("SELECT typ from tb_pc order by standort asc");
			break;
		default:
			$vals = abfrage1("SELECT distinct wert FROM tbh_pc_mm WHERE mm_id='".$sort."' order by wert");
			break;
		}
		while ($val = mysql_fetch_row($vals)) $values[] = $val[0];
		foreach ($values as $val) {
			if($val != "") {
				$style = "";
				$titel = "";
				if($head[0] == "IP-Adresse") {
					$sql  = "SELECT distinct t2.name, t1.pc_id, t2.kat_id FROM tbh_pc_mm t1 ";
					$sql .= "LEFT JOIN tb_pc t2 ON t1.pc_id = t2.pc_id WHERE wert='$val'";
					$erg  = abfrage1($sql);
					if (mysql_num_rows($erg) > 1) {
						$style = "style=\"color:red\"";
						$titel = "title=\"doppelte IP vorhanden\"";
					}
				}
				switch ($sort) {
				case -1:
					$sql  = "SELECT name, pc_id, kat_id FROM tb_pc WHERE standort='$val'";
					break;
				case -2:
					$sql  = "SELECT name, pc_id, kat_id FROM tb_pc WHERE typ='$val'";
					break;
				default:
					$sql  = "SELECT distinct t2.name, t1.pc_id, t2.kat_id FROM tbh_pc_mm t1 ";
					$sql .= "LEFT JOIN tb_pc t2 ON t1.pc_id = t2.pc_id WHERE wert='$val'";
					break;
				}
				/*	Bei der Suche berprfen, ob der Suchstring ein Teil 
					der Ausgabespalten ist, falls nicht: rausspringen
				*/
				if ($suchstr != "") {
					$sql .= "AND (UPPER (name) LIKE '%$suchstr%' OR" .
								" UPPER ($val) LIKE '%$suchstr%')";
				}
				$erg  = abfrage1($sql);
				while ($name = mysql_fetch_row($erg)) {
					echo "<tr class=\"mo\"><td><a ".$style." ".$titel;
					echo " href=\"pc_and.php?pc_id=".$name[1]."&amp;";
					echo "kat_id=".$name[2]."\">".$name[0]."</a></td><td>".$val."</td></tr>";
				}
			}
		}
		echo "</table>\n";

	/* Kategorien vorhanden, jeweils eine Tabelle ausgeben */
	} else {

		echo "<table>\n";

		$kat1 = abfrage("select name from tb_pc_kat where kat_id = '$kat_id';");
		$dat = (strlen($kat1[0]) > 0) ? $kat1[0] : 'Kategorie ohne Name!';
		
		echo "<tr><th style=\"font-size:14pt;padding-right:25px\">";
		echo $dat.":</th>\n";
		
		if (//($suchstr == ""						) &&
			($_SESSION[$AppCode]['ULV'] == 26 ||
			 check_nutzer_rechte(19)			)) {
			echo "<td><input type=\"button\" onclick=\"self.location.href";
			echo"='pc_and.php?kat_id=".$kat_id."'\" value=\"neu\" /></td>\n";
		}
		
		echo"</tr></table>\n"; 
		
		
		echo "<table>\n";
		new stwTabLine(2,30);
		
		echo "<tr><th colspan=\"2\" style=\"padding-right:10px\">Ger&auml;tename</th>\n";
		
		/* SQL Anweisung fuer die einzelnen Spaltennamen */
		$mms = abfrage1("select h.mm_id, ".
						"m.name, ".
						"m.notizen, ".
						"h.spalte ".
						"from tbh_kat_mm h ".
						"left join tb_pc_mm m using (mm_id) ".
						"where kat_id = '$kat_id' and ".
						"h.spalte > 0 ".
						"order by h.spalte asc");
	
		/* die Spaltenueberschriften ausgeben */
		while ($mm = mysql_fetch_row($mms)) {
			if($mm[0] == -1) $mm[1] = "<span style=\"color:#FFFF00\">Standort*</span>";
			if($mm[0] == -2) $mm[1] = "<span style=\"color:#FFFF00\">Typ*</span>";
			/* Sortierbar nach allem */
			echo "<th style=\"padding-right:10px\">";
			echo "<a href=\"pc.php?sort=$mm[0]&amp;suchstr=$suchstr\">$mm[1]</a></th>\n";
			$spalten[] = $mm[0];
		}
	
		echo "</tr>\n";
		new stwTabLine(2,30);
	
		$pcs = abfrage1("select pc_id, name, notizen, standort, typ from tb_pc ".
						"where kat_id = '$kat_id' ".
						"order by name asc;");
	
		while ($pc = mysql_fetch_row($pcs)) {

			$spalten_werte = array ();

			if ($suchstr != "") {
				if (strpos(strtoupper($pc[1]), $suchstr) !== false) {
					$gefunden = true;
				} else {
					$gefunden = false;
				}
			} else {
				$gefunden = true;
			}
	
			if (is_array($spalten)) {
				foreach ($spalten as $mm) {
					switch ($mm) {
					case -1:
						$wert = $pc[3];
						break;
					case -2:
						$wert = $pc[4];
						break;
					default:
						$val = abfrage( "select wert from tbh_pc_mm ".
										"where pc_id = '$pc[0]' ".
										"and mm_id = '$mm';");
						$wert = $val[0];
						break;
					}
					$spalten_werte [] = $wert;
					if (!$gefunden) {
						if (strpos(strtoupper($wert), $suchstr) !== false) {
							$gefunden = true;
						}
						
					}
				}
			}

			/*	Bei der Suche berprfen, ob der Suchstring ein Teil 
				der Ausgabespalten ist, falls nicht: rausspringen
			*/
			if (!$gefunden) {
				continue;
			}
		
			echo "<tr class=\"mo\"><td style=\"padding-right:10px\">";
	
			$abgang = abfrage("select year(abgangsdatum) from tbh_inventar ".
							  "left join tbh_ger_verknupf using(ger_id) ".
							  "where verknupf='p' and id2='$pc[0]'" );
			$style = empty($abgang[0]) ? '' : stwToolTip('Ger&auml;t bereits abgegangen')."style=\"color:#999999\"";
			$ip1 = $_SERVER['REMOTE_ADDR'];
			$ip2 = abfrage("select wert from tbh_pc_mm ".
						   "where pc_id = '$pc[0]' ".
						   "and mm_id = 1;");
			if($ip1 == $ip2[0]) $style = stwToolTip('aktuell verwendeter PC')."style=\"color:#00FF00\"";
	
			echo "<a href=\"pc_and.php?pc_id=$pc[0]&amp;kat_id=$kat_id\" $style";
			if (strlen($pc[2]) > 0){
				echo stwToolTip($pc[2]);
			}
			$dat = (strlen($pc[1]) > 0) ? $pc[1] : '<span style="color:red">Ger&auml;t ohne Name!</span>';
			echo ">$dat</a></td>\n";
	
			$daten = new stwDaten("23");
			$link  = $daten->get_klammer_link($_SESSION["webdir"], $_SESSION[$AppCode]["UID"],
											  $_SESSION[$AppCode]["ULV"], $pc[0], "0");
			echo "<td style=\"padding-right:10px\">$link</td>\n";
	
			foreach ($spalten_werte as $spalten_wert) {
				echo "<td style=\"padding-right:10px\">".$spalten_wert."</td>\n";
			}
	
			echo "<td style=\"padding-right:10px\"><a href=\"pc_fb_and.php?pc_id=$pc[0]\">Feedback eingeben</a></td>\n";
			echo "<td class=\"cl11\">";
			if ($_SESSION[$AppCode]['ULV'] == 26 || check_nutzer_rechte(19)) {
				$fbs = abfrage1("select fb_id ".
								"from tb_pc_fb ".
								"where pc_id = $pc[0] ".
								"and (erl_gf is null or erl_gf = 0);");
	
				if (mysql_num_rows($fbs) > 0) {
					echo "<a href=\"pc_and.php?pc_id=$pc[0]&amp;kat_id=$kat_id\" style=\"color:#FF0000\">unerledigte Feedbacks</a>\n";
				}
			}
			echo "</td>";
			if($_SESSION[$AppCode]['ULV'] >= 96) {
				echo "<td><a href=\"pc.php?del=$pc[0]";
				if($_GET['kat_id'] > 0) echo "&amp;kat_id=" . $_GET['kat_id'];
				echo "\"" . stwToolTip('<b>Vorsicht!</b><br />Ger&auml;t wird unwiederbringlich aus Liste gel&ouml;scht');
				echo "style=\"color:red\">X</a></td>\n";
			}
			echo "</tr>\n";
			if (is_array($spalten) && count($spalten) > 0) reset($spalten);
		}
		echo "</table>\n";
		new stwLine(1);
	}
}



$seite = 53;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

set_session_url();

if(isset($_GET['del']) && $_SESSION[$AppCode]['ULV'] >= 96) {
	echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"reallydel\" value=\"$rvar_del\">\n";
	if($rvar_kat_id > 0) echo "<input type=\"hidden\" name=\"kat_id\" value=\"$rvar_kat_id\">\n";
	new stwSicherheitsabfrage();
	echo "</form>\n";
}
if(isset($_POST['reallydel']) && is_numeric($_POST['reallydel']) && $_SESSION[$AppCode]['ULV'] >= 96) {
	abfrage2("delete from tb_pc where pc_id = '$rvar_reallydel'");
	abfrage2("delete from tbh_ger_verknupf where id2 = '$rvar_reallydel' and verknupf='p'");
	abfrage2("delete from tbh_pc_mm where pc_id = '$rvar_reallydel'");
}
if (isset($_POST['suche'])) {
	$suchstr = strtoupper ($_POST['suche']);
	$sort = intval($_POST['zusatz_id1']);
} else {
	$suchstr = $_GET['suchstr'];
	$sort = intval($_GET['sort']);
}

if ($_SESSION[$AppCode]['ULV'] == 26 || $_SESSION[$AppCode]['ULV'] >= 60 ||
    check_nutzer_rechte(19)) {

	echo "<table><tr>\n";
	echo "<td style=\"padding-right:20px\">";
	if ($suchstr != "") {
		$button_ziel = 'pc.php?sort='.$sort;
		$button_txt = 'Suche zurcksetzen';
	} else {
		$button_ziel ='pc_and.php';
		$button_txt = 'neues Ger&auml;t';
	}
	echo "<input type=\"button\" onclick=\"self.location.href='".$button_ziel."'\" ";
	echo "value=\"".$button_txt."\" /></td>\n";

	if ($_SESSION[$AppCode]['ULV'] == 26 || check_nutzer_rechte(19)){
		echo "<td style=\"padding-right:20px\"><input type=\"button\" onclick=\"self.location.href='pc_katn.php'\" ";
		echo "value=\"Ger&auml;tekategorien und -merkmale\" /></td>\n";
	}

	/* Geraeteklassen nicht zeigen wenn Sortierung erfolgen soll */
	if (empty($sort)) {
		echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
		echo "<td style=\"padding-right:20px\">";
		echo "<select name=\"kat_id\" size=\"1\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\"";
		echo (empty($rvar_kat_id)) ? ' selected="selected"' : '';
		echo ">alle Ger&auml;tekategien</option>\n";
		$kats = abfrage1("select kat_id, name from tb_pc_kat order by name asc;");
		while ($kat = mysql_fetch_row($kats)) {
			echo "<option value=\"$kat[0]\"";
			echo ($rvar_kat_id == $kat[0]) ? ' selected="selected"' : '';
			echo ">$kat[1]</option>\n";
		}
		echo "</select></td>\n";
		echo "</form>\n";
	}

	/* OBJ_ID: 2 */
	if ($_SESSION[$AppCode]['ULV'] == 26 || 
		check_nutzer_rechte(2) ||
		check_nutzer_rechte(19)) {
		echo "<td><input type=\"button\" onclick=\"self.location.href='pc_fb.php'\" ";
		echo "value=\"Feedbacks\" /></td>\n";
	}


	echo "</tr></table>\n";
	new stwLine(1);
}

/* falls Sortierung gewuenscht ist nur einmal pc_list() aufrufen */
if (!empty($sort)) {
	pc_list(0, $sort);
} elseif ($rvar_kat_id > 0) {
	pc_list($rvar_kat_id, NULL);
} else {
	$kats = abfrage1("select kat_id, name from tb_pc_kat order by name asc;");
	while ($kat = mysql_fetch_row($kats)) pc_list($kat[0], NULL);
}

 new stwEnd($seite, NULL, NULL, NULL, NULL, NULL, NULL, NULL, $sort);
?>
