<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$seite = 53;
require("inc/auth.inc.php");
require("inc/stw.inc.php");
set_session_url();

$self = $_SERVER['PHP_SELF'];

/* -- eventuelle Betaetigung des Mitarbeiter-Schalters speichern --*/
if (isset($_POST['erl_edv'])){
  $sql = 'update tb_pc_fb set ';
  if ($_POST['erl_edv'] == 1){
    $datetime = date('Y-m-d H:i:s');
    $sql .= "erl_edv = 1, erl_edv_time = '$datetime', ";
    $sql .= "erl_edv_id = '{$_POST['uid']}' ";
  } else {
    $sql .= "erl_edv = NULL, erl_edv_time = NULL, erl_edv_id = NULL ";
  }
  $sql .= "where fb_id = '{$_POST['fb_id']}';";
  abfrage2($sql);
}

/* -- eventuelle Betaetigung des GF-Schalters speichern --*/
if (isset($_POST['erl_gf'])){
  $sql = 'update tb_pc_fb set ';
  if ($_POST['erl_gf'] == 1){
    $datetime = date('Y-m-d H:i:s');
    $sql .= "erl_gf = 1, erl_gf_time = '$datetime', ";
    $sql .= "erl_gf_id = '{$_POST['uid']}' ";
  } else {
    $sql .= "erl_gf = NULL, erl_gf_time = NULL, erl_gf_id = NULL ";
  }
  $sql .= "where fb_id = '{$_POST['fb_id']}';";
  abfrage2($sql);
}

// nur unerledigte / alle Feedbacks
$all = (isset($_GET['all'])) ? $_GET['all'] : 0;

// Sortierung
$sort = (isset($_GET['sort'])) ? $_GET['sort'] : 0;

// Nummern-Bereich fr EDV-Projekte ermitteln
$swp = abfrage("select nr_von, nr_bis from tb_projektart where kname = 'EDV';");

// welcher Mitarbeiter?
if (isset($_GET['ma'])){
	$ma = $_GET['ma'];
} else {
	$dat1 = abfrage("select h.pers_id
					from tbh_pers_proj h
					left join tb_projekte pr on h.proj_id = pr.proj_id
					where h.personaltyp_id = 1
					and pr.projektnr >= '$swp[0]'
					and pr.projektnr <= '$swp[1]'
					and h.pers_id ='{$_SESSION[$AppCode]['UID']}';");

	/* nur den Entwickler anzeigen wenn er noch Feedbacks besitzt */
  $sql  = "SELECT COUNT(t2.pers_id) FROM tb_pc_fb t1 ";
  $sql .= "LEFT JOIN tbh_pers_proj t2 ON t1.proj_id=t2.proj_id ";
  $sql .= "WHERE t1.erl_gf IS NULL AND t2.pers_id='$dat[0]';";
  $erg  = abfrage($sql);

	if ($dat1[0] ==  $_SESSION[$AppCode]['UID'] && $erg[0] > 0){
		$ma = $_SESSION[$AppCode]['UID'];
	} else {
		$ma = 'all';
	}
}

echo "<table><tr>\n";
echo "<td style=\"padding-right:15px\">";
if ($all == '1') {
	echo "<input type=\"button\" value=\"nur unerledigte anzeigen\" ";
	echo "onClick=\"self.location.href='$self?all=0&ma=$ma&sort=$sort'\">\n";
} else {
	echo "<input type=\"button\" value=\"auch erledigte anzeigen\" ";
	echo "onClick=\"self.location.href='$self?all=1&ma=$ma&sort=$sort'\">\n";
}
echo "</td>\n";

echo "<form action=\"$self\" method=\"get\">\n";
echo "<input type=\"hidden\" name=\"all\" value=\"$all\">\n";
echo "<th class=\"cl1\">Mitarbeiter:</th>\n";
echo "<td><select name=\"ma\" size=\"1\" onChange=\"this.form.submit()\">\n";

echo "<option value=\"all\"";
echo ($ma == 'all') ? ' selected' : '';
echo ">ALLE anzeigen</option>\n";

$data1 = abfrage1("select h.pers_id
					from tbh_pers_proj h
					left join tb_personal pe on h.pers_id = pe.pers_id
					left join tb_projekte pr on h.proj_id = pr.proj_id
					where h.pers_id > 0
					and pr.projektnr >= '$swp[0]'
					and pr.projektnr <= '$swp[1]'
					group by h.pers_id
					order by pe.vorname asc, pe.name asc;");

 while ($mit = mysql_fetch_row($data1))
 {
   /* nur den Entwickler anzeigen wenn er noch Feedbacks besitzt */
   $sql  = "SELECT COUNT(t2.pers_id) FROM tb_pc_fb t1 ";
   $sql .= "LEFT JOIN tbh_pers_proj t2 ON t1.proj_id=t2.proj_id ";
   $sql .= "WHERE t1.erl_gf IS NULL AND t2.pers_id=".$mit[0].";";

   $erg  = abfrage($sql);
   if ($erg[0] > 0)
   {
    	echo "<option value=\"$mit[0]\"";
    	echo ($mit[0] == $ma) ? ' selected' : '';
    	echo ">" . pers_name($mit[0]) . "</option>\n";
   }
 }

echo "</select>\n</td>\n";
echo "<td style=\"padding-right:15px\"><input type=\"image\" src=\"img/senden.png\"></td>\n";
echo "</form>\n";

echo "<th class=\"cl1\">Suche:</th>\n";
echo "<form action=\"$self\" method=\"POST\">\n";
echo "<td><input type=\"text\" name=\"suche\" size=\"25\" maxlength=\"50\"";
echo (isset($_POST['suche'])) ? "value=\"{$_POST['suche']}\"" : '';
echo "></td>\n";
echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
echo "</form>\n";

echo "</tr></table>\n";
new stwLine(2);

echo <<< HTML
<table>
<tr>
<th style="padding-right:5px">Nr.</th>
<th style="padding-right:5px"><a href="$self?all=$all&ma=$ma">Ger&auml;t</a></th>
<th style="padding-right:5px"><a href="$self?sort=pro&all=$all&ma=$ma">Projekt</a></th>
<th style="padding-right:5px">Feedback</th>
<th style="padding-right:5px">Datum</th>
<th style="padding-right:5px">Benutzer</th>
<th style="padding-right:5px" title="EDV-Mitarbeiter">EDV</th>
<th style="padding-right:5px" title="Geschftsfhrung">GF</th>
</tr>
HTML;

if (isset($_POST['suche'])){
	$where =  "where (match(t1.feedback) against ('{$_POST['suche']}')) ";
  $where .= "OR t1.fb_id LIKE '%".$_POST['suche']."%'";
} else {
	$where = ($ma == 'all') ? 'where 1' : " where t1.proj_id > 0 and (h.pers_id = $ma and h.personaltyp_id = 1)";
	$where .= ($all == 1) ? '' : " and t1.erl_gf is null";
}

if ($_GET['sort'] == 'pro'){
	$order = " order by t3.projektnr asc, sort1 asc";
} else {
	$order = " order by sort1 desc, unix_timestamp(now()) - unix_timestamp(t1.datetime) asc";
}

$sql = "select t1.pc_id, # 0
		pc.name,         # 1
		t1.feedback,     # 2
		date_format(t1.datetime,'%d.%m.%Y') as datum, # 3
    t1.pers_id, # 4
    t1.fb_id, # 5
		date_format(t1.datetime, '%H:%i') as zeit, # 6
		t1.erl_edv,  # 7
		t1.erl_gf,   # 8
		t1.proj_id,  # 9
		if (t1.proj_id is null or t1.proj_id = 0, 99, t1.prio) as sort1
    from tb_pc_fb t1
    left join tb_personal t2 on t1.pers_id = t2.pers_id
    left join tb_projekte t3 on t1.proj_id = t3.proj_id
    left join tb_pc pc on t1.pc_id = pc.pc_id
    left join tbh_pers_proj h on t1.proj_id = h.proj_id
    $where
    group by t1.pc_id
    $order;";

$res = abfrage1($sql);

while($row = mysql_fetch_assoc($res)){
	new stwTabLine(2,30);
    if ($row['erl_gf'] == 1){
    	$style = "style=\"color:#999999\" title=\"erledigt\"";
    } elseif ($row['sort1'] > 2){
    	$style = "style=\"color:#FF0000\" title=\"Prioritt hoch!\"";
    } elseif ($row['sort1'] < 2) {
    	$style = "style=\"color:#CCCCCC\" title=\"Prioritt niedrig\"";
    } else {
    	$style = '';
    }
    echo "<tr><td class=\"cl1\">";
    echo "<a href=\"pc_fb_and.php?fb_id={$row['fb_id']}\" $style>";
    echo $row['fb_id'] . "</a></td>\n";
    echo "<td class=\"cl1\">";
    echo "<a href=\"pc_fb_and.php?fb_id={$row['fb_id']}\" $style>";
    echo $row['name'] . "</a></td>\n";
    if ($row['proj_id'] > 0){
    	$pro = new stwProjekt($row['proj_id']);
    	echo "<td class=\"cl1\"><a href=\"pro_daten.php?proj_id=$pro->id\">";
    	echo $pro->nummer() . "</a></td>\n";
    	$hb = ($pro->hb() == $_SESSION[$AppCode]['UID']) ? 1 : 0;
    } else {
      echo "<td class=\"cl1\"></td>\n";
      $hb = 0;
    }
    echo "<td class=\"cl1\">" . wordwrap($row['feedback'], 40, '<br>') . "</td>\n";
    echo "<td class=\"cl1\">{$row['datum']}<br>{$row['zeit']} Uhr</td>\n";
    echo "<td class=\"cl1\">" . pers_kname($row['pers_id']) . "</td>\n";

    if ($hb == 1 || $_SESSION[$AppCode]['ULV'] >= 96) {
      echo "<form action=\"$self?all=$all&ma=$ma&sort=$sort\"";
	    echo " method=\"POST\">\n";
	    echo "<input type=\"hidden\" name=\"uid\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";
	    echo "<input type=\"hidden\" name=\"fb_id\" value=\"{$row['fb_id']}\">\n";
	    if ($row['erl_edv'] > 0){
	      $tt = 'Erledigt-Markierung l&ouml;schen';
	      $col = 'green';
	      $val = 0;
	    } else {
	      $tt = 'als erledigt markieren';
	      $col = 'red';
	      $val = 1;
	    }
	    echo "<input type=\"hidden\" name=\"erl_edv\" value=\"$val\">\n";
      echo "<td class=\"cl1\">\n";
      echo "<input type=\"image\" src=\"img/icon_$col.png\"";
      echo stwToolTip($tt) . ">\n";
	    echo "</form>\n";
    } else {
    	if ($row['erl_edv'] > 0) {
    		$col = 'green';
    		$edv = abfrage("select erl_edv_id,
    		                date_format(erl_edv_time, '%d.%m.%Y - %H:%i') as zeit
    						        from tb_pc_fb where fb_id = '{$row['fb_id']}';");
    		$title = pers_kname($edv['erl_edv_id']) . ", {$pr['zeit']}";
    	} else {
    		$col = 'red';
    		$title = "noch nicht vom EDV-Mitarbeiter erledigt";
    	}
      echo "<td class=\"cl1\"";
      echo stwToolTip($title) . "><img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";
    }

	  if ($_SESSION[$AppCode]['ULV'] >= 96){
      echo "<form action=\"$self?all=$all&ma=$ma&sort=$sort\"";
	    echo " method=\"POST\">\n";
	    echo "<input type=\"hidden\" name=\"uid\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";
	    echo "<input type=\"hidden\" name=\"fb_id\" value=\"{$row['fb_id']}\">\n";
	    if ($row['erl_gf'] > 0){
	      $tt = 'Erledigt-Markierung l&ouml;schen';
	      $col = 'green';
	      $val = 0;
	    } else {
	      $tt = 'als erledigt markieren';
	      $col = 'red';
	      $val = 1;
	    }
	    echo "<input type=\"hidden\" name=\"erl_gf\" value=\"$val\">\n";
	    echo "<td class=\"cl1\">\n";
      echo "<input type=\"image\" src=\"img/icon_$col.png\"";
      echo stwToolTip($tt) . ">\n";
	    echo "</form>\n";
	  } else {
	    if ($row['erl_gf'] > 0) {
    		$col = 'green';
    		$gf = abfrage("select erl_gf_id,
    		               date_format(erl_gf_time, '%d.%m.%Y - %H:%i') as zeit
    		               from tb_pc_fb where fb_id = '{$row['fb_id']}';");
    		$title = pers_kname($gf['erl_gf_id']) . ", {$gf['zeit']}";
    	} else {
    		$col = 'red';
    		$title = "noch nicht vom Geschftsfhrer als erledigt markiert";
    	}
      echo "<td class=\"cl1\"";
      echo stwToolTip($title) . "><img src=\"img/icon_$col.png\" alt=\"$title\"></td>\n";
	  }
  echo "</tr>\n";
}
echo "</table>\n";
new stwLine(1);
new stwEnd($seite);
?>
