<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers_akten.php 2886 2018-09-14 21:36:11Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 4;
$level = 25;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

require_once($pfad."inc/auth.inc.php");
require_once($pfad."inc/level.inc.php");

require_once($pfad."inc/stw.inc.php");
require_once($pfad."inc/stwDaten.inc.php");

$pers_order = getPersOrder($seite);

echo "<table><tr>\n";
echo "<td class=\"cl20\"><input type=\"button\" value=\"zur&uuml;ck zum ";
echo "Datenblatt\" onClick=\"self.location.href='pers_and.php?pers_id=";
echo "$rvar_pers_id&bereich=$rvar_bereich'\"></td>\n";

echo "<td><input type=\"button\" value=\"neue Aktenart anlegen\" ";
echo "onClick=\"self.location.href='{$_SERVER['PHP_SELF']}?pers_id=";
echo "$rvar_pers_id&bereich=$rvar_bereich&akte_id=0'\"></td>\n";

echo "</tr></table>\n";

new stwLine(1);

/* Aktenarten verwalten -> ab Level 97 oder Rechteobjekt 50 */
if (check_nutzer_rechte(50)) {
	/* eventuelle Datenanderungen an Aktenarten (ohne Druckausgabe) vornehmen */
	if (isset($_POST['name'])){
		$sql  = (isset($_REQUEST['akte_id']) && !empty($_REQUEST['akte_id'])) ? 'update ' : 'insert into ';
		$sql .= "tb_pers_akten set name = '{$_REQUEST['name']}', aktiv = '{$_REQUEST['aktiv']}', ";
		$sql .= "turnus = '{$_REQUEST['turnus']}', turnus_tt = '{$_REQUEST['turnus_tt']}' ";
		$sql .= (isset($_REQUEST['akte_id']) && !empty($_REQUEST['akte_id'])) ? " where akte_id = '{$_REQUEST['akte_id']}';" : ';';
		abfrage2($sql);
		if(empty($_REQUEST['akte_id'])) $rvar_akte_id = mysql_insert_id();
	}
	/* uebergebene Abteilung einfuegen */
	if (isset($_REQUEST['abt_id']) && !empty($_REQUEST['abt_id'])){
		abfrage2("replace into tbh_akte_abt set akte_id = '$rvar_akte_id', abt_id = '{$_REQUEST['abt_id']}';");
	}
	/* uebergebene Mitarbeiter einfuegen */
	if (isset($_REQUEST['ma_j']) && !empty($_REQUEST['ma_j'])){
		abfrage2("replace into tbh_pers_akte_ausnahme set akte_id = '$rvar_akte_id', aktiv='j', pers_id = '{$_REQUEST['ma_j']}';");
	}
	if (isset($_REQUEST['ma_n']) && !empty($_REQUEST['ma_n'])){
		abfrage2("replace into tbh_pers_akte_ausnahme set akte_id = '$rvar_akte_id', aktiv='n', pers_id = '{$_REQUEST['ma_n']}';");
	}
	/* Abteilungszuordnung der Aktenart loeschen */
	if (isset($_REQUEST['rem']) && is_numeric($_REQUEST['rem'])){
		abfrage2("delete from tbh_akte_abt where akte_id = '$rvar_akte_id' and abt_id='{$_REQUEST['rem']}';");
	}
	/* Mitarbeiterzuordnung der Aktenart loeschen */
	if (isset($_REQUEST['rem_ma']) && is_numeric($_REQUEST['rem_ma'])){
		abfrage2("delete from tbh_pers_akte_ausnahme where akte_id = '$rvar_akte_id' and pers_id='{$_REQUEST['rem_ma']}';");
	}

	/* Aktenart loeschen */
	if(isset($_GET['del_akte'])) {
		abfrage2("delete from tb_pers_akten where akte_id = '{$_GET['del_akte']}';");
	}
	/* Rahmentabelle fuer Aktenarten */
	echo "<table cellspacing=\"0\" cellpadding=\"0\"><tr>";

	/* Zelle und Teiltabelle Liste Aktenarten */
	echo "<td style=\"padding-right: 30px;\"><table>\n";
	echo "<tr><th colspan=\"6\">Aktenarten</th>\n";
	new stwTabLine(2,5);
	/* alle Aktenarten ohne Druckausgabe abfragen */
	$akten = abfrage1("select akte_id, name, aktiv, turnus from tb_pers_akten order by name asc;");
	while ($akte = mysql_fetch_row($akten)) {
		echo "<tr><td>";
		if($akte[3] != 0) echo "<img src=\"".image('akte')."\" />";
		echo "</td><td ";
		if(isset($rvar_akte_id)) {
			if($rvar_akte_id == $akte[0]) echo "style=\"background-color:#666666\" ";
		}
		echo "class=\"cl1\"><a href=\"{$_SERVER['PHP_SELF']}?";
		echo "pers_id=$rvar_pers_id&bereich=6&akte_id=$akte[0]\"";
		echo stwToolTip('Aktenart &auml;ndern');
		if($akte[2]=='n') echo "style=\"color:grey\"";
		if(empty($akte[1])) echo "style=\"color:red\">LEER!</a></td>\n";
		else echo ">$akte[1]</a></td>\n";

		$dat = abfrage1("select pers_id from tbh_pers_akten
										where akte_id = '$akte[0]';");
		if (mysql_num_rows($dat) == 0){
			echo "<td><a href=\"{$_SERVER['PHP_SELF']}?pers_id=$rvar_pers_id&";
			echo "bereich=6&del_akte=$akte[0]\" style=\"color: #F00;\"";
			echo stwToolTip('<b>VORSICHT!</b> Aktenart l&ouml;schen!');
			echo ">X</a></td>";
		}
		echo "</tr>\n";
	}

	/* Ende Zelle und Teiltabelle Liste Aktenarten */
	echo "</table></td>\n";

	if(isset($rvar_akte_id)) {
		/* Zelle und Teiltabelle Maske Aktenarten */
		echo "<td><table>\n";
		$dat = empty($rvar_akte_id) ? 'hinzuf&uuml;gen' : '&auml;ndern';
		echo "<tr><th colspan=\"3\">Aktenart $dat</th></tr>\n";
		new stwTabLine(2,3);

		echo "<form action=\"{$_SERVER['PHP_SELF']}?pers_id=$rvar_pers_id&bereich=6\" method=\"post\">\n";
		if (!empty($rvar_akte_id)){
			echo "<input type=\"hidden\" name=\"akte_id\" value=\"$rvar_akte_id\">\n";
		}

		echo "<tr><th class=\"cl1\">Name:</th>\n<td colspan=\"2\">";
		echo "<input type=\"text\" name=\"name\" size=\"30\" maxlength=\"50\"";
		$dat = abfrage("select name, aktiv, turnus, turnus_tt from tb_pers_akten
						where akte_id = '$rvar_akte_id';");
		echo " value=\"$dat[0]\"";
		echo "></td></tr>\n";
		echo "<tr><th class=\"cl1\">aktiv:</th>\n<td colspan=\"2\">";
		echo "<input type=\"radio\" name=\"aktiv\" value=\"j\" ";
		if($dat[1] == "j" || empty($rvar_akte_id)) echo " checked";
		echo ">&nbsp;<b>ja</b>&nbsp;&nbsp;";
		echo "<input type=\"radio\" name=\"aktiv\" value=\"n\" ";
		if($dat[1] == "n") echo " checked";
		echo ">&nbsp;<b>nein</b></td></tr>\n";

		echo "<tr><th rowspan=\"2\" class=\"cl1\">regelm. Pr&uuml;fung:</th>";
		echo "<td><input id=\"stichtag\" type=\"checkbox\" ";
		if($dat[2]==-1) echo "checked ";
		echo "onclick=\"";
		echo "document.getElementById('regelm').checked = ''; ";
		echo "if(parseInt(document.getElementById('turnus').value) >= 0) { ";
		echo "document.getElementById('turnRow1').style.display = 'none'; ";
		echo "document.getElementById('turnRow2').style.display = 'none'; ";
		echo "document.getElementById('turnus').value = '-1'; ";
		echo "} else { ";
		echo "document.getElementById('turnus').value = ''; ";
		echo "}\" /></td><td>Pr&uuml;fung erlischt an einem Stichtag</td></tr>\n";

		echo "<tr><td><input id=\"regelm\" type=\"checkbox\" ";
		if($dat[2]>0) echo "checked ";
		echo "onclick=\"";
		echo "document.getElementById('stichtag').checked = ''; ";
		echo "if(parseInt(document.getElementById('turnus').value) > 0) { ";
		echo "document.getElementById('turnRow1').style.display = 'none'; ";
		echo "document.getElementById('turnRow2').style.display = 'none'; ";
		echo "document.getElementById('turnus').value = ''; ";
		echo "} else { ";
		echo "document.getElementById('turnRow1').style.display = 'table-row'; ";
		echo "document.getElementById('turnRow2').style.display = 'table-row'; ";
		echo "document.getElementById('turnus').value = '12'; ";
		echo "document.getElementById('turnus').focus(); ";
		echo "document.getElementById('turnus').select(); ";
		echo "}\" /></td><td>Mitarbeiter m&uuml;ssen regelm&auml;&szlig;ig Pr&uuml;fung best&auml;tigen</td></tr>\n";
		echo "<tr id=\"turnRow1\"";
		if($dat[2]<=0 || empty($rvar_akte_id)) echo " style=\"display:none\"";
		echo "><th class=\"cl1\">Turnus:</th>";
		echo "<td colspan=\"2\"><input type=\"text\" size=\"3\" name=\"turnus\" id=\"turnus\" ";
		echo "value=\"$dat[2]\" ";
		echo "/> Monate</td></tr>\n";
		echo "<tr id=\"turnRow2\"";
		if($dat[2]<=0 || empty($rvar_akte_id)) echo " style=\"display:none\"";
		echo "><th class=\"cl1\">Beschreibung:</th>";
		echo "<td colspan=\"2\"><input type=\"text\" size=\"40\" maxlength=\"100\" name=\"turnus_tt\" ";
		echo "value=\"$dat[3]\" ";
		echo "/> Tooltip f&uuml;r Pr&uuml;fung</td></tr>\n";

		new stwTabLine(2,3);

		echo "<tr><th class=\"cl1\">Abteilung:</th>";
		echo "<td colspan=\"2\"><select name=\"abt_id\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">- Abteilung hinzuf&uuml;gen -</option>\n";
		$abtn = abfrage1("select abt_id, name from tb_personal_abt order by name asc;");
		while ($abt = mysql_fetch_row($abtn)){
			$dat = abfrage("select abt_id from tbh_akte_abt where abt_id = '$abt[0]' and akte_id = '$rvar_akte_id';");
			if ($dat[0] == $abt[0]) continue;
			echo "<option value=\"$abt[0]\">$abt[1]</option>\n";
		}
		echo "</select></td></tr>\n";
		$komma = '';
		$sql = "select aa.abt_id, pa.name from tbh_akte_abt aa
				left join tb_personal_abt pa using(abt_id)
				where aa.akte_id = '$rvar_akte_id'
				order by pa.name asc;";
		$abts = abfrage1($sql);
		echo "<tr><td /><td colspan=\"2\" class=\"ww\">\n";
		while($abt = mysql_fetch_row($abts)) {
			echo $komma; $komma=', ';
			echo "<a href=\"pers_akten.php?pers_id=$rvar_pers_id&bereich=$rvar_bereich&akte_id=$rvar_akte_id&rem=$abt[0]\"";
			echo stwToolTip("Abteilung $abt[1] aus Auswahl entfernen") . ">$abt[1]</a>\n";
		}
		echo "</td></tr>\n";
		echo "<tr><th class=\"cl1\">Mitarbeiter:</th>\n";
		echo "<td colspan=\"2\"><table cellpadding=\"0\" cellspacing=\"0\"><tr>\n";
		echo "<td class=\"cl1\"><select name=\"ma_j\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">- MA hinzuf&uuml;gen -</option>\n";
		$sql  = "SELECT pers_id, concat(";
		$sql .= ($pers_order == 2) ? "name, ', ', vorname" : "vorname, ' ', name";
		$sql .= ") FROM tb_personal WHERE status_id = '2' ORDER BY ";
		$sql .= ($pers_order == 2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
		$mas = abfrage1($sql);
		while($ma = mysql_fetch_row($mas)) {
			$dat = abfrage("select pers_id from tbh_pers_akte_ausnahme where pers_id = '$ma[0]' and aktiv='j' and akte_id = '$rvar_akte_id';");
			if ($dat[0] == $ma[0]) continue;
			echo "<option value=\"$ma[0]\">$ma[1]</option>\n";
		}
		echo "</select></td><td>\n";
		echo "<select name=\"ma_n\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">- MA ausschlie&szlig;en -</option>\n";
		mysql_data_seek($mas,0);
		while($ma = mysql_fetch_row($mas)) {
			$dat = abfrage("select pers_id from tbh_pers_akte_ausnahme where pers_id = '$ma[0]' and aktiv='n' and akte_id = '$rvar_akte_id';");
			if ($dat[0] == $ma[0]) continue;
			echo "<option value=\"$ma[0]\">$ma[1]</option>\n";
		}
		echo "</select></td></tr>\n";
		echo "<tr><td>";
		$sql  = "SELECT p.pers_id, concat(";
		$sql .= ($pers_order == 2) ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
		$sql .= ") FROM tbh_pers_akte_ausnahme a
				left join tb_personal p using(pers_id)
				WHERE a.aktiv='j' and a.akte_id = '$rvar_akte_id' ORDER BY ";
		$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
		$mas = abfrage1($sql);
		$komma = '';
		while($ma = mysql_fetch_row($mas)) {
			echo $komma; $komma='<br />';
			echo "<a href=\"pers_akten.php?pers_id=$rvar_pers_id&bereich=$rvar_bereich&akte_id=$rvar_akte_id&rem_ma=$ma[0]\"";
			echo stwToolTip("$ma[1] aus Auswahl entfernen") . "style=\"color:lime\">$ma[1]</a>\n";
		}
		echo "</td><td>";
		$sql  = "SELECT p.pers_id, concat(";
		$sql .= ($pers_order == 2) ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
		$sql .= ") FROM tbh_pers_akte_ausnahme a
				left join tb_personal p using(pers_id)
				WHERE a.aktiv='n' and a.akte_id = '$rvar_akte_id' ORDER BY ";
		$sql .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
		$mas = abfrage1($sql);
		$komma = '';
		while($ma = mysql_fetch_row($mas)) {
			echo $komma; $komma='<br />';
			echo "<a href=\"pers_akten.php?pers_id=$rvar_pers_id&bereich=$rvar_bereich&akte_id=$rvar_akte_id&rem_ma=$ma[0]\"";
			echo stwToolTip("$ma[1] aus Auswahl entfernen") . "style=\"color:red\">$ma[1]</a>\n";
		}
		echo "</td></tr></table>\n";
		echo "<tr><td colspan=\"3\"><input type=\"submit\" value=\"Speichern\"></td></tr>\n";

		echo "</form>\n";
		/* Ende Zelle und Teiltabelle Maske Aktenarten */
		echo "</table></td>\n";
	}
	/* Ende Rahmentabelle Aktenarten */
	echo "</tr></table>\n";
	new stwLine(1);
}
/* Ende Bereich 6.2 - Aktenarten verwalten */



new stwEnd($seite);

?>
