<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pers_azv.php 2357 2014-11-10 21:54:40Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 17;
 $level = 65;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 require_once($pfad."inc/stw.inc.php");


$sql = "select paz_id, von, bis, anst, las, vg, urlaub, urlaub_vj, sonderurlaub, pers_id
		from tb_paz where pers_id=$rvar_pers_id or pers_id='-$rvar_pers_id' order by von desc";
$res = mysql_query($sql) or die(mysql_error());

if (isset($rvar_pers_id)) {
    echo "<table>\n";
    echo "<tr><td><a href=\"pers_and.php?pers_id=";
    echo $rvar_pers_id;
    echo "\">Arbeitszeitvereinbarungen mit " . pers_name($rvar_pers_id);
    echo "</a></td></tr>\n";
    echo "</table>\n";
    new stwLine(1);
} else {
}

$kinder = abfrage("select count(kind_id) from tb_kinder
					where pers_id = $rvar_pers_id and kigeld = 'j' and kigeld_empf = 'M';");
echo "<table>";
echo "<tr><th>Kinder&nbsp;:</th>";
echo "<td>";
if ($kinder[0] > 0) {
	echo $kinder[0];
 }
echo "</td></tr>\n";
echo "<tr><th>Pensionskasse&nbsp;:</th>";

$pens = pers_pension($rvar_pers_id);
if ($pens) {
	echo "<td style=\"text-align:right;color:$pens[1]\">";
    echo $pens[0] . " EUR";
    echo "</td></tr>";
} else {
    echo "</tr>";
}
new stwLine(1);
?>
<table>
<tr>
<th>von</th>
<td width="5"></td>
<th>bis</th>
<td width="5"></td>
<th>Anstellung</th>
<td width="5"></td>
<th>FLS Soll</th>
<td width="5"></td>
<th title="Lebensaltersstufe">LAS</th>
<td width="5"></td>
<th title="Vergtungsgruppe">VG</th>
<td width="5"></td>
<th>Urlaubsanspruch</th>
<td width="5"></td>
<th>Resturlaub</th>
<td width="5"></td>
<th>Sonderurlaub</th>
</tr>
<?php
new stwTabLine(2,30);

while ($zeile = mysql_fetch_row($res)) {
    echo "<tr>\n  <td>";
    echo "<a href=\"pers_azv_and.php?paz_id=" . $zeile[0] . "&pers_id=" . $rvar_pers_id . "\"";
	if($zeile[9] < 0) echo " style=\"color:lime\"" . stwToolTip("prognostische Arbeitszeitvereinbahrung");
	echo ">" . date_my2gr($zeile[1]);
    echo "</a></td>\n";
    echo "  <td width=5></td>\n";
    echo "  <td>";
    if ($zeile[2]>0) {
        echo date_my2gr($zeile[2]);
    }
    echo "</td>\n";
    echo "  <td width=\"5\"></td>\n";
    echo "  <td style=\"text-align:right\">";
    $anst = number_format($zeile[3], 2, ',', '');
    echo $anst;
    echo "&nbsp;%</td>\n";
    echo "  <td width=5></td>\n";
    echo "  <td style=\"text-align:right\">";
    echo fls_form(fls_woche(($zeile[0])));
    echo "</td>\n";
    echo "<td width=\"5\"></td>";
    echo "<td style=\"text-align:right\">$zeile[4]</td>";
    echo "<td width=\"5\"></td>";
    echo "<td style=\"text-align:right\">$zeile[5]</td>";
    echo "<td width=\"5\"></td>";
    echo "<td style=\"text-align:center\">$zeile[6]</td>";
    echo "<td width=\"5\"></td>";
    echo "<td style=\"text-align:center\">$zeile[7]</td>";
    echo "<td width=\"5\"></td>";
    echo "<td style=\"text-align:center\">$zeile[8]</td>";
    echo "<td width=\"5\"></td>";
	$azv_recht = false;
	if(check_nutzer_rechte(76)) {
		$lvl = abfrage("select level from tb_personal where pers_id = '$rvar_pers_id';");
		$azv = abfrage("select azv from tbh_pers_azv where pers_id='{$_SESSION[$AppCode]['UID']}'");
		if($lvl[0] <= $azv[0]) $azv_recht = true;
	}
    if ($azv_recht || $_SESSION[$AppCode]['ULV'] >= 96) {
	    echo "<td><a href=\"pers_azv_del_sql.php?paz_id=$zeile[0]&pers_id=$rvar_pers_id\" ";
	    echo "style=\"color:red\" title=\"VORSICHT! Lschen\">X</a></td>\n";
    }
 	echo "</tr>\n\n";
}
?>
</table>
<?php
new stwLine(1);

if ($azv_recht || $_SESSION[$AppCode]["ULV"] >= 96) {
?>
<table><tr>
<td><input type="button" value="Neu" onClick="self.location.href='pers_azv_and.php?pers_id=<?php echo $rvar_pers_id; ?>'"></td>
</td><a href="azv_pr2.php?pers_id=<?php echo "$rvar_pers_id&ts=" . time(); ?>" target="_pdf">
<img src="img/drucker.png" title="AZV-Liste drucken" border="0"></a></td>
</td></tr></table>
<?php
}
new stwEnd($seite);
?>
