<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();

require_once($pfad."inc/func.inc.php");
/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function WochenstundenBerechnen($monst){
	$wst = geld_form_formular(round($monst / 13 * 3, 2));
	$userResp = new xajaxResponse();
	$userResp->assign('wochenstunden', 'value', $wst);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');

$xajax->registerFunction('WochenstundenBerechnen');
/* --- Ende Abschnitt (X)AJAX --- */

$level = 25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 17;
require("inc/stw.inc.php");

$konf = ($ulv >= 97 && $_GET['konfmask']==1);
$disabled = ($konf) ? 'disabled' : '';

$letzte = abfrage("select von, paz_id from tb_paz where pers_id = '$rvar_pers_id' order by von desc limit 1;");
if  (isset($rvar_paz_id)) {
    $resch = abfrage_array("select * from tb_paz where paz_id = '$rvar_paz_id';");
} else {
	$resch = abfrage_array("select * from tb_paz
							where pers_id = '$rvar_pers_id'
							and von = '$letzte[0]';");
}

if (isset($rvar_pers_id)) {
	$highlight = $_GET['highlight']==1 ? "style=\"border:2px solid red;\"" : '';
	$highlight2 = $_GET['highlight']==1 ? "border:2px solid red;" : '';
    $pers = abfrage("select vorname, name, besch_id, betreuer 
    				from tb_personal where pers_id = '$rvar_pers_id';");
    
    echo "<table>\n";
    echo "<tr><td><a href=\"pers_azv.php?pers_id=$rvar_pers_id";
    echo "\">Arbeitszeitvereinbarung mit " . $pers[0] . "&nbsp;" . $pers[1];
    echo "</a></td></tr>\n";
    echo "</table>\n";
    new stwLine(1);
}

echo "<script type=\"text/javascript\"><!--\n";
echo "  function validate(von) {\n";
echo "    var dat = von.split('.');\n";
echo "    if(dat[0] > 1 && ".intval($letzte[1])." > 0) {\n";
echo "      return confirm(unescape('Das Von-Datum liegt nicht auf dem Monatsersten.\\nBei der Gehaltsabrechnung wird dies zu Komplikationen f%FChren.\\nDer Fehler muss dann durch eine Sonderzahlung ausgeglichen werden.\\nSoll die %C4nderung trotzdem gespeichert werden?'));\n";
echo "    }\n";
echo "    return true;\n";
echo "  }\n";
echo "--></script>\n";

$ti = 1;

echo "<form name=\"azvform\" onsubmit=\"return validate(document.azvform.von.value)\" method=\"post\" action=\"pers_azv_sql.php\">\n";
if($konf) echo "<input type=\"hidden\" name=\"konf\" value=\"1\">\n";
echo "<table width=\"350\" border=\"0\">\n";

echo "<tr>";
if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
echo "<th>von:&nbsp;</th>\n";
echo "<td><input $disabled type=\"text\" name=\"von\" size=\"11\" maxlength=\"11\" tabindex=\"$ti\" value=\"";
$ti++;
if(isset($rvar_bis)) echo "$rvar_von\">";
else echo date_my2gr($resch[2]) . "\">";
if(isset($rvar_paz_id) && date_my2ts($resch[3]) < mktime() && $letzte[1] == $resch[0]) 
	echo "<b style=\"color:red;padding-left:20px\">Die Arbeitszeitvereinbarung ist beendet.</b>";
echo "</td></tr>\n";

echo "<tr>";
if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
echo "<th style=\"color:yellow\">bis*:&nbsp;</th>\n";
$high = (empty($resch[3]) || $resch[3] == '0000-00-00') ? $highlight : '';
echo "<td><input $disabled $high type=\"text\" name=\"bis\" size=\"11\" maxlength=\"11\" tabindex=\"$ti\"";
$ti++;
if(isset($rvar_bis)) echo "value=\"$rvar_bis\"";
elseif ($resch[3] > 0) echo "value=\"" . date_my2gr($resch[3]) . "\"";
echo ">";
if(isset($rvar_paz_id) && (date_my2ts($resch[3]) < mktime()) && $letzte[1] == $resch[0]) {
	echo "<b style=\"color:red;padding-left:20px\">Soll eine neue angelegt werden?</b> &nbsp; ";
 	$bis_old = date_my2ts($resch[3]);
	$von = date("d.m.Y", mktime(0,0,0,date("n",$bis_old), date("j",$bis_old)+1, date("Y",$bis_old)));
	$bis = "31.12." . substr($von,-4);
	echo "<input type=\"button\" value=\"Neu\" onClick=\"self.location.href='pers_azv_and.php?pers_id=$rvar_pers_id&von=$von&bis=$bis'\">\n";
}
echo "</td></tr>\n";

echo "<tr>";
if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
echo "<th>prognostisch:</th>\n";
echo "<td><input $disabled type=\"checkbox\" name=\"prognostisch\" tabindex=\"$ti\"";
$ti++;
if ($resch[1] < 0) echo "checked";
echo ">";
if(isset($rvar_paz_id) && (date_my2ts($resch[3]) < mktime()) && $letzte[1] == $resch[0]) {
	echo "<b style=\"color:red;padding-left:20px\">Soll eine neue angelegt werden?</b> &nbsp; ";
 	$bis_old = date_my2ts($resch[3]);
	$von = date("d.m.Y", mktime(0,0,0,date("n",$bis_old), date("j",$bis_old)+1, date("Y",$bis_old)));
	$bis = "31.12." . substr($von,-4);
	echo "<input type=\"button\" value=\"Neu\" onClick=\"self.location.href='pers_azv_and.php?pers_id=$rvar_pers_id&von=$von&bis=$bis'\">\n";
}
echo "</td></tr>\n";

if ($konf || $pers[2] == 1 || $pers[2] == 4){  // Anstellung nur fr Angestellte - klingt logisch ;-)
	$high = empty($resch[4]) ? $highlight : '';
?>
<script type="text/javascript"><!--
  function doTT() {
	var selec1 = '';
	var selec2 = '';
	var str = "<form name='tempform'>"
	str += ' <b>Sollstunden:</b> <input type="text" size="5" name="ans" value="';
	str += '" style="text-align:center" onkeyup="document.azvform.anst.value=';
	str += '((document.tempform.ans.value * 100) / ';
	str += document.azvform.az_basis.value;
	str += ')"><br><i>Von diesem Wert werden<br>fallunspezifische T&auml;tigkeiten<br>und regelm&auml;&szlig;ige<br>Sonderaufgaben abgezogen!</i></form>';
	Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Berechn. Anstellung',TITLEBGCOLOR, '#006600', WIDTH, 170, HEIGHT, 80, FIX, ['edit',-5,-15], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);
  }
--></script>
<?php
	echo "<tr>\n";
	echo "<input type=\"hidden\" name=\"az_basis\" value=\"".az_basis($resch['von'])."\">\n";
	if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
	echo "<th style=\"color:yellow\">Anstellung*:&nbsp;</th>\n";
	echo "<td><input $disabled $high type=\"text\" style=\"text-align:right\" name=\"anst\" size=\"6\" maxlength=\"6\" tabindex=\"$ti\"";
	$ti++;
	echo "value=\"$resch[4]\">&nbsp;<b>%</b><a href=\"#\" title=\"Anstellung aus vorgegebenen Sollstunden berechnen\"";
	echo "style=\"font-size:small;position:relative;left:3;top:4;\" onClick=\"doTT()\">";
	echo "<img id=\"edit\" src=\"img/stift.png\"></a></td></tr>\n";

	echo "<tr>\n";
	if($konf) echo "<td><input type=\"checkbox\" checked disabled></td>";
	$tt = stwToolTip("W&auml;hrend Fehlzeit 'Elternzeit' wird Anstellung<br>auf diesen Wert reduziert");
	echo "<th $tt>Anstellung in Elternzeit:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"anst_ez\" style=\"text-align:right\" size=\"6\" maxlength=\"6\" tabindex=\"$ti\"";
	$ti++;
	echo "value=\"{$resch['anst_ez']}\">&nbsp;<b>%</b></td></tr>\n";
}

$fu_text = "- Teamberatung / Supervision\r\n- Dienstberatung\r\n- Mitarbeit in AGruppen\r\n- Vor- und Nachbereitung\r\n ";
// fallunsp. Ttigk. und regelm. Sonderaufgaben nur fr angestellte Betreuer

if($konf || seiteKonfSichtbar('pers_azv_fallunspezifisch')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_azv_fallunspezifisch\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_azv_fallunspezifisch') ? 'checked' : '')."></td>";
	echo "<th>fallunspezifische<br>T&auml;tigkeiten</th>\n";
	echo "<td><textarea $disabled cols=\"50\" rows=\"5\" name=\"fallunsp\" tabindex=\"$ti\" style=\"vertical-align:top\">\n";
	$ti++;
	if (!empty($resch[5])) echo $resch[5];
	else echo $fu_text;
	echo "</textarea>\n &nbsp;";
	echo "<input $disabled type=\"text\" name=\"fallunsp_satz\" size=\"5\" maxlength=\"5\" tabindex=\"$ti\" ";
	$ti++;
	echo "style=\"text-align:right\" value=\"$resch[14]\">&nbsp;h</td>\n";
	echo "</tr>";
} else {
	echo "<input type=\"hidden\" name=\"fallunsp\" value=\"$resch[5]\">\n";
	echo "<input type=\"hidden\" name=\"fallunsp_satz\" value=\"$resch[14]\">\n";
}

if($konf || seiteKonfSichtbar('pers_azv_sonderaufgaben')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_azv_sonderaufgaben\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_azv_sonderaufgaben') ? 'checked' : '')."></td>";
	echo "<th>regelm&auml;&szlig;ige<br>Sonderaufgaben:</th>\n";
	echo "<td><textarea $disabled cols=\"50\" rows=\"5\" name=\"sa\" tabindex=\"$ti\" style=\"vertical-align:top\">";
	$ti++;
	if (!empty($resch[6])) echo $resch[6];
	echo "</textarea>&nbsp;<input $disabled type=\"text\" name=\"sa_satz\" size=\"5\" maxlength=\"5\" tabindex=\"$ti\" ";
	$ti++;
	echo "style=\"text-align:right\" value=\"$resch[7]\">&nbsp;h</td></tr>\n";
} else {
	echo "<input type=\"hidden\" name=\"sa\" value=\"$resch[6]\">\n";
	echo "<input type=\"hidden\" name=\"sa_satz\" value=\"$resch[7]\">\n";
}

if($konf || seiteKonfSichtbar('pers_azv_jahresurlaub')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_azv_jahresurlaub\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_azv_jahresurlaub') ? 'checked' : '')."></td>";
	$high = empty($resch[11]) ? $highlight2 : '';
	echo "<th style=\"color:yellow\">Jahresurlaub*:&nbsp;</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"urlaub\" size=\"3\" maxlength=\"3\" tabindex=\"$ti\" ";
	$ti++;
	echo "style=\"text-align:right;$high\" value=\"$resch[11]\">&nbsp;Tage</td></tr>\n";
} else echo "<input type=\"hidden\" name=\"urlaub\" value=\"$resch[11]\">\n";

if($konf || seiteKonfSichtbar('pers_azv_urlaub_vj')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_azv_urlaub_vj\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_azv_urlaub_vj') ? 'checked' : '')."></td>";
	echo "<th>Resturlaub Vorjahr:&nbsp;</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"urlaub_vj\" size=\"3\" maxlength=\"3\" tabindex=\"$ti\"";
	$ti++;
	echo "style=\"text-align:right\" value=\"$resch[12]\">&nbsp;Tage</td></tr>\n";
} else echo "<input type=\"hidden\" name=\"urlaub_vj\" value=\"$resch[12]\">\n";

if($konf || seiteKonfSichtbar('pers_azv_sonderurlaub')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_azv_sonderurlaub\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_azv_sonderurlaub') ? 'checked' : '')."></td>";
	echo "<th>Sonderurlaub:&nbsp;</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"sonderurlaub\" size=\"3\" maxlength=\"3\" tabindex=\"$ti\"";
	$ti++;
	echo "style=\"text-align:right\" value=\"$resch[13]\">&nbsp;Tage</td></tr>\n";
} else echo "<input type=\"hidden\" name=\"sonderurlaub\" value=\"$resch[13]\">\n";

// LAS und VG nur fr Angestellte
if ((seiteKonfSichtbar('pers_azv_las') && ($pers[2] == 1 || $pers[2] == 4)) || $konf){
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_azv_las\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_azv_las') ? 'checked' : '')."></td>";
	$high = empty($resch[8]) ? $highlight : '';
	echo "<th style=\"color:yellow\"" . stwToolTip("Lebensaltersstufe") . ">LAS*:&nbsp;</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"las\" size=\"6\" maxlength=\"6\" tabindex=\"$ti\"";
	$ti++;
	echo " $high value=\"$resch[8]\">";
	echo "</td></tr>\n";
} else echo "<input type=\"hidden\" name=\"las\" value=\"$resch[8]\">\n";

if ((seiteKonfSichtbar('pers_azv_vg') && ($pers[2] == 1 || $pers[2] == 4)) || $konf){
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_azv_vg\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_azv_vg') ? 'checked' : '')."></td>";
	$high = empty($resch[9]) ? $highlight : '';
	echo "<th style=\"color:yellow\"".stwToolTip("Verg&uuml;tungsgruppe").">VG*:&nbsp;</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"vg\" size=\"6\" maxlength=\"6\" tabindex=\"$ti\"";
	$ti++;
	echo " $high value=\"$resch[9]\"></td></tr>\n";
} else echo "<input type=\"hidden\" name=\"vg\" value=\"$resch[9]\">\n";

if ((seiteKonfSichtbar('pers_azv_tvod') && ($pers[2] == 1 || $pers[2] == 4)) || $konf){
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_azv_tvod\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_azv_tvod') ? 'checked' : '')."></td>";
	$high = empty($resch[9]) ? $highlight : '';
	echo "<th ".stwToolTip("(Tarifvertrag ffentlicher Dienst)").">entspricht TV&ouml;D:</th>\n";
	echo "<td><input $disabled type=\"text\" name=\"tvod\" size=\"10\" maxlength=\"10\" tabindex=\"$ti\"";
	$ti++;
	echo " $high value=\"$resch[15]\"></td></tr>\n";
} else echo "<input type=\"hidden\" name=\"tvod\" value=\"$resch[15]\">\n";

if($konf) {
	$azv = 'AZK/FLS Soll';
} elseif ($pers[2] < 2 || $pers[2] == 4){
	$azv = "AZK Soll";
} else {
	$azv = "FLS Soll";
}

if($konf || seiteKonfSichtbar('pers_azv_fls')) {
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_azv_fls\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_azv_fls') ? 'checked' : '')."></td>";
	echo "<th>$azv</th><td>";
	if ($konf || ($pers[2] == 2 && $pers[3] == 'j') || $pers[2] == 3) {
		echo "<input $disabled id=\"wochenstunden\" name=\"fls\" size=\"6\" tabindex=\"$ti\" value=\"";
		$ti++;
		echo number_format($resch[10], 2, ',', '');
		echo "\" type=\"text\" style=\"text-align:right\">\n";
		echo "</td></tr>";
		echo "<tr>";
		if($konf) echo "<td></td>";
		echo "<th class=\"cl1\">Stunden&nbsp;/&nbsp;Monat:</th>\n";
		echo "<td><input $disabled type=\"text\" size=\"5\" maxlength=\"5\" ";
		echo "tabindex=\"$ti\" id=\"monatsstunden\" "; $ti++;
		echo ">&nbsp;";

		echo "<input $disabled type=\"button\" tabindex=\"$ti\" "; $ti++;
		echo "value=\"FLS Soll berechnen\" ";
		echo "onClick=\"xajax_WochenstundenBerechnen(monatsstunden.value)\">";
	} else {
		echo "<b>";
		if (isset($rvar_paz_id)) {
			echo fls_woche($rvar_paz_id);
		} else {
			echo "(erst AZV speichern!)";
		}
		echo "</b>";
	}
	echo "</td></tr>\n";
} else echo "<input type=\"hidden\" name=\"fls\" value=\"".number_format($resch[10], 2, ',', '')."\">\n";

/*
// ausgeblendeter Schalter "individuelle Sonderaufgaben"
if (isset($rvar_paz_id)) {

?>
<!--
<tr><th colspan="2" style="text-align:left">
<input type="button" value="individuelle Sonderaufgaben" onClick="self.location.href='pers_sa.php?paz_id=<?php echo $rvar_paz_id; ?>&pers_id=<?php echo $rvar_pers_id; ?>'">
</th></tr>
-->
<?php
} else {}
*/

// Pensionseinzahlungen nur fr Angestellte
if ((seiteKonfSichtbar('pers_azv_pk') && ($pers[2] == 1 || $pers[2] == 4)) || $konf){
	echo "<tr>";
	if($konf) echo "<td><input name=\"pers_azv_pk\" type=\"checkbox\" ".(seiteKonfSichtbar('pers_azv_pk') ? 'checked' : '')."></td>";
	echo "<th>PK</th>\n";
	if ($konf || isset($rvar_paz_id)) {
	  $pens = pers_pension($rvar_pers_id);
	  if ($pens) {
		echo "<td style=\"text-align:left;color:$pens[1];font-weight:bold\">";
		echo $pens[0] . " EUR";
		echo "</td>";
	  } else {
		echo "<td></td>";
	  }
	} else {
		echo "<td style=\"text-align:left;font-weight:bold\">(erst AZV speichern!)</td>";
	}
	echo "</tr>";
}
echo "</table>\n";
echo "<input type=\"hidden\" name=\"pers_id\" value=\"$rvar_pers_id\">\n";
new stwLine(1);

$azv_recht = false;
if(check_nutzer_rechte(76)) {
	$lvl = abfrage("select level from tb_personal where pers_id = '$rvar_pers_id';");
	$azv = abfrage("select azv from tbh_pers_azv where pers_id='{$_SESSION[$AppCode]['UID']}'");
	if($lvl[0] <= $azv[0]) $azv_recht = true;
}

if ($azv_recht || $_SESSION[$AppCode]["ULV"] >= 96) {
	if (isset($rvar_paz_id)) {
	  echo "<input type=\"hidden\" name=\"paz_id\" value=\"$rvar_paz_id\">\n";
	  echo "<input type=\"submit\" value=\"&Auml;ndern!\">\n";
	} else {
	  echo "<input type=\"submit\" value=\"Speichern\">\n";
	}
}
echo "</form>\n";
new stwEnd($seite);
?>
