<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: personen_and.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

session_start();

$seite = $_REQUEST['st'];
$fr = $_REQUEST['fr'];

require("inc/auth.inc.php");
require("inc/stw.inc.php");

echo "<form method=\"post\" action=\"personen.php?st=$seite&fr=$fr\" method=\"post\">\n";
/* Beginn Rahmentabelle */
echo "<table style=\"border-spacing: 0; padding: 0\">\n";

echo "<tr>\n"; /* Beginn Zeile Maske Teil 1 und Listen */
echo "<td><table width=\"100%\">\n"; /* Beginn Zelle Maske Teil 1 */


if  (isset($rvar_ap_id)) {
    $ap = abfrage_assoc("select * from
                         tb_kontakte_ap
                         where ap_id = $rvar_ap_id;");
}
$fr_id = isset($rvar_ap_id) ? $ap['fr_id'] : $fr;
$permission = check_nutzer_rechte($fr_id ? 59 : 57);

$ti = 1;

echo "<tr><th class=\"cl1\">Anrede:</th>";
echo "<td width=\"100%\"><table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
echo "<td width=\"100%\"><input type=\"text\" name=\"anrede\" size=\"15\" maxlength=\"15\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['anrede']}\"";
echo "></td>";
if(isset($rvar_ap_id)) {
	echo "<td>&nbsp;<input type=\"button\" value=\"PostEin\" ";
	echo "style=\"color:#00A600; font-weight:bold;\" ".stwToolTip("Posteingang");
	echo "onclick=\"location='post_in.php?ap=$rvar_ap_id&kont_id=p'\"></td>";
	echo "<td>&nbsp;<input type=\"button\" value=\"PostAus\" ";
	echo "style=\"color:#FF0000; font-weight:bold;\" ".stwToolTip("Postausgang");
	echo  "onclick=\"location='post_out.php?ap=$rvar_ap_id&kont_id=p'\"></td>";
	echo "<td>&nbsp;<input type=\"button\"";
	echo stwToolTip('Brief schreiben');
	echo "onClick=\"self.location.href='brief.php?";
	echo "ap_id=$rvar_ap_id&kont_id=p'\" ";
	echo "style=\"height:18px; width:20px; ";
	echo "background:url(img/brief_grau.png) no-repeat\"></td>\n";
}
echo "</tr></table></td>\n";
echo "<tr><th class=\"cl1\">Name:</th>";
echo "<td><input type=\"text\" name=\"name\" size=\"30\" maxlength=\"30\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['name']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Vorname:</th>";
echo "<td><input type=\"text\" name=\"vorname\" size=\"30\" maxlength=\"30\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['vorname']}\"";
echo "></td></tr>\n";

if (isset($rvar_ap_id)) {
	echo "<tr><th class=\"cl1\">KundenNr. (intern):</th>";
	echo "<td><b>1".sprintf("%04d",$rvar_ap_id)."</b></td></tr>\n";
}

echo "<tr><th class=\"cl1\">Stra&szlig;e:</th>";
echo "<td><input type=\"text\" name=\"strasse\" size=\"30\" maxlength=\"30\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['strasse']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">PLZ:</th>";
echo "<td><input type=\"text\" name=\"plz\" size=\"5\" maxlength=\"5\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['plz']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Ort:</th>";
echo "<td><input type=\"text\" name=\"ort\" size=\"30\" maxlength=\"30\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['ort']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Telefon:</th>";
echo "<td><input type=\"text\" name=\"teldienst\" size=\"15\" maxlength=\"15\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['teldienst']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Tel. mobil:</th>";
echo "<td><input type=\"text\" name=\"telmobil\" size=\"15\" maxlength=\"15\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['telmobil']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Telefax:</th>";
echo "<td><input type=\"text\" name=\"fax\" size=\"15\" maxlength=\"15\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['fax']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">E-Mail:</th>";
echo "<td><input type=\"text\" name=\"email\" size=\"30\" maxlength=\"50\"";
echo " tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) echo "value=\"{$ap['email']}\"";
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Notizen:</th>";
echo "<td><textarea name=\"notizen\" cols=\"40\" rows=\"5\" tabindex=\"$ti\">";
$ti++;
if (isset($rvar_ap_id)) echo $ap['notizen'];
echo "</textarea></td></tr>\n";

echo "<tr><th class=\"cl1\">aktiv:</th>";
echo "<td class=\"fett\">";
echo "<input type=\"radio\" name=\"aktiv\" value=\"j\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id)) {
  if ($ap['aktiv'] == 'j') echo ' checked';
} else {
  echo ' checked';
}
echo ">&nbsp;ja&nbsp;&nbsp;";
echo "<input type=\"radio\" name=\"aktiv\" value=\"n\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id) && $ap['aktiv'] == 'n') echo ' checked';
echo ">&nbsp;nein";
if(isset($rvar_ap_id) && $ap['lom'] == 'j') {
	$lom = abfrage("select unix_timestamp(datum), date_format(datum, '%d.%m.%Y'), notizen from tb_lom_ap where ap_id='$rvar_ap_id'");
	echo "<span style=\"padding-left:160px;color:#FFCC00;\">Besuch:</span>";
	echo "</td>\n<td rowspan=\"4\" colspan=\"5\"><textarea style=\"width:300px\" name=\"lom_text\" rows=\"6\" tabindex=\"$ti\">$lom[2]</textarea>\n"; $ti++;
}
echo "</td></tr>\n";


echo "<tr><th class=\"cl1\">LOM-<br>Ansprechpartner:</th>\n";
echo "<td style=\"vertical-align:middle;\"><b>";
echo "<input type=\"radio\" name=\"lom\" value=\"j\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id) && $ap['lom'] == 'j') echo ' checked';
echo ">&nbsp;ja&nbsp;&nbsp;<input type=\"radio\" name=\"lom\" value=\"n\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id) && $ap['lom'] == 'n') echo ' checked';
if (!isset($rvar_ap_id)) echo ' checked';
echo ">&nbsp;nein</b>";
if(isset($rvar_ap_id) && $ap['lom'] == 'j') {
	echo "<b style=\"padding-left:80px;color:#FFCC00;\">Datum: <input type=\"text\" tabindex=\"$ti\""; $ti++;
	if($lom[0] > 0) echo " value=\"$lom[1]\"";
	echo " name=\"lom_datum\" size=\"11\" maxlength=\"11\"></b>";
}
echo "</td></tr>\n";

echo "<tr><th class=\"cl1\">Referent:</th>\n";
echo "<td class=\"fett\" style=\"vertical-align:middle;\">";
echo "<input type=\"radio\" name=\"referent\" value=\"j\" tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id) && $ap['referent'] == 'j') echo ' checked';
echo ">&nbsp;ja&nbsp;&nbsp;<input type=\"radio\" name=\"referent\" value=\"n\" ";
echo "tabindex=\"$ti\""; $ti++;
if (isset($rvar_ap_id) && $ap['referent'] == 'n') echo ' checked';
if (!isset($rvar_ap_id)) echo ' checked';
echo ">&nbsp;nein</td></tr>\n";

echo "<tr><th class=\"cl1\"" . stwToolTip('Fundraising-Kategorie');
echo ">FR-Kategorie:</th>";
echo "<td><select name=\"fr_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
echo "<option value=\"0\"";
if (empty($ap['fr_id'])) echo ' selected';
echo ">kein Fundraising-Kontakt</option>\n";
$frs = abfrage1("select id, name from tb_kontakte_fr order by sort;");
while ($row = mysql_fetch_row($frs)) {
  echo "<option value=\"$row[0]\"";
  if ($ap['fr_id'] == $row[0]) echo ' selected';
  echo ">$row[1]</option>\n";
}
echo "</select></td></tr>\n";


echo "</table></td>\n"; /* Ende Zelle Maske Teil 1 */

/* nur wenn Fundraising-Kontakt */
if ($seite == 61){
  echo "<td width=\"25\"></td>\n"; /* Abstandhalter */
  /* Beginn Zelle Listen */
  echo "<td><table style=\"border-spacing: 0; padding: 0\">\n";


  echo "<tr><td><table>\n"; /* Beginn Tabelle Kontaktgruppen */
  echo "<tr><th>zugeordnete Kontaktgruppen:</th></tr>\n";
  $grs = abfrage1("select h.grp_id, g.name
                   from tbh_ap_grp h
                   left join tb_kontakte_grp g using(grp_id)
                   where h.ap_id = '$rvar_ap_id'
                   order by g.name asc;");

  if (mysql_num_rows($grs) > 0){
    new stwTabLine(2,1);
    while ($gr = mysql_fetch_row($grs)){
      echo "<tr><td><a href=\"kont_grp_mit.php?grp_id=$gr[0]\"";
      echo stwToolTip('Mitglieder ansehen / &auml;ndern');
      echo ">$gr[1]</a></td></tr>\n";
    }
  }
  new stwTabLine(1,1);
  echo "</table></td></tr>\n"; /* Ende Tabelle Kontaktgruppen */

  echo "<tr><td><table>\n"; /* Beginn Tabelle Projekte */
  echo "<tr><th>zugeordnete Projekte:</th></tr>\n";
  $prs = abfrage1("select h.proj_id
                   from tbh_ap_proj h
                   left join tb_projekte p using(proj_id)
                   where h.ap_id = '$rvar_ap_id'
                   order by p.projektnr asc;");

  if (mysql_num_rows($prs) > 0){
    new stwTabLine(2,1);
    while ($pr = mysql_fetch_row($prs)){
      $pro = new stwProjekt($pr[0]);
      echo "<tr><td>";
      if ($pro->beteiligt($_SESSION[$AppCode]['UID']) ||
          $_SESSION[$AppCode]['ULV'] >= 96) {
		echo $pro->link('',true,false,$anz);
      } else {
        echo $pro->nummer();
      }
      echo "</td></tr>\n";
    }
  }
  new stwTabLine(1,1);
  echo "</table></td></tr>\n"; /* Ende Tabelle Projekte */

  echo "</table></td>\n"; /* Ende Zelle Listen */
}
echo "</tr>\n"; /* Ende Zeile Maske Teil 1 und Listen */

/* Beginn Zeile und Zelle Zuordnungen / Speichern-Button */
echo "<tr><td colspan=\"3\"><table>\n";

if ($permission) {
	echo "<tr><th class=\"cl1\">Kontakt zuordnen:</th\n";
	echo "<td><select name=\"kont_id\" size=\"1\" tabindex=\"$ti\">\n"; $ti++;
	echo "<option value=\"0\"";
	if (empty($ap['kont_id'])) ' selected';
	echo ">keinem Kontakt zuordnen</option>\n";

	$konts = abfrage1("select kont_id, kurzname, name, name2	from tb_kontakte
						        order by kurzname asc, name asc;");
	while ($kont = mysql_fetch_row($konts)){
		echo "<option value=\"$kont[0]\"";
		if ($kont[0] == $ap['kont_id']) echo ' selected';
		if (strlen($kont[2]) > 0 || strlen($kont[3]) > 0){
		  $title  = (strlen($kont[2]) > 0) ? $kont[2] : '';
		  $title .= (strlen($kont[2]) > 0 && strlen($kont[3]) > 0) ? ', ' : '';
		  $title .= (strlen($kont[3]) > 0) ? $kont[3] : '';
		  echo " title=\"$title\"";
		}
		echo '>' . $kont[1] . ' - ' . strCut($kont[2], 40) . "</option>\n";
	}
	echo "</select></td></tr>\n";
	new stwTabLine(2,30);

	if (isset($rvar_ap_id)) {
		echo "<input type=\"hidden\" name=\"ap_id\" value=\"$rvar_ap_id\">\n";
	}
	echo "<input type=\"hidden\" name=\"chg\" value=\"1\">\n";
	echo "<tr><td><input type=\"submit\" value=\"Speichern\" tabindex=\"$ti\"></td></tr>\n";
}

echo "</table></td></tr>\n"; /* Ende Zeile und Zelle Zuordnungen / Speichern-Button */

echo "</form>\n";
echo "</table>\n"; /* Ende Rahmentabelle */

new stwEnd($seite);
?>
