<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw.php 2886 2018-09-14 21:36:11Z tfreudenberg $
 *
 */

session_start();
$seite = 59;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

set_session_url();
$pers_order = getPersOrder($seite);

if ($_POST['speichern'] == 'Speichern'){
	$sql  = (isset($_POST['res_id'])) ? 'update ' : 'insert into ';
	$sql .= "tb_ressourcen set res_typ ='{$_POST['res_typ']}', ";
	$sql .= "name = '{$_POST['name']}', aktiv = '{$_POST['aktiv']}', ";
	$sql .= "datum = '" . date_gr2my(check_date($_POST['ans'], 1)) . "', ";
	$sql .= "kaufdatum = '" . date_gr2my(check_date($_POST['rueck'], 1)) . "', ";
	$sql .= "notizen = '{$_POST['notizen']}', dat1 = '{$_POST['dat1']}', ";
	$sql .= "dat2 = '" . str_replace(',', '.', $_POST['dat2']) . "', ";
	$sql .= "dat3 = '" . str_replace(',', '.', $_POST['dat3']) . "', ";
	$sql .= "dat4 = '" . str_replace(',', '.', $_POST['dat4']) . "', ";
	$sql .= "traeger_art_id = '" . $_POST['traeger'] . "', ";
	$sql .= "farbe = '" . $_POST['farbe'] . "' ";
	if (isset($_POST['res_id'])) {
		$sql .= "where res_id = '{$_POST['res_id']}';";
	} else {
		$sql .= ';';
	}
	abfrage2($sql);
	if(isset($_POST['res_id'])) $res_id = $_POST['res_id'];
	else $res_id = mysql_insert_id();
	if($_POST['key_id'] == 0){
		abfrage2("delete from tbh_res_keys where res_id='$res_id' limit 1;");
	} else {
		abfrage2("replace into tbh_res_keys set res_id='$res_id', key_id='{$_POST['key_id']}';");
	}
	if(strlen($_POST['datum_v']) > 0 && strlen($_POST['dat_v']) > 0) {
		$dat = check_date($_POST['datum_v'], 1);
		if(!$dat) $dat = 'CURDATE()';
		else $dat = "'".date_gr2my($dat)."'";
		if(isset($_POST['datum_v_old'])) $sql = "update tbh_pkw_historie
					set datum=$dat, dat='" . str_replace(',', '.', $_POST['dat_v']) . "'
					where typ='v' and res_id='{$_POST['res_id']}' and datum='{$_POST['datum_v_old']}'";
		else $sql = "insert into tbh_pkw_historie 
					set res_id='{$_POST['res_id']}', datum=$dat, 
					typ='v', dat='" . str_replace(',', '.', $_POST['dat_v']) . "'";
		abfrage2($sql);
	}
	if(strlen($_POST['datum_k']) > 0 && strlen($_POST['dat_k']) > 0) {
		$dat = check_date($_POST['datum_k'], 1);
		if(!$dat) $dat = 'CURDATE()';
		else $dat = "'".date_gr2my($dat)."'";
		if(isset($_POST['datum_k_old'])) $sql = "update tbh_pkw_historie
					set datum=$dat, dat='" . str_replace(',', '.', $_POST['dat_k']) . "'
					where typ='k' and res_id='{$_POST['res_id']}' and datum='{$_POST['datum_k_old']}'";
		else $sql = "insert into tbh_pkw_historie 
					set res_id='{$_POST['res_id']}', datum=$dat, 
					typ='k', dat='" . str_replace(',', '.', $_POST['dat_k']) . "'";
		abfrage2($sql);
	}
	if(strlen($_POST['datum_r']) > 0 && strlen($_POST['dat_r']) > 0) {
		$dat = check_date($_POST['datum_r'], 1);
		if(!$dat) $dat = 'CURDATE()';
		else $dat = "'".date_gr2my($dat)."'";
		if(isset($_POST['datum_r_old'])) $sql = "update tbh_pkw_historie
					set datum=$dat, dat='" . str_replace(',', '.', $_POST['dat_r']) . "'
					where typ='r' and res_id='{$_POST['res_id']}' and datum='{$_POST['datum_r_old']}'";
		else $sql = "insert into tbh_pkw_historie 
					set res_id='{$_POST['res_id']}', datum=$dat, 
					typ='r', dat='" . str_replace(',', '.', $_POST['dat_r']) . "'";
		abfrage2($sql);
	}
	abfrage2("replace into tbh_res_kto set res_id='$res_id', typ='b', kto_id='{$_POST['kto_b']}'");
	abfrage2("replace into tbh_res_kto set res_id='$res_id', typ='l', kto_id='{$_POST['kto_l']}'");
}

$all = (isset($_GET['all'])) ? $_GET['all'] : 0;

if ($all == 1){
	$and = '';
	$button_text = 'nur aktive anzeigen';
	$button_url = "{$_SERVER['PHP_SELF']}?all=0";
} else {
	$and = "and aktiv = 'j'";
	$button_text = 'alle anzeigen';
	$button_url = "{$_SERVER['PHP_SELF']}?all=1";
}

if (empty($_REQUEST['sort']) || $_REQUEST['sort'] == 'nam'){
	$order = 'order by r.name asc';
} elseif ($_REQUEST['sort'] == 'ans') {
	$order = 'order by ans_sort asc';
} elseif ($_REQUEST['sort'] == 'ruc') {
	$order = 'order by rueck_sort asc';
}

echo "<table><tr>\n";
echo "<td class=\"cl11\"><input type=\"button\" value=\"$button_text\" ";
echo "onClick=\"self.location.href='$button_url'\"></td>\n";

echo "<td class=\"cl20\"><input type=\"button\" value=\"neuer PKW\" ";
echo "onClick=\"self.location.href='pkw_and.php'\"></td>\n";

if ($_SESSION[$AppCode]['ULV'] == 26 ||
    check_nutzer_rechte(4)){
	echo "<td class=\"cl11\"><input type=\"button\" ";
	echo "onClick=\"self.location.href='pkw_fb.php'\" value=\"Feedbacks\">\n";
}

/* ab Level 60 -> Button 'PKW-Auslastung','Kosten' */
if (check_nutzer_rechte(129)) {
	echo "<td class=\"cl11\" style=\"vertical-align:middle\">";
	echo "<input type=\"button\" onClick=\"self.location.href='pkw_aus.php'\" ";
	echo "value=\"PKW-Auslastung\"></td>\n";

	echo "<td class=\"cl11\" style=\"vertical-align:middle\">";
	echo "<input type=\"button\" " . stwToolTip('monatliche Kosten erfassen');
	echo "onClick=\"self.location.href='pkw_kosten.php'\" ";
	echo "value=\"Kostenerfassung\"></td>\n";

	echo "<td class=\"cl11\" style=\"vertical-align:middle\">";
	echo "<input type=\"button\" value=\"Kostencontrolling\" ";
	echo "onClick=\"self.location.href='pkw_kosten_aus.php'\"></td>\n";

	echo "<td class=\"cl11\"><a href=\"pkw_list_pr.php\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\"";
	echo stwToolTip('PKW-Liste mit Konten und Fahrern drucken')."/></a></td>\n";
}

echo "</tr></table>\n";

new stwLine(1);
$traeger = array(0 => "<td></td>");
$trs = abfrage1("select traeger_art_id, traeger_art, farbe, kurzname from tb_traeger_art");
while($tr = mysql_fetch_row($trs)) {
	$traeger[ $tr[0] ] = "<td class=\"cl1\" style=\"color:$tr[2]\"".stwToolTip($tr[1]).">$tr[3]</td>";
}

$sql_pkw  = "select r.res_id, r.name, r.aktiv, ";
$sql_pkw .= "date_format(r.datum,'%d.%m.%Y') as ans, ";
$sql_pkw .= "unix_timestamp(r.datum) as ans_ts, ";
$sql_pkw .= "date_format(r.kaufdatum,'%d.%m.%Y') as rueck, ";
$sql_pkw .= "unix_timestamp(r.kaufdatum) as rueck_ts, r.notizen, ";
$sql_pkw .= "if(unix_timestamp(r.datum) = 0 or isnull(r.datum), 999999999, to_days(r.datum)) as ans_sort, ";
$sql_pkw .= "if(unix_timestamp(r.kaufdatum) = 0 or isnull(r.kaufdatum), 999999999, to_days(r.kaufdatum)) as rueck_sort, ";
$sql_pkw .= "r.traeger_art_id from tb_ressourcen r left join tb_res_typ t using (res_typ) ";
$where = "where t.name = 'PKW' $and $order;";
$pkws = abfrage1($sql_pkw . $where);

$self = $_SERVER['PHP_SELF'];

echo "<script type=\"text/javascript\"><!--\n";
echo "function Show() {\n";
echo " var ntd = document.getElementsByName('notToDisplay');\n";
echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'inline';\n";
echo "}\n--></script>\n";

echo "<table><tr>\n";
echo "<th class=\"cl11\" colspan=\"3\"><a href=\"$self?sort=nam\">Name</a></th>\n";
echo "<th class=\"cl11\">km-Stand</th>\n";
echo "<th class=\"cl11\"><a href=\"$self?sort=ans\">Anschaffung</a></th>\n";
echo "<th class=\"cl11\"".stwToolTip("Wartung")."><img onclick=\"Show()\" style=\"cursor:pointer\" src=\"".image('wrench')."\" /></th>\n";
echo "<th class=\"cl11\"><a href=\"$self?sort=ruc\">R&uuml;ckgabe</a></th>\n";
echo "<th class=\"cl11\"";
$tt = '<b>Betreuer ohne KFZ-Verantwortlichkeiten</b><ul>';
$bTT = false;
$ord = $pers_order==2 ? "name asc, vorname asc" : "vorname asc, name asc;";
$mas = abfrage1("select pers_id, name, vorname from tb_personal where betreuer='j' and status_id='2' order by $ord");
while($ma = mysql_fetch_row($mas)) {
	$pkw = abfrage1("select r.res_id from tbh_pers_res pr
					left join tb_ressourcen r on (r.res_id = pr.res_id)
					left join tb_res_typ t using (res_typ)
					where t.name = 'PKW' and r.aktiv = 'j' and pr.pers_id='$ma[0]' limit 1");
	if(mysql_num_rows($pkw) == 0) {
		$bTT = true;
		$tt .= "<li>";
		$tt .= $pers_order==2 ? "$ma[1], $ma[2]" : "$ma[2] $ma[1]";
		$tt .= "</li>";
	}
}
if($bTT) $tt .= "</ul>";
else $tt = "keine Betreuer ohne KFZ-Verantwortlichkeiten";
echo stwToolTip($tt,false);
echo ">zust&auml;ndig</th>\n</tr>\n";

new stwTabLine(2,30);

$wartungsarten = array(0 => 'allg.');
$warts = abfrage1("select art_id, art from tb_wartung_art where aktiv='j' order by art asc");
while($wart = mysql_fetch_row($warts)) {
	$wartungsarten[ $wart[0] ] = $wart[1];
}

for($i=0; $i<2; $i++) {
  while ($pkw = mysql_fetch_assoc($pkws)){
	echo "<tr class=\"mo\">\n";
	$heute = mktime(0,0,0,date('n'),date('j'),date('Y'));
	$href_style = ($pkw['aktiv'] == 'j') ? '' : " style=\"color:#999999\"";
	echo "<td class=\"cl11\">";
	echo "<a href=\"pkw_and.php?res_id={$pkw['res_id']}\"$href_style";
	echo (strlen($pkw['notizen']) > 0) ? stwToolTip($pkw['notizen']) : '';
	echo ">{$pkw['name']}</a></td>\n";

	echo $traeger[ intval($pkw['traeger_art_id']) ];

	echo "<td>";
	$key_id = abfrage("select r.key_id, k.aktiv from tbh_res_keys r left join tb_keys k using(key_id) where r.res_id='{$pkw['res_id']}'");
	if(!empty($key_id[0])) {
		echo "<a href=\"keys_and.php?art=2&amp;key_id=$key_id[0]\"";
		$tt = "<b>zum hinterlegten Schl&uuml;ssel</b>";
		if($key_id[1]=='n') $tt .= "<br><b><i>(Schl&uuml;ssel nicht mehr aktiv)</i></b>";
		$sql = "select date_format(k.von, '%d.%m.%Y, %H:%i'), k.pers_e,
				date_format(k.bis, '%d.%m.%Y, %H:%i')
				from tb_keys_aus k where k.key_id = '$key_id[0]'
				order by (k.bis is null) desc, unix_timestamp(k.bis) desc, unix_timestamp(k.von) desc;";
		$key_ausgaben = abfrage1($sql);
		while($kausg = mysql_fetch_row($key_ausgaben)) {
			$tt .= "<br>Ausgegeben am $kausg[0] Uhr an ".pers_kname($kausg[1]);
			if($kausg[2]) $tt .= " zur&uuml;ckgegeben am $kausg[2] Uhr";
		}
		echo stwToolTip($tt,false);
		echo "><img src=\"" . ($key_id[1]=='n' ? image('key',16,16,162,162,162) : image('key'))."\"";
		echo "alt=\"Schl&uuml;ssel\" /></a>";
	}
	echo "</td>\n";

	$bis = mktime(23,59,59, date('n'), date('j'), date('Y'));
	$km_stand = $i==0 ? km_form(km_stand($pkw['res_id'], $bis)) : 'Anh&auml;nger';
	echo "<td class=\"cl11\" style=\"text-align:right\">$km_stand</td>\n";

	echo "<td class=\"cl11\" style=\"text-align:right\">";
	echo ($pkw['ans_ts'] > 0) ? $pkw['ans'] : '';
	echo "</td>\n";

	echo "<td class=\"cl11\">";
	$ntd = '';
	$red = false;
	foreach($wartungsarten as $art_id => $wartung) {
		$sql = "select id, unix_timestamp(datum_n), km_n, date_format(datum, '%d.%m.%Y')
				from tb_res_wartung 
				where res_id = '{$pkw['res_id']}' 
				and typ='w' and art_id='$art_id'
				order by datum desc limit 1";
		$wt = abfrage($sql);
		if($wt[0]) {
			if($ntd != '') $ntd .= ', ';
			$tt = "Wartung vom $wt[3]";
			$ntd .= "<a href=\"pkw_wart.php?res_id={$pkw['res_id']}&id=$wt[0]\"";
			if($i==0 && !empty($wt[2])) {
				$km = km_stand($_REQUEST['res_id'], time(), true);
				if($km > $wt[2]) {
					$red = true;
					$tt .= "<br><b>Kilometerstand bis zur n&auml;chsten Wartung &uuml;berschritten</b>";
				}
			}
			if(!empty($wt[1])) {
				if($wt[1] < time()) {
					$red = true;
					$tt .= "<br><b>Zeitpunkt n&auml;chste Wartung &uuml;berschritten</b>";
				}
			}
			$ntd .= stwToolTip($tt);
			if($tt != "Wartung vom $wt[3]") $ntd .= " style=\"color:red\"";
			$ntd .= ">$wartung</a>";
		}
	}
	if($ntd != '') {
		echo "<img onclick=\"Show()\" style=\"cursor:pointer\" src=\"";
		echo $red ? image('wrench',16,16,255,0,0) : image('wrench');
		echo "\"".stwToolTip('Wartung')."/>";
		echo "<b style=\"display:none\" name=\"notToDisplay\"> $ntd</b>";
	}
	echo "</td>\n";

	echo "<td class=\"cl11\" style=\"text-align:right;";
	if($pkw['rueck_ts'] > 0 && $pkw['rueck_ts'] < $bis) echo "color:red;";
	elseif($bis + 15552000 > $pkw['rueck_ts']) echo "color:#FF00FF;";
	echo "\">";
	echo ($pkw['rueck_ts'] > 0) ? $pkw['rueck'] : '';
	echo "</td>\n";

	echo "<td class=\"cl11\">";
	$pers = abfrage1("select pers_id from tbh_pers_res where res_id='{$pkw['res_id']}' and ver='1'");
	while($per=mysql_fetch_row($pers)) {
		echo pers_kname($per[0]) . '<br />';
	}
	echo "</td>\n";

	echo "<td class=\"cl11\"><a href=\"pkw_fb_and.php?res_id=";
	echo $pkw['res_id'] . "\">Feedback eingeben</a></td>\n";

	if ($_SESSION[$AppCode]['ULV'] == 17 || $_SESSION[$AppCode]['ULV'] >= 96){
		$sql  = "select fb_id from tb_res_fb ";
		$sql .= "where res_id = '{$pkw['res_id']}' ";
		$sql .= "and (erl_gf is null or erl_gf = 0);";

		$fbs = abfrage1($sql);

		if (mysql_num_rows($fbs) > 0){
			echo "<td><a href=\"pkw_and.php?res_id={$pkw['res_id']}\" ";
			echo "style=\"color:#FF0000\">Feedbacks!</a></td>\n";
		}
	}

	echo "</tr>\n";
  }
  if($i==0) {
	new stwTabLine(2,30);
	$pkws = abfrage1("$sql_pkw where t.name = 'Anh&auml;nger' $and $order;");
  }
}

new stwTabLine(1,30);
echo "</table>\n";

new stwEnd($seite);
?>
