<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pkw_fb_and.php 2701 2017-02-16 09:25:11Z tfreudenberg $
 *
 */

 session_start();
 $seite = 59;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

require("inc/auth.inc.php");
require("inc/stw.inc.php");

if (isset($rvar_fb_id)){
	$sql = "select
			f.fb_id, # 0
			r.name, # 1
			f.pers_id, # 2
			date_format(f.datetime, '%d.%m.%Y, %H:%i Uhr'), # 3
			f.feedback, # 4
			f.proj_id,  # 5
			f.erl_ma,   # 6
			f.erl_gf,   # 7
			date_format(f.erl_ma_time, '%d.%m.%Y, %H:%i Uhr'), # 8
			f.erl_ma_id, # 9
			date_format(f.erl_gf_time, '%d.%m.%Y, %H:%i Uhr'), # 10
			f.erl_gf_id, # 11
			f.prio,       # 12
			f.res_id       # 13
			from tb_res_fb f
			left join tb_ressourcen r using (res_id)
			where fb_id = $rvar_fb_id;";
	$fb = abfrage($sql);
}

echo "<form action=\"pkw_fb_sql.php\" method=\"POST\">\n";
echo (isset($rvar_fb_id)) ? "<input type=\"hidden\" name=\"fb_id\" value=\"$rvar_fb_id\">\n" : '';

echo "<table>\n";
if (isset($rvar_fb_id)){
	echo "<tr><th style=\"padding-right:5px\">Ger&auml;t :</th><td>$fb[1]</td>\n";
	$daten = new stwDaten("40");
	$klammer = $daten->get_klammer_link($_SESSION["webdir"],
										$_SESSION[$AppCode]["UID"],
										$_SESSION[$AppCode]["ULV"],
										$fb[0], "0");
	echo "<td>$klammer</td></tr>\n";
	echo "<input type=\"hidden\" name=\"res_id\" value=\"$fb[13]\">\n";
	echo "<tr><th style=\"padding-right:5px\">Benutzer :</th><td>". pers_name($fb[2]) . "</td></tr>\n";
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"$fb[2]\">\n";
	echo "<tr><th style=\"padding-right:5px\">Datum :</th><td>$fb[3]</td></tr>\n";
} else {
	$ger = abfrage("select name from tb_ressourcen where res_id = $rvar_res_id;");
	echo "<tr><th style=\"padding-right:5px\">Ger&auml;t :</th><th>$ger[0]</th></tr>\n";
	echo "<input type=\"hidden\" name=\"res_id\" value=\"$rvar_res_id\">\n";
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";
}
echo "<tr><th style=\"padding-right:5px\">Feedback :</th>";
echo "<td><textarea cols=\"72\" rows=\"8\" name=\"feedback\"";
echo (isset($rvar_fb_id) && $_SESSION[$AppCode]['ULV'] < 96) ? " readonly" : '';
echo ">";
echo (isset($rvar_fb_id)) ? $fb[4] : '';
echo "</textarea></td></tr>\n";

if (isset($rvar_fb_id) && ($_SESSION[$AppCode]['ULV'] == 17 || check_nutzer_rechte(12))){

	echo "<tr><th style=\"padding-right:5px\">Projekt :</th>";


	echo "<td><select name=\"proj_id\" size=\"1\">\n";
	echo "<option value=\"NULL\">keinem Projekt zugeordnet</option>\n";

	if ($fb[5] > 0){
		echo "<option value=\"$fb[5]\" selected>" . projektnummer($fb[5],true) . "</option>\n";
		$sql_and = "and proj_id != $fb[5]";
	} else {
		$sql_and = "";
	}

	$projekte = array();
	$pros = abfrage1("select projekt from tbh_pkw_feedback_proj");
	if(mysql_num_rows($pros) == 0) {
		$sql = "SELECT proj_id, projektnr FROM tb_projekte
				WHERE (ende is null or ende = '0000-00-00' or to_days(ende) >= to_days(curdate()))
				$sql_and order by projektnr asc";
		$prs = abfrage1($sql);
		while ($pro = mysql_fetch_row($prs)) {
			$projekte[$pro[1]] = $pro[0];
		}
	} else while($pro = mysql_fetch_row($pros)) {
		if(is_numeric($pro[0]) && $fb[5] != $pro[0]) {
			$proj = projektnr($pro[0]);
			$projekte[$proj] = $pro[0];
		} else {
			$dat = abfrage("select nr_von, nr_bis from tb_projektart where kname = '$pro[0]';");
			$sql = "SELECT proj_id, projektnr FROM tb_projekte
					WHERE projektnr >= $dat[0] and projektnr <= $dat[1]
					and (ende is null or ende = '0000-00-00' or to_days(ende) >= to_days(curdate()))
					$sql_and order by projektnr asc";
			$prs = abfrage1($sql);
			while ($pr = mysql_fetch_row($prs)) {
				$projekte[$pr[1]] = $pr[0];
			}
		}
		asort($projekte);
	}
	foreach($projekte as $proj_id) {
		echo "<option value=\"$proj_id\">";
		echo projektnummer($proj_id,true);
		echo "</option>\n";
	}
	echo "</select></td>\n";
	echo "</tr>\n";

	echo "<tr><th style=\"padding-right:5px\">Priorit&auml;t :</th>";
	echo "<td><select name=\"prio\" size=\"1\" ";
	if ($_SESSION[$AppCode]['ULV'] < 96){
		echo "disabled";
	}
	echo ">\n";

	$prios = abfrage1("select prio, prioritaet from tb_prio order by prio asc;");

	while ($prio = mysql_fetch_row($prios)){
		echo "<option value=\"$prio[0]\" ";
		if ($fb[12] == $prio[0]){
			echo "selected";
		}
		echo ">$prio[1]</option>\n";
	}
	echo "</select></td>\n";
	echo "</tr>\n";

	new stwTabLine(2,30);

	echo "<tr><th style=\"padding-right:5px\">erledigt<br>(Mitarbeiter) :</th>";
	echo "<td>";
	echo "<input type=\"checkbox\" name=\"erl_ma\" value=\"1\" ";
	if (!empty($fb[6])){
		echo "checked ";
	}

	if ($_SESSION[$AppCode]['ULV'] != 17 && !check_nutzer_rechte(13)) {
		printf("disabled");
	}

	echo "></td></tr>\n";

	if (!empty($fb[6])){
		echo "<tr><th style=\"padding-right:5px\">Datum :</th><td>$fb[8]</td></tr>\n";
		echo "<tr><th style=\"padding-right:5px\">Mitarbeiter :</th><td>". pers_name($fb[9]) . "</td></tr>\n";
	}
	new stwTabLine(2,30);

	echo "<tr><th style=\"padding-right:5px\">erledigt<br>(Geschftsfhrung) :</th>";
	echo "<td>";
	echo "<input type=\"checkbox\" name=\"erl_gf\" value=\"1\" ";
	if (!empty($fb[7])){
		echo "checked ";
	}

	if (!check_nutzer_rechte(14)) printf("disabled");

	echo "></td></tr>\n";

	if (!empty($fb[7])){
		echo "<tr><th style=\"padding-right:5px\">Datum :</th><td>$fb[10]</td></tr>\n";
		echo "<tr><th style=\"padding-right:5px\">Geschftsfhrer :</th><td>". pers_name($fb[11]) . "</td></tr>\n";
	}

	/* echo "<input type=\"hidden\" name=\"ulv\" value=\"{$_SESSION[$AppCode]['ULV']}\">\n"; */
        
        /* wieder einkommentiert so das die SQL Anweisung funktioniert */
	echo "<input type=\"hidden\" name=\"uid\" value=\"{$_SESSION[$AppCode]['UID']}\">\n";
        
	
}

new stwTabLine(2,30);

echo "</table>\n";
echo "<input type=\"submit\" value=\"Speichern!\">\n";
echo "</form>\n";
new stwLine(1);
new stwEnd($seite);
?>
