<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: post.php 2872 2018-06-27 17:27:05Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 12;
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 8);

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

require_once($pfad . 'inc/func.inc.php');

if(isset($_GET['verw'])) $_SESSION[$AppCode]['ver_post'] = $_GET['verw'];

$art = (isset($_GET['art'])) ? $_GET['art'] : 0;
if($art == 4) {$seite = $_SESSION[$AppCode]['ver_post'] ? 74 : 67; $level = 60;}
if($art == 8) {$seite = 68; $level = 60;}
$pers_order = getPersOrder(12);

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function EinstellungenSpeichern($pers_id, $traeger_art_id, $anzeigemodus, $postart, $sortierung, $post_in_pers_id) {
	/* abfragen, ob bereits Zeile in Einstellungentabelle vorhanden */
	$sql = "select pers_id from tb_pers_einst where pers_id = '$pers_id';";
	$vorh = abfrage1($sql);

	if($postart == 8) $prefix='ekauf';
	elseif($postart == 4) $prefix='rebuch';
	else $prefix='post_in';

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set ".$prefix."_traeger_art_id = '$traeger_art_id', ";
	$sql .= $prefix."_anzeige = '$anzeigemodus', ";
	$sql .= $prefix."_sort = '$sortierung', post_in_pers_id = '$post_in_pers_id'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$pers_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('TraegerIcon', 'style.color', 'lime');
	return $userResp;
}

function Zwischenspeichern($hp_id, $name, $value) {
/* Speichern fuer EKauf und REBuch */
	if($name == 'and_datum' || $name == 'st_grund' || $name == 'teilnehmer')
		$table = 'tb_hp';
	else $table = 'tb_post_eingang';
	if($name == 'and_datum') $value = date_gr2my($value);
	if($name == 'rg_betrag') $value = str_replace(",",".",$value);
	if($name == 'teilnehmer') {
		if(is_numeric($value)) {
			if($value < 10) $value = "00$value";
			elseif($value < 100) $value = "0$value";
		}
	}
	$sql = "UPDATE $table SET $name = '".str_replace("&quot;", '"', $value)."' WHERE hp_id = '$hp_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('output', 'value', $sql);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('EinstellungenSpeichern');
$xajax->registerFunction('Zwischenspeichern');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/stw.inc.php");
if(!check_nutzer_rechte(64) && !check_nutzer_rechte(65) && !check_nutzer_rechte(66)) require_once("inc/level.inc.php");
set_session_url();

if(isset($_GET['del']) && $_SESSION[$AppCode]['ULV'] >= 96) {
	echo "<form method=\"GET\" action=\"post_del_sql.php\">";
	echo "<input type=\"hidden\" name=\"id\" value=\"{$_GET['del']}\">\n";
	echo "<input type=\"hidden\" name=\"type\" value=\"in\">\n";
	echo "<table><tr><td colspan=\"2\"><h1>Posteingang Wirklich l&ouml;schen?</h1></td></tr>\n";
	$url = $_SERVER['REQUEST_URI'];
	$pos1 = strpos($url, 'post.php');
	$pos2 = strpos($url, '&del=');
	$onklick = "onClick=\"self.location.href='".substr($url,$pos1,$pos2-$pos1)."'\"";
	echo "<tr><td align=\"left\"><input type=\"submit\" $onklick value=\"Ja! wirklich l&ouml;schen!\">";
	echo "<td align=\"right\"><input type=\"button\" value=\"Nein! Lieber doch nicht!\" ";
	echo "$onklick></td></tr></table>\n</form>\n";
	new stwLine(1);
}

if(isset($_POST['bezahlt']) && is_numeric($_POST['bezahlt'])) {
	$datum = check_date($_POST['zg_datum']);
	$datum = date_gr2my($datum);
	$pros = abfrage1("select id2 from tbh_postzuordnung where posttyp='h' and id='{$_POST['bezahlt']}' and typ='p'");
	if(mysql_num_rows($pros) == 0) {
		$proj = abfrage("select proj_id from tb_hp where hp_id='{$_POST['bezahlt']}'");
		abfrage2("update tb_projekte set ende='$datum' where proj_id='$proj[0]'");
	} else {
		while($proj = mysql_fetch_row($pros)) {
			$prnr = abfrage("select projektnr from tb_projekte where proj_id = '$proj[0]'");
			if($prnr[0] >= 10000 && $prnr[0] < 18000) abfrage2("update tb_projekte set ende='$datum' where proj_id='$proj[0]'");
		}
	}
	$pzos = abfrage1("select id2 from tbh_postzuordnung where posttyp='h' and id='{$_POST['bezahlt']}' and typ='r';");
	while($pzo = mysql_fetch_row($pzos)) {
		if($_POST['ok'] == 1) {
			$z_erf = abfrage("select pers_id from tbh_pers_vormerk where vm_id='$pzo[0]' and abteilungsleiter='z'");
			if(empty($z_erf[0])) {
				abfrage2("insert into tbh_pers_vormerk set pers_id='{$_SESSION[$AppCode]['UID']}', vm_id='$pzo[0]', zeit='$datum', abteilungsleiter='z'");
			}
		}
	}
}

if(isset($_POST['pe_save'])) {
	$hb = (isset($_POST['hb_ok']) || $_POST['box_left_clicked']=='hb');
	$fb = (isset($_POST['fb_ok']) || $_POST['box_left_clicked']=='fb');
	$gf1 = (isset($_POST['gf1_ok']) || $_POST['box_left_clicked']=='gf1');
	$gf2 = (isset($_POST['gf2_ok']) || $_POST['box_left_clicked']=='gf2');
	foreach($_POST['post_in_id'] as $id) {
		if($hb && $_POST["hb".$id] == 1) abfrage2("update tb_post_eingang set ok='{$_SESSION[$AppCode]['UID']}',ok_datum=now() where post_in_id='$id'");
		if($fb && $_POST["fb".$id] == 1) abfrage2("update tb_post_eingang set ok_fb='{$_SESSION[$AppCode]['UID']}',fb_datum=now() where post_in_id='$id'");
		if($gf1 && $_POST["gf1".$id] == 1) abfrage2("update tb_post_eingang set ok_gf1='{$_SESSION[$AppCode]['UID']}',gf1_datum=now() where post_in_id='$id'");
		if($gf2 && $_POST["gf2".$id] == 1) abfrage2("update tb_post_eingang set ok_gf2='{$_SESSION[$AppCode]['UID']}',gf2_datum=now() where post_in_id='$id'");
	}
}

if($art == 8) $prefix='ekauf';
elseif($art == 4) $prefix='rebuch';
else $prefix='post_in';

$traeger = (isset($_REQUEST['traeger'])) ? $_REQUEST['traeger'] : getPersEinst($_SESSION[$AppCode]['UID'], $prefix."_traeger_art_id", 'all');
$anz = (isset($_GET['anz'])) ? $_GET['anz'] : getPersEinst($_SESSION[$AppCode]['UID'], $prefix."_anzeige", 0);
$sort = (isset($_REQUEST['sort'])) ? $_REQUEST['sort'] : getPersEinst($_SESSION[$AppCode]['UID'], $prefix."_sort", 0);

$seitenrecht = check_nutzer_rechte(64) || check_nutzer_rechte(65) || check_nutzer_rechte(66) || ($_SESSION[$AppCode]['ULV'] >= 96);
if(!$seitenrecht && $art==4) $art = 0;
/* Speichern fuer EKauf und REBuch */
if(isset($_POST['hp_id'])) {
	if(empty($_POST['ok_datum'])) $ok_datum = 'now()';
	else {
		$ok_datum = check_date($_POST['ok_datum']);
		$ok_datum = "'".date_gr2my($ok_datum)."'";
	}
	$sql  = "update tb_hp SET ";
	$sql .= "and_datum = '".date_gr2my($_POST['rdat'])."', ";
	$sql .= "st_grund = '".$_POST['rnr']."' ";
	$sql .= "WHERE hp_id = '".$_POST['hp_id']."'";
	abfrage2($sql);
	$sql  = "update tb_post_eingang SET ";
	$sql .= "betreff = '".str_replace("&quot;", '"', $_POST['betreff'])."', ";
	if($_POST['ok'] == 1 && ($art != 4 || (!empty($_POST['rdat']) && !empty($_POST['ernr'])))) {
		$sql .= "ok = '" . $_SESSION[$AppCode]['UID'] . "', ";
		$sql .= "ok_datum = $ok_datum, ";
		if($art == 4) $sql .= "ernr = '".$_POST['ernr']."', ";
	} else {
		$sql .= "ok = NULL, ";
		$sql .= "ok_datum = NULL, ";
		if($art == 4) $sql .= "ernr = '0', ";
	}
	$sql .= "rg_betrag = '".str_replace(",",".",$_POST['betrag'])."' ";
	$sql .= "WHERE hp_id = '".$_POST['hp_id']."'";
	abfrage2($sql);
	if(!empty($_POST['bkto'])) {
		if(substr($_POST['bkto'],0,1) == 'c') {
			$sql  = "select k1.kto_id from tb_bkto k1 ";
			$sql .= "left join tbh_bkto k2 on k1.kto_id = k2.kto_id ";
			$sql .= "where k2.bkto_id = '";
			$sql .= substr($_POST['bkto'],1) . "'";
			$ktos = abfrage1($sql);
			while($kto = mysql_fetch_row($ktos)){
				$sql = "SELECT kto_id FROM tbh_bkto WHERE hp_id='{$_POST['hp_id']}' AND kto_id='$kto[0]'";
				$ids = abfrage1($sql);
				if(mysql_num_rows($ids) == 0) {
					$sql = "INSERT INTO tbh_bkto SET hp_id='{$_POST['hp_id']}', kto_id='$kto[0]'";
					abfrage2($sql);
				}
			}
		} else {
			$sql = "SELECT kto_id FROM tbh_bkto WHERE hp_id='{$_POST['hp_id']}' AND kto_id='{$_POST['bkto']}'";
			$ktos = abfrage1($sql);
			if(mysql_num_rows($ktos) == 0) {
				$sql = "INSERT INTO tbh_bkto SET hp_id='{$_POST['hp_id']}', kto_id='{$_POST['bkto']}'";
				abfrage2($sql);
			}
		}
	}

	if((empty($_POST['rdat']) || empty($_POST['ernr'])) && $art == 4 && $_POST['ok'] == 1) {
		echo "<h2 style=\"color:red;\">OK BG kann nur bei eingetragenen RDat und ERNr gesetzt werden</h2>";
		new stwLine(1);
	}
}
if($_SESSION[$AppCode]['ULV'] >= 60 && isset($_GET['rem'])) {
	abfrage2("DELETE FROM tbh_bkto WHERE hp_id='{$_GET['rem']}'");
}

$ma = (isset($_REQUEST['ma'])) ? $_REQUEST['ma'] : getPersEinst($_SESSION[$AppCode]['UID'], 'post_in_pers_id', $art==0 ? $_SESSION[$AppCode]['UID'] : "all");

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

switch ($anz){
	case 'w1':
	case 'w2':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (7 * 86400);
		break;

	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;

	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;

	case 't';
		$sql_beg = $tag;
		$sql_end = $tag;
		break;
}

$ERNummern = array();

?>
<script language="javascript">
function jump(url,field,value)
{
	self.location.href = url+"&"+field+"="+value;
}
</script>
<?php
echo "<table><tr>\n";
if ($_SESSION[$AppCode]['ULV'] >= 60){
	echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
	echo "<input type=\"button\" value=\"neu\"";
	echo stwToolTip('neuen Posteingang erstellen');
	echo "onClick=\"self.location.href='post_in.php?art=$art'\">\n";
	echo "</td>\n";
}
echo "<form style=\"margin: 0;\" action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
echo "<th class=\"cl1\" style=\"vertical-align:middle\">Tr&auml;ger:</th>\n";
echo "<td class=\"cl1\" style=\"vertical-align:middle\">\n";
echo "<select name=\"traeger\" size=\"1\" onChange=\"jump('";
echo $_SERVER['PHP_SELF'] ."?ma=$ma&art=$art";
if(isset($_GET['tag'])) echo "&tag=".$_GET['tag'];
if(isset($_GET['sort'])) echo "&sort=$sort";
echo "','traeger',this.value)\">\n";
echo "<option value=\"all\">ALLE</option>\n";

$sql = "SELECT traeger_art_id, kurzname FROM tb_traeger_art";
$res = abfrage1($sql);
while($zeile = mysql_fetch_array($res))
{
	$selected = ($zeile['traeger_art_id'] == $traeger) ? ' selected' : '';
	echo "<option value=".$zeile['traeger_art_id'].$selected.">".$zeile['kurzname']."</option>\n";
}

echo "</select></td></form>\n";

if ($_SESSION[$AppCode]['ULV'] >= 60){
	if($art != 8 && $art != 4) {
		// Drop-Down-Liste Mitarbeiter
		echo "<form style=\"margin: 0;\" action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
		echo "<th class=\"cl1\" style=\"vertical-align:middle\">MA:</th>\n";
		echo "<td style=\"vertical-align:middle\">\n";
		echo "<select name=\"ma\" size=\"1\" tabindex=\"1\" onChange=\"jump('";
		echo $_SERVER['PHP_SELF'] ."?art=0&traeger=$traeger";
		if(isset($_GET['tag'])) echo "&tag=".$_GET['tag'];
		echo "','ma',this.value)\">\n";
		echo "<option value=\"{$_SESSION[$AppCode]['UID']}\">Mitarbeiter w&auml;hlen!</option>\n";
/* ToDo: 
		echo "<option value=\"esign\"";
		if ($ma == "esign") echo " selected ";
		echo ">-- elektronische Signatur --</option>\n"; 
*/
		echo "<option value=\"all\"";
		if ($ma == "all") echo " selected ";
		echo ">ALLE anzeigen</option>\n";
		$order = ($pers_order == 2) ? "t2.name asc, t2.vorname asc" : "t2.vorname asc,t2.name asc";
		$sql = "select t2.pers_id,t2.vorname,t2.name
				from tb_personal t2
				where t2.status_id = 2
				order by $order";
		$erg = mysql_query($sql) or die(mysql_error());

		while ($zeile = mysql_fetch_row($erg)) {
			echo "  <option value=\"$zeile[0]\"";
			if ($ma != "all" && $ma == $zeile[0]){
				echo " selected ";
			}
			echo ">";
			if($pers_order == 2) echo $zeile[2] . ",&nbsp;" . $zeile[1];
			else echo $zeile[1] . "&nbsp;" . $zeile[2];
			echo "</option>\n";
		}
		echo "</select></td>\n";
		echo "<td class=\"cl1\">";
		echo "<input type=\"image\" src=\"img/senden.png\" value=\"OK\" tabindex=\"2\"></td>\n";
		echo "</form>";
	}

/* Smiley zum Speichern einer persoenlichen Einstellung */
	echo "<td class=\"cl1\" style=\"text-align:right\"><a href=\"#\" style=\"color: #ccc\" id=\"TraegerIcon\"";
	echo " onclick=\"xajax_EinstellungenSpeichern({$_SESSION[$AppCode]['UID']}, '$traeger', '$anz', '$art', '$sort', '$ma')\"";
	$tt  = 'Tr&auml;ger, Anzeige-Modus Kalender (Jahr, Monat...) und Sortierung als pers&ouml;nliche Einstellung speichern! ';
	echo stwToolTip($tt) . ">:)</a></td>\n";
}
echo "<th class=\"cl1\">Suche:</th>\n";
echo "<form action=\"{$_SERVER['PHP_SELF']}?art=$art\" method=\"POST\">\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\" />\n";
echo "<input type=\"hidden\" name=\"traeger\" value=\"$traeger\" />\n";
echo "<td><input type=\"text\" name=\"suche\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"3\"";
if (strlen($_POST['suche']) > 0) echo " value=\"{$_POST['suche']}\"";
echo "></td>\n";
echo "<td><input type=\"image\" src=\"img/senden.png\" value=\"OK\"></td>\n";
echo "</form>\n";
echo "</tr></table>\n";
new stwLine(1);
flush();
echo "<table>\n";

if($art == 0) {
	echo "<form method=\"post\" name=\"post\" action=\"post.php?art=$art&traeger=$traeger&ma=$ma&sort=$sort";
	if(isset($_GET['tag'])) echo "&anz=$anz&tag=".$_GET['tag'];
	echo "\">\n";
	echo "<input type=\"hidden\" name=\"pe_save\" value=\"1\">\n";
	echo "<input type=\"hidden\" name=\"box_left_clicked\" value=\"\">\n";

	echo "<tr>\n<th class=\"cl1\" colspan=\"3\">Datum</th>";
	echo "<th class=\"cl1\">Absender</th>\n";
	echo "<th class=\"cl1\">Name</th>\n";
	echo "<th>Art</th>\n";
	echo "<th class=\"cl1\">Betreff</th>\n";
	echo "<th class=\"cl1\"".stwToolTip("Projekte, Mitarbeiter, Fahrzeuge, Sitzungen").">Zuordnung</th>\n";
	echo "<th class=\"cl1\">Betrag</th>\n";
	echo "<th class=\"cl1\">Tr&auml;ger</th>\n";
	echo "<th class=\"cl1\"".stwToolTip('PostEngangsbearbeitung').">PE</th>\n";
	echo "<th class=\"cl1\"".stwToolTip('ProjektBetreuer').">PB</th>\n";
	echo "<th>&nbsp;</th>\n";
} else {
	$link = "?art=$art&traeger=$traeger&ma=$ma";
	if(isset($_GET['tag'])) $link .= "&anz=$anz&tag=".$_GET['tag'];
	$peinsort = ($sort == "e1") ? "e0" : "e1";
	echo "<tr><th class=\"cl1\" colspan=\"3\"><a href=\"post.php$link&sort=$peinsort\">PEin</a></th>";
	if($art == 4) {
		$rdatsort = ($sort == "r1") ? "r0" : "r1";
		echo "<th class=\"cl1\"><a href=\"post.php$link&sort=$rdatsort\">RDat</a></th>\n";
		$ernrsort = ($sort == "n1") ? "n0" : "n1";
		echo "<th class=\"cl1\"><a href=\"post.php$link&sort=$ernrsort\">ERNr</a></th>\n";
		if(getConf("traeger") == "stw" && $traeger == 3) {
			$prnrsort = ($sort == "t1") ? "t0" : "t1";
			echo "<th class=\"cl1\"><a href=\"post.php$link&sort=$prnrsort\">PrNr</a></th>\n";			
		}
	}
	$abssort = ($sort == "a1") ? "a0" : "a1";
	echo "<th class=\"cl1\"><a href=\"post.php$link&sort=$abssort\">Absender</a></th>\n";
	echo "<th class=\"cl1\">Betreff</th>\n";
	echo "<th class=\"cl1\">RNr.</th>\n";
	$projsort = ($sort == "p1") ? "p0" : "p1";
	echo "<th class=\"cl1\"><a href=\"post.php$link&sort=$projsort\">Projekt</a></th>\n";
	echo "<th colspan=\"2\" style=\"text-align:center\">BKto<a href=\"bkto_and.php$link\">";
	echo "<img src=\"img/edit.png\"></a></th>\n";
	echo "<th class=\"cl1\">Betrag</th>\n";
	$tt = stwToolTip('Buchung erfolgt');
	echo "<th class=\"cl1\"><a $tt href=\"post.php$link&sort=ok\">BG</a></th>\n";
	$tt = stwToolTip('Zahlung erfolgt');
	echo "<th class=\"cl1\" $tt>ZG</th>\n";
	echo "<th colspan=\"2\" style=\"text-align:right\"><a href=\"rebuch_pr.php?";
	echo "tr=$traeger&art=$art&year=" . date('Y', $tag) . "&ts=" . time() . "\" target=\"_pdf\">";
	$tt = 'Ausdruck f&uuml;r das gew&auml;hlte Jahr erstellen';
	echo "<img src=\"img/drucker.png\" border=\"0\"" . stwToolTip($tt) . "></a></th>\n";
}
echo "</tr>\n";

new stwTabLine(2,30);

$loops = ($art > 0 && strlen($_POST['suche']) == 0) ? 2 : 1;
/* Zuerst unerledigtes nach 'ok'-Sortierung, dann gesperrtes, daher 2 Schleifendurchlaeufe */
for($j = 0; $j < $loops; $j++) {
  $query  = "SELECT DATE_FORMAT(hp.datum,'%d.%m.%Y') AS dt_datum, ";
  $query .= "pe.hp_id, pe.betreff, pe.rg_betrag, pe.post_in_id, pe.ma_id, ";
  $query .= "t.kurzname t_kname, t.farbe, t.traeger_art, p.kurzname p_kname, ";
  $query .= "k.name as k_name, k.kont_id,	k.kont_art_id, p.post_art, ";
  $query .= "apk.name apk_name, apk.vorname, apk.ap_id, apk.teldienst, ";
  $query .= "pr.projektnr, pr.proj_id, personal.name as personal_nn, ";
  $query .= "personal.vorname as personal_vn, personal2.name as personal2_nn, ";
  $query .= "personal2.vorname as personal2_vn, pe.kont_id as kont_id2, pe.skonto, ";
  $query .= "DATE_FORMAT(hp.and_datum,'%d.%m.%Y') AS rdat, pe.ernr, pe.traegerart_id, ";
  $query .= "pe.ok, hp.st_grund AS rnr, pe.postart_id, hp.teilnehmer AS prnr, ";
  $query .= "DATE_FORMAT(pe.ok_datum,'%d.%m.%Y') AS ok_datum, ";
  $query .= "DATE_FORMAT(pe.fb_datum,'%d.%m.%Y') AS fb_datum, ";
  $query .= "DATE_FORMAT(pe.gf1_datum,'%d.%m.%Y') AS gf1_datum, ";
  $query .= "DATE_FORMAT(pe.gf2_datum,'%d.%m.%Y') AS gf2_datum, ";
  $query .= "hp.pers_id, hp.ap_id as pkw, hp.chg_id as team_art_id, ";
  $query .= "to_days(hp.datum) as days, hp.hilfeverlauf as person_id ";
  $query .= "FROM tb_post_eingang pe ";
  $query .= "LEFT JOIN tb_kontakte k ON k.kont_id = pe.kont_id and k.kh_id='0' ";
  $query .= "LEFT JOIN tb_kontakte_ap apk ON apk.ap_id = pe.ap_id ";
  $query .= "LEFT JOIN tb_traeger_art t ON t.traeger_art_id = pe.traegerart_id ";
  $query .= "LEFT JOIN tb_post_art p ON p.post_art_id = pe.postart_id ";
  $query .= "LEFT JOIN tb_hp hp ON hp.hp_id = pe.hp_id ";
  $query .= "LEFT JOIN tb_projekte pr ON pr.proj_id = hp.proj_id ";
  $query .= "LEFT JOIN tb_personal personal ON personal.pers_id = pe.ma_id ";
  $query .= "LEFT JOIN tb_personal personal2 ON personal2.pers_id = pe.ok ";
  $query .= "LEFT JOIN tb_personen person ON person.person_id = hp.hilfeverlauf ";
  if (is_numeric($ma)){
	$query .= "LEFT JOIN tbh_pers_proj pers ON pers.proj_id = pr.proj_id ";
  }

  if (strlen($_POST['suche']) > 0){
	$query .= "where (pe.betreff like '%{$_POST['suche']}%' ";
	$query .= "or SUBSTRING(concat('00',pe.post_in_id), -3) = '{$_POST['suche']}' ";
	$query .= "or k.kurzname like '%{$_POST['suche']}%' ";
	$query .= "or k.name like '%{$_POST['suche']}%' ";
	$query .= "or k.name2 like '%{$_POST['suche']}%' ";
	$query .= "or apk.name like '%{$_POST['suche']}%' ";
	$query .= "or apk.vorname like '%{$_POST['suche']}%' ";
	$query .= "or person.name like '%{$_POST['suche']}%' ";
	$query .= "or person.vorname like '%{$_POST['suche']}%' ";
	$query .= "or personal.name like '%{$_POST['suche']}%' ";
	$query .= "or personal.vorname like '%{$_POST['suche']}%' ";
	$query .= "or hp.st_grund like '%{$_POST['suche']}%' ";
	$query .= "or hp.teilnehmer like '%{$_POST['suche']}%') ";
	if($art != 0) {
		$query .= "and (pe.postart_id='$art'";
		if($art == 4) $query .= " or pe.postart_id='10'";
		$query .= ") ";
	}
	if (is_numeric($ma)) $query .= "and pers.pers_id  = '$ma' ";
  } else {
	$where = "";
	if($art == 0) {
		if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
			$where .= "where unix_timestamp(hp.datum) <= '$sql_end' ";
			$where .= "and unix_timestamp(hp.datum) >= '$sql_beg' ";
		}
	} else {
		$where .= " where (pe.postart_id='$art'";
		if($art == 4) $where .= " or pe.postart_id='10'";
		$where .= ") ";
		if($tag != 0 && $j == 1) {
			$where .= "AND (unix_timestamp(hp.and_datum) <= '$sql_end' ";
			$where .= "and unix_timestamp(hp.and_datum) >= '$sql_beg') ";
		}
		$where .= ($j == 1) ? "AND pe.ok > 0 " : "AND (pe.ok = 0 OR pe.ok IS NULL) AND YEAR(hp.datum) > 2009 ";
	}
	
	if (is_numeric($ma)) {
		$where .= (empty($where)) ? " where " : " AND ";
		$where .= "pers.pers_id  = ".$ma;
	}
	if ($traeger != "all") {
		$where .= (empty($where)) ? " where " : " AND ";
		$where .= "pe.traegerart_id= ".$traeger;
	}
	$query .= $where;
  }
  if($art == 0) {
	$query .= " ORDER BY hp.datum DESC, pe.post_in_id DESC";
  } else {
	$s = ($j == 1) ? $sort : 'r0';
	switch ($s){
	case 'a0': $query .= " ORDER BY k_name DESC, pe.ma_id, pe.post_in_id DESC"; break;
	case 'a1': $query .= " ORDER BY k_name ASC, pe.ma_id, pe.post_in_id ASC"; break;
	case 'n0': $query .= " ORDER BY pe.ernr DESC, hp.and_datum DESC"; break;
	case 'n1': $query .= " ORDER BY pe.ernr ASC, hp.and_datum ASC"; break;
	case 'p0': $query .= " ORDER BY pr.projektnr DESC, pe.post_in_id DESC"; break;
	case 'p1': $query .= " ORDER BY pr.projektnr ASC, pe.post_in_id ASC"; break;
	case 'e0': $query .= " ORDER BY hp.datum ASC, hp.and_datum ASC, pe.post_in_id DESC"; break;
	case 'e1': $query .= " ORDER BY hp.datum DESC, hp.and_datum DESC, pe.post_in_id ASC"; break;
	case 'r0': $query .= " ORDER BY hp.and_datum='0000-00-00' ASC, hp.and_datum ASC, hp.datum ASC, pe.post_in_id DESC"; break;
	case 'r1': $query .= " ORDER BY hp.and_datum='0000-00-00' DESC, hp.and_datum DESC, hp.datum DESC, pe.post_in_id ASC"; break;
	case 't0': $query .= " ORDER BY hp.teilnehmer ASC, YEAR(hp.and_datum)ASC, pe.ernr ASC"; break;
	case 't1': $query .= " ORDER BY hp.teilnehmer DESC, YEAR(hp.and_datum)DESC, pe.ernr DESC"; break;
	default: $query .= " ORDER BY YEAR(hp.and_datum)ASC, pe.ernr ASC"; break;
	}
  }

  $res = abfrage1($query);

  while($row = mysql_fetch_array($res)){
	$show = true;
	if($ma == 'esign') {
		/* TODO:
		 * ALLE, wo angemeldeter Benutzer FB, HB oder GF ist
		 * - keine Rechnungen
		 * - min. 1 Datei in Klammer
		 */
		if($_SESSION[$AppCode]["ULV"] < 98) {
		}
	}
	$emergency = $einkaufsprojekt = $r_vormerkung = false;
	$projekt_id[] = array();
	if ($row['proj_id'] > 0){
		$projekt = new stwProjekt($row['proj_id']);
		if($projekt->nr >= 10000 && $projekt->nr < 18000) $einkaufsprojekt = true;
		$projekt_id[] = $row['proj_id'];
		$proj  = "<a href=\"pro_daten.php?proj_id={$row['proj_id']}\">";
		$proj .= $projekt->nummer() . "</a>";
	} elseif ($row['pers_id'] > 0){
		$proj  = "<a href=\"pers_and.php?pers_id={$row['pers_id']}\">";
		$proj .= pers_kname($row['pers_id']) . "</a>";
	} elseif ($row['pkw'] > 0){
		$pkw = abfrage("select name from tb_ressourcen where res_id='{$row['pkw']}'");
		$proj  = "<a href=\"pkw_and.php?res_id={$row['pkw']}\">$pkw[0]</a>";
	} elseif ($row['team_art_id'] > 0){
		$teamart = abfrage("select kurzname, name, farbe from tb_team_art where team_art_id='{$row['team_art_id']}'");
		$team = abfrage("select t1.team_id, date_format(t2.von, '%d.%m.%Y') from tb_team t1
						left join tb_termine t2 using (termin_id)
						where t1.team_art_id='{$row['team_art_id']}' 
						and to_days(t2.von) > {$row['days']}
						order by t2.von asc limit 1");
		$proj = "<a style=\"color:$teamart[2]\" ";
		$tt = $teamart[1];
		if(empty($team[0])) $proj .= "href=\"team_art_and.php?team_art_id=".$row['team_art_id']."\"";
		else {
			$proj .= "href=\"team_and.php?team_id=$team[0]\"";
			$tt .= " vom $team[1]";
		}
		$proj .= stwToolTip($tt) . ">$teamart[0]</a></td>\n";
	} else {
		$proj = '';
		$postzuordnung = abfrage1("select typ, id2 from tbh_postzuordnung where posttyp='h' and id='{$row['hp_id']}';");
		if(mysql_num_rows($postzuordnung) > 1) {
			$tt = '<table>';
			while($pzo = mysql_fetch_row($postzuordnung)) {
				if($pzo[0]=='m') {
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"pers_and.php?pers_id=$pzo[1]\">" . pers_kname($pzo[1])."</a></td></tr>";
				} elseif($pzo[0]=='r') {
					$vormerkung = 'R '.str_pad($pzo[1], 4 ,'0', STR_PAD_LEFT);
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"vormerkliste.php?vmid[]=$pzo[1]&amp;vml=$pzo[1]\">R<sup>".str_pad($pzo[1], 4 ,'0', STR_PAD_LEFT)."</sup></a></td></tr>";
					$r_vormerkung = true;
				} elseif($pzo[0]=='w') {
					$pkw = abfrage("select name from tb_ressourcen where res_id='$pzo[1]'");
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"pkw_and.php?res_id=$pzo[1]\">$pkw[0]</a></td></tr>";
				} elseif($pzo[0]=='t') {
					$teamart = abfrage("select name from tb_team_art where team_art_id='$pzo[1]'");
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"team_art_and.php?team_art_id=$pzo[1]\">$teamart[0]</a></td></tr>";
				} else {
					$tmpProjekt = new stwProjekt($pzo[1]);
					if($tmpProjekt->nr >= 10000 && $tmpProjekt->nr < 18000) {
						$einkaufsprojekt = true;
						$projekt = new stwProjekt($pzo[1]);
					}
					$projekt_id[] = $pzo[1];
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"pro_daten.php?proj_id=$pzo[1]\">" . $tmpProjekt->nummer() . "</a></td></tr>";
				}
			}
			$tt .= '</table>';
			$proj = "<b".stwToolTipFixed($tt,'Zuordnung').">mehrere</b>";
		} else {
			while($pzo = mysql_fetch_row($postzuordnung)) {
				if($pzo[0]=='m') {
					$proj = "<a target=\"_blank\" href=\"pers_and.php?pers_id=$pzo[1]\">".pers_kname($pzo[1])."</a>";
				} elseif($pzo[0]=='w') {
					$pkw = abfrage("select name from tb_ressourcen where res_id='$pzo[1]'");
					$proj = "<a target=\"_blank\" href=\"pkw_and.php?res_id=$pzo[1]\">$pkw[0]</a>";
				} elseif($pzo[0]=='t') {
					$teamart = abfrage("select kurzname, name, farbe from tb_team_art where team_art_id='$pzo[1]'");
					$proj = "<a target=\"_blank\" style=\"color:$teamart[2]\" href=\"team_art_and.php?team_art_id=$pzo[1]\"" . stwToolTip($teamart[1]) . ">$teamart[0]</a>\n";
				} elseif($pzo[0]=='r') {
					$vm = abfrage( "select vp.id2, v.name, v.artikelnr from tbh_vormerk_print vp 
									left join tb_vormerkliste v using(vm_id)
									where vp.vm_id='$pzo[1]'");
					$proj = "<a target=\"_blank\" style=\"color:#4B91B4;\" href=\"vormerkliste.php?vmid[]=$pzo[1]&amp;vml=$pzo[1]\"";
					$vormerkung = 'R '.str_pad($vm[0], 4 ,'0', STR_PAD_LEFT);
					$proj.= stwToolTip("$vm[1] ($vm[2])") . ">R<sup>".str_pad($vm[0], 4 ,'0', STR_PAD_LEFT)."</sup></a>\n";
					$r_vormerkung = true;
				} else {
					$tmpProjekt = new stwProjekt($pzo[1]);
					if($tmpProjekt->nr >= 10000 && $tmpProjekt->nr < 18000) {
						$einkaufsprojekt = true;
						$projekt = new stwProjekt($pzo[1]);
					}
					$projekt_id[] = $pzo[1];
					$proj = "<a target=\"_blank\" href=\"pro_daten.php?proj_id=$pzo[1]\">".$tmpProjekt->link('',false)."</a>";
				}
			}
		}
	}
	$datum  = "<a href=\"post_in.php?art=$art&post_id={$row['post_in_id']}\"";
	if($row['skonto'] == 1) {
		$datum .= stwToolTip("Skonto");
		$datum .= " style=\"color:#00FF00\"";
	}
	$datum .= ">". $row['dt_datum'] . "</a>";

	$site = k_art_seite($row['kont_art_id']);
	$sh_firma = true;
	if (empty($row['kont_id2'])){
		$sh_firma = false;
		$link_kont = $row['vorname'] . " " . $row['apk_name'];
		$link_ap  = "<a href=\"personen_and.php?ap_id={$row['ap_id']}\">";
		$link_ap .= $row['vorname']." ".$row['apk_name'] . "</a>";
	}

	if (!empty($row['ma_id'])){
		$sh_firma = false;
		$link_kont = pers_name($row['ma_id']);
		$link_ap  = "<a href=\"pers_and.php?pers_id={$row['ma_id']}\">";
		$link_ap .= $row['personal_vn']." ".$row['personal_nn']."</a>";
	}

	if (!empty($row['person_id'])){
		$sh_firma = false;
		$link_kont = "Person";
		$link_ap = person_name($row['person_id']);
	}

	if ($sh_firma){
		$cut = $art > 0 ? 20 : 30; 
		$link_kont  = "<a href=\"kont_and.php?kont_id={$row['kont_id']}&ka=";
		$link_kont .= $row['kont_art_id']."&st=".$site."\"";
		if (strlen($row['k_name']) > $cut) $link_kont .= stwToolTip($row['k_name']);
		$link_kont .= ">" . strCut($row['k_name'],$cut) . "</a>";

		$link_ap  = "<a href=\"kont_ap_and.php?ap_id={$row['ap_id']}&kont_id=";
		$link_ap .= $row['kont_id']."&ka={$row['kont_art_id']}&st=$site\" ";
		$link_ap .= stwToolTip($row['teldienst']) . '>';
		$link_ap .= $row['vorname']." ".$row['apk_name']."</a>";
	}
	if($art > 0) {
		$style = "";
		if(!empty($row['ok'])) {
			$style .= "readonly style=\"color:#CCC;background-color:#333;\"";
		}
		$rdat = "<input type=\"text\" name=\"rdat\" size=\"10\" ";
		$rdat .= "onchange=\"xajax_Zwischenspeichern({$row['hp_id']}, 'and_datum', this.value)\"";
		if($_POST['hp_id'] == $row['hp_id'] && isset($_POST['rdat'])) {
			$rdat .= " value=\"{$_POST['rdat']}\"";
			$jahr = empty($_POST['rdat']) ? 0 : substr($_POST['rdat'],-4);
		} else {
			$leer = empty($row['rdat']) || $row['rdat'] == '00.00.0000';
			$rdat .= $leer ? "" : " value=\"{$row['rdat']}\"";
			$jahr = $leer ? 0 : substr($row['rdat'],-4);
		}
		$peinjahr = substr($row['dt_datum'],-4);
		if($jahr == 0 || $jahr == $peinjahr || !empty($row['ok'])) $rdat .= " $style>";
		elseif($jahr == $peinjahr - 1) $rdat .= " style=\"color:#FFF;background-color:#080;\"" . stwToolTip("Vorjahr") . ">";
		else $rdat .= " " . substr($style,0,-5) . " style=\"color:#FFF;background-color:#800;\"" . stwToolTip("Jahr fehlerhaft") . ">";
		if($art == 4) {
		  $year = $leer ? substr($row['dt_datum'],-4) : substr($row['rdat'],-4);
		  $ernr = "<input type=\"text\" name=\"ernr\" size=\"4\" $style";
		  if(empty($row['traeger_art'])) {
			$ernr_tt = stwToolTip("Vergabe einer ERNr nur bei gew&auml;hltem Tr&auml;ger m&ouml;glich");
			$ernr .= " readonly>";
		  } else {
			$ernr_tt = stwToolTip($row['traeger_art']);
			$sql0  = "SELECT MAX(t1.ernr) + 1 FROM tb_post_eingang t1 ";
			$sql0 .= "LEFT JOIN tb_hp t2 ON t1.hp_id = t2.hp_id ";
			$sql0 .= "WHERE t1.traegerart_id = '{$row['traegerart_id']}' ";
			$sql0 .= "AND t1.postart_id = 4 ";
			$sql0 .= "AND YEAR(t2.and_datum) = $year ";
			$sql0 .= "GROUP BY t1.ernr ORDER BY t1.ernr DESC";
			$count = count($ERNummern[$year][ $row['traeger_art'] ]);
			if($row['postart_id'] == 10) {
				$ernr .= " onchange=\"xajax_Zwischenspeichern({$row['hp_id']}, 'ernr', this.value)\"";
				$ernr .= empty($row['ernr']) ? ">" : " value=\"" . $row['ernr'] . "\">";
			} elseif(empty($row['ernr']) && empty($row['ok']) && $row['postart_id'] != 10) {
				if(empty($count)) {
					$next_ernr = abfrage($sql0);
					$ERNr = $next_ernr[0];
				} else {
					$sql  = "SELECT ernr FROM tb_post_eingang pe LEFT JOIN tb_hp hp ON hp.hp_id = pe.hp_id ";
					$sql .= "WHERE pe.traegerart_id = '{$row['traegerart_id']}' ";
					$sql .= "AND (YEAR(hp.and_datum) = $year OR ((hp.and_datum is NULL OR YEAR(hp.and_datum) = 0) ";
					$sql .= "AND YEAR(hp.datum) = $year)) AND pe.ernr = ";
					$i=1;
					do {
						$ERNr = $ERNummern[$year][ $row['traeger_art'] ][ $count-1 ] + $i++;
						$erns = abfrage1($sql . $ERNr);
					} while (mysql_num_rows($erns) > 0);
				}
				if(empty($ERNummern[$year][ $row['traeger_art'] ])) $ERNummern[$year][ $row['traeger_art'] ] = array();
				array_push($ERNummern[$year][ $row['traeger_art'] ], $ERNr);
				$ernr .= " value=\"$ERNr\">";
			} else {
				$sql = "select post_in_id from tb_post_eingang pe LEFT JOIN tb_hp hp ON hp.hp_id = pe.hp_id ";
				$sql .= "where pe.traegerart_id = '" . $row['traegerart_id'] . "' and pe.ernr = '" . $row['ernr'] . "'";
				$sql .= " and YEAR(hp.and_datum) = '$year' ";
				$ids = abfrage1($sql);
				if(mysql_num_rows($ids) > 1) {
					$ernr = "<input type=\"text\" name=\"ernr\" size=\"4\" value=\"{$row['ernr']}\" style=\"color:#FFF;background-color:#A00;\">";
					$emergency = true;
					$er = empty($ERNummern[$year][ $row['traeger_art'] ][ $count-1 ]) ? 0 : $ERNummern[$year][ $row['traeger_art'] ][ $count-1 ];
					$next_ernr = abfrage($sql0);
					$ernr_tt = stwToolTip($row['ernr'] . " mehrmals vergeben in " . $row['traeger_art'] . "
						n&auml;chste ERNr w&auml;re " . $next_ernr[0]);
				} else {
					$ernr .= " value=\"{$row['ernr']}\">";
				}
			}
			if(getConf("traeger") == "stw" && $traeger == 3) {
				$prstyle = check_nutzer_rechte(68) ? "style=\"background-color:#999999;\"" : $style;
				$prnr = "<input type=\"text\" onchange=\"xajax_Zwischenspeichern({$row['hp_id']}, 'teilnehmer', this.value)\" name=\"prnr\" size=\"4\" $prstyle";
				if($_POST['hp_id'] == $row['hp_id'] && isset($_POST['prnr']))
					$prnr .= " value=\"{$_POST['prnr']}\">";
				else $prnr .= empty($row['prnr']) ? ">" : " value=\"{$row['prnr']}\">";
			}
		  }
		}
		$betreff = "<input type=\"text\" onchange=\"xajax_Zwischenspeichern({$row['hp_id']}, 'betreff', this.value)\" name=\"betreff\" size=\"20\" $style";
		if($_POST['hp_id'] == $row['hp_id'] && isset($_POST['betreff']))
			$betreff .= " value=\"" . str_replace('\"', "&quot;", $_POST['betreff']) . "\">";
		else $betreff .= empty($row['betreff']) ? ">" : " value=\"" . str_replace('"', "&quot;", $row['betreff']) . "\">";
		
		$rnr = "<input type=\"text\" onchange=\"xajax_Zwischenspeichern({$row['hp_id']}, 'st_grund', this.value)\" name=\"rnr\" size=\"10\" $style";
		if($_POST['hp_id'] == $row['hp_id'] && isset($_POST['rnr']))
			$rnr .= " value=\"{$_POST['rnr']}\">";
		else $rnr .= empty($row['rnr']) ? ">" : " value=\"{$row['rnr']}\">";

		$betrag  = "<input type=\"text\" onchange=\"xajax_Zwischenspeichern({$row['hp_id']}, 'rg_betrag', this.value)\" name=\"betrag\" size=\"8\"";
		$betrag .= empty($row['ok']) ? "style=\"" : substr($style,0,-1);
		$betrag .= "text-align:right\"";
		if($_POST['hp_id'] == $row['hp_id'] && isset($_POST['betrag']))
			$betrag .= " value=\"{$_POST['betrag']}\">";
		else $betrag .= " value=\"" . geld_form_formular($row['rg_betrag']) . "\">";
	}
	echo "<tr class=\"mo\">\n";
	echo "<td class=\"cl1\">$datum</td>\n";
	$daten_dlg = new stwDaten("5");
	$klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"],
											$_SESSION[$AppCode]["UID"],
											$_SESSION[$AppCode]["ULV"],
											$row['post_in_id'], "0");
	echo "<td>$klammer</td>";

	$id = substr("00".$row['post_in_id'],-3);
	echo "<td class=\"cl1\">$id</td>\n";
	if($art == 0) {
		echo "<input type=\"hidden\" name=\"post_in_id[]\" value=\"".$row['post_in_id']."\">\n";
		if(!is_null($row['personal2_vn'])) {
			$hb_ok = substr($row['personal2_vn'],0,1).".".substr($row['personal2_nn'],0,1).".";
			$hb_tt = stwToolTip($row['personal2_vn'].' '.$row['personal2_nn'].': '.$row['ok_datum']);
		} else {
			$hb_tt = '';
			$post = new stwPost("i",$row['post_in_id']);
			$boxen = $post->getMyCheckbox($row['hp_id']);
			$hb_ok = $post->displayBoxen($boxen,$row['hp_id']);
		}
		echo "<td class=\"cl1\">$link_kont</td>\n";
		echo "<td class=\"cl1\">$link_ap</td>\n";

		echo "<td style=\"text-align:right\" " . stwToolTip($row['post_art']);
		echo '>' . $row['p_kname'] . "</td>\n";
		echo "<td class=\"cl1\"";
		if (strlen($row['betreff']) > 30) echo stwToolTip($row['betreff']);
		echo '>' . strCut($row['betreff'], 30) . "</td>\n";

		echo "<td class=\"cl1\">$proj</td>\n";

		echo "<td class=\"cl1\" style=\"text-align:right\">";
		echo geld_form_web($row['rg_betrag'])."</td>\n";

		echo "<td class=\"cl1\" style=\"color: ".$row['farbe'].";text-align:center\"";
		echo stwToolTip($row['traeger_art']) .">".$row['t_kname']."</td>\n";

		$angelegt = abfrage("select date_format(a.datetime, '%d.%m.%Y %H:%i'), concat(left(p.vorname,1),'.',left(p.name,1),'.'), concat(p.vorname,' ',p.name) 
							from tb_hp_angelegt a left join tb_personal p using(pers_id) where a.hp_id='{$row['hp_id']}'");
		$pb_tt = (strlen($angelegt[2]) > 0) ? stwToolTip("angelegt von $angelegt[2] am $angelegt[0] Uhr") : '';
		echo "<td $pb_tt class=\"cl1\">$angelegt[1]</td>\n";
		echo "<td $hb_tt style=\"vertical-align:middle\" class=\"cl20\">$hb_ok</td>\n";

		if ($_SESSION[$AppCode]['ULV'] >= 96 || (check_nutzer_rechte(48) && $row['postart_id'] != 4 && $row['postart_id'] != 10)){
			echo "<td class=\"cl1\"><a style=\"color: #FF0000;\" ";
			echo "href=\"post_del_sql.php?type=in&id={$row['hp_id']}\" ";
			echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a></td>\n";
		}	else {
			echo "<td>&nbsp;</td>\n";
		}
	} else {
		$formwiederzumachen = false;
		if ($art>0 && (($seitenrecht && (empty($name) || $emergency)) || $_SESSION[$AppCode]['ULV'] >= 97)){
			$formwiederzumachen = true;
			echo "<form action=\"{$_SERVER['PHP_SELF']}?traeger=$traeger&ma=all&anz=$anz&art=$art";
			if(isset($_GET['tag'])) echo "&tag=".$_GET['tag'];
			echo "\" name=\"{$row['post_in_id']}\" method=\"post\">\n";
			echo "<input type=\"hidden\" name=\"hp_id\" value=\"{$row['hp_id']}\">\n";
			if(strlen($_POST['suche']) > 0) echo "<input type=\"hidden\" name=\"suche\" value=\"{$_POST['suche']}\">\n";
		}
		if($art == 4) echo "<td class=\"cl1\">$rdat</td>\n";
		if($art == 4) echo "<td class=\"cl1\" $ernr_tt>$ernr</td>\n";
		if(getConf("traeger") == "stw" && $traeger == 3) echo "<td class=\"cl1\">$prnr</td>\n";
		echo "<td class=\"cl1\">$link_kont</td>\n";
		$tt_betreff = (strlen($row['betreff']) > 20) ? stwToolTip($row['betreff']) : "";
		echo "<td class=\"cl1\"$tt_betreff>$betreff</td>\n";
		echo "<td class=\"cl1\">$rnr</td>\n";
		echo "<td class=\"cl1\">$proj</td>\n";

		echo "<td class=\"cl1\"";
		if(empty($row['ok'])) {
		  if(empty($row['traeger_art'])) {
			echo stwToolTip("Kontenauswahl nur bei gew&auml;hltem Tr&auml;ger m&ouml;glich");
			echo ">\n<input readonly type=\"text\" style=\"width:62px\" value=\"nicht mgl.\">\n";
		  } else {
			echo "><select style=\"width:62px\" name=\"bkto\" ";
			echo "onchange=\"this.form.submit()\">\n";
			echo "<option value=\"0\">Konto hinzuf&uuml;gen</option>\n";
			$sql  = "select distinct k2.bkto_id, k2.kurzname from  tbh_bkto k2 ";
			$sql .= "left join tb_bkto k1 on k1.kto_id = k2.kto_id ";
			$sql .= "where k2.hp_id = 0 and k1.aktiv='j' and k1.traegerart_id = '";
			$sql .= $row['traegerart_id'] . "' order by k2.kurzname asc";
			$kto_collabs = abfrage1($sql);
			while($kto_collab = mysql_fetch_array($kto_collabs)){
				echo "<option value=\"c{$kto_collab['bkto_id']}\">";
				echo $kto_collab['kurzname'] . " (";
				$sql  = "select k1.kurzname from tb_bkto k1 ";
				$sql .= "left join tbh_bkto k2 on k1.kto_id = k2.kto_id ";
				$sql .= "where k2.bkto_id = '{$kto_collab['bkto_id']}'";
				$ktos = abfrage1($sql);
				$r = mysql_num_rows($ktos);
				$i = 0;
				while($kto = mysql_fetch_row($ktos)){
					echo "$kto[0]";
					if(++$i < $r) echo ", ";
				}
				echo ")</option>\n";
			}
			echo "<option value=\"0\">----------------</option>\n";
			$sql  = "select kto_id, kurzname, kto_beschr from tb_bkto ";
			$sql .= "where aktiv='j' and traegerart_id = '{$row['traegerart_id']}' order by kurzname asc";
			$ktos = abfrage1($sql);
			while($kto = mysql_fetch_row($ktos)){
				echo "<option value=\"$kto[0]\">$kto[1] -  $kto[2]</option>\n";
			}
			echo "</select>\n";
		  }
		  echo "</td>\n<td class=\"cl1\">\n";
		} else {
			echo "align=\"center\" colspan=\"2\">";
		}
		$sql  = "select k1.kto_id, k1.kurzname, k1.kto_beschr from tb_bkto k1 ";
		$sql .= "left join tbh_bkto k2 on k1.kto_id = k2.kto_id ";
		$sql .= "where k2.hp_id = '{$row['hp_id']}'";
		$bktos = abfrage1($sql);
		$count = mysql_num_rows($bktos);
		$i = 0;
		$ktos = "";
		$ktonames = "";
		$tt = "";
		while($bkto = mysql_fetch_row($bktos)) {
			$ktonames .= "$bkto[1], ";
			$ktos .= "&kto".$i."=".$bkto[0];
			$tt .= "<div><b>$bkto[1]</b> - $bkto[2]</div>";
			$i++;
		}
		if(strlen($ktonames) > 2) $ktonames = substr($ktonames,0,-2);
		if(!empty($row['ok'])) {
			echo "<span";
			if (strlen($tt) > 0) echo stwToolTip($tt,false);
			echo '>' . strCut($ktonames, 22) . "</span>\n";
			if($_SESSION[$AppCode]['ULV'] >= 97) {
				echo "<a href=\"bkto_and.php".$link.$ktos."&hp_id={$row['hp_id']}\">";
				echo "<img src=\"img/stift.png\"></a>\n";
			}
		} elseif($count > 1) {
			echo "<a href=\"bkto_and.php".$link.$ktos."&hp_id={$row['hp_id']}\">mehrere</a>\n";
		} elseif($count == 1) {
			$lk  = "post.php?traeger=$traeger";
			if(isset($_GET['ma'])) $lk .= "&ma=".$_GET['ma'];
			if(isset($_GET['art'])) $lk .= "&art=".$_GET['art'];
			if(isset($_GET['anz'])) $lk .= "&anz=".$_GET['anz'];
			if(isset($_GET['tag'])) $lk .= "&tag=".$_GET['tag'];
			echo "<a href=\"$lk&rem={$row['hp_id']}\"";
			echo stwToolTip("Konto aus Auswahl entfernen");
			echo ">$ktonames</a>\n";
		}
		echo "</td>\n";

		echo "<td class=\"cl1\">$betrag</td>\n";

		$cpost = new stwPost("h",$row['hp_id']);
		echo "<input type=\"hidden\" name=\"ok_datum\" value=\"$heute\" />\n";
		echo "<td style=\"text-align:center\"";
		$name = $cpost -> getName();
		$tt = '';
		$zahlungsvorr = array();
		$ressorts = abfrage1("select erledigt, ressort_id from tbh_hp_ressort where hp_id='{$row['hp_id']}'");
		while($done = mysql_fetch_row($ressorts)) {
			$ressort = abfrage_array("select * from tb_ressort where ressort_id='$done[1]'");
			if($ressort['zahlungsvorr'] == 'j') $zahlungsvorr[ $done[1] ] = $done[0];
			$otherBox = getOtherRessortCheckboxes($row['hp_id'],$ressort['ressort_id'],0);
			$tt .= "<div style=\"display:block;padding:2px;font-weight:bold;width:100%;background-color:#333333;color:".$ressort['farbe']."\">" . $ressort['name'] . ":</div>";
			foreach($otherBox as $pers => $box) {
				$offset = strpos($box[2],'TITLE,');
				$txt = substr($box[2],$offset+6);
				$offset = strpos($txt,', TITLEBGCOLOR');
				$txt = substr($txt,2,$offset-3);
				$tt .= $box[2] .' '. $txt . "<br />";
				$note = abfrage("select notiz from tb_pers_hp_ressort where hp_id='{$row['hp_id']}' and ressort_id='{$ressort['ressort_id']}' and pers_id='$pers'");
				if(!empty($note[0])) $tt .= "$note[0]<br />";
			}
		}
		if(!empty($name)) {
			echo stwToolTip("<b>Buchung erfolgt: " . $name .' '. $cpost -> getDate()."</b><br />$tt",false);
			$checked = "checked ";
		} else {
			echo stwToolTip($tt,false);
			$checked = "";
		}
		echo "><input type=\"checkbox\" value=\"1\" name=\"ok\" $checked";
		if($row['traegerart_id'] == 3) 
			$recht = check_nutzer_rechte(66);
		elseif($row['traegerart_id'] == 2) 
			$recht = check_nutzer_rechte(65);
		elseif($row['traegerart_id'] == 1)
			$recht = check_nutzer_rechte(64);
		else $recht = false;
		if ($_SESSION[$AppCode]['ULV'] < 96 && (!$recht || !empty($name)))
			echo "disabled";
		$heute = date('d.m.Y');
		if($checked == "") {
			echo "onclick=\"dat=prompt('``Buchung erfolgt \\nan folgendem Datum','$heute');";
			echo "if(dat) {this.form.ok_datum.value = dat; this.form.submit(); } else this.checked=false;\"";
		} else echo "onclick=\"if(confirm('Buchungshaken entfernen?')) this.form.submit(); else this.checked=!this.checked;\"";
		echo "></td>\n";
		echo "<td style=\"text-align:center\">";
		if(sizeof($projekt_id) > 0) {
			if($einkaufsprojekt || $r_vormerkung) {
				if($r_vormerkung) {
					$pzos = abfrage1("select id2 from tbh_postzuordnung where posttyp='h' and id='{$row['hp_id']}' and typ='r';");
					$unbezahlt = false;
					while($pzo = mysql_fetch_row($pzos)) {
						$z_erf = abfrage("select pers_id, DATE_FORMAT(zeit,'%d.%m.%Y') from tbh_pers_vormerk where vm_id='$pzo[0]' and abteilungsleiter='z'");
						$zahlungsdatum = $z_erf[1];
						if(empty($z_erf[0])) {
							$unbezahlt = true;
							break;
						}
					}
				}
				if($einkaufsprojekt && $projekt->ende_ts() > 0) {
					$tt = stwToolTip("Zahlung erfolgt: ".$projekt->ende());
					echo "<img src=\"img/checked.png\" alt=\"bezahlt\" $tt />";
				} elseif($r_vormerkung && !$unbezahlt) {
					$tt = stwToolTip("Zahlung erfolgt: ".$zahlungsdatum);
					echo "<img src=\"img/checked.png\" alt=\"bezahlt\" $tt />";
				} elseif($recht || $_SESSION[$AppCode]['ULV'] >= 96) {
					$prnr = $einkaufsprojekt ? "Im Projekt ".$projekt->nummer() : "In Vormerkung $vormerkung";
					$tt = stwToolTip("Eintragen: Zahlung heute erfolgt");
					if(!$formwiederzumachen) {
						echo "<form action=\"$self?traeger=$traeger&ma=all&anz=$anz&art=$art";
						if(isset($_GET['tag'])) echo "&tag=".$_GET['tag'];
						echo "\" name=\"{$row['post_in_id']}\" method=\"post\">\n";
					}
					if ($_SESSION[$AppCode]['ULV'] < 96 && !empty($name)) echo "<input type=\"hidden\" name=\"ok\" value=\"1\" />\n";
					echo "<input type=\"hidden\" name=\"zg_datum\" value=\"$heute\" />\n";
					echo "<span";
					if(empty($zahlungsvorr)) {
						echo stwToolTip("kein PostRessort als Zahlungsvorraussetzung definiert!");
						echo " style=\"background-color:red;border:2px solid red\"";
					} else {
						$green = true;
						foreach($zahlungsvorr as $v) if($v!='j') $green = false;
						if($green) echo " style=\"background-color:green;border:2px solid green\"";
					}
					echo "><input type=\"checkbox\" $tt name=\"bezahlt\" value=\"".$row['hp_id']."\" ";
					echo "onclick=\"dat=prompt('$prnr \\nwird ``Zahlung erfolgt \\nmit folgendem Datum bef&uuml;llt','$heute');";
					echo "if(dat) {this.form.zg_datum.value = dat; this.form.submit(); } else this.checked=false;\" />";
					echo "</span>";
					if(!$formwiederzumachen) echo "</form>";
				} else {
					$tt = stwToolTip("Zahlung noch nicht erfolgt");
					echo "<img src=\"img/unchecked.png\" alt=\"\" $tt />";
				}
			}
		}
		echo "</td>\n";
		if ($_SESSION[$AppCode]['ULV'] < 96 && (!$recht || !empty($name)) && $emergency)
			echo "<input type=\"hidden\" value=\"1\" name=\"ok\">\n";

		if (($recht && (empty($name)) || $emergency) || $_SESSION[$AppCode]['ULV'] >= 97){
			echo "<td class=\"cl1\">";
			echo "<input type=\"image\" name=\"speichern\" value=\"1\" src=\"img/senden.png\"></td>\n";
		} else {
			echo "<td>&nbsp;</td>\n";
		}
		if ($_SESSION[$AppCode]['ULV'] >= 96 && empty($name)) {
			echo "<td class=\"cl1\"><a style=\"color: #FF0000;\" ";
			echo "href=\"$self?traeger=$traeger&ma=all&anz=$anz&art=$art&del={$row['hp_id']}\" ";
			echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a></td>\n";
		} else {
			echo "<td>&nbsp;</td>\n";
		}

		if ($formwiederzumachen) echo "</form>";
	}
	echo "</tr>\n";
	flush();
  }
}
if($art == 0) echo "</form>";
echo "</table>\n";

new stwLine(1,1);
new stwEnd(12, 1, NULL, NULL, 0, 0, 0, $anz); 
?>