<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: post_a.php 2716 2017-03-16 17:30:54Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 45;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

require_once($pfad . 'inc/func.inc.php');

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function EinstellungenSpeichern($pers_id, $traeger_art_id, $anzeigemodus, $post_out_pers_id) {
	/* abfragen, ob bereits Zeile in Einstellungentabelle vorhanden */
	$sql = "select pers_id from tb_pers_einst where pers_id = '$pers_id';";
	$vorh = abfrage1($sql);

	$sql  = (mysql_num_rows($vorh) > 0) ? 'update ' : 'insert into ';
	$sql .= "tb_pers_einst set post_out_traeger_art_id = '$traeger_art_id', ";
	$sql .= "post_out_anzeige = '$anzeigemodus', post_out_pers_id = '$post_out_pers_id'";
	$sql .= (mysql_num_rows($vorh) > 0) ? ' where ' : ', ';
	$sql .= "pers_id = '$pers_id';";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$userResp->assign('TraegerIcon', 'style.color', 'lime');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('EinstellungenSpeichern');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/stw.inc.php");
set_session_url();

$pers_order = getPersOrder($seite);
$ma = (isset($_REQUEST['ma'])) ? $_REQUEST['ma'] : getPersEinst($_SESSION[$AppCode]['UID'], 'post_out_pers_id', $_SESSION[$AppCode]['UID']);

$traeger = (isset($_REQUEST['traeger'])) ? $_REQUEST['traeger'] : getPersEinst($_SESSION[$AppCode]['UID'], "post_out_traeger_art_id", 'all');
$anz = (isset($_GET['anz'])) ? $_GET['anz'] : getPersEinst($_SESSION[$AppCode]['UID'], "post_out_anzeige", 'w1');

/* Ermittlung des anzuzeigenden Tages */
if(empty($_GET['tag'])){
	$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
	$anz = 'j';
	$tag = mktime(0,0,0,1,1,$_GET['tag']);
} elseif($_GET['tag'] == '0000-00-00'){
	$tag = 0;
} else {
	$tag =  date_isodate_stamp($_GET['tag']);
}

switch ($anz){
	case 'w1':
	case 'w2':
		$wtag = date('w', $tag);

		if ($wtag == 0){
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
		} else {
			$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
		}
		$sql_end = $sql_beg + (7 * 86400);
		break;

	case 'm':
		$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
		$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
		break;

	case 'j':
		$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
		$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
		break;

	case 't';
		$sql_beg = $tag;
		$sql_end = $tag;
		break;
}

?>
<script language="javascript">
function jump(url,field,value)
{
	self.location.href = url+"&"+field+"="+value;
}
</script>
<?php

echo "<table><tr>\n";
if ($_SESSION[$AppCode]['ULV'] >= 60){
	echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
	echo "<input type=\"button\" value=\"neu\"";
	echo stwToolTip('neuen Postausgang erstellen');
	echo "onClick=\"self.location.href='post_out.php'\"></td>\n";
}

echo "<form style=\"margin: 0;\" action=\"{$_SERVER['PHP_SELF']}\" method=\"get\">\n";
echo "<th class=\"cl1\" style=\"vertical-align:middle\">Tr&auml;ger:</th>\n";
echo "<td class=\"cl1\" style=\"vertical-align:middle\">\n";
echo "<select name=\"traeger\" size=\"1\" onChange=\"jump('";
echo $_SERVER['PHP_SELF'] ."?ma=$ma";
if($art > 0) echo "&art=$art";
if(isset($_GET['tag'])) echo "&tag=".$_GET['tag']."&anz=".$_GET['anz'];
echo "','traeger',this.value)\">\n";
echo "<option value=\"all\">ALLE</option>\n";

$sql = "SELECT traeger_art_id, kurzname
		FROM tb_traeger_art";
$res = abfrage1($sql);
while($zeile = mysql_fetch_array($res))
{
	$selected = (isset($_GET['traeger']) && $zeile['traeger_art_id'] == $_GET['traeger']) ? " selected" : "";
	echo "<option value=".$zeile['traeger_art_id'].$selected.">".$zeile['kurzname']."</option>\n";
}
?>
</select>
</form>
</td>

<?php
if ($_SESSION[$AppCode]['ULV'] >= 60){
	echo "<form action=\"".$_SERVER["PHP_SELF"]."\" method=\"get\">";

	// Drop-Down-Liste Mitarbeiter
	echo "<th class=\"cl1\" style=\"vertical-align:middle\">";
	echo "Mitarbeiter:&nbsp;</th>";
	echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
	echo "<select name=\"ma\" size=\"1\" tabindex=\"1\" onChange=\"jump('";
	echo $_SERVER['PHP_SELF'] ."?traeger=$traeger";
	if(isset($_GET['tag'])) echo "&tag=".$_GET['tag']."&anz=".$_GET['anz'];
	echo "','ma',this.value)\">\n";
	echo "<option>Mitarbeiter w&auml;hlen!</option>\n";
	echo "<option value=\"all\"";
	if ($ma == "all") echo " selected ";
	echo ">ALLE anzeigen</option>\n";
	
	$order = ($pers_order == 2) ? "t2.name asc, t2.vorname asc" : "t2.vorname asc,t2.name asc";
	$sql = "select t2.pers_id,t2.vorname,t2.name
			from tb_personal t2
			where t2.status_id = 2
			order by $order";
	$erg = mysql_query($sql) or die(mysql_error());

	while ($zeile = mysql_fetch_row($erg)) {
		echo "  <option value=\"$zeile[0]\"";
		if ($ma == $zeile[0]){
			echo " selected ";
		}
		echo ">";
		if($pers_order == 2) echo $zeile[2] . ",&nbsp;" . $zeile[1];
		else echo $zeile[1] . "&nbsp;" . $zeile[2];
		echo "</option>\n";
	}
	echo "</select></td>\n";
	echo "<td class=\"cl11\" style=\"vertical-align:middle;\">";
	echo "<input type=\"image\" src=\"img/senden.png\" value=\"OK\" tabindex=2></td>\n";
	echo "</form>";

	/* Smiley zum Speichern einer persoenlichen Einstellung */
	echo "<td class=\"cl1\" style=\"text-align:right\"><a href=\"#\" style=\"color: #ccc\" id=\"TraegerIcon\"";
	echo " onclick=\"xajax_EinstellungenSpeichern({$_SESSION[$AppCode]['UID']}, '$traeger', '$anz', '$ma')\"";
	$tt  = 'Tr&auml;ger, Anzeige-Modus Kalender (Jahr, Monat...) und Mitarbeiter als pers&ouml;nliche Einstellung speichern! ';
	echo stwToolTip($tt) . ">:)</a></td>\n";
}

echo "<th class=\"cl1\">Suche:</th>\n";
echo "<form action=\"{$_SERVER['PHP_SELF']}\" method=\"POST\">\n";
echo "<input type=\"hidden\" name=\"ma\" value=\"$ma\" />\n";
echo "<input type=\"hidden\" name=\"traeger\" value=\"$traeger\" />\n";
echo "<td><input type=\"text\" name=\"suche\" size=\"15\" ";
echo "maxlength=\"30\" tabindex=\"3\"";
if (strlen($_POST['suche']) > 0) echo " value=\"{$_POST['suche']}\"";
echo "></td>\n";
echo "<td class=\"cl11\"><input type=\"image\" src=\"img/senden.png\" value=\"OK\"></td>\n";
echo "</form>\n";



echo "<td><input type=\"button\"";
echo stwToolTip('Brief schreiben') . "value=\"Brief\" ";
echo "onClick=\"self.location.href='brief.php'\"></td>\n";

echo "</tr></table>\n";
new stwLine(1);
flush();

echo "<table>\n";
echo "<tr>\n<th class=\"cl1\" colspan=\"3\">Datum</th>";
echo "<th class=\"cl1\">Empf&auml;nger</th>\n";
echo "<th class=\"cl1\">Name</th>\n";
echo "<th>Art</th>\n";
echo "<th class=\"cl1\">Betreff</th>\n";
echo "<th class=\"cl1\"".stwToolTip("Projekte, Mitarbeiter, Fahrzeuge, Sitzungen").">Zuordnung</th>\n";
echo "<th class=\"cl1\">Betrag</th>\n";
echo "<th class=\"cl1\">Tr&auml;ger</th>\n";
echo "<th class=\"cl1\"".stwToolTip('Postbearbeitung').">PB</th>\n";
echo "<th class=\"cl1\">OK</th>\n";
echo "<th>&nbsp;</th>\n</tr>\n";

new stwTabLine(2,30);

$query  = "SELECT	DATE_FORMAT(hp.datum,'%d.%m.%Y') AS dt_datum, ";
$query .= "pa.hp_id, pa.betreff, pa.rg_betrag, pa.ma_id, pa.brief_id, ";
$query .= "t.kurzname t_kname, t.farbe, t.traeger_art, p.kurzname p_kname, ";
$query .= "p.post_art, k.name as k_name, k.kont_id, k.kont_art_id, ";
$query .= "apk.name apk_name, apk.vorname, apk.ap_id, apk.teldienst, ";
$query .= "pr.projektnr, pr.proj_id, pa.post_out_id, ";
$query .= "personal.name as personal_nn, personal.vorname as personal_vn, ";
$query .= "personal2.name as personal2_nn, personal2.vorname as personal2_vn, ";
$query .= "pa.kont_id as kont_id2, pa.skonto, hp.pers_id, hp.ap_id as pkw, ";
$query .= "hp.chg_id as team_art_id, to_days(hp.datum) as days, hp.hilfeverlauf as person_id ";
$query .= "FROM tb_post_ausgang pa ";
$query .= "LEFT JOIN tb_kontakte k ON k.kont_id = pa.kont_id and k.kh_id='0' ";
$query .= "LEFT JOIN tb_kontakte_ap apk ON apk.ap_id = pa.ap_id ";
$query .= "LEFT JOIN tb_traeger_art t ON t.traeger_art_id = pa.traegerart_id ";
$query .= "LEFT JOIN tb_post_art p ON p.post_art_id = pa.postart_id ";
$query .= "LEFT JOIN tb_hp hp ON hp.hp_id = pa.hp_id ";
$query .= "LEFT JOIN tb_projekte pr ON pr.proj_id = hp.proj_id ";
$query .= "LEFT JOIN tb_personal personal ON personal.pers_id = pa.ma_id ";
$query .= "LEFT JOIN tb_personal personal2 ON personal2.pers_id = pa.ok ";
if ($ma != "all"){
	$query .= "LEFT JOIN tbh_pers_proj pers ON pers.proj_id = pr.proj_id ";
}

if (strlen($_POST['suche']) > 0){
	$query .= "where (pa.betreff like '%{$_POST['suche']}%' ";
	$query .= "or SUBSTRING(concat('00',pa.post_out_id), -3) = '{$_POST['suche']}' ";
	$query .= "or k.kurzname like '%{$_POST['suche']}%' ";
	$query .= "or k.name like '%{$_POST['suche']}%' ";
	$query .= "or k.name2 like '%{$_POST['suche']}%' ";
	$query .= "or apk.name like '%{$_POST['suche']}%' ";
	$query .= "or apk.vorname like '%{$_POST['suche']}%') ";
	if ($ma != "all") $query .= "and pers.pers_id = '$ma' ";
} else {
	$where = "";
	if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
		$where .= "where unix_timestamp(hp.datum) <= '$sql_end' ";
		$where .= "and unix_timestamp(hp.datum) >= '$sql_beg' ";
	}
	if ($ma != "all") {
		$where .= empty($where) ? " where " : " AND ";
		$where .= "pers.pers_id  = " . $ma;
	}
	if ($traeger != "all") {
		$where .= empty($where) ? " where " : " AND ";
		$where .= "pa.traegerart_id= ".$traeger;
	}
	$query .= $where;
}

$query .= " ORDER BY hp.datum DESC, pa.post_out_id DESC";

$res = abfrage1($query);

while($row = mysql_fetch_array($res))
{

	if ($row['proj_id'] > 0){
		$projekt = &new stwProjekt($row['proj_id']);
		$proj  = "<a href=\"pro_daten.php?proj_id={$row['proj_id']}\">";
		$proj .= $projekt->nummer() . "</a>";
	} elseif ($row['pers_id'] > 0){
		$proj  = "<a href=\"pers_and.php?pers_id={$row['pers_id']}\">";
		$proj .= pers_kname($row['pers_id']) . "</a>";
	} elseif ($row['pkw'] > 0){
		$pkw = abfrage("select name from tb_ressourcen where res_id='{$row['pkw']}'");
		$proj  = "<a href=\"pkw_and.php?res_id={$row['pkw']}\">$pkw[0]</a>";
	} elseif ($row['team_art_id'] > 0){
		$teamart = abfrage("select kurzname, name, farbe from tb_team_art where team_art_id='{$row['team_art_id']}'");
		$team = abfrage("select t1.team_id, date_format(t2.von, '%d.%m.%Y') from tb_team t1
						left join tb_termine t2 using (termin_id)
						where t1.team_art_id='{$row['team_art_id']}' 
						and to_days(t2.von) > {$row['days']}
						order by t2.von asc limit 1");
		$proj = "<a style=\"color:$teamart[2]\" ";
		$tt = $teamart[1];
		if(empty($team[0])) $proj .= "href=\"team_art_and.php?team_art_id=".$row['team_art_id']."\"";
		else {
			$proj .= "href=\"team_and.php?team_id=$team[0]\"";
			$tt .= " vom $team[1]";
		}
		$proj .= stwToolTip($tt) . ">$teamart[0]</a></td>\n";
	} else {
		$proj = '';
		$postzuordnung = abfrage1("select typ, id2 from tbh_postzuordnung where posttyp='h' and id='{$row['hp_id']}';");
		if(mysql_num_rows($postzuordnung) > 1) {
			$tt = '<table>';
			while($pzo = mysql_fetch_row($postzuordnung)) {
				if($pzo[0]=='m') {
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"pers_and.php?pers_id=$pzo[1]\">" . pers_kname($pzo[1])."</a></td></tr>";
				} elseif($pzo[0]=='r') {
					$vormerkung = 'R '.str_pad($pzo[1], 4 ,'0', STR_PAD_LEFT);
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"vormerkliste.php?vmid[]=$pzo[1]&amp;vml=$pzo[1]\">R<sup>".str_pad($pzo[1], 4 ,'0', STR_PAD_LEFT)."</sup></a></td></tr>";
					$r_vormerkung = true;
				} elseif($pzo[0]=='w') {
					$pkw = abfrage("select name from tb_ressourcen where res_id='$pzo[1]'");
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"pkw_and.php?res_id=$pzo[1]\">$pkw[0]</a></td></tr>";
				} elseif($pzo[0]=='t') {
					$teamart = abfrage("select name from tb_team_art where team_art_id='$pzo[1]'");
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"team_art_and.php?team_art_id=$pzo[1]\">$teamart[0]</a></td></tr>";
				} else {
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"pro_daten.php?proj_id=$pzo[1]\">" . projektnummer($pzo[1]) . "</a></td></tr>";
				}
			}
			$tt .= '</table>';
			$proj = "<b".stwToolTipFixed($tt,'Zuordnung').">mehrere</b>";
		} else {
			while($pzo = mysql_fetch_row($postzuordnung)) {
				if($pzo[0]=='m') {
					$proj = "<a href=\"pers_and.php?pers_id=$pzo[1]\">".pers_kname($pzo[1])."</a>";
				} elseif($pzo[0]=='w') {
					$pkw = abfrage("select name from tb_ressourcen where res_id='$pzo[1]'");
					$proj = "<a target=\"_blank\" href=\"pkw_and.php?res_id=$pzo[1]\">$pkw[0]</a>";
				} elseif($pzo[0]=='t') {
					$teamart = abfrage("select kurzname, name, farbe from tb_team_art where team_art_id='$pzo[1]'");
					$proj = "<a target=\"_blank\" style=\"color:$teamart[2]\" href=\"team_art_and.php?team_art_id=$pzo[1]\"" . stwToolTip($teamart[1]) . ">$teamart[0]</a>\n";
				} else {
					$tmpProjekt = new stwProjekt($pzo[1]);
					$proj = "<a target=\"_blank\" href=\"pro_daten.php?proj_id=$pzo[1]\">".$tmpProjekt->link()."</a>";
				}
			}
		}
	}

	$link = "<a";
	if($row['skonto'] == 1) $link .= " style=\"color:#00FF00\"";
	$link .= " href=\"";
	if (is_null($row['brief_id'])){
		$link .= "post_out.php?post_id=".$row['post_out_id']."\">".$row['dt_datum'];
	}else{
		$link .= "brief.php?id=".$row['post_out_id']."\">".$row['dt_datum']."</a>";
		$link .= "&nbsp;<a href=\"brief_print.php?id=".$row['post_out_id'];
		$link .= "&proj_id=".$row['proj_id']."&ts=" . time() . "\" target=\"_blank\">";
		$link .= "<img src=\"img/drucker.png\" alt=\"drucken\" ";
		$link .= "title=\"Brief drucken\" border=\"0\">";
	}
	$link .= "</a>";

	$site = k_art_seite($row['kont_art_id']);
	$sh_firma = true;
	if (is_null($row['kont_id2'])){
		$sh_firma = false;
		$link_kont = "Personen";
		if(empty($row['person_id'])) {
			$link_ap  = "<a href=\"personen_and.php?ap_id=".$row['ap_id']."\">";
			$link_ap .= $row['vorname']." ".$row['apk_name']."</a>";
		} else {
			$link_ap = person_name($row['person_id']);
		}
	}

	if (!is_null($row['ma_id'])){
		$sh_firma = false;
		$link_kont = "Mitarbeiter";
		$link_ap  = "<a href=\"pers_and.php?pers_id=".$row['ma_id']."\">";
		$link_ap .= $row['personal_vn']." ".$row['personal_nn']."</a>";
	}

	if ($sh_firma){
		$link_kont  = "<a href=\"kont_and.php?kont_id=".$row['kont_id']."&ka=";
		$link_kont .= $row['kont_art_id']."&st=".$site."\">".$row['k_name']."</a>";
		$link_ap  = "<a href=\"kont_ap_and.php?ap_id=".$row['ap_id']."&kont_id=";
		$link_ap .= $row['kont_id']."&ka=".$row['kont_art_id']."&st=".$site;
		$link_ap .= "\" title=\"".$row['teldienst']."\">".$row['vorname']." ";
		$link_ap .= $row['apk_name']."</a>";
	}

	echo "<tr class=\"mo\">\n";
	echo "<td class=\"cl1\">$link</td>\n";
	$daten_dlg = new stwDaten("13");
	$klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"],
											$_SESSION[$AppCode]["UID"],
											$_SESSION[$AppCode]["ULV"],
											$row['post_out_id'], "0");
	echo "<td>$klammer</td>";
	$id = substr("00".$row['post_out_id'],-3);
	echo "<td class=\"cl1\">$id</td>\n";
	echo "<td class=\"cl1\">$link_kont</td>\n";
	echo "<td class=\"cl1\">$link_ap</td>\n";

	echo "<td style=\"text-align:right\"" . stwToolTip($row['post_art']) . '>';
	echo $row['p_kname'] . "</td>\n";
	echo "<td class=\"cl1\"";
	if (strlen($row['betreff']) > 30) echo stwToolTip($row['betreff']);
	echo '>' . strCut($row['betreff'], 30) . "</td>\n";

	echo "<td class=\"cl1\">$proj</td>\n";

	echo "<td class=\"cl1\" style=\"text-align:right\">";
	if(is_null($row['rg_betrag'])) {
		list($re_nr, $rest) = explode(" ", substr($row['betreff'],13,12));
		$betrag = abfrage("select betrag from tb_rechnung where re_nr = '$re_nr'");
	} else $betrag[0] = $row['rg_betrag'];
	echo geld_form_web($betrag[0]) . "</td>\n";

	echo "<td class=\"cl1\" style=\"color:{$row['farbe']}; text-align:center;\"";
	echo stwToolTip($row['traeger_art']);
	echo '>' . $row['t_kname'] . "</td>\n";

	$angelegt = abfrage("select date_format(a.datetime, '%d.%m.%Y %H:%i'), concat(left(p.vorname,1),'.',left(p.name,1),'.'), concat(p.vorname,' ',p.name) 
						from tb_hp_angelegt a left join tb_personal p using(pers_id) where a.hp_id='{$row['hp_id']}'");
	$pb_tt = (strlen($angelegt[2]) > 0) ? stwToolTip("angelegt von $angelegt[2] am $angelegt[0] Uhr") : '';
	echo "<td $pb_tt class=\"cl1\">$angelegt[1]</td>\n";

	if(is_null($row['personal2_vn']) && is_null($row['personal2_nn'])) echo "<td></td>\n";
	else {
		echo "<td class=\"cl1\"";
		echo stwToolTip($row['personal2_vn'] . ' ' . $row['personal2_nn']);
		echo ">".substr($row['personal2_vn'],0,1).".".substr($row['personal2_nn'],0,1).".";
		echo "</td>\n";
	}
	if ($row['p_kname'] != 'AL' && check_nutzer_rechte(47)){
		echo "<td class=\"cl1\"><a style=\"color: #FF0000;\" ";
		echo "href=\"post_del_sql.php?type=out&id={$row['hp_id']}\" ";
		echo stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a></td>\n";
	}	else {
		echo "<td>&nbsp;</td>\n";
	}
	echo "</tr>\n";
	flush();
}
echo "</table>";

new stwLine(1);
new stwEnd($seite,1);
?>
