<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************w
 *
 * $Id: post_ap.php 2716 2017-03-16 17:30:54Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */

 session_start();
 $pers_order = getPersOrder($seite);

$bProjekte = false;
$proj_str = '';
if(isset($pzo)) {
	foreach($pzo as $proj_id){
		if(is_numeric($proj_id)) {
			$bProjekte = true;
			if($proj_str != '') $proj_str .= ',';
			$proj_str .= $proj_id;
		}
	}
}

// Ansprechpartner auswhlen je nach gewaehltem Absender
$order = ($pers_order==2) ? "name ASC, vorname ASC" : "vorname ASC, name ASC";
$query_personen = "SELECT ap_id,name,vorname FROM tb_kontakte_ap WHERE kont_id = 0 ORDER BY $order";
$query_qersonen = "SELECT q.person_id,q.name,q.vorname FROM tbh_proj_personen p LEFT JOIN tb_personen q USING(person_id) 
                   WHERE p.proj_id in ($proj_str) OR q.person_id='{$daten['person_id']}' GROUP BY person_id ORDER BY $order";
$query_personal = "SELECT pers_id,name,vorname FROM tb_personal WHERE (status_id=2 or pers_id='{$daten['ma_id']}') ORDER BY $order";
$query_firmen = "SELECT kap.ap_id,kap.name,kap.vorname FROM tb_kontakte_ap kap
		  	     INNER JOIN tb_kontakte k ON k.kont_id = kap.kont_id and k.kh_id='0'";
$id_set = isset($_GET['post_id']) || isset($_GET['id']);
$absender = 0;
if(isset($rvar_projekte)) {
	$kte = abfrage1("select h.kont_id from tbh_kont_proj h
					 left join tb_kontakte k on h.kont_id = k.kont_id and k.kh_id='0'
					 where h.proj_id = '$rvar_projekte'
					 order by k.kurzname asc, k.name asc;");
	if (mysql_num_rows($kte) > 0) {
		$kont_id = mysql_fetch_row($kte);
		$absender = ($kont_id[0] > 100000) ? 'm' : $kont_id[0];
		if($kont_id[0] > 100000) $ansprechpartner = $kont_id[0] - 100000;
	}
}

$kont_id = 0;
$query = "";
$selected_m = $selected_p = "";
if (isset($rvar_send) || isset($_GET['kont_id']) || !empty($absender)){
	$absender_neu = (intval($_POST['letzte_kont_id']) == intval($_POST['firma_kurzname'])) ? $_POST['absender'] : $_POST['firma_kurzname'];
	if(empty($rvar_projekte) || $rvar_projekte == $rvar_lastproj)
		$absender = isset($_GET['kont_id']) ? $_GET['kont_id'] : (empty($_POST['absender']) ? $absender : $absender_neu);
	else
		$absender = isset($_GET['kont_id']) ? $_GET['kont_id'] : (!empty($absender) ? $absender : (!empty($_POST['absender']) ? $_POST['absender'] :  0));
	if($absender === 'm') {
		$selected_m = "selected";
		$query = $query_personal;
	} elseif($absender === 'p') {
		$selected_p = "selected";
		$query = $query_personen;
	} elseif($absender === 'q') {
		$selected_q = "selected";
		$query = $query_qersonen;
	} else {
		if(empty($_POST['firma_kurzname'])) $kont_id = $absender;
		elseif($absender == 0) $kont_id = $_POST['firma_kurzname'];
		elseif($_POST['letzte_kont_id'] == $_POST['firma_kurzname']) $kont_id = $absender;
		else $kont_id = $_POST['firma_kurzname'];
		$query = $query_firmen." WHERE k.kont_id = '".$kont_id."' ORDER BY kap.name ASC";
	}
}

if ($id_set){
	$kont_id = (is_null($daten['ma_id'])) ? $daten['kont_id'] : 0;
	if (!is_null($daten['ma_id'])){
	 	$selected_m = "selected";
		$query = $query_personal;
	} elseif(!empty($daten['person_id'])) {
	 	$selected_q = "selected";
		$query = $query_qersonen;
	} elseif (is_null($daten['p_kont_id'])){
	 	$selected_p = "selected";
		$query = $query_personen;
	}

	if($kont_id != 0){
		$query = $query_firmen." WHERE k.kont_id = '".$kont_id."' ORDER BY kap.name ASC";
	}
}

if($kont_id == 0 && $rvar_projekte > 0 && $selected_m == "" && $selected_p == "") {
	$ap = abfrage( "select p.ap_id, k.kont_id from tb_projekte p
					left join tb_kontakte_ap k using(ap_id)
					where p.proj_id='$rvar_projekte'");
	$kont_id = $ap[1];
	$query = $query_firmen." WHERE k.kont_id = '".$ap[1]."' ORDER BY kap.name ASC";
} else $ap = array();

// zwischenspeichern der Daten der Ansprechpartner
if ($query != ""){
	$res = abfrage1($query);
	while($row = mysql_fetch_row($res))
	{
		$data_apartner[] = $row;
	}
}

if(empty($rvar_abs_suche)) $and = "and aktiv='j'";
else {
	$and = '';//"AND (name like '%$rvar_abs_suche%' or name2 like '%$rvar_abs_suche%' or kurzname like '%$rvar_abs_suche%')";
	$kont_id = 0;
	$suchstr = strtoupper($rvar_abs_suche);
}

$sql = "SELECT kont_id,name,name2,kurzname
		FROM tb_kontakte where kh_id='0' $and ORDER BY kurzname ASC";
$res = abfrage1($sql);
$options['ext'] = $options['short'] = "";

while($row = mysql_fetch_array($res))
{
	if(empty($rvar_abs_suche) || (strpos(strtoupper($row['kurzname']), $suchstr) !== false) || (strpos(strtoupper($row['name']), $suchstr) !== false) || (strpos(strtoupper($row['name2']), $suchstr) !== false)) {
		$selected = ($kont_id == $row['kont_id']) ? "selected" : "";
		$options['short'] .= "<option value=\"".$row['kont_id']."\" $selected>".$row['kurzname']."</option>\n";
		$_options[$row['name'].$row['name2']] = "<option value=\"".$row['kont_id']."\"".$selected.">".strCut($row['name'],30).", ".strCut($row['name2'],30)."</option>\n";
	} else {
		$options['short'] .= "<option style=\"display:none\" value=\"".$row['kont_id']."\" $selected>".$row['kurzname']."</option>\n";
		$_options[$row['name'].$row['name2']] = "<option style=\"display:none\" value=\"".$row['kont_id']."\"".$selected.">".strCut($row['name'],30).", ".strCut($row['name2'],30)."</option>\n";
	}
}
$proj = isset($rvar_projekte) ? $rvar_projekte : $daten['proj_id'];
echo "<input type=\"hidden\" name=\"lastproj\" value=\"$proj\">\n";
echo "<input type=\"hidden\" name=\"last_postart\" value=\"$rvar_postart\">\n";
echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr><td class=\"cl1\">";
echo "<select name=\"firma_kurzname\" size=\"1\" tabindex=\"$ti\" "; $ti++;
echo "onChange=\"document.forms['post'].submit()\">\n";
echo "<option value=\"0\">Kurzname</option>\n";
echo $options['short'];
echo "</select></td>\n";

echo "<td class=\"cl1\"><select id=\"absenderdropdown\" name=\"absender\" size=\"1\" ";
echo "style=\"width:200px\" tabindex=\"$ti\" "; $ti++;
echo "onChange=\"document.forms['post'].submit()\">\n";
echo "<option value=\"0\">w&auml;hlen!</option>\n";
echo "<option value=\"m\" $selected_m>Mitarbeiter</option>\n";
echo "<option value=\"p\" $selected_p>Personen (Kontakte)</option>\n";
if($bProjekte) echo "<option value=\"q\" $selected_q>Personen (Projekte)</option>\n";
echo "<option>-----------------------------------</option>\n";

ksort($_options);
foreach($_options as $values)
{
	echo $values;
}
echo "</select></td>\n";

if(empty($rvar_abs_suche)) echo "<input type=\"hidden\" name=\"letzte_kont_id\" value=\"$kont_id\">\n";
else echo "<input type=\"hidden\" name=\"letzte_kont_id\" value=\"0\">\n";
echo "<td class=\"cl1\"><select style=\"width:200px\" name=\"ap\" size=\"1\" tabindex=\"$ti\" "; $ti++;
echo "onChange=\"if(this.options[this.selectedIndex].onmousedown != null){this.options[this.selectedIndex].onmousedown(this);} document.forms['post'].betreff.focus()\">\n";
echo "<option value=\"0\">Ansprechpartner w&auml;hlen!</option>\n";

if(empty($rvar_abs_suche)) {
	// nach Auswahl der Firma wird Seite neu geladen mit den zugehrigen
	// Ansprechpartnern in der zweiten Auswahlliste
	foreach($data_apartner as $value)
	{
		$x= $daten['ma_id'];
		$selected = (($id_set && ($daten['ap_id'] == $value[0] || $daten['ma_id'] == $value[0] || $daten['person_id'] == $value[0]))
					|| ($value[0] == $_POST['ap'])
					|| (isset($_GET['ap']) && $value[0] == $_GET['ap'])
					|| (isset($ansprechpartner) && $ansprechpartner == $value[0])
					|| ($rvar_projekte > 0 && $value[0] == $ap[0])
					|| count($data_apartner)==1 ) ? " selected" : "";
		$name = ($pers_order==2) ? "$value[1], $value[2]" : "$value[2] $value[1]";
		echo "<option value=\"".$value[0]."\"".$selected.">".$name."</option>";
	}
} else {
	$mas = abfrage1("SELECT pers_id,name,vorname FROM tb_personal WHERE status_id=2 and (name like '%$rvar_abs_suche%' or vorname like '%$rvar_abs_suche%') ORDER BY $order");
	if(mysql_num_rows($mas) > 0) echo "<option value=\"0\">---- Mitarbeiter ----</option>";
	while($ma = mysql_fetch_row($mas)) {
		echo "<option onmousedown=\"document.getElementById('absenderdropdown').value='m'\" value=\"".$ma[0]."\">$ma[1], $ma[2]</option>";
	}
	$aps = abfrage1("SELECT ap_id,name,vorname FROM tb_kontakte_ap WHERE kont_id=0 and (name like '%$rvar_abs_suche%' or vorname like '%$rvar_abs_suche%') ORDER BY $order");
	if(mysql_num_rows($aps) > 0) echo "<option value=\"0\">---- Personen (Kontakte) ----</option>";
	while($ap = mysql_fetch_row($aps)) {
		echo "<option onmousedown=\"document.getElementById('absenderdropdown').value='p'\" value=\"".$ap[0]."\">$ap[1], $ap[2]</option>";
	}
	if($bProjekte) {
		$pers = abfrage1("SELECT q.person_id,q.name,q.vorname,p.proj_id FROM tbh_proj_personen p LEFT JOIN tb_personen q USING(person_id) 
						   WHERE p.proj_id in ($proj_str) AND (q.name like '%$rvar_abs_suche%' or q.vorname like '%$rvar_abs_suche%') GROUP BY person_id ORDER BY $order");
		if(mysql_num_rows($pers) > 0) echo "<option value=\"0\">---- Personen (Projekte) ----</option>";
		$projektnummern = array();
		while($ap = mysql_fetch_row($pers)) {
			echo "<option onmousedown=\"document.getElementById('absenderdropdown').value='q'\" value=\"".$ap[0]."\">$ap[1], $ap[2] (";
			if(empty($projektnummern[ $ap[3] ])) {
				$projektnummern[ $ap[3] ] = projektnummer($ap[3]);
			}
			echo $projektnummern[ $ap[3] ];
			echo ")</option>";
		}
	}
	$aps = abfrage1("SELECT ap_id,name,vorname,kont_id FROM tb_kontakte_ap WHERE kont_id>0 and (name like '%$rvar_abs_suche%' or vorname like '%$rvar_abs_suche%') ORDER BY $order");
	if(mysql_num_rows($aps) > 0) echo "<option value=\"0\">---- Ansprechpartner ----</option>";
	$kontakte = array();
	while($ap = mysql_fetch_row($aps)) {
		echo "<option onmousedown=\"document.getElementById('absenderdropdown').value='$ap[3]'\" value=\"".$ap[0]."\">$ap[1], $ap[2] (";
		if(empty($kontakte[ $ap[3] ])) {
			$ja = abfrage("select name2 from tb_kontakte where kh_id='0' and kont_id='$ap[3]'");
			$kontakte[ $ap[3] ] = $ja[0];
		}
		echo $kontakte[ $ap[3] ];
		echo ")</option>";
	}
}

echo "</select></td>";

echo "<td class=\"cl1\"><img src=\"img/lupe_grau.png\" alt=\"suche:\" /></td>\n";
$tt = stwToolTip('ausw&auml;hlbare Kontakte auf Suchbegriff reduzieren');
echo "<td class=\"cl1\"><input type=\"text\" name=\"abs_suche\" tabindex=\"$ti\""; $ti++;
echo " size=\"20\" value=\"\" $tt></td>\n";
echo "<td class=\"cl20\"><input type=\"image\" src=\"img/senden.png\" $tt></td>\n";

echo "</tr></table>\n";
?>