<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: post_ressort.php 2872 2018-06-27 17:27:05Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 81;
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 16);

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

require_once($pfad . 'inc/func.inc.php');
$pers_order = getPersOrder(81);

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');

function ressort_check($hp_id, $ressort_id, $pers_id, $betr_e_a, $check) {
	global $AppCode;
	$sql = "INSERT INTO tb_pers_hp_ressort 
			SET hp_id='$hp_id', ressort_id='$ressort_id', pers_id='$pers_id', 
			betr_e_a='$betr_e_a', optional='n', ok=now(), ok_pers_id='";
	$sql .= $check ? $_SESSION[$AppCode]["UID"] : 0;
	$sql .= "' ON DUPLICATE KEY UPDATE betr_e_a='$betr_e_a', ok=now(), ok_pers_id='"; 
	$sql .= $check ? $_SESSION[$AppCode]["UID"] : 0;
	$sql .= "';";
	abfrage2($sql);
	if($check) abfrage2("delete from tbh_pers_hp_ressort_aktiv where pers_id='$pers_id' and ressort_id='$ressort_id' and hp_id='$hp_id'");
	if(strpos($betr_e_a,'h') !== false) {
		if(strpos($betr_e_a,'e') !== false) {
			abfrage2("update tb_pers_hp_ressort set aktiv='n' where hp_id='$hp_id' and ressort_id='$ressort_id' and optional='n'");
		} elseif(strpos($betr_e_a,'a') !== false) {
			$mas = abfrage1("select pers_id from tb_pers_hp_ressort where ressort_id='$ressort_id' and hp_id='$hp_id' and betr_e_a in ('ha','he')");
			if(mysql_num_rows($mas) > 1) {
				abfrage2("update tb_pers_hp_ressort set aktiv='n' where hp_id='$hp_id' and ressort_id='$ressort_id' and optional='n'");
			} else {
				abfrage2("update tb_pers_hp_ressort set aktiv='n' where hp_id='$hp_id' and ressort_id='$ressort_id' and and betr_e_a in ('fa','fe')");
			}
		}
	}
	// ganzer Posteingang erledigt?!
	$ende = false;
	$done = abfrage1("select betr_e_a from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and betr_e_a in ('he','ha') and ok_pers_id > 0");
	if(mysql_num_rows($done) > 2) $ende = true;
	else while($bea = mysql_fetch_row($done)) {
		if($bea[0] == 'he') $ende = true;
	}
	if($ende) {
		$aktive = abfrage1("select pers_id from tb_pers_hp_ressort where hp_id='$hp_id' and ressort_id='$ressort_id' and aktiv='j' and ok_pers_id = 0");
		if(mysql_num_rows($aktive) == 0) abfrage2("UPDATE tbh_hp_ressort set erledigt='j' where hp_id='$hp_id' and ressort_id='$ressort_id'");
	}
	$userResp = new xajaxResponse();
	$box = getRessortCheckbox($hp_id, $ressort_id, $pers_id);
	$userResp->assign($hp_id."_".$ressort_id."_".$pers_id, 'innerHTML', $box[2]);
	return $userResp;
}

function ressort_activate($hp_id, $ressort_id, $pers_id, $betr_e_a) {
	$sql = "INSERT INTO tb_pers_hp_ressort 
			SET hp_id='$hp_id', ressort_id='$ressort_id', pers_id='$pers_id',
			optional='j', betr_e_a='$betr_e_a', aktiv='j'
			ON DUPLICATE KEY UPDATE aktiv='j', optional='j', betr_e_a='$betr_e_a';"; 
	abfrage2($sql);

	$sql = "UPDATE tbh_hp_ressort set erledigt='n' where hp_id='$hp_id' and ressort_id='$ressort_id'";
	abfrage2($sql);

	$userResp = new xajaxResponse();
	$check = getRessortCheckbox($hp_id, $ressort_id, $pers_id);
	$userResp->assign($hp_id."_".$ressort_id."_".$pers_id, 'innerHTML', $check[2]);
	return $userResp;
}

function EinstellungenSpeichern($pers_id, $id, $wert) {
	$userResp = new xajaxResponse();
	abfrage2("replace into tb_pers_einst_neu set pers_id='$pers_id', pers_einst_id='$id', wert='$wert'");
	if($id == 13) $userResp->assign('TraegerIcon', 'style.color', 'lime');
	if($id == 16) {
		$img = $wert == 'datum_desc' ? 'sort_down' : 'sort_up';
		$userResp->assign('OrderIcon', 'src', image($img,16,16,0,255,0));
	}
	return $userResp;
}

function save_note($hp_id,$ressort_id,$pers_id,$notiz,$aktiv) {
	global $AppCode;
	$j = $aktiv ? 'j' : 'n';
	$sql = "INSERT INTO tb_pers_hp_ressort 
			SET notiz='$notiz', pers_id='{$_SESSION[$AppCode]["UID"]}', 
			hp_id='$hp_id', ressort_id='$ressort_id', aktiv='$j'
			ON DUPLICATE KEY UPDATE notiz='$notiz';"; 
	abfrage2($sql);
	$userResp = new xajaxResponse();
	$check = getRessortCheckbox($hp_id, $ressort_id, $pers_id);
	$userResp->assign($hp_id."_".$ressort_id."_".$pers_id, 'innerHTML', $check[2]);
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('check');
$xajax->registerFunction('ressort_check');
$xajax->registerFunction('ressort_activate');
$xajax->registerFunction('EinstellungenSpeichern');
$xajax->registerFunction('save_note');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/stw.inc.php");
set_session_url();

$heute = mktime(0,0,0);
$ressort_id = isset($_GET['ressort_id']) ? $_GET['ressort_id'] : getPersEinst($uid,13,0);
if($ressort_id == -1) $pers_id='all';
else $pers_id = ($ulv >= 96 && isset($_GET['ma'])) ? $_GET['ma'] : $uid;
$anz = isset($_GET['anz']) ? (strlen($_GET['tag']) > 4 ? $_GET['anz'] : 'y') : 'w1';
$tag = isset($_GET['tag']) ? (strlen($_GET['tag']) > 4 ? $_GET['tag'] : $_GET['tag'].'-01-01') : date('Y-m-d', getWochenBeginn($heute));
$ressorts = array();
$order = isset($_GET['order']) ? $_GET['order'] : getPersEinst($uid,16,'datum_desc');

echo "<table style=\"width:750px\"><tr>";
$class = $ressort_id==0 ? 'menuactive' : 'menuinactive';
echo "<td class=\"$class\"><a href=\"post_ressort.php?ma=$pers_id&tag=$tag&anz=$anz&ressort_id=0\">Alle</a></td>";
$res = abfrage1("select ressort_id, name, farbe, beschreibung from tb_ressort order by sort asc");
while($row = mysql_fetch_row($res)){
	$class = $ressort_id == $row[0] ? 'menuactive' : 'menuinactive';
	echo "<td class=\"$class\"><a href=\"post_ressort.php?ma=$pers_id&tag=$tag&anz=$anz&ressort_id=$row[0]\" style=\"color:$row[2]\"";
	if(strlen($row[3]) > 0) echo stwToolTip($row[3]);
	echo ">$row[1]</a></td>";
	$ressorts[ $row[0] ] = "<a href=\"ressort.php#r$row[0]\"";
	if(strlen($row[3]) > 0) $ressorts[ $row[0] ] .= stwToolTip($row[3]);
	$ressorts[ $row[0] ] .= "style=\"color:$row[2]\">$row[1]</a>";
}
/* kaerglicher Rest */
$class = $ressort_id==-1 ? 'menuactive' : 'menuinactive';
echo "<td class=\"$class\"><a href=\"post_ressort.php?ma=all&tag=$tag&anz=$anz&ressort_id=-1\" style=\"color:#CCCCCC\">- &uuml;brige -</a></td>";

/* Smiley zum Speichern einer persoenlichen Einstellung */
echo "<td class=\"cl1\"><a href=\"#\" style=\"color: #ccc\" id=\"TraegerIcon\"";
echo " onclick=\"xajax_EinstellungenSpeichern($uid,13,'$ressort_id')\"";
echo stwToolTip('aktuelles Ressort als pers&ouml;nliche Einstellung speichern!') . ">:)</a></td>\n";
echo "</tr></table>\n";

if($ressort_id >= 0 && $ulv >= 96) {
	new stwLine(2);
	flush();
	echo "<table width=\"750\"><tr><th>Ressort-Betreuer:</th><td>";
	echo "<form action=\"{$_SERVER["PHP_SELF"]}\" method=\"GET\">\n";
	echo "<input type=\"hidden\" name=\"ressort_id\" value=\"$ressort_id\">\n";
	echo "<input type=\"hidden\" name=\"tag\" value=\"$tag\">\n";
	echo "<input type=\"hidden\" name=\"anz\" value=\"$anz\">\n";

	$al_exist = abfrage("select pr_id from tbh_pers_ressort where pers_id='-2'" . ($ressort_id>0 ? " and ressort_id='$ressort_id'" : '') . " limit 1");
	$fb_exist = abfrage("select pr_id from tbh_pers_ressort where pers_id='-1'" . ($ressort_id>0 ? " and ressort_id='$ressort_id'" : '') . " limit 1");
	$name = $pers_order == 2 ? "p.name, ', ', p.vorname" : "p.vorname, ' ', p.name";
	$porder = $pers_order == 2 ? "p.name asc, p.vorname asc;" : "p.vorname asc, p.name asc;";
	$sql = "select p.pers_id, concat($name) from tb_personal p ";
	$sql.= "left join tbh_pers_ressort r on(p.pers_id=r.pers_id) ";
	if($fb_exist) $sql.= "left join tbh_pers_fb f on(p.pers_id=f.pers_id and f.hze='j') ";
	if($al_exist) $sql.= "left join tb_personal_abt_leit a on(p.pers_id=a.pers_id) ";
	$sql .= "where ( r.pers_id > 0 ";
	if($ressort_id > 0) $sql .= "and ressort_id='$ressort_id' ";
	if($fb_exist) $sql.= "or f.pers_id > 0 ";
	if($al_exist) $sql.= "or a.pers_id > 0 ";
	$sql .= ") ";
	$sql .= "group by pers_id order by $porder";

	$erg = abfrage1($sql);
	echo "<select name=\"ma\" size=\"1\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"$uid\">- angemeldeter Benutzer -</option>";
	echo "<option value=\"all\" ";
	if ($pers_id == 'all') echo ' selected ';
	echo ">ALLE anzeigen</option>\n";
	while ($zeile = mysql_fetch_row($erg)) {
		if($zeile[0] <= 0) continue;
		echo "  <option value=\"$zeile[0]\"";
		if ($pers_id == $zeile[0]) echo ' selected ';
		echo ">$zeile[1]</option>\n";
	}
	echo "</select></form></td>\n";
	echo "<td style=\"text-align:right;width:100%\">";
	if($ulv >= 96) {
		echo "<a href=\"ressort.php";
		if($ressort_id > 0) echo "?config=$ressort_id";
		echo "\"><img src=\"img/edit.png\"";
		echo stwToolTip("Ressorts konfigurieren");
		echo "/></a>\n";
	}
	echo "</td></tr></table>\n";
}
new stwLine(1);

$DESC = strpos($order,'asc')===false ? 'DESC' : 'ASC';

echo "<form method=\"post\" action=\"post_ressort.php?ressort_id=$ressort_id";
if(isset($_GET['tag'])) echo "&anz=$anz&tag=".$_GET['tag'];
echo "\">\n";
echo "<table><tr>\n<th class=\"cl1\">";
if($ressort_id==-1) {
	$url = $_SESSION[$AppCode]['url'];
	$url .= (strpos($url,'?') === false ? '?' : '&') . 'update_all=1';
	echo "<a href=\"$url\"".stwToolTip('Posteing&auml;nge erneut kategorisieren').">";
	echo "<img src=\"".image('refresh')."\"></a> ";
}
echo "<a href=\"post_ressort.php?ma=$pers_id&tag=$tag&anz=$anz&ressort_id=$ressort_id&order=";
echo $order == 'datum_desc' ? 'datum_asc' : 'datum_desc';
echo "\">Datum</a> ";
$img = $order == 'datum_desc' ? 'sort_down' : 'sort_up';
echo "<img id=\"OrderIcon\" style=\"cursor:pointer;position:relative;top:3px\" src=\"";
echo (!isset($_GET['order']) && $order != 'datum_desc') ? image($img,16,16,0,255,0) : image($img);
echo "\" onclick=\"xajax_EinstellungenSpeichern($uid,16,'$order')\" /></th>";
echo "<th class=\"cl1\" colspan=\"3\" id=\"ToDo4Me\"></td>\n";
echo "<th class=\"cl1\">Absender</th>\n";
echo "<th class=\"cl1\">Name</th>\n";
echo "<th>Art</th>\n";
echo "<th class=\"cl1\">Betreff</th>\n";
if($ressort_id==0) echo "<th class=\"cl1\">Ressort</th>\n";
echo "<th class=\"cl1\"".stwToolTip("Projekte, Mitarbeiter, Fahrzeuge, Sitzungen").">Zuordnung</th>\n";
echo "<th class=\"cl1\">Betrag</th>\n";
echo "<th class=\"cl1\">Tr&auml;ger</th>\n";
echo "<th class=\"cl1\"".stwToolTip('PostEngangsbearbeitung').">PE</th>\n";
echo "<th".stwToolTip('ProjektBetreuer').">Proj.Betr.</th>\n";
echo "<td style=\"background-color:#006600\"></td>\n";
echo "<th colspan=\"8\"".stwToolTip('Ressort-Betreuer').">RessortBetr.</th>\n";
echo "</tr>\n";
flush();

$shown = $res = $nyts = $aVert = array();
$eins = ($ressort_id == -1) ? 2 : 0;

for($pos = (1+$eins); $pos >= 0; $pos--) {
  $query  = "SELECT DATE_FORMAT(hp.datum,'%d.%m.%Y') AS dt_datum, ";
  $query .= "hp.hp_id, hp.proj_id, DATE_FORMAT(hp.and_datum,'%d.%m.%Y') AS rdat, ";
  $query .= "hp.st_grund AS rnr, hp.teilnehmer AS prnr, ";
  $query .= "hp.pers_id, hp.ap_id as pkw, hp.chg_id as team_art_id, ";
  $query .= "to_days(hp.datum) as days, hp.hilfeverlauf as person_id, ";
  $query .= "DATE_FORMAT(hp.datum_n,'%d.%m.%Y') AS stichtag, ";
  $query .= "unix_timestamp(hp.datum_n) as stich_ts, hp.hp_art ";
  if($pos == 2) {
	$query .= "FROM tb_post_eingang pe ";
	$query .= "LEFT JOIN tbh_hp_ressort hr USING(hp_id) ";
	$query .= "LEFT JOIN tb_hp hp ON hp.hp_id = pe.hp_id ";
  } elseif($pos == 3) {
	$query .= "FROM tb_post_ausgang pe ";
	$query .= "LEFT JOIN tbh_hp_ressort hr USING(hp_id) ";
	$query .= "LEFT JOIN tb_hp hp ON hp.hp_id = pe.hp_id ";
  } else {
	$query .= ", hr.ressort_id FROM tbh_hp_ressort hr ";
	$query .= "LEFT JOIN tbh_pers_ressort r USING(ressort_id) ";
	$query .= "LEFT JOIN tb_hp hp ON hp.hp_id = hr.hp_id ";
  }
  if($pos == 0) {
	$query .= "WHERE hr.erledigt = 'n' ";
	if($pers_id != 'all') $query .= " and r.pers_id in ($pers_id, -1, -2) ";
	if($ressort_id > 0) $query .= " and hr.ressort_id = '$ressort_id' ";
	elseif($ressort_id < 0) $query .= " and hr.ressort_id = '0' ";
  } 
  if($pos == 1) {
	$query .= "WHERE hr.erledigt = 'j' ";
	if($pers_id != 'all') $query .= " and r.pers_id in ($pers_id, -1, -2) ";
	if($ressort_id > 0) $query .= " and hr.ressort_id = '$ressort_id' ";
	elseif($ressort_id < 0) $query .= " and hr.ressort_id = '0' ";
  }
  if($pos > 1) $query .= " WHERE hr.ressort_id IS NULL ";
  if($pos > 0) {
	if(isset($_GET['tag'])) {
		list($y,$m,$d) = explode("-",$tag);
		if($anz == 'j' && $tag != '0000-00-00') $query .= "AND hp.datum >= '$y-01-01' AND hp.datum <= '$y-12-31' ";
		if($anz == 'm') $query .= "AND hp.datum >= '$y-$m-01' AND hp.datum < '$y-".($m+1 < 10 ? '0' : '').($m+1)."-01' ";
		if($anz == 'w1') $query .= "AND hp.datum >= '$tag' AND hp.datum < DATE_ADD('$tag', INTERVAL 7 DAY) ";
		if($anz == 'w2') $query .= "AND hp.datum >= DATE_SUB('$tag', INTERVAL 7 DAY) AND hp.datum < DATE_ADD('$tag', INTERVAL 7 DAY) ";
		if($anz == 't') $query .= "AND hp.datum = '$tag' ";
	} else $query .= "AND hp.datum >= '$tag' AND hp.datum < DATE_ADD('$tag', INTERVAL 7 DAY) ";
  }
  if($pos == 2) $query .= " GROUP BY hp.hp_id ";
  else $query .= " GROUP BY concat(hr.ressort_id,'-',hp.hp_id) ";
  $query .= " ORDER BY hp.datum $DESC, hp.hp_id $DESC";
  $res[ $pos ] = abfrage1($query);
  if(isset($_GET['update_all']) && mysql_num_rows($res[ $pos ]) > 0) {
	while($row = mysql_fetch_array($res[ $pos ])) {
		update_hp_ressort($row['hp_id']);
	}
	mysql_data_seek($res[ $pos ],0);
  }
  if($pos == 2 && isset($_GET['update_not_categorized']) && mysql_num_rows($res[ 2 ]) > 0) {
	while($row = mysql_fetch_array($res[ 2 ])) {
		update_hp_ressort($row['hp_id']);
	}
	mysql_data_seek($res[2],0);
  }
}

for($pos = 0; $pos < (2+$eins); $pos++) {
  if($pers_id != 'all' && $pos == 0) {
	$sql = "delete from tbh_pers_hp_ressort_aktiv where pers_id='$pers_id'";
	if($ressort_id > 0) $sql .= " and ressort_id='$ressort_id'";
	abfrage2($sql);
  }
  $newLine = true;
  $cnt = $lastID = 0;
  $cntIDs = array('ToDo4Me', 'donePE', 'noCat');
  while($row = mysql_fetch_array($res[ $pos ])) {
	if($pos > 1 && ($shown[ $row[1] ] || ($ressort_id > 0 && !isRessort($row[1], $ressort_id)))) continue;
	if($pers_id != 'all') {
		$resCB = getRessortCheckbox($row['hp_id'],($ressort_id>0?$ressort_id:$row['ressort_id']),$pers_id);
		if(empty($resCB[0])) continue;
	}

	$query  = "SELECT pe.betreff, pe.rg_betrag, pe.";
	$query .= ($row['hp_art'] == 'x') ? "post_in_id" : "post_out_id";
	$query .= " as post_id, pe.ma_id, t.kurzname t_kname, t.farbe, t.traeger_art, p.kurzname p_kname, ";
	$query .= "k.name as k_name, k.kont_id, k.kont_art_id, p.post_art, ";
	$query .= "apk.name apk_name, apk.vorname, apk.ap_id, apk.teldienst, ";
	$query .= "personal.name as personal_nn, ";
	$query .= "personal.vorname as personal_vn, personal2.name as personal2_nn, ";
	$query .= "personal2.vorname as personal2_vn, pe.kont_id as kont_id2, pe.skonto, ";
	$query .= "pe.traegerart_id, pe.ok, pe.postart_id, pe.notizen";
	if($row['hp_art'] == 'x') {
		$query .= ", pe.ernr";
		$query .= ", DATE_FORMAT(pe.ok_datum,'%d.%m.%Y') AS ok_datum ";
		$query .= ", DATE_FORMAT(pe.fb_datum,'%d.%m.%Y') AS fb_datum ";
		$query .= ", DATE_FORMAT(pe.gf1_datum,'%d.%m.%Y') AS gf1_datum ";
		$query .= ", DATE_FORMAT(pe.gf2_datum,'%d.%m.%Y') AS gf2_datum ";
	}
	$query .= " FROM ";
	$query .= ($row['hp_art'] == 'x') ? "tb_post_eingang" : "tb_post_ausgang";
	$query .= " pe LEFT JOIN tb_kontakte k ON k.kont_id = pe.kont_id and k.kh_id='0' ";
	$query .= "LEFT JOIN tb_kontakte_ap apk ON apk.ap_id = pe.ap_id ";
	$query .= "LEFT JOIN tb_traeger_art t ON t.traeger_art_id = pe.traegerart_id ";
	$query .= "LEFT JOIN tb_post_art p ON p.post_art_id = pe.postart_id ";
	$query .= "LEFT JOIN tb_personal personal ON personal.pers_id = pe.ma_id ";
	$query .= "LEFT JOIN tb_personal personal2 ON personal2.pers_id = pe.ok ";
	$query .= "WHERE pe.hp_id = '{$row['hp_id']}'";
	$row2 = abfrage_array($query);

	if($newLine) {
		if($pos == 1) {
			echo "<tr><td colspan=\"5\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,99,99,99) . "\" height=\"9\" width=\"100%\" /></td>";
			echo "<td colspan=\"2\" style=\"font-size:8pt;text-align:center;color:#AAAAAA\"><span id=\"donePE\"></span> Erledigte Posteing&auml;nge im gew&auml;hlten Zeitraum</td>";
			echo "<td colspan=\"26\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,99,99,99) . "\" height=\"9\" width=\"100%\"></td></tr>\n";
		} elseif($pos == 2) {
			echo "<tr><td colspan=\"5\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,0,99,0) . "\" height=\"9\" width=\"100%\" /></td>";
			echo "<td style=\"font-size:8pt;text-align:center;color:#009900\">";
			if($ulv >= 96 && $tag > '2016') {
				$url = $_SESSION[$AppCode]['url'];
				$url .= (strpos($url,'?') === false ? '?' : '&') . 'update_not_categorized=1';
				echo "<a href=\"$url\"".stwToolTip('Noch nicht zugeordnete  Posteing&auml;nge<br />des gew&auml;hlten Zeitraums kategorisieren')."style=\"color:#009900\">";
			}
			echo "<span id=\"noCat\"></span> noch nicht zugeordnet";
			if($ulv >= 96 && $tag > '2016') echo "</a>";
			echo "</td><td colspan=\"26\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,0,99,0) . "\" height=\"9\" width=\"100%\"></td></tr>\n";
		} else new stwTabLine(2,30);
		$newLine = false;
		flush();
	}
	$shown[ $row[1] ] = true;
	$projekt_id[] = array();
	if ($row['proj_id'] > 0){
		$projekt = new stwProjekt($row['proj_id']);
		$lm = $projekt->ListenMarkierung($ma);
		$co = empty($lm['co']) ? '#FFCC00' : $lm['co'];
		if(empty($projekt->fb)) {
			$rfb = abfrage("select pers_id from tbh_pers_ressort where ressort_id='".($ressort_id>0?$ressort_id:$row['ressort_id'])."' and pers_id = -1");
			$proj = "<a style=\"color:$co\"".stwToolip($projekt->name())."href=\"pro_daten.php?proj_id={$row['proj_id']}\">";
			if($rfb[0] == -1) {
				$proj .= "<div style=\"position:absolute;background-color:#FFAA88;color:black;font-weight:bold;animation:fadein 6s ease-in-out -4s infinite alternate;\">";
				$proj .= " &nbsp; Kein Fachberater! &nbsp; </div>";
			}
			$proj .= $projekt->nummer() . "</a>";
		} else  $proj = $projekt->link("vname() nname()");
		$projekt_id[] = $row['proj_id'];
	} elseif ($row['pers_id'] > 0){
		$proj  = "<a href=\"pers_and.php?pers_id={$row['pers_id']}\">";
		$proj .= pers_kname($row['pers_id']) . "</a>";
	} elseif ($row['pkw'] > 0){
		$pkw = abfrage("select name from tb_ressourcen where res_id='{$row['pkw']}'");
		$proj  = "<a href=\"pkw_and.php?res_id={$row['pkw']}\">$pkw[0]</a>";
	} elseif ($row['team_art_id'] > 0){
		$teamart = abfrage("select kurzname, name, farbe from tb_team_art where team_art_id='{$row['team_art_id']}'");
		$team = abfrage("select t1.team_id, date_format(t2.von, '%d.%m.%Y') from tb_team t1
						left join tb_termine t2 using (termin_id)
						where t1.team_art_id='{$row['team_art_id']}' 
						and to_days(t2.von) > {$row['days']}
						order by t2.von asc limit 1");
		$proj = "<a style=\"color:$teamart[2]\" ";
		$tt = $teamart[1];
		if(empty($team[0])) $proj .= "href=\"team_art_and.php?team_art_id=".$row['team_art_id']."\"";
		else {
			$proj .= "href=\"team_and.php?team_id=$team[0]\"";
			$tt .= " vom $team[1]";
		}
		$proj .= stwToolTip($tt) . ">$teamart[0]</a></td>\n";
	} else {
		$proj = '';
		$postzuordnung = abfrage1("select typ, id2 from tbh_postzuordnung where posttyp='h' and id='{$row['hp_id']}';");
		if(mysql_num_rows($postzuordnung) > 1) {
			$proj = '';
			$tt = '<table>';
			while($pzo = mysql_fetch_row($postzuordnung)) {
				if($pzo[0]=='m') {
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"pers_and.php?pers_id=$pzo[1]\">" . pers_kname($pzo[1])."</a></td></tr>";
				} elseif($pzo[0]=='r') {
					$vormerkung = 'R '.str_pad($pzo[1], 4 ,'0', STR_PAD_LEFT);
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"vormerkliste.php?vmid[]=$pzo[1]&amp;vml=$pzo[1]\">R<sup>".str_pad($pzo[1], 4 ,'0', STR_PAD_LEFT)."</sup></a></td></tr>";
					$r_vormerkung = true;
				} elseif($pzo[0]=='w') {
					$pkw = abfrage("select name from tb_ressourcen where res_id='$pzo[1]'");
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"pkw_and.php?res_id=$pzo[1]\">$pkw[0]</a></td></tr>";
				} elseif($pzo[0]=='t') {
					$teamart = abfrage("select name from tb_team_art where team_art_id='$pzo[1]'");
					$tt .= "<tr><td class=\"menuinactive_sub\"><a href=\"team_art_and.php?team_art_id=$pzo[1]\">$teamart[0]</a></td></tr>";
				} else {
					$tempproj = new stwProjekt($pzo[1]);
					$lm = $tempproj->ListenMarkierung($ma);
					$co = empty($lm['co']) ? '#FFCC00' : $lm['co'];
					$tt .= "<tr><td class=\"menuinactive_sub\"><a title=\"".$tempproj->name()."\" style=\"color:$co\" href=\"pro_daten.php?proj_id=$pzo[1]\">" . $tempproj->nummer() . "</a></td></tr>";
					$fb = abfrage("SELECT fb_id FROM tb_projekte WHERE proj_id='$pzo[1]'");
					if(empty($fb[0]) && $proj == '') {
						$rfb = abfrage("select pers_id from tbh_pers_ressort where ressort_id='".($ressort_id>0?$ressort_id:$row['ressort_id'])."' and pers_id = -1");
						if($rfb[0] == -1) {
							$proj .= "<div style=\"position:absolute;background-color:#FFAA88;color:black;font-weight:bold;animation:fadein 6s ease-in-out -4s infinite alternate;\">";
							$proj .= " &nbsp; Kein Fachberater! &nbsp; </div>";
						}
					}
				}
			}
			$tt .= '</table>';
			$proj = "<b".stwToolTipFixed($tt,'Zuordnung').">" . $proj . "mehrere</b>";
		} else {
			while($pzo = mysql_fetch_row($postzuordnung)) {
				if($pzo[0]=='m') {
					$proj = "<a href=\"pers_and.php?pers_id=$pzo[1]\">".pers_kname($pzo[1])."</a>";
				} elseif($pzo[0]=='w') {
					$pkw = abfrage("select name from tb_ressourcen where res_id='$pzo[1]'");
					$proj = "<a target=\"_blank\" href=\"pkw_and.php?res_id=$pzo[1]\">$pkw[0]</a>";
				} elseif($pzo[0]=='t') {
					$teamart = abfrage("select kurzname, name, farbe from tb_team_art where team_art_id='$pzo[1]'");
					$proj = "<a target=\"_blank\" style=\"color:$teamart[2]\" href=\"team_art_and.php?team_art_id=$pzo[1]\"" . stwToolTip($teamart[1]) . ">$teamart[0]</a>\n";
				} elseif($pzo[0]=='r') {
					$vm = abfrage( "select vp.id2, v.name, v.artikelnr from tbh_vormerk_print vp 
									left join tb_vormerkliste v using(vm_id)
									where vp.vm_id='$pzo[1]'");
					$proj = "<a target=\"_blank\" style=\"color:#4B91B4;\" href=\"vormerkliste.php?vmid[]=$pzo[1]&amp;vml=$pzo[1]\"";
					$vormerkung = 'R '.str_pad($vm[0], 4 ,'0', STR_PAD_LEFT);
					$proj.= stwToolTip("$vm[1] ($vm[2])") . ">R<sup>".str_pad($vm[0], 4 ,'0', STR_PAD_LEFT)."</sup></a>\n";
					$r_vormerkung = true;
				} else {
					$projekt = new stwProjekt($pzo[1]);
					$lm = $projekt->ListenMarkierung($ma);
					$co = empty($lm['co']) ? '#FFCC00' : $lm['co'];
					if(empty($projekt->fb)) {
						$rfb = abfrage("select pers_id from tbh_pers_ressort where ressort_id='".($ressort_id>0?$ressort_id:$row['ressort_id'])."' and pers_id = -1");
						$proj = "<a target=\"_blank\" style=\"color:$co\"".stwToolTip($projekt->name())."href=\"pro_daten.php?proj_id=$pzo[1]\">";
						if($rfb[0] == -1) {
							$proj .= "<div style=\"position:absolute;background-color:#FFAA88;color:black;font-weight:bold;animation:fadein 6s ease-in-out -4s infinite alternate;\">";
							$proj .= " &nbsp; Kein Fachberater! &nbsp; </div>";
						}
						$proj .= $projekt->nummer() . "</a>";
					} else  $proj = $projekt->link("vname() nname()");
				}
			}
		}
	}
	if($row['hp_art'] == 'x') $datum = "<a href=\"post_in.php?post_id={$row2['post_id']}&art=-1\"";
	else $datum = "<a href=\"post_out.php?post_id={$row2['post_id']}&art=-1\"";
	if($row['stich_ts'] > 0) {
		$datum .= stwToolTip("Stichtag: ".$row['stichtag']);
		$datum .= " style=\"color:white\"";
	} elseif($row2['skonto'] == 1) {
		$datum .= stwToolTip("Skonto");
		$datum .= " style=\"color:#00FF00\"";
	}
	$datum .= ">". $row['dt_datum'] . "</a>";
	$site = k_art_seite($row2['kont_art_id']);
	$sh_firma = true;
	if (empty($row2['kont_id2'])){
		$sh_firma = false;
		$link_kont = $row2['vorname'] . " " . $row2['apk_name'];
		$link_ap  = "<a href=\"personen_and.php?ap_id={$row2['ap_id']}\">";
		$link_ap .= $row2['vorname']." ".$row2['apk_name'] . "</a>";
	}

	if (!empty($row2['ma_id'])){
		$sh_firma = false;
		$link_kont = pers_name($row2['ma_id']);
		$link_ap  = "<a href=\"pers_and.php?pers_id={$row2['ma_id']}\">";
		$link_ap .= $row2['personal_vn']." ".$row2['personal_nn']."</a>";
	}

	if (!empty($row['person_id'])){
		$sh_firma = false;
		$link_kont = "Person";
		$link_ap = person_name($row['person_id']);
	}

	if ($sh_firma){
		$link_kont  = "<a href=\"kont_and.php?kont_id={$row2['kont_id']}&ka=";
		$link_kont .= $row2['kont_art_id']."&st=".$site."\"";
		if (strlen($row2['k_name']) > 20) $link_kont .= stwToolTip($row2['k_name']);
		$link_kont .= ">" . strCut($row2['k_name'],20) . "</a>";

		$link_ap  = "<a href=\"kont_ap_and.php?ap_id={$row2['ap_id']}&kont_id=";
		$link_ap .= $row2['kont_id']."&ka={$row2['kont_art_id']}&st=$site\" ";
		$link_ap .= stwToolTip($row2['vorname']." ".$row2['apk_name']." ".$row2['teldienst']) . '>';
		$link_ap .= strCut($row2['vorname']." ".$row2['apk_name'],20)."</a>";
	}
	for($I=1; $I>0; $I--) {
		if($resCB[0]==2 && $pers_id != 'all') {
			$resCB = getVertrRessortCheckbox($row['hp_id'],($ressort_id>0?$ressort_id:$row['ressort_id']),$pers_id);
		}
		$out = "<tr class=\"mo\">\n";
		$out .= "<td class=\"cl1\">$datum</td>\n";
		
		$daten_dlg = new stwDaten($row['hp_art'] == 'x' ? "5" : 13);
		$klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"],
												$_SESSION[$AppCode]["UID"],
												$_SESSION[$AppCode]["ULV"],
												$row2['post_id'], "0");
		$out .= "<td>$klammer</td>";
		$out .= "<td><img src=\"img/daten";
		if(strlen($row2['notizen']) > 0) $out .= '_gruen';
		$out .= ".png\"";
		if(strlen($row2['notizen']) > 0) $out .= stwToolTip($row2['notizen']);
		$out .= "/></td>";
		$id = substr("00".$row2['post_id'],-3);
		$farbe = ($row['hp_art'] == 'x') ? '#009900' : 'red';
		$tt = ($row['hp_art'] == 'x') ? 'Posteingang' : 'Postausgang';
		$out .= "<td class=\"cl1\" style=\"color:$farbe\"".stwToolTip($tt).">$id</td>\n";
//		$out .= "<input type=\"hidden\" name=\"post_in_id[]\" value=\"".$row2['post_id']."\">\n";
		if(!is_null($row2['personal2_vn'])) {
			$hb_ok = substr($row2['personal2_vn'],0,1).".".substr($row2['personal2_nn'],0,1).".";
			$hb_tt = stwToolTip($row2['personal2_vn'].' '.$row2['personal2_nn'].': '.$row2['ok_datum']);
		} else {
			$hb_tt = '';
			$post = new stwPost($row['hp_art'] == 'x' ? "i" : "o",$row2['post_id']);
			$boxen = $post->getHBCheckbox($row['hp_id']);
			$hb_ok = $post->displayBoxen($boxen,$row['hp_id'],'eigene');
		}
		$out .= "<td class=\"cl1\">";
		if($row['stich_ts'] >= $heute - 259200) {
			$out .= "<div style=\"position:absolute;background-color:white;color:black;font-weight:bold;animation:fadein 6s ease-in-out -4s infinite alternate;\">";
			$out .= " &nbsp; Stichtag: " . $row['stichtag'] . " &nbsp; </div>";
		}
		$out .= "$link_kont</td>\n<td class=\"cl1\">$link_ap</td>\n";

		$out .= "<td style=\"text-align:right\"" . stwToolTip($row2['post_art']);
		$out .= '>' . $row2['p_kname'] . "</td>\n";
		$out .= "<td class=\"cl1\"";
		if (strlen($row2['betreff']) > 30) $out .= stwToolTip($row2['betreff']);
		$out .= '>' . strCut($row2['betreff'], 30) . "</td>\n";

		if($ressort_id==0) $out .= "<td class=\"cl1\">".(empty($row['ressort_id']) ? '' : $ressorts[ $row['ressort_id'] ])."</td>\n";
		$out .= "<td class=\"cl1\">$proj</td>\n";

		$out .= "<td class=\"cl1\" style=\"text-align:right\">";
		$out .= geld_form_web($row2['rg_betrag'])."</td>\n";

		$out .= "<td class=\"cl1\" style=\"color: ".$row2['farbe'].";text-align:center\"";
		$out .= stwToolTip($row2['traeger_art']) .">".$row2['t_kname']."</td>\n";

		$angelegt = abfrage("select date_format(a.datetime, '%d.%m.%Y %H:%i'), concat(left(p.vorname,1),'.',left(p.name,1),'.'), concat(p.vorname,' ',p.name) 
							from tb_hp_angelegt a left join tb_personal p using(pers_id) where a.hp_id='{$row['hp_id']}'");
		$pb_tt = (strlen($angelegt[2]) > 0) ? stwToolTip("angelegt von $angelegt[2] am $angelegt[0] Uhr") : '';
		$out .= "<td $pb_tt class=\"cl1\">$angelegt[1]</td>\n";
		$out .= "<td $hb_tt style=\"padding:0 20px 0 0;vertical-align:middle\" >$hb_ok</td>\n";
		$out .= "<td style=\"background-color:#006600\"></td>\n";

		if($pers_id != 'all') {
			$td_id = $row['hp_id'].'_'.($ressort_id>0?$ressort_id:$row['ressort_id']).'_'.$pers_id;
			$out .= "<td id=\"$td_id\" style=\"vertical-align:middle;text-align:center\" class=\"cl1\">";
			$out .= $resCB[2] . "</td>\n";
		}

		$otherBox = getOtherRessortCheckboxes($row['hp_id'], $row['ressort_id'], $pers_id);

		if($rv) {
			$out .= "<td style=\"vertical-align:middle;text-align:center\" class=\"cl1\"><table cellpadding=\"0\" cellspacing=\"0\"><tr>\n";
			foreach($otherBox as $ma => $box) {
				if($box[0] && ($box[1]=='fa' || $box[1]=='fe')) {
					$td_id = $row['hp_id'].'_'.($ressort_id>0?$ressort_id:$row['ressort_id']).'_'.$ma;
					$out .= "<td id=\"$td_id\" style=\"vertical-align:middle;text-align:center\" class=\"cl1\">";
					$out .= $box[2] . "</td>\n";
				}
			}
			$out .= "</tr></table></td>\n";
		}

		$out .= "<td style=\"vertical-align:middle;text-align:center\" class=\"cl20\"><table cellpadding=\"0\" cellspacing=\"0\"><tr>\n";
		foreach($otherBox as $ma => $box) {
			if($box[0] && ($box[1]=='ha' || $box[1]=='he')) {
				$td_id = $row['hp_id'].'_'.($ressort_id>0?$ressort_id:$row['ressort_id']).'_'.$ma;
				$out .= "<td id=\"$td_id\" style=\"vertical-align:middle;text-align:center\" class=\"cl1\">";
				$out .= $box[2] . "</td>\n";
			}
		}
		$out .= "</tr></table></td>\n";

		if ($_SESSION[$AppCode]['ULV'] >= 96 || (check_nutzer_rechte(48) && $row2['postart_id'] != 4 && $row2['postart_id'] != 10)){
			$out .= "<td class=\"cl1\"><a style=\"color: #FF0000;\" ";
			$out .= "onclick=\"return confirm('Soll der Posteingang wirklich endg&uuml;ltig gel&ouml;scht werden?')\" ";
			$out .= "href=\"post_del_sql.php?type=in&id={$row['hp_id']}\" ";
			$out .= stwToolTip('<b>VORSICHT!</b> L&ouml;schen!') . ">X</a></td>\n";
		}	else {
			$out .= "<td>&nbsp;</td>\n";
		}
		$out .= "</tr>\n";
		if(isset($_GET['update_nyts'])) {
			$ende = false;
			$done = abfrage1("select betr_e_a from tb_pers_hp_ressort where hp_id='{$row['hp_id']}' and ressort_id='".($ressort_id>0?$ressort_id:$row['ressort_id'])."' and betr_e_a in ('he','ha') and ok_pers_id > 0");
			if(mysql_num_rows($done) > 2) $ende = true;
			else while($bea = mysql_fetch_row($done)) {
				if($bea[0] == 'he') $ende = true;
			}
			if($ende) {
				$aktive = abfrage1("select pers_id from tb_pers_hp_ressort where hp_id='{$row['hp_id']}' and ressort_id='".($ressort_id>0?$ressort_id:$row['ressort_id'])."' and aktiv='j' and ok_pers_id = 0");
				if(mysql_num_rows($aktive) == 0) abfrage2("UPDATE tbh_hp_ressort set erledigt='j' where hp_id='{$row['hp_id']}' and ressort_id='".($ressort_id>0?$ressort_id:$row['ressort_id'])."'");
				continue;
			}
		}
		$continue = false;
		if($pos == 0 && $pers_id != 'all' && (empty($resCB[3]) || $resCB[0]>=2)) {
			$continue = true;;
			if($resCB[0]>=2) { /* Vertretung */
				if(empty($projekt->fb) && $rfb[0] == -1) {
					$continue = false;
				} else $aVert[] = $out;
			} else $nyts[] = $out;
		}
		if($resCB[0] < 2 && $pers_id != 'all') {
			$resCB = getVertrRessortCheckbox($row['hp_id'],($ressort_id>0?$ressort_id:$row['ressort_id']),$pers_id);
			if($resCB[0]) $I++;
		}
		if($continue) continue;
		if($lastID != $row['hp_id'].'-'.($ressort_id>0?$ressort_id:$row['ressort_id'])) {
			echo $out;
			$lastID = $row['hp_id'].'-'.($ressort_id>0?$ressort_id:$row['ressort_id']);
			if($pers_id != 'all' && $pos == 0) abfrage2("insert into tbh_pers_hp_ressort_aktiv values($pers_id,{$row['hp_id']}," . ($ressort_id>0?$ressort_id:$row['ressort_id']) . ")");
			$cnt++;
			flush();
		}
	}
  }
  echo "<script type=\"text/javascript\"><!--\n";
  echo "document.getElementById('".$cntIDs[ $pos ]."').innerHTML = $cnt;\n";
  echo "\n--></script>\n";
  if($pos == 0 && sizeof($aVert) > 0) {
	echo "<tr><td colspan=\"5\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,0,99,0) . "\" height=\"9\" width=\"100%\" /></td>";
	echo "<td colspan=\"3\" style=\"font-size:8pt;text-align:center;color:#009900\">".sizeof($aVert)." Posteing&auml;nge mit aktiver Vertretung ".pers_kname($pers_id)."</td>";
	echo "<td colspan=\"26\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,0,99,0) . "\" height=\"9\" width=\"100%\"></td></tr>\n";
	foreach($aVert as $out) echo $out;
	flush();
  }
  if($pos == 0 && sizeof($nyts) > 0) {
	echo "<tr><td colspan=\"5\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,0,99,0) . "\" height=\"9\" width=\"100%\" /></td>";
	echo "<td colspan=\"3\" style=\"font-size:8pt;text-align:center;color:#009900\">".sizeof($nyts)." Posteing&auml;nge ohne Handlungsbedarf f&uuml;r ".pers_kname($pers_id)."</td>";
	echo "<td colspan=\"26\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,0,99,0) . "\" height=\"9\" width=\"100%\"></td></tr>\n";
	foreach($nyts as $out) echo $out;
	flush();
  }
}
echo "</table>\n";
echo "<div id=\"bugfix\"></div>";
new stwEnd(81, 1); 
?>