<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_ab_k.php 2883 2018-08-31 07:57:48Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
 $seite = 38;
 $level = 97;

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 require_once($pfad."inc/stw.inc.php");
 require_once($pfad."inc/ab.inc.php");

 /* Aufruf der eigenen Seite merken in $_SESSION[$AppCode]["URL"] */
 set_session_url();

 /* Speichern Textfelder 'Begruendung Mehrstunden' */
if(isset($_POST['saveMStBegr'])) {
	$pid = intval($_REQUEST['proj_id']);
	$text = $_POST['text'];
	abfrage2("replace into tb_ab_proj_fm set proj_id='$pid', ab_monat='$rvar_abjahr-$rvar_abmonat-01', fm='2';");
	abfrage2("INSERT INTO tb_ab_mehrst_begr VALUES ('$pid','$rvar_abjahr-$rvar_abmonat-01','j','','$text','$uid',NULL) ON DUPLICATE KEY UPDATE titel='', text='$text', pers_id='$uid';");
}

/* checkbox 'Begruendung Mehrstunden' Haken setzen */
if(isset($_GET['beg_check'])) {
	$pid = intval($_GET['beg_check']);
	abfrage2("INSERT INTO tb_ab_mehrst_begr VALUES ('$pid','$rvar_abjahr-$rvar_abmonat-01','j','','',0,NULL) ON DUPLICATE KEY UPDATE checked='j';");
	abfrage2("replace into tb_ab_proj_fm set proj_id='$pid', ab_monat='$rvar_abjahr-$rvar_abmonat-01', fm='2';");
}

/* checkbox 'Begruendung Mehrstunden' Haken entfernen */
if(isset($_GET['beg_uncheck'])) {
	$pid = intval($_GET['beg_uncheck']);
	abfrage2("UPDATE tb_ab_mehrst_begr SET checked='n' WHERE proj_id='$pid' AND ab_monat='$rvar_abjahr-$rvar_abmonat-01';");
}

/* Zeitkarten von TTT-Projekten ggf. sperren */
if ($_POST['zk_sperren'] > 0){
	$sql  = "update tb_ab_zk set sperre = 'j', ";
	$sql .= "sperre_id = '{$_SESSION[$AppCode]['UID']}', ";
	$sql .= "sperre_dt = now() where zk_id = '{$_POST['zk_sperren']}' limit 1;";
	abfrage2($sql);
}

/* Zeitkarten von TTT-Projekten ggf. entsperren */
if ($_POST['zk_entsperren'] > 0){
	$sql  = "update tb_ab_zk set sperre = 'n', ";
	$sql .= "sperre_id = NULL, ";
	$sql .= "sperre_dt = NULL where zk_id = '{$_POST['zk_entsperren']}' limit 1;";
	abfrage2($sql);
}

/* Zeitkarten AB Nein setzen */
if ($_POST['reset'] > 0){
	$sql = "update tb_ab_zk set ab = 'n', ab_monat = NULL 
			where zk_id = '{$_POST['reset']}' limit 1;";
	abfrage2($sql);
}

$alt_codes = getConf('alt_codes');
if($alt_codes) {
	$codeArray = array();
	$codes = abfrage1("select code,code2 from tb_ab_code4");
	while($c = mysql_fetch_row($codes)) $codeArray[$c[0]] = $c[1];
}

 printf("<form name=\"ab2form\" action=\"pro_ab_k.php\" method=\"get\">\n");
 printf("<table>\n<tr>\n");

 printf("<th style=\"vertical-align:middle\">Abrechnungsmonat:&nbsp;</th><td>");
 printf("<select name=\"abmonat\">\n");

 if ($_GET["abmonat"]) $monat = $_GET["abmonat"]; else $monat = date('n');

$monat = (isset($_GET['abmonat'])) ? $_GET['abmonat'] : date('n');

for ($i = 1; $i <= 12; $i++)
{
	$dt = strftime("%B", mktime(0,0,0,$i,1,1));
	echo "<option value=\"$i\"";
	echo " onClick=\"self.location.href='";
	echo $_SERVER["PHP_SELF"] . "?abmonat=$i&abjahr={$_GET["abjahr"]}&proj_id=$rvar_proj_id'\"";
	if ($monat == $i) {
		echo " selected ";
	}
	echo ">$dt</option>\n";
}

printf("</select>\n</td>\n<td><select name=\"abjahr\">");
$jahr = (isset($_GET['abjahr'])) ? $_GET['abjahr'] : date('Y');

$abm = date('Y-m-d', mktime(0,0,0,$monat,1,$jahr));

$y = date('Y') + 1;
$x = $y - 5;

for ($i = $x; $i <= $y; $i++)
{
	echo "<option value=\"$i\"";
	echo " onClick=\"self.location.href='";
	echo $_SERVER["PHP_SELF"] . "?abmonat={$_GET["abmonat"]}&abjahr=$i&proj_id=$rvar_proj_id'\"";
	if ($jahr == $i) {
		echo " selected ";
	}
	echo ">$i</option>\n";
}
$daten = ab_cal($monat, $jahr);
?>
</select>
</td>
<td>
<input type="hidden" name="proj_id" value="<?php echo $rvar_proj_id; ?>">
<input type=submit value='W&auml;hlen!'>
</td>
<td width=5></td>
<td style="vertical-align:middle">
<a href="<?php echo $_SERVER["PHP_SELF"]; ?>?abmonat=<?php echo $daten['vmm']; ?>&abjahr=<?php echo $daten['vmj']?>&proj_id=<?php echo $rvar_proj_id; ?>">zur&uuml;ck</a>
</td>
<td width=5></td>
<td style="vertical-align:middle">
<a href="<?php echo $_SERVER["PHP_SELF"]; ?>?abmonat=<?php echo $daten['fmm']; ?>&abjahr=<?php echo $daten['fmj']?>&proj_id=<?php echo $rvar_proj_id; ?>">vor</a>
</form>
</td>
</tr>
</table>

<?php
new stwLine(1);
$projekt = &new stwProjekt($rvar_proj_id);
$gruppe = abfrage1("SELECT proj_id_gruppe FROM tbh_projekt_gruppe WHERE proj_id_gruppe='$rvar_proj_id'");
$projektgruppe = (mysql_num_rows($gruppe) > 0);
$sql = "SELECT proj_id_gruppe FROM tbh_projekt_gruppe 
		WHERE proj_id='$rvar_proj_id' 
		AND von < date_add('$abm',INTERVAL 1 MONTH) 
		AND (bis is NULL OR bis >= '$abm')";
$pgr = abfrage($sql);
if(empty($pgr[0])) $gruppenprojekt = false;
else {
	$sql = "SELECT g.proj_id FROM tbh_projekt_gruppe g
			LEFT JOIN tbh_proj_personen pp USING(proj_id)
			LEFT JOIN tb_personen pers USING(person_id)
			WHERE g.proj_id_gruppe='$pgr[0]'
			AND pers.name IS NULL AND pers.vorname IS NULL";
	$gpr = abfrage($sql);
	$gruppenprojekt = $gpr[0];
}
?>
<table>
<tr>
<th>Projekt-Nr.</th>
<td width="2"></td>
<?php
$sql = "select t3.personaltyp, left(t1.vorname,1), t1.name from tb_personal t1
		left join tbh_pers_proj t2 using (pers_id)
		left join tb_personaltyp t3 using (personaltyp_id)
		where t2.proj_id = '$rvar_proj_id' order by t2.personaltyp_id limit 3";
$res = mysql_query($sql) or die(mysql_error());

for($i=0;$i<3;$i++) {
	echo "<td>";
	if($betr = mysql_fetch_row($res)) echo "$betr[0]";
	echo "</td>\n<td></td>\n";
}

echo "<th>akt. FLS</th>\n";
echo "<td width=\"2\"></td>\n";
echo "<th>Vormonat</th>\n";
echo "<td width=\"2\"></td>\n";
echo "<th>FLS Soll</th>\n";
echo "<td width=\"2\"></td>\n";
echo "<th>geleistet</th>\n";
echo "<td width=\"2\"></td>\n";
if(!empty($projekt->pauschalVuN)) {
	echo "<th class=\"cl1\">".$projekt->prozVuN."%<small> Doku</small></th>\n";
	echo "<td width=\"2\"></td>\n";
	echo "<th class=\"cl1\">in Abr.</th>\n";
	echo "<td width=\"2\"></td>\n";
}

echo "<th>&Uuml;bertrag</th>\n";
if ($projekt->pool()){
	echo "<td width=\"2\"></td>\n<th>Pool-Stand</th>\n";
}
echo "<td width=\"2\"></td>\n";
echo "<th colspan=\"4\">Kappung</th>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td align=\"left\">".$projekt->link()."</td>\n";
echo "<td width=\"2\"></td>\n";

$sql = "select t3.personaltyp, left(t1.vorname,1), t1.name from tb_personal t1
		left join tbh_pers_proj t2 using (pers_id)
		left join tb_personaltyp t3 using (personaltyp_id)
		where t2.proj_id = '$rvar_proj_id' order by t2.personaltyp_id limit 3";
$res = mysql_query($sql) or die(mysql_error());

for($i=0;$i<3;$i++) {
	echo "<td>";
	if($betr = mysql_fetch_row($res)) echo "$betr[1].&nbsp;$betr[2]";
	echo "</td>\n<td width=\"2\"></td>\n";
}

$tt = "";
if($projekt->kontaktst()) $tt .= "KLS = " . fls_form($projekt->wost_kontaktstunden());
if($projekt->fallbegleitung()) $tt .= "<br>Fallbegleitung: ja";
stunden_zelle($projekt->wost(), $tt, 'cl1', $projekt->kontaktst(), $projekt->fallbegleitung(), false);
echo "<td width=\"5\"></td>\n";

$dat_vm = $projekt->fls_vormonat($abm);
$dat_soll = $projekt->fls_monat($abm);
$dat_gel = $projekt->fls_gesamt($abm);
$dat_fz = $projekt->fls_fz($abm);
$dat_ueber = $projekt->fls_folgemonat($abm);

if(!empty($projekt->pauschalVuN)) {
	$dat_vun = $projekt->fls_vun_pauschal($abm);
	$dat_gel -= $dat_vun;
}

stunden_zelle($dat_vm);
echo "<td width=\"5\"></td>\n";
stunden_zelle($dat_soll);
echo "<td width=\"5\"></td>\n";
stunden_zelle($dat_gel);
echo "<td width=\"5\"></td>\n";

if(!empty($projekt->pauschalVuN)) {
	stunden_zelle($dat_vun);
	echo "<td width=\"5\"></td>\n";
	stunden_zelle($dat_gel + $dat_vun);
	echo "<td width=\"5\"></td>\n";
}

stunden_zelle($dat_ueber);

if ($projekt->pool()){
	echo "<td width=\"5\"></td>\n";
	echo "<th class=\"cl1\" " . $projekt->pool_style() . ">" . fls_form($projekt->pool_stand()) . "</th>";
}
echo "<td width=\"5\"></td>\n<td width=\"10\"></td>\n";
$projekt->fls_uebertrag($abm, "pro_ab_k.php");
echo "<td width=\"5\"></td></tr>\n";
new stwTabLine(1,30);
echo "<tr><td colspan=\"10\"><table cellspacing=\"0\" cellpadding=\"0\">";
echo "<tr><th class=\"cl1\"".stwToolTip('sachlich gepr&uuml;ft').">sachl.?</th>";

$kont = abfrage("select kontrolle, pers_id, date_format(datetime, '%d.%m.%Y %H:%i'),
				pers_id_hb, date_format(datetime_hb, '%d.%m.%Y %H:%i'),
				pers_id_rech, date_format(datetime_rech, '%d.%m.%Y %H:%i')
				from tb_ab_proj_kont
				where proj_id = $projekt->id
				and ab_monat = '{$daten['von']}';");
if(empty($kont[0]) && empty($kont[1])) {
	$parent = abfrage("select proj_id_parent from tb_pro_inheritance where proj_id_child='$projekt->id'");
	if($parent[0])
		$kont = abfrage("select kontrolle, pers_id, date_format(datetime, '%d.%m.%Y %H:%i'),
						pers_id_hb, date_format(datetime_hb, '%d.%m.%Y %H:%i'),
						pers_id_rech, date_format(datetime_rech, '%d.%m.%Y %H:%i')
						from tb_ab_proj_kont
						where proj_id = '$parent[0]'
						and ab_monat = '{$daten['von']}';");
}

$abrechnung = abfrage("select n.nachw_id from tb_ab_nachw n left join tb_ab_zk z using(nachw_id) where n.datum='{$daten['von']}' and z.proj_id='$projekt->id'");
if (($kont[0] & 4) > 0){
	if(($kont[0] & 1) > 0 || $_SESSION[$AppCode]["ULV"] < 96 || !empty($abrechnung[0])) $ja = 'JA';
	else {
		$ja = "<a href=\"pro_ab_kont_sql.php?proj_id=$projekt->id&rech=n&ab_monat=".$daten['von']."\" style=\"color:lime;\">JA</a>";
	}
	$st  = "style=\"color:lime;font-weight:bold; padding-right:10px\"";
	$st .= stwToolTip(pers_kname($kont[5]) . ", $kont[6]");
	echo "<td $st>$ja</td>\n";
} else {
	echo "<td class=\"cl11\">";
	$color = "red";
	if($projekt->ab != 'j' && $projekt->ab != 'h') {
		echo $_SESSION[$AppCode]["ULV"] >= 96 && empty($abrechnung[0]) ? "<a href=\"pro_ab_kont_sql.php?proj_id=$projekt->id&rech=j&ab_monat=".$daten['von']."\" " : "<b ";
		echo stwToolTip("keine Pr&uuml;fung notwendig!");
		$color = "#AAAAAA";
		$a = $_SESSION[$AppCode]["ULV"] >= 96 && empty($abrechnung[0]) ? '</a>' : '</b>';
	} elseif(($kont[0] & 1) > 0 || !empty($abrechnung[0])) {
		echo "<b " . stwToolTip("keine Pr&uuml;fung mehr m&ouml;glich!");
		$a = '</b>';
	} elseif(check_nutzer_rechte(89)) {
		echo "<a href=\"pro_ab_kont_sql.php?proj_id=$projekt->id&rech=j&ab_monat=".$daten['von']."\" ";
		$a = '</a>';
	} else {
		echo "<b ";
		$a = '</b>';
	}
	if(!empty($kont[5])) echo stwToolTip(pers_kname($kont[5]) . ", $kont[6]");
	echo "style=\"color:$color;font-weight:bold\">NEIN$a</td>\n";
}
echo "<th class=\"cl1\"".stwToolTip('inhaltlich gepr&uuml;ft').">Inhalt?</th>";
if (($kont[0] & 1) > 0){
	if($_SESSION[$AppCode]["ULV"] < 96 || !empty($abrechnung[0])) $ja = 'JA';
	else {
		$ja = "<a href=\"pro_ab_kont_sql.php?proj_id=$projekt->id&inh=n&ab_monat=".$daten['von']."\" style=\"color:lime;\">JA</a>";
	}
	$st  = "style=\"color:lime;font-weight:bold; padding-right:10px\"";
	$st .= stwToolTip(pers_kname($kont[1]) . ", $kont[2]");
	echo "<td $st>$ja</td>\n";
} else {
	echo "<td class=\"cl11\">";
	if(check_nutzer_rechte(15) && empty($abrechnung[0])) {
		echo "<a href=\"pro_ab_kont_sql.php?proj_id=$projekt->id&inh=j&ab_monat=".$daten['von']."\" ";
		$a = '</a>';
	} else {
		echo "<b ";
		$a = '</b>';
	}
	if(!empty($kont[1])) echo stwToolTip(pers_kname($kont[1]) . ", $kont[2]");
	echo "style=\"color:red;font-weight:bold\">NEIN$a</td>\n";
}
echo "<th class=\"cl1\"".stwToolTip('Best&auml;tigung durch Hauptbetreuer').">HB?</th>";
if (($kont[0] & 2) > 0){
	if($_SESSION[$AppCode]["ULV"] < 96 || !empty($abrechnung[0])) $ja = 'JA';
	else {
		$ja = "<a href=\"pro_ab_kont_sql.php?proj_id=$projekt->id&hb=n&ab_monat=".$daten['von']."\" style=\"color:lime;\">JA</a>";
	}
	$st  = "style=\"color:lime;font-weight:bold; padding-right:10px\"";
	$st .= stwToolTip(pers_kname($kont[3]) . ", $kont[4]");
	echo "<td $st>$ja</td>\n";
} else {
	echo "<td class=\"cl11\">";
	if($_SESSION[$AppCode]["ULV"] >= 96 && empty($abrechnung[0])) {
		echo "<a href=\"pro_ab_kont_sql.php?proj_id=$projekt->id&hb=j&ab_monat=".$daten['von']."\" ";
		$a = '</a>';
	} else {
		echo "<b ";
		$a = '</b>';
	}
	if(!empty($kont[3])) echo stwToolTip(pers_kname($kont[3]) . ", $kont[4]");
	echo "style=\"color:red;font-weight:bold\">NEIN$a</td>\n";
}

$hp = abfrage( "select hp_id, date_format(datum,'%d.%m.%Y') from tb_hp where proj_id='$projekt->id' and hp_art in ('h','h2') 
				and datum < DATE_ADD('{$daten['von']}', INTERVAL 1 MONTH) order by datum desc limit 1" );
if($hp[0]) {
	echo "<th style=\"color:white\"".stwToolTip('Hilfeplan').">HP:</th>\n";
	$query  = "SELECT t1.minimalkonsens FROM tb_hp_eg t1 "
			. "INNER JOIN tb_hp t2 ON t2.hp_id = t1.hp_id "
			. "WHERE t2.proj_id = '$projekt->id'";
	$hauptziel = abfrage($query);
	$title = "<b>Hauptziel:</b><br />" . $hauptziel[0];
	$ziele  = abfrage1("SELECT nummer, ziel FROM tb_hp_praxisziele"
					. " WHERE hp_id IN ("
						. " SELECT hp_id FROM tb_hp"
						. " WHERE proj_id = '$projekt->id'"
						. " AND datum < '{$daten['von']}')"
					. " AND LE='1' AND HE='1' AND ASD='1' AND"
					. " (erledigt IS NULL OR erledigt = '0000-00-00')"
					. " ORDER BY nummer ASC");
	if(mysql_num_rows($ziele) > 0) {
	  $title .= "<br /><b>Praxisziele:</b><br /><ol style=\"margin:0px;\">";
	  while($ziel = mysql_fetch_row($ziele)) {
		$title .= "<li value='$ziel[0]'>$ziel[1]</li>";
	  }
	  $title .= "</ol>";
	}
	$tt = stwToolTip($title);
	echo "<td><a style=\"color:white\" $tt href=\"pro_hp2.php?proj_id=$projekt->id&amp;hp_id=$hp[0]\">$hp[1]</a></td>";
}

echo "</tr></table></td>";
echo "<th colspan=\"4\" style=\"text-align:right;\">davon Fahrzeit: </th>";
stunden_zelle($dat_fz);
echo "<td width=\"5\"></td>\n";
$proz = $dat_gel > 0 ? 100 * ($dat_fz / ($dat_gel + ($projekt->kontaktst($abm) ? $dat_fz : 0))) : 0;
echo "<th style=\"text-align:center\">" . proz_form($proz) . "</th>";
if($ulv >= 96) {
	$lastMAtext = abfrage("select text from tb_ab_mehrst_begr where pers_id='{$_SESSION[$AppCode]["UID"]}' order by zeit desc limit 1");
	echo "<textarea style=\"display:none\" id=\"lastMAtext\">$lastMAtext[0]</textarea>\n";
	echo "<script type=\"text/javascript\"><!--\n";
	echo "function doTT(id,text) {\n";
	echo "var str = '<form method=\"post\" action=\"pro_ab_k.php?proj_id=$projekt->id&abmonat=$rvar_abmonat&abjahr=$rvar_abjahr\">';\n";
	echo "str += '<input type=\"hidden\" name=\"proj_id\" value=\"';\n";
	echo "str += id;\n";
	echo "str += '\">Sehr geehrte Damen und Herren,';\n";
	echo "str += '<input type=\"button\" style=\"width:30px;height:23px;position:absolute;left:320px;background-image:url(";
	echo Image('archiv',19,14,0,0,0) . ");background-repeat:no-repeat;background-position:4px 3px;\" onclick=\"this.form.text.value+=';\n";
	$lastPrText = abfrage("select text from tb_ab_mehrst_begr where proj_id='$projekt->id' order by zeit desc limit 1");
	echo "str += \"'" . str_replace("\n","\\n",htmlspecialchars($lastPrText[0])) . "'\";\n";
	echo "str += ';return false;\" title=\"...den Text der letzten Mehrstunden-Begr&uuml;ndung dieses Projekts einf&uuml;gen\" />';\n";
	echo "str += '<input type=\"button\" style=\"width:30px;height:23px;position:absolute;left:356px;background-image:url(";
	echo Image('person',16,16,0,0,0) . ");background-repeat:no-repeat;background-position:5px 3px;\" onclick=\"this.form.text.value+=';\n";
	echo "str += \"document.getElementById('lastMAtext').value;\";\n";
	echo "str += ';return false\" title=\"...den Text Ihrer letzten Mehrstunden-Begr&uuml;ndung einf&uuml;gen\" />';\n";
	echo "str += '<br><br>';\n";
	echo "var text2 = 'text' + id;\n";
	echo "str += '<span style=\"vertical-align:top;\">Text: </span><textarea onkeyup=\"document.ab2form.';\n";
	echo "str += text2;\n";
	echo "str += '.value = this.value\" style=\"width:350px\" rows=\"6\" name=\"text\">';\n";
	echo "str += text;\n";
	echo "str += '</textarea>';\n";
	echo "str += '<br><br>Mit freundlichen Gr&uuml;&szlig;en...';\n";
	echo "str += '<br><br><input name=\"saveMStBegr\" type=\"submit\" value=\"speichern\"></form>';\n";
	echo "Tip(str, BGCOLOR, '#999999', CLOSEBTN, 1, DELAY, 0, TITLE, 'Begr&uuml;ndung Mehrstunden',TITLEBGCOLOR, '#006600', WIDTH, 400, HEIGHT, 190, FIX, [id,-10,-20], TITLEALIGN, 'center', TITLEFONTSIZE, '10px', STICKY, 1);\n";
	echo "}\n--></script>\n";

	$tt = stwToolTip('Begr&uuml;ndung Mehrstunden');
	echo "<th colspan=\"5\" $tt style=\"text-align:right\">Begr. Mehrstd.:</th>";
	$mehrst_begr = abfrage_array("select * from tb_ab_mehrst_begr where proj_id='$projekt->id' and ab_monat='$abm'");
	$checked = $mehrst_begr['checked']=='j' ? 'checked' : '';
	$check = $mehrst_begr['checked']=='j' ? 'beg_uncheck' : 'beg_check';
	echo "<td><input type=\"checkbox\" $checked onclick=\"self.location.href='pro_ab_k.php?proj_id=$projekt->id&abmonat=$monat&abjahr=$jahr&$check=$projekt->id'\"></td>\n";
	echo "<textarea id=\"text$projekt->id\" name=\"text$projekt->id\" style=\"display:none\">$mehrst_begr[4]</textarea>\n";
	if(strlen($mehrst_begr[3])==0 && strlen($mehrst_begr[4])==0) {
		$dat = 'daten';
		$tt = '';
	} else {
		$dat = 'daten_gruen';
		$tt = stwToolTip($mehrst_begr[4]);
	}
	echo "<td><img $tt src=\"img/$dat.png\" id=\"$projekt->id\" ";
	echo "onmousedown=\"doTT('$projekt->id',document.ab2form.text$projekt->id.value);return false;\"></td>\n<td>";
	if(strlen($mehrst_begr[3])>0 || strlen($mehrst_begr[4])>0) {
		echo "<a href=\"pro_pr_antrag.php?proj_id=$projekt->id&amp;ab_monat=$abm&amp;ts=" . time() . "\" target=\"_pdf\">";
		echo "<img alt=\"druck\" src=\"img/drucker.png\" /></a>";
	}
	echo "</td>";
}
echo "</tr></table>";
new stwLine(1); 
$skin5co = abfrage("select farbe from tb_skin where id=5");
echo "<table style=\"background-color:$skin5co[0]\">\n";
echo "<tr>\n";
echo "<th><a href=\"" . $_SERVER["PHP_SELF"] . "?sort=dat&proj_id=$rvar_proj_id&abmonat=$monat&abjahr=$jahr\">Datum</a></th>\n";
echo "<td width=\"2\"></td>\n";
echo "<td></td>";
echo "<th>von</th><td width=\"2\"></td>\n";
echo "<th>bis</th><td width=\"2\"></td>\n";
echo "<th>FLS</th><td width=\"2\"></td>\n";
if(getConf('vor_nach_b') == 1 || (getConf('tt_vor_nach_b') == 1 && ($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH')))
	echo "<th>VuN</th><td width=\"2\"></td>\n";
echo "<th>Fahrt</th><td width=\"2\"></td>\n";
echo "<th style=\"text-align:center\"" . stwToolTip("prozentualer Anteil Fahrzeit") . ">%</th><td width=\"\"></td>\n";
echo "<th><a href=\"" . $_SERVER["PHP_SELF"] . "?sort=bet&proj_id=$rvar_proj_id&abmonat=$monat&abjahr=$jahr\">Betreuer</a></th>\n";
echo "<td width=\"2\"></td>\n";

$c_cnt=abfrage("select count(a.zk_id) from tb_ab_zk a
				left join tb_termine t using (termin_id)
				left join tb_personal b on (a.pers_id = b.pers_id)
				where a.proj_id = $rvar_proj_id
				and a.ab = 'j' and a.code = 'C'
				and ab_monat = '{$daten['von']}'");

echo "<td><b style=\"color:#FFCC00\">Code</b>";
if($c_cnt[0] > 0) {
	echo "<br /><";
	echo $c_cnt[0]>2 ? "b name=\"blink\"" : 'span';
	echo stwToolTip("Anzahl Zeitkarten mit C-Zeiten");
	echo "style=\"color:#00FFFF;\">C's: $c_cnt[0]</";
	echo $c_cnt[0]>2 ? "b>" : 'span>';
}
echo "</td><td width=\"2\"></td>\n";
echo "<th>Inhalte</th><td width=\"2\"></td>\n";
echo "<th>Spesen</th><td width=\"2\"></td>\n";
echo "<th>km<br>Dienst</th><td width=\"2\"></td>\n";
echo "<th>km<br>Privat</th>\n";
$kmg = $projekt->kilometergeld($abm);
if($kmg[0] == 'j') echo "<td width=\"2\"></td><th>abw.<br>km&nbsp;JA</th>\n";
if($projekt->kmgpauschale) echo "<td width=\"2\"></td><th".stwToolTip('Kilometergeldpauschale').">kmg(p)</th>\n";
echo "</tr>\n";

if (isset($_GET["sort"])){
	switch ($_GET["sort"]) {
 	   case 'dat':
			$order = " order by unix_timestamp(t.von) asc;";
			break;
		case 'bet':
			$order = " order by b.vorname asc, b.name asc,
						unix_timestamp(t.von) asc;";
			break;
	}
} else {
	$order = " order by unix_timestamp(t.von) asc;";
}

$r_cnt=abfrage("select sum(time_to_sec(fls)/3600)
				from tb_ab_zk where proj_id = '$rvar_proj_id'
				and ab = 'j' and code = 'R' and ab_monat = '{$daten['von']}'");

$sql = "select date_format(t.von,'%d.%m.%Y'),
		time_format(t.von,'%k:%i'),
		time_format(t.bis,'%k:%i'),
		time_format(if(time_to_sec(a.fls2) > 0, a.fls2, a.fls), '%k:%i'),
		time_format(if(time_to_sec(a.fz2) > 0, a.fz2, sec_to_time(unix_timestamp(t.bis) -
			unix_timestamp(t.von) - time_to_sec(a.fls) - time_to_sec(a.vun))), '%k:%i'),
		a.pers_id,
		a.code,
		a.inhalte,
		a.zk_id,
		a.proj_id,
		(concat(left(b.vorname,1), '. ', b.name)),
		a.ab,
		a.ab_monat,
		a.nachw_id,
		a.spesen_betr - a.spesen_eig,
		a.km_dienst,
		a.km_privat,
		a.kwg,
		a.zk_dat,
		UNIX_TIMESTAMP(t.bis),
		time_format(a.vun,'%k:%i'),
		km_abw_ja,
		date_format(t.bis,'%d.%m.%Y'),
		a.sperre,
		a.sperre_id,
		unix_timestamp(a.sperre_dt) as sperre_ts,
		UNIX_TIMESTAMP(t.von) as ts_von
		from tb_ab_zk a
		left join tb_termine t using (termin_id)
		left join tb_personal b on a.pers_id = b.pers_id ";
if(!$gruppenprojekt) $sql .= "where a.proj_id = $rvar_proj_id and a.ab = 'j' and ab_monat = '{$daten['von']}' ";
else {
	$sql .= "where t.von >= '{$daten['von']}' and t.von <= '{$daten['bis']} 23:59:59' 
			and (a.proj_id = '$rvar_proj_id' or (a.proj_id='$gruppenprojekt' 
			and unix_timestamp(t.von) >= ".$projekt->beginn_ts();
	if($projekt->ende_ts() > 0) $sql .= " and unix_timestamp(t.von) < ".($projekt->ende_ts()+86400);
	$sql .= ")) ";
}
$sql .= $order;
$res = mysql_query($sql) or die(mysql_error());
$lastWd = -1;
while ($row = mysql_fetch_array($res)) {
	if( $gruppenprojekt && $row['proj_id'] != $rvar_proj_id ) {
		if(!pr_gr_anwesend($rvar_proj_id,$row[0])) {
			$zk = abfrage1("select zk_id from tb_ab_zk z left join tb_termine t using(termin_id) where to_days(t.von) = to_days('" . date_gr2my($row[0]) . "') and z.proj_id='$rvar_proj_id'");
			if(mysql_num_rows($zk) == 0) continue;
		}
	}

	$wd = date('N', $row['ts_von']);
	if($wd > $lastWd) new stwTabLine(2,30);
	elseif($wd < $lastWd) new stwTabLine(1,30);
	else new stwTabLine('#555555',30);
	$lastWd	= $wd;

	$class = (empty($row[5]) && $row[6]!='$' && $row[6]!='U') ? "style=\"background-color:#0000FF\"" : "class=\"mo\"";
	echo "<tr $class>";

	if ($row[11] == 'j'){
		$co = $zk_abja;
		$ti = "abrechnungsrelevant";
		if (!empty($row[12])){
			$co = $zk_abgerechnet;
			$ti = "abgerechnet";
			if (!empty($row[13])){
				$co = $zk_abgelegt;
				$ti = "abgelegt";
			}
		}
	} else {
		$co = $zk_ab_nein;
		$ti = "Termin";
	}
	if($projekt->h_art == 'TTT' && $row['sperre'] != 'j') $co = '#FF6600';
	if(empty($row[5]) && $row[6]!='$' && $row[6]!='U') $ti = "<b>FEHLER!</b> Kein Betreuer eingetragen";
	if($row[6]=='$') $ti = "Zeitkarte zur <b>Spesen</b>-Abrechnung";
	$st = "style=\"color:$co\"";
	$ti = stwToolTip($ti);
	$wday = $row[6] == 'U' ? '&nbsp; &nbsp;' : strftime('%a', $row[19]);
	echo "  <td>$wday <a href=\"pro_ab_zk.php?zk_id=$row[8]&proj_id=$row[9]&";
	echo "kt=1&abmonat=$monat&abjahr=$jahr\" $st $ti>$row[0]</a></td>\n";
	echo "  <td width=\"2\">";
		/* Checkbox Zeitkartengenehmigung (vormals ZK-Sperre) - nur TTT-Projekte! */
	if ($projekt->h_art == 'TTT') {

		echo "<form action=\"{$_SERVER['PHP_SELF']}?proj_id=$projekt->id&abmonat=$monat&abjahr=$jahr\" method=\"post\">\n";
		$ttt_cb_value = $row['zk_id'];

		if ($row['sperre'] == 'j'){ /* ZK ist genehmigt -> Checkbox loescht Gen. */

			echo "<input type=\"hidden\" name=\"zk_entsperren\" value=\"{$row['zk_id']}\">\n";

			$ttt_cb_name = 'zk_entsperren';
			$ttt_cb_checked = ' checked';
			$ttt_cb_tt  = 'Zeitkarte genehmigt';
			if ($row['sperre_id'] > 0) {
				$ttt_cb_tt .= '	durch ' . pers_name($row['sperre_id']);
			}
			if ($row['sperre_ts'] > 0) {
				$ttt_cb_tt .= ' am ' . strftime('%d.%m.%Y, %H:%M Uhr', $row['sperre_ts']);
			}

			/* nur Benutzerrecht 43 und ab Level 96 duerfen Zeitkarten ENTsperren
			 * sonst -> Checkbox inaktiv! */
			if (check_nutzer_rechte(43)){
				$ttt_cb_ro = '';
			} else {
				$ttt_cb_ro = ' disabled';
			}

		} else { /* ZK ist nicht gesperrt -> Checkbox sperrt */
			$ttt_cb_name = 'zk_sperren';
			$ttt_cb_checked = '';
			$ttt_cb_tt = 'Zeitkarte genehmigen!';

			/* nur Benutzerrecht 24 und ab Level 96 duerfen Zeitkarten sperren
			 * sonst -> Checkbox inaktiv! */
			if (check_nutzer_rechte(24)){
				$ttt_cb_ro = '';
			} else {
				$ttt_cb_ro = ' disabled';
			}
		}

		echo "<input type=\"checkbox\" name=\"$ttt_cb_name\" value=\"$ttt_cb_value\" ";
		echo stwToolTip($ttt_cb_tt) . $ttt_cb_ro . $ttt_cb_checked;
		echo " onChange=\"this.form.submit()\">\n";
		echo "</form>\n";
	}

	echo "</td>";
	echo "  <td style=\"padding-right:5px\">";
	echo ($row[17] == 1) ? "<img src=\"img/icon_kwg.png\" title=\"Kindeswohlgef&auml;hrdung!\">" : '';
	echo "</td>\n";
	if($row[6] == '$') {
		echo "<td colspan=\"3\" style=\"text-align:center\">Spesen</td>";
	} elseif($row[6] == 'U') {
		echo "<td colspan=\"3\" $st>- &nbsp; <b>$row[22]</b></td>";
	} else {
		echo "  <td>$row[1]</td>";
		echo "  <td width=\"2\"></td>";

		/* 'bis' Spalte - Einfaerbung zeigt den Eingabezeitpunkt der ZK */
		$style = ab_last_zk_style($row[19], $row[18]);
		$title = ab_last_zk_title($row[19], $row[18]);

		printf("<td style=\"%s\" title=\"%s\">%s</td>", $style, $title, $row[2]);
	}
	echo "  <td width=\"2\"></td>";
	echo "  <td>$row[3]</td>";
	echo "  <td width=\"2\"></td>";
	if(getConf('vor_nach_b') == 1 || (getConf('tt_vor_nach_b') == 1 && ($projekt->h_art == 'TTP' || $projekt->h_art == 'TTH'))) {
		echo "<td>$row[20]</td><td width=\"2\"></td>\n";
	}
	if($row[6] == '$' && empty($row[5])) {
		$ga = abfrage("select ga_id from tbh_ga_spesen where zk_id='$row[8]'");
		echo "<td colspan=\"5\"><a href=\"ga_and.php?ga_id=$ga[0]\">Gruppenarbeit</a></td>";
	} elseif($row[6] == 'U') {
		echo "<td colspan=\"5\" style=\"text-align:center\">&Uuml;berbr&uuml;ckung</td>";
	} else {
		echo "  <td>";
		if($row[4] != "00:00" && $row[4] != "0:00") {
			echo $row[4];
		} elseif($row[15]>0 || $row[16]>0) {
			echo "<span".stwToolTip("gefahrene Kilometer ohne eingetragene Fahrzeit?")."style=\"color:red\">? ? ?</span>";
		}
		echo "  </td><td width=\"2\"></td><td ";
		if($row[4] != "00:00" && $row[4] != "0:00"){
			$fls = time_hhmmss2dec($row[3]);
			$fz = time_hhmmss2dec($row[4]);
			$proz = ($fls+$fz > 0) ? $fz * 100 / ($fls + $fz) : 0;
			if($proz > 15) {
				echo "style=\"color:red\" ";
				echo stwToolTip("<b>&uuml;ber 15%</b>");
			}
			echo ">" . proz_form($proz,0);
		} else {
			$fz = 0;
			echo ">";
		}
		echo "</td>";
		echo "  <td width=\"2\"></td>";
		echo "  <td>$row[10]</td>";
	}
	echo "  <td width=\"2\"></td><td";
	if($c_cnt[0] > 2 && $row[6] == 'C') echo " name=\"blink\" style=\"color:#00FFFF;\"";
	if($row[6] == 'R') {
	  if($projekt->fallbegleitung(date_gr2my($row[0]))) {
		$von = date_isodate_stamp($row[12]);
		$bis = mktime(0, 0, 0, date("n", $von), date("t", $von), date("Y", $von));
		$arbeitstage = arbeitstage($von, $bis);
		$wochen = $arbeitstage / 5;
		if($wochen < $r_cnt[0]) {
		  echo " style=\"color:#FF6600;\"";
		  echo stwToolTip(fls_form($r_cnt[0])." Fallbegleitende Zeit abgerechnet (".fls_form($wochen)." vereinbart!)");
		}
	  } else {
		echo " style=\"color:#FF6600;text-decoration:blink;\"";
		echo stwToolTip("Fallbegleitende Zeit ohne entsprechende Vereinbarung");
	  }
	}
	echo ">";
	if($alt_codes) echo $codeArray[ $row[6] ];
	else echo ($row[6] == 'U' ? '&Uuml;' : $row[6]);
	echo "  </td><td width=\"2\"></td>";
	$inh = wordwrap($row[7], 50, "<br>");
	echo "  <td>$inh</td>";
	echo "  <td width=\"2\"></td>";
	echo "  <td style=\"text-align:right\">" . geld_form_web($row[14]) . "</td>\n";
	echo "  <td width=\"2\"></td>";
	echo "  <td style=\"text-align:right\">";
	echo ($row[15]=='0.00' && $row[16]=='0.00' && $fz>0 ) ? "<span".stwToolTip("Fahrzeit ohne eingetragene Kilometer?")."style=\"color:red\">? ? ?</span>" : km_form($row[15]);
	echo "  </td>\n<td width=\"2\"></td>";
	echo "  <td style=\"text-align:right\">" . km_form($row[16]) . "</td>\n";
	if($kmg[0] == 'j') {
		echo "  <td width=\"2\"></td>";
		echo "  <td style=\"text-align:right\">" . km_form($row[21]) . "</td>\n";
	}
	if($projekt->kmgpauschale) {
		echo "  <td width=\"2\"></td>";
		$geld = abfrage("select betrag from tb_zk_km_geld where zk_id='$row[8]'");
		echo "  <td style=\"text-align:right\">" . geld_form_web($geld[0]) . "</td>\n";
	}
	echo "  <td width=\"2\"></td>";
	if ($row[11] == 'j' && !empty($row[12]) && !empty($row[13]))
		echo "<td colspan=\"2\"></td>\n";
	else {
		echo "  <td><a href=\"nachw_zkabz_sql.php?zk_id=$row[8]\"";
		echo " title=\"Zeitkarte zur&uuml;cksetzen!\">zur&uuml;ck</a></td>\n";
		if($row[6]=='$') echo "<td></td>";
		else {
			echo "<td style=\"vertical-align:bottom\">";
			echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}?proj_id=$projekt->id&abmonat=$monat&abjahr=$jahr\">\n";
			echo "<input type=\"submit\" name=\"reset\" value=\"$row[8]\"";
			echo stwToolTip("Zeitkarte AB Nein setzen");
			echo "style=\"border:0;background-color:$skin5co[0];color:transparent;width:16px;height:14px;";
			echo "background-image:url(".Image('X_rechts',16,16,0,255,0).");background-repeat:no-repeat\"></form></td>\n";
		}
	}
	echo "</tr>\n";
}

 printf("</table>\n");

 new stwLine(1);
 new stwEnd($seite);
?>
