<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen   *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_anfsql.php 2737 2017-04-28 10:53:40Z tfreudenberg $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

require("inc/func.inc.php");
require_once("inc/azk.inc.php");

if(!isset($_POST['hilfeart_id'])) {
	header("Location: pro.php");
	exit(-1);
}

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

$anfdat = date_gr2my($rvar_anfrage);
$begdat = date_gr2my($rvar_beginn);
$gebdat = date_gr2my($rvar_geboren);

if(empty($rvar_abt_id)) {
	$abt_id = abfrage("select abt_id from tb_hilfeart where hilfeart_id = '$rvar_hilfeart_id'");
	if(!empty($abt_id[0])) $rvar_abt_id = $abt_id[0];
}

if (isset($rvar_proj_id)) {
	/* Anfrage aendern */
	$sql  = "update tb_projekte set projektnr = '$rvar_projektnr', ";
	$sql .= "hilfeart_id = '$rvar_hilfeart_id', ap_id = '$rvar_ap_id', ";
	$sql .= "anfrage = '$anfdat', anfrage_std = '$rvar_anfrage_std', ";
	$sql .= "beginn = '$begdat', ma_geschlecht = '$rvar_ma_geschlecht', ";
	if(isset($rvar_az)) $sql .= "az = '$rvar_az', ";
	$sql .= "hilfe_bisher = '$rvar_hilfe_bisher', schule = '$rvar_schule', ";
	$sql .= "problemlage = '$rvar_problemlage', familie = '$rvar_familie', ";
	$sql .= "hobbys = '$rvar_hobbys', ziele = '$rvar_ziele', ";
	$sql .= "notizen = '$rvar_notizen', wohn = '$rvar_wohn', abt_id = '$rvar_abt_id' ";
	$sql .= "where proj_id = '$rvar_proj_id';";
	abfrage2($sql);

	$sql  = "update tb_p_adressen set strasse = '$rvar_strasse', ";
	$sql .= "plz = '$rvar_plz', ort = '$rvar_ort' ";
	$sql .= "where adress_id = '$rvar_adress_id';";
	abfrage2($sql);

	$sql  = "update tb_personen set name = '$rvar_name', ";
	$sql .= "vorname = '$rvar_vorname', geboren = '$gebdat', ";
	$sql .= "geschlecht = '$rvar_geschlecht' ";
	$sql .= "where person_id = $rvar_person_id;";
	abfrage2($sql);

	$sql  = "select pers_id from tbh_pers_proj ";
	$sql .= "where proj_id = $rvar_proj_id and personaltyp_id = '1';";
	$ant = abfrage1($sql);

	if (mysql_num_rows($ant) > 0) {
		$sql  = "update tbh_pers_proj set pers_id = '$rvar_pers_id' ";
		$sql .= "where proj_id = '$rvar_proj_id' and personaltyp_id = '1';";
		abfrage2($sql);
	} else {
		$sql  = "insert into tbh_pers_proj set pers_id = '$rvar_pers_id', ";
		$sql .= "proj_id = '$rvar_proj_id', personaltyp_id = '1';";
		abfrage2($sql);
	}

  /* im AZK Cache alles zu diesem Projekt loeschen */
  azk_cache_proj_reset($rvar_proj_id);

} else {
	/* neues Projekt einfuegen */
	$sql  = "insert into tb_projekte set projektnr = '$rvar_projektnr', ";
	$sql .= "hilfeart_id = '$rvar_hilfeart_id', ap_id = '$rvar_ap_id', ";
	$sql .= "anfrage = '$anfdat', anfrage_std = '$rvar_anfrage_std', ";
	$sql .= "beginn = '$begdat', ma_geschlecht = '$rvar_ma_geschlecht', ";
	if(isset($rvar_az)) $sql .= "az = '$rvar_az', ";
	$sql .= "hilfe_bisher = '$rvar_hilfe_bisher', schule = '$rvar_schule', ";
	$sql .= "problemlage = '$rvar_problemlage', familie = '$rvar_familie', ";
	$sql .= "hobbys = '$rvar_hobbys', ziele = '$rvar_ziele', ";
	$sql .= "notizen = '$rvar_notizen', wohn = '$rvar_wohn', abt_id = '$rvar_abt_id', ";
	$standardtraeger = abfrage("select traeger_art_id from tb_hilfeart where hilfeart_id = '$rvar_hilfeart_id'");
	$sql .= "traeger_art_id='$standardtraeger[0]', ";
	$sql .= "ersteller_id = '" . $_SESSION[$AppCode]['UID'] . "', ";
	$sql .= "erstelldatum = '" . date("Y-m-d") . "';";
	abfrage2($sql);
	$projid = mysql_insert_id();

	$sql  = "insert into tb_p_adressen set strasse = '$rvar_strasse', ";
	$sql .= "plz = '$rvar_plz', ort = '$rvar_ort';";
	abfrage2($sql);
	$addrid = mysql_insert_id();

	$sql  = "insert into tb_personen set name = '$rvar_name', ";
	$sql .= "vorname = '$rvar_vorname', geboren = '$gebdat', ";
	$sql .= "geschlecht = '$rvar_geschlecht', adress_id = '$addrid';";
	abfrage2($sql);
	$personid = mysql_insert_id();

	$sql  = "insert into tbh_proj_personen set proj_id = '$projid', ";
	$sql .=	"person_id = '$personid', perstyp_id = 1;";
	abfrage2($sql);

	$sql  = "insert into tbh_pers_proj set proj_id = '$projid', ";
	$sql .= "pers_id = '$rvar_pers_id', personaltyp_id = 1;";
	abfrage2($sql);

	/* im AZK Cache alles zu diesem Projekt loeschen */
	azk_cache_proj_reset($projid);

	/* Gruppenprojekt? */
	$grha = abfrage("select gruppenprojekt from tb_hilfeart where hilfeart_id='$rvar_hilfeart_id'");
	$stdPGr = getConf('standardprojektgruppe');
	if($grha[0] == 'j' && $stdPGr > 0) {
		abfrage2("INSERT INTO tbh_projekt_gruppe SET proj_id_gruppe='$stdPGr', proj_id='$projid', von=curdate();");
		abfrage2("UPDATE tbh_pers_proj SET personaltyp_id=5 WHERE proj_id='$projid'");
		$betrs = abfrage1("select * from tbh_pers_proj where proj_id='$stdPGr'");
		while ($betr = mysql_fetch_array($betrs)) {
			abfrage2("REPLACE INTO tbh_pers_proj SET proj_id='$projid', 
													pers_id='{$betr['pers_id']}', 
													personaltyp_id='{$betr['personaltyp_id']}',
													fuer='{$betr['fuer']}',
													eingearbeitet_pers_id='{$betr['eingearbeitet_pers_id']}',
													eingearbeitet_ts='{$betr['eingearbeitet_ts']}'");
		}
	}
}

$pro_id = (isset($rvar_proj_id)) ? $rvar_proj_id : $projid;

abfrage2("DELETE FROM tbh_proj_abt WHERE proj_id='$pro_id';");
$abt_ids = explode ( ' ', $rvar_abt_ids );
foreach($abt_ids as $abt_id) {
	if($abt_id>0) abfrage2("INSERT INTO tbh_proj_abt SET proj_id='$pro_id', abt_id='$abt_id';");
}

$hp = abfrage("select hp_id from tb_hp where proj_id='$pro_id' and datum <= curdate() and prognose='j' order by datum asc limit 1");
if($hp[0]) {
	$hp_id = $hp[0];
	abfrage2("update tb_hp set hp_st='$rvar_anfrage_std', and_datum='$begdat' where hp_id='$hp_id'");
} else {
	abfrage2("insert into tb_hp set st_grund='aus Anfrage', hp_st='$rvar_anfrage_std', proj_id='$pro_id', hp_art='s', and_datum='$begdat', datum=curdate(), prognose='j'");
	$hp_id = mysql_insert_id();
}
if(isset($rvar_pers) && is_array($rvar_pers)) {
	foreach($rvar_pers as $id => $std) {
		$sql = "replace into tbh_pers_proj_hp set pers_id = '$id',
				proj_id = '$pro_id', hp_id = '$hp_id',
				personaltyp_id = '".$rvar_ptyp[ $id ]."',
				hpst = '".str_replace(',','.',$std)."';";
		abfrage2($sql);
		$sql = "UPDATE tbh_pers_proj SET 
				hpst='".str_replace(',','.',$std)."' 
				WHERE proj_id='$pro_id' and pers_id = '$id'";
		abfrage2($sql);
	}
}

header("Location: pro_anfrage.php?proj_id=$pro_id");
?>
