<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();

require("inc/auth.inc.php");
$seite = 6;
require("inc/stw.inc.php");
set_session_url();

if(!check_projekt_berechtigung($rvar_proj_id)) {
	echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
	new stwEnd($seite);
	exit(0);
}

echo "<form method=\"post\" action=\"pro_bel_sql.php\">\n";
if(isset($rvar_proj_id)) echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
if(isset($rvar_lom_id)) echo "<input type=\"hidden\" name=\"lom_id\" value=\"$rvar_lom_id\">\n";


if  (!empty($rvar_hp_id)) {
	$hp = abfrage("select h.proj_id, date_format(h.datum, '%d.%m.%Y'), h.pers_id,
					b.bel_kat_id, k.text, k.wiederholung, unix_timestamp(h.datum)
					from tb_hp h
					left join tb_hp_bel b on h.hp_id = b.hp_id
					left join tb_bel_kat k on b.bel_kat_id = k.bel_kat_id
					where h.hp_id = $rvar_hp_id;");

    $pro = &new stwProjekt($hp[0]);

    echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\">\n";
    echo "<input type=\"hidden\" name=\"pers_id\" value=\"$hp[2]\">\n";
    $pers = $hp[2];
} else {
	echo "<input type=\"hidden\" name=\"pers_id\" value=\"$uid\">\n";
	$pers = $uid;
}

echo "<table border=\"0\">\n";
echo "<tr><th colspan=\"4\">Belehrung</th><td style=\"text-align:right\">";
if(isset($rvar_hp_id)) {
	$daten = new stwDaten(36);
	$link = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $rvar_hp_id, 0);
	echo $link;
	echo "&nbsp;<a href=\"bel_pr.php?hp_id=$rvar_hp_id&ts=" . time() . "\" ";
	echo "target=\"_pdf\"><img src=\"img/drucker.png\" border=\"0\" ";
	echo stwToolTip('Belehrung drucken') . "></a>\n";
}
echo "</td></tr>\n";
new stwTabLine(2,30);
echo "<tr><th>Datum:&nbsp;</th><td width=\"5\"></td>\n";
echo "<td colspan=\"4\"><input type=\"text\" name=\"datum\" size=\"11\" maxlength=\"11\" tabindex=\"1\"";
if (isset($rvar_hp_id)) echo "value=\"$hp[1]\"";
else echo "value=\"" . date('d.m.Y') . "\"";
echo ">&nbsp;&nbsp;TT.MM.JJJJ &nbsp; ";
if($hp[5]>0) {
	$mon = intval($hp[5]);
	$day = intval(30 * ($hp[5] - $mon));
	$ndat = date('d.m.Y', mktime(0,0,0,date('n',$hp[6])+$mon,date('j',$hp[6])+$day,date('Y',$hp[6])));
	echo "&nbsp; (sollte sp&auml;testens am $ndat aufgefrischt werden)";
}
echo "</td></tr>\n";

echo "<tr>\n<th>Kategorie :</th>\n<td width=\"5\"></td>\n<td>";
if(empty($rvar_proj_id) && !empty($rvar_kat))
	echo "<input type=\"hidden\" name=\"bel_kat_id\" value=\"$rvar_kat\">\n";
echo "<select name=\"bel_kat_id\" size=\"1\" tabindex=\"2\"";
if(empty($rvar_proj_id) && !empty($rvar_kat)) echo " disabled";
echo ">\n<option value=\"0\">Kategorie w&auml;hlen!</option>\n";

if(isset($rvar_proj_id)) $abt = abfrage("select abt_id from tb_projekte where proj_id='$rvar_proj_id'");
$kats = abfrage1("select bel_kat_id, kat, text from tb_bel_kat order by kat asc;");

while ($kat = mysql_fetch_row($kats)){
  $bAbt = true;
  if(isset($rvar_proj_id)) {
	$ak = abfrage1("select abt_id from tbh_bel_kat_abt where bel_kat_id='$kat[0]' and abt_id='$abt[0]'");
	if(mysql_num_rows($ak)==0) {
	  $ak = abfrage1("select abt_id from tbh_bel_kat_abt where bel_kat_id='$kat[0]'");
	  if(mysql_num_rows($ak)>0) $bAbt = false;
	}
  }
  if(($rvar_kat == $kat[0]) || ($kat[0] == $hp[3]) || $bAbt) {
    echo "  <option ";
    echo "onClick=\"self.location.href='" . $_SERVER['PHP_SELF'] . "?kat=$kat[0]";
	if (!empty($rvar_proj_id)) echo "&proj_id=$rvar_proj_id";
	if (!empty($rvar_hp_id)) echo "&hp_id=$rvar_hp_id";
    echo "'\"";

    if ($rvar_kat == $kat[0]) {
		echo " selected";
    } else {
    	if (!empty($rvar_hp_id) && $kat[0] == $hp[3]){
    		echo " selected";
    	}
    }

    echo " value=\"$kat[0]\">$kat[1]</option>\n";
  }
}
echo "</select></td>\n";

if (isset($rvar_proj_id) && check_nutzer_rechte(81)){
echo <<<HTML
<td>
<input type="button" value="neue Kategorie" onClick="self.location.href='bel_kat.php?tg=pr'" tabindex="3">
</td>
<td>
<input type="button" value="Kategorien bearbeiten" onClick="self.location.href='bel_kat.php?tg=pr&edit=1'" tabindex="3">
</td>
HTML;
}
?>
</tr>

<tr>
<th>Text&nbsp;:<br>
<span style="font-size:9pt;color:#CCCCCC;font-style:normal">nur Anzeige!</span></th>
<td width="5"></td>
<td colspan="3">
<textarea cols="70" rows="15" name="text" tabindex="4" readonly>
<?php
if (!empty($rvar_kat)){
	$txt = abfrage("select text from tb_bel_kat where bel_kat_id = '$rvar_kat';");
	echo $txt[0];
} elseif (!empty($rvar_hp_id)){
	echo $hp[4];
} 
?>
</textarea>
</td></tr>
<?php
new stwTabLine(2,30);

if (!empty($rvar_hp_id)){
	echo "<tr><th>Teilnehmer&nbsp;:</th>\n";
	echo "<td width=\"5\"></td>\n";

	$tnm = abfrage1("select h.person_id, concat(p.vorname, ' ', p.name)
					from tbh_hp_bel_person h
					left join tb_personen p using (person_id)
					where h.hp_id = $rvar_hp_id
					order by vorname asc, name asc;");

	if (mysql_num_rows($tnm) > 0){
		echo "<td colspan=\"4\">\n";
		echo "<table border=\"0\">\n";
		while ($tn = mysql_fetch_row($tnm)){
			echo "<tr><td>$tn[1]</td>";
			echo "<td width=\"5\"></td>\n";
			echo "<td><a href=\"pro_bel_tn_sql.php?hp_id=$rvar_hp_id&person_id=$tn[0]&del=1\"";
			echo "style=\"color:red\" title=\"Teilnehmer l&ouml;schen!\">X</a></td></tr>\n";
		}
		echo "</table></td>\n";
	}

	echo "</tr>\n";

	echo "<tr><th>hinzuf&uuml;gen&nbsp;:</th>\n";
	echo "<td width=\"5\"></td>\n";

	echo "<td><select size=\"1\" tabindex=\"2\">\n";
	echo "<option>Teilnehmer w&auml;hlen!</option>\n";

	$tnm = abfrage1("select h.person_id, concat(p.vorname, ' ', p.name)
					from tbh_proj_personen h
					left join tb_personen p using (person_id)
					where h.proj_id = $rvar_proj_id
					group by h.person_id
					order by p.vorname asc, p.name asc;");

	while ($tn = mysql_fetch_row($tnm)){
		$tn1 = abfrage("select person_id from tbh_hp_bel_person
						where hp_id = $rvar_hp_id
						and person_id = $tn[0];");
		if (empty($tn1[0])){
	    	echo "  <option ";
	    	echo "onClick=\"self.location.href='pro_bel_tn_sql.php?";
			echo "hp_id=$rvar_hp_id&person_id=$tn[0]'\">$tn[1]</option>\n";
		}
	}

	echo "</select></td>\n";
	echo "<tr>\n";
} elseif(!empty($rvar_lom_id) && empty($proj_id)) {
	echo "<tr><th>Teilnehmer&nbsp;:</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td colspan=\"4\">\n";
	echo "<table border=\"0\">\n";
	$link = $_SERVER['REQUEST_URI'];
	$printLink = "bel_pr.php?kat=$rvar_kat";
	if(is_array($rvar_tn)) foreach($rvar_tn as $t){
		echo "<tr><td>".pers_name($t)."</td>";

		$sql  = "select p.proj_id from tb_projekte p ";
		$sql .= "left join tbh_pers_proj h on p.proj_id = h.proj_id ";
		$sql .= "where h.pers_id = '$t' and h.personaltyp_id = '1' ";
		$sql .= "AND (p.ende > curdate() OR p.ende IS NULL OR p.ende='0000-00-00') ";
		$sql .= "ORDER BY (unix_timestamp(p.ende)=0) DESC, p.ende DESC LIMIT 1";
		$proj_id = abfrage($sql);

		echo "<td width=\"5\"><input type=\"hidden\" name=\"proj_ids[]\" value=\"$proj_id[0]\"></td>\n";
		$printLink .= "&proj_ids[]=$proj_id[0]";
		echo "<td><a href=\"" . str_replace("&tn[]=$t",'',$link);
		echo "\" style=\"color:red\" title=\"Teilnehmer l&ouml;schen!\">X</a></td></tr>\n";
	}
	echo "</table></td>\n";
	echo "</tr>\n";

	echo "<tr><th>hinzuf&uuml;gen&nbsp;:</th>\n";
	echo "<td width=\"5\"></td>\n";
	echo "<td><select size=\"1\" tabindex=\"2\">\n";
	echo "<option>Teilnehmer w&auml;hlen!</option>\n";
	$tnm = abfrage1("select pers_id, concat(vorname, ' ', name)
					from tb_personal where p_art_id = '17' and status_id = 2
					order by vorname asc, name asc;");
	while ($tn = mysql_fetch_row($tnm)){
		if (!in_array($tn[0], $rvar_tn)){
	    	echo "  <option ";
	    	echo "onClick=\"self.location.href='$link&tn[]=$tn[0]'\">$tn[1]</option>\n";
		}
	}
	echo "</select></td>\n";
	echo "<tr>\n";

} else {
	echo "<tr><th colspan=\"5\">F&uuml;r Teilnehmerliste erst speichern!</th></tr>";
}

new stwTabLine(2,30);
echo "<tr><th colspan=\"30\">";
echo pers_name($pers) . " zeichnet verantwortlich fr den Eintrag im Belehrungsbuch!</th></tr>\n";

new stwTabLine(1,30);
echo "<tr>\n";
$button = empty($rvar_tn) ? 'submit' : 'button';
echo "<td style=\"vertical-align:middle\"><input type=\"$button\" value=\"Speichern!\" tabindex=\"100\"";
if(!empty($rvar_tn)) echo "onClick=\"this.form.submit();window.open('$printLink')\"";
echo "></td>\n";
if(isset($rvar_proj_id)) {
	echo "<td width=\"10\" style=\"vertical-align:middle\"><input type=\"checkbox\" name=\"back\" value=\"1\"></td>\n";
	echo "<td style=\"vertical-align:middle\">zur&uuml;ck zum Formular</td>\n";
} else echo "<td colspan=\"2\">&nbsp;</td>\n";
echo "</tr>\n</form>\n</table>\n";

echo "\n";
new stwEnd($seite);
?>