<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$level=25;
$seite = 6;

if(isset($_POST['save'])) {
	require_once($pfad."inc/func.inc.php");
	extern();
	extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');
	$sql = isset($rvar_hp_id) ? "update" : "insert into";
	$datum = date_gr2my($rvar_datum);
	$sql.=" tb_hp set pers_id='$rvar_pers_id', datum='$datum', 
			hilfeverlauf='$rvar_hilfeverlauf', ziele='$rvar_ziele', 
			selbsthilfe='$rvar_selbsthilfe' ";
	$sql .= isset($rvar_hp_id) ? "where hp_id='$rvar_hp_id'" : ", hp_art='bu', proj_id='$rvar_proj_id'";
	abfrage2($sql);
	if(!isset($rvar_hp_id)) $hp_id = mysql_insert_id();
	$sql = isset($rvar_hp_id) ? "update" : "insert into";
	$sql.=" tb_hpvor set res_kl='$rvar_res_kl', befind_kl='$rvar_befind_kl', 
			zzeit_kl='$rvar_zzeit_kl', befind_ma='$rvar_befind_ma', 
			hziel_kl='$rvar_hziel_kl', res_ma='$rvar_res_ma' ";
	$sql .= isset($rvar_hp_id) ? "where hp_id='$rvar_hp_id'" : ", hp_id='$hp_id'";
	abfrage2($sql);

	header("Location: pro_daten.php?proj_id=$rvar_proj_id");
}

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");
$pers_order = getPersOrder($seite);
$ti = 1;

if (!isset($rvar_proj_id)) {
	echo "<h1>Fehler: weitere Parameter erwartet</h1>";
	new stwEnd($seite);
	exit(0);
}

if (isset($rvar_hp_id)) {
    $sql = "select * from tb_hp h left join tb_hpvor v using(hp_id) where hp_id = $rvar_hp_id";
    $hp = abfrage_array($sql);
} else $hp = array();
$projekt = new stwProjekt($rvar_proj_id);

echo "<form method=\"post\" action=\"pro_bu.php\">\n";
echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\" />\n";
if(isset($rvar_hp_id)) echo "<input type=\"hidden\" name=\"hp_id\" value=\"$rvar_hp_id\" />\n";
echo "<table width=\"750\">\n<tr><th class=\"cl1\">Projekt-Nr.:</th>\n";
echo "<td class=\"cl20\">";
echo $projekt->link();
echo "</td><th class=\"cl1\">Klient:</th>";
echo "<td class=\"cl20\">" . $projekt->name() . "</td>\n";
$ja = abfrage("SELECT t3.name2, t3.kont_id
		      FROM tb_kontakte_ap t2
              LEFT JOIN tb_kontakte t3 
			  ON t3.kont_id = t2.kont_id AND t3.kh_id='0'
              WHERE t2.ap_id = $projekt->sb;");
echo "<th class=\"cl1\">Jugendamt:</th>";
echo "<td class=\"cl20\">$ja[0]</td>\n";
echo "<td style=\"text-align:right\">";
if(isset($rvar_hp_id)) {
	echo "<a href=\"pro_pr_bu.php?proj_id=$rvar_proj_id&amp;hp_id=$rvar_hp_id&amp;ts=" . time() . "\" target=\"_pdf\">";
	echo "<img src=\"img/drucker.png\" alt=\"druck\"";
	echo stwToolTip('Vereinbarungen zum Begleiteten Umgang drucken');
	echo "/></a>";
}
echo "</td></tr></table>\n\n";

new stwLine(1);

echo "<table width=\"750\">\n<tr><th class=\"cl1\">Eltern:</th><td width=\"50%\">";
$eltern = abfrage1("select p.vorname, p.name from tbh_proj_personen pp 
					left join tb_personen p using(person_id)
					where pp.proj_id='$rvar_proj_id' and pp.perstyp_id=6
					order by p.name asc, p.vorname asc");
while($elt = mysql_fetch_row($eltern)) {
	echo "$elt[0] $elt[1]<br />\n";
}
echo "</td>\n<th class=\"cl1\">Umgangsberechtigte(r):</th><td width=\"50%\">";
$ubs = abfrage1("select p.vorname, p.name from tbh_proj_personen pp 
				left join tb_personen p using(person_id)
				where pp.proj_id='$rvar_proj_id' and pp.perstyp_id=8
				order by p.name asc, p.vorname asc");
while($ub = mysql_fetch_row($ubs)) {
	echo "$ub[0] $ub[1]<br />\n";
}
echo "</td></tr>\n";
echo "<tr><th class=\"cl1\">Umgangsbegleiter:</th><td colspan=\"3\">";
echo "<select name=\"pers_id\" tabindex=\"$ti\">\n"; $ti++;
echo "<option value=\"0\">- kein Mitarbeiter gew&auml;hlt -</option>\n";
$order = ($pers_order == 2) ? "pers.name asc, pers.vorname asc" : "pers.vorname asc, pers.name asc";
$sql = "SELECT pers.pers_id,pers.vorname,pers.name FROM tb_personal pers
        WHERE pers.betreuer= 'j' and (pers.status_id=2 or pers.pers_id='{$hp['pers_id']}')
		order by $order";
$res = mysql_query($sql) or die(mysql_error());

while ($zeile = mysql_fetch_row($res)) {
	echo "  <option ";
		if ($hp['pers_id'] == $zeile[0]) {
			echo "selected ";
		}
	echo "value=\"$zeile[0]\">";
	if($pers_order == 2) {
		echo "$zeile[2], $zeile[1]";
	} else {
		if (strlen($zeile[1])>0) {
			echo $zeile[1] . "&nbsp;";
		}
		echo $zeile[2];
	}
	echo "</option>\n";
}
echo "</select></td></tr>\n";

echo "<tr><th class=\"cl1\">Datum&nbsp;letzter&nbsp;Termin:</th>\n";
echo "<td><input type=\"text\" name=\"datum\" size=\"11\" maxlength=\"10\" tabindex=\"$ti\" "; $ti++;
$value = (isset($rvar_hp_id)) ? date_my2gr($hp['datum']) : date("d.m.Y",time());
echo "value=\"" .$value. "\" />&nbsp;&nbsp;TT.MM.JJJJ</td></tr>\n";

echo "<tr><th class=\"cl1\">Erg&auml;nzung&nbsp;Termine:<br />(Berichtszeitraum,&nbsp;etc.)</th>\n";
echo "<td colspan=\"3\"><textarea name=\"hilfeverlauf\" rows=\"2\" style=\"width:100%\" tabindex=\"$ti\">"; $ti++;
if(isset($rvar_hp_id)) echo $hp['hilfeverlauf'];
echo "</textarea></td></tr>\n";

new stwTabLine(2,4);

echo "<tr><th colspan=\"4\"><u>Vereinbarungen zum Begleiteten Umgang</u></th></tr>\n";

echo "<tr><th class=\"cl1\">Angeordnete Regelungen:</th>\n";
echo "<td colspan=\"3\"><textarea name=\"ziele\" rows=\"2\" style=\"width:100%\" tabindex=\"$ti\">"; $ti++;
if(isset($rvar_hp_id)) echo $hp['ziele'];
echo "</textarea></td></tr>\n";

echo "<tr><th class=\"cl1\">Ausgehandelte Regelungen:</th>\n";
echo "<td colspan=\"3\"><textarea name=\"selbsthilfe\" rows=\"2\" style=\"width:100%\" tabindex=\"$ti\">"; $ti++;
if(isset($rvar_hp_id)) echo $hp['selbsthilfe'];
echo "</textarea></td></tr>\n";

new stwTabLine(2,4);

echo "<tr><th colspan=\"4\"><u>Auswertung</u></th></tr>\n";

echo "<tr><th class=\"cl1\">Regelkonformit&auml;t:</th>\n";
echo "<td colspan=\"3\"><textarea name=\"res_kl\" rows=\"2\" style=\"width:100%\" tabindex=\"$ti\">"; $ti++;
if(isset($rvar_hp_id)) echo $hp['res_kl'];
echo "</textarea></td></tr>\n";

echo "<tr><th class=\"cl1\">&Uuml;bergabesituation:</th>\n";
echo "<td colspan=\"3\"><textarea name=\"befind_kl\" rows=\"2\" style=\"width:100%\" tabindex=\"$ti\">"; $ti++;
if(isset($rvar_hp_id)) echo $hp['befind_kl'];
echo "</textarea></td></tr>\n";

echo "<tr><th class=\"cl1\">(protokollarischer) Ablauf:</th>\n";
echo "<td colspan=\"3\"><textarea name=\"zzeit_kl\" rows=\"2\" style=\"width:100%\" tabindex=\"$ti\">"; $ti++;
if(isset($rvar_hp_id)) echo $hp['zzeit_kl'];
echo "</textarea></td></tr>\n";

echo "<tr><th class=\"cl1\">Interventionen&nbsp;Umgangsbegleiter:<br />";
echo "<span style=\"font-weight:normal;color:#CCCCCC\">(Ver&auml;nderungen&nbsp;/&nbsp;Abbr&uuml;che&nbsp;etc.)</span></th>\n";
echo "<td colspan=\"3\"><textarea name=\"befind_ma\" rows=\"2\" style=\"width:100%\" tabindex=\"$ti\">"; $ti++;
if(isset($rvar_hp_id)) echo $hp['befind_ma'];
echo "</textarea></td></tr>\n";

echo "<tr><th>Perspektive&nbsp;Kind:<br />";
echo "<span style=\"font-weight:normal;color:#CCCCCC\">(&Auml;uerungen/W&uuml;nsche/Bef&uuml;rchtungen)</span></th>\n";
echo "<td colspan=\"3\"><textarea name=\"hziel_kl\" rows=\"2\" style=\"width:100%\" tabindex=\"$ti\">"; $ti++;
if(isset($rvar_hp_id)) echo $hp['hziel_kl'];
echo "</textarea></td></tr>\n";

echo "<tr><th class=\"cl1\">Anmerkungen&nbsp;/&nbsp;Besonderheiten:</th>\n";
echo "<td colspan=\"3\"><textarea name=\"res_ma\" rows=\"2\" style=\"width:100%\" tabindex=\"$ti\">"; $ti++;
if(isset($rvar_hp_id)) echo $hp['res_ma'];
echo "</textarea></td></tr>\n";

new stwTabLine(2,4);

echo "<tr><td><input type=\"submit\" name=\"save\" value=\"Speichern\" /></td></tr>\n";

echo "</table></form>\n";
new stwEnd($seite);
?>