<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_gruppe.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();

/* Seitennummer innerhalb des Menues und Sicherheitslevel der notwendig ist */
$seite = 69;
$level = 5;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* ein paar Funktionen und automatische Ausgaben werden benoetigt */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

$_SESSION[$AppCode]['url_pro'] = $_SERVER['REQUEST_URI'];
set_session_url();

echo "<table>\n<tr>\n";
echo "<td class=\"cl11\"><input type=\"button\" value=\"neu\" ";
echo "onClick=\"self.location.href='pro_gruppe_and.php?page=1'\"></td>\n";
echo "</tr></table>\n";
new stwLine(1);

$sql = "SELECT p.proj_id FROM tb_projekte p left join tb_hilfeart h using(hilfeart_id) 
		WHERE h.pra_id = '69' AND (ende IS NULL OR ende > curdate() OR ende = '0000-00-00');";
$pros = abfrage1($sql);
echo "<table><tr><th colspan=\"3\" class=\"cl1\">Projektnr.</th><th class=\"cl1\">Name 1</th>";
echo "<th class=\"cl1\">Name 2</th><th class=\"cl1\">Betreuer</th>";
echo "<th class=\"cl1\">Ort</th><th class=\"cl1\">Telefon</th></tr>\n";
new stwTabLine(2,30);
while ($pro = mysql_fetch_row($pros)) {
	$projekt = new stwProjekt($pro[0]);
	echo "<tr class=\"mo\"><td class=\"cl1\"><a href=\"pro_gruppe_and.php?proj_id=$pro[0]\">";
	echo $projekt->nummer();
	echo "</a></td><td class=\"cl1\" style=\"vertical-align:middle\">";
	echo "<a href=\"pro_ab_zk.php?proj_id=$pro[0]&abr=1\"";
	echo stwToolTip('neue Zeitkarte erfassen') . ">";
	echo "<img border=\"0\" src=\"img/karte.png\" alt=\"Karte\"/>";
	echo "</a></td>";
	$link2 = "<a href=\"pro_ab.php?proj_id=".$projekt->id."\">";
	$link_ende = "</a>";
	$satz = stundensatz(date('Y-m-d'), $projekt->id);
	if($satz[0] == 'd') {
		echo "<td class=\"cl1\" style=\"text-align:center\">$link2<span style=\"color:white\"".stwToolTip('Projekt mit Tagessatz').">Tag</span>$link_ende $s</td>";
	} elseif($satz[0] == 'm') {
		echo "<td class=\"cl1\" style=\"text-align:center\">$link2<span style=\"color:white\"".stwToolTip('Projekt mit monatlichem Festbetrag').">Mon.</span>$link_ende $s</td>";
	} else {
		// Wochenstunden
		$wost_f = $projekt->wost_f();
		echo "<th class=\"cl1\" style=\"text-align:right;";
		$tt = "<b>Abrechnung</b>";
		if($wost_f > 0) {
			$tt .= "<br>&Uuml;bertrag: " . fls_form($projekt->fls_folgemonat(date('Y-m-01')));
		}
		if($projekt->kontaktst()) {
			echo "background-color:#554433";
			$tt .= "<br>KLS = " . fls_form($projekt->wost_kontaktstunden());
		}
		echo "\">$link2";
		if($projekt->fallbegleitung()) {
			$tt.= "<br>Fallbegleitung: ja";
			echo "<span style=\"color:#FF6600\""; 
		} else echo "<span";
		echo stwToolTip($tt,false);
		echo ">" . fls_form($wost_f,1,'&nbsp;');
		echo "</span>$link_ende $s</th>\n";
	}
	echo "<td class=\"cl1\">";
	echo $projekt->nname();
	echo "</td><td class=\"cl1\">";
	echo $projekt->vname();
	$hb = $projekt->hb();
	echo "</td><td class=\"cl1\"><a href=\"pers_and.php?pers_id=$hb\">";
	echo pers_kname($hb);
	echo "</a></td><td class=\"cl1\">";
	echo $projekt->he_info('ort');
	echo "</td><td class=\"cl1\">";
	echo $projekt->he_info('telefon');
	echo "</td></tr>\n";
}
echo "</table>\n";
new stwEnd($seite);
?>