<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");

if (isset($_GET['ziel_id'])){
	$query = "SELECT t1.ziel,
					 t3.proj_id,
					 t3.hp_id,
					 t1.nummer,
					 t1.id,
					 t1.termin,
					 t1.HE,
					 t1.LE,
					 t1.ASD,
					 t2.schritt,
					 t2.verantwortlich
				FROM tb_hp_praxisziele t1
				INNER JOIN tb_hp_handlungsschritte t2 ON t2.ziel_id = t1.id
				INNER JOIN tb_hp t3 ON t3.hp_id = t1.hp_id
				WHERE t1.id = ".$_GET['ziel_id']."
				ORDER BY t2.id ASC";
	$res = abfrage1($query);
	$checked = array(0 => "", 1 => "checked=\"checked\"");
	while($row = mysql_fetch_array($res)){
		if (!isset($chk[$row['id']])){
			$nummer = $row['nummer'];
			$ziel = $row['ziel'];
			$hp_id = $row['hp_id'];
			$proj_id = $row['proj_id'];
			$termin = date_my2gr($row['termin']);
			$checked_he =  $checked[$row['HE']];
			$checked_le = $checked[$row['LE']];
			$checked_asd = $checked[$row['ASD']]; 
		}
			$schritte[] = $row['schritt'];
			$verantw[] = $row['verantwortlich'];
		
	}
}else{
	$checked_he = $checked_le = $checked_asd = "";
	$query = "SELECT max(nummer)+1 FROM tb_hp_praxisziele";
	$erg = abfrage($query);
	$nummer = $erg[0];
	
	$hp_id = (isset($_GET['hp_id'])) ? $_GET['hp_id'] : $_SESSION['hp_id']; 
	$query = "SELECT proj_id FROM tb_hp WHERE hp_id = ".$hp_id;
	$erg = abfrage($query);
	$proj_id = $erg[0];
}

// abspeichern der Praxisziele und Handlungsschritte
if (isset($_POST['save_pz'])){
	
	// Praxisziel speichern
	$query = ($_POST['ziel_id'] == "") ? "INSERT INTO" : "UPDATE";
	$query .= " tb_hp_praxisziele SET
				nummer = '".$_POST['nummer']."',
				ziel = '".$_POST['ziel']."',
				hp_id = '".$_POST['hp_id']."',
				termin = '".date_gr2my($_POST['termin'])."'";
	$query .= (isset($_POST['leistungserbringer'])) ? ",LE = '1'" : ",LE = '0'";
	$query .= (isset($_POST['hilfeempfaenger'])) ? ",HE = '1'" : ",HE = '0'";
	$query .= (isset($_POST['asd'])) ? ",ASD = '1'" : ",ASD = '0'";
	$query .= (isset($_POST['erledigt'])) ? ",erledigt = '".date("Y-m-d",time())."'" : ",erledigt = NULL";
	
	if ($_POST['ziel_id'] != ""){
		$query .= " WHERE id = ".$_POST['ziel_id'];
	}
	abfrage2($query);
	
	$id = mysql_insert_id();	
	
	// Handlungsschritte speichern
	// Bei Aenderungen zuerst alle Schritte lschen und danach neu eintragen.
	if ($_POST['ziel_id'] != ""){
		$id = $_POST['ziel_id'];
		$query = "DELETE FROM tb_hp_handlungsschritte WHERE ziel_id = ".$_POST['ziel_id'];
		abfrage2($query);
	}
	if (implode("",$_POST['hs']) != ""){
		$query = "INSERT INTO tb_hp_handlungsschritte (ziel_id,schritt,verantwortlich) VALUES ";
		for($i=0; $i<sizeof($_POST['hs']); $i++)
		{
			if ($_POST['hs'][$i] != ""){
				$query .= "(".$id.",'".$_POST['hs'][$i]."','".$_POST['v'][$i]."'),";
			}
		}
		$query = substr($query,0,-1);
	}else $query = "INSERT INTO tb_hp_handlungsschritte SET ziel_id = ".$id;
	abfrage2($query);
	header("Location: pro_hp2.php?proj_id=".$proj_id."&hp_id=".$_SESSION['hp_id']);
}
?>
<form action="<?php $_SERVER['PHP_SELF']?>" method="POST">
<table>
	<tr>
		<th>Nummer:</th>
		<td><input type="text" name="nummer" value="<?php $nummer?>"/></td>
	</tr>
	<tr>
		<th>Praxisziel:</th>
		<td><textarea name="ziel" cols="70" rows="2"><?php isset($_GET['ziel_id']) ? $ziel : ""?></textarea></td>
	</tr>
	<tr>
		<th>Handlungsschritte:</th>
		<td>
			<table>
				<tr>
					<td style="width: 200px;">Bezeichnung</td>
					<td>Verantwortlich</td>
				</tr>
				<?php
				for($i=0; $i <= 7; $i++)
				{
					if (isset($_GET['ziel_id']) && isset($schritte[$i])){
						$value_schritt = $schritte[$i];
						$value_verantw = $verantw[$i];
					}else $value_schritt = $value_verantw = "";
					
					echo "<tr>";
					echo "<td><textarea name=\"hs[]\">".$value_schritt."</textarea></td>";
					echo "<td><textarea name=\"v[]\">".$value_verantw."</textarea></td>";
					echo"</tr>\n";
				}
				?>
			</table>
		</td>
	</tr>
	<tr>
		<th>Termin:</th>
		<td><input type="text" name="termin" value="<?php isset($_GET['ziel_id']) ? $termin : ""?>"/> TT.MM.JJJJ</td>
	</tr>
	<tr>
		<th>Leistungserbringer:</th>
		<td><input type="checkbox" name="leistungserbringer" <?php $checked_le?>/></td>
	</tr>
	<tr>
		<th>Hilfeempf&auml;nger:</th>
		<td><input type="checkbox" name="hilfeempfaenger" <?php $checked_he?>/></td>
	</tr>
	<tr>
		<th>Jugendamt ASD:</th>
		<td><input type="checkbox" name="asd" <?php $checked_asd?>/></td>
	</tr>
</table>
<?php new stwLine(1);?>
<table>
	<tr>
		<th>erledigt:</th>	
		<td><input type="checkbox" name="erledigt" /></td>
	</tr>
	<tr>
		<td><input type="submit" name="save_pz" value="speichern" /></td>
		<td>&nbsp;</td>
	</tr>
</table>
<input type="hidden" name="ziel_id" value="<?php isset($_GET['ziel_id']) ? $_GET['ziel_id'] : ""?>"/>
<input type="hidden" name="hp_id" value="<?php $hp_id?>"/>
</form>
<?php new stwEnd($seite); ?>