<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_hpvor.php 2250 2014-03-11 17:55:08Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");

if  (isset($rvar_proj_id)) {
	if(!check_projekt_berechtigung($rvar_proj_id)) {
		echo "<h1 style=\"color:red\">Sie haben keine Berechtigung, die Seite anzuzeigen</h1>";
		new stwEnd($seite);
		exit(0);
	}
    $projekt = &new stwProjekt($rvar_proj_id);

    $sql = "select * from tb_projekte where proj_id = $projekt->id";
    $res = mysql_query($sql) or die (mysql_error());
    $pro = mysql_fetch_row($res);
}

if  (isset($rvar_hp_id)) {
    $sql = "select * from tb_hp where hp_id = $rvar_hp_id";
    $res = mysql_query($sql) or die (mysql_error());
    $hp = mysql_fetch_row($res);

    $sql = "select * from tb_hpvor where hp_id = $rvar_hp_id";
    $res = mysql_query($sql) or die (mysql_error());
    
    if (mysql_num_rows($res)>0) {
        $hpv = mysql_fetch_row($res);
    }

}

?>
<form method="post" action="pro_hpvorsql.php">

<table width="750" border="0">

<tr><th>Projekt-Nr.:&nbsp;</th>
<td><?php echo $projekt->nummer(); ?></td>
</tr>

<tr>
<th>Klient:&nbsp;</th>
<td><?php echo $projekt->name(); ?></td>
</tr>

<?php // Jugendamt und Sachbearbeiter ermitteln
$sql = "select t3.name2, t3.kont_id from tb_kontakte_ap t2
               left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
               where t2.ap_id = $projekt->sb;";
$res = mysql_query($sql) or die(mysql_error());
$ja = mysql_fetch_row($res);
?>

<tr>
<th>Jugendamt:&nbsp;</th>
<td><?php echo $ja[0]; ?></td>
</tr>

<tr>
<th>Sachbearbeiter:&nbsp;</th>
<td>
<?php
$sql = "SELECT ap_id, vorname, name FROM tb_kontakte_ap
        WHERE ap_id = $projekt->sb";
$res = mysql_query($sql) or die(mysql_error());
$jsb = mysql_fetch_row($res);
echo $jsb[1] . " " . $jsb[2];
?>
</td>
</tr>

<tr>
<th>Datum:&nbsp;</th>
<td><?php if ((isset($rvar_hp_id))) { echo date_my2gr($hp[4]);} ?></td>
</tr>

<tr heigth="3"><td bgcolor="green" colspan="2"></td></tr>

<tr>
<th>Ziele der letzten<br>Hilfeplanperiode:<br>
<span style="font-size:9pt;color:#CCCCCC;font-style:normal">nur Anzeige!</span>
</th>
<td>
<textarea cols=70 rows=7 tabindex=9 readonly>
<?php
$lzt = abfrage("select ziele,datum from tb_hp
                where proj_id = '$projekt->id' and hp_art='h'
                order by datum desc limit 1,1;");
echo $lzt[0];
?>
</textarea>
</td></tr>

<tr heigth="3"><td bgcolor="red" colspan="2"></td></tr>
<tr><th colspan=2 align=center>Wie ist die Hilfe verlaufen?</th></tr>
<tr heigth="3"><td bgcolor="green" colspan="2"></td></tr>
<tr>
<th>Einsch&auml;tzung eigene<br>Befindlichkeit Klient:</th>
<td>
<textarea cols=70 rows=7 name="befind_kl" tabindex=9>
<?php if (isset($hpv)){echo $hpv[1];}?>
</textarea>
</td></tr>

<tr>
<th>Einsch&auml;tzung eigene<br>Befindlichkeit Eltern:</th>
<td>
<textarea cols=70 rows=7 name="befind_sb" tabindex=9>
<?php if (isset($hpv)){echo $hpv[2];}?>
</textarea>
</td></tr>

<tr>
<th>Einsch&auml;tzung Hilfe-<br>verlauf 
<?php if(getConf('traeger') == 'stw') echo "STW-"; ?>
Mitarbeiter</th>
<td>
<textarea cols=70 rows=7 name="befind_ma" tabindex=9>
<?php if (isset($hpv)){echo $hpv[3];}?>
</textarea>
</td></tr>

<tr heigth="3"><td bgcolor="red" colspan="2"></td></tr>
<tr><th colspan=2 align=center>Welche Hilfeziele konnten erreicht werden, welche Hilfeziele<br>
                               konnten aus welchen Gr&uuml;nden nicht erreicht werden?</th></tr>
<tr heigth="3"><td bgcolor="green" colspan="2"></td></tr>
<tr>
<th>Sicht des<br>Klienten:</th>
<td>
<textarea cols=70 rows=7 name="hziel_kl" tabindex=9>
<?php if (isset($hpv)){echo $hpv[4];}?>
</textarea>
</td></tr>

<tr>
<th>Sicht der<br>Eltern:</th>
<td>
<textarea cols=70 rows=7 name="hziel_sb" tabindex=9>
<?php if (isset($hpv)){echo $hpv[5];}?>
</textarea>
</td></tr>

<tr>
<th>Sicht des<br>Mitarbeiters:</th>
<td>
<textarea cols=70 rows=7 name="hziel_ma" tabindex=9>
<?php if (isset($hpv)){echo $hpv[6];}?>
</textarea>
</td></tr>

<tr heigth="3"><td bgcolor="red" colspan="2"></td></tr>
<tr><th colspan=2 align=center>Welche Ressourcen gibt es?</th></tr>
<tr heigth="3"><td bgcolor="green" colspan="2"></td></tr>
<tr>
<th>Sicht des<br>Klienten:</th>
<td>
<textarea cols=70 rows=7 name="res_kl" tabindex=9>
<?php if (isset($hpv)){echo $hpv[7];}?>
</textarea>
</td></tr>

<tr>
<th>Sicht der<br>Eltern:</th>
<td>
<textarea cols=70 rows=7 name="res_sb" tabindex=9>
<?php if (isset($hpv)){echo $hpv[8];}?>
</textarea>
</td></tr>

<tr>
<th>Sicht des<br>Mitarbeiters:</th>
<td>
<textarea cols=70 rows=7 name="res_ma" tabindex=9>
<?php if (isset($hpv)){echo $hpv[9];}?>
</textarea>
</td></tr>

<tr heigth="3"><td bgcolor="red" colspan="2"></td></tr>
<tr><th colspan=2 align=center>Was sollte in welchem Zeitraum noch geschehen<br>
                               damit die Hilfe nicht mehr erforderlich ist?</th></tr>
<tr heigth="3"><td bgcolor="green" colspan="2"></td></tr>
<tr>
<th>Sicht des<br>Klienten:</th>
<td>
<textarea cols=70 rows=7 name="zzeit_kl" tabindex=9>
<?php if (isset($hpv)){echo $hpv[10];}?>
</textarea>
</td></tr>

<tr>
<th>Sicht der<br>Eltern:</th>
<td>
<textarea cols=70 rows=7 name="zzeit_sb" tabindex=9>
<?php if (isset($hpv)){echo $hpv[11];}?>
</textarea>
</td></tr>

<tr>
<th>Sicht des<br>Mitarbeiters:</th>
<td>
<textarea cols=70 rows=7 name="zzeit_ma" tabindex=9>
<?php if (isset($hpv)){echo $hpv[12];}?>
</textarea>
</td></tr>

<tr heigth="3"><td bgcolor="red" colspan="2"></td></tr>
<tr><th colspan=2 align=center>Was kann im weiteren Hilfeverlauf aus welchen<br>
                               Gr&uuml;nden nicht erreicht werden?</th></tr>
<tr heigth="3"><td bgcolor="green" colspan="2"></td></tr>
<tr>
<th>Sicht des<br>Klienten:</th>
<td>
<textarea cols=70 rows=7 name="znicht_kl" tabindex=9>
<?php if (isset($hpv)){echo $hpv[13];}?>
</textarea>
</td></tr>

<tr>
<th>Sicht der<br>Eltern:</th>
<td>
<textarea cols=70 rows=7 name="znicht_sb" tabindex=9>
<?php if (isset($hpv)){echo $hpv[14];}?>
</textarea>
</td></tr>

<tr>
<th>Sicht des<br>Mitarbeiters:</th>
<td>
<textarea cols=70 rows=7 name="znicht_ma" tabindex=9>
<?php if (isset($hpv)){echo $hpv[15];}?>
</textarea>
</td></tr>

</table>
<?php
new stwLine(2);
if(isset($hpv)){
?>
  <input type=hidden name=proj_id value="<?php echo $rvar_proj_id; ?>">
  <input type=hidden name=hp_id value="<?php echo $rvar_hp_id; ?>">
  <input type=hidden name=chg value="1">
  <input type="submit" value="&Auml;ndern!" tabindex=12>
<?php
} else {
?>
  <input type=hidden name=proj_id value="<?php echo $rvar_proj_id; ?>">
  <input type=hidden name=hp_id value="<?php echo $rvar_hp_id; ?>">
  <input type="submit" value="Speichern!" tabindex=12>
<?php
}
?>
<input type=button value="Datenblatt" onClick="self.location.href='pro_daten.php?proj_id=<?php echo $rvar_proj_id; ?>'">
</form>
<iframe src="refresh.php" width="1" height="1" scrolling="no" marginheight="0" marginwidth="0" frameborder="0"></iframe>
<?php new stwEnd($seite); ?>
