<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: pro_kont.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

session_start();
$level=25;
require("inc/auth.inc.php");
require("inc/level.inc.php");
$seite = 6;
require("inc/stw.inc.php");

set_session_url();

$projekt = &new stwProjekt($rvar_proj_id);

$projekt->InfoZeile();
new stwLine(1);

echo "<table>\n";

/* Maske Einzelkontakt hinzufuegen */
$ti = 1;

echo "<tr><th class=\"cl1\">Kontakte</th>\n";
echo "<form method=\"get\" action=\"pro_kont.php\">\n";
echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
echo "<td><select name=\"kont_art_id\" size=\"1\" tabindex=\"$ti\""; $ti++;
echo "onchange=\"this.form.submit()\">";
echo "<option value=\"0\">Kontaktart w&auml;hlen</option>";
$sql = "select kont_art_id, kont_art from tb_kontakte_art order by kont_art asc;";
$ka = abfrage1($sql);
while ($zeile = mysql_fetch_row($ka)) {
	echo "<option value=\"$zeile[0]\"";
	if ($rvar_kont_art_id == $zeile[0]) echo ' selected';
	echo ">$zeile[1]</option>\n";
}
echo "<option value=\"m\"";
if ($rvar_kont_art_id == 'm') echo ' selected';
echo ">Mitarbeiter</option>";
echo "</select></td>\n<td class=\"cl1\"><input type=\"image\" ";
echo "src=\"img/senden.png\" tabindex=\"$ti\"></form></td>\n";$ti++;

if ($rvar_kont_art_id == 'm') {
  $sql = "select p.pers_id + 100000 as kont_id,
		p.personalnr as kurzname, 
		concat(p.vorname, ' ', p.name) as name
		from tb_personal p
		left join tbh_kont_proj h on (p.pers_id + 100000) = h.kont_id
			and h.proj_id = '$rvar_proj_id'
        where h.kont_id is null and p.status_id = '2'";
  $order = " order by p.personalnr asc";
} else {
  $sql = "select k.kont_id, k.kurzname, k.name
        from tb_kontakte k
        left join tbh_kont_proj h on k.kont_id = h.kont_id
           and h.proj_id = '$rvar_proj_id'
        where h.kont_id is null and k.kh_id='0' ";
  if(!empty($rvar_kont_art_id)) 
	$sql .= "and k.kont_art_id = '$rvar_kont_art_id'";
  $order = " order by k.kurzname asc";
}
$kte = abfrage1($sql . $order);
if (mysql_num_rows($kte) > 0){
  $namen = array();
  $kurznamen = array();
  echo "<form method=\"post\" action=\"pro_kont_sql.php\">\n";
  echo "<input type=\"hidden\" name=\"do\" value=\"add\">\n";
  echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
  while ($kt = mysql_fetch_assoc($kte)){
    $namen[$kt['kont_id']] = $kt['name'];
    $kurznamen[$kt['kont_id']] = $kt['kurzname'];
  }
  asort($namen);
  echo "<td><select name=\"kont_id\" size=\"1\" tabindex=\"$ti\" ";
  echo "onchange=\"this.form.submit()\">\n"; $ti++;
  foreach($kurznamen as $id => $kurzname) {
    echo "<option value=\"$id\" title=\"".$namen[$id]."\">$kurzname</option>\n";
  }
  echo "</select>\n</td>\n<td class=\"cl1\">\n";
  echo "<input type=\"image\" src=\"img/senden.png\" tabindex=\"$ti\">";$ti++;
  echo "</td></form>\n";
  echo "<form method=\"post\" action=\"pro_kont_sql.php\">\n";
  echo "<input type=\"hidden\" name=\"do\" value=\"add\">\n";
  echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
  echo "<td><select name=\"kont_id\" size=\"1\" tabindex=\"$ti\" ";
  echo "style=\"width:200px\" onchange=\"this.form.submit()\">\n"; $ti++;
  foreach($namen as $id => $name) {
    echo "<option value=\"$id\"";
    if (strlen($name) > 30) echo " title=\"$name\"";
    echo '>' . strCut($name, 30) . "</option>\n";
  }
  echo "</select>\n</td>\n<td class=\"cl1\">";
  echo "<input type=\"image\" src=\"img/senden.png\" tabindex=\"$ti\">";$ti++;
  echo "</td>\n</form>\n";
  echo "<th>Suche:</th>\n";
  $urlext = "proj_id=$rvar_proj_id";
  if(!empty($rvar_kont_art_id)) $urlext .= "&kont_art_id=$rvar_kont_art_id";
  echo "<form action=\"{$_SERVER['PHP_SELF']}?$urlext\" method=\"POST\">\n";
  echo "<td><input type=\"text\" name=\"suche\" size=\"13\" ";
  echo "maxlength=\"30\" tabindex=\"$ti\"";$ti++;
  if (strlen($_POST['suche']) > 0) echo " value=\"{$_POST['suche']}\"";
  if ($rvar_kont_art_id == 'm') echo " disabled";
  echo "></td>\n";
  if ($rvar_kont_art_id != 'm') {
	echo "<td><input type=\"image\" src=\"img/senden.png\" tabindex=\"$ti\"></td>\n";
	$ti++;
  }
  echo "</form>\n";
} else {
  echo "keine weiteren Lieferanten-Kontakte vorhanden";
}
echo "</td></tr>\n";
echo "</table>\n";

if (strlen($_POST['suche']) > 0){
  $sql .= " and (k.kurzname like '%{$_POST['suche']}%' ";
  $sql .= "or k.name like '%{$_POST['suche']}%') ";
  $kte = abfrage1($sql . $order);
  $numrows = mysql_num_rows($kte);
  if ($numrows == 1){
    $kt = mysql_fetch_row($kte);
    $sql = "insert into tbh_kont_proj
   	        set proj_id ='$rvar_proj_id',
   	        kont_id = '$kt[0]';";
   	abfrage2($sql);
  } elseif ($numrows > 1){
    echo "<form method=\"post\" action=\"pro_kont_sql.php\">\n";
    echo "<input type=\"hidden\" name=\"do\" value=\"add\">\n";
    echo "<input type=\"hidden\" name=\"proj_id\" value=\"$rvar_proj_id\">\n";
    echo "<table><tr><th>K&uuml;rzel</th>\n";
    echo "<th style=\"text-align:center\" colspan=\"2\">Name</th></tr>\n";
    while ($kt = mysql_fetch_assoc($kte)){
      echo "<tr><td class=\"cl1\">" . $kt['kurzname'] . "</td>\n";
      echo "<td class=\"cl1\">" . $kt['name'] . "</td>\n<td class=\"cl1\">";
      echo "<input type=\"submit\" style=\"background-image:url(img/senden.png);background-repeat:no-repeat;color:#CCCCCC;width:16px\" tabindex=\"$ti\" ";
      echo "name=\"kont_id\" value=\"".$kt['kont_id']."\"></td></tr>";$ti++;
    }
    echo "</table>\n</form>\n";
  } else {
    echo "<center>Keiner der Lieferanten entsprach der Suchanfrage!</center>\n";
  }
}
new stwLine(1);

/* bereits zugeodnete Kontakte abfragen */
$kte = abfrage1("select h.kont_id,
						IF(h.kont_id > 100000,p.personalnr,k.kurzname) as kurzname,
						IF(h.kont_id > 100000,p.name,k.name) as name,
						IF(h.kont_id > 100000,p.vorname,k.name2) as name2,
						k.lieferbedingungen
				 from tbh_kont_proj h
                 left join tb_kontakte k on h.kont_id = k.kont_id and k.kh_id='0'
                 left join tb_personal p on h.kont_id = (p.pers_id + 100000)
                 where h.proj_id = '$rvar_proj_id'
                 order by k.kurzname asc, k.name asc, p.personalnr asc;");

/* wenn zugeordnete Kontakte vorhanden -> Tabelle aufbauen und anzeigen */
if (mysql_num_rows($kte) > 0){
  /* Beginn Zeile/Teiltabelle Liste zugeord. Kontakte */
  echo "<table>\n";
  echo "<tr><th colspan=\"4\">zugeordnete Lieferanten-Kontakte:</th></tr>\n";
  new stwTabLine(2,30);
  while ($kt = mysql_fetch_assoc($kte)){
    echo "<tr><td class=\"cl1\">";
    if($kt['kont_id'] > 100000)
		$link = "pers_and.php?pers_id=" . ($kt['kont_id'] - 100000);
    else $link = "kont_and.php?kont_id={$kt['kont_id']}&ka=5{$ap['kont_art_id']}&st=25";
    echo "<a href=\"" . $link . "\">" . $kt['kurzname'] . "</a></td>\n";
    echo "<td class=\"cl1\">{$kt['name']}</td>\n";
    if (strlen($kt['name2']) > 0) {
      echo "<td class=\"cl1\"";
      if (strlen($kt['name2']) > 15) echo stwToolTip($kt['name2']);
      echo '>' . strCut($kt['name2'], 15) . "</td>\n";
    } else {
      echo "<td></td>\n";
    }
	echo "<td>".str_replace("\r\n",'<br />',$kt['lieferbedingungen'])."</td>\n";
    echo "<td><a href=\"pro_kont_sql.php?do=del&proj_id=$rvar_proj_id&";
    echo "kont_id={$kt['kont_id']}\" style=\"color:#FF0000;\"";
    $tip  = "<b>VORSICHT!</b><br>Kontaktzuordnung wird gel&ouml;scht!";
    echo stwToolTip($tip);
    echo ">X</a></td>\n";
    echo "</tr>\n";
  }
  /* Ende Zeile/Teiltabelle Liste zugeord. Kontakte */
  echo "</table>\n";
  new stwLine(1);
}
echo "<input type=\"button\" value=\"zur&uuml;ck\" ";
echo "onclick=\"self.location='pro_daten.php?proj_id=$rvar_proj_id'\">\n";
new stwEnd($seite);
?>
