<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_kl.php 2255 2014-03-25 10:01:04Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AliasNbPages();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);
$pdf->AliasNbPages();

if(isset($_GET['pra'])) {
	$pra_rng = abfrage("select nr_von, nr_bis, kname, titel from tb_projektart where pra_id = '{$_GET['pra']}';");
	if($_GET['pra'] == 11) {
		if($_GET['vertr']==1) $pra_rng[0] = 18000;
		else $pra_rng[1] = 17999;
	}
	$and = "AND p.projektnr >= '$pra_rng[0]' AND p.projektnr <= '$pra_rng[1]'";
	$titel = " " . (empty($pra_rng[3]) ? $pra_rng[2] : $pra_rng[3]);
} else {
	$and = $titel = '';
}

$footer = "Klientenliste$titel, sortiert nach ";
if($rvar_sort == 'nr'){
	$footer .= "Projektnr.";
} else {
	$footer .= "Name";
}

$pdf->AddPage();

$rh = 4;

$pdf->SetFont('stw','',14);
$pdf->Text(15,30,$footer);
$pdf->SetLineWidth('0.1');

$pdf->SetFont('arialb','',7);
$pdf->SetXY(15,35);
$pdf->Cell(23,$rh,'Projekt-Nr.',1,0,'C',0);
$pdf->Cell(5,$rh,'Std',1,0,'C',0);
$pdf->Cell(18,$rh,'Vorname',1,0,'C',0);
$pdf->Cell(18,$rh,'Name',1,0,'C',0);
$pdf->Cell(18,$rh,'Sachbearb.',1,0,'C',0);
$pdf->Cell(17,$rh,'Betreuer',1,0,'C',0);
$pdf->Cell(7,$rh,'Alter',1,0,'C',0);
$pdf->Cell(30,$rh,'Ort',1,0,'C',0);
$pdf->Cell(30,$rh,'Strae',1,0,'C',0);
$pdf->Cell(17,$rh,'Telefon',1,0,'C',0);

$y_axis = 39;

$pdf->SetFont('arial','',6);

$aktiv = (isset($_GET['pra']) && $_GET['pra']==12) ? '' : "(p.ende is null or p.ende = '0000-00-00' or p.ende > now()) and";
if(isset($rvar_sort)){
    if($rvar_sort == 'nr'){
        $sql = "select p.proj_id, p.beginn, p.ap_id, p.projektnr from tb_projekte p
                left join tb_hilfeart ha on p.hilfeart_id = ha.hilfeart_id
				where $aktiv
				ha.anfrage = 1 $and
				order by projektnr asc";
    } else {
        $sql = "select p.proj_id, p.beginn, p.ap_id, p.projektnr from tb_projekte p
                left join tbh_proj_personen t2 using (proj_id)
                left join tb_personen t3 using (person_id)
                left join tb_hilfeart ha on p.hilfeart_id = ha.hilfeart_id
                where $aktiv
                ha.anfrage = 1 $and
                group by p.proj_id order by t3.name asc";
    }} else {
        $sql = "select p.proj_id, p.beginn, p.ap_id, p.projektnr from tb_projekte p
                left join tb_hilfeart ha on p.hilfeart_id = ha.hilfeart_id
				where $aktiv
				ha.anfrage = 1 $and
				order by projektnr asc";
    }
  
$res = mysql_query($sql) or die(mysql_error());
//$y_axis = $y_axis + $rh;

while($row = mysql_fetch_row($res)){
    $projekt = &new stwProjekt($row[0]);

    $vname = $projekt->vname();
    $nname = $projekt->nname();
    
    // Projektnummer
    $pdf->SetY($y_axis);
    $pdf->SetX(15);

    $pdf->Cell(23,$rh,$projekt->nummer(),'LTB',0,'L',0);
                
    $wost = $projekt->wost();
    $pdf->Cell(5,$rh,$wost,1,0,'C',0);

    // Vor- und Nachname
    $pdf->Cell(18,$rh,$vname,1,0,'L',0);
    $pdf->Cell(18,$rh,$nname,1,0,'L',0);

    // Sachbearbeiter
    $sql1 = "select anrede, name from tb_kontakte_ap where ap_id = $row[2]";
	$res1 = mysql_query($sql1) or die(mysql_error());
	$zle = mysql_fetch_row($res1);
	$sb = $zle[0] . " " . $zle[1];
	$pdf->Cell(18,$rh,$sb,1,0,'L',0);
	
    // Betreuer
   	$sql1 = "select t2.vorname, t2.name from tbh_pers_proj t1
		     left join tb_personal t2 using(pers_id)
	         where t1.proj_id = $row[0] and personaltyp_id=1;";
	$res1 = mysql_query($sql1) or die(mysql_error());
	$zle = mysql_fetch_row($res1);
	$name = $zle[0];
	$name = $name{0};
	$name = $name . ". " . $zle[1];
	$pdf->Cell(17,$rh,$name,1,0,'L',0);
	// Alter
	$pdf->Cell(7,$rh,$projekt->he_info('alter'),1,0,'C',0);
	// Ort
	$pdf->Cell(30,$rh,$projekt->he_info('ort'),1,0,'L',0);
	// Strae
    $pdf->Cell(30,$rh,$projekt->he_info('str'),1,0,'L',0);
    // Telefon
	$pdf->Cell(17,$rh,$projekt->he_info('tel'),1,0,'L',0);

	$y_axis = $y_axis + $rh;
	$pdf->SetXY(15,$y_axis);
	
	if ($pdf->GetY() > 274){
		$pdf->AddPage();
		$y_axis = 39;
		$pdf->SetXY(15,$y_axis);
	}
}
$pdf->Output();
exit;
?>
