<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_kontaktst.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 20);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/level.inc.php");

 $pdf_datei = "mandant/".$_SESSION[$AppCode]["TR"]."/pdf_1.inc.php";
 require_once($pfad.$pdf_datei);

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new PDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(true);
$pdf->AliasNbPages();
$pdf->SetLeftMargin(15);

$footer = "bersicht: Kontaktstunden";

$pdf->AddPage();
$head = true;
$i = $wstd = $kstd = $fstd = $begl = 0;
$pdf->SetFont('stw','',20);
$pdf->Text(15,30,$footer);

$pdf->SetXY(15,35);

$sps = abfrage1("select proj_id from tb_sachbericht_proj where sb_id='$rvar_sb_id' order by proj_id asc");
$pdf->SetDrawColor(0,0,0);
while ($sp = mysql_fetch_row($sps)){
	if($pdf->GetY() > 270) {
		$pdf->AddPage();
		$pdf->SetXY(15,25);
		$head = true;
	}
	if($head) {
		$pdf->SetFont('arialb','',10);
		$pdf->Cell(25,7, 'Projekt',1,0,'C',0);
		$pdf->Cell(11,7, 'WStd.',1,0,'C',0);
		$pdf->Cell(11,7, 'KStd.',1,0,'C',0);
		$pdf->Cell(11,7, 'FStd.',1,0,'C',0);
		$pdf->Cell(10,7, 'begl.',1,0,'C',0);
		$pdf->Cell(25,7, 'Vorname',1,0,'C',0);
		$pdf->Cell(25,7, 'Nachname',1,0,'C',0);
		$pdf->Cell(31,7, 'Sachbearbeiter',1,0,'C',0);
		$pdf->Cell(31,7, 'Hauptbetreuer',1,1,'C',0);
		$pdf->SetFont('arial','',8);
		$head = false;
	}
	$projekt = new stwProjekt($sp[0]);
	$dat = abfrage("select UNIX_TIMESTAMP(von), UNIX_TIMESTAMP(bis) from tb_sachbericht where sb_id='$rvar_sb_id'");
	$sql = "select * from tb_hp where proj_id = '$sp[0]' 
			and hp_art in ('h','h2','s') and prognose = 'n' ";
	$heute = mktime(0,0,0,date('n'),date('j'),date('Y'));
	if($heute >= $dat[0] && $heute <= $dat[1]) $sql .= "and UNIX_TIMESTAMP(and_datum) <= '$dat[1]' ";
	else $sql .= "and UNIX_TIMESTAMP(and_datum) <= '$dat[1]' ";
	$sql.= "order by and_datum desc limit 1";
	$hp = abfrage_assoc($sql);
	$i++;
	$ja = abfrage("select concat(vorname, ' ', name) from tb_kontakte_ap where ap_id = '$projekt->sb';");
	$pdf->Cell(25,5, $projekt->nummer(),'BT',0);
	$pdf->Cell(11,5, fls_form($hp['hp_st'],1),'BT',0,'C');
	$wstd += $hp['hp_st'];
	$temp = $hp['hp_st'] - $hp['kontakt_fz'] - ($hp['fallbegl']=='j' ? 1 : 0);
	$pdf->Cell(11,5, fls_form($temp,1),'BT',0,'C');
	$kstd += $temp;
	$pdf->Cell(11,5, fls_form($hp['kontakt_fz'],1),'BT',0,'C');
	$fstd += $hp['kontakt_fz'];
	$pdf->Cell(10,5, $hp['fallbegl'],'BT',0,'C');
	$begl += ($hp['fallbegl']=='j' ? 1 : 0);
	$pdf->Cell(25,5, $projekt->vname(),'BT',0);
	$pdf->Cell(25,5, $projekt->nname(),'BT',0);
	$pdf->Cell(31,5, $ja[0],'BT',0);
	$pdf->Cell(31,5, $projekt->hb_name(),'BT',1);
}

$pdf->SetFont('arialb','',10);
$pdf->Cell(25,7,'Summe:','LBT',0,'C',0);
$pdf->SetFont('arialb','',8);
$pdf->Cell(11,7,number_format($wstd, 0, ',', '.'),'BT',0,'C',0);
$pdf->Cell(11,7,number_format($kstd, 0, ',', '.'),'BT',0,'C',0);
$pdf->Cell(11,7,number_format($fstd, 0, ',', '.'),'BT',0,'C',0);
$pdf->Cell(10,7,$begl,'BT',0,'C',0);
$pdf->SetFont('arialb','',10);
$pdf->Cell(90,7,'Anzahl:','BT',0,'R',0);
$pdf->SetFont('arialb','',8);
$pdf->Cell(22,7,$i,'RBT',1,'C',0);
$pdf->Output();
exit;
?>
