<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: pro_pr_st.php 2552 2016-03-23 13:27:41Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_cache_limiter("private");
 session_start();

 /* Sicherheitslevel der notwendig ist */
 $level = 25;
 $seite = 1;

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 13);
 require_once($pfad."inc/auth.inc.php");

 require_once($pfad."inc/level.inc.php");
 require_once($pfad."inc/fpdf/fpdf.php");

 require_once($pfad."inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar');

$pdf=new FPDF('P','mm','A4');
$pdf->Open();
$pdf->AddFont('stw','','stw.php');
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('arialb','','arialb.php');
$pdf->SetAutoPageBreak(false);

$pdf->AddPage();

$pro = abfrage("select * from tb_hp where hp_id = '$rvar_hp_id'");

$projekt = &new stwProjekt($pro[1]);

$pdf->SetFont('stw','',16);
$dat = "Meldung Stundennderung";
$pdf->SetXY(20,30);
$pdf->Cell(80,7,$dat,0,0,'L',0);

$pdf->SetFont('stw','',11);
$pdf->Text(23,42,"- innerhalb 24 Stunden an Marion! -",$dat,0,0,'L',0);
$pdf->Text(15,15,"+  gelbes Blatt  +  gelbes Blatt  +  gelbes Blatt  +",$dat,0,0,'L',0);

$pdf->SetLineWidth(0.1);
$pdf->Line(20,47,100,47);


$pdf->SetXY(20,50);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Projekt-Nr. :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$dat = $projekt->nummer();
$pdf->Cell(40,7,$dat,0,0,'L',0);

$pdf->SetXY(20,57);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Personal-Nr. :",0,0,'L',0);
$pdf->SetFont('arial','',11);

$qry = abfrage("select IF(t2.kurzname IS NULL, t2.personalart, t2.kurzname), 
				t1.personalnr, upper(left(t1.vorname,1)),
                upper(left(t1.name,1)) from tb_personal t1
                left join tb_personalart t2 using (p_art_id)
                where t1.pers_id = $pro[12];");

$dat = $qry[0] . " " .$qry[1] . " " . $qry[2] . $qry[3];
$pdf->Cell(40,7,$dat,0,0,'L',0);

$pdf->SetXY(20,64);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Gesprch vom :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$dat = date_my2gr($pro[4]);
$pdf->Cell(40,7,$dat,0,0,'L',0);

$dat = abfrage("select t2.vorname, t2.name, t3.name2 from tb_hp t1
                left join tb_kontakte_ap t2 using(ap_id)
                left join tb_kontakte t3 on t3.kont_id = t2.kont_id and t3.kh_id='0'
                where t1.hp_id = $rvar_hp_id;");

$pdf->Line(20,72,100,72);


$pdf->SetXY(20,73);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Jugendamt :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$pdf->Cell(40,7,$dat[2],0,0,'L',0);

$pdf->SetXY(20,80);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Bearbeiter :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$dat1 = $dat[0] . " " . $dat[1];
$pdf->Cell(40,7,$dat1,0,0,'L',0);

$pdf->SetXY(20,87);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"nderung ab :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$dat = date_my2gr($pro[5]);
$pdf->Cell(40,7,$dat,0,0,'L',0);

$pdf->SetXY(20,94);
$pdf->SetFont('stw','',11);
$pdf->Cell(40,7,"Stunden :",0,0,'L',0);
$pdf->SetFont('arial','',11);
$dat = $pro[6]. "  je Woche";
$pdf->Cell(40,7,$dat,0,0,'L',0);

$pdf->Line(20,102,100,102);

$pdf->Line(20,120,70,120);
$pdf->SetXY(20,120);
$pdf->Cell(40,7,"Signum Verwaltung",0,0,'L',0);
$pdf->Output();
exit;


?>
