<?php
/******************************************************************************
 * Stellware - Jugendhilfe Management System                                  *
 *                                                                            *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen   *
 * der GNU General Public License (GPL), wie von der Free Software Foundation *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess       *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren    *
 * Version.                                                                   *
 *                                                                            *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es   *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die   *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen     *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in  *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                  *
 *                                                                            *
 *  http://www.stellware.de                                                   *
 ******************************************************************************
 *
 * $Id: re.php 2873 2018-06-29 12:31:19Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$level = 40;
$seite = 8;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

require_once($pfad."inc/func.inc.php");

/* --- Abschnitt (X)AJAX --- */
$ajax = 1;
require_once($pfad . 'inc/xajax_core/xajax.inc.php');
function smile($all,$ma,$fb,$abt) {
	$userResp = new xajaxResponse();
	global $AppCode;
	abfrage2("replace into tb_pers_einst_neu set pers_id='{$_SESSION[$AppCode]['UID']}', pers_einst_id='50', wert='$all'");
	abfrage2("replace into tb_pers_einst_neu set pers_id='{$_SESSION[$AppCode]['UID']}', pers_einst_id='51', wert='$ma'");
	abfrage2("replace into tb_pers_einst_neu set pers_id='{$_SESSION[$AppCode]['UID']}', pers_einst_id='52', wert='$fb'");
	abfrage2("replace into tb_pers_einst_neu set pers_id='{$_SESSION[$AppCode]['UID']}', pers_einst_id='53', wert='$abt'");
	$userResp->assign('Smile', 'style.color', 'lime');
	return $userResp;
}

$xajax = new xajax();
$xajax->configure('javascript URI', './inc/');
$xajax->registerFunction('einv');
$xajax->registerFunction('smile');
/* --- Ende Abschnitt (X)AJAX --- */

require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

set_session_url();
$pers_order = getPersOrder($seite);
$fachberater = pers_fb($_SESSION[$AppCode]["UID"],true);

/* GET-Parameter ermitteln */
$lsort = (isset($_GET['lsort'])) ? $_GET['lsort'] : 'ein';
$all = (isset($_GET['all'])) ? $_GET['all'] : getPersEinst($_SESSION[$AppCode]["UID"],50,0);
if ($fachberater || $_SESSION[$AppCode]["ULV"] >= 96){
	$ma = (isset($_GET['ma'])) ? $_GET['ma'] : getPersEinst($_SESSION[$AppCode]["UID"],51,'all');
} else $ma = $_SESSION[$AppCode]["UID"];
if(isset($_GET['fb'])) $fb = $_GET['fb'];
else $fb = getPersEinst($_SESSION[$AppCode]["UID"],52,($_SESSION[$AppCode]["ULV"] < 96 && $fachberater) ? $_SESSION[$AppCode]["UID"] : 'all');
$abt = (isset($_GET['abt'])) ? $_GET['abt'] : getPersEinst($_SESSION[$AppCode]["UID"],53,'all');
if($fb == 'kwg') $abt = $ma = 'all';
if(is_numeric($fb))
/* Ermittlung des Anzeigemodus und des anzuzeigenden Tages (nur bei all == 1) */
if ($all == 1) {
	$anz = (isset($_GET['anz'])) ? $_GET['anz'] : 'w1';

	if(empty($_GET['tag'])){
		$tag = mktime(0,0,0,date('n'),date('j'),date('Y'));
	} elseif((strlen($_GET['tag']) == 4) && ($anz == 'm')){
		$anz = 'j';
		$tag = mktime(0,0,0,1,1,$_GET['tag']);
	} elseif($_GET['tag'] == '0000-00-00'){
		$tag = 0;
	} else {
		$tag =  date_isodate_stamp($_GET['tag']);
	}

	$tg = date('Y-m-d', $tag);

	switch ($anz){
		case 'w1':
		case 'w2':
			$wtag = date('w', $tag);

			if ($wtag == 0){
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-6,date('Y', $tag));
			} else {
				$sql_beg = mktime(0,0,0,date('n', $tag),date('j', $tag)-($wtag-1),date('Y', $tag));
			}
			$sql_end = $sql_beg + (7 * 86400);
			break;

		case 'm':
			$sql_beg = mktime(0,0,0,date('n', $tag), 1, date('Y', $tag));
			$sql_end = mktime(23,59,59,date('n', $tag), date('t', $tag), date('Y', $tag));
			break;

		case 'j':
			$sql_beg = mktime(0,0,0,1,1, date('Y', $tag));
			$sql_end = mktime(23,59,59,12,31, date('Y', $tag));
			break;

		case 't';
			$sql_beg = $tag;
			$sql_end = $tag;
			break;
	}
}


echo "<table><tr>\n";

if ($all == 1) {
	echo "<td class=\"cl11\">";
	echo "<input type=\"button\" value=\"nur anstehende\" ";
	echo "onClick=\"self.location.href='re.php?all=0&lsort=$lsort&ma=$ma&fb=$fb&abt=$abt'\"></td>\n";
} else {
	echo "<td class=\"cl11\">";
	echo "<input type=\"button\" value=\"auch erledigte\" ";
	echo "onClick=\"self.location.href='re.php?all=1&lsort=$lsort&ma=$ma&fb=$fb&abt=$abt'\"></td>\n";
}
if($fachberater || $_SESSION[$AppCode]["ULV"] >= 96 || check_nutzer_rechte(18)) {
	$order = $pers_order == 2 ? "p.name asc, p.vorname asc" : "p.vorname asc, p.name asc";
	echo "<form method=\"get\" action=\"re.php\">\n";
}
if($fachberater || $_SESSION[$AppCode]["ULV"] >= 96) {
	echo "<input type=\"hidden\" id=\"lsort\" name=\"lsort\" value=\"$lsort\">\n";
	echo "<input type=\"hidden\" name=\"all\" value=\"$all\">\n";
	echo "<th>Betreuer:</th>";
	echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
	echo "<select name=\"ma\" style=\"width:150px\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"all\" ";
	if ($ma == "all") echo "selected";
	echo ">ALLE anzeigen</option>\n";
	$sql = "select p.pers_id from tb_hp_re t1
		   left join tb_hp t2 using (hp_id)
		   left join tb_personal p using (pers_id)
		   left join tb_projekte tp using (proj_id)";
	if ($all == 1 && $tag != 0) {
		$sql .= " where unix_timestamp(t2.datum) < '$sql_end' ";
		$sql .= " and (unix_timestamp(t2.and_datum) > '$sql_beg' ";
		$sql .= " or t2.and_datum is null or t2.and_datum = '0000-00-00') ";
	} else {
		$sql .= "where p.status_id = 2 ";
	}
	$sql .= "group by p.pers_id order by $order;";
	$mas = abfrage1($sql);
	while ($pers = mysql_fetch_row($mas)){
		echo "<option value=\"$pers[0]\"";
		if ($ma == $pers[0]) echo "selected";
		echo ">".($pers_order==2 ? pers_name2($pers[0]) : pers_name($pers[0]))."</option>\n";
	}
	echo "</select>\n</td>\n";
}
if($fachberater || $_SESSION[$AppCode]["ULV"] >= 96 || check_nutzer_rechte(18)) {
	echo "<th>FB:</th>";
	echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
	echo "<select name=\"fb\" style=\"width:150px\" onchange=\"";
	echo "if(!isNaN(parseInt(this.value,10))) document.getElementById('lsort').value='prio';";
	echo "this.form.submit();\">\n";
	echo "<option value=\"all\">ALLE anzeigen</option>\n";
  	echo "<option style=\"background-color:#FF69B4\" value=\"kwg\" ";
  	echo ($fb == 'kwg') ? 'selected ' : '';
  	echo ">Kindeswohlgef&auml;hrdung</option>\n";
	$sql = "SELECT p.pers_id FROM tb_projekte pr
			LEFT JOIN tb_personal p ON (pr.fb_id = p.pers_id)
			WHERE (pr.ende IS NULL OR pr.ende = '0000-00-00' OR TO_DAYS(pr.ende)+56 >= TO_DAYS(CURDATE()))
			AND p.status_id = 2 AND pr.projektnr < 2000 GROUP BY p.pers_id ORDER BY $order;";
	$fbs = abfrage1($sql);
	while ($pers = mysql_fetch_row($fbs)){
		echo "<option value=\"$pers[0]\"";
		if ($fb == $pers[0]) echo "selected";
		echo ">".($pers_order==2 ? pers_name2($pers[0]) : pers_name($pers[0]))."</option>\n";
	}
	echo "</select>\n</td>\n";
}
if($fachberater || $_SESSION[$AppCode]["ULV"] >= 96) {
	echo "<th>Abt.:</th>";
	echo "<td class=\"cl1\" style=\"vertical-align:middle\">";
	echo "<select name=\"abt\" style=\"width:150px\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"all\">ALLE anzeigen</option>\n";
	$sql = "SELECT abt_id, name FROM tb_personal_abt ORDER BY name asc;";
	$abts = abfrage1($sql);
	while($ab = mysql_fetch_row($abts)) {
		echo "<option value=\"$ab[0]\"";
		if($abt == $ab[0]) echo " selected";
		echo ">$ab[1]</option>\n";
	}
	echo "</select>\n</td>\n";
	echo "<td><a href=\"#\"".stwToolTip('aktuelle Auswahl als pers&ouml;nliche Voreinstellung speichern');
	echo "onclick=\"xajax_smile('$all','$ma','$fb','$abt');return false;\" style=\"color:#CCCCCC\" id=\"Smile\">:)</a></td>\n";
}
if($fachberater || $_SESSION[$AppCode]["ULV"] >= 96 || check_nutzer_rechte(18)) echo "</form>\n";
echo "</tr></table>\n";

new stwLine(1);

$self = $_SERVER['PHP_SELF'];

echo "<table>\n";

echo "<tr><th><a href=\"$self?lsort=nr&all=$all&ma=$ma\">";
echo "Projektnr.</a></th>\n";

echo "<th class=\"cl1\"".stwToolTip("aktuelle Kindeswohlgef&auml;hrdung").">K</th>\n";
echo "<th class=\"cl1\"".stwToolTip("Reflexion").">R</th>\n";
echo "<th class=\"cl1\"".stwToolTip("Genogramm").">G</th>\n";

echo "<th class=\"cl1\">Std./W.</th>\n";

echo "<th class=\"cl1\"><a href=\"$self?lsort=ma&all=$all&ma=$ma\">Hauptbetreuer</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$self?lsort=fb&all=$all&ma=$ma\">Fachberater</a></th>\n";

echo "<th class=\"cl1\"><a href=\"$self?lsort=seit&all=$all&ma=$ma\">letzte RE</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$self?lsort=seit&all=$all&ma=$ma\">seit</a></th>\n";

echo "<th class=\"cl1\"><a href=\"$self?lsort=ein&all=$all&ma=$ma\">Eingabe</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$self?lsort=prio&all=$all&ma=$ma\"";
echo stwToolTip("Priorit&auml;t") . ">Prio</a></th>\n";

echo "<th class=\"cl1\">Termin</th>\n";
echo "<th class=\"cl1\"><a href=\"$self?lsort=str&all=$all&ma=$ma\">Struktur</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$self?lsort=mod&all=$all&ma=$ma\">Moderator</a></th>\n";

echo "</tr>\n";

new stwTabLine(2,30);

$sql0 = "select t1.prio, t1.hp_id, t2.datum, t2.proj_id, t2.and_datum,
		 t2.pers_id, tp.ende, t1.mod1,
		 unix_timestamp(t2.and_datum) as termin_ts, t1.kwg, t1.strukt1 ";

if(isset($lsort)) {
	$sql3 = 'order by (t1.strukt1 = 10) asc, ';
}
switch ($lsort){
	case "ein":
		$sql1 = "from tb_hp_re t1
             left join tb_hp t2 using (hp_id)
             left join tb_projekte tp using(proj_id)";
		$sql3 .= "t2.datum asc, t1.hp_id asc;";
		break;

	case "nr":
		$sql1 = "from tb_hp_re t1
             left join tb_hp t2 using (hp_id)
			       left join tb_projekte tp using (proj_id) ";
		$sql3 .= "tp.projektnr asc, t2.datum asc;";
		break;

	case "ma":
		$sql1 = "from tb_hp_re t1
			       left join tb_hp t2 using (hp_id)
			       left join tb_personal t3 using (pers_id)
             left join tb_projekte tp on t2.proj_id = tp.proj_id ";
		$sql3 .= "t3.name asc, t2.datum asc;";
		break;

	case "fb":
		$sql1 = "from tb_hp_re t1
			     left join tb_hp t2 using (hp_id)
				 left join tb_projekte tp on t2.proj_id = tp.proj_id
			     left join tb_personal t3 on (t3.pers_id = tp.fb_id) ";
		$sql3 .= "t3.name asc, t2.datum asc;";
		break;

	case "prio":
		$sql1 = "from tb_hp_re t1
			       left join tb_hp t2 using (hp_id)
             left join tb_projekte tp using (proj_id) ";
		$sql3 .= "t1.kwg desc, t1.prio desc, t2.datum asc;";
		break;

	case "str":
		$sql1 = "from tb_hp_re t1
			       left join tb_hp t2 using (hp_id)
			       left join tb_projekte tp using (proj_id)
			       left join tb_re_strukt t3 on t1.strukt1 = t3.strukt_id ";
		$sql3 .= "t3.name asc, t2.datum asc;";
		break;

	case "mod":
		$sql1 = "from tb_hp_re t1
			       left join tb_hp t2 using (hp_id)
			       left join tb_projekte tp using (proj_id)
			       left join tb_personal t3 on t1.mod1 = t3.pers_id ";
		$sql3 .= "t3.name asc, t2.datum asc;";
		break;

	case "seit":
		$sql1 = "from tb_hp_re t1
			     left join tb_hp t2 using (hp_id)
			     left join tb_projekte tp using (proj_id)
				 LEFT JOIN (select proj_id, and_datum from tb_hp where hp_art in ('h','h2','s') and prognose = 'n' order by and_datum asc) s ON (tp.proj_id = s.proj_id)";
		$sql3 .= "(to_days(curdate()) - if (max(t2.and_datum) is null or max(t2.and_datum) = '0000-00-00',
				to_days(s.and_datum), to_days(max(t2.and_datum)))), t2.datum desc;";
		break;
}

$sql2 = " where a.no_refl='n' ";

if(is_numeric($abt)) {
	$sql1 .= " left join tbh_proj_abt pa using (proj_id) ";
	$sql1 .= " left join tbh_pers_abt pe on (pe.pers_id = t2.pers_id) ";
	$sql2 .= " and (pa.abt_id = '$abt' or pe.abt_id = '$abt' or proj_id in(
				select x.proj_id from tbh_pers_abt y
				left join tbh_pers_proj x using (pers_id)
				where x.personaltyp_id in (1,8,9) and y.abt_id='$abt')) ";
}

if ($all == 1 ) {
	if($tag != 0) { /* $tag==0 bedeutet ALLE anzeigen */
		$sql2 .= " and unix_timestamp(t2.datum) < '$sql_end' ";
		$sql2 .= " and (unix_timestamp(t2.and_datum) > '$sql_beg' ";
		$sql2 .= " or t2.and_datum is null or t2.and_datum = '0000-00-00') ";
	}
} else {
	$sql2 .= " and (t2.and_datum >= now() or t2.and_datum = '0000-00-00')
				and (tp.ende >= now() or tp.ende = '0000-00-00' or tp.ende is null) ";
}
if(is_numeric($ma)) $sql2 .= " and t2.pers_id = '$ma' ";
if(is_numeric($fb)) $sql2 .= " and tp.fb_id = '$fb' ";

$sql1 .= " left join tb_hilfeart a using(hilfeart_id) ";

$sql = $sql0 . $sql1 . $sql2 . " GROUP BY proj_id " . $sql3;

$oben = array();
$res = abfrage1($sql);
$line = true;

while($re = mysql_fetch_array($res)){
	if($re['strukt1']==10 && $line) {
		$line=false;
		echo "<tr><td colspan=\"7\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,153,153,153) . "\" height=\"9\" width=\"100%\" /></td>";
		echo "<td".stwToolTip('Reflexionswunsch mit Fachberater im Kleinteam')."style=\"font-size:8pt;text-align:center;color:#999999\">KleinTEAMs</td>";
		echo "<td colspan=\"20\" style=\"vertical-align:middle\"><img src=\"" . image(",,,1111,1111",4,9,153,153,153) . "\" height=\"9\" width=\"100%\"></td></tr>\n";
	}
	if($fb == 'kwg') {
		$kwg = abfrage("select hp_id from tb_hp where hp_art = 'k'
						and proj_id = '{$re['proj_id']}' and and_datum is null;");
		if(empty($kwg[0])) continue;
	}
	if ($re['proj_id'] > 0){
		$projekt = new stwProjekt($re['proj_id']);
		$kwg = kwg_icon($projekt->id);

		echo "<tr class=\"mo\">";

		$dat = $projekt->nummer();
	  if ($re['termin_ts'] == '0'){
	      $style = 'color: #FF0000';
	      $info = 'noch kein Termin festgelegt';
	  } elseif (!empty($re['termin_ts']) && $re['termin_ts'] < time()){
	      $style = 'color: #CCCCCC';
	      $info = 'hat stattgefunden';
	  } else {
	      $style = '';
	      $info = '';
	  }

	  echo "<td class=\"cl1\">" . $projekt->link($projekt->name()) . "</td>\n";

	  echo "<td class=\"cl1\">$kwg</td>\n";

	  echo "<td class=\"cl1\"><a href=\"pro_re.php?hp_id={$re['hp_id']}&proj_id={$re['proj_id']}\" ";
	  echo stwToolTip("<b>zur Reflexion</b><br>angelegt von ".pers_kname($re['pers_id'])."<br>$info") . "style=\"$style\">R</a></td>\n";

	  $daten = new stwDaten(18);
	  $link  = $daten->get_klammer_link($_SESSION["webdir"],
										$_SESSION[$AppCode]["UID"],
										$_SESSION[$AppCode]["ULV"],
										$projekt->id, "0");
	  echo "<td>$link</td>\n";

	  $dat = $projekt->wost_f();
	  echo "<td class=\"cl1\" style=\"text-align:center;";
	  $tt = '';
	  if($projekt->kontaktst()) {
		echo "background-color:#554433;";
		$tt = "KLS = " . fls_form($projekt->wost_kontaktstunden());
		if($projekt->fallbegleitung()) {
			$tt.= "<br>Fallbegleitung: ja";
			echo "color:#FF6600;";
		}
	  }
	  echo "\"";
	  if(strlen($tt)>0) echo stwToolTip($tt);
	  echo ">". fls_form($dat) . "</td>";

	  echo "<td class=\"cl1\">" . pers_kname($projekt->hb()) . "</td>\n";
	  echo "<td class=\"cl1\">" . pers_kname($projekt->fb) . "</td>\n";

	  $le = abfrage("select and_datum, hp_id from tb_hp where proj_id = '$projekt->id'
	                 and hp_art = 'r' and and_datum < curdate() order by and_datum desc limit 1");
	  $dat = date_my2gr($le[0]);
	  if(empty($le[1])) {
		$seit = round((mktime() - $projekt->beginn_ts()) / (60*60*24*7) , 0);
	  } else {
		$le = abfrage("select round((to_days(curdate()) - to_days(and_datum))/7)
		               from tb_hp where hp_id = '$le[1]'");
		$seit = $le[0];
	  }
	  $style = ($seit > 4 && $projekt->fallbegleitung()) ? "color:#FF6600;" : '';
	  if($seit > 4 && !empty($kwg)) $style = "color:#FF69B4;";
	  echo "<td class=\"cl1\" style=\"text-align:center;$style\">$dat</td>";

	  $seitW = empty($seit) ? '' : "$seit W";
	  echo "<td class=\"cl1\" style=\"text-align:center;$style\">$seitW</td>";

	  $dat = date_my2gr($re[2]);
	  echo "<td class=\"cl1\" style=\"text-align:left\">$dat</td>";
	  $dat = $re[0] + 1;
	  echo "<td class=\"cl1\" style=\"text-align:center;";
	  if($re['kwg'] > 0) echo "color:hotpink;";
	  echo "\">$dat</td>";
	  if ($re[4] != '0000-00-00'){
	      $dat = date_my2gr($re[4]);
	  } else {
	      $dat = "";
	  }
	  echo "<td class=\"cl1\" style=\"text-align:left\">$dat</td>";

	  $dat = abfrage("select t2.name from tb_hp_re t1
	                  left join tb_re_strukt t2 on t1.strukt1 = t2.strukt_id
	                  where t1.hp_id = $re[1]");
	  echo "<td class=\"cl1\" style=\"text-align:left\">$dat[0]</td>";

	  $dat = abfrage("select left(t2.vorname,1), t2.name from tb_hp_re t1
	                  left join tb_personal t2 on t1.mod1 = t2.pers_id
	                  where t1.hp_id = '$re[1]'");
	  echo "<td>" . pers_kname($re['mod1']) . "</td>\n";
	  echo "<td><a href=\"pro_pr_re.php?hp_id=".$re['hp_id']."&proj_id=$projekt->id&ts=" . time() . "\" ";
	  echo "target=\"_pdf\"><img src=\"img/drucker.png\" alt=\"drucken\" ";
	  echo "border=\"0\"" . stwToolTip("Reflexionswunsch drucken") . "></a></td>";
	  echo "</tr>\n";

	  $oben[] = $re[3];
	}
}
echo "</table>\n";

new stwLine(1);

echo "<table>\n";
echo "<tr><td style=\"color:#FF0000; font-size: 11pt; font-weight: bold;\"
		 colspan=\"7\">seit 8 Wochen oder mehr weder Antrag noch Reflexion
		 (bei KWG und Fallbegleitung 3 Wochen):</td></tr>\n";

new stwTabLine(2,30);

echo "<table><tr>\n";
echo "<th class=\"cl1\"><a href=\"$self?lsort=nr&all=$all&ma=$ma\">Projektnr.</a></th>\n";
echo "<td class=\"cl1\" colspan=\"2\"></td>\n";
echo "<th class=\"cl1\">Std./W.</th>\n";
echo "<th class=\"cl1\"><a href=\"$self?lsort=ma&all=$all&ma=$ma\">Hauptbetreuer</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$self?lsort=fb&all=$all&ma=$ma\">Fachberater</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$self?lsort=seit&all=$all&ma=$ma\">letzte RE</a></th>\n";
echo "<th class=\"cl1\"><a href=\"$self?lsort=seit&all=$all&ma=$ma\">seit</a></th>\n";
echo "</tr>\n";

new stwTabLine(2,30);

for($j = 0; $j<2; $j++) {
  $and = $join = '';
  if($lsort=='ma') {
	$join = "left join tbh_pers_proj hb on (p.proj_id = hb.proj_id and hb.personaltyp_id=1)
			 left join tb_personal tp on (tp.pers_id = hb.pers_id) ";
  } elseif($lsort=='fb') {
	$join = "left join tb_personal tp on (tp.pers_id = p.fb_id) ";
  }
  if(is_numeric($ma)){
	if(!is_numeric($abt)) $join .= "left join tbh_pers_proj tpp on p.proj_id = tpp.proj_id ";
	$and = "and tpp.pers_id = '$ma' ";
  }
  if(is_numeric($fb)) $and .= " and p.fb_id='$fb' ";
  if(is_numeric($abt)) {
	$join .= " left join tbh_proj_abt pa on p.proj_id = pa.proj_id ";
	$join .= " left join tbh_pers_proj tpp on p.proj_id = tpp.proj_id ";
	$join .= " left join tbh_pers_abt pe on (pe.pers_id = tpp.pers_id) ";
	$and .= " and (pa.abt_id = '$abt' or (pe.abt_id = '$abt' and tpp.personaltyp_id in (1,8,9))) ";
  }
  $diff = ($j == 1) ? "diff < 56 and diff >= 21" : "diff >= 56 or diff is null";
  $sql="select p.proj_id,
		round((to_days(curdate()) - to_days(max(h.and_datum)))/7),
		round((to_days(curdate()) - to_days(s.and_datum))/7),
		to_days(curdate()) - to_days(max(h.and_datum)),
		to_days(curdate()) -
			if (max(h.and_datum) is null or max(h.and_datum) = '0000-00-00',
				to_days(s.and_datum),
				to_days(max(h.and_datum))) as diff,
		date_format(h.and_datum, '%d.%m.%Y')
		from tb_projekte p
		left join tb_hilfeart a using(hilfeart_id) 
		left join tb_hp h on (p.proj_id = h.proj_id and h.hp_art='r')
		LEFT JOIN (select proj_id, and_datum from tb_hp where hp_art in ('h','h2','s') and prognose = 'n' 
				order by and_datum asc) s ON (p.proj_id = s.proj_id)
		$join
		where p.proj_id > 0 and a.no_refl='n'
		and (p.ende > curdate() or p.ende = '0000-00-00' or p.ende is null)
		and p.projektnr <= 900 and s.and_datum < curdate()
		$and
		group by p.proj_id
		having ($diff)
		order by ";
	switch ($lsort){
		case "nr":
			$sql .= "p.projektnr asc, ";
			break;
		case "ma":
		case "fb":
			$sql .= "tp.name asc, ";
			break;
	}
	$sql .= "diff desc;";
  $res = abfrage1($sql);

  while($re = mysql_fetch_row($res)){
	if($fb == 'kwg') {
		$kwg = abfrage("select hp_id from tb_hp where hp_art = 'k'
						and proj_id = '$re[0]' and and_datum is null;");
		if(empty($kwg[0])) continue;
	}
	$projekt = new stwProjekt($re[0]);
	/*
	 * KWG durch ein Ausrufezeichen zeigen. Zusaetzlich soll das Bild blinken
	 * wenn die letzte Reflexion laenger als 28 Tage zurueck liegt.
	 */
	$kwg = kwg_icon($projekt->id);
	if($j == 1) {
		if($projekt->fallbegleitung()) $DoIt = true;
		else $DoIt = empty($kwg) ? false : true;
	} else $DoIt = true;

	if (!in_array($re[0], $oben) && $DoIt) {
		if (empty($re[1])){
			$seit = round((time() - $projekt->beginn_ts()) / (60*60*24*7) , 0);
		} else {
	        $seit = $re[1];
		}

	    echo "<tr class=\"mo\">";
	    // Projektnr.
	    echo "<td class=\"cl1\">" . $projekt->link($projekt->name()) . "</td>\n";

		echo "<td class=\"cl1\">$kwg</td>\n";

		$daten = new stwDaten(18);
		$link  = $daten->get_klammer_link($_SESSION["webdir"],
										  $_SESSION[$AppCode]["UID"],
										  $_SESSION[$AppCode]["ULV"],
										  $projekt->id, "0");
		echo "<td class=\"cl1\">$link</td>\n";

		$dat = $projekt->wost_f();
		echo "<td class=\"cl1\" style=\"text-align:center;";
		$tt = '';
		if($projekt->kontaktst()) {
			echo "background-color:#554433;";
			$tt = "KLS = " . fls_form($projekt->wost_kontaktstunden());
			if($projekt->fallbegleitung()) {
				$tt.= "<br>Fallbegleitung: ja";
				echo "color:#FF6600;";
			}
		}
		echo "\"";
		if(strlen($tt)>0) echo stwToolTip($tt);
		echo ">". fls_form($dat) . "</td>";

		// Mitarbeiter
	    echo "<td class=\"cl1\">" . pers_kname($projekt->hb()) . "</td>\n";
	    echo "<td class=\"cl1\">" . pers_kname($projekt->fb) . "</td>\n";
		$dat = ($re[5] == '00.00.0000') ? '' : $re[5];
		$style = ($seit > 4 && $projekt->fallbegleitung()) ? "color:#FF6600;" : '';
		if($seit > 4 && !empty($kwg)) $style = "color:#FF69B4;";
		echo "<td style=\"$style\" class=\"cl1\">$dat</td>";
	    echo "<td class=\"cl1\" style=\"text-align:right;$style\">$seit W</td>\n";
	    echo "</tr>\n";
	}
  }
}
echo "</table>\n";
new stwLine(1);
new stwEnd($seite, $all);
?>
