<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
require("inc/func.inc.php");

extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

if(isset($rvar_rech_tag_sofort)) {
	abfrage2("insert into tb_ab_nachw set datum = '$rvar_rech_tag_sofort', intern='n';");
	$rvar_nachw_id = mysql_insert_id();
}

if($_SESSION[$AppCode]["ULV"] < 65 || !isset($rvar_nachw_id) || !is_numeric($rvar_nachw_id)) {
	header("Location: rech.php");
	exit(-1);
}

$datum = abfrage("select unix_timestamp(datum), datum from tb_ab_nachw
				where nachw_id = $rvar_nachw_id;");
$ab_monat = $datum[1];
$redat = $monatsletzter = mktime(0,0,0, date('n', $datum[0]), date('t', $datum[0]), date('Y', $datum[0]));

if (!arbeitstag($redat)){
	while (!arbeitstag($redat)){
		$redat -= 86400;
	}
}

$datum = date('Y-m-d', $redat);
$projs = $sams = $sams2 = array();
$sql = "select z.zg_id, k.kont_id, h.hilfeart_id from tb_zahlungsgruppe z
		left join tbh_zg_kont k using(zg_id)
		left join tbh_zg_ha h using(zg_id)
		where z.von <= '$ab_monat' and (z.bis >= '$ab_monat' or z.bis = '0000-00-00')";
$sammelrechnungen = abfrage1($sql);
while($sr = mysql_fetch_row($sammelrechnungen)) {
	$sql = "select p.proj_id from tb_projekte p
			left join tb_kontakte_ap a using(ap_id)
			where a.kont_id='$sr[1]' and p.hilfeart_id = '$sr[2]'";
	$pros = abfrage1($sql);
	while($pro = mysql_fetch_row($pros)) {
		$sams[$pro[0]] = $sr[0];
	}
}
if(getConf('rech_tag_sofort')) {
	$rechnungen = abfrage1("select re_id from tb_rechnung where nachw_id = '$rvar_nachw_id';");
}
if(!getConf('rech_tag_sofort') || mysql_num_rows($rechnungen) == 0) {
	$tagessatzproj = abfrage1( "select p.proj_id from tb_hp h
								left join tbh_hp_satz s on s.hp_id = h.hp_id
								left join tb_projekte p on h.proj_id = p.proj_id
								where (s.divisor = 'd' or s.divisor = 'm')
								and h.and_datum < date_add('$ab_monat',INTERVAL 1 MONTH)
								and (p.ende is null or p.ende='0000-00-00' or p.ende >= '$ab_monat')" );
	while ($row = mysql_fetch_row($tagessatzproj)){
		if($sams[$row[0]]) {
			$sams2[$row[0]] = $sams[$row[0]];
			continue;
		}
		if(projekt_ab_nach_ende($row[0],true)) continue;
		$satz = stundensatz($ab_monat,$row[0]);
		if($satz[0] == 'h') {
			$satz = stundensatz(date('Y-m-t', $redat),$row[0]);
		}
		if($satz[0] != 'h') $projs[$row[0]] = $satz[0];
	}
	$tagessatzproj = abfrage1( "select p.proj_id from tb_kont_stundensatz s
								left join tb_kontakte_ap a using(kont_id)
								left join tb_projekte p using(ap_id)
								left join tb_kont_hilfeart kh on (kh.kont_id = s.kont_id and kh.kh_id = s.kh_id and kh.hilfeart_id = p.hilfeart_id and kh.von < date_add('$ab_monat',INTERVAL 1 MONTH) and (kh.bis = '0000-00-00' or kh.bis >= '$ab_monat'))
								where (s.divisor = 'd' or s.divisor = 'm')
								and kh.kh_id IS NOT NULL
								and s.datum < date_add('$ab_monat',INTERVAL 1 MONTH)
								and (p.ende is null or p.ende='0000-00-00' or p.ende >= '$ab_monat')" );
	while ($row = mysql_fetch_row($tagessatzproj)){
		if($sams[$row[0]]) {
			$sams2[$row[0]] = $sams[$row[0]];
			continue;
		}
		$satz = stundensatz($ab_monat,$row[0]);
		if($satz[0] == 'h') {
			$satz = stundensatz(date('Y-m-t', $redat),$row[0]);
		}
		if($satz[0] != 'h') $projs[$row[0]] = $satz[0];
	}
}
if(!isset($rvar_rech_tag_sofort)) {
	$proj = abfrage1("select z.proj_id
					from tb_ab_zk z
					left join tb_projekte p on z.proj_id = p.proj_id
					left join tb_kontakte_ap a on p.ap_id = a.ap_id
					left join tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='0'
					where z.nachw_id = '$rvar_nachw_id' 
					and (z.fls > '00:00:00' or z.fls2 > '00:00:00')
					group by p.proj_id
					order by k.kurzname asc, p.projektnr asc;");
	while ($row = mysql_fetch_row($proj)){
		if($sams[$row[0]]) {
			$sams2[$row[0]] = $sams[$row[0]];
			continue;
		}
		if(projekt_ab_nach_ende($row[0],true)) continue;
		$projs[$row[0]] = 'h';
	}
}
foreach($projs as $proj => $typ) {
	if($sams[$proj]) {
		$sams2[$row[0]] = $sams[$row[0]];
		continue;
	}
	$pro = new stwProjekt($proj);
	$beginn = $pro->beginn_ts();
	if($typ != 'h' && ($beginn > $monatsletzter || $beginn == 0)) continue;
	$doIt = ($pro->ab == 'j');
	$ab_mod = abfrage( "select ab_mod from tb_kont_hilfeart 
						where kont_id='$pro->ja' and hilfeart_id='$pro->ha'
						and von < '$datum' and (bis = '0000-00-00' or bis > '$datum')
						order by von desc limit 1");
	if($ab_mod[0] == 'j') $doIt = true;
	if($ab_mod[0] == 'n' || $ab_mod[0] == 'h') $doIt = false;
	if($doIt) {
		$nr_von = $pro->nrkr * 10000;
		$nr_bis = (($pro->nrkr + 1) * 10000) - 1;
		$renrmax = abfrage("select max(r.re_nr) + 1 from tb_rechnung r
						where r.re_nr >= $nr_von and r.re_nr < $nr_bis;");

		if (empty($renrmax[0]) || $pro->nrkr != floor(($renrmax[0]/10000))){
			$renr = ($pro->nrkr * 10000) + 1;
		} else {
			$renr = $renrmax[0];
		}
		$sql = "insert ignore into tb_rechnung
				set proj_id = $pro->id,
				nachw_id = $rvar_nachw_id,
				re_nr = $renr,
				datum = '$datum';";
		$ins = abfrage2($sql);
	}
}

$zgRechnungen = array();
foreach($sams2 as $proj_id => $zg_id) {
	$zg = abfrage_array("select * from tb_zahlungsgruppe where zg_id='$zg_id'");
	$zg_ausnahme = abfrage("select zg_ausnahme from tb_projekte where proj_id='$proj_id'");
	if($zg_ausnahme[0] == 'j') $rech = 0;
	else $rech = abfrage("select re_id from tb_zg_rechnung where nachw_id='$rvar_nachw_id' and zg_id='$zg_id' and zg_ausnahme='n' limit 1");
	if(empty($rech)) {
		$nr_von = $zg['nrkreis'] * 10000;
		$nr_bis = (($zg['nrkreis'] + 1) * 10000) - 1;
		$renrmax = abfrage("select max(r.re_nr) + 1 from tb_rechnung r
							where r.re_nr >= '$nr_von' and r.re_nr < '$nr_bis';");
		$renr = empty($renrmax[0]) ? ($zg['nrkreis'] * 10000) + 1 : $renrmax[0];
		$sql = "insert ignore into tb_rechnung
				set proj_id = 0,
				nachw_id = '$rvar_nachw_id',
				re_nr = '$renr',
				datum = '$datum';";
		abfrage2($sql);
		$re_id = mysql_insert_id();
	} else $re_id = $rech[0];
	$zgRechnungen[$re_id] = $re_id;
	abfrage2("insert into tb_zg_rechnung set re_id='$re_id', proj_id='$proj_id', nachw_id='$rvar_nachw_id', zg_id='$zg_id', zg_ausnahme='$zg_ausnahme[0]'");
}
$konf_fls_fahrt = getConf('fls_fahrt');
$konf_fls_fahrt_ab = getConf('fls_fahrt_ab');
foreach($zgRechnungen as $re_id) {
	$betrag = 0;
	$rech = abfrage_array( "select a.datum as ab_monat, unix_timestamp(a.datum) as ab_ts, 
							date_sub(date_add(a.datum, INTERVAL 1 MONTH), INTERVAL 1 DAY) as next_mon, r.* 
							from tb_rechnung r left join tb_ab_nachw a using(nachw_id) 
							where r.re_id='$re_id'" );
	$pros = abfrage1("select proj_id from tb_zg_rechnung where re_id='$re_id'");
	$hilfearten = $fls = $fahrzeit = $kmgeld = array();
	while($pro = mysql_fetch_row($pros)) {
		$projekt = new stwProjekt($pro[0]);
		$ja=abfrage("select t2.kurzname from tb_kontakte_ap t1 ".
					"left join tb_kontakte t2 on t2.kont_id = t1.kont_id and t2.kh_id='0' ".
					"where t1.ap_id = '$projekt->sb';");
		$konf_fls_fahrt_ab_ts = empty($konf_fls_fahrt_ab) ? 0 : date_gr2ts($konf_fls_fahrt_ab);
		$fz = $projekt->fls_fz($rech['ab_monat']);
		$position = array();
		$lastsatz = stundensatz($rech['next_mon'], $projekt->id);
		$beginn = $projekt->beginn_ts();
		$anfang = projekt_ab_nach_ende($proj_id,false) ? $beginn : date_my2ts($rech['ab_monat']);
		$ende = $projekt->ende_ts();
		$monatsletzter = mktime(0,0,0, date('n', $rech['ab_ts']), date('t', $rech['ab_ts']), date('Y', $rech['ab_ts']));
		$subtrahent = $rech['ab_ts'] < $beginn ? round(($beginn - $rech['ab_ts']) / 86400,0) : 0;
		$verbleibendeTage = date("t",date_isodate_stamp($rech['ab_monat']));
		if($monatsletzter > $ende && $ende > 0) $verbleibendeTage -= round(($monatsletzter - $ende)/86400,0);
		while(date_my2ts($lastsatz[2]) > $anfang) {
			list($y,$m,$d) = explode("-",$lastsatz[2]);
			$index = $lastsatz[0].intval($lastsatz[1] * 100);
			$position[$index] += ($d > $subtrahent) ? $verbleibendeTage - $d : $verbleibendeTage - $subtrahent;
			if($d <= $subtrahent) {
				$verbleibendeTage = 0;
				break;
			}
			$lastsatz = stundensatz($lastsatz[2], $projekt->id);
			$verbleibendeTage = $d;
		}
		if($verbleibendeTage > 0) {
			$index = $lastsatz[0].intval($lastsatz[1] * 100);
			$position[$index] += $verbleibendeTage - $subtrahent;
		}
		foreach($position as $satz  => $days) {
			$index = $projekt->ha . '_' . $satz;
			$hilfearten[ $index ]++;
			$typ = $satz[0];
			$satz = substr($satz,1) / 100;
			if($typ == 'h') {
				$kh_id = get_kh_id($projekt->ja, $projekt->ha, $rech['ab_monat']);
				$abg = $projekt->fls_abgerechnet($rech['ab_monat'], true, true);
				$abg -= $fz;
				$fahrzeit[ $index ] += $fz;
				$sql = "SELECT k.pauschVuN FROM tb_projekte p 
						LEFT JOIN tb_kontakte_ap a on p.ap_id = a.ap_id
						LEFT JOIN tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='$kh_id'
						WHERE p.proj_id = '$projekt->id'";
				$kont = abfrage($sql);
				if($kont[0] == 'j') $abg *= 1.5;
			} elseif($typ == 'd') {
				$abg = $days;
			} elseif($typ == 'm') {
				$abg = $days / date("t",date_isodate_stamp($rech['ab_monat']));
			}
			$fls[ $index ] += $abg;
		}
/*
						if($projekt->kmgpauschale) {
							$sql = "SELECT g.betrag, sum( g.betrag )
									FROM tb_zk_km_geld g
									LEFT JOIN tb_ab_zk z
									USING ( zk_id )
									WHERE z.proj_id = '$projekt->id'
									AND z.ab = 'j'
									AND g.betrag > 0
									AND z.ab_monat = '{$rech['ab_monat']}'
									GROUP BY g.betrag";
							$kmgpauschal = abfrage1($sql);
							while($kmg = mysql_fetch_row($kmgpauschal)) {
								$menge = $kmg[1] / $kmg[0];
								$kmg[ $index ][] $menge
								if(!$vergleichsrechnung) abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$menge', satz='$kmg[0]', typ='fp'");
								$nr++;
								$leistungen += $kmg[1];
							}
						}
*/
		$kmg = $projekt->kilometergeld($rech['ab_monat']);
		$m = array(0);
		$fahrtkosten = 0;
		if($kmg[0] == 'j') {
			$km = abfrage("SELECT sum( km_abw_ja )
							FROM tb_ab_zk
							WHERE ab_monat = '{$rech['ab_monat']}'
							AND proj_id = '$projekt->id'
							AND km_abw_ja > 0;");
		} elseif($kmg[0] == 'o') {
			$km = abfrage("SELECT sum( km_dienst ) + sum( km_privat )
							FROM tb_ab_zk
							WHERE ab_monat = '{$rech['ab_monat']}'
							AND proj_id = '$projekt->id';");
		} elseif($kmg[0] == 'n') {
			$sql = "select sum( z.km_dienst ) + sum( z.km_privat )
					from tbh_extrafahrt x
					left join tb_ab_zk z using(zk_id)
					where x.extrafahrt = 'j' and 
					ab_monat = '{$rech['ab_monat']}'
					and proj_id = '$projekt->id';";
			$km = abfrage($sql);
		}
		$fahrtkosten = ($km[0] * $kmg[1])/100;
		if($fahrtkosten > 0) {
			$kmgeld[ $index ][ $kmg[1] ] += $km[0];
		}
/*
						if ($projekt->km == 'j' && $projekt->kmd <= $rech['ab_monat']){
							$conf_kmsatz = getConf('kmsatz');
							if($conf_kmsatz > 0) {
								if(!$vergleichsrechnung) abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='$abg', satz='$conf_kmsatz', typ='p'");
								$nr++;
							}
							$fahrtkosten += fround(fround($abg,2) * fround($conf_kmsatz,2), 2);
						}
						$leistungen += $fahrtkosten;
						if(intval(getConf("klientenkonto2"))) {
							$kk2val = getConf("kk2val");
							$kk2s = abfrage("select sum(k.spesen_betr) from tb_ab_zk z left join tb_klientenkonto2 k using(zk_id) where z.proj_id='$projekt->id' and z.ab='j' and k.ab_monat='{$rech['ab_monat']}'");
							$kk2 = ($kk2val > $kk2s[0]) ? $kk2s[0] : $kk2val;
							$leistungen += $kk2;
							if($kk2 > 0) {
								if(!$vergleichsrechnung) abfrage2("insert into tb_ab_rechnung set re_id='$re_id', nachw_id='{$rech['nachw_id']}', proj_id='$projekt->id', ab_monat = '{$rech['ab_monat']}', pos='$nr', menge='1', satz='$kk2', typ='s'");
								$nr++;
							}
						}
*/
	}
	$pos = 1;
	foreach($hilfearten as $index => $cnt) {
		$subpos = 1;
		list($ha, $satz) = explode("_", $index);
		$typ = $satz[0];
		$satz = substr($satz,1) / 100;
		$h_art = abfrage("select kurzname, hilfeart, beschreibung from tb_hilfeart where hilfeart_id='$ha'");
		$name = empty($h_art[0]) ? $h_art[2] : "$h_art[1] $h_art[0]";
		$text = "$cnt x $name";
		$menge = $fls[ $index ];
		$sql = "insert into tb_zg_position set re_id='$re_id', nachw_id='$rvar_nachw_id',
				hilfeart_id='$ha', pos='$pos', subpos='$subpos',
				menge='$menge', typ='$typ', satz='$satz', text='$text'";
		abfrage2($sql);
		$betrag += round($satz*$menge,2);
		$subpos++;
		if($fahrzeit[ $index ]) {
			$menge = $fahrzeit[ $index ];
			$sql = "insert into tb_zg_position set re_id='$re_id', nachw_id='$rvar_nachw_id',
					hilfeart_id='$ha', pos='$pos', subpos='$subpos',
					menge='$menge', typ='fz', satz='$satz', text='Fahrzeiten'";
			abfrage2($sql);
			$betrag += round($satz*$menge,2);
			$subpos++;
		}
		if(is_array($kmgeld[ $index ])) {
			foreach($kmgeld[ $index ] as $kmg => $km) {
				$satz = $kmg / 100;
				$sql = "insert into tb_zg_position set re_id='$re_id', nachw_id='$rvar_nachw_id',
						hilfeart_id='$ha', pos='$pos', subpos='$subpos',
						menge='$km', typ='km', satz='$satz', text='Kilometergeld'";
				abfrage2($sql);
				$betrag += round($satz*$km,2);
				$subpos++;
			}
		}
		$pos++;
	}
	abfrage2("update tb_rechnung set betrag='$betrag' where re_id='$re_id'");
}

if(!isset($rvar_rech_tag_sofort)) {
	/* Gab es nicht berechnete Aenderungen im Stundensatz o.A. in den letzten 6 Monaten? */
	$sql = "select r.re_id, r.datum, r.proj_id from tb_rechnung r
			left join tb_zg_rechnung z using(re_id)
			where z.zg_id IS NULL 
			and r.datum > date_sub('$datum',INTERVAL 6 MONTH) 
			order by r.nachw_id desc";
	$letzte_rechnungen = abfrage1($sql);
	while($rech = mysql_fetch_row($letzte_rechnungen)) {
		if(is_k_rechnung($rech[0])) continue;
		list($jahr, $monat, $tag) = explode("-", $rech[1]);
		$date = "$jahr-$monat-01";
		$betrag1 = fls_rechnung($rech[0],false);
		$betrag2 = fls_rechnung($rech[0],true);
		$betrag = $betrag2 - $betrag1;
		$satz = abfrage("select satz from tb_ab_rechnung where typ='h' and re_id='$rech[0]'");
		/* Rundung auf 0.05h werden ignoriert */
		$mod = $satz[0] * 0.05;
		if($betrag > $mod) {
			$krech=abfrage("select sum(satz) from tb_ab_rechnung 
							where proj_id='$rech[2]' and ab_monat='$date' and typ='k'");
			if(empty($krech[0]) || $betrag - $krech[0] >= 0.01) {
				if(!empty($krech[0])) $betrag -= $krech[0];
				$sql = "select k.nrkreis from tb_projekte p 
						left join tb_kontakte_ap a on p.ap_id = a.ap_id
						left join tb_kontakte k on a.kont_id = k.kont_id and k.kh_id='0' 
						where p.proj_id = '$rech[2]';";
				$nrkr = abfrage($sql);
				$nr_von = $nrkr[0] * 10000;
				$nr_bis = (($nrkr[0] + 1) * 10000) - 1;
				$renrmax = abfrage("select max(r.re_nr) + 1 from tb_rechnung r
								where r.re_nr >= $nr_von and r.re_nr < $nr_bis;");

				if (empty($renrmax[0]) || $nrkr[0] != floor(($renrmax[0]/10000))){
					$renr = ($nrkr[0] * 10000) + 1;
				} else {
					$renr = $renrmax[0];
				}
				abfrage2("insert into tb_rechnung
							set proj_id = '$rech[2]',
							nachw_id = '$rvar_nachw_id',
							re_nr = '$renr',
							datum = '$datum',
							betrag = '$betrag';");
				$re_id = mysql_insert_id();
				abfrage2("insert into tb_ab_rechnung
							set re_id = '$re_id', proj_id = '$rech[2]', nachw_id = '$rvar_nachw_id', 
							pos = 1, ab_monat = '$date', typ = 'k', menge = 1, satz = '$betrag';");
			}
		}
	}
}

header("Location: rech.php?nw=$rvar_nachw_id");
?>