<?php
/***************************************************************
 * Stellware - Jugendhilfe Management System                   *
 * Autor: Alexander Keune, alex@stellware.de                   *
 *                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den *
 * Bedingungen der GNU General Public License (GPL), wie von   *
 * der Free Software Foundation verffentlicht, weitergeben    *
 * und/oder modifizieren, entweder gem Version 2 der Lizenz  *
 * oder, wenn Sie das wnschen, nach jeder spteren Version.   *
 *                                                             *
 * Die Verffentlichung dieses Programmes erfolgt in der Hoff- *
 * nung, dass es Ihnen von Nutzen sein wird, aber ohne         *
 * irgendeine Garantie, auch ohne die implizite Garantie der   *
 * Marktreife oder Verwendbarkeit fr irgendeinen bestimmten   *
 * Zweck. Details finden Sie in der GNU General Public License *
 * in der Datei 'gpl.txt' im Verzeichnis 'doc'.                *
 *                                                             *
 *  http://www.stellware.de                                    *
 ***************************************************************/
session_start();
require("inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

$location = isset($_SESSION[$AppCode]["url"]) ? $_SESSION[$AppCode]["url"] : "rech.php?nw=$rvar_nw";
$dat = date_gr2my($rvar_datum);
$ausgabe = $rvar_bemerk=='j' ? 'j' : 'n';
if(isset($_POST['abschlag'])) {
	$location .= "#p$rvar_proj_id";
	$abschlag = abfrage("select proj_id, teilz_betrag from tb_abschlag where nachw_id='$rvar_nw' and proj_id='$rvar_proj_id'");
	if(empty($abschlag[1])) $abschlag[1] = 0.00;
	$sql  = (empty($abschlag[0])) ? "insert into " : "update ";
	$sql .= "tb_abschlag set textausgabe = '$ausgabe', text = '$rvar_text', bemerkungen = '$rvar_bemerkungen'";
	if($rvar_storno == 'Stornieren!') {
		$sql .= ", teilz_betrag='0.00', teilz_datum=now(), teilz_pers_id='{$_SESSION[$AppCode]['UID']}', storniert='j'";
	} elseif($rvar_storno == 'Stornierung aufheben') {
		$sql .= ", teilz_betrag='0.00', teilz_datum=now(), teilz_pers_id='{$_SESSION[$AppCode]['UID']}', storniert='n'";
	} else {
		$teilz_betrag = str_replace(',','.',$rvar_teilzahlung);
		$teilz_betrag += 0.00;
	}
	if($abschlag[1] <> $teilz_betrag) $sql .= ", teilz_betrag='$teilz_betrag', teilz_datum=now(), teilz_pers_id='{$_SESSION[$AppCode]['UID']}'";
	$sql .= (empty($abschlag[0])) ? ", nachw_id='$rvar_nw', proj_id='$rvar_proj_id'" : " where nachw_id='$rvar_nw' and proj_id='$rvar_proj_id'";
	abfrage2($sql);
} elseif(isset($_POST['re_id'])) {
	$location .= "#r$rvar_re_id";
	$change_betrag = '';
	if(isset($_POST['fls'])) {
		$fls = str_replace(',','.',$rvar_fls);
		$abg = abfrage("select menge, satz from tb_ab_rechnung where re_id = '$rvar_re_id' and pos = '1';");
		if(round($fls,2) != round($abg[0],2)) {
			$betrag = round($fls * $abg[1],2);
			$change_betrag = "betrag='$betrag',";
			abfrage2("update tb_ab_rechnung set menge='$fls' where re_id = '$rvar_re_id' and pos = '1';");
		}
	}
	$sql = "update tb_rechnung
			set re_nr = '$rvar_re_nr', datum = '$dat',
			textausgabe = '$ausgabe', text = '$rvar_text',
			$change_betrag
			bemerkungen = '$rvar_bemerkungen'";
	if($rvar_storno == 'Stornieren!') {
		$sql .= ", teilz_betrag='0.00', teilz_datum=now(), teilz_pers_id='{$_SESSION[$AppCode]['UID']}', storniert='j'";
	} elseif($rvar_storno == 'Stornierung aufheben') {
		$sql .= ", teilz_betrag='0.00', teilz_datum=now(), teilz_pers_id='{$_SESSION[$AppCode]['UID']}', storniert='n'";
	} else {
		$teilz_betrag = str_replace(',','.',$rvar_teilzahlung);
		$teilz_betrag += 0.00;
	}
	$teilz = abfrage("select teilz_betrag from tb_rechnung where re_id = '$rvar_re_id';");
	if($teilz[0] <> $teilz_betrag) $sql .= ", teilz_betrag='$teilz_betrag', teilz_datum=now(), teilz_pers_id='{$_SESSION[$AppCode]['UID']}'";
	$sql .= " where re_id = $rvar_re_id;";
	abfrage2($sql);
}
header("Location: $location");
?>