<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: seite_konf.php 2921 2018-12-04 09:17:49Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /*
  * Seitennummer aus uebergebenen Parameter setzen
  * diese Seite besitzt keine eigene Nummer
  */
 $seite = $_GET["seite"];

 /* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
 $zeit = explode(" ", microtime());
 $zeit_start = $zeit[0] + $zeit[1];

 /* ein paar Funktionen und automatische Ausgaben werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 14);

 require_once($pfad."inc/auth.inc.php");
 require_once($pfad."inc/stw.inc.php");

 /* unter Level 97 hat man hier nichts zu suchen */
 if ($_SESSION[$AppCode]["ULV"] < 97)
 {
   new stwEnd($seite);
   exit(0);
 }

 /* Objekte mit zusaetzlicher Checkbox 'optional' */
 $GfOkObjekte = array(99);
 
 $pers_order = getPersOrder($seite);
 /* Seite wurde uebergeben jetzt pruefen ob neuer Nutzer hinzukommen soll */
 $sql  = "SELECT obj_id FROM tb_obj_rechte WHERE seite=".$_GET['seite'].";";
 $erg  = mysql_query($sql);

 if (!$erg)
 {
   echo "<table><tr><th>Datenbankabfrage fuer Objekte gescheitert.";
   echo "</th></tr></table>";
   exit(1);
 }

 /* jedes Objekt testen ob Nutzerrecht hinzugefuegt wurde */
 while ($obj = mysql_fetch_row($erg))
 {
   $check = "auswahl".$obj[0];
   if (isset($_POST[$check]) && !empty($_POST[$check]))
   {
     if(strpos($_POST[$check],'abt') === false) {
		$sql  = "REPLACE INTO tb_benutzerrechte (obj_id, pers_id) VALUES ";
		$sql .= "(".$obj[0].",".$_POST[$check].");";
		abfrage2($sql);

		if(isset($_POST['azvlvl'])) {
			$sql = "REPLACE INTO tbh_pers_azv SET pers_id='" . $_POST[$check] . "', azv='" . $_POST['azvlvl'] . "'";
			abfrage2($sql);
		}
		if(isset($_POST['delay'])) {
			$sql = "REPLACE INTO tb_pers_delay SET pers_id='" . $_POST[$check] . "', delay='" . $_POST['delay'] . "'";
			abfrage2($sql);
		}
		if(isset($_POST['betrag'])) {
			$sql = "REPLACE INTO tb_pers_betrag SET pers_id='" . $_POST[$check] . "', betrag='" . str_replace(',','.',$_POST['betrag']) . "'";
			abfrage2($sql);
		}
	 } else {
		$sql  = "REPLACE INTO tb_abteilungsrechte (obj_id, abt_id) VALUES ";
		$sql .= "(".$obj[0].",".substr($_POST[$check],3).");";
		abfrage2($sql);
	 }
   }
   $level = "levelrecht".$obj[0];
   if(!empty($_POST[$level])) abfrage2("UPDATE tb_levelrechte SET level='".$_POST[$level]."' WHERE obj_id='$obj[0]'");
 }

 /* Rechte werden entzogen */
 if ($_GET["drop"] == 1 && isset($_GET["obj_id"]))
 {
   if(isset($_GET["abt_id"])) {
     $sql  = "DELETE FROM tb_abteilungsrechte WHERE obj_id='";
     $sql .= $_GET["obj_id"]."' AND abt_id='".$_GET["abt_id"]."';";
     abfrage2($sql);
   } elseif(isset($_GET["pers_id"])) {
     $sql  = "DELETE FROM tb_benutzerrechte WHERE obj_id='";
     $sql .= $_GET["obj_id"]."' AND pers_id='".$_GET["pers_id"]."';";
     abfrage2($sql);
     if($_GET["obj_id"] == 15) {
       abfrage2("UPDATE tb_personal_abt_leit SET kontrolle='n' WHERE pers_id='{$_GET["pers_id"]}'");
     }
   }
 }

 /* vielleicht neue Sessionzeit gesetzt */
 if (isset($_POST["session"]))
 {
   $sql = "UPDATE tb_web_seite SET session=".$_POST["session"];
   if(!isset($_POST['alle_Seiten'])) $sql .= " WHERE seite=".$_GET["seite"].";";

   abfrage2($sql);
 }

 if(isset($_POST['extrafahrt_km'])) {
	abfrage2("update tb_konf set wert = '{$_POST['extrafahrt_km']}' where name = 'extrafahrt_km';");
 }

 if(isset($_POST['ttt_zukunft'])) {
	abfrage2("update tb_konf set wert = '" . ($_POST['ttt_zukunft'] * 60) . "' where name = 'ttt_zukunft';");
 }

 /* Formular starten */
 echo "<form method=\"post\" action=\"seite_konf.php?seite";
 echo "=".$_GET["seite"]."&name=".$_GET["name"]."\">";

 /* I. Bereich Sessionzeit festlegen */
 $sql  = "SELECT name, session FROM tb_web_seite WHERE seite = ";
 $sql .= $_GET["seite"].";";

 $zeile = abfrage($sql);
 echo "<table><tr>";

 if(($_GET['seite']==4 && $_GET['name']=='pers_and') ||
	($_GET['seite']==64 && $_GET['name']=='gehalt') ||
	($_GET['seite']==17 && $_GET['name']=='pers_azv_and')) {
	echo "<td><input type=\"button\" name=\"konf_mask\" value=\"Formularbereiche ein-/ausblenden\"";
	echo "onClick=\"self.location.href='{$_GET['name']}.php?konfmask=1'\"></td>\n";
 }
 echo "<th>eingestellte Sessionzeit f&uuml;r den Bereich ";
 echo $zeile[0].":</th>\n";

 echo "<td><input type=\"text\" name=\"session\" ";
 echo "value=\"".$zeile[1]."\" size=\"5\"></td>\n";

 echo"<th>Sekunden</th><td class=\"cl20\"><input type=\"image\" ";
 echo "src=\"img/senden.png\"></td>\n";
 echo "<td><input type=\"submit\" name=\"alle_Seiten\" value=\"f&uuml;r alle Seiten\"";
 echo stwToolTip("Hier klicken um Zeit f&uuml;r <b>ALLE</b> Seiten<br>auf diesen Wert setzen");
 echo "/></td></tr></table>\n";

 /* Abtrennung der Sessionkonfiguration */
 new stwLine(1);

 /* Sortierreihenfolge Mitarbeiter (Vorname, Nachname...) */
 if(isset($_POST['PersOrder'])) {
	abfrage2("replace into tb_seite_pers_sort set sort = '{$_POST['PersOrder']}', seite = '$seite'");
 }
 echo "<table><tr><th class=\"cl1\">Darstellung Namen:</th>\n<td>";
 echo "<select name=\"PersOrder\" size=\"1\" onchange=\"this.form.submit()\">\n";
 $sort = abfrage("select sort from tb_seite_pers_sort where seite = '$seite'");
 $selected = (empty($sort[0])) ? 'selected' : '';
 echo "<option value=\"0\" $selected>Standard (wie in konf)</option>";
 $selected = ($sort[0] == 1) ? 'selected' : '';
 echo "<option value=\"1\" $selected>Vorname, Nachname</option>";
 $selected = ($sort[0] == 2) ? 'selected' : '';
 echo "<option value=\"2\" $selected>Nachname, Vorname</option>";
 echo "</select></td><td><input type=\"image\" ";
 echo "src=\"img/senden.png\"></td>\n</tr></table>\n";

 if($_GET['seite'] == 41) {
	new stwLine(2);
	echo "<table><tr><th class=\"cl1\">Fahrt in Rechnung stellen, unabh&auml;ngig von Einstellung zur Erstattung des km-Geldes ab</th>\n<td>";
	$extrafahrt_km = getConf('extrafahrt_km');
	echo "<input type=\"text\" size=\"4\" name=\"extrafahrt_km\" value=\"$extrafahrt_km\" />\n";
	echo "</td><th class=\"cl11\">km</th><td><input type=\"image\" src=\"img/senden.png\"></td>\n</tr></table>\n";
	new stwLine(2);
	echo "<table><tr><th colspan=\"4\">Zeitkarten d&uuml;rfen maximal eine Viertelstunde in die Zukunft Abrechnungsrelevant-Ja gesetzt werden.</th></tr>";
	echo "<tr><th class=\"cl11\">F&uuml;r Zeitkarten der Hilfeart TTT gilt ein anderer Wert:</th>\n<td>";
	$ttt_z = getConf('ttt_zukunft');
	$ttt_zukunft = intval($ttt_z / 60);
	echo "<input type=\"text\" style=\"text-align:right\" size=\"3\" name=\"ttt_zukunft\" value=\"$ttt_zukunft\" />\n";
	echo "</td><th class=\"cl11\">Min</th><td width=\"100%\"><input type=\"image\" src=\"img/senden.png\"></td>\n</tr></table>\n";
 }
 new stwLine(1);

 if($_GET['seite'] == 6) {
	/* Archiveinstellungen */
	if(isset($_POST['arc_mon']) && (intval($_POST['arc_mon']) != 0)) {
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['arc_mon']}' WHERE name='arc_mon'");
	}
	
	echo "<table>\n<tr><th class=\"cl1\">Alter der zu archivierenden Projekte: </th>\n";
	echo "<td><input type=\"text\" size=\"2\" name=\"arc_mon\" value=\"".getConf('arc_mon')."\"></td>\n";
	echo "<th>Monate</td>\n";
	echo "<td><input type=\"image\" ";
 	echo "src=\"img/senden.png\"></td>\n</tr></table>\n";
	echo "<span id=\"tb151\">\n</span>\n";
	new stwLine(1);

	if(isset($_POST['blink'])) {
		abfrage2("UPDATE tb_konf SET wert = '" . ($_POST['no_blink']==1 ? 1 : 0) . "' WHERE name='pro_blinken_aus'");
	}
	$no_blink = getConf('pro_blinken_aus');
	echo "<table><input type=\"hidden\" name=\"blink\" value=\"1\">\n";
	echo "<tr><td class=\"cl1\" style=\"padding-top:3px\">";
	echo "<input type=\"checkbox\" name=\"no_blink\" value=\"1\" ";
	if($no_blink) echo "checked ";
	echo "onclick=\"this.form.submit()\">";
	echo "</td><th class=\"cl1\">Blinken in Projektliste deaktivieren (Projekt-Namen und Vertretungen)</th></tr></table>";
	new stwLine(1);
 }
 if($_GET['seite'] == 44) {
	if(isset($_POST['pruefturnus'])) {
		$pruefturnus = $_POST['pruefturnus'];
		abfrage2("update tb_konf set wert='$pruefturnus' where name='pruefturnus'");
	} else $pruefturnus = getConf('pruefturnus');
	echo "<table>\n<tr><th class=\"cl1\">Elektropr&uuml;fung: n&auml;chste Pr&uuml;fung standardm&auml;&szlig;ig nach</th>\n";
	echo "<td><input type=\"text\" name=\"pruefturnus\" value=\"$pruefturnus\" size=\"4\" style=\"text-align:right\" /></td>\n";
	echo "<th>Monaten</th><td><input type=\"image\" src=\"img/senden.png\"></td>\n</tr></table>\n";

	new stwLine(1);
 }
 if($_GET['name'] == 'pro_ag') {
	/* Hilfearten Abschlussgespraech BZ2017 */
	$names = array('', 'Integrative Familienbegleitung', 'Aufsuchende Familientherapie', 'EB', 'spFh', 'Tagesgruppe', 'Heim', 'Betreutes Wohnen', 'Einzelbetreuung', 'Eingliederungshilfe ambulant', 'Eingliederungshilfe teilstat.', 'Eingliederungshilfe stationr', 'Sonstige');
	if(isset($_POST['addHA']) && is_array($_POST['addHA'])) {
		foreach($_POST['addHA'] as $i => $addHA) {
			if($addHA > 0) abfrage2("update tb_hilfeart set BZ2017='$i' where hilfeart_id='$addHA'");
		}
	}
	if(isset($_GET['nullify']) && is_numeric($_GET['nullify']))
		abfrage2("update tb_hilfeart set BZ2017='0' where hilfeart_id='{$_GET['nullify']}' limit 1");

	echo "<table style=\"width:750px\"><tr>";
	echo "<th colspan=\"3\">Einteilung der Hilfearten in die 12 vom JA vorgegebenen Kategorien</th></tr>\n";
	new stwTabLine(2,3);
	$has = abfrage1("select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' and BZ2017='0' order by pra_id asc, hilfeart asc");
	$pras = abfrage1("select pra_id, kname from tb_projektart order by pra_id asc");
	$pra = array();
	while($pr = mysql_fetch_row($pras)) {
		$pra[$pr[0]] = $pr[1];
	}
	for($i=1;$i<=12;$i++) {
		echo "<tr><th class=\"cl1\">" . $names[$i] . "</th>";
		echo "<td style=\"width:85px\"><select name=\"addHA[$i]\" size=\"1\" style=\"width:85px\" onchange=\"this.form.submit()\">\n";
		echo "<option value=\"0\">HA w&auml;hlen</option>\n";
		$lastPra = 0;
		mysql_data_seek($has,0);
		while ($ha = mysql_fetch_row($has)){
			if($lastPra != $ha[3]) {
				echo "<option value=\"0\">---- ".$pra[$ha[3]]." ----</option>\n";
				$lastPra = $ha[3];
			}
			echo "<option value=\"$ha[0]\">$ha[1] - $ha[2]</option>\n";
		}
		echo "</select></td><td width=\"100%\" class=\"ww\">";
		$had = abfrage1("select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' and BZ2017='$i' order by pra_id asc, hilfeart asc");
		$lastPra = 0;
		while($ha = mysql_fetch_row($had)) {
			if($lastPra != $ha[3]) echo "<b style=\"color:#FFCC00\">".$pra[$ha[3]]."</b> ";
			echo "<a href=\"seite_konf.php?seite=".$_GET['seite']."&name=".$_GET['name']."&nullify=$ha[0]\"";
			echo stwToolTip('<b>' . (strlen($ha[2])>0 ? $ha[2] : $ha[1]) . '</b> aus Liste entfernen');
			echo "style=\"color:red\">$ha[1]</a>\n";
			$lastPra = $ha[3];
		}
		echo "</td></tr>\n";
	}
	echo "</table>\n";
	new stwLine(1);
 }

 if($_GET['name'] == 'pro') {
	/* Hilfearten Verwaltungsprojekte */
	if(isset($_POST['addVerHA']) && $_POST['addVerHA'] > 0) {
		abfrage2("update tb_hilfeart set verw='j' where hilfeart_id='{$_POST['addVerHA']}'");
	}
	if(isset($_GET['delVerHA']) && is_numeric($_GET['delVerHA']))
		abfrage2("update tb_hilfeart set verw='n' where hilfeart_id='{$_GET['delVerHA']}' limit 1");

	echo "<table style=\"width:750px\"><tr>";
	echo "<th>Hilfearten von Verwaltungsprojekten in anderen Projektarten (aHzE, STG, ...): </th>\n";
	$has = abfrage1("select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' and verw='n' order by pra_id asc, hilfeart asc");
	$pras = abfrage1("select pra_id, kname from tb_projektart order by pra_id asc");
	$pra = array();
	while($pr = mysql_fetch_row($pras)) {
		$pra[$pr[0]] = $pr[1];
	}
	echo "<td width=\"100%\"><select name=\"addVerHA\" size=\"1\" style=\"width:85px\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">HA w&auml;hlen</option>\n";
	$lastPra = 0;
	mysql_data_seek($has,0);
	while ($ha = mysql_fetch_row($has)){
		if($lastPra != $ha[3]) {
			echo "<option value=\"0\">---- ".$pra[$ha[3]]." ----</option>\n";
			$lastPra = $ha[3];
		}
		echo "<option value=\"$ha[0]\">$ha[1] - $ha[2]</option>\n";
	}
	echo "</select></td></tr><tr><td colspan=\"2\" width=\"100%\" class=\"ww\">";
	$had = abfrage1("select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' and verw='j' order by pra_id asc, hilfeart asc");
	$lastPra = 0;
	while($ha = mysql_fetch_row($had)) {
		if($lastPra != $ha[3]) echo "<b style=\"color:#FFCC00\">".$pra[$ha[3]]."</b> ";
		echo "<a href=\"seite_konf.php?seite=".$_GET['seite']."&name=".$_GET['name']."&delVerHA=$ha[0]\"";
		echo stwToolTip('<b>' . (strlen($ha[2])>0 ? $ha[2] : $ha[1]) . '</b> aus Liste entfernen');
		echo "style=\"color:red\">$ha[1]</a>\n";
		$lastPra = $ha[3];
	}
	echo "</td></tr>\n";
	echo "</table>\n";
	new stwLine(1);
 }

 if($_GET['seite'] == 41) {
	/* Hilfearten Pool-Uebertraege */
	if(isset($_POST['addPoolHA']) && $_POST['addPoolHA'] > 0) {
		abfrage2("update tb_hilfeart set pooluebertrag='j' where hilfeart_id='{$_POST['addPoolHA']}'");
	}
	if(isset($_GET['delPoolHA']) && is_numeric($_GET['delPoolHA']))
		abfrage2("update tb_hilfeart set pooluebertrag='n' where hilfeart_id='{$_GET['delPoolHA']}' limit 1");

	echo "<table style=\"width:750px\"><tr>";
	echo "<th>Pool-&Uuml;bertragung f&uuml;r folgende Hilfearten erlauben: </th>\n";
	$has = abfrage1("select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' and pooluebertrag='n' order by pra_id asc, hilfeart asc");
	$pras = abfrage1("select pra_id, kname from tb_projektart order by pra_id asc");
	$pra = array();
	while($pr = mysql_fetch_row($pras)) {
		$pra[$pr[0]] = $pr[1];
	}
	echo "<td width=\"100%\"><select name=\"addPoolHA\" size=\"1\" style=\"width:85px\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">HA w&auml;hlen</option>\n";
	$lastPra = 0;
	mysql_data_seek($has,0);
	while ($ha = mysql_fetch_row($has)){
		if($lastPra != $ha[3]) {
			echo "<option value=\"0\">---- ".$pra[$ha[3]]." ----</option>\n";
			$lastPra = $ha[3];
		}
		echo "<option value=\"$ha[0]\">$ha[1] - $ha[2]</option>\n";
	}
	echo "</select></td></tr><tr><td colspan=\"2\" width=\"100%\" class=\"ww\">";
	$had = abfrage1("select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' and pooluebertrag='j' order by pra_id asc, hilfeart asc");
	$lastPra = 0;
	while($ha = mysql_fetch_row($had)) {
		if($lastPra != $ha[3]) echo "<b style=\"color:#FFCC00\">".$pra[$ha[3]]."</b> ";
		echo "<a href=\"seite_konf.php?seite=".$_GET['seite']."&name=".$_GET['name']."&delPoolHA=$ha[0]\"";
		echo stwToolTip('<b>' . (strlen($ha[2])>0 ? $ha[2] : $ha[1]) . '</b> aus Liste entfernen');
		echo "style=\"color:red\">$ha[1]</a>\n";
		$lastPra = $ha[3];
	}
	echo "</td></tr>\n";
	echo "</table>\n";
	new stwLine(1);
 }

 if(in_array($_GET['seite'], array(12,45,52,6,30,38,10,8))) {
	$loop = ($_GET['seite']==6) ? 2 : 1;
	for($schleife = 1; $schleife <= $loop; $schleife++) {
		echo "<table style=\"width:750px\"><tr>";
		$Ausnahmen = 'Ausnahmen';
		if($_GET['seite'] == 6 && $schleife == 1) {
			/* Meldung bei volljaehrigen Hilfeempfaengern? */
			if(isset($_POST['adult'])) {
				abfrage2("UPDATE tb_konf SET wert = '" . ($_POST['adult_check']==1 ? 1 : 0) . "' WHERE name='pro_adult'");
				if($_POST['no_adult']>0) abfrage2("update tb_hilfeart set adult='j' where hilfeart_id='{$_POST['no_adult']}'");
			}
			if(isset($_GET['ha_pop']) && $_GET['l']==1 && (intval($_GET['ha_pop']) > 0)) {
				abfrage2("update tb_hilfeart set adult='n' where hilfeart_id='{$_GET['ha_pop']}'");
			}
			$doIt = getConf('pro_adult');
			$name = 'no_adult';
			echo "<input type=\"hidden\" name=\"adult\" value=\"1\">\n";
			echo "<td style=\"width:10px\" class=\"cl1\" style=\"padding-top:3px\">";
			echo "<input type=\"checkbox\" name=\"adult_check\" value=\"1\" ";
			if($doIt) echo "checked ";
			echo "onclick=\"this.form.submit()\">";
			echo "</td><th style=\"width:250px\" class=\"cl1\">Meldung bei vollj&auml;hrigem Hilfeempf&auml;nger</th>";
			$sql1 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' and adult='n' order by pra_id asc, hilfeart asc";
			$sql2 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where adult='j' order by pra_id asc, hilfeart asc";
		} elseif($_GET['seite'] == 6 && $schleife == 2) {
			/* Ausnahmen Druck HP pro Person */
			if(isset($_POST['no_pers_hp'])) {
				if($_POST['no_pers_hp']>0) abfrage2("update tb_hilfeart set no_pers_hp='j' where hilfeart_id='{$_POST['no_pers_hp']}'");
			}
			if(isset($_GET['ha_pop']) && $_GET['l']==2 && (intval($_GET['ha_pop']) > 0)) {
				abfrage2("update tb_hilfeart set no_pers_hp='n' where hilfeart_id='{$_GET['ha_pop']}'");
			}
			$doIt = true;
			$name = 'no_pers_hp';
			echo "<th style=\"width:250px\" class=\"cl1\">folgende Hilfearten nicht im Druck Hilfeplan&uuml;bersicht ausgeben</th>";
			$sql1 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' and no_pers_hp='n' order by pra_id asc, hilfeart asc";
			$sql2 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where no_pers_hp='j' order by pra_id asc, hilfeart asc";
		} elseif($_GET['seite'] == 30) {
			/* Welche Projekte beduerfen keines Qualitaetsmanagement? */
			if(isset($_GET['ha_pop']) && (intval($_GET['ha_pop']) > 0)) {
				abfrage2("UPDATE tb_hilfeart SET iqs = '0' WHERE hilfeart_id='{$_GET["ha_pop"]}'");
			}

			if (isset($_POST["hilfeart"])) {
				$sql  = "UPDATE tb_hilfeart SET iqs = '1' WHERE hilfeart_id=";
				$sql .= $_POST["hilfeart"];
				abfrage2($sql);
			}
			$doIt = true;
			$name = 'hilfeart';
			$sql1 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where (iqs=0 or iqs is null) and aktiv='j' order by pra_id asc, hilfeart asc;";
			$sql2 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where iqs=1 and aktiv='j' order by pra_id asc, hilfeart asc;";
			echo "<th style=\"width:100px\" class=\"cl1\">kein IQS f&uuml;r:</th>";
		} elseif($_GET['seite'] == 38) {
			/* Spesen? */
			if(isset($_GET['ha_pop']) && (intval($_GET['ha_pop']) > 0)) {
				abfrage2("UPDATE tb_hilfeart SET spesen = 'n' WHERE hilfeart_id='{$_GET["ha_pop"]}'");
			}

			if (isset($_POST["haspesen"])) {
				$sql  = "UPDATE tb_hilfeart SET spesen = 'j' WHERE hilfeart_id=";
				$sql .= $_POST["haspesen"];
				abfrage2($sql);
			}
			$doIt = true;
			$name = 'haspesen';
			$Ausnahmen = 'Hilfeart';
			$sql1 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where (spesen='n') and aktiv='j' order by pra_id asc, hilfeart asc;";
			$sql2 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where spesen='j' and aktiv='j' order by pra_id asc, hilfeart asc;";
			echo "<th style=\"width:100px\" class=\"cl1\">Spesenkontrolle f&uuml;r folgende Projekte:</th>";
		} elseif($_GET['seite'] == 10) {
			/* Projektauswahl zum Anlegen von ZKs vom Kalender aus? */
			if(isset($_GET['ha_pop']) && (intval($_GET['ha_pop']) > 0)) {
				abfrage2("UPDATE tb_hilfeart SET nokalzk = 'n' WHERE hilfeart_id='{$_GET["ha_pop"]}'");
			}

			if (isset($_POST["nokalzk"])) {
				$sql  = "UPDATE tb_hilfeart SET nokalzk = 'j' WHERE hilfeart_id=";
				$sql .= $_POST["nokalzk"];
				abfrage2($sql);
			}
			$doIt = true;
			$name = 'nokalzk';
			$sql1 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where (nokalzk='n') and aktiv='j' order by pra_id asc, hilfeart asc;";
			$sql2 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where nokalzk='j' and aktiv='j' order by pra_id asc, hilfeart asc;";
			echo "<th style=\"width:100px\" class=\"cl1\">Anlegen von ZKs aus Kalender:</th>";
		} elseif($_GET['seite'] == 8) {
			/* Folgende Hilfearten KEINE Reflexion? */
			if(isset($_GET['ha_pop']) && (intval($_GET['ha_pop']) > 0)) {
				abfrage2("UPDATE tb_hilfeart SET no_refl = 'n' WHERE hilfeart_id='{$_GET["ha_pop"]}'");
			}

			if (isset($_POST["no_refl"])) {
				$sql  = "UPDATE tb_hilfeart SET no_refl = 'j' WHERE hilfeart_id=";
				$sql .= $_POST["no_refl"];
				abfrage2($sql);
			}
			$doIt = true;
			$name = 'no_refl';
			$sql1 = "select a.hilfeart_id, a.hilfeart, a.beschreibung, a.pra_id from tb_projekte p 
					left join tb_hilfeart a using(hilfeart_id) 
					where a.no_refl='n' and a.verw='n' and a.projektnr<2000
					group by a.hilfeart_id order by a.pra_id asc, hilfeart asc;";
			$sql2 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where no_refl='j' order by pra_id asc, hilfeart asc;";
			echo "<th style=\"width:100px\" class=\"cl1\">Reflexion (nur Personenprojekte):</th>";
		} else {
			/* Welchen Projekten wird keine Post zugeordnet? */
			if(isset($_POST['nopost'])) {
				if($_POST['nopost']>0) abfrage2("update tb_hilfeart set nopost='j' where hilfeart_id='{$_POST['nopost']}'");
			}
			if(isset($_GET['ha_pop']) && (intval($_GET['ha_pop']) > 0)) {
				abfrage2("update tb_hilfeart set nopost='n' where hilfeart_id='{$_GET['ha_pop']}'");
			}
			$doIt = true;
			$name = 'nopost';
			$sql1 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' and nopost='n' order by pra_id asc, hilfeart asc";
			$sql2 = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where nopost='j' order by pra_id asc, hilfeart asc";
			echo "<th style=\"width:300px\" class=\"cl1\">In Zuordnung (Post und Nachrichten) Projekte nicht zur Auswahl:</th>";
		}

		if($doIt) {
			echo "<td style=\"width:85px\"><select name=\"$name\" size=\"1\" style=\"width:85px\" onchange=\"this.form.submit()\">\n";
			echo "<option value=\"0\">$Ausnahmen</option>\n";
			$pra = array();
			$pras = abfrage1("select pra_id, kname from tb_projektart order by pra_id asc");
			while($pr = mysql_fetch_row($pras)) {
				$pra[$pr[0]] = $pr[1];
			}
			$has = abfrage1($sql1);
			$lastPra = 0;
			while ($ha = mysql_fetch_row($has)){
				if($lastPra != $ha[3]) {
					echo "<option value=\"0\">---- ".$pra[$ha[3]]." ----</option>\n";
					$lastPra = $ha[3];
				}
				echo "<option value=\"$ha[0]\">$ha[1] - $ha[2]</option>\n";
			}
			echo "</select></td>";
		}
		echo "<td><input type=\"image\" src=\"img/senden.png\"></td></tr>\n";
		if($doIt) {
			$has = abfrage1($sql2);
			$txt = '';
			$lastPra = 0;
			while ($ha = mysql_fetch_row($has)){
				if($txt != '') $txt .= ', ';
				if($lastPra != $ha[3]) {
					$txt .= $pra[$ha[3]].": ";
					$lastPra = $ha[3];
				}
				$txt .= "<a href=\"seite_konf.php?seite=".$_GET['seite']."&l=$schleife&&name=".$_GET['name']."&ha_pop=$ha[0]\"";
				$txt .= stwToolTip('<b>' . (strlen($ha[2])>0 ? $ha[2] : $ha[1]) . '</b> aus Liste entfernen');
				$txt .= "style=\"color:red\">$ha[1]</a>\n";
			}
			echo "<tr><th colspan=\"30\" class=\"ww\">$txt</th></tr>";
		}
		echo "</table>\n";
		new stwLine(1);
	}
 }

 if($_GET["name"] == 'wochenplan') {
	if(isset($_POST['wp'])) {
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['red']}' WHERE name='wp_red'");
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['yellow']}' WHERE name='wp_yellow'");
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['green']}' WHERE name='wp_green'");
		abfrage2("UPDATE tb_konf SET wert = '" . floatval(str_replace(',','.',$_POST['sw1'])) . "' WHERE name='wp_sw1'");
		abfrage2("UPDATE tb_konf SET wert = '" . floatval(str_replace(',','.',$_POST['sw2'])) . "' WHERE name='wp_sw2'");
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['waz48']}' WHERE name='waz48'");
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['waz55']}' WHERE name='waz55'");
	}
	echo "<table style=\"width:750px\">\n";
	echo "<tr><th>Einf&auml;rbung FLS Ist + Tooltip bei &Uuml;ber- oder Unterschreiten von Schwellenwerten</th>\n";
	echo "<td style=\"text-align:right\"><input type=\"submit\" name=\"wp\" value=\"speichern\"></td></tr></table>\n";
	new stwLine(2);
	echo "<table style=\"width:750px\">\n";
	echo "<tr><th style=\"color:red;vertical-align:middle\">Meldung 'rot':</th>";
	$red = getConf('wp_red');
	echo "<td colspan=\"3\"><textarea name=\"red\" rows=\"1\" style=\"width:100%\">$red</textarea></td></tr>\n";
	echo "<tr><th style=\"color:white;width:120px\">Schwellenwert:</th>";
	$sw1 = getConf('wp_sw1');
	echo "<td width=\"1\"><input type=\"text\" size=\"7\" style=\"text-align:right\" name=\"sw1\" value=\"".geld_form_formular($sw1)."\" /></td>";
	echo "<td width=\"100\">h</td><td>FLS Ist <= FLS Soll + Schwellenwert (auch negative Werte m&ouml;glich)</td></tr>\n";
	echo "<tr><th style=\"color:yellow;vertical-align:middle\">Meldung 'gelb':</th>";
	$yellow = getConf('wp_yellow');
	echo "<td colspan=\"3\"><textarea name=\"yellow\" rows=\"1\" style=\"width:100%\">$yellow</textarea></td></tr>\n";
	echo "<tr><th style=\"color:white\">Schwellenwert:</th>";
	$sw2 = getConf('wp_sw2');
	echo "<td width=\"1\"><input type=\"text\" size=\"7\" style=\"text-align:right\" name=\"sw2\" value=\"".geld_form_formular($sw2)."\" /></td>";
	echo "<td width=\"100\">h</td><td>FLS Ist >= FLS Soll + Schwellenwert (auch negative Werte m&ouml;glich)</td></tr>\n";
	echo "<tr><th style=\"color:lime;vertical-align:middle\">Meldung 'gr&uuml;n':</th>";
	$green = getConf('wp_green');
	echo "<td colspan=\"3\"><textarea name=\"green\" rows=\"1\" style=\"width:100%\">$green</textarea></td></tr>\n";
	echo "</table>\n";
	new stwLine(1);

	echo "<table style=\"width:750px\">\n";
	echo "<tr><th>Meldungen Wochenarbeitszeit:</th>\n";
	echo "<td style=\"text-align:right\"><input type=\"submit\" name=\"wp\" value=\"speichern\"></td></tr></table>\n";
	new stwLine(2);
	echo "<table style=\"width:750px\">\n";
	echo "<tr><th class=\"cl11\" style=\"color:#FF6600;vertical-align:middle\">FLS > 48:00 h:</th>";
	$waz48 = getConf('waz48');
	echo "<td style=\"width:100%\"><textarea name=\"waz48\" rows=\"1\" style=\"width:100%\">$waz48</textarea></td></tr>\n";
	echo "<tr><th class=\"cl11\" style=\"color:red;vertical-align:middle\">FLS > 55:00 h:</th>";
	$waz55 = getConf('waz55');
	echo "<td><textarea name=\"waz55\" rows=\"1\" style=\"width:100%\">$waz55</textarea></td></tr>\n";
	echo "</table>\n";
	new stwLine(1);
 }

 if($_GET["name"] == 'azk2') {
	if(isset($_POST['azk_save'])) {
		abfrage2("update tb_konf set wert = '{$_POST['fm_in_azk']}' where name = 'fm_in_azk';");
		abfrage2("update tb_konf set wert = '{$_POST['doku_in_azk']}' where name = 'doku_in_azk';");
		abfrage2("update tb_konf set wert = '{$_POST['vertr_in_azk']}' where name = 'vertr_in_azk';");
	}

	echo "<table>\n<tr><th>Spalten ein- und ausblenden</th>\n";
	echo "<td colspan=\"4\" style=\"text-align:right\"><input type=\"submit\" name=\"azk_save\" value=\"speichern\" /></td></tr>\n";
	new stwTabLine(2,5);

	echo "<tr><td class=\"cl20\" style=\"text-align:right\">FM</td>\n";
	$fm_in_azk=getConf('fm_in_azk');

	echo "<th>ja</th>\n";
	echo "<td class=\"cl20\"><input type=\"radio\" name=\"fm_in_azk\" value=\"1\"";
	echo ($fm_in_azk == '1') ? ' checked' : '';
	echo "></td>\n";

	echo "<th>nein</th>\n";
	echo "<td class=\"cl20\"><input type=\"radio\" name=\"fm_in_azk\" value=\"0\"";
	echo ($fm_in_azk == '0') ? ' checked' : '';
	echo "></td></tr>\n";

	echo "<tr><td class=\"cl20\" style=\"text-align:right\">Doku</td>\n";
	$doku_in_azk=getConf('doku_in_azk');

	echo "<th>ja</th>\n";
	echo "<td class=\"cl20\"><input type=\"radio\" name=\"doku_in_azk\" value=\"1\"";
	echo ($doku_in_azk == '1') ? ' checked' : '';
	echo "></td>\n";

	echo "<th>nein</th>\n";
	echo "<td class=\"cl20\"><input type=\"radio\" name=\"doku_in_azk\" value=\"0\"";
	echo ($doku_in_azk == '0') ? ' checked' : '';
	echo "></td></tr>\n";

	echo "<tr><td class=\"cl20\" style=\"text-align:right\">Vertretungsstunden</td>\n";
	$vertr_in_azk=getConf('vertr_in_azk');

	echo "<th>ja</th>\n";
	echo "<td class=\"cl20\"><input type=\"radio\" name=\"vertr_in_azk\" value=\"1\"";
	echo ($vertr_in_azk == '1') ? ' checked' : '';
	echo "></td>\n";

	echo "<th>nein</th>\n";
	echo "<td class=\"cl20\"><input type=\"radio\" name=\"vertr_in_azk\" value=\"0\"";
	echo ($vertr_in_azk == '0') ? ' checked' : '';
	echo "></td></tr>\n";

	echo "</table>\n";
	new stwLine(1);
 }

 if($_GET["name"] == 'pkw_aus') {
	if(isset($_POST['wp'])) {
		abfrage2("UPDATE tb_konf SET wert = '" . intval($_POST['sw1']) . "' WHERE name='pkw_sw1'");
		abfrage2("UPDATE tb_konf SET wert = '" . intval($_POST['sw2']) . "' WHERE name='pkw_sw2'");
	}
	echo "<table style=\"width:750px\">\n";
	echo "<tr><th>Einf&auml;rbung Hochrechnung &uuml;ber 36 Monate bei &Uuml;ber- oder Unterschreiten von Schwellenwerten</th>\n";
	echo "<td style=\"text-align:right\"><input type=\"submit\" name=\"wp\" value=\"speichern\"></td></tr></table>\n";
	new stwLine(2);
	echo "<table style=\"width:750px\">\n";
	echo "<tr><th style=\"color:red;vertical-align:middle\">'rot'</th>";
	echo "<th style=\"color:white;text-align:right\">Schwellenwert:</th>";
	$sw1 = getConf('pkw_sw1');
	echo "<td width=\"1\"><input type=\"text\" size=\"7\" style=\"text-align:right\" name=\"sw1\" value=\"".number_format($sw1,0,'','')."\" /></td>";
	echo "<td width=\"100\">km</td><th style=\"color:yellow;vertical-align:middle\">'gelb'</th>";
	echo "<th style=\"color:white;text-align:right\">Schwellenwert:</th>";
	$sw2 = getConf('pkw_sw2');
	echo "<td width=\"1\"><input type=\"text\" size=\"7\" style=\"text-align:right\" name=\"sw2\" value=\"".number_format($sw2,0,'','')."\" /></td>";
	echo "<td width=\"100\">km</td><th style=\"color:lime;vertical-align:middle\">'gr&uuml;n'</th></tr>";
	echo "</table>\n";
	new stwLine(1);
 }

 if($seite == 16) {
	if(isset($_POST['vmg_abt_id'])) {
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['vmg_abt_id']}' WHERE name='abteilung_vereinsmitglieder'");
	}
	echo "<table><tr><th class=\"cl1\">Abteilung Vereinsmitglieder:</th>\n";
	echo "<td><select name=\"vmg_abt_id\" size=\"1\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">keine Abteilung gew&auml;hlt</option>\n";
	$abt_vmg = getConf('abteilung_vereinsmitglieder');
	$abtn = abfrage1("select abt_id, name from tb_personal_abt order by name asc;");
	while ($abt = mysql_fetch_assoc($abtn)){
		echo "<option value=\"{$abt['abt_id']}\"";
		if ($abt_vmg == $abt['abt_id']) echo ' selected';
		echo ">{$abt['name']}</option>\n";
	}
	echo "</select>\n</td><td><input type=\"image\" ";
	echo "src=\"img/senden.png\"></td></tr></table>\n";
	new stwLine(1);
 }

 if($seite == 51) {
	$sql = "SELECT terminart, farbe, name, abt_darst FROM tb_terminart 
			where terminart in('u','k','w','f','wbf','ef','uf','kk','kf','ez','wbu','kol','ms','wol');";
	if(isset($_POST['fehl_farb_grau'])) {
		$erg = abfrage1($sql);
		while($row = mysql_fetch_row($erg)) {
			$fg = $_POST["f_".$row[0]] . $_POST["g_".$row[0]];
			if($_POST["g_".$row[0]]) $fg.= $_POST["x_".$row[0]];
			if($fg != $row[3]) abfrage2("update tb_terminart set abt_darst='$fg' where terminart='$row[0]'");
		}
	}
	echo "<table><tr><th>Fehlzeit</th><th>Farbe</th><th colspan=\"3\">ausgrauen</th>\n";
	new stwTabLine(2,30);
	$erg = abfrage1($sql);
	while($row = mysql_fetch_row($erg)) {
		echo "</tr><tr class=\"mo\"><th style=\"color:$row[1]\">$row[2]</th>";
		echo "<td style=\"text-align:right\"><input type=\"checkbox\" name=\"f_".$row[0]."\" value=\"f\" ";
		if(strpos($row[3],'f') !== false) echo "checked ";
		echo "/></td>";
		echo "<td><input type=\"checkbox\" name=\"g_".$row[0]."\" value=\"g\" ";
		if(strpos($row[3],'g') !== false) echo "checked ";
		echo "/></td>";
		if(strpos($row[3],'g') !== false) {
			echo "<td><input type=\"checkbox\" name=\"x_".$row[0]."\" value=\"x\" ";
			echo stwToolTip('Fehlzeit 4 Wochen vor Ende nicht mehr ausgrauen,<br>sondern farbig hervorheben');
			if(strpos($row[3],'x') !== false) echo "checked ";
			echo "/></td>";
		}
	}
	echo "<td colspan=\"3\"><input type=\"submit\" name=\"fehl_farb_grau\" value=\"Speichern\" /></td></tr>\n";
	echo "</table>\n";
	new stwLine(1);
 }

 if($seite == 69) {
	if(isset($_GET['out_projektgruppe'])) {
		abfrage2("update tb_terminart set in_projektgruppe='n' where terminart='{$_GET['out_projektgruppe']}'");
	}
	if(isset($_POST['in_projektgruppe'])) {
		abfrage2("update tb_terminart set in_projektgruppe='j' where terminart='{$_POST['in_projektgruppe']}'");
	}
	echo "<table><tr><th class=\"cl1\">Terminarten Projektgruppe:</th>\n";
	echo "<td><select name=\"in_projektgruppe\" size=\"1\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">weitere Terminart hinzuf&uuml;gen</option>\n";
	$tas = abfrage1("select terminart, name from tb_terminart where neu='n' and in_projektgruppe='n' order by terminart asc;");
	while ($ta = mysql_fetch_row($tas)){
		echo "<option value=\"$ta[0]\">$ta[0]";
		for($i=strlen($ta[0]);$i<=4;$i++) echo "&nbsp;";
		echo "$ta[1]</option>\n";
	}
	echo "</select>\n</td><td><input type=\"image\" src=\"img/senden.png\"></td>";
	echo "<td>werden statt 'n' bei 'anwesend' als Option angeboten</td></tr></table>\n";
	new stwLine(2);
	echo "<table><tr>\n";
	$tas = abfrage1("select terminart, name from tb_terminart where in_projektgruppe='j' order by terminart asc;");
	while ($ta = mysql_fetch_row($tas)){
		echo "<th" . stwToolTip($ta[1]) . ">$ta[0]</th>";
		echo "<td class=\"cl1\"><a href=\"seite_konf.php?seite=69&name={$_GET['name']}&out_projektgruppe=$ta[0]\" style=\"color:red\">X</a></td>\n";
	}
	echo "</tr></table>\n";
	new stwLine(1);
 }

 if ($seite == 40 && $_GET["name"] == "mail")
 {
   require_once($pfad."inc/mailconf.php");

   $mail_conf = new MailConfiguration();
   $mail_conf->HandleUserRequest($_REQUEST);

   printf("%s", $mail_conf->GetSideData($_REQUEST));
   new stwLine(1);
 }

  /*
  * II. Bereich Rechteobjekte - alle abteilungsbezogenen Objekte
  * ermitteln, die auf dieser Seite vorhanden sind
  */
 $sql  = "SELECT obj_id, beschreibung FROM tb_obj_rechte WHERE seite=";
 $sql .= $_GET["seite"]." and obj_id > 10000;";

 $erg  = abfrage1($sql);

 /* jedes Objekt ausgeben */
 $count = 0;
 while ($obj = mysql_fetch_row($erg))
 {
   /* Nutzerberechtigungen abfragen */
   $sql  = "SELECT t1.pers_id, t2.name FROM tb_benutzerrechte t1 ";
   $sql .= "LEFT JOIN tb_personal_abt t2 ON t1.pers_id = t2.abt_id ";
   $sql .= "WHERE t1.obj_id=".$obj[0]." ORDER BY ";
   $sql .= "t2.name ASC";

   $abf = abfrage1($sql);

   /* gruene Trennlinie ausgeben */
   if ($count > 0) new stwLine(2);

   /* Tabelle mit dem Rechteobjekt und den dazugehoerigen Abteilungen */
   printf("<table>\n");
   printf("<tr><th>%s:</th><th></th></tr>\n", wordwrap($obj[1], 105, "<br>"));
   printf("</table>\n<table>\n");

   $user = array();
   while ($nutzer = mysql_fetch_row($abf)) {
     /* unten sollen nur Abteilungen angezeigt werden die noch auswaehlbar sind */
     $user[] = $nutzer[0];
	 printf("<tr><th>%s</th>",$nutzer[1]);
     printf("<th><a href=\"seite_konf.php?obj_id=%s", $obj[0]);
     printf("&pers_id=%s&drop=1&seite=%s", $nutzer[0], $_GET["seite"]);
     printf("&name=%s\" style=\"color:red\">X</a>", $_GET["name"]);

     printf("</th></tr>\n");
   }

   /* alle Abteilungen die noch hinzugefuegt werden koennen */
   $sql  = "SELECT t1.abt_id, t1.name FROM tb_personal_abt t1 ";
   $sql .= "LEFT JOIN tb_benutzerrechte t2 ON t1.abt_id = t2.pers_id ";
   $sql .= "WHERE (t2.obj_id != ".$obj[0]." OR t2.obj_id IS NULL) ";
   $sql .= "GROUP BY t1.abt_id ORDER BY t1.name ASC;";
   $ask = abfrage1($sql);
   printf("<tr><td><select name=\"auswahl%s\" size=\"1\" ", $obj[0]);
   printf("onchange=\"this.form.submit()\">\n");
   printf("<option value=\"0\">Abteilung hinzuf&uuml;gen</option>\n");

   /* pers_id String in Array zerlegen so dass Namen nicht doppelt erscheinen */
   while ($wahl = mysql_fetch_row($ask)) {
     if (!in_array($wahl[0], $user)) {
       echo "<option value=\"$wahl[0]\">$wahl[1]</option>\n";
     }
   }

   printf("</select></td>\n");
   printf("<td><input type=\"image\" src=\"img/senden.png\"></td>\n");
   printf("</tr>\n</table>\n");
   ++$count;
   $objekte_vorhanden = 1;
 }

 /* Abtrennung der Rechteverwaltung */
 if ($objekte_vorhanden == 1) new stwLine(1);
 $objekte_vorhanden = 0;

 /*
  * III. Bereich Rechteobjekte zeigen - alle personenbezogenen Objekte
  * ermitteln, die auf dieser Seite vorhanden sind
  */
 $sql  = "SELECT obj_id, beschreibung, notizen ";
 $sql .= "FROM tb_obj_rechte WHERE seite='" . $_GET["seite"];
 $sql .= "' and obj_id < 10000 order by ";
 if($_GET['seite'] == 6) $sql .= "(obj_id >= 136 and obj_id <= 146) asc, obj_id in(75,103,104,105,106,107,108,109,110,111,112) asc, ";
 $sql .= "obj_id asc;";
 $erg  = abfrage1($sql);

 /* jedes Objekt ausgeben */
 $count = 0;
 while ($obj = mysql_fetch_row($erg))
 {
   if($obj[0] == 151) echo "<span id=\"old151\" style=\"display:none\">\n";
   /*...wird nur von NeueWege genutzt...*/
   if($obj[0]==93 && getConf('traeger') != 'nwg') continue;

   /* Nutzerberechtigungen abfragen */
   $abteils = abfrage1("select r.abt_id, a.name from tb_abteilungsrechte r left join tb_personal_abt a using(abt_id) where r.obj_id='$obj[0]' order by a.name asc");

   $sql  = "SELECT t2.vorname, t2.name, t1.pers_id FROM tb_benutzerrechte t1 ";
   $sql .= "LEFT JOIN tb_personal t2 ON t1.pers_id = t2.pers_id ";
   $sql .= "WHERE t1.obj_id=".$obj[0]." ORDER BY ";
   if($pers_order == 2) $sql .= "t2.name, t2.vorname ASC";
   else $sql .= "t2.vorname, t2.name ASC";

   $abf = abfrage1($sql);

   /* gruene Trennlinie ausgeben */
   if ($count > 0) new stwLine($obj[0]==75 || $obj[0]==136 ? 1 : 2);

   if(substr($obj[1],0,1) == '[' && substr($obj[1],2,1) == ']') {
     $id = substr($obj[1],1,1);
     $tr = abfrage("SELECT traeger_art FROM tb_traeger_art WHERE traeger_art_id='$id'");
     $txt = sprintf(substr($obj[1],4),(empty($tr[0]) ? "Tr&auml;ger $id" : $tr[0]));
   } else $txt = $obj[1];

   if($obj[0] == 76) $azvlvl = isset($_REQUEST['azvlvl']) ? $_REQUEST['azvlvl'] : 0;
   if($obj[0] == 83) $delay = isset($_REQUEST['delay']) ? $_REQUEST['delay'] : 0;
   if($obj[0] == 90) $betrag = isset($_REQUEST['betrag']) ? $_REQUEST['betrag'] : 0;

   $levelrecht = abfrage("SELECT level from tb_levelrechte where obj_id='$obj[0]'");
   /* Tabelle mit dem Rechteobjekt und den dazugehoerigen Nutzern */
   echo "<table width=\"750\">\n";
   echo "<tr><th width=\"100%\">".wordwrap($txt, 105, "<br />").":</th><th>...und&nbsp;ab&nbsp;Level:</th>";
   echo "<td><input type=\"text\" size=\"2\" maxlength=\"2\" ";
   echo "name=\"levelrecht$obj[0]\" value=\"$levelrecht[0]\"></td>";
   echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
   if($obj[0] == 15) echo "</tr><tr><td>Die Eintr&auml;ge k&ouml;nnen unter <a href=\"abteilung.php\">Abteilungen</a> angelegt oder gel&ouml;scht werden!</td>";
   echo "</tr>\n</table>\n<table width=\"750\">\n";
   if($obj[0] == 15) {
	 new stwTabLine(2,30);
	 echo "<tr><th>Name</th><td><table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\"><tr><th>Abt.</th>";
	 echo "<th style=\"text-align:right\">Wer kontrolliert diesen MA?</th></tr></table></td></tr>\n";
	 new stwTabLine(2,30);
   }
   /* Abfrage zusammenstellen: alle Nutzer die noch hinzugefuegt werden koennen */
   $sql  = "SELECT t1.vorname, t1.name, t1.pers_id FROM tb_personal t1 ";
   $sql .= "LEFT JOIN tb_benutzerrechte t2 ON t1.pers_id = t2.pers_id ";
   $sql .= "WHERE t1.status_id=2 AND ";
   $sql .= "(t2.obj_id != ".$obj[0]." OR t2.obj_id IS NULL) ";
   $sql .= "GROUP BY t1.pers_id ORDER BY ";
   if($pers_order == 2) $sql .= "t1.name, t1.vorname ASC;";
   else $sql .= "t1.vorname, t1.name ASC;";
   $ask = abfrage1($sql);

   $user = $abteilungen = array();
   $ersteZeile = true;
   $rowspan = mysql_num_rows($abf) + mysql_num_rows($abteils) + 1;
   while ($nutzer = mysql_fetch_row($abf))
   {
     /* unten sollen nur Nutzer angezeigt werden die noch auswaehlbar sind */
     $user[] = $nutzer[2];

     $name = $nutzer[2]==-1 ? '- Fachberater -' : (($pers_order == 2) ? "$nutzer[1], $nutzer[0]" : "$nutzer[0] $nutzer[1]");
	 if($obj[0] == 76) {
		$azv = abfrage("SELECT azv FROM tbh_pers_azv WHERE pers_id='$nutzer[2]'");
		echo "<tr><td style=\"text-align:right\">($azv[0])</td><th>$name</th>";
	 }elseif($obj[0] == 83) {
		$del = abfrage("SELECT delay FROM tb_pers_delay WHERE pers_id='$nutzer[2]'");
		echo "<tr><td style=\"text-align:right\">($del[0])</td><th>$name</th>";
	 }elseif($obj[0] == 90) {
		$betr = abfrage("SELECT betrag FROM tb_pers_betrag WHERE pers_id='$nutzer[2]'");
		echo "<tr><td style=\"text-align:right\">(".geld_form_web($betr[0]).")</td><th>$name</th>";
     } else echo "<tr><th>".$name."</th>";
	 if(in_array($obj[0], $GfOkObjekte)) {
		$x = $obj[0] . '_' . ($nutzer[2]==-1 ? 'fb' : $nutzer[2]);
		if(isset($_POST["gf_alt_$x"])) {
			if(intval($_POST["gf_alt_$x"]) != intval($_POST["gf_$x"])) {
				$sql = "replace into tbh_pers_gf set pers_id='$nutzer[2]', obj_id='$obj[0]', optional='";
				$sql .= intval($_POST["gf_$x"]) ? 'j' : 'n';
				$sql .= "';";
				abfrage2($sql);
			}
		}
		$optional = abfrage("select optional from tbh_pers_gf where pers_id='$nutzer[2]' and obj_id='$obj[0]'");
		$opt = $optional[0] == 'j' ? 1 : 0;
		echo "<input type=\"hidden\" name=\"gf_alt_$x\" value=\"$opt\" />\n";
		echo "<td class=\"cl20\"><input type=\"checkbox\" value=\"1\" ";
		echo stwToolTip('optional');
		if($opt) echo "checked ";
		echo "name=\"gf_$x\" ";
		echo "onchange=\"this.form.submit()\" /></td>\n";
	 }
	 if($obj[0] == 15) {
		$abts=abfrage1("SELECT a.abt_id , a.name, a.farbe, l.pers_id_fuer_ma
						FROM tb_personal_abt_leit l
						LEFT JOIN tb_personal_abt a USING (abt_id)
						WHERE l.pers_id='$nutzer[2]' AND l.kontrolle='j'");
		echo "<td><table width=\"100%\" cellpadding=\"0\" cellspacing=\"3\">";
		while ($abt = mysql_fetch_row($abts)) {
			if(isset($_POST['fuer_ma'][$nutzer[2]][$abt[0]])) {
				$sql  = "UPDATE tb_personal_abt_leit SET pers_id_fuer_ma='";
				$sql .= $_POST['fuer_ma'][$nutzer[2]][$abt[0]];
				$sql .= "' WHERE abt_id='$abt[0]]' AND pers_id='$nutzer[2]' LIMIT 1";
				abfrage2($sql);
				$abt[3] = $_POST['fuer_ma'][$nutzer[2]][$abt[0]];
			}
			echo "<tr><td class=\"cl1\"><b style=\"color:$abt[2]\">$abt[1]</b></td>\n";
			echo "<td style=\"text-align:right\">";
			echo "<select name=\"fuer_ma[".$nutzer[2]."][".$abt[0]."]\" ";
			echo "size=\"1\" onchange=\"this.form.submit()\">\n";
			echo "<option value=\"0\">- Mitarbeiter w&auml;hlen -</option>";
			while ($wahl = mysql_fetch_row($ask)) {
				$name = ($pers_order == 2) ? "$wahl[1], $wahl[0]" : "$wahl[0] $wahl[1]";
				echo "<option value=\"$wahl[2]\"";
				if($wahl[2] == $abt[3]) echo " selected";
				echo ">$name</option>\n";
			}
			mysql_data_seek($ask, 0);
			echo "</select></td>";
			echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
			echo "</tr>\n";
		}
		echo "</table></td>\n";
	 } else {
       echo "<th><a href=\"seite_konf.php?obj_id=".$obj[0];
       if($obj[0] == 76) echo "&azvlvl=".$azvlvl;
       if($obj[0] == 83) echo "&delay=".$delay;
       if($obj[0] == 90) echo "&betrag=".$betrag;
       echo "&pers_id=".$nutzer[2]."&drop=1&seite=".$_GET["seite"];
       echo "&name=".$_GET["name"]."\" style=\"color:red\">X</a></th>";
	 }
	 if($ersteZeile) {
		$ersteZeile = false;
		echo "<td style=\"text-align:right;width:100%;\" rowspan=\"$rowspan\">";
		echo WordWrapIgnoreLineBreak($obj[2], 70, "<br />") . "</td>";
	 }
     echo "</tr>\n";
   }
   if(mysql_num_rows($abteils) > 0) {
	   new stwTabLine(2,2);
	   while($abt = mysql_fetch_row($abteils)) {
         $abteilungen[] = $abt[0];
		 echo "<tr><th class=\"cl11\">$abt[1]</th>\n";
         echo "<th><a href=\"seite_konf.php?obj_id=".$obj[0];
         echo "&abt_id=".$abt[0]."&drop=1&seite=".$_GET["seite"];
         echo "&name=".$_GET["name"]."\" style=\"color:red\">X</a></th>";
		 if($ersteZeile) {
			$ersteZeile = false;
			echo "<td style=\"text-align:right;width:100%;\" rowspan=\"$rowspan\">";
			echo WordWrapIgnoreLineBreak($obj[2], 70, "<br />") . "</td>";
		 }
		 echo "</tr>\n";
	   }
   }

   if($obj[0] != 15) {
	 echo "<tr>";
     if($obj[0] == 76) { 
	   echo "<td><input type=\"text\" name=\"azvlvl\" size=\"2\" value=\"$azvlvl\"></td>";
     }
     if($obj[0] == 83) { 
	   echo "<td><input type=\"text\" name=\"delay\" size=\"2\" value=\"$delay\"></td>";
     }
     if($obj[0] == 90) {
	   echo "<td><input type=\"text\" name=\"betrag\" size=\"6\" maxlength=\"7\" value=\"".str_replace('.',',',$betrag)."\"></td>";
     }
     echo "<td";
	 if(in_array($obj[0],$GfOkObjekte)) echo " colspan=\"2\"";
	 echo "><select name=\"auswahl".$obj[0]."\" size=\"1\" ";
     echo "onchange=\"this.form.submit()\">\n";

	 if($obj[0] != 18) {
		echo "<option style=\"background-color:white\" value=\"0\">Abteilung hinzuf&uuml;gen</option>\n";
		$abts = abfrage1("SELECT abt_id, name FROM tb_personal_abt order by name asc");
		while ($abt = mysql_fetch_row($abts)){
			if(!in_array($abt[0],$abteilungen)) echo "<option value=\"abt$abt[0]\">$abt[1]</option>\n";
		}
		echo "<option value=\"0\"></option>\n";
	 }
	 echo "<option style=\"background-color:white\" value=\"0\" selected>Mitarbeiter hinzuf&uuml;gen</option>\n";
	 if(in_array($obj[0],$GfOkObjekte)) echo "<option value=\"-1\">- Fachberater -</option>\n";
     /* pers_id String in Array zerlegen so dass Namen nicht doppelt erscheinen */
     while ($wahl = mysql_fetch_row($ask)) {
       if (!in_array($wahl[2], $user))
       {
         $name = ($pers_order == 2) ? "$wahl[1], $wahl[0]" : "$wahl[0] $wahl[1]";
         echo "<option value=\"$wahl[2]\">$name</option>\n";
       }
     }

     echo "</select></td>\n";
     echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
     if($ersteZeile) {
	  	echo "<td style=\"text-align:right;width:100%;\">";
	  	echo WordWrapIgnoreLineBreak($obj[2], 70, "<br />") . "</td>";
	 }
     echo "</tr>\n";
   }
   echo "</table>\n";
   ++$count;

   $objekte_vorhanden = 1;
   if($obj[0] == 151) {
		echo "</span>\n";
		echo "<script type=\"text/javascript\">\n";
		echo "var txt = document.getElementById('old151').innerHTML;\n";
		echo "document.getElementById('tb151').innerHTML = txt;\n";
		echo "document.getElementById('old151').innerHTML = '';\n";
		echo "</script>\n";
   }
 }

 /* Abtrennung der Rechteverwaltung */
 if ($objekte_vorhanden == 1) new stwLine(1);
 $objekte_vorhanden = 0;

 /*
  * Formular wurde vielleicht fuer den Bereich der
  * Rechteverwaltung abgeschickt. Hier pruefen ob etwas eingetragen
  * werden muss.
  */
 if (isset($_POST["rchange"]))
 {
   /* alle IDs holen die fuer diese Seite vorhanden sind */
   $sql  = "SELECT rechte_id FROM tb_daten_rechte WHERE seite='";
   $sql .= $_GET["seite"]."' AND name='".$_GET["name"]."'";

   $erg  = abfrage1($sql);
   while ($zeile = mysql_fetch_row($erg))
   {
     /* Diesen Namen soll dieses Dateiobjekt erhalten */
     if (isset($_POST["rname_".$zeile[0]]))
     {
       $sql  = "UPDATE tb_daten_rechte SET ";
       $sql .= "rname = '".$_POST["rname_".$zeile[0]]."', ";

       $sql .= "rseite = '".$_POST["rseite_".$zeile[0]]."', ";
       $sql .= "lsehen = '".$_POST["lsehen_".$zeile[0]]."', ";

       $sql .= "ldown = '".$_POST["ldown_".$zeile[0]]."', ";
       $sql .= "lup = '".$_POST["lup_".$zeile[0]]."', ";

       $sql .= "ldel = '".$_POST["ldel_".$zeile[0]]."', ";
       $sql .= "lzip = '".$_POST["lzip_".$zeile[0]]."' ";

       $sql .= "WHERE rechte_id='".$zeile[0]."'";
       abfrage2($sql);
     }
   }
 }

 /* vielleicht hat ein Nutzer Zusatzrechte erhalten */
 $sql  = "SELECT rechte_id FROM tb_daten_rechte WHERE seite='";
 $sql .= $_GET["seite"]."' AND name='".$_GET["name"]."'";
 $erg  = abfrage1($sql);
 while ($zeile = mysql_fetch_row($erg)) {
   for($i=0;$i<5;$i++) {
     if (!empty($_POST["recht_".$i."_".$zeile[0]]) && $_POST["recht_".$i."_".$zeile[0]] > 0) {
       $sql  = "REPLACE INTO tb_daten_pers (rechte_id, pers_id, recht_art) ";
       $sql .= "VALUES (".$zeile[0].",".$_POST["recht_".$i."_".$zeile[0]].",'".$i."');";
       abfrage2($sql);
     }
   }
 }

 /* Rechte werden entzogen */
 if ($_GET["drop"] == 1 && isset($_GET["rechte_id"]))
 {
   $sql  = "DELETE FROM tb_daten_pers WHERE rechte_id='";
   $sql .= $_GET["rechte_id"]."' AND pers_id='".$_GET["pers_id"];

   $sql .= "' AND recht_art='".$_GET["art"]."'";
   abfrage2($sql);
 }

 /* Der grosse Bereich der Dateirechte folgt jetzt. */
 $sql  = "SELECT rechte_id, name, rname, rseite, lsehen, ldown, lup, ldel, lzip ";
 $sql .= "FROM tb_daten_rechte WHERE seite='".$_GET["seite"]."' AND name='";

 $sql .= $_GET["name"]."'";

 $erg   = abfrage1($sql);
 $count = mysql_num_rows($erg);

 if ($count > 0)
 {
   /* alle Nutzer holen die im Augenblick aktiv sind */
   $sql  = "SELECT pers_id FROM tb_personal WHERE status_id = '2' ORDER BY ";
   if($pers_order == 2) $sql .= "name, vorname ASC";
   else $sql .= "vorname, name ASC";

   $das  = abfrage1($sql);

   while ($zeile = mysql_fetch_row($das)) $parray[] = $zeile[0];

   while ($zeile = mysql_fetch_row($erg))
   {
     printf("<table width=\"750\">\n<tr><th style=\"text-align:center\">");
     printf("Rechte f&uuml;r Downloadmodul konfigurieren</th></tr></table>\n");

     new stwLine(2);
     printf("<table>\n");

     printf("<tr><th>Rechtename:</th><td colspan=\"3\">\n");
     printf("<input type=\"text\" name=\"rname_%s\" ", $zeile[0]);

     printf("value=\"%s\">\n</td></tr><tr>", $zeile[2]);
     printf("<th>Anzahl Dateien Seite:</th>");

     printf("<td><input type=\"text\" name=\"rseite_");
     printf("%s\" value=\"%s\" size=\"3\"></td>", $zeile[0], $zeile[3]);

     printf("<th>Level ZIP:</th><td>");
     printf("<input type=\"text\" name=\"lzip_%s\" value=\"", $zeile[0]);
     printf("%s\" size=\"3\"></td></tr>", $zeile[8]);

     printf("<tr><th>Level Fenster &ouml;ffnen:</th><td>");
     printf("<input type=\"text\" name=\"lsehen_%s\" value=\"", $zeile[0]);

     printf("%s\" size=\"3\"></td>", $zeile[4]);

     printf("<th>Level Download:</th><td>");
     printf("<input type=\"text\" name=\"ldown_%s\" value=\"", $zeile[0]);

     printf("%s\" size=\"3\"></td></tr>", $zeile[5]);

     printf("<tr><th>Level Upload:</th><td>");
     printf("<input type=\"text\" name=\"lup_%s\" value=\"", $zeile[0]);

     printf("%s\" size=\"3\"></td>", $zeile[6]);

     printf("<th>Level L&ouml;schen:</th><td>");
     printf("<input type=\"text\" name=\"ldel_%s\" value=\"", $zeile[0]);

     printf("%s\" size=\"3\"></td></tr>", $zeile[7]);

     printf("<tr><td colspan=\"4\" style=\"text-align:center\">");
     printf("<input type=\"submit\" value=\"&Auml;ndern\" ");

     printf("name=\"rchange\"></td></tr></table><table>\n");

	 $th = array('Aufruf Downloadfenster','Downloadberechtigung','Uploadberechtigung','L&ouml;schberechtigung','Berechtigung Zip-Download');

     /* Nutzerrechte */
     for($i=0; $i<5; $i++) {
       $sarray = array();
	   new stwTabLine(2, 5);
       echo "<tr><th colspan=\"2\">" . $th[ $i ] . ":</th></tr>\n";

       $sql  = "SELECT t1.vorname, t1.name, t1.pers_id FROM tb_personal t1 ";
       $sql .= "LEFT JOIN tb_daten_pers t2 ON t1.pers_id = t2.pers_id ";
       $sql .= "LEFT JOIN tb_daten_rechte t3 ON t2.rechte_id = t3.rechte_id ";
       $sql .= "WHERE t2.recht_art = '$i' AND t3.rechte_id = '".$zeile[0]."' ";
       $sql .= "ORDER BY ";
       if($pers_order == 2) $sql .= "t1.name, t1.vorname ASC";
       else $sql .= "t1.vorname, t1.name ASC";

       $vor  = abfrage1($sql);
       while ($nutzer = mysql_fetch_row($vor))
       {
         $name = ($pers_order == 2) ? "$nutzer[1], $nutzer[0]" : "$nutzer[0] $nutzer[1]";
         printf("<tr><th>%s</th>", $name);
         printf("<th><a href=\"seite_konf.php?rechte_id=%s&pers_id=", $zeile[0]);
         printf("%s&drop=1&seite=%s&art=$i&name=", $nutzer[2], $_GET["seite"]);
         printf("%s\" style=\"color:red\">X</a>", $_GET["name"]);
         printf("</th></tr>\n");
         $sarray[] = $nutzer[2];
       }

       echo "<tr><td><select name=\"recht_".$i."_".$zeile[0]."\" size=\"1\" ";
       printf("onchange=\"this.form.submit()\">\n");
       printf("<option value=\"0\">Mitarbeiter hinzuf&uuml;gen</option>\n");

       /* alle Nutzer die noch hinzugefuegt werden koennen */
       foreach ($parray as $person)
       {
         if (!in_array($person, $sarray))
         {
           printf("<option value=\"%s\">", $person);
           $name = ($pers_order == 2) ? pers_name2($person) : pers_name($person);
           printf("%s</option>\n", $name);
         }
       }
  
       printf("</select></td>\n");
       printf("<td><input type=\"image\" src=\"img/senden.png\"></td>\n</tr>");
	 }

     $count--;
     if ($count > 0) new stwTabLine(1, 5);

     $objekte_vorhanden = 1;
     printf("</table>\n");
   }
 }

 printf("</form>\n");

 /* Dateirechtebereich abschliessen */
 if ($objekte_vorhanden == 1) new stwLine(1);


/* ----- spezielle Konfigurationen fuer einzelne Seiten ------------------- */

/* Startseite (1) : Wer darf wessen Geburtstag und Abwesenheit sehen? */
if ($_GET['seite'] == 1){

	/* evtl. Datenaenderungen verarbeiten */
	/* Abschnitt Geburtstage */
	if ($_GET['lade_geb'] > 0){

		/* anz_geb_level speichern */
		if ($_GET['send_geb_lvl'] = 'Speichern' && $_GET['anz_geb_level'] > 0){
			$sql  = "update tb_personal_abt set anz_geb_level = '";
			$sql .= $_GET['anz_geb_level'] . "' where abt_id = '";
			$sql .= $_GET['lade_geb'] . "';";
			abfrage2($sql);
		}


		/* Abteilungszuweisung fuer Geburtstage hinzufuegen */
		if ($_GET['add_abt'] > 0){
			/* pruefen, ob evtl. schon vorhanden */
			$sql  = "select abt_id from tbh_abt_anz_abt where abt_id = '";
			$sql .= $_GET['lade_geb'] . "' and abt_id2 = '" . $_GET['add_abt'];
			$sql .= "' and art = '1';";
			$res = abfrage($sql);

			if ($res[0] != $_GET['lade_geb']){
				$sql  = "insert into tbh_abt_anz_abt set abt_id = '";
				$sql .= $_GET['lade_geb'] . "', abt_id2 = '" . $_GET['add_abt'];
				$sql .= "', art = '1';";
				abfrage2($sql);
			}
		}


		/* Abteilungszuweisung fuer Geburtstage loeschen */
		if ($_GET['del_abt'] > 0){
			$sql  = "delete from tbh_abt_anz_abt where abt_id = '";
			$sql .= $_GET['lade_geb'] . "' and  abt_id2 = '" . $_GET['del_abt'];
			$sql .= "' and art = '1';";
			abfrage2($sql);
		}


		/* Mitarbeiterzuweisung fuer Geburtstage hinzufuegen */
		if ($_GET['add_pers'] > 0){
			/* pruefen, ob evtl. schon vorhanden */
			$sql  = "select pers_id from tbh_abt_anz_pers where abt_id = '";
			$sql .= $_GET['lade_geb'] . "' and pers_id = '" . $_GET['add_pers'];
			$sql .= "' and art = '1';";
			$res = abfrage($sql);

			if ($res[0] != $_GET['lade_geb']){
				$sql  = "insert into tbh_abt_anz_pers set abt_id = '";
				$sql .= $_GET['lade_geb'] . "', pers_id = '" . $_GET['add_pers'];
				$sql .= "', art = '1';";
				abfrage2($sql);
			}
		}


		/* Mitarbeiterzuweisung fuer Geburtstage loeschen */
		if ($_GET['del_pers'] > 0){
			$sql  = "delete from tbh_abt_anz_pers where abt_id = '";
			$sql .= $_GET['lade_geb'] . "' and  pers_id = '" . $_GET['del_pers'];
			$sql .= "' and art = '1';";
			abfrage2($sql);
		}



	}

	/* Abschnitt Abwesenheit */
	if ($_GET['lade_abw'] > 0){

		/* anz_abw_level speichern */
		if ($_GET['send_abw_lvl'] = 'Speichern' && $_GET['anz_abw_level'] > 0){
			$sql  = "update tb_personal_abt set anz_abw_level = '";
			$sql .= $_GET['anz_abw_level'] . "' where abt_id = '";
			$sql .= $_GET['lade_abw'] . "';";
			abfrage2($sql);
		}


		/* Abteilungszuweisung fuer Abwesenheit hinzufuegen */
		if ($_GET['add_abt'] > 0){
			/* pruefen, ob evtl. schon vorhanden */
			$sql  = "select abt_id from tbh_abt_anz_abt where abt_id = '";
			$sql .= $_GET['lade_abw'] . "' and abt_id2 = '" . $_GET['add_abt'];
			$sql .= "' and art = '2';";
			$res = abfrage($sql);

			if ($res[0] != $_GET['lade_abw']){
				$sql  = "insert into tbh_abt_anz_abt set abt_id = '";
				$sql .= $_GET['lade_abw'] . "', abt_id2 = '" . $_GET['add_abt'];
				$sql .= "', art = '2';";
				abfrage2($sql);
			}
		}


		/* Abteilungszuweisung fuer Abwesenheit loeschen */
		if ($_GET['del_abt'] > 0){
			$sql  = "delete from tbh_abt_anz_abt where abt_id = '";
			$sql .= $_GET['lade_abw'] . "' and  abt_id2 = '" . $_GET['del_abt'];
			$sql .= "' and art = '2';";
			abfrage2($sql);
		}


		/* Mitarbeiterzuweisung fuer Abwesenheit hinzufuegen */
		if ($_GET['add_pers'] > 0){
			/* pruefen, ob evtl. schon vorhanden */
			$sql  = "select pers_id from tbh_abt_anz_pers where abt_id = '";
			$sql .= $_GET['lade_abw'] . "' and pers_id = '" . $_GET['add_pers'];
			$sql .= "' and art = '2';";
			$res = abfrage($sql);

			if ($res[0] != $_GET['lade_abw']){
				$sql  = "insert into tbh_abt_anz_pers set abt_id = '";
				$sql .= $_GET['lade_abw'] . "', pers_id = '" . $_GET['add_pers'];
				$sql .= "', art = '2';";
				abfrage2($sql);
			}
		}


		/* Mitarbeiterzuweisung fuer Abwesenheit loeschen */
		if ($_GET['del_pers'] > 0){
			$sql  = "delete from tbh_abt_anz_pers where abt_id = '";
			$sql .= $_GET['lade_abw'] . "' and  pers_id = '" . $_GET['del_pers'];
			$sql .= "' and art = '2';";
			abfrage2($sql);
		}

	}

	/* ----- Geburtstage ----- */
	echo "<table cellspacing=\"0\" cellpadding=\"0\">\n";
	echo "<tr><td colspan=\"3\"><table><tr><th>Geburtstage der Mitarbeiter ";
	echo "der Abteilung:</th></tr>\n";
	new stwTabLine(2,1);
	echo "</table></td></tr>\n";

	echo "<tr>\n";
	echo "<td class=\"cl20\"><table>\n";

	$self = $_SERVER['PHP_SELF'];
	$seite = $_GET['seite'];
	$name = $_GET['name'];

	echo "<form action=\"$self\" method=\"get\">\n";
	echo "<input type=\"hidden\" name=\"seite\" value=\"$seite\">\n";
	echo "<tr><td>";

	$sql  = "select abt_id, name, anz_geb_level from tb_personal_abt ";
	$sql .= "order by name asc;";
	$res = abfrage1($sql);

	echo "<select name=\"lade_geb\" size=\"1\" onChange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">Abteilung w&auml;hlen</option>\n";

	while ($row = mysql_fetch_row($res)){
		echo "<option value=\"$row[0]\"";
		if ($_GET['lade_geb'] == $row[0]) echo ' selected';
		echo ">$row[1]</option>\n";
	}

	echo "</select></td></tr>\n";
	echo "</form>\n";
	echo "</table></td>\n";

	if ($_GET['lade_geb'] > 0) {

		echo "<td class=\"cl20\"><table>\n";
		echo "<form action=\"$self\" method=\"get\">\n";
		echo "<tr><th class=\"cl1\">sichtbar ab Level:</th>\n";
		echo "<input type=\"hidden\" name=\"seite\" value=\"$seite\">\n";
		echo "<input type=\"hidden\" name=\"lade_geb\" value=\"{$_GET['lade_geb']}\">\n";
		echo "<td><input type=\"text\" name=\"anz_geb_level\" size=\"3\" ";
		echo "maxlength=\"2\" style=\"text-align: center;\"";
		$geb_lvl = abfrage("select anz_geb_level from tb_personal_abt
												where abt_id = '{$_GET['lade_geb']}';");
		if ($geb_lvl[0] > 0) echo " value=\"$geb_lvl[0]\"";
		echo "></tr>\n";

		new stwTabLine(2,2);
		echo "<tr><td colspan=\"2\"><input type=\"submit\" name=\"send_geb_lvl\" ";
		echo "value=\"Speichern\"></td></tr>\n";

		echo "</form></table></td>\n";

		echo "<td class=\"cl11\"><table>\n";
		echo "<tr><th colspan=\"2\">UND f&uuml;r Abteilungen:</th></tr>\n";

		$vorh = array();

		$sql  =  "select h.abt_id2, a.name from tbh_abt_anz_abt h ";
		$sql .=  "left join tb_personal_abt a on h.abt_id2 = a.abt_id ";
		$sql .=  "where h.abt_id = '{$_GET['lade_geb']}' and h.art = '1' ";
		$sql .=  "order by a.name asc;";

		$res = abfrage1($sql);

		if (mysql_num_rows($res) > 0){
			new stwTabLine(2,2);
			while ($row = mysql_fetch_row($res)){
				echo "<tr><td class=\"cl1\">$row[1]</td>";
				$tt = '<b>VORSICHT!</b><br>Abteilungszuordnung l&ouml;schen!';
				echo "<td><a href=\"$self?seite=$seite&lade_geb={$_GET['lade_geb']}";
				echo "&del_abt=$row[0]\"" . stwToolTip($tt);
				echo "style=\"color: #f00\">X</a></td>\n</tr>\n";
				$vorh[] = $row[0];
			}
		}

		new stwTabLine(2,2);

		echo "<form action=\"$self\" method=\"get\">\n";
		echo "<input type=\"hidden\" name=\"seite\" value=\"$seite\">\n";
		echo "<input type=\"hidden\" name=\"lade_geb\" value=\"{$_GET['lade_geb']}\">\n";
		echo "<tr><td colspan=\"2\"><select name=\"add_abt\" size=\"1\" ";
		echo "onChange=\"this.form.submit()\">\n";

		echo "<option value=\"0\">Abt. hinzuf&uuml;gen</option>\n";

		$sql  = "select abt_id, name from tb_personal_abt order by name asc;";
		$res = abfrage1($sql);

		while ($row = mysql_fetch_row($res)){
			if (!in_array($row[0], $vorh)){
				echo "<option value=\"$row[0]\">$row[1]</option>\n";
			}
		}

		echo "</select></td></tr>\n";
		echo "</table></td>\n";

		echo "<td><table>\n";
		echo "<tr><th colspan=\"2\">UND f&uuml;r Mitarbeiter:</th></tr>\n</form>\n";

		$vorh = array();

		$sql  = "select h.pers_id from tbh_abt_anz_pers h ";
		$sql .= "left join tb_personal p using (pers_id) ";
		$sql .= "where h.abt_id = '{$_GET['lade_geb']}' and h.art = '1' order by ";
		if($pers_order == 2) $sql .= "p.name asc, p.vorname asc;";
		else $sql .= "p.vorname asc, p.name asc;";

		$res = abfrage1($sql);

		if (mysql_num_rows($res) > 0){
			new stwTabLine(2,2);
			while ($row = mysql_fetch_row($res)){
				$name = ($pers_order == 2) ? pers_name2($row[0]) : pers_name($row[0]);
				echo "<tr><td class=\"cl1\">$name</td>";
				$tt = '<b>VORSICHT!</b><br>Mitarbeiterzuordnung l&ouml;schen!';
				echo "<td><a href=\"$self?seite=$seite&lade_geb={$_GET['lade_geb']}";
				echo "&del_pers=$row[0]\"" . stwToolTip($tt);
				echo "style=\"color: #f00\">X</a></td>\n</tr>\n";
				$vorh[] = $row[0];
			}
		}

		new stwTabLine(2,2);

		echo "<form action=\"$self\" method=\"get\">\n";
		echo "<input type=\"hidden\" name=\"seite\" value=\"$seite\">\n";
		echo "<input type=\"hidden\" name=\"lade_geb\" value=\"{$_GET['lade_geb']}\">\n";
		echo "<tr><td colspan=\"2\"><select name=\"add_pers\" size=\"1\" ";
		echo "onChange=\"this.form.submit()\">\n";

		echo "<option value=\"0\">Mitarbeiter hinzuf&uuml;gen</option>\n";

		$sql  = "select pers_id from tb_personal where status_id = 2 order by ";
		if($pers_order == 2) $sql .= "name asc, vorname asc;";
		else $sql .= "vorname asc, name asc;";
		$res = abfrage1($sql);

		while ($row = mysql_fetch_row($res)){
			if (!in_array($row[0], $vorh)){
				$name = ($pers_order == 2) ? pers_name2($row[0]) : pers_name($row[0]);
				echo "<option value=\"$row[0]\">$name</option>\n";
			}
		}

		echo "</select></td></tr>\n</form>\n";
		echo "</table></td>\n";
	}

	echo "</tr>\n";

	/* Ende Tabelle Geburtstage */
	echo "</table>\n";
	new stwLine(1);



	/* ----- Abwesenheit ----- */
	echo "<table cellspacing=\"0\" cellpadding=\"0\">\n";
	echo "<tr><td colspan=\"3\"><table><tr><th>Abwesenheit der Mitarbeiter ";
	echo "der Abteilung:</th></tr>\n";
	new stwTabLine(2,1);
	echo "</table></td></tr>\n";

	echo "<tr>\n";
	echo "<td class=\"cl20\"><table>\n";

	echo "<form action=\"$self\" method=\"get\">\n";
	echo "<input type=\"hidden\" name=\"seite\" value=\"$seite\">\n";
	echo "<tr><td>";

	$sql  = "select abt_id, name, anz_abw_level from tb_personal_abt ";
	$sql .= "order by name asc;";
	$res = abfrage1($sql);

	echo "<select name=\"lade_abw\" size=\"1\" onChange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">Abteilung w&auml;hlen</option>\n";

	while ($row = mysql_fetch_row($res)){
		echo "<option value=\"$row[0]\"";
		if ($_GET['lade_abw'] == $row[0]) echo ' selected';
		echo ">$row[1]</option>\n";
	}

	echo "</select></td></tr>\n";
	echo "</form>\n";
	echo "</table></td>\n";

	if ($_GET['lade_abw'] > 0) {

		echo "<td class=\"cl20\"><table>\n";
		echo "<form action=\"$self\" method=\"get\">\n";
		echo "<tr><th class=\"cl1\">sichtbar ab Level:</th>\n";
		echo "<input type=\"hidden\" name=\"seite\" value=\"$seite\">\n";
		echo "<input type=\"hidden\" name=\"lade_abw\" value=\"{$_GET['lade_abw']}\">\n";
		echo "<td><input type=\"text\" name=\"anz_abw_level\" size=\"3\" ";
		echo "maxlength=\"2\" style=\"text-align: center;\"";
		$abw_lvl = abfrage("select anz_abw_level from tb_personal_abt
												where abt_id = '{$_GET['lade_abw']}';");
		if ($abw_lvl[0] > 0) echo " value=\"$abw_lvl[0]\"";
		echo "></tr>\n";

		new stwTabLine(2,2);
		echo "<tr><td colspan=\"2\"><input type=\"submit\" name=\"send_abw_lvl\" ";
		echo "value=\"Speichern\"></td></tr>\n";

		echo "</form></table></td>\n";

		echo "<td class=\"cl11\"><table>\n";
		echo "<tr><th colspan=\"2\">UND f&uuml;r Abteilungen:</th></tr>\n";

		$vorh = array();

		$sql  =  "select h.abt_id2, a.name from tbh_abt_anz_abt h ";
		$sql .=  "left join tb_personal_abt a on h.abt_id2 = a.abt_id ";
		$sql .=  "where h.abt_id = '{$_GET['lade_abw']}' and h.art = '2' ";
		$sql .=  "order by a.name asc;";

		$res = abfrage1($sql);

		if (mysql_num_rows($res) > 0){
			new stwTabLine(2,2);
			while ($row = mysql_fetch_row($res)){
				echo "<tr><td class=\"cl1\">$row[1]</td>";
				$tt = '<b>VORSICHT!</b><br>Abteilungszuordnung l&ouml;schen!';
				echo "<td><a href=\"$self?seite=$seite&lade_abw={$_GET['lade_abw']}";
				echo "&del_abt=$row[0]\"" . stwToolTip($tt);
				echo "style=\"color: #f00\">X</a></td>\n</tr>\n";
				$vorh[] = $row[0];
			}
		}

		new stwTabLine(2,2);

		echo "<form action=\"$self\" method=\"get\">\n";
		echo "<input type=\"hidden\" name=\"seite\" value=\"$seite\">\n";
		echo "<input type=\"hidden\" name=\"lade_abw\" value=\"{$_GET['lade_abw']}\">\n";
		echo "<tr><td colspan=\"2\"><select name=\"add_abt\" size=\"1\" ";
		echo "onChange=\"this.form.submit()\">\n";

		echo "<option value=\"0\">Abt. hinzuf&uuml;gen</option>\n";

		$sql  = "select abt_id, name from tb_personal_abt order by name asc;";
		$res = abfrage1($sql);

		while ($row = mysql_fetch_row($res)){
			if (!in_array($row[0], $vorh)){
				echo "<option value=\"$row[0]\">$row[1]</option>\n";
			}
		}

		echo "</select></td></tr>\n";
		echo "</table></td>\n";

		echo "<td><table>\n";
		echo "<tr><th colspan=\"2\">UND f&uuml;r Mitarbeiter:</th></tr>\n";

		$vorh = array();

		$sql  = "select h.pers_id from tbh_abt_anz_pers h ";
		$sql .= "left join tb_personal p using (pers_id) ";
		$sql .= "where h.abt_id = '{$_GET['lade_abw']}' and h.art = '2' order by ";
		if($pers_order == 2) $sql .= "p.name asc, p.vorname asc;";
		else $sql .= "p.vorname asc, p.name asc;";

		$res = abfrage1($sql);

		if (mysql_num_rows($res) > 0){
			new stwTabLine(2,2);
			while ($row = mysql_fetch_row($res)){
				$name = ($pers_order == 2) ? pers_name2($row[0]) : pers_name($row[0]);
				echo "<tr><td class=\"cl1\">$name</td>";
				$tt = '<b>VORSICHT!</b><br>Mitarbeiterzuordnung l&ouml;schen!';
				echo "<td><a href=\"$self?seite=$seite&lade_abw={$_GET['lade_abw']}";
				echo "&del_pers=$row[0]\"" . stwToolTip($tt);
				echo "style=\"color: #f00\">X</a></td>\n</tr>\n";
				$vorh[] = $row[0];
			}
		}
		echo "</form>\n";
		new stwTabLine(2,2);

		echo "<form action=\"$self\" method=\"get\">\n";
		echo "<input type=\"hidden\" name=\"seite\" value=\"$seite\">\n";
		echo "<input type=\"hidden\" name=\"lade_abw\" value=\"{$_GET['lade_abw']}\">\n";
		echo "<tr><td colspan=\"2\"><select name=\"add_pers\" size=\"1\" ";
		echo "onChange=\"this.form.submit()\">\n";

		echo "<option value=\"0\">Mitarbeiter hinzuf&uuml;gen</option>\n";

		$sql  = "select pers_id from tb_personal where status_id = 2 ";
		if($pers_order == 2) $sql .= "order by name asc, vorname asc;";
		else $sql .= "order by vorname asc, name asc;";
		$res = abfrage1($sql);

		while ($row = mysql_fetch_row($res)){
			if (!in_array($row[0], $vorh)){
				$name = ($pers_order == 2) ? pers_name2($row[0]) : pers_name($row[0]);
				echo "<option value=\"$row[0]\">$name</option>\n";
			}
		}

		echo "</select></td></tr>\n";
		echo "</form></table></td>\n";
	}
	
	echo "</tr>\n";

	/* Ende Tabelle Abwesenheit */
	echo "</table>\n";
	new stwLine(1);
}
/* Ende Konfiguration Startseite */

if($_GET['name'] == 'kal2'){
	if(isset($_POST['kal2tag'])) {
		abfrage2("update tb_konf set wert='{$_POST['kal2tag']}' where name='kal2tag';");
	}
	echo "<form method=\"post\" action=\"seite_konf.php?seite";
	echo "={$_GET['seite']}&name={$_GET['name']}\" name=\"kal2\">\n";
	echo "<table><tr><th class=\"cl1\">Auswahl \"Tag\" im Miniaturkalender:</th>\n";
	$kal2tag = getConf('kal2tag');
	$checked = $kal2tag=='d' ? 'checked' : '';
	echo "<td><input type=\"radio\" $checked name=\"kal2tag\" value=\"d\" ";
	echo "onchange=\"this.form.submit()\" /></td>\n";
	echo "<td ckass=\"cl1\">Detailansicht ZKs und Fahrten</td>\n";
	$checked = $kal2tag=='t' ? 'checked' : '';
	echo "<td><input type=\"radio\" $checked name=\"kal2tag\" value=\"t\" ";
	echo "onchange=\"this.form.submit()\" /></td>\n";
	echo "<td ckass=\"cl20\">Listenansicht 14 Tage ab diesem Tag</td>\n";
	echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
	echo "</table>\n</form>\n";
	new stwLine(1);
}

if($seite == 59) {
	if(isset($_GET['pkwdel'])) {
		abfrage2("delete from tbh_pkw_feedback_proj where projekt='{$_GET['pkwdel']}'");
	}
	if(isset($_POST['pkwprojekte'])) {
		if(!is_numeric($_POST['proj_id'])) {
			abfrage2("delete from tbh_pkw_feedback_proj where projekt='{$_POST['proj_id']}'");
		}
		abfrage2("insert into tbh_pkw_feedback_proj set projekt='{$_POST['proj_id']}'");
	}
	echo "<form method=\"post\" action=\"seite_konf.php?seite";
	echo "={$_GET['seite']}&name={$_GET['name']}\" name=\"pkw\">\n";
	echo "<input type=\"hidden\" name=\"pkwprojekte\" value=\"1\" />\n";
	echo "<table width=\"750\">\n<tr><th class=\"cl1\">Projekte f&uuml;r PKW-Feedbacks:</th>\n";
	echo "<td><select name=\"proj_id\" size=\"1\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">----- zum Hinzuf&uuml;gen bitte w&auml;hlen -----</option>\n";
	$projektarten = abfrage1("select kname, titel, nr_von, nr_bis from tb_projektart where aktiv=1 order by nr_von asc;");
	while($pa = mysql_fetch_array($projektarten)) {
		echo "<option value=\"$pa[0]\">[$pa[0]] - $pa[1]</option>\n";
		$sql = "SELECT proj_id FROM tb_projekte
				WHERE projektnr >= $pa[2] and projektnr <= $pa[3]
				and (ende is null or ende = '0000-00-00' or to_days(ende) >= to_days(curdate()))
				and proj_id not in (select projekt from tbh_pkw_feedback_proj)
				order by projektnr asc";
		$pros = abfrage1($sql);
		while($pro = mysql_fetch_row($pros)) {
			echo "<option value=\"$pro[0]\">" . projektnummer($pro[0]) . "</option>\n";
		}
	}
	echo "</select></td></tr>\n";
	echo "<tr><td class=\"ww\" colspan=\"2\">\n";
	$pros = abfrage1("select projekt from tbh_pkw_feedback_proj order by id asc");
	$komma = false;
	while($pro = mysql_fetch_row($pros)) {
		if($komma) echo ", "; else $komma = true;
		if(is_numeric($pro[0])) {
			$projekt = "Projekt";
			echo "<b style=\"color:#FFCC00\">".projektnummer($pro[0])."</b> ";
		} else {
			echo "<b style=\"color:#00FF00\">$pro[0]</b> ";
			$projekt = "Projektgruppe";
		}
		echo "<a href=\"seite_konf.php?seite=59&name=pkw_fb_and&pkwdel=$pro[0]\" style=\"color:red\"";
		echo stwToolTip("$projekt aus Zuordnunng entfernen") . ">X</a>\n";
	}
	echo "</td></tr></table></form>\n";
	new stwLine(1);
}

/* Farbmanagement fuer Fehlzeiten */
if($seite == 37)
	include "fehlz.color.inc.php";

if($_GET['name'] == 'nachw'){
	echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
	if(isset($_POST['vuncolor'])) {
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['vuncolor']}' WHERE name='vuncolor'");
	}
	echo "<form method=\"post\" action=\"seite_konf.php?seite";
	echo "={$_GET['seite']}&name={$_GET['name']}\" name=\"vun\">\n";
	echo "<table><tr><th class=\"cl11\">Farbe f&uuml;r Projekte mit Vor- und Nachbearbeitung:</th>\n";
	$vuncolor = getConf('vuncolor');
	echo "<td class=\"cl11\"><input type=\"text\" name=\"vuncolor\" ";
	if(!empty($vuncolor)) {
		$rgb = transformColor($vuncolor);
		$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
		echo "style=\"background-color:$vuncolor;color:$co;\" ";
	}
	echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\" ";	
	echo "size=\"20\" maxlength=\"20\" value=\"$vuncolor\"></td>";
	echo "<td><input type=\"image\" src=\"img/senden.png\"></td></tr></table></form>\n";
	new stwLine(1);

	if(isset($_POST['ja_le_ha'])) {
		if(strpos($_POST['ja_le_ha'],'-') === false) {
			abfrage2("UPDATE tb_hilfeart SET id_ja=0, id_le=0 WHERE aktiv='j' AND pra_id='{$_POST['ja_le_ha']}' AND id_ja IS NULL AND id_le IS NULL");
		} else {
			$ha = explode("-", $_POST['ja_le_ha']);
			abfrage2("UPDATE tb_hilfeart SET id_ja=0, id_le=0 WHERE hilfeart_id='$ha[1]'");
		}
	}
	if(isset($_POST['ja']) && is_array($_POST['ja'])) {
		foreach($_POST['ja'] as $id => $ja) {
			$le = $_POST['le'][ $id ];
			abfrage2("UPDATE tb_hilfeart SET id_ja='$ja', id_le='$le' WHERE hilfeart_id='$id'");
		}
	}
	if(isset($_GET['drop_ha'])) {
		abfrage2("UPDATE tb_hilfeart SET id_ja=NULL, id_le=NULL WHERE hilfeart_id='{$_GET['drop_ha']}' LIMIT 1");
	}
	$statistikbogen = getConf('statistikbogen');

	echo "<form method=\"post\" action=\"seite_konf.php?seite";
	echo "={$_GET['seite']}&name={$_GET['name']}\" name=\"stat\">\n";
	echo "<table><tr>";
	echo "<td><input type=\"checkbox\" name=\"statistikbogen\"";
	if($statistikbogen) echo " checked";
	echo " value=\"1\" /></td>\n";
	echo "<th>Statistikb&ouml;gen bei Nachweisen ausweisen</th><td><a name=\"statistik\" /></td></tr></table>\n";
	echo "<table>\n";
	new stwTabLine(2,3);
	echo "<tr>";
	$sql = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart 
			where aktiv='j' and id_ja IS NULL order by pra_id asc, hilfeart asc";
	echo "<td><select name=\"ja_le_ha\" size=\"1\" style=\"width:180px\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">- Hilfeart hinzuf&uuml;gen -</option>\n";
	$pra = array();
	$pras = abfrage1("select pra_id, kname from tb_projektart order by pra_id asc");
	while($pr = mysql_fetch_row($pras)) {
		$pra[$pr[0]] = $pr[1];
	}
	$has = abfrage1($sql);
	$lastPra = 0;
	while ($ha = mysql_fetch_row($has)){
		if($lastPra != $ha[3]) {
			echo "<option value=\"".$ha[3]."\">---- ".$pra[$ha[3]]." ----</option>\n";
			$lastPra = $ha[3];
		}
		echo "<option value=\"".$ha[3]."-".$ha[0]."\">$ha[1] - $ha[2]</option>\n";
	}
	echo "</select></td>";
	echo "<td class=\"cl1\"><input type=\"image\" src=\"img/senden.png\"></td>";
	echo "<td><small>Hinzuf&uuml;gen ganzer Gruppen m&ouml;glich. Einzelne Hilfearten k&ouml;nnen anschlie&szlig;end auch wieder entfernt werden.</small></td>";
	echo "</tr></table>\n";
	echo "<table>\n";
	$sql = "select hilfeart_id, hilfeart, pra_id, id_ja, id_le from tb_hilfeart 
			where aktiv='j' and id_ja IS NOT NULL order by pra_id asc, hilfeart asc";
	$has = abfrage1($sql);
	$lastPra = 0;
	while($ha = mysql_fetch_row($has)) {
		if($lastPra != $ha[2]) {
			if($lastPra) echo "</tr>\n";
			echo "<tr><th class=\"cl11\" style=\"color:green;vertical-align:middle\">".$pra[$ha[2]]."</th>\n";
			$lastPra = $ha[2];
		}
		echo "<td><table cellpadding=\"1\" cellspacing=\"0\" border=\"1\">";
		echo "<tr><th>$ha[1] <a href=\"seite_konf.php?seite=".$_GET["seite"]."&name=".$_GET["name"]."&drop_ha=$ha[0]#statistik\" ";
		echo "style=\"color:red\"" . stwToolTip('Hilfeart aus Zuordnung entfernen') . ">X</a></td></tr>\n";
		echo "<tr><td" . stwToolTip("ID der Hilfeart beim Jugendamt") . "><input type=\"text\" name=\"ja[ $ha[0] ]\" value=\"$ha[3]\" style=\"text-align:center;width:40px\" /></td></tr>\n";
		echo "<tr><td" . stwToolTip("dieser Hilfeart zugeordnete ID der Einrichtung") . "><input type=\"text\" name=\"le[ $ha[0] ]\" value=\"$ha[4]\" style=\"text-align:center;width:40px\" /></td></tr>\n";
		echo "</table></td>\n";
	}
	if(mysql_num_rows($has) > 0) {
		echo "</tr>";
		new stwTabLine(2,300);
		echo "<tr><td colspan=\"5\"><input type=\"submit\" value=\"Speichern\" /></td></tr>\n";
	}
	echo "</table></form>\n";
	new stwLine(1);
}

if($_GET['name'] == "mandant/stw/nachw_ttt_req") {
  /* Hilfeart aus Liste loeschen */
  if ($_GET["drop"] == 1 && isset($_GET["ttha"]))
  {
	$sql  = "UPDATE tb_hilfeart SET tt_req = '0' WHERE hilfeart_id=";
	$sql .= $_GET["ttha"];
	abfrage2($sql);
  }

  if (isset($_POST["tthilfeart"]))
  {
	$sql  = "UPDATE tb_hilfeart SET tt_req = '1' WHERE hilfeart_id=";
	$sql .= $_POST["tthilfeart"];
	abfrage2($sql);
  }

  echo "Folgende Projektarten in Monats&uuml;bersicht ber&uuml;cksichtigen:";
  $sql  = "select hilfeart_id,hilfeart,beschreibung from tb_hilfeart ";
  $sql .= "where tt_req=1 order by hilfeart asc;";

  $abf = abfrage1($sql);

  printf("<table>\n");
  while ($row = mysql_fetch_row($abf))
  {
    $tt = $row[2] ? stwToolTip($row[2]) : "";
    printf("<tr><th><span %s>%s</span></th>", $tt, $row[1]);
    printf("<th><a href=\"seite_konf.php?ttha=%s", $row[0]);
    printf("&drop=1&seite=%s&name=", $_GET["seite"]);
    printf("%s\" style=\"color:red\">X</a>", $_GET["name"]);
    printf("</th></tr>\n");
  }

  /* alle Hilfearten die noch hinzugefuegt werden koennen */
  $sql  = "select hilfeart_id,hilfeart,beschreibung from tb_hilfeart ";
  $sql .= "where tt_req=0 or tt_req is null order by hilfeart asc;";
  $abf  = abfrage1($sql);

  printf("<form method=\"post\" action=\"seite_konf.php?seite");
  printf("=%s&name=%s\">\n", $_GET["seite"], $_GET["name"]);

  printf("<tr><td><select name=\"tthilfeart\" size=\"1\"");
  printf("onchange=\"this.form.submit()\">\n");

  printf("<option value=\"0\">Hilfeart hinzuf&uuml;gen</option>\n");

  while ($row = mysql_fetch_row($abf))
  {
    printf("<option title=\"%s\" value=\"%s\">", $row[2], $row[0]);
    printf("%s</option>\n", $row[1]);
  }
  printf("</select></td>\n");
  printf("<td><input type=\"image\" src=\"img/senden.png\"></td>\n");
  printf("</tr>\n</form>\n</table>\n");
  new stwLine(1);
}

if($_GET['seite'] == 33) {
	if(isset($_POST['ttt_von_bis'])) {
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['ttt_von']}' WHERE name='ttt_von'");
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['ttt_bis']}' WHERE name='ttt_bis'");
	}
	echo "<center><b>Veranstaltungen f&uuml;r Tim Tender Teilnehmer</b></center>\n";
	new stwLine(2);
	echo "<table><form method=\"post\" action=\"seite_konf.php?seite";
	echo "=".$_GET["seite"]."&name=".$_GET["name"]."\">\n";
	echo "<tr><th class=\"cl1\"> von: </th>\n";
	echo "<td><input type=\"text\" size=\"5\" name=\"ttt_von\" value=\"".getConf('ttt_von')."\"></td>\n";
	echo "<td class=\"cl20\">hh:mm</td>\n";
	echo "<th class=\"cl1\"> bis: </th>\n";
	echo "<td><input type=\"text\" size=\"5\" name=\"ttt_bis\" value=\"".getConf('ttt_bis')."\"></td>\n";
	echo "<td class=\"cl20\">hh:mm</td>\n";
	echo "<td><input type=\"submit\" value=\"Speichern\" name=\"ttt_von_bis\"></td>\n";
	echo "</td></tr></form></table>\n";
	new stwLine(1);
}

/* Einstellungen SVN */
if($_GET['seite'] == 56) {
	/* Anzahl der anzuzeigenden Versionen */
	if(isset($_POST['svn_anz']) && (intval($_POST['svn_anz']) != 0)) {
		abfrage2("UPDATE tb_konf SET wert = '{$_POST['svn_anz']}' WHERE name='svn_anz'");
	}
	
	echo "<table><form method=\"post\" action=\"seite_konf.php?seite";
	echo "=".$_GET["seite"]."&name=".$_GET["name"]."\">\n";

	echo "<tr><th class=\"cl1\">Anzahl der anzuzeigenden Revisionen: </th>\n";
	echo "<td><input type=\"text\" size=\"2\" name=\"svn_anz\" value=\"".getConf('svn_anz')."\"></td>\n";
	echo "<th>Eintrge</td>\n";
	echo "<td><input type=\"image\" ";
 	echo "src=\"img/senden.png\"></td>\n</tr></form></table>\n";
	new stwLine(1);
}

/* Prozentsatz Zuschuss */
if($_GET['seite'] == 64) {
	if(isset($_POST['gefahrenklasse'])) {
		abfrage2("UPDATE tb_konf SET wert = '".str_replace(',','.',$_POST['gefahrenklasse'])."' WHERE name='AnlageFK_gefahrenklasse'");
		abfrage2("UPDATE tb_konf SET wert = '".str_replace(',','.',$_POST['beitragsfuss'])."' WHERE name='AnlageFK_beitragsfuss'");
		abfrage2("UPDATE tb_konf SET wert = '".str_replace(',','.',$_POST['ausgleichsumlage'])."' WHERE name='AnlageFK_ausgleichsumlage'");
		abfrage2("UPDATE tb_konf SET wert = '".intval($_POST['AnlageFK'])."' WHERE name='AnlageFK'");
	}
	echo "<form method=\"post\" action=\"seite_konf.php?seite={$_GET['seite']}&name={$_GET['name']}\" name=\"gehalt\">\n";
	echo "<table><tr><th class=\"cl1\">AnlageFK:<br><input type=\"checkbox\" style=\"margin:3px\" value=\"1\" name=\"AnlageFK\" ";
	echo stwToolTip("Berufsgenossenschaftsanteile in AnlageFK-Berechnung aufnehmen<br>und im Druck ausweisen");
	if(intval(getConf('AnlageFK'))) echo 'checked';
	echo "/></th>\n<td style=\"vertical-align:middle\"><b>Berufsgenossenschaft</b></td>\n";
	echo "<td style=\"vertical-align:middle\">=</td>\n";
	echo "<td style=\"text-align:center\"><b>Entgelt</b> x <input type=\"text\" name=\"gefahrenklasse\" size=\"5\" ";
	echo stwToolTip("Gefahrenklasse") . " value=\"".geld_form_formular(getConf('AnlageFK_gefahrenklasse'))."\" style=\"text-align:center\" />";
	echo " x <input type=\"text\" name=\"beitragsfuss\" size=\"5\" ";
	echo stwToolTip("Beitragsfu&szlig;") . " value=\"".geld_form_formular(getConf('AnlageFK_beitragsfuss'))."\" style=\"text-align:center\" />\n";
	echo "<hr /><b>1000</b></td>\n<td style=\"vertical-align:middle\">+</td>";
	echo "<td class=\"cl11\" style=\"text-align:center\"><b>Entgelt</b> x <input type=\"text\" name=\"ausgleichsumlage\" size=\"5\" ";
	echo stwToolTip("Ausgleichsumlage") . " value=\"".geld_form_formular(getConf('AnlageFK_ausgleichsumlage'))."\" style=\"text-align:center\" />";
	echo "<hr /><b>1000</b></td>\n";
	echo "<td style=\"vertical-align:bottom\"><input type=\"image\" src=\"img/senden.png\"></td>\n";
	echo "</tr></table></form>\n";
	new stwLine(1);

	if(isset($_POST['pk_zuschuss'])) {
		abfrage2("UPDATE tb_konf SET wert = '".str_replace(',','.',$_POST['pk_zuschuss'])."' WHERE name='pk_zuschuss'");
	}
	echo "<table><form method=\"post\" action=\"seite_konf.php?seite=".$_GET["seite"]."&name=".$_GET["name"]."\">\n";
	echo "<tr><th class=\"cl1\">Prozentsatz Zuschuss Pensionskasse: </th>\n";
	echo "<td><input type=\"text\" size=\"5\" name=\"pk_zuschuss\" value=\"";
	echo geld_form_formular(getConf('pk_zuschuss')) . "\"></td>\n";
	echo "<th>%</th>\n";
	echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n</tr></form></table>\n";
	new stwLine(1);
}

if($_GET['name'] == 'pro') {
	if(isset($_POST['anf_ha'])) {
		$excl = empty($_POST['excl']) ? 'n' : 'j';
		if(empty($_POST['grp_id'])) abfrage2("insert into tb_anf_ha_grp set name=\"{$_POST['anf_ha_name']}\", excl='$excl'");
		else abfrage2("update tb_anf_ha_grp set name=\"{$_POST['anf_ha_name']}\", excl='$excl' where grp_id='{$_POST['grp_id']}'");
		if(empty($_POST['grp_id'])) $_REQUEST['grp_id'] = mysql_insert_id();
		$ha = explode("-", $_POST['anf_ha']);
	if($ha[0]) abfrage2("replace into tbh_anf_ha_grp set grp_id='{$_REQUEST['grp_id']}', pra_id='$ha[0]', hilfeart_id='$ha[1]'");
	}
	if(isset($_GET['dropha'])) {
		$ha = explode("-", $_GET['dropha']);
		abfrage2("delete from tbh_anf_ha_grp where grp_id='{$_REQUEST['grp_id']}' and pra_id='$ha[0]' and hilfeart_id='$ha[1]'");
	}
	if(isset($_GET['dropgrp'])) {
		abfrage2("delete from tbh_anf_ha_grp where grp_id='{$_GET['dropgrp']}'");
		abfrage2("delete from tb_anf_ha_grp where grp_id='{$_GET['dropgrp']}'");
	}
	echo "<form method=\"post\" action=\"seite_konf.php?seite=".$_GET["seite"]."&name=".$_GET["name"]."#anfr_grp\">\n";
	if(isset($_REQUEST['grp_id'])) $grp = abfrage("select * from tb_anf_ha_grp where grp_id='{$_REQUEST['grp_id']}'");
	else $grp = array(0);
	echo "<input type=\"hidden\" name=\"grp_id\" value=\"$grp[0]\" />\n";
	echo "<table><tr><th colspan=\"30\">Anfragen<a name=\"anfr_grp\"> </a>gruppieren:</th></tr>\n";
	echo "<th>Bezeichnung:</th><td class=\"cl11\"><input type=\"text\" size=\"20\" name=\"anf_ha_name\" value=\"$grp[1]\"></td>\n";
	$checked = $grp[2] == 'n' ? 'checked' : '';
	echo "<td><input type=\"radio\" $checked name=\"excl\" value=\"0\"></td>\n";
	echo "<td class=\"cl1\">Nur folgende Hilfearten</td>\n";
	$checked = $grp[2] == 'j' ? 'checked' : '';
	echo "<td><input type=\"radio\" $checked name=\"excl\" value=\"1\"></td>\n";
	echo "<td class=\"cl11\">Alle Hilfearten au&szlig;er folgenden</td></tr>\n";
	echo "<tr><th colspan=\"3\" style=\"text-align:right\">Hilfeart hinzuf&uuml;gen:</th>";
	$sql = "select hilfeart_id, hilfeart, beschreibung, pra_id from tb_hilfeart where aktiv='j' order by pra_id asc, hilfeart asc";
	echo "<td style=\"width:135px\"><select name=\"anf_ha\" size=\"1\" style=\"width:135px\" onchange=\"this.form.submit()\">\n";
	echo "<option value=\"0\">- bitta w&auml;hlen -</option>\n";
	$pra = array();
	$pras = abfrage1("select pra_id, kname from tb_projektart order by pra_id asc");
	while($pr = mysql_fetch_row($pras)) {
		$pra[$pr[0]] = $pr[1];
	}
	$has = abfrage1($sql);
	$lastPra = 0;
	while ($ha = mysql_fetch_row($has)){
		if($lastPra != $ha[3]) {
			echo "<option value=\"".$ha[3]."-0\">---- ".$pra[$ha[3]]." ----</option>\n";
			$lastPra = $ha[3];
		}
		echo "<option value=\"".$ha[3]."-".$ha[0]."\">$ha[1] - $ha[2]</option>\n";
	}
	echo "</select></td>";
	echo "<td><input type=\"image\" src=\"img/senden.png\"></td>\n";
	echo "<td><table>";
	$has = abfrage1("select * from tbh_anf_ha_grp where grp_id='{$_REQUEST['grp_id']}'");
	while($ha = mysql_fetch_row($has)) {
		echo "<tr>";
		if(empty($ha[2])) echo "<th>".$pra[$ha[1]]."</th>";
		else {
			$art = abfrage("select hilfeart, beschreibung from tb_hilfeart where hilfeart_id='$ha[2]'");
			echo "<td".stwToolTip($art[1]).">$art[0]</td>";
		}
		echo "<td><a href=\"seite_konf.php?seite=".$_GET["seite"]."&name=".$_GET["name"]."&grp_id=$grp[0]&dropha=$ha[1]-$ha[2]#anfr_grp\" ";
		echo "style=\"color:red\"" . stwToolTip(empty($ha[2]) ? 'Projektgruppe' : 'Hilfeart' . " aus Zuordnung entfernen") . ">X</a></td></tr>\n";
	}
	echo "</table></td></tr></table></form>\n";
	new stwLine(2);
	echo "<table style=\"width:750px\">";
	$grps = abfrage1("select * from tb_anf_ha_grp order by name asc");
	while($grp = mysql_fetch_array($grps)) {
		echo "<tr class=\"mo\"><th class=\"cl11\"><a href=\"seite_konf.php?seite=".$_GET["seite"]."&name=".$_GET["name"]."&grp_id=$grp[0]#anfr_grp\"";
		if(empty($grp['name'])) echo " style=\"color:red\"";
		echo ">" . $grp['name'];
		if(empty($grp['name'])) echo " - LEER -";
		echo "</a></th><td width=\"100%\">";
		$has = abfrage1("select * from tbh_anf_ha_grp where grp_id='$grp[0]'");
		$komma = '';
		while($ha = mysql_fetch_row($has)) {
			echo $komma;
			if(empty($ha[2])) echo "<b style=\"color:#FFCC00\">".$pra[$ha[1]]."</b>";
			else {
				$art = abfrage("select hilfeart from tb_hilfeart where hilfeart_id='$ha[2]'");
				echo $art[0];
			}
			$komma = ', ';
		}
		echo "</td><td style=\"text-align:right\"><a href=\"seite_konf.php?seite=".$_GET["seite"]."&name=".$_GET["name"]."&dropgrp=$grp[0]#anfr_grp\" ";
		echo stwToolTip("<b>Vorsicht!</b> ganze Gruppe l&ouml;schen") . "style=\"color:red\">X</a></td></tr>\n";
	}
	echo "</table>";
}

new stwEnd($seite);
?>
