<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: team_art_and.php 2926 2018-12-19 16:04:31Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 35;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

$pers_order = getPersOrder($seite);
$darf_aendern = check_nutzer_rechte(62);
if(!isset($rvar_team_art_id)) $rvar_team_art_id=0;
if(empty($rvar_team_art_id)) $last = array();
else $last = abfrage("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i'), verlauf_id from tb_team_art_verlauf where team_art_id='$rvar_team_art_id' order by verlauf_id desc limit 1");

if ($rvar_team_art_id > 0){
	$sql  = "select team_art_id, kurzname, name, farbe, lesegruppe, extern, ";
	$sql .= "lesegruppe_name, montags_sitzung, aktiv, traeger_art_id, ewald, ";
	$sql .= "ewald_ab_datum, art, nummer, kuerzel, standort, notizen, grp_id, ";
	$sql .= "abt_id, fb_id, date_format(vorher, '%H:%i') as vorher, ";
	$sql .= "date_format(nachher, '%H:%i') as nachher ";
	$sql .= "from tb_team_art where team_art_id = '$rvar_team_art_id';";
	$ta = abfrage_array($sql);
} else $ta = array();

if (($ulv >= 96 || $darf_aendern) && isset($rvar_do)){
	if($rvar_do == 'del' && $ta['montags_sitzung']) {
		/* zukuenftige Sitzungen abfragen */
		$sql  = "select tm.team_id, tm.team_art_id, date_format(te.von, '%d.%m.%Y') as dat from tb_team tm ";
		$sql .= "left join tb_termine te on tm.termin_id = te.termin_id ";
		$sql .= "where te.von > now() and tm.team_art_id = '$rvar_team_art_id' ";
		$teams = abfrage1($sql);
		while($team = mysql_fetch_row($teams)) {
			if(isset($rvar_pers_id)) abfrage2("delete from tbh_team_pers where team_id = '$team[0]' and pers_id = '$rvar_pers_id';");
			if(isset($rvar_abt_id)) {
				$sql  = "select pa.pers_id from tb_team_art_abt a ";
				$sql .= "left join tbh_pers_abt pa on a.abt_id = pa.abt_id ";
				$sql .= "left join tb_team_art_pers tp on (a.team_art_id = tp.team_art_id and pa.pers_id = tp.pers_id)";
				$sql .= "where a.team_art_id = '$rvar_team_art_id' and a.abt_id = '$rvar_abt_id' and tp.pers_id IS NULL";
				$mas = abfrage1($sql);
				while($ma = mysql_fetch_row($mas)){
					abfrage2("delete from tbh_team_pers where team_id = '$team[0]' and pers_id = '$ma[0]';");
				}
			}
		}
	}
	if(isset($rvar_pers_id)) {
		$pers = abfrage_array("select * from tb_team_art_pers where team_art_id = '$rvar_team_art_id' and pers_id = '$rvar_pers_id';");
		if($rvar_do == 'del') {
			if(empty($pers['fokus'])) abfrage2("delete from tb_team_art_pers where team_art_id = '$rvar_team_art_id' and pers_id = '$rvar_pers_id';");
			else abfrage2("update tb_team_art_pers set nur_protokoll = NULL where team_art_id = '$rvar_team_art_id' and pers_id = '$rvar_pers_id';");
			if($last[0] == $uid) abfrage2("update tb_team_art_verlauf set zeit=now() where verlauf_id='$last[2]'");
			else abfrage2("insert into tb_team_art_verlauf set team_art_id='$rvar_team_art_id', pers_id='$uid'");
		}
		if($rvar_do == 'betrdel') {
			if(empty($pers['nur_protokoll'])) abfrage2("delete from tb_team_art_pers where team_art_id = '$rvar_team_art_id' and pers_id = '$rvar_pers_id';");
			else abfrage2("update tb_team_art_pers set fokus = NULL where team_art_id = '$rvar_team_art_id' and pers_id = '$rvar_pers_id';");
			if($last[0] == $uid) abfrage2("update tb_team_art_verlauf set zeit=now() where verlauf_id='$last[2]'");
			else abfrage2("insert into tb_team_art_verlauf set team_art_id='$rvar_team_art_id', pers_id='$uid'");
		}
	} elseif(isset($rvar_abt_id) && $rvar_do == 'del') {
		abfrage2("delete from tb_team_art_abt where team_art_id = '$rvar_team_art_id' and abt_id = '$rvar_abt_id';");
		if($last[0] == $uid) abfrage2("update tb_team_art_verlauf set zeit=now() where verlauf_id='$last[2]'");
		else abfrage2("insert into tb_team_art_verlauf set team_art_id='$rvar_team_art_id', pers_id='$uid'");
	}
	$last = abfrage("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i'), verlauf_id from tb_team_art_verlauf where team_art_id='$rvar_team_art_id' order by verlauf_id desc limit 1");
}

echo "<form action=\"team_art_sql.php\" name=\"teamform\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"team_art_id\" value=\"$rvar_team_art_id\">\n";
echo "<table><tr><td class=\"cl1\"><table>\n";

$ptn = $pempf = $fk = array();
if ($rvar_team_art_id > 0){

	$sql = "select t.pers_id, t.fokus from tb_team_art_pers t
			left join tb_personaltyp p on (t.fokus = p.personaltyp_id)
			where t.team_art_id = '$rvar_team_art_id' and t.fokus is not null
			order by p.sort asc;";
	$fks = abfrage1($sql);
	while($fok = mysql_fetch_row($fks)) {
		$fk[ $fok[0] ] = $fok[1];
	}

	$tns = abfrage1("select pers_id, nur_protokoll 
					from tb_team_art_pers
					where team_art_id = $rvar_team_art_id
					and nur_protokoll is not null;");

	while ($tn = mysql_fetch_row($tns)){
		if($tn[1] == 'n') $ptn[] = $tn[0];
		if($tn[1] == 'j') $pempf[] = $tn[0];
	}

	$tns = abfrage1("select abt_id, nur_protokoll 
					from tb_team_art_abt
					where team_art_id = $rvar_team_art_id;");

	while ($tn = mysql_fetch_row($tns)){
		if($tn[1] == 'n') $ptn[] = 'a'.$tn[0];
		if($tn[1] == 'j') $pempf[] = 'a'.$tn[0];
	}
}

$ti = 1;

echo "<tr><th class=\"cl1\">Art:</th>\n";
echo "<td><table cellspacing=\"0\" cellpadding=\"0\"><tr>\n";
echo "<td><input type=\"text\" name=\"art\" size=\"2\" maxlength=\"2\" ";
echo "value=\"{$ta['art']}\" tabindex=\"$ti\"></td><td class=\"cl1\">";
echo "<input disabled id=\"ie\" style=\"width:10px\" value=\""; $ti++;
echo $ta['extern'] == 1 ? "e" : "i";
echo "\"></td><td class=\"cl1\">";
echo "<input type=\"text\" name=\"nummer\" size=\"3\" maxlength=\"3\" ";
if($ulv < 97) echo "readonly ";
if ($rvar_team_art_id>0) {
	$nr = empty($ta['nummer']) ? substr('000'.$rvar_team_art_id,-3) : $ta['nummer'];
	echo "value=\"$nr\" ";
}
echo "tabindex=\"$ti\"></td><td class=\"cl20\">"; $ti++;
echo "<input type=\"text\" name=\"kuerzel\" size=\"5\" maxlength=\"5\" ";
echo "value=\"{$ta['kuerzel']}\" tabindex=\"$ti\"></td>";

echo "<th class=\"cl1\">Tr&auml;ger:</th>\n";
echo "<td><select name=\"traeger_art_id\" size=\"1\" tabindex=\"$ti\">\n";
$ti++;
echo "<option value=\"NULL\"";
if (empty($ta['traeger_art_id'])) echo ' selected';
echo ">alle</option>\n";

$sql  = "select traeger_art_id, kurzname from tb_traeger_art ";
$sql .= "order by traeger_art_id asc;";
$res = abfrage1($sql);

while ($row = mysql_fetch_row($res)) {
	echo "<option value=\"$row[0]\"";
	if ($ta['traeger_art_id'] == $row[0]) echo ' selected';
	echo ">$row[1]</option>\n";
}
echo "</select></td>\n";
echo "</tr></table></td></tr>\n"; $ti++;

/* Abteilung */
echo "<script type=\"text/javascript\"><!--\n";
echo "function Show() {\n";
echo " var ntd = document.getElementsByName('notToDisplay');\n";
echo " for (var i = 0; i < ntd.length; i++) ntd[i].style.display = 'inline';\n";
echo "}\n--></script>\n";
echo "<tr><th rowspan=\"2\" class=\"cl1\"><a href=\"#\" ";
echo stwToolTip('Abteilungen hinzuf&uuml;gen und entfernen');
echo "onmousedown=\"Show();\" oncontextmenu=\"return false;\">Abteilungen</a>";
echo "<a href=\"#\" style=\"font-size:small;position:relative;left:0;top:-4px;\"";
echo stwToolTip('Abteilungen hinzuf&uuml;gen und entfernen');
echo "onclick=\"Show()\">+</a>:</th>\n<td colspan=\"30\" name=\"notToDisplay\"";
if(isset($rvar_team_art_id)) echo " style=\"display:none\"";
echo ">\n";

$js = "var Abteilungen = new Array();\n";
echo "<script type=\"text/javascript\"><!--\n";
echo "function makePrimary(id) {";
echo " var sb = document.getElementById('s'+document.teamform.abt_id.value+'b');\n";
echo " if(sb) sb.style.color='#CCCCCC';\n";
echo " sb = document.getElementById('s'+id+'b');\n";
echo " if(sb) sb.style.color='#FFCC00';\n";
echo " if(!id) id=0;\n";
echo " document.teamform.abt_id.value = id;\n";
echo "} \n \n function del(id) {";
echo " var name = Abteilungen[id];\n";
echo " var Option = document.createElement('option');\n";
echo " Option.value = id; Option.text = name;\n";
echo " try { document.teamform.abt.add(Option, null); }\n";
echo " catch(ex) { document.teamform.abt.add(Option); }\n";
echo " var txt = document.getElementById('abt_out').innerHTML;\n";
echo " var pos = txt.toLowerCase().indexOf('<'+'i');\n";
echo " if(pos==-1) {\n  document.getElementById('abt_out').innerHTML='';\n";
echo "  document.teamform.abt_ids.value=0;\n document.teamform.abt_id.value=0; }\n else {\n";
echo "  pos0 = txt.toLowerCase().indexOf('s'+id+'b');\n";
echo "  pos1 = txt.substr(0,pos0).lastIndexOf('<'+'sp'+'an');\n";
echo "  pos2 = txt.toLowerCase().indexOf('x'+'</'+'a>',pos1)+5;\n";
echo "  if(pos1 < 15) pos2+=2;\n";
echo "  else if(txt.substr(pos1-2,1)==',') pos1-=2;\n";
echo "  document.getElementById('abt_out').innerHTML = txt.substr(0,pos1) + txt.substr(pos2);\n";
echo "  txt = document.teamform.abt_ids.value;\n";
echo "  pos1 = txt.indexOf(', '+id);\n";
echo "  if(pos1<0) pos1=0; else pos1 += 2;\n";
echo "  pos2 = txt.indexOf(',',pos1);\n";
echo "  if(pos2 == -1) pos1 -= 2;";
echo "  document.teamform.abt_ids.value = txt.substr(0,pos1);\n";
echo "  if(pos2 > 0) document.teamform.abt_ids.value += txt.substr(pos2+2);";
echo "  if(id == document.teamform.abt_id.value){";
echo "   pos = document.teamform.abt_ids.value.indexOf(',');\n";
echo "   if(pos == -1) makePrimary(document.teamform.abt_ids.value);\n";
echo "   else makePrimary(document.teamform.abt_ids.value.substr(0,pos));\n";
echo " }\n}\n}\n--></script>\n";
echo "<select name=\"abt\" size=\"1\" tabindex=\"$ti\""; $ti++;
echo " onchange=\"if(document.teamform.abt_ids.value==0) {";
echo " document.teamform.abt_id.value=document.teamform.abt.value;\n";
echo " document.teamform.abt_ids.value=document.teamform.abt.value;\n";
echo " document.getElementById('abt_out').innerHTML='<span id=s'+document.teamform.abt.value+'b style=color:#FFCC00><i ";
echo "onclick=makePrimary('+document.teamform.abt.value+')>'+Abteilungen[document.teamform.abt.value]+'</i></span>';\n";
echo "} else {\n document.teamform.abt_ids.value+=', '+document.teamform.abt.value;\n";
echo " document.getElementById('abt_out').innerHTML+=', <span id=s'+document.teamform.abt.value+'b><i ";
echo "onclick=makePrimary('+document.teamform.abt.value+')>'+Abteilungen[document.teamform.abt.value]+'</i></span>'; ";
echo " }\n document.getElementById('abt_out').innerHTML+=' <a href=# style=color:red onclick=del('+document.teamform.abt.value+')>X</a>'; ";
echo " document.teamform.abt.remove(document.teamform.abt.selectedIndex); ";
echo " document.teamform.abt.value=0; \"";
$abtn = abfrage1("select abt_id, name from tb_personal_abt order by name asc;");

echo "><option value=\"0\"";
echo ">Abteilung hinzuf&uuml;gen</option>\n";
$abt_out = '';
if(empty($rvar_team_art_id) && is_array($rvar_abt_ids)) {
	$abt_ids_comma_sep = implode(",", $rvar_abt_ids);
	$abps = abfrage1("select abt_id from tb_personal_abt where abt_id in ($abt_ids_comma_sep);");
} else $abps = abfrage1("select abt_id from tbh_team_art_abt where team_art_id='$rvar_team_art_id';");
$js2 = '';
$abs = array();
while ($ab = mysql_fetch_row($abps)){
  if($ta['abt_id'] != $ab[0]) {
	$js2 .= "document.teamform.abt_ids.value+=', $ab[0]';\n";
	$js2 .= "document.getElementById('abt_out').innerHTML+=', <span id=s'+$ab[0]+'b><i ";
	$js2 .= "onclick=makePrimary('+$ab[0]+')>'+Abteilungen[$ab[0]]+'</i></span>';\n";
	if($ulv >= 97) $del = true;
	else {
		$ts  = mktime(0, 0, 0, date("n"), 1, date("Y"));
		$sperre = abfrage1("select abt_id from tb_dienst_monat where ts_monat='$ts' and gf_dienst>0 and abt_id='$ab[0]'");
		$del = (mysql_num_rows($sperre) == 0);
	}
	if($del) $js2 .= "document.getElementById('abt_out').innerHTML+='<a href=# name=\"notToDisplay\" style=\"color:red;display:none\" onclick=del($ab[0])> X</a>';\n";
	$abs[] = $ab[0];
  }
}
$prime_abt = 0;
while ($abt = mysql_fetch_row($abtn)){
	if ($abt[0] == $ta['abt_id'] || $rvar_abt == $abt[1] || $rvar_abt == $abt[0]) {
		$prime_abt = $abt[0];
		$abt_out  = "<span id=s$abt[0]b style=\"color:#FFCC00\"";
		$abt_out .= stwToolTip('<b>Prim&auml;re Abteilung</b><br>Klick auf andere Abteilung,<br>um diese zur Prim&auml;rabteilung zu machen',false);
		$abt_out .= "><i onclick=makePrimary($abt[0])>$abt[1]</i></span><a href=\"#\" name=\"notToDisplay\" style=\"color:red;display:none\" onclick=\"del($abt[0],'$abt[1]')\"> X</a>";
	} elseif (!in_array($abt[0], $abs)) {
		echo "<option value=\"$abt[0]\">$abt[1]</option>\n";
	}
	$js .= "Abteilungen[".$abt[0]."] = '$abt[1]';\n";
}
echo "</select></td></tr>\n";
echo "<input type=\"hidden\" name=\"abt_ids\" value=\"". (0 + $prime_abt) ."\" />";
echo "<input type=\"hidden\" name=\"abt_id\" value=\"". (0 + $prime_abt) ."\" />";
echo "<tr><td class=\"ww\" colspan=\"30\" id=\"abt_out\">\n$abt_out</td></tr>\n";
echo "<script type=\"text/javascript\"><!--\n $js $js2 --></script>\n";
echo "</td>\n";
echo "</tr>\n";

echo "<tr><th class=\"cl1\">Kurzname:</th>\n";
echo "<td><input type=\"text\" name=\"kurzname\" size=\"15\" maxlength=\"15\" ";
echo "tabindex=\"$ti\" value=\"$ta[1]\"></td></tr>\n"; $ti++;

echo "<tr><th class=\"cl1\">Name:</th>\n";
echo "<td><input type=\"text\" name=\"name\" size=\"50\" maxlength=\"50\" ";
echo "tabindex=\"$ti\" value=\"$ta[2]\"></td></tr>\n"; $ti++;

echo "<tr><th class=\"cl1\">Standort:</th>\n";
echo "<td><input type=\"text\" name=\"standort\" size=\"50\" maxlength=\"50\" ";
echo "tabindex=\"$ti\" value=\"{$ta['standort']}\"></td></tr>\n"; $ti++;

echo "<tr><th class=\"cl1\">Extra-Fahrzeit:</th>\n";
echo "<td><table cellpadding=\"0\" cellspacing=\"0\"><tr>";
echo "<td class=\"cl1\">vorher:</td>";
echo "<td class=\"cl1\"><input type=\"text\" size=\"5\" tabindex=\"$ti\" name=\"vorher\" value=\"{$ta['vorher']}\" /></td>";
echo "<td class=\"cl20\"><i>(hh:mm)</i></td>";  $ti++;
echo "<td class=\"cl1\">hinterher:</td>";
echo "<td class=\"cl1\"><input type=\"text\" size=\"5\" tabindex=\"$ti\" name=\"nachher\" value=\"{$ta['nachher']}\" /></td>";
echo "<td class=\"cl20\"><i>(hh:mm)</i></td>";  $ti++;
echo "</tr></table></td></tr>\n";

echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
echo "<tr><th class=\"cl1\">Farbe:</th>\n";
echo "<td><input type=\"text\" name=\"farbe\" size=\"20\" maxlength=\"20\" ";
echo "tabindex=\"$ti\" value=\"$ta[3]\""; $ti++;
if(!empty($ta[3])) {
	$rgb = transformColor($ta[3]);
	$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
	echo "style=\"background-color:$ta[3];color:$co;\" ";
}
echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\"";	
echo ">&nbsp;&nbsp;<span style=\"font-weight:bold\">";
echo "HTML- bzw. CSS-Farbcode!</span></td></tr>\n";

$name = $pers_order==2 ? "name, ', ', vorname" : "vorname, ' ', name";
$order = $pers_order==2 ? "order by name asc, vorname asc" : "order by vorname asc, name asc";

echo "<tr><th class=\"cl1\">Lesegruppe:</th>\n";
echo "<td><input type=\"checkbox\" name=\"lesegruppe\" value=\"1\" ";
echo "tabindex=\"$ti\""; $ti++;
if ($ta[4] == 1) echo ' checked';
echo "></td></tr>\n";

echo "<tr><th class=\"cl1\">Name Lesegruppe:</th>\n";
echo "<td><input type=\"text\" name=\"lesegruppe_name\" size=\"30\" ";
echo "maxlength=\"30\" tabindex=\"$ti\" value=\"$ta[6]\"></td></tr>\n"; $ti++;

echo "<tr><th class=\"cl1\">extern:</th>\n";
echo "<td><input type=\"checkbox\" name=\"extern\" value=\"1\" tabindex=\"$ti\"";
echo "onclick=\"if(this.checked) { document.getElementById('ie').value='e'; }";
echo "else { document.getElementById('ie').value='i'; }\"";
$ti++;
if ($ta[5] == 1) echo ' checked';
echo "></td></tr>\n";

if ($darf_aendern) {
	echo "<tr><th class=\"cl1\">pot. TN automatisch:</th>\n";
	echo "<td><input type=\"checkbox\" name=\"montags_sitzung\" value=\"1\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if ($ta[7] == 1) echo ' checked';
	echo "> pot. Teilnehmer bei Sitzungen als Teilnehmer voreintragen</td></tr>\n";

	$ew_dat = is_null($ta['ewald_ab_datum']) ? date('Y-m-d') : $ta['ewald_ab_datum'];
	if($ulv >= 97) {
		$tt = stwToolTip("Teilnehmer werden vom elektronischen Verwaltungsleiter<br />zum setzen ihrer elektronischen Signatur aufgefordert");
		echo "<tr><th class=\"cl1\" $tt>elektron. Signatur:</th>\n";
		echo "<td><input type=\"checkbox\" name=\"ewald\" value=\"j\" ";
		echo "tabindex=\"$ti\""; $ti++;
		if ($ta['ewald'] == 'j') echo ' checked';
		echo ">";
		if($ta['ewald'] == 'j') {
			echo " f&uuml;r Sitzungen ab dem " . date_my2gr($ew_dat);
		}
		echo "</td></tr>\n";
	} else {
		echo "<input type=\"hidden\" name=\"ewald\" value=\"";
		echo ($rvar_team_art_id>0 && $ta['ewald'] == 'j') ? "j\" />\n" : "n\" />\n";
	}
	echo "<input type=\"hidden\" name=\"ewald_ab_datum\" value=\"$ew_dat\" />\n";

	echo "<tr><th class=\"cl1\">aktiv:</th>\n";
	echo "<td><input type=\"checkbox\" name=\"aktiv\" value=\"1\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if ($ta[8] == 1) echo ' checked';
	if (empty($rvar_team_art_id)) echo ' checked';
	echo "></td></tr>\n";

	echo "<tr><th class=\"cl1\">PR-Kontaktgruppe:</th>\n";
	echo "<td><select name=\"grp_id\" size=\"1\" tabindex=\"$ti\">\n";
	$ti++;
	echo "<option value=\"0\">keine</option>\n";
	$res = abfrage1("select grp_id, name from tb_kontakte_grp order by name asc;");
	while ($row = mysql_fetch_row($res)) {
		echo "<option value=\"$row[0]\"";
		if ($ta['grp_id'] == $row[0]) echo ' selected';
		echo ">$row[1]</option>\n";
	}
	$link = ($ta['grp_id'] > 0) ? '<a href="kont_grp_mit.php?grp_id='.$ta['grp_id'].'">Link</a>' : 'Link';
	echo "</select> ($link wird in Sitzungen angeboten)</td></tr>\n";

	/* der Fachberatungsbereich - nur ab Level 97 */
	if ($_SESSION[$AppCode]["ULV"] > 96 || check_al_team($rvar_team_art_id)){
	  echo "<tr><th>Fachberatung:</th><td colspan=\"3\">";
	  echo "<select name=\"fb_id\" size=\"1\" tabindex=\"$ti\">"; $ti++;
	  echo "<option>FachberaterIn w&auml;hlen!</option>";

	  $where = "WHERE status_id = '2' AND betreuer = 'j'";
	  $sql  = "SELECT pers_id FROM tb_personal $where $order";
	  $res  = abfrage1($sql);

	  $maxl = abfrage("SELECT MAX( LENGTH( concat( name, vorname ) ) ) FROM tb_personal $where");
	  $later = array();

	  /* alle aktiven Fachbetreuer ausgeben */
	  while ($zeile = mysql_fetch_row($res)){
		$sum = abfrage("SELECT count(p.proj_id)
						FROM tb_projekte p 
						left join tb_personal pers on p.fb_id = pers.pers_id
						WHERE p.fb_id > 0 AND (p.ende IS NULL OR p.ende = '0000-00-00' OR 
						TO_DAYS(p.ende) >= TO_DAYS(CURDATE())) AND 
						p.projektnr < 900 AND p.fb_id = '$zeile[0]'
						group by p.fb_id");
		if(empty($sum[0])) {
			$later[] = $zeile[0];
			continue;
		}
		echo "<option value=\"$zeile[0]\"";
		if (isset($rvar_team_art_id) && $zeile[0] == $ta['fb_id']) echo ' selected';
		$pers_name = $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
		echo ">$pers_name";
		if($sum[0]) {
			for($i = strlen($pers_name); $i<=$maxl[0] + 3; $i++) echo "&nbsp;";
			echo "($sum[0])";
		}
		echo "</option>\n";
	  }
	  if(sizeof($later) > 0) {
		echo "<option value=\"0\">";
		for($i = 0; $i<=$maxl[0] + 6; $i++) echo "-";
		echo "</option>";
		foreach($later as $zeile[0]) {
			echo "<option value=\"$zeile[0]\"";
			if (isset($rvar_team_art_id) && $zeile[0] == $ta['fb_id']) echo ' selected';
			$pers_name = $pers_order == 2 ? pers_name2($zeile[0]) : pers_name($zeile[0]);
			echo ">$pers_name</option>\n";
		}
	  }

	  /* pruefen ob vielleicht ein inaktiver Fachbetreuer zustaendig ist */
	  if (isset($rvar_team_art_id) && $ta['fb_id'] != 0) {
		$sql  = "SELECT status_id FROM tb_personal WHERE pers_id = '";
		$sql .= $ta['fb_id']."'";

		$erg  = abfrage($sql);
		if ($erg[0] != "2"){
			/* ist nicht mehr aktiv aber Namen trotzdem anzeigen */
			echo "<option value=\"{$ta['fb_id']}\" selected ";
			echo "style=\"background-color:#666666\">";
			echo pers_name($ta['fb_id']) . "</option>\n";
		}
	  }
		echo "</select></td></tr>\n";
	} elseif (!empty($rvar_team_art_id)){
		echo "<tr><th>Fachberatung:</th>\n";
		echo "<td colspan=\"4\">" . pers_name($ta['fb_id']) . "</td></tr>\n";
		echo "<input type=\"hidden\" name=\"fb_id\" value=\"{$ta['fb_id']}\" />\n";
	}


	echo "<tr><th class=\"cl1\">Notizen:</th>\n";
	echo "<td><textarea rows=\"2\" style=\"width:100%\" tabindex=\"$ti\" "; $ti++;
	echo "name=\"notizen\">" . $ta['notizen'] . "</textarea></td></tr>\n";

	new stwTabLine(2,30);
	echo "<tr><td><input type=\"submit\" name=\"save\" value=\"Speichern\" tabindex=\"$ti\"></td>\n";
	if($last[0]) {
		$hists = abfrage1("select pers_id, date_format(zeit, '%d.%m.%Y %H:%i') from tb_team_art_verlauf where team_art_id='$rvar_team_art_id' order by verlauf_id desc limit 10");
		$tt = "";
		while($hist = mysql_fetch_row($hists)) {
			$tt .= "$hist[1] Uhr: ".pers_kname($hist[0])."<br>";
		}
		if($tt != '') $tt = stwToolTip($tt);
		echo "<td style=\"text-align:right\"><small $tt>Letzte &Auml;nderung: ".pers_kname($last[0])." am $last[1] Uhr</td>";
	}
	echo "</tr>\n";
}

echo "</table></td>\n";

echo "<td width=\"330\">";
echo "<table width=\"100%\">\n";
echo "<tr style=\"background-color:black\">";
echo "<td><a".stwToolTip('Neue Nachricht an alle Betreuer')."href=\"nachr_and.php";
$und = '?';
foreach($fk as $pers => $typ) {
	echo $und . "empf[]=$pers";
	$und = '&';
}
echo "\"><img src=\"".image('brief')."\" /></a></td>";
echo "<th colspan=\"3\" style=\"text-align:center;\">";
echo "<a href=\"pro_betr.php?team_art_id=$rvar_team_art_id\"";
echo stwToolTip('neuen Betreuer anlegen') . ">Betreuer</a>\n";
echo "</th></tr>\n";
foreach($fk as $pers => $typ) {
	$pt = abfrage("select personaltyp from tb_personaltyp where personaltyp_id='$typ'");
	echo "<tr>";
	echo "<td><a href=\"nachr_and.php?empf=$pers\"><img ";
	echo stwToolTip("Neue Nachricht an ".pers_kname($pers));
	echo "src=\"".image('brief')."\" /></a></td>\n<th class=\"cl1\">";
	echo "<a href=\"pro_betr.php?pers_id=$pers&amp;team_art_id=$rvar_team_art_id\">";
	echo pers_name($pers);
	echo "</a></th><td>$pt[0]</td><td style=\"text-align:right\">";
	if ($ulv >= 96 || $darf_aendern){
		echo "<a href=\"{$_SERVER['PHP_SELF']}?";
		echo "team_art_id=$rvar_team_art_id&pers_id=$pers&do=betrdel\" ";
		echo "style=\"color:red\" title=\"VORSICHT! L&ouml;schen\">X</a>";
	}
	echo "</td></tr>\n";
}
echo "</td></tr>\n";
new stwTabLine(2,3);
echo "</table>\n";
echo "<table width=\"100%\">\n";
echo "<tr style=\"background-color:black\">";
echo "<td width=\"50%\"><table><tr>";
echo "<td><a id=\"potTN\" ".stwToolTip('Neue Nachricht an alle potentiellen Teilnehmer')." href=\"nachr_and.php\">";
echo "<img src=\"".image('brief')."\" /></a></td>";
$potTNs = array();
echo "<th style=\"text-align:center;\">potentielle Teilnehmer</th>\n";
echo "</tr></table></td>\n<td><table><tr>";
echo "<td><a id=\"nurProt\"".stwToolTip('Neue Nachricht an alle, die nur das Protokoll erhalten')."href=\"nachr_and.php\">";
echo "<img src=\"".image('brief')."\" /></a></td>";
$nurProt = array();
echo "<th style=\"text-align:center;\">nur Protokoll</th></tr></table></td></tr>\n";

$sql = array();
$sql[1] = "select t.pers_id, concat($name) from tb_team_art_pers t 
			left join tb_personal p using (pers_id) 
			where t.team_art_id = '$rvar_team_art_id'
			and t.nur_protokoll=";

$sql[2] = "select t.abt_id, a.name from tb_team_art_abt t
			left join tb_personal_abt a using (abt_id)
			where t.team_art_id = '$rvar_team_art_id'
			and t.nur_protokoll=";

if($rvar_team_art_id > 0) {
	$id = array(1 => 'pers_id', 2 => 'abt_id');
	echo "<tr><td width=\"50%\"><table width=\"100%\">\n";
	$bLine = false;
	$inAbt = '';
	$res = abfrage1($sql[2]."'n'");
	while ($row = mysql_fetch_row($res)) {
		if(strlen($inAbt) > 0) $inAbt.=',';
		$inAbt.=$row[0];
	}
	for($i=1;$i<=2;$i++) {
		$res = abfrage1($sql[$i]."'n' " . ($i==1 ? $order : 'order by name asc'));
		if($bLine && mysql_num_rows($res) > 0) new stwTabLine(2,2);
		while ($row = mysql_fetch_row($res)) {
			$bLine = true;
			echo "<tr>";
			if($i==1) {
				$tt = pers_toolTip($row[0]);
				$potTNs[] = $row[0];
				echo "<td><a href=\"nachr_and.php?empf=$row[0]\"><img ";
				echo stwToolTip("Neue Nachricht an ".pers_kname($row[0]));
				echo "src=\"".image('brief')."\" /></a></td>\n";
				echo "<th class=\"cl20\"";
			}
			$ina = 0;
			if($i==1 && strlen($inAbt)>0) {
				$abts=abfrage1("select a.name from tbh_pers_abt p
								left join tb_personal_abt a using(abt_id)
								where p.pers_id='$row[0]' and p.abt_id in ($inAbt)");
				if(mysql_num_rows($abts)>0) {
					$ina = 1;
					$en = mysql_num_rows($abts) == 1 ? '' : 'en';
					$tt = '<center><b>Mitarbeiter ist auch Mitglied<br>bereits zugeordneter Abteilung'.$en.'</b></center>';
					while($abt = mysql_fetch_row($abts)) {
						$tt .= "- $abt[0]<br>";
					}
					$tt = pers_toolTip($row[0],'',$tt);
					echo "style=\"color:#999999\"";
				}
			}
			if($i == 2) {
				$query  = "SELECT CONCAT(";
				$query .= ($pers_order == 2) ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
				$query .= "), p.pers_id FROM tbh_pers_abt a LEFT JOIN tb_personal p USING(pers_id)";
				$query .= "WHERE a.abt_id = '$row[0]' and p.status_id = 2 GROUP BY p.pers_id ORDER BY ";
				$query .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
				$mas = abfrage1($query);
				$tt = '';
				echo "<td><a".stwToolTip("Neue Nachricht an alle Mitgleider der Abteilung $row[1]")."href=\"nachr_and.php";
				$und = '?';
				while($ma = mysql_fetch_row($mas)) {
					$tt .= "- $ma[0]<br>";
					$potTNs[] = $ma[1];
					echo $und . "empf[]=$ma[1]";
					$und = '&';
				}
				echo "\"><img src=\"".image('brief')."\" /></a></td>\n";
				echo "<th class=\"cl20\"><a href=\"abteilung.php?abt=$row[0]\"";
				$tt = stwToolTip($tt);
			}
			echo "$tt>$row[1]";
			if($i == 2) echo "</a>";
			echo "</th><td>";
			if ($ulv >= 96 || $darf_aendern || $fk[$uid] > 0){
				echo "<a href=\"{$_SERVER['PHP_SELF']}?";
				echo "team_art_id=$rvar_team_art_id&".$id[$i]."=$row[0]&do=del&inabt=$ina\" ";
				echo "style=\"color:red\" title=\"VORSICHT! L&ouml;schen\">X</a>";
			}
			echo "</td></tr>\n";
		}
	}
	echo "</table>\n";
	if(sizeof($potTNs) > 0) {
		$empf = implode("&empf[]=", $potTNs);
		echo "<script type=\"text/javascript\"><!--\n";
		echo "document.getElementById('potTN').href='nachr_and.php?empf[]=$empf';\n";
		echo "--></script>\n";
	}
	echo "</td>\n";

	echo "<td><table width=\"100%\">\n";
	$bLine = false;
	$inAbt = '';
	$res = abfrage1($sql[2]."'j'");
	while ($row = mysql_fetch_row($res)) {
		if(strlen($inAbt) > 0) $inAbt.=',';
		$inAbt.=$row[0];
	}
	for($i=1;$i<=2;$i++) {
		$res = abfrage1($sql[$i]."'j' " . ($i==1 ? $order : 'order by name asc'));
		if($bLine && mysql_num_rows($res) > 0) new stwTabLine(2,2);
		while ($row = mysql_fetch_row($res)) {
			$bLine = true;
			echo "<tr>";
			if($i==1) {
				$tt = pers_toolTip($row[0]);
				$nurProt[] = $row[0];
				echo "<td><a href=\"nachr_and.php?empf=$row[0]\"><img ";
				echo stwToolTip("Neue Nachricht an ".pers_kname($row[0]));
				echo "src=\"".image('brief')."\" /></a></td>\n";
				echo "<th class=\"cl20\"";
			}
			if($i==1 && strlen($inAbt)>0) {
				$abts=abfrage1("select a.name from tbh_pers_abt p
								left join tb_personal_abt a using(abt_id)
								where p.pers_id='$row[0]' and p.abt_id in ($inAbt)");
				if(mysql_num_rows($abts)>0) {
					$en = mysql_num_rows($abts) == 1 ? '' : 'en';
					$tt = '<center><b>Mitarbeiter ist auch Mitglied<br>bereits zugeordneter Abteilung'.$en.'</b></center>';
					while($abt = mysql_fetch_row($abts)) {
						$tt .= "- $abt[0]<br>";
					}
					$tt = pers_toolTip($row[0],'',$tt);
					echo "style=\"color:#999999\"";
				}
			}
			if($i == 2) {
				$query  = "SELECT CONCAT(";
				$query .= ($pers_order == 2) ? "p.name,', ',p.vorname" : "p.vorname,' ',p.name";
				$query .= "), p.pers_id FROM tbh_pers_abt a LEFT JOIN tb_personal p USING(pers_id)";
				$query .= "WHERE a.abt_id = '$row[0]' ORDER BY ";
				$query .= ($pers_order == 2) ? "p.name ASC, p.vorname ASC" : "p.vorname ASC, p.name ASC";
				$mas = abfrage1($query);
				$tt = '';
				echo "<td><a".stwToolTip("Neue Nachricht an alle Mitgleider der Abteilung $row[1]")."href=\"nachr_and.php";
				$und = '?';
				while($ma = mysql_fetch_row($mas)) {
					$tt .= "- $ma[0]<br>";
					$nurProt[] = $ma[1];
					echo $und . "empf[]=$ma[1]";
					$und = '&';
				}
				echo "\"><img src=\"".image('brief')."\" /></a></td>\n<th class=\"cl20\"";
				$tt = stwToolTip($tt);
			}
			echo "$tt>$row[1]</th><td>";
			if ($ulv >= 96 || $darf_aendern || $fk[$uid] > 0){
				echo "<a href=\"{$_SERVER['PHP_SELF']}?";
				echo "team_art_id=$rvar_team_art_id&".$id[$i]."=$row[0]&do=del\" ";
				echo "style=\"color:red\" title=\"VORSICHT! L&ouml;schen\">X</a>";
			}
			echo "</td></tr>\n";
		}
	}
	echo "</table>";
	if(sizeof($nurProt) > 0) {
		$empf = implode("&empf[]=", $nurProt);
		echo "<script type=\"text/javascript\"><!--\n";
		echo "document.getElementById('nurProt').href='nachr_and.php?empf[]=$empf';\n";
		echo "--></script>\n";
	}	
	echo "</td></tr>\n";
}
new stwTabLine(2,2);

if ($ulv >= 96 || $darf_aendern || $fk[$uid] > 0) {
  echo "<tr><td>\n";
  echo "<select name=\"pot_tn\" size=\"1\" tabindex=\"90\" ";
  echo "onchange=\"this.form.submit()\" style=\"width:160px\">\n";
  echo "<option value=\"0\">pot. TN. hinzuf&uuml;gen</option>\n";

  $erg = abfrage1("select p.pers_id from tb_personal p
		where p.status_id = 2 and p.anmeldung = 'j' $order");
  while ($zeile = mysql_fetch_row($erg)) {
	if (!in_array($zeile[0], $ptn)){
		echo "  <option value=\"$zeile[0]\">";
		echo ($pers_order==2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
	  }
  }

  echo "<option value=\"0\">------- Abteilungen -------</option>\n";

  $erg = abfrage1("select abt_id, name from tb_personal_abt order by name asc");
  while ($zeile = mysql_fetch_row($erg)) {
	if (!in_array('a'.$zeile[0], $ptn)) {
		echo "  <option value=\"a$zeile[0]\">$zeile[1]</option>\n";
	}
  }

  echo "</select></td>\n";

  echo "<td>\n";
  echo "<select name=\"nur_protokoll\" size=\"1\" tabindex=\"91\" ";
  echo "onchange=\"this.form.submit()\" style=\"width:160px\">\n";
  echo "<option value=\"0\">Empf&auml;nger hinzuf&uuml;gen</option>\n";

  $erg = abfrage1("select p.pers_id from tb_personal p
		where p.status_id = 2 and p.anmeldung = 'j' $order");
  while ($zeile = mysql_fetch_row($erg)) {
	if (!in_array($zeile[0], $pempf)){
		echo "  <option value=\"$zeile[0]\">";
		echo ($pers_order==2 ? pers_name2($zeile[0]) : pers_name($zeile[0])) . "</option>\n";
	  }
  }

  echo "<option value=\"0\">------- Abteilungen -------</option>\n";

  $erg = abfrage1("select abt_id, name from tb_personal_abt order by name asc");
  while ($zeile = mysql_fetch_row($erg)) {
	if (!in_array('a'.$zeile[0], $pempf)) {
		echo "  <option value=\"a$zeile[0]\">$zeile[1]</option>\n";
	}
  }
  echo "</select></td></tr>\n";
}
echo "</table>\n";

if($rvar_team_art_id > 0) {
	$mails = array();
	$hps = abfrage1("select hp_id, date_format(datum, '%d.%m.%Y'), hp_art, datum from tb_hp where (hp_art='x' or hp_art='y') and chg_id='$rvar_team_art_id' or
					hp_id in (select id from tbh_postzuordnung where posttyp='h' and id2='$rvar_team_art_id' and typ='t')");
	while($hp = mysql_fetch_row($hps)) {
		if($hp[2]=='x') {
			$sql = "SELECT t2.kurzname, t1.post_in_id, t1.betreff, t1.notizen, k.name2, k.name
					FROM tb_post_eingang t1 
					LEFT JOIN tb_kontakte k ON k.kont_id = t1.kont_id AND k.kh_id='0' 
					INNER JOIN tb_post_art t2 ON t1.postart_id = t2.post_art_id 
					WHERE t1.hp_id = '$hp[0]';";
			$posteing = abfrage($sql);
			$id = substr("00".$posteing[1],-3);
			$daten_dlg = new stwDaten("5");
			$klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"], $uid, $ulv, $posteing[1], "0");
			$mails["$hp[3]-$hp[2]-$hp[0]"] = "<tr><td style=\"text-align:right\" class=\"cl1\"".stwToolTip("<b>Posteingang:</b><br>$posteing[3]").">
											<a style=\"color:rgb(51,153,51)\" href=\"post_in.php?post_id=$posteing[1]\">
											<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $posteing[0]</a></td>
											<td class=\"cl1\">$hp[1]</td>
											<td class=\"cl1\"".stwToolTip("$posteing[5] $posteing[4]").">".strCut(empty($posteing[4])?$posteing[5]:$posteing[4],15)."</td>
											<td".stwToolTip("<b>Posteingang:</b> $posteing[2]<br>$posteing[3]").">".strCut($posteing[2],30)."</td><td>$klammer</td></tr>";
		}
		if($hp[2]=='y') {
			$sql	= "SELECT a.postart_id, a.post_out_id, a.brief_id, "
					. "a.betreff, a.notizen, k.name2, k.name FROM tb_post_ausgang a "
					. "left join tb_kontakte k on k.kont_id = a.kont_id and k.kh_id='0' "
					. "WHERE hp_id = '$hp[0]';";
			$erg	= abfrage($sql);

			if ($erg[0] != 0) {
				$sql  = "SELECT kurzname FROM tb_post_art WHERE post_art_id = '$erg[0]';";
				$erg2 = abfrage($sql);
				$title = "Postausgang:<br>$erg[5]<br><b>$erg[3]</b><br>$erg[4]";
			} else {
				$erg2[] = "??";
				$title  = "Postausgang ohne Postart";
			}
			$id = substr("00".$erg[1],-3);
			$abk = "<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $erg2[0]";
			if (is_null($erg[2])) {
				$link = "post_out.php?post_id=".$erg[1];
			} else {
				$link = "brief.php?id=".$erg[1];
			}
			$farbe = "#FF0000";
			/* Dateisymbol einblenden */
			$daten_dlg = new stwDaten("13");
			$klammer = $daten_dlg->get_klammer_link($_SESSION["webdir"], $uid, $ulv, $erg[1], "0");

			$mails["$hp[3]-$hp[2]-$hp[0]"] = "<tr><td style=\"text-align:right\" class=\"cl1\"".stwToolTip("<b>Postausgang:</b><br>$erg[4]").">
											<a style=\"color:#FF0000\" href=\"$link\">
											<span style=\"color:lightgrey;font-weight:normal;font-style:normal;\">$id</span> $erg2[0]</a></td>
											<td class=\"cl1\">$hp[1]</td>
											<td class=\"cl1\"".stwToolTip("$erg[6] $erg[5]").">".strCut(empty($erg[5])?$erg[6]:$erg[5],15)."</td>
											<td".stwToolTip("<b>Postausgang:</b><br>$erg[4]").">".strCut($erg[3],30)."</td><td>$klammer</td></tr>";
		}
	}
	$sql = "select date_format(sent, '%d.%m.%Y') as datum, n.* 
			from tb_nachr n where team_art_id='$rvar_team_art_id' or nachr_id in (
			select id from tbh_postzuordnung where posttyp='n' and id2='$rvar_team_art_id' and typ='t')";
	$nachrs = abfrage1($sql);
	while($nachr = mysql_fetch_array($nachrs)) {
		$txt = strip_tags($nachr['text']);
		$tels = abfrage1("select * from tb_nachr_gespraechsnotiz where nachr_id='{$nachr['nachr_id']}'");
		if(mysql_num_rows($tels) > 0) {
			$tel = mysql_fetch_array($tels);
			$text = "<b>Gespr&auml;chsnotiz:</b> Anruf von <b>".$tel['anrufer']."</b> ";
			if(strlen($tel['anr_firma']) > 0) $text .= "Firma: <b>".$tel['anr_firma']."</b> ";
			if(strlen($tel['anr_tel']) > 0) $text .= "Tel.: <b>".$tel['anr_tel']."</b> ";
			$text .= "<br />";
			if($tel['hat_angerufen'] == 'j') $text .= "(hat angerufen) ";
			if($tel['hat_zurueckgerufen'] == 'j') $text .= "(hat zur&uuml;ckgerufen) ";
			if($tel['ruft_wieder_an'] == 'j') $text .= "(ruft wieder an) ";
			if($tel['rr_erbeten'] == 'j') $text .= "(erbittet R&uuml;ckruf) ";
			if($tel['treffen'] == 'j') $text .= "(m&ouml;chte Sie treffen) ";
			if($tel['war_da'] == 'j') $text .= "(war da) ";
			if($tel['sms'] == 'j') $text .= "<br /><b>Mitarbeiter wurde(n) per SMS informiert</b>";
			$txt = "$text<br /><b>".$nachr['betreff']."</b><br />$txt";
		}
		$daten = new stwDaten("12");
		$klammer = $daten->get_klammer_link($_SESSION['webdir'], $uid, $ulv, $nachr['nachr_id'], '0');
		$mails[$nachr['sent'].'-n-'.$nachr['nachr_id'] ] = "<tr><td style=\"text-align:right\" class=\"cl1\">
															<a href=\"nachr_and.php?nachr_id=".$nachr['nachr_id']."\""
															. stwToolTip($txt) .
															"><img src=\"img/brief.png\" /></a></td>
															<td class=\"cl1\">".$nachr['datum']."</td>
															<td class=\"cl1\">".pers_kname($nachr['von'])."</td>
															<td".stwToolTip($txt).">".strCut($nachr['betreff'],30)."</td><td>$klammer</td></tr>";
	}
	if(sizeof($mails) > 0) {
		krsort($mails);
		echo "<table width=\"100%\">";
		new stwTabLine(1,30);
		echo "<tr><th colspan=\"30\" style=\"background-color:black;text-align:center\">Historie</th></tr>\n";
		foreach($mails as $mail) {
			echo "$mail\n";
		}
		echo "</table>";
	}
}
echo "</td></tr></table>\n";

new stwLine(1);

if ($rvar_team_art_id>0) {
	if(isset($_GET['tag'])) {
		if($_GET['anz'] == 'j' || strlen($_GET['tag']) == 4) {
			$von = "'" . substr($_GET['tag'],0,4)."-01-01'";
			$bis = "'" . substr($_GET['tag'],0,4)."-12-31'";
		} elseif($_GET['anz'] == 'm') {
			$ts = date_my2ts($_GET['tag']);
			$von = "'" . $_GET['tag'] . "'";
			$bis = "'" . date('Y-m-t', $ts) . "'";
		} else {
			$von = "DATE_SUB('".$_GET['tag']."', INTERVAL 14 DAY)";
			$bis = "DATE_ADD('".$_GET['tag']."', INTERVAL 14 DAY)";
		}
	} else {
		$von = "DATE_SUB(CURDATE(), INTERVAL 14 DAY)";
		$bis = "DATE_ADD(CURDATE(), INTERVAL 14 DAY)";
	}
	$sql  = "select t1.aufgabe_id, t2.prioritaet, ";
	$sql .= "date_format(t1.termin,'%d.%m.%Y') as termin, t3.pers_id, t1.autor, ";
	$sql .= "t1.titel, t1.erledigt, t2.prio, ";
	$sql .= "date_format(t1.erl_datum,'%d.%m.%Y') as erl_datum, ";
	$sql .= "to_days(t1.termin) as to_termin, to_days(curdate()) as to_heute, ";
	$sql .= "date_format(t1.eingabe,'%d.%m.%Y') as eingabe, ";
	$sql .= "abt.name as abteilung, t1.nr ";
	$sql .= "from tbh_sitzung_aufgaben hsa ";
	$sql .= "left join tb_aufgaben t1 on t1.aufgabe_id = hsa.aufgabe_id ";
	$sql .= "left join tb_prio t2 on t1.prio = t2.prio ";
	$sql .= "left join tbh_pers_auf t3 on t1.aufgabe_id = t3.aufgabe_id and t3.zust = 'j' ";
	$sql .= "left join tb_personal_abt abt on t1.abt_id = abt.abt_id ";
	$sql .= "where hsa.team_art_id = '$rvar_team_art_id' ";
	if($_GET['tag'] != '0000-00-00') {
		$sql .= "and (t1.erledigt < 100 or (t1.erl_datum >= $von and t1.eingabe <= $bis ))";
	}
	$sql .= "order by t1.erledigt=100 desc, t1.prio asc, t1.termin asc, t1.erledigt asc";
	$res = abfrage1($sql);
	if(mysql_num_rows($res) > 0) {
	  echo "<table><tr><td><table>\n";
	  echo "<tr>\n";
	  echo "<th class=\"cl1\">Priorit&auml;t</th>\n";
	  echo "<th class=\"cl1\">f&auml;llig</th>\n";
	  echo "<th class=\"cl1\">erstellt</th>\n";
	  echo "<th class=\"cl1\">zust&auml;ndig</th>\n";
	  echo "<th class=\"cl1\">Autor</th>\n";
	  echo "<th class=\"cl1\">Abteilung</th>\n";
	  echo "<th class=\"cl1\">Nr.</th>\n";
	  echo "<th class=\"cl1\">Titel</th>\n";
	  echo "<th>erledigt</th>\n";
	  echo "</tr>\n";
	  new stwTabLine(2,30);
	  while ($zeile = mysql_fetch_assoc($res)) {
		echo "<tr>";
		echo "<td";
		switch ($zeile['prioritaet']) {
			case 'niedrig':
				echo " style=\"color:lightgrey\"";
				break;
			case 'normal':
				echo " style=\"color:yellow\"";
				break;
			case 'hoch':
				echo " style=\"color:red\"";
				break;
		}
		echo ">{$zeile['prioritaet']}</td>";

		if ($zeile['erledigt'] == 100){
			$style = "style=\"color:#CCCCCC\"";
			$text = "title=\"Aufgabe erledigt\"";
		} elseif ($zeile['to_termin'] < $zeile['to_heute']){
			$style = "style=\"color:#FF0000\"";
			$text = "title=\"Aufgabe berfllig\"";
		} elseif ($zeile['erledigt'] > 0 && $zeile['erledigt'] < 100){
			$style = "style=\"color:#00FF00\"";
			$text = "title=\"Aufgabe begonnen\"";
		} else {
			$style = " ";
			$text = " ";
		}

		echo "<td class=\"cl1\">";
		echo "<a href=\"auf_and.php?aufgabe_id={$zeile['aufgabe_id']}\" $style $text>";
		echo $zeile['termin'] . "</a></td>\n";
		echo "<td class=\"cl1\">{$zeile['eingabe']}</td>\n";

		$zust = ($zeile['pers_id'] == 99999) ? 'C-Zeitenliste' : pers_kname($zeile['pers_id']);
		$aut  = pers_kname($zeile['autor']);
		$czust = pers_farbe($zeile['pers_id']);
		$caut = pers_farbe($zeile['pers_id']);
		echo "<td style=\"color:$czust;padding-right:5px\">$zust</td>\n";
		echo "<td style=\"color:$caut;padding-right:5px\">$aut</td>\n";
		echo "<td class=\"cl1\">{$zeile['abteilung']}</td>\n";
		echo "<td class=\"cl1\">{$zeile['nr']}</td>\n";
		echo "<td class=\"cl1\"";

		if (strlen($zeile['titel']) > 25) echo stwToolTip($zeile['titel']);
		echo '>' . strCut($zeile['titel'], 25) . "</td>\n";

		echo "<td style=\"padding-right:5px;text-align:right\">";
		echo proz_form($zeile['erledigt'], 0) . "</td>\n";
		if ($_GET["all"] == 1 && $zeile['erledigt'] == 100){
			echo "<td style=\"padding-right:5px;text-align:right\">{$zeile['erl_datum']}</td>\n";
		}
		if ($ulv >= 96 || $uid == $zeile['autor']){
			echo "<td class=\"cl1\"><a href=\"auf_del_sql.php?aufgabe_id={$zeile['aufgabe_id']}";
			echo "&all={$_GET['all']}&sort=$sort&ma=$ma\" ";
			echo "style=\"color:red\" title=\"VORSICHT! L&ouml;schen\">X</a></td>\n";
		}
		echo "</tr>\n";
	  }
	  echo "</table></td></tr></table>\n";
	  new stwLine(1);
	}
}
echo "</form>\n";

if($rvar_team_art_id > 0) {
	$sql  = "select t1.team_id, unix_timestamp(t3.von), count(t2.pers_id), ";
	$sql .= "essen, andacht, weiter, t1.thema, to_days(t3.von), ";
	$sql .= "to_days(curdate()), t1.termin_id, t4.kurzname, t4.name, t4.farbe, ";
	$sql .= "week(t3.von, 1), t1.strategie, date_format(t3.von, '%H:%i'), ";
	$sql .= "t4.montags_sitzung, t1.team_art_id, t1.bes, t1.inhalte ";
	$sql .= "from tb_team t1 ";
	$sql .= "left join tbh_team_pers t2 on t1.team_id = t2.team_id ";
	$sql .= "left join tb_termine t3 on t1.termin_id = t3.termin_id ";
	$sql .= "left join tb_team_art t4 on t1.team_art_id = t4.team_art_id ";
	$sql .= "left join tb_team_art_pers t5 on t1.team_art_id = t5.team_art_id ";
	$sql .= "where t1.team_art_id = '$rvar_team_art_id' ";
	if($_GET['tag'] != '0000-00-00') {
		$sql .= "and t3.von >= $von and t3.von <= $bis ";
	}
	$sql .= "group by t1.team_id ";
	$sql .= "order by unix_timestamp(t3.von) asc;";

	$res = abfrage1($sql);

	$i = 1;
	if(mysql_num_rows($res) > 0) {
	  echo "<table><tr>\n";
	  echo "<th class=\"cl1\" colspan=\"3\">Datum</th>\n";
	  echo "<th class=\"cl1\">Beginn</th>\n";
	  echo "<th class=\"cl1\">Art</th>\n";
	  echo "<th class=\"cl1\"".stwToolTip('Teilnehmer').">TN</th>\n";
	  echo "<th class=\"cl1\">zust&auml;ndig</th>\n";
	  echo "<th class=\"cl1\">Thema</th>\n";
	  echo "<th class=\"cl1\"";
	  echo stwToolTip('strategische Bedeutung') . ">strt.</th>\n";
	  echo "<th class=\"cl1\"";
	  echo stwToolTip('potentielle Teilnehmer als Teilnehmer eingetragen') . ">pot.</th>\n";
	  echo "</tr>\n";
	  new stwTabLine(2,30);
	  while ($row = mysql_fetch_array($res)){

		$w2 = $row[13];
		if ($w2 != $w1 && $i != 1){
			new stwTabLine(3,30);
		}
		$w1 = $w2;

		echo '<tr class="mo">';

		/* Datum */
		if (!empty($row[12])){
			$style = "style=\"color:$row[12]\"";
		} else {
			$style = '';
		}

		echo "<td class=\"cl1\" $style>" . strftime('%a', $row[1]) . "</td>\n";
		echo "<td class=\"cl1\">";
		echo "<a href=\"team_and.php?team_id=$row[0]\" ";
		echo ($row[1] < mktime()) ? "style=\"color:#CCCCCC\">" : ">";
		echo strftime('%d.%m.%Y', $row[1]) . "</a></td>\n";

		$daten = new stwDaten("9");
		$link  = $daten->get_klammer_link($_SESSION["webdir"],
										  $_SESSION[$AppCode]["UID"],
										  $_SESSION[$AppCode]["ULV"],
										  $row[0], "0");
		echo "<td class=\"cl1\">$link</td>";

		/* Beginn */
		echo "<td class=\"cl1\">$row[15]</td>\n";

		/* Art */
		echo "<td class=\"cl1\" " . stwToolTip($row[11]) . $style . ">" . team_nummer($row['team_art_id']) . " $row[10]</td>";

		/* Telnehmerzahl */
		$tcount = abfrage("select count(pers_id) from tbh_team_pers
							where team_id = $row[0];");
		$count = ($tcount[0] > 0) ? $tcount[0] : '-';
		echo "<td class=\"cl1\" style=\"text-align: center\">$count</td>";

		echo "<td class=\"cl1\">" . pers_kname($row[5]) . "</td>";
		$th = strCut($row[6], 30);
		echo "<td class=\"cl1\">$th</td>";

		echo "<td class=\"cl1\" style=\"text-align: center\">";
		if ($row[14] == 1)echo "X";
		echo "</td>";

		/* Merkmal Montagssitzung */
		echo "<td class=\"cl1\" style=\"text-align: center\">";
		if ($row[16] == 1) echo "X";
		echo "</td>";

		/* Loeschen */
		if ($ulv >= 65){
		if(empty($row['bes']) && empty($row['inhalte'])) {
			echo "<td class=\"cl1\">";
			echo "<a href=\"kal_del_sql.php?ktyp=t&team_id=$row[0]&termin_id=$row[9]\" ";
			echo stwToolTip('VORSICHT! Sitzung l&ouml;schen');
			echo "style=\"color:red\">X</a></td>\n";
		} else {
			echo "<th style=\"color:#AAAAAA\" class=\"cl1\"";
			echo stwToolTip("<b>L&ouml;schen nicht m&ouml;glich</b><br>da Protokoll bereits erstellt");
			echo ">X</th>\n";
		}
		}

		/* Link zu Serientermin erstellen */
		echo "<td class=\"cl1\">";
		echo "<a href=\"kal_serie.php?&team_id=$row[0]&termin_id=$row[9]\" ";
		echo stwToolTip('Serientermin aus Sitzung erstellen');
		echo ">Serie</a></td>\n";

		/* Tagesordnung drucken */
		echo "<td class=\"cl1\"><a href=\"team_pr.php?team_id=$row[0]&ts=" . time() . "\" target=\"_pdf\">";
		echo "<img src=\"img/drucker.png\" border=\"0\" ";
		echo stwToolTip('Tagesordnung drucken') . "></a></td>\n";

		if ($row[1] < mktime()){
			echo "<td class=\"cl1\"><a href=\"team_to_pr.php?";
			echo "team_id=$row[0]&ts=" . time() . "\" target=\"_pdf\">";
			echo "<img src=\"img/drucker.png\" border=\"0\" ";
			echo stwToolTip('Sitzungsprotokoll drucken') . "></a></td>\n";
		}
		echo "</tr>\n";
		$i++;
	  }
	  echo "</table>\n";
	}
}
new stwEnd($seite,$rvar_team_art_id ? 1 : 0);
?>