<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: team_art_sql.php 2864 2018-05-30 10:15:03Z tfreudenberg $
 *
 */

session_start();
require("inc/func.inc.php");
extern();
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 

$doHist = empty($rvar_team_art_id);
if(isset($_POST['team_art_id'])) {
	if ($rvar_team_art_id > 0) {
		$vorher = abfrage("select * from tb_team_art where team_art_id = '$rvar_team_art_id';");
		$sql = 'update ';
	} else {
		$sql = 'insert into ';
	}

	$sql .= "tb_team_art set kurzname = '$rvar_kurzname', ";
	$sql .= "name = '$rvar_name', farbe = '$rvar_farbe', ";
	$sql .= "lesegruppe = '$rvar_lesegruppe', extern = '$rvar_extern', ";
	$sql .= "montags_sitzung = '$rvar_montags_sitzung', ";
	$sql .= "lesegruppe_name = '$rvar_lesegruppe_name', aktiv = '$rvar_aktiv', ";
	$sql .= "traeger_art_id = '$rvar_traeger_art_id', art = '$rvar_art', ";
	$sql .= "nummer = ".(empty($rvar_nummer) ? 'NULL' : "'$rvar_nummer'").", ";
	$sql .= "kuerzel = '$rvar_kuerzel', standort = '$rvar_standort', ";
	$sql .= "notizen='$rvar_notizen', grp_id='$rvar_grp_id', ";
	$sql .= "abt_id='$rvar_abt_id', fb_id='$rvar_fb_id', ";
	$sql .= "vorher='".check_time($rvar_vorher)."', ";
	$sql .= "nachher='".check_time($rvar_nachher)."'";

	if($rvar_ewald == 'j') {
		$sql .= ", ewald = 'j', ewald_ab_datum = '$rvar_ewald_ab_datum'";
	} else {
		$sql .= ", ewald = 'n', ewald_ab_datum = NULL";
	}

	if ($rvar_team_art_id > 0) {
		$sql .= " where team_art_id = $rvar_team_art_id;";
	} else {
		$sql .= ';';
	}

	abfrage2($sql);
	$sql = '';

	$id = ($rvar_team_art_id > 0) ? $rvar_team_art_id : mysql_insert_id();
	if ($rvar_team_art_id > 0) {
		$nachher = abfrage("select * from tb_team_art where team_art_id = '$rvar_team_art_id';");
		if(array_diff($vorher,$nachher)) $doHist=true;
	}

	abfrage2("DELETE FROM tbh_team_art_abt WHERE team_art_id='$id';");
	$abt_ids = explode ( ' ', $rvar_abt_ids );
	foreach($abt_ids as $abt_id) {
		if($abt_id>0) {
			abfrage2("INSERT INTO tbh_team_art_abt SET team_art_id='$id', abt_id='$abt_id';");
			if(empty($rvar_abt_id)) {
				$rvar_abt_id = $abt_id;
				abfrage2("update tb_team_art set abt_id='$abt_id' where team_art_id='$id'");
			}
		}
	}

	if(!empty($rvar_pot_tn)) {
		$doHist = true;
		if($rvar_pot_tn[0] == 'a') {
			$abt = abfrage_array("select * from tb_team_art_abt where team_art_id = '$id' and abt_id = '".substr($rvar_pot_tn,1)."';");
			if($abt[0]) abfrage2("update tb_team_art_abt set nur_protokoll='n' where team_art_id = '$id' and abt_id = '".substr($rvar_pot_tn,1)."';");
			else {
				$sql = "insert into tb_team_art_abt set abt_id = '".substr($rvar_pot_tn,1)."', 
						team_art_id = '$id', nur_protokoll='n', ab_datum=curdate();";
				abfrage2($sql);
			}
		} else {
			$pers = abfrage_array("select * from tb_team_art_pers where team_art_id = '$id' and pers_id = '$rvar_pot_tn';");
			if($pers[0]) abfrage2("update tb_team_art_pers set nur_protokoll='n' where team_art_id = '$id' and pers_id = '$rvar_pot_tn';");
			else {
				$sql = "insert into tb_team_art_pers set pers_id = '$rvar_pot_tn', 
						team_art_id = '$id', fokus = NULL, nur_protokoll='n', ab_datum=curdate();";
				abfrage2($sql);
			}
		}
		if($rvar_montags_sitzung) {
			/* zukuenftige Sitzungen abfragen */
			$sql  = "select tm.team_id, date_format(te.von, '%d.%m.%Y') as dat from tb_team tm ";
			$sql .= "left join tb_termine te on tm.termin_id = te.termin_id ";
			$sql .= "where te.von > now() and tm.team_art_id = '$id' ";
			$teams = abfrage1($sql);
			while($team = mysql_fetch_row($teams)) {
				$ts = date_gr2ts($team[1]);
				if($rvar_pot_tn[0] == 'a') {
					$sql = "select pers_id from tbh_pers_abt where abt_id = '".substr($rvar_pot_tn,1)."'";
					$mas = abfrage1($sql);
					while($ma = mysql_fetch_row($mas)) {
						if(!pers_fehlzeit($ma[0],$ts)) abfrage2("insert ignore into tbh_team_pers set team_id='$team[0]', pers_id='$ma[0]'");
					}
				} elseif(!pers_fehlzeit($rvar_pot_tn,$ts)) abfrage2("insert ignore into tbh_team_pers set team_id='$team[0]', pers_id='$rvar_pot_tn'");
			}
		}
	}
	if(!empty($rvar_nur_protokoll)) {
		$doHist = true;
		if($rvar_nur_protokoll[0] == 'a') {
			$abt = abfrage_array("select * from tb_team_art_abt where team_art_id = '$id' and abt_id = '".substr($rvar_nur_protokoll,1)."';");
			if($abt[0]) abfrage2("update tb_team_art_abt set nur_protokoll='j' where team_art_id = '$id' and abt_id = '".substr($rvar_nur_protokoll,1)."';");
			else {
				$sql = "insert into tb_team_art_abt set abt_id = '".substr($rvar_nur_protokoll,1)."', 
						team_art_id = '$id', nur_protokoll='j', ab_datum=curdate();";
				abfrage2($sql);
			}
		} else {
			$pers = abfrage_array("select * from tb_team_art_pers where team_art_id = '$id' and pers_id = '$rvar_nur_protokoll';");
			if($pers[0]) abfrage2("update tb_team_art_pers set nur_protokoll='j' where team_art_id = '$id' and pers_id = '$rvar_nur_protokoll';");
			else {
				$sql = "insert into tb_team_art_pers set pers_id = '$rvar_nur_protokoll', 
						team_art_id = '$id', fokus = NULL, nur_protokoll='j', ab_datum=curdate();";
				abfrage2($sql);
			}
		}
	}
}
if($doHist) {
	$last = abfrage("select pers_id, verlauf_id from tb_team_art_verlauf where team_art_id='$id' order by verlauf_id desc limit 1");
	if($last[0]==$_SESSION[$AppCode]["UID"]) abfrage2("update tb_team_art_verlauf set zeit=now() where verlauf_id='$last[1]'");
	else abfrage2("insert into tb_team_art_verlauf set team_art_id='$id', pers_id='{$_SESSION[$AppCode]["UID"]}'");
}
if(isset($_POST['save'])) header("Location: team_art.php");
else header("Location: team_art_and.php?team_art_id=$id" . (isset($rvar_edit) ? '&edit=1' : ''));
?>
