<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: team_sql.php 2864 2018-05-30 10:15:03Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

 /* ein paar Funktionen werden benoetigt */
 $pfad = substr(__FILE__, 0, strlen(__FILE__) - 12);
 require_once($pfad."inc/func.inc.php");

 extern();
 extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'rvar'); 
 $korrektur = 0;

/* Teilnehmer loeschen ausfuehren */
if ($_GET['kill'] == 1 && $_SESSION[$AppCode]["ULV"] > 20)
{
 $sql  = "DELETE FROM tbh_team_pers ";
 $sql .= "WHERE team_id='".$rvar_team_id."' ";

 $sql .= "AND pers_id='".$rvar_pers_id."';";
 mysql_query($sql);

 $last = abfrage("select pers_id, verlauf_id from tb_team_verlauf where team_id='$rvar_team_id' and menue='1' order by verlauf_id desc limit 1");
 if($last[0]==$_SESSION[$AppCode]["UID"]) abfrage2("update tb_team_verlauf set zeit=now() where verlauf_id='$last[1]'");
 else abfrage2("insert into tb_team_verlauf set team_id='$rvar_team_id', menue='1', pers_id='{$_SESSION[$AppCode]["UID"]}'");

 $location = "Location: team_and.php?team_id=$rvar_team_id&menue=1#tnl";
 header($location);

 exit(0);
}

/* Teilnehmer zu einer Sitzung hinzufuegen */
if ($_POST['pers_id'] != 0)
{
 $sql  = "INSERT INTO tbh_team_pers ";
 $sql .= "SET team_id='".$rvar_team_id."', ";

 $sql .= "pers_id='".$rvar_pers_id."';";
 mysql_query($sql);

 $last = abfrage("select pers_id, verlauf_id from tb_team_verlauf where team_id='$rvar_team_id' and menue='1' order by verlauf_id desc limit 1");
 if($last[0]==$_SESSION[$AppCode]["UID"]) abfrage2("update tb_team_verlauf set zeit=now() where verlauf_id='$last[1]'");
 else abfrage2("insert into tb_team_verlauf set team_id='$rvar_team_id', menue='1', pers_id='{$_SESSION[$AppCode]["UID"]}'");

 $location = "Location: team_and.php?team_id=$rvar_team_id&menue=1";
 header($location);

 exit(0);
}

switch ($rvar_submit){
	case 'allgemeine Daten':
		$link = "team_and.php?menue=1";
		break;
	case 'Aufgaben':
		$link = "team_and.php?menue=2";
		break;
	case 'Tagesordnung':
		$link = "team_and.php?menue=3";
		break;
	case 'Protokoll':
		$link = "team_and.php?menue=4";
		break;
	case 'Speichern';
		$link = "team.php";
		break;
}

if(isset($rvar_team_id)) $team_id = $rvar_team_id;
switch ($_GET['menue']) {
	case 1:
		if (isset($rvar_team_id)) $TVorher = abfrage("select * from tb_team t1 left join tb_termine t2 using (termin_id) where t1.team_id = '$rvar_team_id';");
		$darfTerminAendern = true;
		if(!empty($rvar_termin_id)) {
			if($rvar_weiter != $_SESSION[$AppCode]['UID'] && $_SESSION[$AppCode]['ULV'] < 96) {
				$sql = "select fokus from tb_team_art_pers 
						where team_art_id = '$rvar_team_art_id' 
						and fokus is not null
						and pers_id='{$_SESSION[$AppCode]['UID']}'";
				$fks = abfrage1($sql);
				if(mysql_num_rows($fks) == 0) $darfTerminAendern = false;
			}
		}

		if($darfTerminAendern) {
			/* die Zeitangaben des Nutzers pruefen */
			$datum = check_date($rvar_datum);

			$beg = check_time($rvar_beginn);
			$end = check_time($rvar_ende);

			$beginn = date_time_stamp($datum, $beg);
			$ende = date_time_stamp($datum, $end);

			/* pruefen ob Endtermin nicht vor oder gleich Starttermin liegt */
			if (date_isodatetime_stamp($beginn) >= date_isodatetime_stamp($ende))
			{
			 $ende = date_ts2mydt(date_isodatetime_stamp($beginn) + 3600);
			 $korrektur = 1;
			}

			if (!empty($rvar_termin_id)){
				$sql = "update ";
			} else {
			$sql = "insert into ";
			}

			if ($rvar_ende == ""){
			$sql .= "tb_termine set von = '$beginn',
								bis = date_add('$beginn', interval 3 hour),
								terminart = 't' ";
			} else {
			$sql .= "tb_termine set von = '$beginn',
								bis = '$ende',
								terminart = 't' ";
			}

			if (!empty($rvar_termin_id)){
				$sql .= " where termin_id = '$rvar_termin_id';";
			} else {
				$sql .= ";";
			}
			abfrage2($sql);
		}

		/* Insert-ID aus tb_termine ermitteln */
		if (!empty($rvar_termin_id)){
			$id = $rvar_termin_id;
		} else {
			$id = mysql_insert_id();
		}

		if (isset($rvar_team_id)){
		    $sql = "update ";
		} else {
		    $sql = "insert into ";
		}

		$vorher  = check_time($rvar_vorher);
		$nachher = check_time($rvar_nachher);
		$sql .= "tb_team set weiter = '$rvar_weiter',
							thema = '$rvar_thema',
							team_art_id = '$rvar_team_art_id',
							aktiv = 'j',
							strategie = '$rvar_strategie',
							notizen = '$rvar_notizen',
							ort = '$rvar_ort',
							vorher = '$vorher',
							nachher = '$nachher',
							termin_id = '$id'";

		if (isset($rvar_team_id)) {
			$sql .= " where team_id = $rvar_team_id;";
		} else {
			$sql .= ";";
		}
		abfrage2($sql);
		if(!isset($rvar_team_id)) $team_id = mysql_insert_id();


		/* Wenn Montagssitzung, dann alle potentiellen Mitarbeiter auswaehlen, die
		   nicht abwesend sind nur beim Anlegen der Sitzung */
		if (empty($rvar_termin_id)){
			$t_id = mysql_insert_id();
			$ts_datum = date_gr2ts($datum);

			//prfen, ob ausgewhlte sitzungsart montagssitzung
			//sicherstellen, dass eintrag noch nicht existiert
			$row = abfrage("select t.team_art_id,
			               t.montags_sitzung
							       from tb_team_art t
							       where t.team_art_id = $rvar_team_art_id;");

			$mosi = false;
			if ($row[1] == 1){
				$mosi = true;
			}

			if ($mosi==true) {
				$sql = "select p.pers_id from tb_personal p
						left join tb_team_art_pers tp using(pers_id) 
						left join tbh_pers_abt a using(pers_id) 
						left join tb_team_art_abt ta using(abt_id) 
						where ((tp.team_art_id = '$rvar_team_art_id' and tp.nur_protokoll='n')
						or (ta.team_art_id = '$rvar_team_art_id' and ta.nur_protokoll='n'))
						group by p.pers_id";

				$res = abfrage1($sql);

				if (mysql_num_rows($res) > 0) {
					//personen auf fehlzeiten prfen
					while ($row = mysql_fetch_row($res)) {

						$sql = "select t.pers_id
								from tb_fehlz t
								left join tb_termine t1 on t.termin_id = t1.termin_id
								where unix_timestamp(t1.von) <= $ts_datum and unix_timestamp(t1.bis) >= $ts_datum
								and t.pers_id = $row[0];";
						$res2 = abfrage1($sql);

						if (mysql_num_rows($res2) == 0) {

							//sicherstellen, dass eintrag noch nicht existiert
							$sql = "select t.team_id,
							               t.pers_id
								       from tbh_team_pers t
								       where t.team_id = $t_id
								       and t.pers_id = $row[0];";
							$res3 = abfrage1($sql);

							if (mysql_num_rows($res3) == 0) {
								$sql = "insert into ";
								$sql .= "tbh_team_pers set team_id = '$t_id',
									           pers_id = '$row[0]';";
								abfrage2($sql);
							}
						}
					}
				}
			}

		}
		if (isset($rvar_team_id)) {
			$TNachher = abfrage("select * from tb_team t1 left join tb_termine t2 using (termin_id) where t1.team_id = '$rvar_team_id';");
			if(array_diff($TVorher,$TNachher)) $doHist=true;
		}
		break;

	case 3:
		$tago = abfrage("select tago from tb_team where team_id = '$rvar_team_id';");
		if($tago[0] != $rvar_tago) $doHist=true;
		$sql  = "update tb_team set tago = '$rvar_tago' ";
		$sql .= "where team_id = '$rvar_team_id';";
		abfrage2($sql);
		break;

	case 4:
		$inhalte = abfrage("select bes, inhalte from tb_team where team_id = '$rvar_team_id';");
		if($inhalte[0] != $rvar_bes || $inhalte[1] != $rvar_inhalte) $doHist=true;
		$sql  = "update tb_team set bes = '$rvar_bes', inhalte = '$rvar_inhalte' ";
		$sql .= "where team_id = '$rvar_team_id';";
		abfrage2($sql);
		break;

}

if($doHist) {
	$last = abfrage("select pers_id, verlauf_id from tb_team_verlauf where team_id='$team_id' and menue='{$_GET['menue']}' order by verlauf_id desc limit 1");
	if($last[0]==$_SESSION[$AppCode]["UID"]) abfrage2("update tb_team_verlauf set zeit=now() where verlauf_id='$last[1]'");
	else abfrage2("insert into tb_team_verlauf set team_id='$team_id', menue='{$_GET['menue']}', pers_id='{$_SESSION[$AppCode]["UID"]}'");
}

/* team_id an $link anhaengen, wenn Ziel ist nicht Liste */
if ($rvar_submit == 'Speichern') {
	/* falls eine Zeitkorrektur durchgefuehrt wurde -> Anwender melden */
	if ($korrektur == 1) $link .= '?korr=1';
	elseif(isset($_SESSION[$AppCode]['url'])) $link = $_SESSION[$AppCode]['url'];
} else {
	$teamid = (isset($rvar_team_id)) ? $rvar_team_id : $t_id;
	$link .= "&team_id=$teamid";
}

header("Location: $link");
?>