<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: tender_warnung.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

/* Session fuer die Stellwarenutzung starten */
session_start();
$seite = 33;

/* Zeit setzen fuer Anzeige wie lange es dauert - Auswertung in stwEnd */
$zeit = explode(" ", microtime());
$zeit_start = $zeit[0] + $zeit[1];

/* Pfad zusammenstellen */
$pfad = substr(__FILE__, 0, strlen(__FILE__) - 18);

require_once($pfad."inc/func.inc.php");
require_once($pfad."inc/stwDaten.inc.php");

/* HTML Kopfinformationen ausgeben */
new stwHead($seite);
echo "<table border=\"0\"><tr><td><img src=\"img/clearpixel.png\" width=\"750\" height=\"1\"></td></tr><tr><td valign=\"top\">\n";
$lpd = abfrage("SELECT unix_timestamp(von) FROM tbh_lom_proj_default 
				WHERE art='TTT' AND (von<=curdate() or von='0000-00-00') 
				ORDER BY bis DESC LIMIT 1");

/* regulaerer Zeitraum fuer Veranstaltungen */
$vvon = explode(':', getConf('ttt_von'));
$vvon = 60*60*$vvon[0] + 60*$vvon[1];
$vbis = explode(':', getConf('ttt_bis'));
$vbis = 60*60*$vbis[0] + 60*$vbis[1];

$von = empty($_GET['von']) ? $lpd[0] : $_GET['von'];
$bis = empty($_GET['bis']) ? mktime() : $_GET['bis'] + 86399;

echo "<table>\n";
for($t1 = $von; $t1 < $bis; $t1+=90000) {
  $t1 = mktime(0,0,0,date('n',$t1),date('j',$t1),date('Y',$t1));
  $dayPrinted = false;
  $t2 = $t1 + 86399;  //Ende des Tages
  $t01 = $t1 + $vvon; //regulaerer Veranstaltungsbeginn
  $t02 = $t1 + $vbis; //regulaeres Veranstaltungsende
  $date = strftime("%a, %d.%m.%Y", $t1);
  $tag = strftime("%Y-%m-%d", $t1);
  $sql="select l.lom_id from tb_lom l
		left join tb_termine t using (termin_id)
		where unix_timestamp(t.von) < '$t2' 
		and unix_timestamp(t.bis) > '$t1'
		and l.action='5'";
  $veranst = abfrage1($sql);
  if(mysql_num_rows($veranst) > 0) {
	new stwTabLine(1,30);
	echo "<tr><th colspan=\"30\"><a target=\"_blank\" href=\"kal2.php?anz=tg&tag=$tag\">$date</th></tr>\n";
	new stwTabLine(1,30);
	$dayPrinted = true;
	$sql = "SELECT p.pers_id, concat(p.vorname, ' ', p.name) as name FROM tb_personal p
			LEFT JOIN tb_personalart a USING (p_art_id)
			WHERE a.personalart = 'TTT'
			AND (unix_timestamp(p.austritt) = 0 OR unix_timestamp(p.austritt) > '$t2')
			AND (unix_timestamp(p.eintritt) = 0 OR unix_timestamp(p.eintritt) <= '$t1')
			ORDER BY p.pers_id ASC ;";
	$pers = abfrage1($sql);
	while ($per = mysql_fetch_row($pers)){
		$sql = "select l.lom_id, l.thema, 
				unix_timestamp(t.von) as von_ts,
				unix_timestamp(t.bis) as bis_ts,
				date_format(t.von, '%H:%i') as von_zeit,
				date_format(t.bis, '%H:%i') as bis_zeit
				from tbh_lom_pers p
				left join tb_lom l using(lom_id)
				left join tb_termine t using (termin_id)
				where p.pers_id='$per[0]' 
				and l.action='5'
				and unix_timestamp(t.von) < '$t2' and unix_timestamp(t.bis) > '$t1'
				order by t.von asc";
		$res = abfrage1($sql);
		$numrows = mysql_num_rows($res);
		if($numrows == 0) {
			$sql = "select a.name, f.genehmigt, f.titel 
					from tb_fehlz f left join tb_termine t on f.termin_id = t.termin_id 
					left join tb_terminart a on t.terminart = a.terminart 
					where unix_timestamp(t.von) <= '$t2' 
					and unix_timestamp(t.bis) >= '$t1' 
					and f.pers_id = '$per[0]'";
			$fz = abfrage($sql);
			if(empty($fz)) $grund = "Es liegt keine eingetragene Fehlzeit vor.";
			else {
				$grund = $fz[0];
				if(empty($fz[1])) $grund .= " (nicht genehmigt!)";
				if(!empty($fz[2])) $grund .= ": $fz[2]";
			}
			echo "<tr><td colspan=\"2\" class=\"cl10\">$per[1] ist f&uuml;r keine TT-Veranstaltung eingetragen.</td><td class=\"ww\">$grund</td></tr>";
		}
		if($numrows > 1) {
			$bis_ts = 0; $lom_id = 0; $termin = ""; $termine = "";
			while ($row = mysql_fetch_array($res)){
				if(empty($termin)) $termin = "<a target=\"_blank\" href=\"lom_and.php?lom_id={$row['lom_id']}\">{$row[thema]}</a>";
				if($row['von_ts'] < $bis_ts) $termine .= ", <a target=\"_blank\" href=\"lom_and.php?lom_id={$row['lom_id']}\">{$row[thema]}</a>";
				$bis_ts = $row['bis_ts'];
			}
			if(strlen($termine) > 0) {
				echo "<tr><td class=\"cl10\">$per[1]:</td><td class=\"cl10\">Teilnehmer mehrerer paralleler TT-Veranstaltung:</td>";
				echo "<td class=\"ww\">" . $termin . $termine . "</td></tr>";
			}
		}
		$sql = "select l.lom_id, l.thema, 
				unix_timestamp(t.von) as von_ts,
				unix_timestamp(t.bis) as bis_ts,
				date_format(t.von, '%H:%i') as von_zeit,
				date_format(t.bis, '%H:%i') as bis_zeit
				from tbh_lom_pers p
				left join tb_lom l using(lom_id)
				left join tb_termine t using (termin_id)
				where p.pers_id='$per[0]' 
				and l.action!='5'
				and unix_timestamp(t.von) < '$t2' and unix_timestamp(t.bis) > '$t1'
				order by t.von asc";
		$res = abfrage1($sql);
		if(mysql_num_rows($res) > 0) {
			echo "<tr><td colspan=\"3\" class=\"cl10\">$per[1] ist falsch in LOM-Veranstaltung ";
			$komma = false;
			while($row = mysql_fetch_array($res)){
				if($komma) echo ", "; else $komma = true;
				echo "<a target=\"_blank\" style=\"color:red\" href=\"lom_and.php?lom_id={$row['lom_id']}\">{$row[thema]}</a>";
			}
			echo " eingetragen</td></tr>";
		}
	}
  }

/* ZKs ohne Zuordnung Klassenbuch */
	$sql = "SELECT z.zk_id, p.proj_id, z.pers_id,
			unix_timestamp(t.von) as von_ts, 
			unix_timestamp(t.bis) as bis_ts,
			date_format(t.von, '%H:%i') as von,
			date_format(t.bis, '%H:%i') as bis,
			z.inhalte, z.inhalte2, h.hilfeart
			FROM tb_ab_zk z
			LEFT JOIN tb_termine t USING (termin_id)
			LEFT JOIN tb_projekte p USING (proj_id)
			LEFT JOIN tb_hilfeart h USING (hilfeart_id)
			WHERE (h.hilfeart = 'TTP' OR h.hilfeart = 'TTH' OR h.hilfeart = 'TTT') AND z.ab = 'j' 
			AND unix_timestamp(t.von) >= '$t1' 
			AND unix_timestamp(t.von) <= '$t2'
			AND time_to_sec(z.fls) > 0
			ORDER BY h.hilfeart DESC";
	$zks = abfrage1($sql);
	$new = true;
	while ($zk = mysql_fetch_array($zks)){
		$doIt = false;
		if($zk['bis_ts'] < $t01) {
			$sql = "select unix_timestamp(t.von) from tb_lom l
					left join tb_termine t using (termin_id)
					where unix_timestamp(t.von) < '$t2' and unix_timestamp(t.bis) > '$t1'
					order by t.von asc limit 1";
			$min = abfrage($sql);
			if(empty($min) || $zk['bis_ts'] < $min[0]) $doIt = true;
		}
		if($zk['von_ts'] > $t02) {
			$sql = "select unix_timestamp(t.bis) from tb_lom l
					left join tb_termine t using (termin_id)
					where unix_timestamp(t.von) < '$t2' and unix_timestamp(t.bis) > '$t1'
					order by t.bis desc limit 1";
			$max = abfrage($sql);
			if(empty($max) || $zk['von_ts'] > $max[0]) $doIt = true;
		}
		if($doIt) {
			if(!$dayPrinted) {
				new stwTabLine(1,30);
				echo "<tr><th colspan=\"30\"><a target=\"_blank\" href=\"kal2.php?anz=tg&tag=$tag\">$date</th></tr>\n";
				new stwTabLine(1,30);
				$dayPrinted = true;
				$new = false;
			}
			if($new) new stwTabLine(2,30);
			$new = false;
			$text  = "<a target=\"_blank\" href=\"pro_ab_zk.php?zk_id={$zk['zk_id']}&proj_id={$zk['proj_id']}\">ZK</a> ohne Klassenbuch-Bezug abgerechnet";
			$text .= "<br>({$zk['von']} - {$zk['bis']})";
			$inhalte = $zk['inhalte'] . (empty($zk['inhalte']) || empty($zk['inhalte2']) ? "" : "<br>") . $zk['inhalte2'];
			echo "<tr><td class=\"cl10\">" . ($zk['hilfeart'] == 'TTT' ? pers_name($zk['pers_id']) : pers_kname($zk['pers_id']) ) . ":</td>";
			echo "<td class=\"cl10\">$text</td>\n<td class=\"ww\">$inhalte</td></tr>";
		}
	}
}
echo "</table>\n";
new stwEnd($seite);
?>