<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie knnen es unter den Bedingungen     *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fr irgendeinen       *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: verein.php 2269 2014-05-07 11:49:21Z tfreudenberg $
 *
 */

 /* Session fuer die Stellwarenutzung starten */
 session_start();

$seite = 16;
$level = 70;
require("inc/auth.inc.php");
require("inc/level.inc.php");
require("inc/stw.inc.php");

$anz = (isset($_GET['anz'])) ? $_GET['anz'] : 1;

if ($anz == 1){
	$anz2 = 2;
	$txt = 'alle Mitglieder anzeigen';
} else {
	$anz2 = 1;
	$txt = 'nur aktive Mitglieder anzeigen';
}
if(!isset($rvar_page)) $rvar_page = 1;
$url = $_SERVER['PHP_SELF'] . "?anz=$anz2&amp;page=$rvar_page";
echo "<table style=\"width:750px\"><tr><td class=\"cl1\"><input type=\"button\" value=\"$txt\" ";
echo "onClick=\"self.location.href='$url'\" /></td>";
$class = ($rvar_page == 2) ? 'menuinactive' : 'menuactive';
$url = $_SERVER['PHP_SELF'] . "?anz=$anz";
echo "<td class=\"$class\"><a href=\"$url\">Kontaktdaten</a></td>\n";
$class = ($rvar_page == 2) ? 'menuactive' : 'menuinactive';
$url = $_SERVER['PHP_SELF'] . "?anz=$anz&amp;page=2";
echo "<td class=\"$class\"><a href=\"$url\">Mitgliederbeitr&auml;ge</a></td>\n";
$abt_vmg = getConf('abteilung_vereinsmitglieder');
if($abt_vmg == 0) {
	if($ulv>96) {
		$sql = "SELECT name FROM tb_web_seite WHERE seite=$seite;";
		$titel = abfrage($sql);
		$abt[0] = "<a href=\"seite_konf.php?seite=16&amp;name=$titel[0]\"";
	} else $abt[0] = "<span";
	$abt[0] .= " style=\"color:red\">nicht gesetzt!";
	$abt[0] .= $ulv>96 ? "</a>" : "</span>";
} else {
	$abt = abfrage("select name from tb_personal_abt where abt_id='$abt_vmg'");
}
echo "<td style=\"text-align:right;width:100%\">Abteilung Vereinsmitglieder: $abt[0]</td>\n";
echo "</tr></table>\n";

$or = $abt_vmg == 0 ? '' : "or p.pers_id in (select pers_id from tbh_pers_abt where abt_id='$abt_vmg')";
$sql  = "select p.pers_id, concat(p.vorname,' ',p.name), concat(p.strasse,', ',p.plz,' ',p.ort), 
		concat(p.telprivat,' ',p.telmobilprivat), p.emailprivat, date_format(p.geboren, '%d.%m.%Y')
		from tb_personal p
		left join tb_mitglied m using (pers_id) 
		where (m.pers_id IS NOT NULL $or)";
if ($anz == 1){
	$sql .= "and (to_days(p.eintritt) <= to_days(now()) or p.eintritt is null or p.eintritt = '0000-00-00')";
	$sql .= " and p.status_id = '2' ";
}
$sql .= "group by p.pers_id	order by p.personalnr asc;";
$mg = abfrage1($sql);
if (mysql_num_rows($mg) > 0){
	echo "<table>\n<tr>\n";
	echo "<th class=\"cl1\">Personal-Nr.</th>\n";
	echo "<th class=\"cl1\">Name</th>\n";
	if($rvar_page == 2) {
		echo "<th class=\"cl1\">von</th>\n";
		echo "<th class=\"cl1\">bis</th>\n";
		echo "<th class=\"cl1\">Jahr</th>\n";
		echo "<th class=\"cl1\">gemahnt</th>\n";
		echo "<th class=\"cl1\">gezahlt</th>\n";
		echo "<th class=\"cl1\">Betrag</th>\n";
		echo "<th class=\"cl1\">Status</th>\n";
	} else {
		echo "<th class=\"cl1\">Anschrift</th>\n";
		echo "<th class=\"cl1\">Telefon</th>\n";
		echo "<th class=\"cl1\">Email</th>\n";
		echo "<th class=\"cl1\">geboren</th>\n";
	}
	echo "</tr>\n";

	new stwTabLine(2,30);

	while ($row = mysql_fetch_row($mg)){
		echo "<tr class=\"mo\">\n";
		echo "<th><a href=\"pers_mit.php?pers_id=$row[0]\"";
		echo " title=\"" . pers_name($row[0]) . "\">";
		echo pers_nummer($row[0]) . "</a></th>\n";
		echo "<td><a href=\"pers_and.php?pers_id=$row[0]\">$row[1]</a></td>\n";
		if($rvar_page == 2) {
			$bei = abfrage("select beitrag_id, date_format(von, '%d.%m.%Y'),
					date_format(bis, '%d.%m.%Y'),
					jahr,
					date_format(gemahnt, '%d.%m.%Y'),
					date_format(gezahlt, '%d.%m.%Y'),
					betrag, status
					from tb_mitglied
					where pers_id = '$row[0]'
					order by von desc
					limit 1;");

			echo "<td class=\"cl1\"><a href=\"pers_mit_and.php?pers_id=$row[0]&beitrag_id=$bei[0]\">";
			echo "$bei[1]</a></td>\n";
			echo "<td class=\"cl1\">$bei[2]</td>\n";
			echo "<td class=\"cl1\">$bei[3]</td>\n";
			echo "<td class=\"cl1\">".($bei[4]=='00.00.0000' ? '' : $bei[4])."</td>\n";
			echo "<td class=\"cl1\">".($bei[5]=='00.00.0000' ? '' : $bei[5])."</td>\n";
			echo "<td class=\"cl1\" align=\"right\">" . geld_form_web($bei[6]) . "</td>\n";

			if ($bei[7] == 'm'){
				$status = 'Mitglied';
			} elseif ($bei[7] == 'f'){
				$status = 'F&ouml;rdermitglied';
			} else {
				$status = '';
			}
			echo "<td>$status</td>\n";
		} else {
			echo "<td>$row[2]</td>\n<td>$row[3]</td>\n";
			echo "<td><a href=\"mailto:$row[4]\">$row[4]</a></td>\n<td>$row[5]</td>\n";
		}
		echo "</tr>\n";
	}

	echo "</table>\n";
}

new stwLine(1);
new stwEnd($seite);
?>
