<?php
/*******************************************************************************
 * Stellware - Jugendhilfe Management System                                   *
 *                                                                             *
 * Dieses Programm ist Freie Software. Sie koennen es unter den Bedingungen    *
 * der GNU General Public License (GPL), wie von der Free Software Foundation  *
 * veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess        *
 * Version 2 der Lizenz oder, wenn Sie das wuenschen, nach jeder spaeteren     *
 * Version.                                                                    *
 *                                                                             *
 * Die Veroeffentlichung dieses Programmes erfolgt in der Hoffnung, dass es    *
 * Ihnen von Nutzen sein wird, aber ohne irgendeine Garantie, auch ohne die    *
 * implizite Garantie der Marktreife oder Verwendbarkeit fuer irgendeinen      *
 * bestimmten Zweck. Details finden Sie in der GNU General Public License in   *
 * der Datei 'gpl.txt' im Verzeichnis 'doc'.                                   *
 *                                                                             *
 *  http://www.stellware.de                                                    *
 *******************************************************************************
 *
 * $Id: zust_and.php 2699 2017-02-12 16:31:55Z dschniegler $
 *
 */

session_start();
$seite = 31;
require("inc/auth.inc.php");
require("inc/stw.inc.php");

$pers_order = getPersOrder($seite);

/* verantwortlichen Mitarbeiter aendern */
if(is_array($_REQUEST['ver']) && check_nutzer_rechte(119)) {
	$sql  = "update tbh_pers_res set ver = '0' ";
	$sql .= "where res_id = '{$_REQUEST['res']}';";
	abfrage2($sql);
	foreach($_REQUEST['ver'] as $ma) {
		$sql  = "update tbh_pers_res set ver = '1' ";
		$sql .= "where res_id = '{$_REQUEST['res']}' ";
		$sql .= "and pers_id = '$ma';";
		abfrage2($sql);
	}
}

/* Mitarbeiter hinzufuegen */
if ($_REQUEST['add_ma'] > 0 && check_nutzer_rechte(119)){
	$sql  = "insert into tbh_pers_res set res_id = '{$_REQUEST['res']}', ";
	$sql .= "pers_id = '{$_REQUEST['add_ma']}';";
	abfrage2($sql);
}

/* Mitarbeiter loeschen */
if ($_REQUEST['del_ma'] > 0 && check_nutzer_rechte(119)){
	$sql  = "delete from tbh_pers_res where res_id = '{$_REQUEST['res_id']}' ";
	$sql .= "and pers_id = '{$_REQUEST['del_ma']}';";
	abfrage2($sql);
}

/* ggf. Raum aendern */
if (isset($_POST['raum_speichern'])){
	$sql  = "update tb_ressourcen set reservierung = '{$_POST['reservierung']}',";
	$sql .= "farbe = '{$_POST['farbe']}', zustnotiz = '{$_POST['notiz']}' ";
	$sql .= "where res_id = '{$_POST['res']}' limit 1;";
	abfrage2($sql);
} elseif (isset($_POST['notiz'])){
	$sql  = "update tb_ressourcen set zustnotiz = '{$_POST['notiz']}' ";
	$sql .= "where res_id = '{$_POST['res']}' limit 1;";
	abfrage2($sql);
}


$self = $_SERVER['PHP_SELF'];
$ti = 1;

echo "<form action=\"$self\" method=\"post\">\n";
echo "<input type=\"hidden\" name=\"res\" value=\"{$_REQUEST['res_id']}\" />\n";
echo "<table cellpadding=\"0\" cellspacing=\"0\" width=\"750\"><tr><td class=\"cl11\">";
echo "<table cellpadding=\"1\" cellspacing=\"2\"><tr><th class=\"cl1\">Bereich:</th>\n";
echo "<td><select name=\"res_id\" size=\"1\" tabindex=\"$ti\" "; $ti++;
echo "onChange=\"this.form.submit()\">\n";

$erg = abfrage1("select r.res_id, r.name as res_name, t.name as typ_name
								from tb_ressourcen r
								left join tb_res_typ t using (res_typ)
								order by r.res_typ asc, res_name asc;");
while ($row = mysql_fetch_array($erg)){
	echo "<option value=\"{$row['res_id']}\"";
	if ($_REQUEST['res_id'] == $row['res_id']) echo ' selected';
	echo ">" . $row['typ_name'] . "&nbsp;=>&nbsp;" . $row['res_name'];
	echo "</option>\n";
}

echo "</select></td></tr>\n";

new stwTabLine(2,30);

echo "<tr><th class=\"cl1\">zust&auml;ndig:</th>";
echo "<td><table>\n";

$order = ($pers_order == 2) ? "order by p.name asc, p.vorname asc" : "order by p.vorname asc, p.name asc";
$mas = abfrage1("select h.pers_id, h.ver from tbh_pers_res h
								left join tb_personal p using(pers_id)
								where res_id = '{$_REQUEST['res_id']}'
								$order;");

if (mysql_num_rows($mas) > 0) {
	echo "<tr><th class=\"cl1\">Name</th>\n";
	echo "<th class=\"cl1\">verantwortlich</th></tr>\n";
	new stwTabLine(2,10);
}

$mitarbeiter = array();
$radio = getConf('PKWmultiVerantw') ? 'checkbox' : 'radio';

while ($ma = mysql_fetch_row($mas)){
	$mitarbeiter[] = $ma[0];
	echo "<tr><td class=\"cl1\">" . ($pers_order == 2 ? pers_name2($ma[0]) : pers_name($ma[0])) . "</td>\n";

	echo "<td class=\"cl1\" style=\"text-align: center;\">";
	echo "<input type=\"$radio\" name=\"ver[]\" value=\"$ma[0]\" ";
	if ($ma[1] == 1) echo 'checked ';
	echo "onClick=\"this.form.submit()\"></td>\n";

	echo "<td><a href=\"$self?res_id={$_REQUEST['res_id']}&";
	echo "del_ma=$ma[0]\" style=\"color: #f00;\"";
	echo stwToolTip('<b>VORSICHT!</b> Mitarbeiter l&ouml;schen!');
	echo ">X</a></td></tr>\n";
}

if (mysql_num_rows($mas) > 0) new stwTabLine(2,10);

echo "<tr><th colspan=\"3\">Mitarbeiter hinzuf&uuml;gen:</th></tr>\n";

echo "<tr><td colspan=\"3\">";
echo "<select name=\"add_ma\" size=\"1\" tabindex=\"$ti\" "; $ti++;
echo "onChange=\"this.form.submit()\">\n";
echo "<option value=\"0\">Mitarbeiter w&auml;hlen!</option>\n";

$mas = abfrage1("select pers_id from tb_personal p where p.status_id = 2 $order");

while ($ma = mysql_fetch_row($mas)){
	if (!in_array($ma[0], $mitarbeiter)){
		echo "<option value=\"$ma[0]\">" . ($pers_order == 2 ? pers_name2($ma[0]) : pers_name($ma[0])) . "</option>\n";
	}
}
echo "</select></td></tr>\n";
echo "</table></td></tr>\n";

/* Bereichsart der uebergebenen Ressource ermitteln */
$sql  = "select r.reservierung, r.farbe, t.name, r.zustnotiz from tb_ressourcen r ";
$sql .= "left join tb_res_typ t on r.res_typ = t.res_typ ";
$sql .= "where r.res_id = '{$_REQUEST['res_id']}';";

$res = abfrage_assoc($sql);

if ($res['name'] == 'Raum'){
	new stwTabLine(2,5);

	echo "<tr><th class=\"cl1\">Reservierung m&ouml;glich:</th>";

	echo "<td><input type=\"radio\" name=\"reservierung\" tabindex=\"$ti\" ";
	echo "value=\"1\""; $ti++;
	if ($res['reservierung'] == 1) echo ' checked';
	echo ">&nbsp;ja&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";

	echo "<input type=\"radio\" name=\"reservierung\" tabindex=\"$ti\" ";
	echo "value=\"0\""; $ti++;
	if (empty($res['reservierung'])) echo ' checked';
	echo ">&nbsp;nein</td></tr>\n";


	echo "<script type=\"text/javascript\" src=\"{$_SESSION['webdir']}/inc/colorPicker.js\"></script>\n";
	echo "<tr><th class=\"cl1\">Farbe:</th>";
	echo "<td><input type=\"text\" name=\"farbe\" size=\"20\" maxlength=\"20\" ";
	echo "tabindex=\"$ti\""; $ti++;
	if (strlen($res['farbe']) > 0) {
		$rgb = transformColor($res['farbe']);
		$co = ($rgb[0] < 100 && $rgb[1] < 100) ? 'white' : 'black';
		echo " style=\"background-color:{$res['farbe']};color:$co;\" ";
		echo " value=\"" . $res['farbe'] . "\" ";
	}
	echo "onClick=\"colorPicker(event,'H',3,0,1,0,1,1,0,0,0,0,'',this.value||'#FFFFFF')\" ";	
	echo "></td></tr>\n";

	new stwTabLine(2,5);
}

echo "</table>\n";
echo "</td><th style=\"width:100%\">Notizen:<br />";
echo "<textarea name=\"notiz\" rows=\"5\" style=\"width:100%;height:100%\">";
echo $res['zustnotiz'];
echo "</textarea></th></tr>\n";
echo "<tr><td>";
if($res['name'] == 'Raum') {
	echo "<a href=\"zust.php?anz=2\">zur Raumliste</a>\n";
}
echo "</td><td style=\"text-align:right\">";
echo "<input type=\"submit\" name=\"";
if($res['name'] == 'Raum') echo "raum_";
echo "speichern\" tabindex=\"$ti\" value=\"Speichern\">\n";
echo "</td></tr>\n";
echo "</table></form>\n";
new stwLine(1);
new stwEnd($seite);
?>
